#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Activity
      switch(to) {
        case 2: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::BaseJob
      switch(to) {
        case 32: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 3: return (void*)(Attica::BaseJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 18: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::Category
      switch(to) {
        case 4: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::Content
      switch(to) {
        case 5: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::DownloadDescription
      switch(to) {
        case 6: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::DownloadItem
      switch(to) {
        case 7: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::Event
      switch(to) {
        case 8: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::Folder
      switch(to) {
        case 9: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::GetJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 32: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::HomePageEntry
      switch(to) {
        case 11: return (void*)(Attica::HomePageEntry*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 12: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::License
      switch(to) {
        case 13: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::Message
      switch(to) {
        case 14: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::Metadata
      switch(to) {
        case 15: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::Person
      switch(to) {
        case 16: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::PlatformDependent
      switch(to) {
        case 17: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::PostJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 32: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 18: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::Provider
      switch(to) {
        case 19: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 20:   //Attica::ProviderManager
      switch(to) {
        case 32: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 20: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 21:   //QByteArray
      switch(to) {
        case 21: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 22:   //QChildEvent
      switch(to) {
        case 22: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QDate
      switch(to) {
        case 23: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 24:   //QDateTime
      switch(to) {
        case 24: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 25:   //QEvent
      switch(to) {
        case 25: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QIODevice
      switch(to) {
        case 32: return (void*)(QObject*)(QIODevice*)xptr;
        case 27: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 28:   //QMetaObject
      switch(to) {
        case 28: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 29:   //QNetworkAccessManager
      switch(to) {
        case 32: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 29: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 30:   //QNetworkReply
      switch(to) {
        case 30: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 31:   //QNetworkRequest
      switch(to) {
        case 31: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 32:   //QObject
      switch(to) {
        case 32: return (void*)(QObject*)xptr;
        case 20: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 3: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 10: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 18: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 33:   //QTimerEvent
      switch(to) {
        case 33: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QUrl
      switch(to) {
        case 34: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 0,	// 1: QObject
    3, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__DownloadDescription(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//2
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//3
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//4
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//5
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, xenum_Attica__DownloadDescription, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//6
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//7
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//8
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//9
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//10
    { "Attica::HomePageEntry", true, 0, 0, 0, 0, 0 },	//11
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//12
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//13
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//14
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//15
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//16
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//17
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//18
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//19
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//20
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//21
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QDate", true, 0, 0, 0, 0, 0 },	//23
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//24
    { "QEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//27
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//28
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//29
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//30
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//31
    { "QObject", true, 0, 0, 0, 0, 0 },	//32
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QUrl", true, 0, 0, 0, 0, 0 },	//34
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 4, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 5, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DownloadDescription", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "Attica::DownloadDescription*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Attica::DownloadDescription::Type", 6, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref },	//14
    { "Attica::DownloadItem*", 7, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref },	//16
    { "Attica::Event*", 8, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref },	//18
    { "Attica::Folder*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Attica::HomePageEntry", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//27
    { "Attica::ItemJob<Attica::PrivateData>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//28
    { "Attica::ItemPostJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//29
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//30
    { "Attica::KnowledgeBaseEntry&", 12, Smoke::t_class|Smoke::tf_ref },	//31
    { "Attica::KnowledgeBaseEntry*", 12, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Attica::License&", 13, Smoke::t_class|Smoke::tf_ref },	//33
    { "Attica::License*", 13, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ListJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::ListJob<Attica::Distribution>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//41
    { "Attica::ListJob<Attica::HomePageType>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//42
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//45
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "Attica::Message&", 14, Smoke::t_class|Smoke::tf_ref },	//47
    { "Attica::Message*", 14, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Attica::Message::Status", 14, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Attica::Metadata", 15, Smoke::t_class|Smoke::tf_stack },	//50
    { "Attica::Metadata&", 15, Smoke::t_class|Smoke::tf_ref },	//51
    { "Attica::Metadata*", 15, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Attica::Metadata::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Attica::Person", 16, Smoke::t_class|Smoke::tf_stack },	//54
    { "Attica::Person&", 16, Smoke::t_class|Smoke::tf_ref },	//55
    { "Attica::Person*", 16, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Attica::PlatformDependent*", 17, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Attica::PostJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Attica::Provider", 19, Smoke::t_class|Smoke::tf_stack },	//59
    { "Attica::Provider&", 19, Smoke::t_class|Smoke::tf_ref },	//60
    { "Attica::Provider*", 19, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Attica::Provider::SortMode", 19, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Attica::ProviderManager*", 20, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QChildEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDate", 23, Smoke::t_class|Smoke::tf_stack },	//65
    { "QDateTime", 24, Smoke::t_class|Smoke::tf_stack },	//66
    { "QEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QIODevice*", 27, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QList<Attica::HomePageEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QList<Attica::Icon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QMetaObject::Call", 28, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QNetworkAccessManager*", 29, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QNetworkReply*", 30, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QNetworkRequest", 31, Smoke::t_class|Smoke::tf_stack },	//78
    { "QObject*", 32, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//81
    { "QTimerEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QUrl", 34, Smoke::t_class|Smoke::tf_stack },	//83
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//155
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//156
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Attica::Comment::Type", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//160
    { "const Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const Attica::KnowledgeBaseEntry&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const Attica::License&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const Attica::Message&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const Attica::Metadata&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Attica::Person&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Attica::PlatformDependent&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Attica::Provider&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const QByteArray&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const QDate&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const QDateTime&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const QList<Attica::Distribution>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const QList<Attica::License>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const QMetaObject&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const QMetaObject*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//180
    { "const QNetworkRequest&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//182
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QUrl&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//185
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//186
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//187
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//188
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//189
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//190
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//191
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//193
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    157, 0,	//1  const Attica::AccountBalance&
    183, 0,	//3  const QString&
    158, 0,	//5  const Attica::Activity&
    170, 0,	//7  const Attica::Person&
    175, 0,	//9  const QDateTime&
    184, 0,	//11  const QUrl&
    185, 0,	//13  const char*
    185, 185, 0,	//15  const char*, const char*
    185, 185, 188, 0,	//18  const char*, const char*, int
    75, 188, 192, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    169, 0,	//28  const Attica::Metadata&
    159, 0,	//30  const Attica::Category&
    161, 0,	//32  const Attica::Content&
    188, 0,	//34  int
    71, 0,	//36  QList<Attica::Icon>
    73, 0,	//38  QList<QUrl>
    183, 183, 0,	//40  const QString&, const QString&
    162, 0,	//43  const Attica::DownloadDescription&
    13, 0,	//45  Attica::DownloadDescription::Type
    156, 0,	//47  bool
    190, 0,	//49  unsigned int
    163, 0,	//51  const Attica::DownloadItem&
    164, 0,	//53  const Attica::Event&
    174, 0,	//55  const QDate&
    187, 0,	//57  double
    165, 0,	//59  const Attica::Folder&
    166, 0,	//61  const Attica::KnowledgeBaseEntry&
    80, 0,	//63  QString
    182, 0,	//65  const QString
    167, 0,	//67  const Attica::License&
    168, 0,	//69  const Attica::Message&
    49, 0,	//71  Attica::Message::Status
    53, 0,	//73  Attica::Metadata::Error
    184, 156, 0,	//75  const QUrl&, bool
    184, 81, 81, 0,	//78  const QUrl&, QString&, QString&
    184, 183, 183, 0,	//82  const QUrl&, const QString&, const QString&
    181, 0,	//86  const QNetworkRequest&
    181, 68, 0,	//88  const QNetworkRequest&, QIODevice*
    181, 173, 0,	//91  const QNetworkRequest&, const QByteArray&
    171, 0,	//94  const Attica::PlatformDependent&
    172, 0,	//96  const Attica::Provider&
    81, 81, 0,	//98  QString&, QString&
    183, 183, 183, 183, 183, 0,	//101  const QString&, const QString&, const QString&, const QString&, const QString&
    187, 187, 187, 188, 188, 0,	//107  double, double, double, int, int
    187, 187, 183, 183, 0,	//113  double, double, const QString&, const QString&
    183, 183, 183, 0,	//118  const QString&, const QString&, const QString&
    183, 188, 188, 0,	//122  const QString&, int, int
    188, 188, 0,	//126  int, int
    165, 49, 0,	//129  const Attica::Folder&, Attica::Message::Status
    165, 183, 0,	//132  const Attica::Folder&, const QString&
    176, 183, 62, 190, 190, 0,	//135  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    176, 183, 183, 62, 190, 190, 0,	//141  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    176, 183, 177, 178, 183, 62, 190, 190, 0,	//148  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    183, 156, 0,	//157  const QString&, bool
    183, 190, 0,	//160  const QString&, unsigned int
    159, 161, 0,	//163  const Attica::Category&, const Attica::Content&
    159, 183, 161, 0,	//166  const Attica::Category&, const QString&, const Attica::Content&
    183, 183, 173, 0,	//170  const QString&, const QString&, const QByteArray&
    183, 183, 183, 173, 0,	//174  const QString&, const QString&, const QString&, const QByteArray&
    161, 183, 62, 188, 188, 0,	//179  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    183, 183, 174, 62, 188, 188, 0,	//185  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    160, 183, 183, 188, 188, 0,	//192  const Attica::Comment::Type, const QString&, const QString&, int, int
    160, 183, 183, 183, 183, 183, 0,	//198  const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&
    183, 190, 190, 0,	//205  const QString&, unsigned int, unsigned int
    187, 187, 0,	//209  double, double
    187, 187, 187, 0,	//212  double, double, double
    187, 187, 187, 188, 0,	//216  double, double, double, int
    187, 187, 183, 0,	//221  double, double, const QString&
    183, 188, 0,	//225  const QString&, int
    176, 0,	//228  const QList<Attica::Category>&
    176, 183, 0,	//230  const QList<Attica::Category>&, const QString&
    176, 183, 62, 0,	//233  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    176, 183, 62, 190, 0,	//237  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    176, 183, 183, 0,	//242  const QList<Attica::Category>&, const QString&, const QString&
    176, 183, 183, 62, 0,	//246  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    176, 183, 183, 62, 190, 0,	//251  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    176, 183, 177, 178, 0,	//257  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&
    176, 183, 177, 178, 183, 0,	//262  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&
    176, 183, 177, 178, 183, 62, 0,	//268  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode
    176, 183, 177, 178, 183, 62, 190, 0,	//275  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int
    67, 0,	//283  QEvent*
    79, 67, 0,	//285  QObject*, QEvent*
    82, 0,	//288  QTimerEvent*
    64, 0,	//290  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DownloadDescription",	//11
    "DownloadDescription#",	//12
    "DownloadItem",	//13
    "DownloadItem#",	//14
    "Downloads",	//15
    "Event",	//16
    "Event#",	//17
    "FileDownload",	//18
    "Folder",	//19
    "Folder#",	//20
    "KnowledgeBaseEntry",	//21
    "KnowledgeBaseEntry#",	//22
    "License",	//23
    "License#",	//24
    "LinkDownload",	//25
    "Message",	//26
    "Message#",	//27
    "Metadata",	//28
    "Metadata#",	//29
    "NetworkError",	//30
    "Newest",	//31
    "NoError",	//32
    "OcsError",	//33
    "PackageDownload",	//34
    "Person",	//35
    "Person#",	//36
    "PlatformDependent",	//37
    "PlatformDependent#",	//38
    "Provider",	//39
    "Provider#",	//40
    "ProviderManager",	//41
    "Q_COMPLEX_TYPE",	//42
    "Q_DUMMY_TYPE",	//43
    "Q_MOVABLE_TYPE",	//44
    "Q_PRIMITIVE_TYPE",	//45
    "Q_STATIC_TYPE",	//46
    "QtCriticalMsg",	//47
    "QtDebugMsg",	//48
    "QtFatalMsg",	//49
    "QtSystemMsg",	//50
    "QtWarningMsg",	//51
    "Rating",	//52
    "Read",	//53
    "Unread",	//54
    "abort",	//55
    "activityServiceVersion",	//56
    "addAttribute",	//57
    "addAttribute$$",	//58
    "addDefaultProviderFile",	//59
    "addDefaultProviderFile#",	//60
    "addExtendedAttribute",	//61
    "addExtendedAttribute$$",	//62
    "addNewComment",	//63
    "addNewComment$$$$$$",	//64
    "addNewContent",	//65
    "addNewContent##",	//66
    "addProviderFile",	//67
    "addProviderFile#",	//68
    "addProviderFileToDefaultProviders",	//69
    "addProviderFileToDefaultProviders#",	//70
    "addProviderFromXml",	//71
    "addProviderFromXml$",	//72
    "answer",	//73
    "approveFriendship",	//74
    "approveFriendship$",	//75
    "askForCredentials",	//76
    "askForCredentials#$$",	//77
    "associatedPerson",	//78
    "attribute",	//79
    "attribute$",	//80
    "attributes",	//81
    "authenticationCredentialsMissing",	//82
    "authenticationCredentialsMissing#",	//83
    "author",	//84
    "avatarUrl",	//85
    "balance",	//86
    "baseUrl",	//87
    "becomeFan",	//88
    "becomeFan$",	//89
    "birthday",	//90
    "body",	//91
    "cancelFriendship",	//92
    "cancelFriendship$",	//93
    "category",	//94
    "changed",	//95
    "changelog",	//96
    "checkLogin",	//97
    "checkLogin$$",	//98
    "childEvent",	//99
    "city",	//100
    "clear",	//101
    "commentServiceVersion",	//102
    "comments",	//103
    "connectNotify",	//104
    "contains",	//105
    "contains$",	//106
    "contentId",	//107
    "contentServiceVersion",	//108
    "country",	//109
    "createRequest",	//110
    "createRequest#",	//111
    "createRequest$",	//112
    "createUrl",	//113
    "createUrl$",	//114
    "created",	//115
    "currency",	//116
    "customEvent",	//117
    "dataFinished",	//118
    "declineFriendship",	//119
    "declineFriendship$",	//120
    "defaultProviderFiles",	//121
    "defaultProvidersLoaded",	//122
    "deleteContent",	//123
    "deleteContent$",	//124
    "deleteDownloadFile",	//125
    "deleteDownloadFile$",	//126
    "deletePreviewImage",	//127
    "deletePreviewImage$$",	//128
    "depend",	//129
    "description",	//130
    "detailPage",	//131
    "detailpage",	//132
    "disconnectNotify",	//133
    "distributionType",	//134
    "doRequestAccountBalance",	//135
    "doRequestAccountBalance#",	//136
    "doRequestActivityList",	//137
    "doRequestActivityList#",	//138
    "doRequestFolderList",	//139
    "doRequestFolderList#",	//140
    "doRequestMessageList",	//141
    "doRequestMessageList#",	//142
    "doRequestPerson",	//143
    "doRequestPerson#",	//144
    "doRequestPersonList",	//145
    "doRequestPersonList#",	//146
    "downloadLink",	//147
    "downloadLink$",	//148
    "downloadLink$$",	//149
    "downloadUrlDescription",	//150
    "downloadUrlDescription$",	//151
    "downloadUrlDescriptions",	//152
    "downloads",	//153
    "editContent",	//154
    "editContent#$#",	//155
    "enableProvider",	//156
    "enableProvider#$",	//157
    "endDate",	//158
    "error",	//159
    "event",	//160
    "eventFilter",	//161
    "executeRequest",	//162
    "extendedAttribute",	//163
    "extendedAttribute$",	//164
    "extendedAttributes",	//165
    "fanServiceVersion",	//166
    "finished",	//167
    "finished#",	//168
    "firstName",	//169
    "friendServiceVersion",	//170
    "from",	//171
    "get",	//172
    "get#",	//173
    "getDefaultProviderFiles",	//174
    "gpgFingerprint",	//175
    "gpgSignature",	//176
    "hasActivityService",	//177
    "hasCommentService",	//178
    "hasContentService",	//179
    "hasCredentials",	//180
    "hasCredentials#",	//181
    "hasFanService",	//182
    "hasFriendService",	//183
    "hasKnowledgebaseService",	//184
    "hasMessageService",	//185
    "hasPersonService",	//186
    "hasPrice",	//187
    "homePageEntries",	//188
    "homePageEntry",	//189
    "homePageEntry$",	//190
    "homepage",	//191
    "icons",	//192
    "id",	//193
    "internals",	//194
    "inviteFriend",	//195
    "inviteFriend$$",	//196
    "isDownloadtypLink",	//197
    "isEnabled",	//198
    "isEnabled#",	//199
    "isValid",	//200
    "itemsPerPage",	//201
    "knowledgebaseServiceVersion",	//202
    "lastName",	//203
    "latitude",	//204
    "license",	//205
    "licenseName",	//206
    "link",	//207
    "loadCredentials",	//208
    "loadCredentials#$$",	//209
    "loadCredentials$$",	//210
    "loadDefaultProviders",	//211
    "longitude",	//212
    "message",	//213
    "messageCount",	//214
    "messageServiceVersion",	//215
    "metaObject",	//216
    "metadata",	//217
    "mimeType",	//218
    "nam",	//219
    "name",	//220
    "numberOfComments",	//221
    "operator=",	//222
    "operator=#",	//223
    "packageName",	//224
    "packageRepository",	//225
    "parse",	//226
    "parse$",	//227
    "personServiceVersion",	//228
    "post",	//229
    "post##",	//230
    "postActivity",	//231
    "postActivity$",	//232
    "postLocation",	//233
    "postLocation$$",	//234
    "postLocation$$$",	//235
    "postLocation$$$$",	//236
    "postMessage",	//237
    "postMessage#",	//238
    "previewPicture",	//239
    "previewPicture$",	//240
    "priceAmount",	//241
    "priceReason",	//242
    "providerAdded",	//243
    "providerAdded#",	//244
    "providerByUrl",	//245
    "providerByUrl#",	//246
    "providerFiles",	//247
    "providers",	//248
    "qt_metacall",	//249
    "qt_metacall$$?",	//250
    "qt_metacast",	//251
    "qt_metacast$",	//252
    "rating",	//253
    "registerAccount",	//254
    "registerAccount$$$$$",	//255
    "removeDefaultProviderFile",	//256
    "removeDefaultProviderFile#",	//257
    "removeProviderFileFromDefaultProviders",	//258
    "removeProviderFileFromDefaultProviders#",	//259
    "repository",	//260
    "requestAccountBalance",	//261
    "requestActivities",	//262
    "requestCategories",	//263
    "requestComments",	//264
    "requestComments$$$$$",	//265
    "requestContent",	//266
    "requestContent$",	//267
    "requestDistributions",	//268
    "requestEvent",	//269
    "requestEvent$",	//270
    "requestEvent$$#$$$",	//271
    "requestFans",	//272
    "requestFans$",	//273
    "requestFans$$",	//274
    "requestFans$$$",	//275
    "requestFolders",	//276
    "requestFriends",	//277
    "requestFriends$",	//278
    "requestFriends$$",	//279
    "requestFriends$$$",	//280
    "requestHomePageTypes",	//281
    "requestKnowledgeBaseEntry",	//282
    "requestKnowledgeBaseEntry$",	//283
    "requestLicenses",	//284
    "requestMessage",	//285
    "requestMessage#$",	//286
    "requestMessages",	//287
    "requestMessages#",	//288
    "requestMessages#$",	//289
    "requestPerson",	//290
    "requestPerson$",	//291
    "requestPersonSearchByLocation",	//292
    "requestPersonSearchByLocation$$",	//293
    "requestPersonSearchByLocation$$$",	//294
    "requestPersonSearchByLocation$$$$",	//295
    "requestPersonSearchByLocation$$$$$",	//296
    "requestPersonSearchByName",	//297
    "requestPersonSearchByName$",	//298
    "requestPersonSelf",	//299
    "requestPrivateData",	//300
    "requestPrivateData$",	//301
    "requestPrivateData$$",	//302
    "requestReceivedInvitations",	//303
    "requestReceivedInvitations$",	//304
    "requestReceivedInvitations$$",	//305
    "requestSentInvitations",	//306
    "requestSentInvitations$",	//307
    "requestSentInvitations$$",	//308
    "saveCredentials",	//309
    "saveCredentials#$$",	//310
    "saveCredentials$$",	//311
    "searchContents",	//312
    "searchContents?",	//313
    "searchContents?$",	//314
    "searchContents?$$",	//315
    "searchContents?$$$",	//316
    "searchContents?$$$$",	//317
    "searchContents?$??",	//318
    "searchContents?$??$",	//319
    "searchContents?$??$$",	//320
    "searchContents?$??$$$",	//321
    "searchContents?$??$$$$",	//322
    "searchContentsByPerson",	//323
    "searchContentsByPerson?$",	//324
    "searchContentsByPerson?$$",	//325
    "searchContentsByPerson?$$$",	//326
    "searchContentsByPerson?$$$$",	//327
    "searchContentsByPerson?$$$$$",	//328
    "searchKnowledgeBase",	//329
    "searchKnowledgeBase#$$$$",	//330
    "sent",	//331
    "setAnswer",	//332
    "setAnswer$",	//333
    "setAssociatedPerson",	//334
    "setAssociatedPerson#",	//335
    "setAuthenticationSuppressed",	//336
    "setAuthenticationSuppressed$",	//337
    "setAvatarUrl",	//338
    "setAvatarUrl#",	//339
    "setBalance",	//340
    "setBalance$",	//341
    "setBirthday",	//342
    "setBirthday#",	//343
    "setBody",	//344
    "setBody$",	//345
    "setCategory",	//346
    "setCategory$",	//347
    "setChanged",	//348
    "setChanged#",	//349
    "setCity",	//350
    "setCity$",	//351
    "setComments",	//352
    "setComments$",	//353
    "setContentId",	//354
    "setContentId$",	//355
    "setCountry",	//356
    "setCountry$",	//357
    "setCreated",	//358
    "setCreated#",	//359
    "setCurrency",	//360
    "setCurrency$",	//361
    "setDescription",	//362
    "setDescription$",	//363
    "setDetailPage",	//364
    "setDetailPage#",	//365
    "setDistributionType",	//366
    "setDistributionType$",	//367
    "setDownloadFile",	//368
    "setDownloadFile$$#",	//369
    "setDownloads",	//370
    "setDownloads$",	//371
    "setDownloadtypLink",	//372
    "setDownloadtypLink$",	//373
    "setEnabled",	//374
    "setEnabled$",	//375
    "setEndDate",	//376
    "setEndDate#",	//377
    "setError",	//378
    "setError$",	//379
    "setFirstName",	//380
    "setFirstName$",	//381
    "setFrom",	//382
    "setFrom$",	//383
    "setGpgFingerprint",	//384
    "setGpgFingerprint$",	//385
    "setGpgSignature",	//386
    "setGpgSignature$",	//387
    "setHasPrice",	//388
    "setHasPrice$",	//389
    "setHomepage",	//390
    "setHomepage#",	//391
    "setHomepage$",	//392
    "setIcons",	//393
    "setIcons?",	//394
    "setId",	//395
    "setId$",	//396
    "setItemsPerPage",	//397
    "setItemsPerPage$",	//398
    "setLastName",	//399
    "setLastName$",	//400
    "setLatitude",	//401
    "setLatitude$",	//402
    "setLink",	//403
    "setLink#",	//404
    "setLink$",	//405
    "setLongitude",	//406
    "setLongitude$",	//407
    "setMessage",	//408
    "setMessage$",	//409
    "setMessageCount",	//410
    "setMessageCount$",	//411
    "setMetadata",	//412
    "setMetadata#",	//413
    "setMimeType",	//414
    "setMimeType$",	//415
    "setName",	//416
    "setName$",	//417
    "setNumberOfComments",	//418
    "setNumberOfComments$",	//419
    "setPackageName",	//420
    "setPackageName$",	//421
    "setPackageRepository",	//422
    "setPackageRepository$",	//423
    "setPreviewImage",	//424
    "setPreviewImage$$$#",	//425
    "setPriceAmount",	//426
    "setPriceAmount$",	//427
    "setPriceReason",	//428
    "setPriceReason$",	//429
    "setPrivateData",	//430
    "setPrivateData$$$",	//431
    "setRating",	//432
    "setRating$",	//433
    "setRepository",	//434
    "setRepository$",	//435
    "setSent",	//436
    "setSent#",	//437
    "setSize",	//438
    "setSize$",	//439
    "setStartDate",	//440
    "setStartDate#",	//441
    "setStatus",	//442
    "setStatus$",	//443
    "setStatusCode",	//444
    "setStatusCode$",	//445
    "setStatusString",	//446
    "setStatusString$",	//447
    "setSubject",	//448
    "setSubject$",	//449
    "setTimestamp",	//450
    "setTimestamp#",	//451
    "setTo",	//452
    "setTo$",	//453
    "setTotalItems",	//454
    "setTotalItems$",	//455
    "setType",	//456
    "setType$",	//457
    "setUpdated",	//458
    "setUpdated#",	//459
    "setUrl",	//460
    "setUrl#",	//461
    "setUser",	//462
    "setUser$",	//463
    "setVideos",	//464
    "setVideos?",	//465
    "size",	//466
    "smallPreviewPicture",	//467
    "smallPreviewPicture$",	//468
    "start",	//469
    "startDate",	//470
    "staticMetaObject",	//471
    "status",	//472
    "statusCode",	//473
    "statusString",	//474
    "subject",	//475
    "summary",	//476
    "timerEvent",	//477
    "timestamp",	//478
    "to",	//479
    "totalItems",	//480
    "tr",	//481
    "tr$",	//482
    "tr$$",	//483
    "tr$$$",	//484
    "trUtf8",	//485
    "trUtf8$",	//486
    "trUtf8$$",	//487
    "trUtf8$$$",	//488
    "type",	//489
    "updated",	//490
    "url",	//491
    "user",	//492
    "version",	//493
    "videos",	//494
    "voteForComment",	//495
    "voteForComment$$",	//496
    "voteForContent",	//497
    "voteForContent$$",	//498
    "~AccountBalance",	//499
    "~Activity",	//500
    "~BaseJob",	//501
    "~Category",	//502
    "~Content",	//503
    "~DownloadDescription",	//504
    "~DownloadItem",	//505
    "~Event",	//506
    "~Folder",	//507
    "~GetJob",	//508
    "~KnowledgeBaseEntry",	//509
    "~License",	//510
    "~Message",	//511
    "~Metadata",	//512
    "~Person",	//513
    "~PlatformDependent",	//514
    "~PostJob",	//515
    "~Provider",	//516
    "~ProviderManager",	//517
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 222, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 360, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 116, 0, 0, Smoke::mf_const, 80, 5},	//5 Attica::AccountBalance::currency() const
    {1, 340, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 86, 0, 0, Smoke::mf_const, 80, 7},	//7 Attica::AccountBalance::balance() const
    {1, 499, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {2, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {2, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {2, 222, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {2, 395, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {2, 193, 0, 0, Smoke::mf_const, 80, 5},	//13 Attica::Activity::id() const
    {2, 334, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {2, 78, 0, 0, Smoke::mf_const, 54, 7},	//15 Attica::Activity::associatedPerson() const
    {2, 450, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {2, 478, 0, 0, Smoke::mf_const, 66, 9},	//17 Attica::Activity::timestamp() const
    {2, 408, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {2, 213, 0, 0, Smoke::mf_const, 80, 11},	//19 Attica::Activity::message() const
    {2, 403, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {2, 207, 0, 0, Smoke::mf_const, 83, 13},	//21 Attica::Activity::link() const
    {2, 200, 0, 0, Smoke::mf_const, 156, 14},	//22 Attica::Activity::isValid() const
    {2, 500, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {3, 216, 0, 0, Smoke::mf_const, 180, 1},	//24 Attica::BaseJob::metaObject() const
    {3, 251, 13, 1, 0, 191, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {3, 481, 15, 2, Smoke::mf_static, 80, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {3, 485, 15, 2, Smoke::mf_static, 80, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {3, 481, 18, 3, Smoke::mf_static, 80, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {3, 485, 18, 3, Smoke::mf_static, 80, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {3, 249, 22, 3, 0, 188, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {3, 217, 0, 0, Smoke::mf_const, 50, 8},	//31 Attica::BaseJob::metadata() const
    {3, 469, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {3, 55, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {3, 167, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {3, 118, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {3, 412, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {3, 162, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 77, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {3, 226, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {3, 194, 0, 0, Smoke::mf_protected, 57, 16},	//39 Attica::BaseJob::internals()
    {3, 481, 13, 1, Smoke::mf_static, 80, 17},	//40 Attica::BaseJob::tr(const char*)
    {3, 485, 13, 1, Smoke::mf_static, 80, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {3, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 179, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {3, 501, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {4, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {4, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {4, 222, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {4, 395, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {4, 193, 0, 0, Smoke::mf_const, 80, 5},	//48 Attica::Category::id() const
    {4, 416, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {4, 220, 0, 0, Smoke::mf_const, 80, 7},	//50 Attica::Category::name() const
    {4, 200, 0, 0, Smoke::mf_const, 156, 8},	//51 Attica::Category::isValid() const
    {4, 502, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {5, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {5, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {5, 222, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {5, 395, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {5, 193, 0, 0, Smoke::mf_const, 80, 5},	//57 Attica::Content::id() const
    {5, 416, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {5, 220, 0, 0, Smoke::mf_const, 80, 7},	//59 Attica::Content::name() const
    {5, 432, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {5, 253, 0, 0, Smoke::mf_const, 188, 9},	//61 Attica::Content::rating() const
    {5, 370, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {5, 153, 0, 0, Smoke::mf_const, 188, 11},	//63 Attica::Content::downloads() const
    {5, 418, 34, 1, 0, 0, 12},	//64 Attica::Content::setNumberOfComments(int)
    {5, 221, 0, 0, Smoke::mf_const, 188, 13},	//65 Attica::Content::numberOfComments() const
    {5, 358, 9, 1, 0, 0, 14},	//66 Attica::Content::setCreated(const QDateTime&)
    {5, 115, 0, 0, Smoke::mf_const, 66, 15},	//67 Attica::Content::created() const
    {5, 458, 9, 1, 0, 0, 16},	//68 Attica::Content::setUpdated(const QDateTime&)
    {5, 490, 0, 0, Smoke::mf_const, 66, 17},	//69 Attica::Content::updated() const
    {5, 476, 0, 0, Smoke::mf_const, 80, 18},	//70 Attica::Content::summary() const
    {5, 130, 0, 0, Smoke::mf_const, 80, 19},	//71 Attica::Content::description() const
    {5, 132, 0, 0, Smoke::mf_const, 83, 20},	//72 Attica::Content::detailpage() const
    {5, 96, 0, 0, Smoke::mf_const, 80, 21},	//73 Attica::Content::changelog() const
    {5, 493, 0, 0, Smoke::mf_const, 80, 22},	//74 Attica::Content::version() const
    {5, 129, 0, 0, Smoke::mf_const, 80, 23},	//75 Attica::Content::depend() const
    {5, 150, 34, 1, Smoke::mf_const, 10, 24},	//76 Attica::Content::downloadUrlDescription(int) const
    {5, 152, 0, 0, Smoke::mf_const, 69, 25},	//77 Attica::Content::downloadUrlDescriptions() const
    {5, 189, 34, 1, Smoke::mf_const, 20, 26},	//78 Attica::Content::homePageEntry(int) const
    {5, 188, 0, 0, 0, 70, 27},	//79 Attica::Content::homePageEntries()
    {5, 239, 3, 1, Smoke::mf_const, 80, 28},	//80 Attica::Content::previewPicture(const QString&) const
    {5, 467, 3, 1, Smoke::mf_const, 80, 29},	//81 Attica::Content::smallPreviewPicture(const QString&) const
    {5, 205, 0, 0, Smoke::mf_const, 80, 30},	//82 Attica::Content::license() const
    {5, 206, 0, 0, Smoke::mf_const, 80, 31},	//83 Attica::Content::licenseName() const
    {5, 84, 0, 0, Smoke::mf_const, 80, 32},	//84 Attica::Content::author() const
    {5, 192, 0, 0, 0, 71, 33},	//85 Attica::Content::icons()
    {5, 393, 36, 1, 0, 0, 34},	//86 Attica::Content::setIcons(QList<Attica::Icon>)
    {5, 494, 0, 0, 0, 73, 35},	//87 Attica::Content::videos()
    {5, 464, 38, 1, 0, 0, 36},	//88 Attica::Content::setVideos(QList<QUrl>)
    {5, 57, 40, 2, 0, 0, 37},	//89 Attica::Content::addAttribute(const QString&, const QString&)
    {5, 79, 3, 1, Smoke::mf_const, 80, 38},	//90 Attica::Content::attribute(const QString&) const
    {5, 81, 0, 0, Smoke::mf_const, 74, 39},	//91 Attica::Content::attributes() const
    {5, 200, 0, 0, Smoke::mf_const, 156, 40},	//92 Attica::Content::isValid() const
    {5, 239, 0, 0, Smoke::mf_const, 80, 41},	//93 Attica::Content::previewPicture() const
    {5, 467, 0, 0, Smoke::mf_const, 80, 42},	//94 Attica::Content::smallPreviewPicture() const
    {5, 503, 0, 0, Smoke::mf_dtor, 0, 43 },	//95 Attica::Content::~Content()
    {6, 11, 0, 0, Smoke::mf_ctor, 12, 1},	//96 Attica::DownloadDescription::DownloadDescription()
    {6, 11, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//97 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {6, 222, 43, 1, 0, 11, 3},	//98 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {6, 193, 0, 0, 0, 188, 4},	//99 Attica::DownloadDescription::id()
    {6, 489, 0, 0, 0, 13, 5},	//100 Attica::DownloadDescription::type()
    {6, 197, 0, 0, 0, 156, 6},	//101 Attica::DownloadDescription::isDownloadtypLink()
    {6, 187, 0, 0, 0, 156, 7},	//102 Attica::DownloadDescription::hasPrice()
    {6, 94, 0, 0, 0, 80, 8},	//103 Attica::DownloadDescription::category()
    {6, 220, 0, 0, 0, 80, 9},	//104 Attica::DownloadDescription::name()
    {6, 207, 0, 0, 0, 80, 10},	//105 Attica::DownloadDescription::link()
    {6, 134, 0, 0, 0, 80, 11},	//106 Attica::DownloadDescription::distributionType()
    {6, 242, 0, 0, 0, 80, 12},	//107 Attica::DownloadDescription::priceReason()
    {6, 241, 0, 0, 0, 80, 13},	//108 Attica::DownloadDescription::priceAmount()
    {6, 466, 0, 0, 0, 190, 14},	//109 Attica::DownloadDescription::size()
    {6, 175, 0, 0, 0, 80, 15},	//110 Attica::DownloadDescription::gpgFingerprint()
    {6, 176, 0, 0, 0, 80, 16},	//111 Attica::DownloadDescription::gpgSignature()
    {6, 224, 0, 0, 0, 80, 17},	//112 Attica::DownloadDescription::packageName()
    {6, 260, 0, 0, 0, 80, 18},	//113 Attica::DownloadDescription::repository()
    {6, 395, 34, 1, 0, 0, 19},	//114 Attica::DownloadDescription::setId(int)
    {6, 456, 45, 1, 0, 0, 20},	//115 Attica::DownloadDescription::setType(Attica::DownloadDescription::Type)
    {6, 372, 47, 1, 0, 0, 21},	//116 Attica::DownloadDescription::setDownloadtypLink(bool)
    {6, 388, 47, 1, 0, 0, 22},	//117 Attica::DownloadDescription::setHasPrice(bool)
    {6, 346, 3, 1, 0, 0, 23},	//118 Attica::DownloadDescription::setCategory(const QString&)
    {6, 416, 3, 1, 0, 0, 24},	//119 Attica::DownloadDescription::setName(const QString&)
    {6, 403, 3, 1, 0, 0, 25},	//120 Attica::DownloadDescription::setLink(const QString&)
    {6, 366, 3, 1, 0, 0, 26},	//121 Attica::DownloadDescription::setDistributionType(const QString&)
    {6, 428, 3, 1, 0, 0, 27},	//122 Attica::DownloadDescription::setPriceReason(const QString&)
    {6, 426, 3, 1, 0, 0, 28},	//123 Attica::DownloadDescription::setPriceAmount(const QString&)
    {6, 438, 49, 1, 0, 0, 29},	//124 Attica::DownloadDescription::setSize(unsigned int)
    {6, 384, 3, 1, 0, 0, 30},	//125 Attica::DownloadDescription::setGpgFingerprint(const QString&)
    {6, 386, 3, 1, 0, 0, 31},	//126 Attica::DownloadDescription::setGpgSignature(const QString&)
    {6, 420, 3, 1, 0, 0, 32},	//127 Attica::DownloadDescription::setPackageName(const QString&)
    {6, 434, 3, 1, 0, 0, 33},	//128 Attica::DownloadDescription::setRepository(const QString&)
    {6, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//129 Attica::DownloadDescription::FileDownload (enum)
    {6, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//130 Attica::DownloadDescription::LinkDownload (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//131 Attica::DownloadDescription::PackageDownload (enum)
    {6, 504, 0, 0, Smoke::mf_dtor, 0, 37 },	//132 Attica::DownloadDescription::~DownloadDescription()
    {7, 13, 0, 0, Smoke::mf_ctor, 15, 1},	//133 Attica::DownloadItem::DownloadItem()
    {7, 13, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//134 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {7, 222, 51, 1, 0, 14, 3},	//135 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {7, 460, 11, 1, 0, 0, 4},	//136 Attica::DownloadItem::setUrl(const QUrl&)
    {7, 491, 0, 0, Smoke::mf_const, 83, 5},	//137 Attica::DownloadItem::url() const
    {7, 414, 3, 1, 0, 0, 6},	//138 Attica::DownloadItem::setMimeType(const QString&)
    {7, 218, 0, 0, Smoke::mf_const, 80, 7},	//139 Attica::DownloadItem::mimeType() const
    {7, 420, 3, 1, 0, 0, 8},	//140 Attica::DownloadItem::setPackageName(const QString&)
    {7, 224, 0, 0, Smoke::mf_const, 80, 9},	//141 Attica::DownloadItem::packageName() const
    {7, 422, 3, 1, 0, 0, 10},	//142 Attica::DownloadItem::setPackageRepository(const QString&)
    {7, 225, 0, 0, Smoke::mf_const, 80, 11},	//143 Attica::DownloadItem::packageRepository() const
    {7, 384, 3, 1, 0, 0, 12},	//144 Attica::DownloadItem::setGpgFingerprint(const QString&)
    {7, 175, 0, 0, Smoke::mf_const, 80, 13},	//145 Attica::DownloadItem::gpgFingerprint() const
    {7, 386, 3, 1, 0, 0, 14},	//146 Attica::DownloadItem::setGpgSignature(const QString&)
    {7, 176, 0, 0, Smoke::mf_const, 80, 15},	//147 Attica::DownloadItem::gpgSignature() const
    {7, 456, 45, 1, 0, 0, 16},	//148 Attica::DownloadItem::setType(Attica::DownloadDescription::Type)
    {7, 489, 0, 0, 0, 13, 17},	//149 Attica::DownloadItem::type()
    {7, 505, 0, 0, Smoke::mf_dtor, 0, 18 },	//150 Attica::DownloadItem::~DownloadItem()
    {8, 16, 0, 0, Smoke::mf_ctor, 17, 1},	//151 Attica::Event::Event()
    {8, 16, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 2},	//152 Attica::Event::Event(const Attica::Event&)
    {8, 222, 53, 1, 0, 16, 3},	//153 Attica::Event::operator=(const Attica::Event&)
    {8, 395, 3, 1, 0, 0, 4},	//154 Attica::Event::setId(const QString&)
    {8, 193, 0, 0, Smoke::mf_const, 80, 5},	//155 Attica::Event::id() const
    {8, 416, 3, 1, 0, 0, 6},	//156 Attica::Event::setName(const QString&)
    {8, 220, 0, 0, Smoke::mf_const, 80, 7},	//157 Attica::Event::name() const
    {8, 362, 3, 1, 0, 0, 8},	//158 Attica::Event::setDescription(const QString&)
    {8, 130, 0, 0, Smoke::mf_const, 80, 9},	//159 Attica::Event::description() const
    {8, 462, 3, 1, 0, 0, 10},	//160 Attica::Event::setUser(const QString&)
    {8, 492, 0, 0, Smoke::mf_const, 80, 11},	//161 Attica::Event::user() const
    {8, 440, 55, 1, 0, 0, 12},	//162 Attica::Event::setStartDate(const QDate&)
    {8, 470, 0, 0, Smoke::mf_const, 65, 13},	//163 Attica::Event::startDate() const
    {8, 376, 55, 1, 0, 0, 14},	//164 Attica::Event::setEndDate(const QDate&)
    {8, 158, 0, 0, Smoke::mf_const, 65, 15},	//165 Attica::Event::endDate() const
    {8, 401, 57, 1, 0, 0, 16},	//166 Attica::Event::setLatitude(double)
    {8, 204, 0, 0, Smoke::mf_const, 187, 17},	//167 Attica::Event::latitude() const
    {8, 406, 57, 1, 0, 0, 18},	//168 Attica::Event::setLongitude(double)
    {8, 212, 0, 0, Smoke::mf_const, 187, 19},	//169 Attica::Event::longitude() const
    {8, 390, 11, 1, 0, 0, 20},	//170 Attica::Event::setHomepage(const QUrl&)
    {8, 191, 0, 0, Smoke::mf_const, 83, 21},	//171 Attica::Event::homepage() const
    {8, 356, 3, 1, 0, 0, 22},	//172 Attica::Event::setCountry(const QString&)
    {8, 109, 0, 0, Smoke::mf_const, 80, 23},	//173 Attica::Event::country() const
    {8, 350, 3, 1, 0, 0, 24},	//174 Attica::Event::setCity(const QString&)
    {8, 100, 0, 0, Smoke::mf_const, 80, 25},	//175 Attica::Event::city() const
    {8, 61, 40, 2, 0, 0, 26},	//176 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {8, 163, 3, 1, Smoke::mf_const, 80, 27},	//177 Attica::Event::extendedAttribute(const QString&) const
    {8, 165, 0, 0, Smoke::mf_const, 74, 28},	//178 Attica::Event::extendedAttributes() const
    {8, 200, 0, 0, Smoke::mf_const, 156, 29},	//179 Attica::Event::isValid() const
    {8, 506, 0, 0, Smoke::mf_dtor, 0, 30 },	//180 Attica::Event::~Event()
    {9, 19, 0, 0, Smoke::mf_ctor, 19, 1},	//181 Attica::Folder::Folder()
    {9, 19, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//182 Attica::Folder::Folder(const Attica::Folder&)
    {9, 222, 59, 1, 0, 18, 3},	//183 Attica::Folder::operator=(const Attica::Folder&)
    {9, 395, 3, 1, 0, 0, 4},	//184 Attica::Folder::setId(const QString&)
    {9, 193, 0, 0, Smoke::mf_const, 80, 5},	//185 Attica::Folder::id() const
    {9, 416, 3, 1, 0, 0, 6},	//186 Attica::Folder::setName(const QString&)
    {9, 220, 0, 0, Smoke::mf_const, 80, 7},	//187 Attica::Folder::name() const
    {9, 410, 34, 1, 0, 0, 8},	//188 Attica::Folder::setMessageCount(int)
    {9, 214, 0, 0, Smoke::mf_const, 188, 9},	//189 Attica::Folder::messageCount() const
    {9, 456, 3, 1, 0, 0, 10},	//190 Attica::Folder::setType(const QString&)
    {9, 489, 0, 0, Smoke::mf_const, 80, 11},	//191 Attica::Folder::type() const
    {9, 200, 0, 0, Smoke::mf_const, 156, 12},	//192 Attica::Folder::isValid() const
    {9, 507, 0, 0, Smoke::mf_dtor, 0, 13 },	//193 Attica::Folder::~Folder()
    {10, 216, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 1},	//194 Attica::GetJob::metaObject() const
    {10, 251, 13, 1, Smoke::mf_virtual, 191, 2},	//195 Attica::GetJob::qt_metacast(const char*)
    {10, 481, 15, 2, Smoke::mf_static, 80, 3},	//196 Attica::GetJob::tr(const char*, const char*)
    {10, 485, 15, 2, Smoke::mf_static, 80, 4},	//197 Attica::GetJob::trUtf8(const char*, const char*)
    {10, 481, 18, 3, Smoke::mf_static, 80, 5},	//198 Attica::GetJob::tr(const char*, const char*, int)
    {10, 485, 18, 3, Smoke::mf_static, 80, 6},	//199 Attica::GetJob::trUtf8(const char*, const char*, int)
    {10, 249, 22, 3, Smoke::mf_virtual, 188, 7},	//200 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {10, 481, 13, 1, Smoke::mf_static, 80, 8},	//201 Attica::GetJob::tr(const char*)
    {10, 485, 13, 1, Smoke::mf_static, 80, 9},	//202 Attica::GetJob::trUtf8(const char*)
    {10, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 179, 10},	//203 Attica::GetJob::staticMetaObject() const
    {10, 508, 0, 0, Smoke::mf_dtor, 0, 11 },	//204 Attica::GetJob::~GetJob()
    {12, 21, 0, 0, Smoke::mf_ctor, 32, 1},	//205 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {12, 21, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 2},	//206 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {12, 222, 61, 1, 0, 31, 3},	//207 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {12, 395, 63, 1, 0, 0, 4},	//208 Attica::KnowledgeBaseEntry::setId(QString)
    {12, 193, 0, 0, Smoke::mf_const, 80, 5},	//209 Attica::KnowledgeBaseEntry::id() const
    {12, 354, 34, 1, 0, 0, 6},	//210 Attica::KnowledgeBaseEntry::setContentId(int)
    {12, 107, 0, 0, Smoke::mf_const, 188, 7},	//211 Attica::KnowledgeBaseEntry::contentId() const
    {12, 462, 3, 1, 0, 0, 8},	//212 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {12, 492, 0, 0, Smoke::mf_const, 80, 9},	//213 Attica::KnowledgeBaseEntry::user() const
    {12, 442, 65, 1, 0, 0, 10},	//214 Attica::KnowledgeBaseEntry::setStatus(const QString)
    {12, 472, 0, 0, Smoke::mf_const, 80, 11},	//215 Attica::KnowledgeBaseEntry::status() const
    {12, 348, 9, 1, 0, 0, 12},	//216 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {12, 95, 0, 0, Smoke::mf_const, 66, 13},	//217 Attica::KnowledgeBaseEntry::changed() const
    {12, 416, 3, 1, 0, 0, 14},	//218 Attica::KnowledgeBaseEntry::setName(const QString&)
    {12, 220, 0, 0, Smoke::mf_const, 80, 15},	//219 Attica::KnowledgeBaseEntry::name() const
    {12, 362, 3, 1, 0, 0, 16},	//220 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {12, 130, 0, 0, Smoke::mf_const, 80, 17},	//221 Attica::KnowledgeBaseEntry::description() const
    {12, 332, 3, 1, 0, 0, 18},	//222 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {12, 73, 0, 0, Smoke::mf_const, 80, 19},	//223 Attica::KnowledgeBaseEntry::answer() const
    {12, 352, 34, 1, 0, 0, 20},	//224 Attica::KnowledgeBaseEntry::setComments(int)
    {12, 103, 0, 0, Smoke::mf_const, 188, 21},	//225 Attica::KnowledgeBaseEntry::comments() const
    {12, 364, 11, 1, 0, 0, 22},	//226 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {12, 131, 0, 0, Smoke::mf_const, 83, 23},	//227 Attica::KnowledgeBaseEntry::detailPage() const
    {12, 61, 40, 2, 0, 0, 24},	//228 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {12, 163, 3, 1, Smoke::mf_const, 80, 25},	//229 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {12, 165, 0, 0, Smoke::mf_const, 74, 26},	//230 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {12, 200, 0, 0, Smoke::mf_const, 156, 27},	//231 Attica::KnowledgeBaseEntry::isValid() const
    {12, 509, 0, 0, Smoke::mf_dtor, 0, 28 },	//232 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {13, 23, 0, 0, Smoke::mf_ctor, 34, 1},	//233 Attica::License::License()
    {13, 23, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//234 Attica::License::License(const Attica::License&)
    {13, 222, 67, 1, 0, 33, 3},	//235 Attica::License::operator=(const Attica::License&)
    {13, 193, 0, 0, Smoke::mf_const, 190, 4},	//236 Attica::License::id() const
    {13, 395, 49, 1, 0, 0, 5},	//237 Attica::License::setId(unsigned int)
    {13, 220, 0, 0, Smoke::mf_const, 80, 6},	//238 Attica::License::name() const
    {13, 416, 3, 1, 0, 0, 7},	//239 Attica::License::setName(const QString&)
    {13, 491, 0, 0, Smoke::mf_const, 83, 8},	//240 Attica::License::url() const
    {13, 460, 11, 1, 0, 0, 9},	//241 Attica::License::setUrl(const QUrl&)
    {13, 510, 0, 0, Smoke::mf_dtor, 0, 10 },	//242 Attica::License::~License()
    {14, 26, 0, 0, Smoke::mf_ctor, 48, 1},	//243 Attica::Message::Message()
    {14, 26, 69, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//244 Attica::Message::Message(const Attica::Message&)
    {14, 222, 69, 1, 0, 47, 3},	//245 Attica::Message::operator=(const Attica::Message&)
    {14, 395, 3, 1, 0, 0, 4},	//246 Attica::Message::setId(const QString&)
    {14, 193, 0, 0, Smoke::mf_const, 80, 5},	//247 Attica::Message::id() const
    {14, 382, 3, 1, 0, 0, 6},	//248 Attica::Message::setFrom(const QString&)
    {14, 171, 0, 0, Smoke::mf_const, 80, 7},	//249 Attica::Message::from() const
    {14, 452, 3, 1, 0, 0, 8},	//250 Attica::Message::setTo(const QString&)
    {14, 479, 0, 0, Smoke::mf_const, 80, 9},	//251 Attica::Message::to() const
    {14, 436, 9, 1, 0, 0, 10},	//252 Attica::Message::setSent(const QDateTime&)
    {14, 331, 0, 0, Smoke::mf_const, 66, 11},	//253 Attica::Message::sent() const
    {14, 442, 71, 1, 0, 0, 12},	//254 Attica::Message::setStatus(Attica::Message::Status)
    {14, 472, 0, 0, Smoke::mf_const, 49, 13},	//255 Attica::Message::status() const
    {14, 448, 3, 1, 0, 0, 14},	//256 Attica::Message::setSubject(const QString&)
    {14, 475, 0, 0, Smoke::mf_const, 80, 15},	//257 Attica::Message::subject() const
    {14, 344, 3, 1, 0, 0, 16},	//258 Attica::Message::setBody(const QString&)
    {14, 91, 0, 0, Smoke::mf_const, 80, 17},	//259 Attica::Message::body() const
    {14, 200, 0, 0, Smoke::mf_const, 156, 18},	//260 Attica::Message::isValid() const
    {14, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 19},	//261 Attica::Message::Unread (enum)
    {14, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 20},	//262 Attica::Message::Read (enum)
    {14, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 21},	//263 Attica::Message::Answered (enum)
    {14, 511, 0, 0, Smoke::mf_dtor, 0, 22 },	//264 Attica::Message::~Message()
    {15, 28, 0, 0, Smoke::mf_ctor, 52, 1},	//265 Attica::Metadata::Metadata()
    {15, 28, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//266 Attica::Metadata::Metadata(const Attica::Metadata&)
    {15, 222, 28, 1, 0, 51, 3},	//267 Attica::Metadata::operator=(const Attica::Metadata&)
    {15, 159, 0, 0, Smoke::mf_const, 53, 4},	//268 Attica::Metadata::error() const
    {15, 378, 73, 1, 0, 0, 5},	//269 Attica::Metadata::setError(Attica::Metadata::Error)
    {15, 473, 0, 0, Smoke::mf_const, 188, 6},	//270 Attica::Metadata::statusCode() const
    {15, 444, 34, 1, 0, 0, 7},	//271 Attica::Metadata::setStatusCode(int)
    {15, 474, 0, 0, Smoke::mf_const, 80, 8},	//272 Attica::Metadata::statusString() const
    {15, 446, 3, 1, 0, 0, 9},	//273 Attica::Metadata::setStatusString(const QString&)
    {15, 213, 0, 0, 0, 80, 10},	//274 Attica::Metadata::message()
    {15, 408, 3, 1, 0, 0, 11},	//275 Attica::Metadata::setMessage(const QString&)
    {15, 480, 0, 0, 0, 188, 12},	//276 Attica::Metadata::totalItems()
    {15, 454, 34, 1, 0, 0, 13},	//277 Attica::Metadata::setTotalItems(int)
    {15, 201, 0, 0, 0, 188, 14},	//278 Attica::Metadata::itemsPerPage()
    {15, 397, 34, 1, 0, 0, 15},	//279 Attica::Metadata::setItemsPerPage(int)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//280 Attica::Metadata::NoError (enum)
    {15, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//281 Attica::Metadata::NetworkError (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//282 Attica::Metadata::OcsError (enum)
    {15, 512, 0, 0, Smoke::mf_dtor, 0, 19 },	//283 Attica::Metadata::~Metadata()
    {16, 35, 0, 0, Smoke::mf_ctor, 56, 1},	//284 Attica::Person::Person()
    {16, 35, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//285 Attica::Person::Person(const Attica::Person&)
    {16, 222, 7, 1, 0, 55, 3},	//286 Attica::Person::operator=(const Attica::Person&)
    {16, 395, 3, 1, 0, 0, 4},	//287 Attica::Person::setId(const QString&)
    {16, 193, 0, 0, Smoke::mf_const, 80, 5},	//288 Attica::Person::id() const
    {16, 380, 3, 1, 0, 0, 6},	//289 Attica::Person::setFirstName(const QString&)
    {16, 169, 0, 0, Smoke::mf_const, 80, 7},	//290 Attica::Person::firstName() const
    {16, 399, 3, 1, 0, 0, 8},	//291 Attica::Person::setLastName(const QString&)
    {16, 203, 0, 0, Smoke::mf_const, 80, 9},	//292 Attica::Person::lastName() const
    {16, 342, 55, 1, 0, 0, 10},	//293 Attica::Person::setBirthday(const QDate&)
    {16, 90, 0, 0, Smoke::mf_const, 65, 11},	//294 Attica::Person::birthday() const
    {16, 356, 3, 1, 0, 0, 12},	//295 Attica::Person::setCountry(const QString&)
    {16, 109, 0, 0, Smoke::mf_const, 80, 13},	//296 Attica::Person::country() const
    {16, 401, 57, 1, 0, 0, 14},	//297 Attica::Person::setLatitude(double)
    {16, 204, 0, 0, Smoke::mf_const, 187, 15},	//298 Attica::Person::latitude() const
    {16, 406, 57, 1, 0, 0, 16},	//299 Attica::Person::setLongitude(double)
    {16, 212, 0, 0, Smoke::mf_const, 187, 17},	//300 Attica::Person::longitude() const
    {16, 338, 11, 1, 0, 0, 18},	//301 Attica::Person::setAvatarUrl(const QUrl&)
    {16, 85, 0, 0, Smoke::mf_const, 83, 19},	//302 Attica::Person::avatarUrl() const
    {16, 390, 3, 1, 0, 0, 20},	//303 Attica::Person::setHomepage(const QString&)
    {16, 191, 0, 0, Smoke::mf_const, 80, 21},	//304 Attica::Person::homepage() const
    {16, 350, 3, 1, 0, 0, 22},	//305 Attica::Person::setCity(const QString&)
    {16, 100, 0, 0, Smoke::mf_const, 80, 23},	//306 Attica::Person::city() const
    {16, 61, 40, 2, 0, 0, 24},	//307 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {16, 163, 3, 1, Smoke::mf_const, 80, 25},	//308 Attica::Person::extendedAttribute(const QString&) const
    {16, 165, 0, 0, Smoke::mf_const, 74, 26},	//309 Attica::Person::extendedAttributes() const
    {16, 200, 0, 0, Smoke::mf_const, 156, 27},	//310 Attica::Person::isValid() const
    {16, 513, 0, 0, Smoke::mf_dtor, 0, 28 },	//311 Attica::Person::~Person()
    {17, 174, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 1},	//312 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {17, 59, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//313 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {17, 256, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//314 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {17, 156, 75, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//315 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {17, 198, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 5},	//316 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {17, 180, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 6},	//317 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {17, 208, 78, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 7},	//318 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {17, 76, 78, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 8},	//319 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {17, 309, 82, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 9},	//320 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {17, 172, 86, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 10},	//321 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {17, 229, 88, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 11},	//322 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {17, 229, 91, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 12},	//323 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {17, 219, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 13},	//324 Attica::PlatformDependent::nam() [pure virtual]
    {17, 37, 0, 0, Smoke::mf_ctor, 57, 14},	//325 Attica::PlatformDependent::PlatformDependent()
    {17, 37, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 15},	//326 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {17, 514, 0, 0, Smoke::mf_dtor, 0, 16 },	//327 Attica::PlatformDependent::~PlatformDependent()
    {18, 216, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 1},	//328 Attica::PostJob::metaObject() const
    {18, 251, 13, 1, Smoke::mf_virtual, 191, 2},	//329 Attica::PostJob::qt_metacast(const char*)
    {18, 481, 15, 2, Smoke::mf_static, 80, 3},	//330 Attica::PostJob::tr(const char*, const char*)
    {18, 485, 15, 2, Smoke::mf_static, 80, 4},	//331 Attica::PostJob::trUtf8(const char*, const char*)
    {18, 481, 18, 3, Smoke::mf_static, 80, 5},	//332 Attica::PostJob::tr(const char*, const char*, int)
    {18, 485, 18, 3, Smoke::mf_static, 80, 6},	//333 Attica::PostJob::trUtf8(const char*, const char*, int)
    {18, 249, 22, 3, Smoke::mf_virtual, 188, 7},	//334 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 481, 13, 1, Smoke::mf_static, 80, 8},	//335 Attica::PostJob::tr(const char*)
    {18, 485, 13, 1, Smoke::mf_static, 80, 9},	//336 Attica::PostJob::trUtf8(const char*)
    {18, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 179, 10},	//337 Attica::PostJob::staticMetaObject() const
    {18, 515, 0, 0, Smoke::mf_dtor, 0, 11 },	//338 Attica::PostJob::~PostJob()
    {19, 39, 0, 0, Smoke::mf_ctor, 61, 1},	//339 Attica::Provider::Provider()
    {19, 39, 96, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//340 Attica::Provider::Provider(const Attica::Provider&)
    {19, 222, 96, 1, 0, 60, 3},	//341 Attica::Provider::operator=(const Attica::Provider&)
    {19, 200, 0, 0, Smoke::mf_const, 156, 4},	//342 Attica::Provider::isValid() const
    {19, 198, 0, 0, Smoke::mf_const, 156, 5},	//343 Attica::Provider::isEnabled() const
    {19, 374, 47, 1, 0, 0, 6},	//344 Attica::Provider::setEnabled(bool)
    {19, 87, 0, 0, Smoke::mf_const, 83, 7},	//345 Attica::Provider::baseUrl() const
    {19, 220, 0, 0, Smoke::mf_const, 80, 8},	//346 Attica::Provider::name() const
    {19, 186, 0, 0, Smoke::mf_const, 156, 9},	//347 Attica::Provider::hasPersonService() const
    {19, 228, 0, 0, Smoke::mf_const, 80, 10},	//348 Attica::Provider::personServiceVersion() const
    {19, 183, 0, 0, Smoke::mf_const, 156, 11},	//349 Attica::Provider::hasFriendService() const
    {19, 170, 0, 0, Smoke::mf_const, 80, 12},	//350 Attica::Provider::friendServiceVersion() const
    {19, 185, 0, 0, Smoke::mf_const, 156, 13},	//351 Attica::Provider::hasMessageService() const
    {19, 215, 0, 0, Smoke::mf_const, 80, 14},	//352 Attica::Provider::messageServiceVersion() const
    {19, 177, 0, 0, Smoke::mf_const, 156, 15},	//353 Attica::Provider::hasActivityService() const
    {19, 56, 0, 0, Smoke::mf_const, 80, 16},	//354 Attica::Provider::activityServiceVersion() const
    {19, 179, 0, 0, Smoke::mf_const, 156, 17},	//355 Attica::Provider::hasContentService() const
    {19, 108, 0, 0, Smoke::mf_const, 80, 18},	//356 Attica::Provider::contentServiceVersion() const
    {19, 182, 0, 0, Smoke::mf_const, 156, 19},	//357 Attica::Provider::hasFanService() const
    {19, 166, 0, 0, Smoke::mf_const, 80, 20},	//358 Attica::Provider::fanServiceVersion() const
    {19, 184, 0, 0, Smoke::mf_const, 156, 21},	//359 Attica::Provider::hasKnowledgebaseService() const
    {19, 202, 0, 0, Smoke::mf_const, 80, 22},	//360 Attica::Provider::knowledgebaseServiceVersion() const
    {19, 178, 0, 0, Smoke::mf_const, 156, 23},	//361 Attica::Provider::hasCommentService() const
    {19, 102, 0, 0, Smoke::mf_const, 80, 24},	//362 Attica::Provider::commentServiceVersion() const
    {19, 180, 0, 0, Smoke::mf_const, 156, 25},	//363 Attica::Provider::hasCredentials() const
    {19, 180, 0, 0, 0, 156, 26},	//364 Attica::Provider::hasCredentials()
    {19, 208, 98, 2, 0, 156, 27},	//365 Attica::Provider::loadCredentials(QString&, QString&)
    {19, 309, 40, 2, 0, 156, 28},	//366 Attica::Provider::saveCredentials(const QString&, const QString&)
    {19, 97, 40, 2, 0, 58, 29},	//367 Attica::Provider::checkLogin(const QString&, const QString&)
    {19, 254, 101, 5, 0, 58, 30},	//368 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {19, 290, 3, 1, 0, 27, 31},	//369 Attica::Provider::requestPerson(const QString&)
    {19, 299, 0, 0, 0, 27, 32},	//370 Attica::Provider::requestPersonSelf()
    {19, 261, 0, 0, 0, 21, 33},	//371 Attica::Provider::requestAccountBalance()
    {19, 297, 3, 1, 0, 46, 34},	//372 Attica::Provider::requestPersonSearchByName(const QString&)
    {19, 292, 107, 5, 0, 46, 35},	//373 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {19, 233, 113, 4, 0, 58, 36},	//374 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {19, 300, 40, 2, 0, 28, 37},	//375 Attica::Provider::requestPrivateData(const QString&, const QString&)
    {19, 300, 0, 0, 0, 28, 38},	//376 Attica::Provider::requestPrivateData()
    {19, 430, 118, 3, 0, 58, 39},	//377 Attica::Provider::setPrivateData(const QString&, const QString&, const QString&)
    {19, 277, 122, 3, 0, 46, 40},	//378 Attica::Provider::requestFriends(const QString&, int, int)
    {19, 306, 126, 2, 0, 46, 41},	//379 Attica::Provider::requestSentInvitations(int, int)
    {19, 303, 126, 2, 0, 46, 42},	//380 Attica::Provider::requestReceivedInvitations(int, int)
    {19, 195, 40, 2, 0, 58, 43},	//381 Attica::Provider::inviteFriend(const QString&, const QString&)
    {19, 74, 3, 1, 0, 58, 44},	//382 Attica::Provider::approveFriendship(const QString&)
    {19, 119, 3, 1, 0, 58, 45},	//383 Attica::Provider::declineFriendship(const QString&)
    {19, 92, 3, 1, 0, 58, 46},	//384 Attica::Provider::cancelFriendship(const QString&)
    {19, 276, 0, 0, 0, 41, 47},	//385 Attica::Provider::requestFolders()
    {19, 287, 59, 1, 0, 45, 48},	//386 Attica::Provider::requestMessages(const Attica::Folder&)
    {19, 287, 129, 2, 0, 45, 49},	//387 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {19, 285, 132, 2, 0, 26, 50},	//388 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {19, 237, 69, 1, 0, 58, 51},	//389 Attica::Provider::postMessage(const Attica::Message&)
    {19, 262, 0, 0, 0, 35, 52},	//390 Attica::Provider::requestActivities()
    {19, 231, 3, 1, 0, 58, 53},	//391 Attica::Provider::postActivity(const QString&)
    {19, 263, 0, 0, 0, 36, 54},	//392 Attica::Provider::requestCategories()
    {19, 284, 0, 0, 0, 44, 55},	//393 Attica::Provider::requestLicenses()
    {19, 268, 0, 0, 0, 39, 56},	//394 Attica::Provider::requestDistributions()
    {19, 281, 0, 0, 0, 42, 57},	//395 Attica::Provider::requestHomePageTypes()
    {19, 312, 135, 5, 0, 38, 58},	//396 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 323, 141, 6, 0, 38, 59},	//397 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 312, 148, 8, 0, 38, 60},	//398 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 266, 3, 1, 0, 22, 61},	//399 Attica::Provider::requestContent(const QString&)
    {19, 147, 40, 2, 0, 23, 62},	//400 Attica::Provider::downloadLink(const QString&, const QString&)
    {19, 497, 157, 2, 0, 58, 63},	//401 Attica::Provider::voteForContent(const QString&, bool)
    {19, 497, 160, 2, 0, 58, 64},	//402 Attica::Provider::voteForContent(const QString&, unsigned int)
    {19, 65, 163, 2, 0, 30, 65},	//403 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {19, 154, 166, 3, 0, 30, 66},	//404 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {19, 123, 3, 1, 0, 58, 67},	//405 Attica::Provider::deleteContent(const QString&)
    {19, 368, 170, 3, 0, 58, 68},	//406 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {19, 125, 3, 1, 0, 58, 69},	//407 Attica::Provider::deleteDownloadFile(const QString&)
    {19, 424, 174, 4, 0, 58, 70},	//408 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {19, 127, 40, 2, 0, 58, 71},	//409 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {19, 282, 3, 1, 0, 25, 72},	//410 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {19, 329, 179, 5, 0, 43, 73},	//411 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {19, 269, 3, 1, 0, 24, 74},	//412 Attica::Provider::requestEvent(const QString&)
    {19, 269, 185, 6, 0, 40, 75},	//413 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {19, 264, 192, 5, 0, 37, 76},	//414 Attica::Provider::requestComments(const Attica::Comment::Type, const QString&, const QString&, int, int)
    {19, 63, 198, 6, 0, 29, 77},	//415 Attica::Provider::addNewComment(const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&)
    {19, 495, 160, 2, 0, 58, 78},	//416 Attica::Provider::voteForComment(const QString&, unsigned int)
    {19, 88, 3, 1, 0, 58, 79},	//417 Attica::Provider::becomeFan(const QString&)
    {19, 272, 205, 3, 0, 46, 80},	//418 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {19, 113, 3, 1, Smoke::mf_protected, 83, 81},	//419 Attica::Provider::createUrl(const QString&)
    {19, 110, 11, 1, Smoke::mf_protected, 78, 82},	//420 Attica::Provider::createRequest(const QUrl&)
    {19, 110, 3, 1, Smoke::mf_protected, 78, 83},	//421 Attica::Provider::createRequest(const QString&)
    {19, 143, 11, 1, Smoke::mf_protected, 27, 84},	//422 Attica::Provider::doRequestPerson(const QUrl&)
    {19, 135, 11, 1, Smoke::mf_protected, 21, 85},	//423 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {19, 145, 11, 1, Smoke::mf_protected, 46, 86},	//424 Attica::Provider::doRequestPersonList(const QUrl&)
    {19, 137, 11, 1, Smoke::mf_protected, 35, 87},	//425 Attica::Provider::doRequestActivityList(const QUrl&)
    {19, 139, 11, 1, Smoke::mf_protected, 41, 88},	//426 Attica::Provider::doRequestFolderList(const QUrl&)
    {19, 141, 11, 1, Smoke::mf_protected, 45, 89},	//427 Attica::Provider::doRequestMessageList(const QUrl&)
    {19, 292, 209, 2, 0, 46, 90},	//428 Attica::Provider::requestPersonSearchByLocation(double, double)
    {19, 292, 212, 3, 0, 46, 91},	//429 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {19, 292, 216, 4, 0, 46, 92},	//430 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {19, 233, 209, 2, 0, 58, 93},	//431 Attica::Provider::postLocation(double, double)
    {19, 233, 221, 3, 0, 58, 94},	//432 Attica::Provider::postLocation(double, double, const QString&)
    {19, 300, 3, 1, 0, 28, 95},	//433 Attica::Provider::requestPrivateData(const QString&)
    {19, 277, 3, 1, 0, 46, 96},	//434 Attica::Provider::requestFriends(const QString&)
    {19, 277, 225, 2, 0, 46, 97},	//435 Attica::Provider::requestFriends(const QString&, int)
    {19, 306, 0, 0, 0, 46, 98},	//436 Attica::Provider::requestSentInvitations()
    {19, 306, 34, 1, 0, 46, 99},	//437 Attica::Provider::requestSentInvitations(int)
    {19, 303, 0, 0, 0, 46, 100},	//438 Attica::Provider::requestReceivedInvitations()
    {19, 303, 34, 1, 0, 46, 101},	//439 Attica::Provider::requestReceivedInvitations(int)
    {19, 312, 228, 1, 0, 38, 102},	//440 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {19, 312, 230, 2, 0, 38, 103},	//441 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {19, 312, 233, 3, 0, 38, 104},	//442 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {19, 312, 237, 4, 0, 38, 105},	//443 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 323, 230, 2, 0, 38, 106},	//444 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {19, 323, 242, 3, 0, 38, 107},	//445 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {19, 323, 246, 4, 0, 38, 108},	//446 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {19, 323, 251, 5, 0, 38, 109},	//447 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 312, 257, 4, 0, 38, 110},	//448 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&)
    {19, 312, 262, 5, 0, 38, 111},	//449 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&)
    {19, 312, 268, 6, 0, 38, 112},	//450 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode)
    {19, 312, 275, 7, 0, 38, 113},	//451 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 147, 3, 1, 0, 23, 114},	//452 Attica::Provider::downloadLink(const QString&)
    {19, 272, 3, 1, 0, 46, 115},	//453 Attica::Provider::requestFans(const QString&)
    {19, 272, 160, 2, 0, 46, 116},	//454 Attica::Provider::requestFans(const QString&, unsigned int)
    {19, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 117},	//455 Attica::Provider::Newest (enum)
    {19, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 118},	//456 Attica::Provider::Alphabetical (enum)
    {19, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 119},	//457 Attica::Provider::Rating (enum)
    {19, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 120},	//458 Attica::Provider::Downloads (enum)
    {19, 516, 0, 0, Smoke::mf_dtor, 0, 121 },	//459 Attica::Provider::~Provider()
    {20, 216, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 1},	//460 Attica::ProviderManager::metaObject() const
    {20, 251, 13, 1, Smoke::mf_virtual, 191, 2},	//461 Attica::ProviderManager::qt_metacast(const char*)
    {20, 481, 15, 2, Smoke::mf_static, 80, 3},	//462 Attica::ProviderManager::tr(const char*, const char*)
    {20, 485, 15, 2, Smoke::mf_static, 80, 4},	//463 Attica::ProviderManager::trUtf8(const char*, const char*)
    {20, 481, 18, 3, Smoke::mf_static, 80, 5},	//464 Attica::ProviderManager::tr(const char*, const char*, int)
    {20, 485, 18, 3, Smoke::mf_static, 80, 6},	//465 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {20, 249, 22, 3, Smoke::mf_virtual, 188, 7},	//466 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {20, 41, 0, 0, Smoke::mf_ctor, 63, 8},	//467 Attica::ProviderManager::ProviderManager()
    {20, 211, 0, 0, 0, 0, 9},	//468 Attica::ProviderManager::loadDefaultProviders()
    {20, 121, 0, 0, 0, 73, 10},	//469 Attica::ProviderManager::defaultProviderFiles()
    {20, 69, 11, 1, 0, 0, 11},	//470 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {20, 258, 11, 1, 0, 0, 12},	//471 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {20, 336, 47, 1, 0, 0, 13},	//472 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {20, 101, 0, 0, 0, 0, 14},	//473 Attica::ProviderManager::clear()
    {20, 71, 3, 1, 0, 0, 15},	//474 Attica::ProviderManager::addProviderFromXml(const QString&)
    {20, 67, 11, 1, 0, 0, 16},	//475 Attica::ProviderManager::addProviderFile(const QUrl&)
    {20, 247, 0, 0, Smoke::mf_const, 73, 17},	//476 Attica::ProviderManager::providerFiles() const
    {20, 248, 0, 0, Smoke::mf_const, 72, 18},	//477 Attica::ProviderManager::providers() const
    {20, 105, 3, 1, Smoke::mf_const, 156, 19},	//478 Attica::ProviderManager::contains(const QString&) const
    {20, 245, 11, 1, Smoke::mf_const, 59, 20},	//479 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {20, 243, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//480 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {20, 122, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//481 Attica::ProviderManager::defaultProvidersLoaded()
    {20, 82, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//482 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {20, 481, 13, 1, Smoke::mf_static, 80, 24},	//483 Attica::ProviderManager::tr(const char*)
    {20, 485, 13, 1, Smoke::mf_static, 80, 25},	//484 Attica::ProviderManager::trUtf8(const char*)
    {20, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 179, 26},	//485 Attica::ProviderManager::staticMetaObject() const
    {20, 517, 0, 0, Smoke::mf_dtor, 0, 27 },	//486 Attica::ProviderManager::~ProviderManager()
    {26, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 1},	//487 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {26, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 2},	//488 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {26, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 3},	//489 QGlobalSpace::Q_STATIC_TYPE (enum)
    {26, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 4},	//490 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {26, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 5},	//491 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {26, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 6},	//492 QGlobalSpace::QtDebugMsg (enum)
    {26, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 7},	//493 QGlobalSpace::QtWarningMsg (enum)
    {26, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 8},	//494 QGlobalSpace::QtCriticalMsg (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 9},	//495 QGlobalSpace::QtFatalMsg (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 10},	//496 QGlobalSpace::QtSystemMsg (enum)
    {32, 160, 283, 1, Smoke::mf_virtual, 156, 0},	//497 QObject::event(QEvent*)
    {32, 161, 285, 2, Smoke::mf_virtual, 156, 0},	//498 QObject::eventFilter(QObject*, QEvent*)
    {32, 477, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//499 QObject::timerEvent(QTimerEvent*)
    {32, 99, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//500 QObject::childEvent(QChildEvent*)
    {32, 117, 283, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//501 QObject::customEvent(QEvent*)
    {32, 104, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//502 QObject::connectNotify(const char*)
    {32, 133, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//503 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    322,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    323,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
    363,  // Attica::Provider::hasCredentials() const
    364,  // Attica::Provider::hasCredentials()
    0,
    401,  // Attica::Provider::voteForContent(const QString&, bool)
    402,  // Attica::Provider::voteForContent(const QString&, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 86, 7},	// Attica::AccountBalance::balance
    {1, 116, 5},	// Attica::AccountBalance::currency
    {1, 223, 3},	// Attica::AccountBalance::operator=#
    {1, 341, 6},	// Attica::AccountBalance::setBalance$
    {1, 361, 4},	// Attica::AccountBalance::setCurrency$
    {1, 499, 8},	// Attica::AccountBalance::~AccountBalance
    {2, 3, 9},	// Attica::Activity::Activity
    {2, 4, 10},	// Attica::Activity::Activity#
    {2, 78, 15},	// Attica::Activity::associatedPerson
    {2, 193, 13},	// Attica::Activity::id
    {2, 200, 22},	// Attica::Activity::isValid
    {2, 207, 21},	// Attica::Activity::link
    {2, 213, 19},	// Attica::Activity::message
    {2, 223, 11},	// Attica::Activity::operator=#
    {2, 335, 14},	// Attica::Activity::setAssociatedPerson#
    {2, 396, 12},	// Attica::Activity::setId$
    {2, 404, 20},	// Attica::Activity::setLink#
    {2, 409, 18},	// Attica::Activity::setMessage$
    {2, 451, 16},	// Attica::Activity::setTimestamp#
    {2, 478, 17},	// Attica::Activity::timestamp
    {2, 500, 23},	// Attica::Activity::~Activity
    {3, 55, 33},	// Attica::BaseJob::abort
    {3, 118, 35},	// Attica::BaseJob::dataFinished
    {3, 162, 37},	// Attica::BaseJob::executeRequest
    {3, 168, 34},	// Attica::BaseJob::finished#
    {3, 194, 39},	// Attica::BaseJob::internals
    {3, 216, 24},	// Attica::BaseJob::metaObject
    {3, 217, 31},	// Attica::BaseJob::metadata
    {3, 227, 38},	// Attica::BaseJob::parse$
    {3, 250, 30},	// Attica::BaseJob::qt_metacall$$?
    {3, 252, 25},	// Attica::BaseJob::qt_metacast$
    {3, 413, 36},	// Attica::BaseJob::setMetadata#
    {3, 469, 32},	// Attica::BaseJob::start
    {3, 471, 42},	// Attica::BaseJob::staticMetaObject
    {3, 482, 40},	// Attica::BaseJob::tr$
    {3, 483, 26},	// Attica::BaseJob::tr$$
    {3, 484, 28},	// Attica::BaseJob::tr$$$
    {3, 486, 41},	// Attica::BaseJob::trUtf8$
    {3, 487, 27},	// Attica::BaseJob::trUtf8$$
    {3, 488, 29},	// Attica::BaseJob::trUtf8$$$
    {3, 501, 43},	// Attica::BaseJob::~BaseJob
    {4, 7, 44},	// Attica::Category::Category
    {4, 8, 45},	// Attica::Category::Category#
    {4, 193, 48},	// Attica::Category::id
    {4, 200, 51},	// Attica::Category::isValid
    {4, 220, 50},	// Attica::Category::name
    {4, 223, 46},	// Attica::Category::operator=#
    {4, 396, 47},	// Attica::Category::setId$
    {4, 417, 49},	// Attica::Category::setName$
    {4, 502, 52},	// Attica::Category::~Category
    {5, 9, 53},	// Attica::Content::Content
    {5, 10, 54},	// Attica::Content::Content#
    {5, 58, 89},	// Attica::Content::addAttribute$$
    {5, 80, 90},	// Attica::Content::attribute$
    {5, 81, 91},	// Attica::Content::attributes
    {5, 84, 84},	// Attica::Content::author
    {5, 96, 73},	// Attica::Content::changelog
    {5, 115, 67},	// Attica::Content::created
    {5, 129, 75},	// Attica::Content::depend
    {5, 130, 71},	// Attica::Content::description
    {5, 132, 72},	// Attica::Content::detailpage
    {5, 151, 76},	// Attica::Content::downloadUrlDescription$
    {5, 152, 77},	// Attica::Content::downloadUrlDescriptions
    {5, 153, 63},	// Attica::Content::downloads
    {5, 188, 79},	// Attica::Content::homePageEntries
    {5, 190, 78},	// Attica::Content::homePageEntry$
    {5, 192, 85},	// Attica::Content::icons
    {5, 193, 57},	// Attica::Content::id
    {5, 200, 92},	// Attica::Content::isValid
    {5, 205, 82},	// Attica::Content::license
    {5, 206, 83},	// Attica::Content::licenseName
    {5, 220, 59},	// Attica::Content::name
    {5, 221, 65},	// Attica::Content::numberOfComments
    {5, 223, 55},	// Attica::Content::operator=#
    {5, 239, 93},	// Attica::Content::previewPicture
    {5, 240, 80},	// Attica::Content::previewPicture$
    {5, 253, 61},	// Attica::Content::rating
    {5, 359, 66},	// Attica::Content::setCreated#
    {5, 371, 62},	// Attica::Content::setDownloads$
    {5, 394, 86},	// Attica::Content::setIcons?
    {5, 396, 56},	// Attica::Content::setId$
    {5, 417, 58},	// Attica::Content::setName$
    {5, 419, 64},	// Attica::Content::setNumberOfComments$
    {5, 433, 60},	// Attica::Content::setRating$
    {5, 459, 68},	// Attica::Content::setUpdated#
    {5, 465, 88},	// Attica::Content::setVideos?
    {5, 467, 94},	// Attica::Content::smallPreviewPicture
    {5, 468, 81},	// Attica::Content::smallPreviewPicture$
    {5, 476, 70},	// Attica::Content::summary
    {5, 490, 69},	// Attica::Content::updated
    {5, 493, 74},	// Attica::Content::version
    {5, 494, 87},	// Attica::Content::videos
    {5, 503, 95},	// Attica::Content::~Content
    {6, 11, 96},	// Attica::DownloadDescription::DownloadDescription
    {6, 12, 97},	// Attica::DownloadDescription::DownloadDescription#
    {6, 18, 129},	// Attica::DownloadDescription::FileDownload
    {6, 25, 130},	// Attica::DownloadDescription::LinkDownload
    {6, 34, 131},	// Attica::DownloadDescription::PackageDownload
    {6, 94, 103},	// Attica::DownloadDescription::category
    {6, 134, 106},	// Attica::DownloadDescription::distributionType
    {6, 175, 110},	// Attica::DownloadDescription::gpgFingerprint
    {6, 176, 111},	// Attica::DownloadDescription::gpgSignature
    {6, 187, 102},	// Attica::DownloadDescription::hasPrice
    {6, 193, 99},	// Attica::DownloadDescription::id
    {6, 197, 101},	// Attica::DownloadDescription::isDownloadtypLink
    {6, 207, 105},	// Attica::DownloadDescription::link
    {6, 220, 104},	// Attica::DownloadDescription::name
    {6, 223, 98},	// Attica::DownloadDescription::operator=#
    {6, 224, 112},	// Attica::DownloadDescription::packageName
    {6, 241, 108},	// Attica::DownloadDescription::priceAmount
    {6, 242, 107},	// Attica::DownloadDescription::priceReason
    {6, 260, 113},	// Attica::DownloadDescription::repository
    {6, 347, 118},	// Attica::DownloadDescription::setCategory$
    {6, 367, 121},	// Attica::DownloadDescription::setDistributionType$
    {6, 373, 116},	// Attica::DownloadDescription::setDownloadtypLink$
    {6, 385, 125},	// Attica::DownloadDescription::setGpgFingerprint$
    {6, 387, 126},	// Attica::DownloadDescription::setGpgSignature$
    {6, 389, 117},	// Attica::DownloadDescription::setHasPrice$
    {6, 396, 114},	// Attica::DownloadDescription::setId$
    {6, 405, 120},	// Attica::DownloadDescription::setLink$
    {6, 417, 119},	// Attica::DownloadDescription::setName$
    {6, 421, 127},	// Attica::DownloadDescription::setPackageName$
    {6, 427, 123},	// Attica::DownloadDescription::setPriceAmount$
    {6, 429, 122},	// Attica::DownloadDescription::setPriceReason$
    {6, 435, 128},	// Attica::DownloadDescription::setRepository$
    {6, 439, 124},	// Attica::DownloadDescription::setSize$
    {6, 457, 115},	// Attica::DownloadDescription::setType$
    {6, 466, 109},	// Attica::DownloadDescription::size
    {6, 489, 100},	// Attica::DownloadDescription::type
    {6, 504, 132},	// Attica::DownloadDescription::~DownloadDescription
    {7, 13, 133},	// Attica::DownloadItem::DownloadItem
    {7, 14, 134},	// Attica::DownloadItem::DownloadItem#
    {7, 175, 145},	// Attica::DownloadItem::gpgFingerprint
    {7, 176, 147},	// Attica::DownloadItem::gpgSignature
    {7, 218, 139},	// Attica::DownloadItem::mimeType
    {7, 223, 135},	// Attica::DownloadItem::operator=#
    {7, 224, 141},	// Attica::DownloadItem::packageName
    {7, 225, 143},	// Attica::DownloadItem::packageRepository
    {7, 385, 144},	// Attica::DownloadItem::setGpgFingerprint$
    {7, 387, 146},	// Attica::DownloadItem::setGpgSignature$
    {7, 415, 138},	// Attica::DownloadItem::setMimeType$
    {7, 421, 140},	// Attica::DownloadItem::setPackageName$
    {7, 423, 142},	// Attica::DownloadItem::setPackageRepository$
    {7, 457, 148},	// Attica::DownloadItem::setType$
    {7, 461, 136},	// Attica::DownloadItem::setUrl#
    {7, 489, 149},	// Attica::DownloadItem::type
    {7, 491, 137},	// Attica::DownloadItem::url
    {7, 505, 150},	// Attica::DownloadItem::~DownloadItem
    {8, 16, 151},	// Attica::Event::Event
    {8, 17, 152},	// Attica::Event::Event#
    {8, 62, 176},	// Attica::Event::addExtendedAttribute$$
    {8, 100, 175},	// Attica::Event::city
    {8, 109, 173},	// Attica::Event::country
    {8, 130, 159},	// Attica::Event::description
    {8, 158, 165},	// Attica::Event::endDate
    {8, 164, 177},	// Attica::Event::extendedAttribute$
    {8, 165, 178},	// Attica::Event::extendedAttributes
    {8, 191, 171},	// Attica::Event::homepage
    {8, 193, 155},	// Attica::Event::id
    {8, 200, 179},	// Attica::Event::isValid
    {8, 204, 167},	// Attica::Event::latitude
    {8, 212, 169},	// Attica::Event::longitude
    {8, 220, 157},	// Attica::Event::name
    {8, 223, 153},	// Attica::Event::operator=#
    {8, 351, 174},	// Attica::Event::setCity$
    {8, 357, 172},	// Attica::Event::setCountry$
    {8, 363, 158},	// Attica::Event::setDescription$
    {8, 377, 164},	// Attica::Event::setEndDate#
    {8, 391, 170},	// Attica::Event::setHomepage#
    {8, 396, 154},	// Attica::Event::setId$
    {8, 402, 166},	// Attica::Event::setLatitude$
    {8, 407, 168},	// Attica::Event::setLongitude$
    {8, 417, 156},	// Attica::Event::setName$
    {8, 441, 162},	// Attica::Event::setStartDate#
    {8, 463, 160},	// Attica::Event::setUser$
    {8, 470, 163},	// Attica::Event::startDate
    {8, 492, 161},	// Attica::Event::user
    {8, 506, 180},	// Attica::Event::~Event
    {9, 19, 181},	// Attica::Folder::Folder
    {9, 20, 182},	// Attica::Folder::Folder#
    {9, 193, 185},	// Attica::Folder::id
    {9, 200, 192},	// Attica::Folder::isValid
    {9, 214, 189},	// Attica::Folder::messageCount
    {9, 220, 187},	// Attica::Folder::name
    {9, 223, 183},	// Attica::Folder::operator=#
    {9, 396, 184},	// Attica::Folder::setId$
    {9, 411, 188},	// Attica::Folder::setMessageCount$
    {9, 417, 186},	// Attica::Folder::setName$
    {9, 457, 190},	// Attica::Folder::setType$
    {9, 489, 191},	// Attica::Folder::type
    {9, 507, 193},	// Attica::Folder::~Folder
    {10, 216, 194},	// Attica::GetJob::metaObject
    {10, 250, 200},	// Attica::GetJob::qt_metacall$$?
    {10, 252, 195},	// Attica::GetJob::qt_metacast$
    {10, 471, 203},	// Attica::GetJob::staticMetaObject
    {10, 482, 201},	// Attica::GetJob::tr$
    {10, 483, 196},	// Attica::GetJob::tr$$
    {10, 484, 198},	// Attica::GetJob::tr$$$
    {10, 486, 202},	// Attica::GetJob::trUtf8$
    {10, 487, 197},	// Attica::GetJob::trUtf8$$
    {10, 488, 199},	// Attica::GetJob::trUtf8$$$
    {10, 508, 204},	// Attica::GetJob::~GetJob
    {12, 21, 205},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {12, 22, 206},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {12, 62, 228},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {12, 73, 223},	// Attica::KnowledgeBaseEntry::answer
    {12, 95, 217},	// Attica::KnowledgeBaseEntry::changed
    {12, 103, 225},	// Attica::KnowledgeBaseEntry::comments
    {12, 107, 211},	// Attica::KnowledgeBaseEntry::contentId
    {12, 130, 221},	// Attica::KnowledgeBaseEntry::description
    {12, 131, 227},	// Attica::KnowledgeBaseEntry::detailPage
    {12, 164, 229},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {12, 165, 230},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {12, 193, 209},	// Attica::KnowledgeBaseEntry::id
    {12, 200, 231},	// Attica::KnowledgeBaseEntry::isValid
    {12, 220, 219},	// Attica::KnowledgeBaseEntry::name
    {12, 223, 207},	// Attica::KnowledgeBaseEntry::operator=#
    {12, 333, 222},	// Attica::KnowledgeBaseEntry::setAnswer$
    {12, 349, 216},	// Attica::KnowledgeBaseEntry::setChanged#
    {12, 353, 224},	// Attica::KnowledgeBaseEntry::setComments$
    {12, 355, 210},	// Attica::KnowledgeBaseEntry::setContentId$
    {12, 363, 220},	// Attica::KnowledgeBaseEntry::setDescription$
    {12, 365, 226},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {12, 396, 208},	// Attica::KnowledgeBaseEntry::setId$
    {12, 417, 218},	// Attica::KnowledgeBaseEntry::setName$
    {12, 443, 214},	// Attica::KnowledgeBaseEntry::setStatus$
    {12, 463, 212},	// Attica::KnowledgeBaseEntry::setUser$
    {12, 472, 215},	// Attica::KnowledgeBaseEntry::status
    {12, 492, 213},	// Attica::KnowledgeBaseEntry::user
    {12, 509, 232},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {13, 23, 233},	// Attica::License::License
    {13, 24, 234},	// Attica::License::License#
    {13, 193, 236},	// Attica::License::id
    {13, 220, 238},	// Attica::License::name
    {13, 223, 235},	// Attica::License::operator=#
    {13, 396, 237},	// Attica::License::setId$
    {13, 417, 239},	// Attica::License::setName$
    {13, 461, 241},	// Attica::License::setUrl#
    {13, 491, 240},	// Attica::License::url
    {13, 510, 242},	// Attica::License::~License
    {14, 6, 263},	// Attica::Message::Answered
    {14, 26, 243},	// Attica::Message::Message
    {14, 27, 244},	// Attica::Message::Message#
    {14, 53, 262},	// Attica::Message::Read
    {14, 54, 261},	// Attica::Message::Unread
    {14, 91, 259},	// Attica::Message::body
    {14, 171, 249},	// Attica::Message::from
    {14, 193, 247},	// Attica::Message::id
    {14, 200, 260},	// Attica::Message::isValid
    {14, 223, 245},	// Attica::Message::operator=#
    {14, 331, 253},	// Attica::Message::sent
    {14, 345, 258},	// Attica::Message::setBody$
    {14, 383, 248},	// Attica::Message::setFrom$
    {14, 396, 246},	// Attica::Message::setId$
    {14, 437, 252},	// Attica::Message::setSent#
    {14, 443, 254},	// Attica::Message::setStatus$
    {14, 449, 256},	// Attica::Message::setSubject$
    {14, 453, 250},	// Attica::Message::setTo$
    {14, 472, 255},	// Attica::Message::status
    {14, 475, 257},	// Attica::Message::subject
    {14, 479, 251},	// Attica::Message::to
    {14, 511, 264},	// Attica::Message::~Message
    {15, 28, 265},	// Attica::Metadata::Metadata
    {15, 29, 266},	// Attica::Metadata::Metadata#
    {15, 30, 281},	// Attica::Metadata::NetworkError
    {15, 32, 280},	// Attica::Metadata::NoError
    {15, 33, 282},	// Attica::Metadata::OcsError
    {15, 159, 268},	// Attica::Metadata::error
    {15, 201, 278},	// Attica::Metadata::itemsPerPage
    {15, 213, 274},	// Attica::Metadata::message
    {15, 223, 267},	// Attica::Metadata::operator=#
    {15, 379, 269},	// Attica::Metadata::setError$
    {15, 398, 279},	// Attica::Metadata::setItemsPerPage$
    {15, 409, 275},	// Attica::Metadata::setMessage$
    {15, 445, 271},	// Attica::Metadata::setStatusCode$
    {15, 447, 273},	// Attica::Metadata::setStatusString$
    {15, 455, 277},	// Attica::Metadata::setTotalItems$
    {15, 473, 270},	// Attica::Metadata::statusCode
    {15, 474, 272},	// Attica::Metadata::statusString
    {15, 480, 276},	// Attica::Metadata::totalItems
    {15, 512, 283},	// Attica::Metadata::~Metadata
    {16, 35, 284},	// Attica::Person::Person
    {16, 36, 285},	// Attica::Person::Person#
    {16, 62, 307},	// Attica::Person::addExtendedAttribute$$
    {16, 85, 302},	// Attica::Person::avatarUrl
    {16, 90, 294},	// Attica::Person::birthday
    {16, 100, 306},	// Attica::Person::city
    {16, 109, 296},	// Attica::Person::country
    {16, 164, 308},	// Attica::Person::extendedAttribute$
    {16, 165, 309},	// Attica::Person::extendedAttributes
    {16, 169, 290},	// Attica::Person::firstName
    {16, 191, 304},	// Attica::Person::homepage
    {16, 193, 288},	// Attica::Person::id
    {16, 200, 310},	// Attica::Person::isValid
    {16, 203, 292},	// Attica::Person::lastName
    {16, 204, 298},	// Attica::Person::latitude
    {16, 212, 300},	// Attica::Person::longitude
    {16, 223, 286},	// Attica::Person::operator=#
    {16, 339, 301},	// Attica::Person::setAvatarUrl#
    {16, 343, 293},	// Attica::Person::setBirthday#
    {16, 351, 305},	// Attica::Person::setCity$
    {16, 357, 295},	// Attica::Person::setCountry$
    {16, 381, 289},	// Attica::Person::setFirstName$
    {16, 392, 303},	// Attica::Person::setHomepage$
    {16, 396, 287},	// Attica::Person::setId$
    {16, 400, 291},	// Attica::Person::setLastName$
    {16, 402, 297},	// Attica::Person::setLatitude$
    {16, 407, 299},	// Attica::Person::setLongitude$
    {16, 513, 311},	// Attica::Person::~Person
    {17, 37, 325},	// Attica::PlatformDependent::PlatformDependent
    {17, 38, 326},	// Attica::PlatformDependent::PlatformDependent#
    {17, 60, 313},	// Attica::PlatformDependent::addDefaultProviderFile#
    {17, 77, 319},	// Attica::PlatformDependent::askForCredentials#$$
    {17, 157, 315},	// Attica::PlatformDependent::enableProvider#$
    {17, 173, 321},	// Attica::PlatformDependent::get#
    {17, 174, 312},	// Attica::PlatformDependent::getDefaultProviderFiles
    {17, 181, 317},	// Attica::PlatformDependent::hasCredentials#
    {17, 199, 316},	// Attica::PlatformDependent::isEnabled#
    {17, 209, 318},	// Attica::PlatformDependent::loadCredentials#$$
    {17, 219, 324},	// Attica::PlatformDependent::nam
    {17, 230, -1},	// Attica::PlatformDependent::post##
    {17, 257, 314},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {17, 310, 320},	// Attica::PlatformDependent::saveCredentials#$$
    {17, 514, 327},	// Attica::PlatformDependent::~PlatformDependent
    {18, 216, 328},	// Attica::PostJob::metaObject
    {18, 250, 334},	// Attica::PostJob::qt_metacall$$?
    {18, 252, 329},	// Attica::PostJob::qt_metacast$
    {18, 471, 337},	// Attica::PostJob::staticMetaObject
    {18, 482, 335},	// Attica::PostJob::tr$
    {18, 483, 330},	// Attica::PostJob::tr$$
    {18, 484, 332},	// Attica::PostJob::tr$$$
    {18, 486, 336},	// Attica::PostJob::trUtf8$
    {18, 487, 331},	// Attica::PostJob::trUtf8$$
    {18, 488, 333},	// Attica::PostJob::trUtf8$$$
    {18, 515, 338},	// Attica::PostJob::~PostJob
    {19, 5, 456},	// Attica::Provider::Alphabetical
    {19, 15, 458},	// Attica::Provider::Downloads
    {19, 31, 455},	// Attica::Provider::Newest
    {19, 39, 339},	// Attica::Provider::Provider
    {19, 40, 340},	// Attica::Provider::Provider#
    {19, 52, 457},	// Attica::Provider::Rating
    {19, 56, 354},	// Attica::Provider::activityServiceVersion
    {19, 64, 415},	// Attica::Provider::addNewComment$$$$$$
    {19, 66, 403},	// Attica::Provider::addNewContent##
    {19, 75, 382},	// Attica::Provider::approveFriendship$
    {19, 87, 345},	// Attica::Provider::baseUrl
    {19, 89, 417},	// Attica::Provider::becomeFan$
    {19, 93, 384},	// Attica::Provider::cancelFriendship$
    {19, 98, 367},	// Attica::Provider::checkLogin$$
    {19, 102, 362},	// Attica::Provider::commentServiceVersion
    {19, 108, 356},	// Attica::Provider::contentServiceVersion
    {19, 111, 420},	// Attica::Provider::createRequest#
    {19, 112, 421},	// Attica::Provider::createRequest$
    {19, 114, 419},	// Attica::Provider::createUrl$
    {19, 120, 383},	// Attica::Provider::declineFriendship$
    {19, 124, 405},	// Attica::Provider::deleteContent$
    {19, 126, 407},	// Attica::Provider::deleteDownloadFile$
    {19, 128, 409},	// Attica::Provider::deletePreviewImage$$
    {19, 136, 423},	// Attica::Provider::doRequestAccountBalance#
    {19, 138, 425},	// Attica::Provider::doRequestActivityList#
    {19, 140, 426},	// Attica::Provider::doRequestFolderList#
    {19, 142, 427},	// Attica::Provider::doRequestMessageList#
    {19, 144, 422},	// Attica::Provider::doRequestPerson#
    {19, 146, 424},	// Attica::Provider::doRequestPersonList#
    {19, 148, 452},	// Attica::Provider::downloadLink$
    {19, 149, 400},	// Attica::Provider::downloadLink$$
    {19, 155, 404},	// Attica::Provider::editContent#$#
    {19, 166, 358},	// Attica::Provider::fanServiceVersion
    {19, 170, 350},	// Attica::Provider::friendServiceVersion
    {19, 177, 353},	// Attica::Provider::hasActivityService
    {19, 178, 361},	// Attica::Provider::hasCommentService
    {19, 179, 355},	// Attica::Provider::hasContentService
    {19, 180, -4},	// Attica::Provider::hasCredentials
    {19, 182, 357},	// Attica::Provider::hasFanService
    {19, 183, 349},	// Attica::Provider::hasFriendService
    {19, 184, 359},	// Attica::Provider::hasKnowledgebaseService
    {19, 185, 351},	// Attica::Provider::hasMessageService
    {19, 186, 347},	// Attica::Provider::hasPersonService
    {19, 196, 381},	// Attica::Provider::inviteFriend$$
    {19, 198, 343},	// Attica::Provider::isEnabled
    {19, 200, 342},	// Attica::Provider::isValid
    {19, 202, 360},	// Attica::Provider::knowledgebaseServiceVersion
    {19, 210, 365},	// Attica::Provider::loadCredentials$$
    {19, 215, 352},	// Attica::Provider::messageServiceVersion
    {19, 220, 346},	// Attica::Provider::name
    {19, 223, 341},	// Attica::Provider::operator=#
    {19, 228, 348},	// Attica::Provider::personServiceVersion
    {19, 232, 391},	// Attica::Provider::postActivity$
    {19, 234, 431},	// Attica::Provider::postLocation$$
    {19, 235, 432},	// Attica::Provider::postLocation$$$
    {19, 236, 374},	// Attica::Provider::postLocation$$$$
    {19, 238, 389},	// Attica::Provider::postMessage#
    {19, 255, 368},	// Attica::Provider::registerAccount$$$$$
    {19, 261, 371},	// Attica::Provider::requestAccountBalance
    {19, 262, 390},	// Attica::Provider::requestActivities
    {19, 263, 392},	// Attica::Provider::requestCategories
    {19, 265, 414},	// Attica::Provider::requestComments$$$$$
    {19, 267, 399},	// Attica::Provider::requestContent$
    {19, 268, 394},	// Attica::Provider::requestDistributions
    {19, 270, 412},	// Attica::Provider::requestEvent$
    {19, 271, 413},	// Attica::Provider::requestEvent$$#$$$
    {19, 273, 453},	// Attica::Provider::requestFans$
    {19, 274, 454},	// Attica::Provider::requestFans$$
    {19, 275, 418},	// Attica::Provider::requestFans$$$
    {19, 276, 385},	// Attica::Provider::requestFolders
    {19, 278, 434},	// Attica::Provider::requestFriends$
    {19, 279, 435},	// Attica::Provider::requestFriends$$
    {19, 280, 378},	// Attica::Provider::requestFriends$$$
    {19, 281, 395},	// Attica::Provider::requestHomePageTypes
    {19, 283, 410},	// Attica::Provider::requestKnowledgeBaseEntry$
    {19, 284, 393},	// Attica::Provider::requestLicenses
    {19, 286, 388},	// Attica::Provider::requestMessage#$
    {19, 288, 386},	// Attica::Provider::requestMessages#
    {19, 289, 387},	// Attica::Provider::requestMessages#$
    {19, 291, 369},	// Attica::Provider::requestPerson$
    {19, 293, 428},	// Attica::Provider::requestPersonSearchByLocation$$
    {19, 294, 429},	// Attica::Provider::requestPersonSearchByLocation$$$
    {19, 295, 430},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {19, 296, 373},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {19, 298, 372},	// Attica::Provider::requestPersonSearchByName$
    {19, 299, 370},	// Attica::Provider::requestPersonSelf
    {19, 300, 376},	// Attica::Provider::requestPrivateData
    {19, 301, 433},	// Attica::Provider::requestPrivateData$
    {19, 302, 375},	// Attica::Provider::requestPrivateData$$
    {19, 303, 438},	// Attica::Provider::requestReceivedInvitations
    {19, 304, 439},	// Attica::Provider::requestReceivedInvitations$
    {19, 305, 380},	// Attica::Provider::requestReceivedInvitations$$
    {19, 306, 436},	// Attica::Provider::requestSentInvitations
    {19, 307, 437},	// Attica::Provider::requestSentInvitations$
    {19, 308, 379},	// Attica::Provider::requestSentInvitations$$
    {19, 311, 366},	// Attica::Provider::saveCredentials$$
    {19, 313, 440},	// Attica::Provider::searchContents?
    {19, 314, 441},	// Attica::Provider::searchContents?$
    {19, 315, 442},	// Attica::Provider::searchContents?$$
    {19, 316, 443},	// Attica::Provider::searchContents?$$$
    {19, 317, 396},	// Attica::Provider::searchContents?$$$$
    {19, 318, 448},	// Attica::Provider::searchContents?$??
    {19, 319, 449},	// Attica::Provider::searchContents?$??$
    {19, 320, 450},	// Attica::Provider::searchContents?$??$$
    {19, 321, 451},	// Attica::Provider::searchContents?$??$$$
    {19, 322, 398},	// Attica::Provider::searchContents?$??$$$$
    {19, 324, 444},	// Attica::Provider::searchContentsByPerson?$
    {19, 325, 445},	// Attica::Provider::searchContentsByPerson?$$
    {19, 326, 446},	// Attica::Provider::searchContentsByPerson?$$$
    {19, 327, 447},	// Attica::Provider::searchContentsByPerson?$$$$
    {19, 328, 397},	// Attica::Provider::searchContentsByPerson?$$$$$
    {19, 330, 411},	// Attica::Provider::searchKnowledgeBase#$$$$
    {19, 369, 406},	// Attica::Provider::setDownloadFile$$#
    {19, 375, 344},	// Attica::Provider::setEnabled$
    {19, 425, 408},	// Attica::Provider::setPreviewImage$$$#
    {19, 431, 377},	// Attica::Provider::setPrivateData$$$
    {19, 496, 416},	// Attica::Provider::voteForComment$$
    {19, 498, -7},	// Attica::Provider::voteForContent$$
    {19, 516, 459},	// Attica::Provider::~Provider
    {20, 41, 467},	// Attica::ProviderManager::ProviderManager
    {20, 68, 475},	// Attica::ProviderManager::addProviderFile#
    {20, 70, 470},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {20, 72, 474},	// Attica::ProviderManager::addProviderFromXml$
    {20, 83, 482},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {20, 101, 473},	// Attica::ProviderManager::clear
    {20, 106, 478},	// Attica::ProviderManager::contains$
    {20, 121, 469},	// Attica::ProviderManager::defaultProviderFiles
    {20, 122, 481},	// Attica::ProviderManager::defaultProvidersLoaded
    {20, 211, 468},	// Attica::ProviderManager::loadDefaultProviders
    {20, 216, 460},	// Attica::ProviderManager::metaObject
    {20, 244, 480},	// Attica::ProviderManager::providerAdded#
    {20, 246, 479},	// Attica::ProviderManager::providerByUrl#
    {20, 247, 476},	// Attica::ProviderManager::providerFiles
    {20, 248, 477},	// Attica::ProviderManager::providers
    {20, 250, 466},	// Attica::ProviderManager::qt_metacall$$?
    {20, 252, 461},	// Attica::ProviderManager::qt_metacast$
    {20, 259, 471},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {20, 337, 472},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {20, 471, 485},	// Attica::ProviderManager::staticMetaObject
    {20, 482, 483},	// Attica::ProviderManager::tr$
    {20, 483, 462},	// Attica::ProviderManager::tr$$
    {20, 484, 464},	// Attica::ProviderManager::tr$$$
    {20, 486, 484},	// Attica::ProviderManager::trUtf8$
    {20, 487, 463},	// Attica::ProviderManager::trUtf8$$
    {20, 488, 465},	// Attica::ProviderManager::trUtf8$$$
    {20, 517, 486},	// Attica::ProviderManager::~ProviderManager
    {26, 42, 487},	// QGlobalSpace::Q_COMPLEX_TYPE
    {26, 43, 491},	// QGlobalSpace::Q_DUMMY_TYPE
    {26, 44, 490},	// QGlobalSpace::Q_MOVABLE_TYPE
    {26, 45, 488},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {26, 46, 489},	// QGlobalSpace::Q_STATIC_TYPE
    {26, 47, 494},	// QGlobalSpace::QtCriticalMsg
    {26, 48, 492},	// QGlobalSpace::QtDebugMsg
    {26, 49, 495},	// QGlobalSpace::QtFatalMsg
    {26, 50, 496},	// QGlobalSpace::QtSystemMsg
    {26, 51, 493},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 34,
        __smokeattica::methods, 504,
        __smokeattica::methodMaps, 494,
        __smokeattica::methodNames, 517,
        __smokeattica::types, 193,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
