#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OptionalTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 17: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 35: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Result
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 24: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Resource
      switch(to) {
        case 25: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Class
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 26: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Entity
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Types::Property
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 28: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Variant
      switch(to) {
        case 29: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 30:   //QBool
      switch(to) {
        case 30: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QObject
      switch(to) {
        case 35: return (void*)(QObject*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QTimerEvent
      switch(to) {
        case 37: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::BindingSet
      switch(to) {
        case 38: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::LanguageTag
      switch(to) {
        case 39: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::LiteralValue
      switch(to) {
        case 40: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Node
      switch(to) {
        case 41: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Statement
      switch(to) {
        case 42: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    22, 0,	// 3: Nepomuk::Query::SimpleTerm
    15, 0,	// 5: Nepomuk::Query::Query
    23, 0,	// 7: Nepomuk::Query::Term
    35, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__FileQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OptionalTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, xenum_Nepomuk__Query__FileQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OptionalTerm", false, 3, xcall_Nepomuk__Query__OptionalTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OptionalTerm) },	//13
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//14
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//15
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//16
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, xenum_Nepomuk__Query__QueryParser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//17
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//18
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//19
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//20
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//21
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//22
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//23
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//27
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//28
    { "Nepomuk::Variant", true, 0, 0, 0, 0, 0 },	//29
    { "QBool", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QObject", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//38
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//39
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//40
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//41
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//42
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::AggregateFunction", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Nepomuk::Query::FileQuery", 9, Smoke::t_class|Smoke::tf_stack },	//18
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//19
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Query::FileQuery::FileModeFlags", 9, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//26
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//27
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Query::OptionalTerm", 13, Smoke::t_class|Smoke::tf_stack },	//29
    { "Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//30
    { "Nepomuk::Query::OptionalTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Query::OrTerm", 14, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "Nepomuk::Query::OrTerm*", 14, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Nepomuk::Query::Query", 15, Smoke::t_class|Smoke::tf_stack },	//35
    { "Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref },	//36
    { "Nepomuk::Query::Query*", 15, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::Query::QueryFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref },	//39
    { "Nepomuk::Query::Query::RequestProperty*", 16, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::Query::SparqlFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Nepomuk::Query::QueryParser*", 17, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Query::QueryParser::ParserFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Nepomuk::Query::QueryServiceClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Nepomuk::Query::ResourceTerm", 19, Smoke::t_class|Smoke::tf_stack },	//45
    { "Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//46
    { "Nepomuk::Query::ResourceTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Nepomuk::Query::ResourceTypeTerm", 20, Smoke::t_class|Smoke::tf_stack },	//48
    { "Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref },	//49
    { "Nepomuk::Query::ResourceTypeTerm*", 20, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref },	//51
    { "Nepomuk::Query::Result*", 21, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Query::SimpleTerm*", 22, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//54
    { "Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref },	//55
    { "Nepomuk::Query::Term*", 23, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Nepomuk::Query::Term::Type", 23, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Nepomuk::Query::TermPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Nepomuk::Resource", 25, Smoke::t_class|Smoke::tf_stack },	//59
    { "Nepomuk::Types::Class", 26, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Types::Property", 28, Smoke::t_class|Smoke::tf_stack },	//61
    { "Nepomuk::Variant", 29, Smoke::t_class|Smoke::tf_stack },	//62
    { "QBool", 30, Smoke::t_class|Smoke::tf_stack },	//63
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QFlags<Nepomuk::Query::FileQuery::FileModeFlags>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Nepomuk::Query::Query::QueryFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Nepomuk::Query::Query::SparqlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Nepomuk::Query::QueryParser::ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QHash<KUrl,bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<Nepomuk::Query::Result>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QObject*", 35, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//79
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//82
    { "QTimerEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Soprano::BindingSet", 38, Smoke::t_class|Smoke::tf_stack },	//156
    { "Soprano::LiteralValue", 40, Smoke::t_class|Smoke::tf_stack },	//157
    { "Soprano::Node", 41, Smoke::t_class|Smoke::tf_stack },	//158
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//159
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//160
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//161
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Nepomuk::Query::QueryParser&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Nepomuk::Query::RequestPropertyMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "const Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Nepomuk::Query::SimpleTerm&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Nepomuk::Resource&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Nepomuk::Types::Class&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Nepomuk::Types::Entity&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Nepomuk::Types::Property&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Nepomuk::Variant&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QHash<KUrl,bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//194
    { "const QObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//195
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//198
    { "const Soprano::BindingSet&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::LanguageTag&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Soprano::LiteralValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Soprano::Node&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Soprano::Statement&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//206
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//207
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//208
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//209
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//210
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//211
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//212
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    181, 181, 0,	//1  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    185, 181, 0,	//4  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    181, 0,	//7  const Nepomuk::Query::Term&
    173, 181, 0,	//9  const Nepomuk::Query::Query&, const Nepomuk::Query::Term&
    173, 0,	//12  const Nepomuk::Query::Query&
    165, 0,	//14  const Nepomuk::Query::AndTerm&
    181, 181, 181, 181, 181, 181, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    191, 0,	//23  const QList<Nepomuk::Query::Term>&
    181, 181, 181, 0,	//25  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    181, 181, 181, 181, 0,	//29  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    181, 181, 181, 181, 181, 0,	//34  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    166, 0,	//40  const Nepomuk::Query::ComparisonTerm&
    185, 181, 17, 0,	//42  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    17, 0,	//46  Nepomuk::Query::ComparisonTerm::Comparator
    185, 0,	//48  const Nepomuk::Types::Property&
    197, 0,	//50  const QString&
    16, 0,	//52  Nepomuk::Query::ComparisonTerm::AggregateFunction
    207, 137, 0,	//54  int, Qt::SortOrder
    160, 0,	//57  bool
    207, 0,	//59  int
    163, 0,	//61  const KUrl&
    163, 160, 0,	//63  const KUrl&, bool
    164, 0,	//66  const KUrl::List&
    187, 0,	//68  const QHash<KUrl,bool>&
    66, 0,	//70  QFlags<Nepomuk::Query::FileQuery::FileModeFlags>
    167, 0,	//72  const Nepomuk::Query::FileQuery&
    58, 0,	//74  Nepomuk::Query::TermPrivate*
    58, 181, 181, 181, 181, 181, 181, 0,	//76  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    168, 0,	//84  const Nepomuk::Query::GroupTerm&
    58, 181, 181, 0,	//86  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    58, 181, 181, 181, 0,	//90  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    58, 181, 181, 181, 181, 0,	//95  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    58, 181, 181, 181, 181, 181, 0,	//101  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    169, 0,	//108  const Nepomuk::Query::LiteralTerm&
    201, 0,	//110  const Soprano::LiteralValue&
    170, 0,	//112  const Nepomuk::Query::NegationTerm&
    171, 0,	//114  const Nepomuk::Query::OptionalTerm&
    172, 0,	//116  const Nepomuk::Query::OrTerm&
    137, 0,	//118  Qt::SortOrder
    67, 0,	//120  QFlags<Nepomuk::Query::Query::QueryFlag>
    174, 0,	//122  const Nepomuk::Query::Query::RequestProperty&
    189, 0,	//124  const QList<Nepomuk::Query::Query::RequestProperty>&
    68, 0,	//126  QFlags<Nepomuk::Query::Query::SparqlFlag>
    197, 68, 0,	//128  const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>
    185, 160, 0,	//131  const Nepomuk::Types::Property&, bool
    197, 69, 0,	//134  const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>
    175, 0,	//137  const Nepomuk::Query::QueryParser&
    204, 0,	//139  const char*
    204, 204, 0,	//141  const char*, const char*
    204, 204, 207, 0,	//144  const char*, const char*, int
    77, 207, 211, 0,	//148  QMetaObject::Call, int, void**
    78, 0,	//152  QObject*
    173, 161, 0,	//154  const Nepomuk::Query::Query&, bool*
    197, 188, 161, 0,	//157  const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*
    197, 161, 0,	//161  const QString&, bool*
    197, 176, 0,	//164  const QString&, const Nepomuk::Query::RequestPropertyMap&
    190, 0,	//167  const QList<Nepomuk::Query::Result>&
    192, 0,	//169  const QList<QUrl>&
    197, 188, 0,	//171  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    177, 0,	//174  const Nepomuk::Query::ResourceTerm&
    182, 0,	//176  const Nepomuk::Resource&
    178, 0,	//178  const Nepomuk::Query::ResourceTypeTerm&
    183, 0,	//180  const Nepomuk::Types::Class&
    182, 206, 0,	//182  const Nepomuk::Resource&, double
    179, 0,	//185  const Nepomuk::Query::Result&
    206, 0,	//187  double
    185, 202, 0,	//189  const Nepomuk::Types::Property&, const Soprano::Node&
    199, 0,	//192  const Soprano::BindingSet&
    180, 0,	//194  const Nepomuk::Query::SimpleTerm&
    186, 0,	//196  const Nepomuk::Variant&
    185, 186, 0,	//198  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    65, 0,	//201  QEvent*
    78, 65, 0,	//203  QObject*, QEvent*
    83, 0,	//206  QTimerEvent*
    64, 0,	//208  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Average",	//10
    "Comparison",	//11
    "ComparisonTerm",	//12
    "ComparisonTerm#",	//13
    "ComparisonTerm##",	//14
    "ComparisonTerm##$",	//15
    "Contains",	//16
    "Count",	//17
    "CreateAskQuery",	//18
    "CreateCountQuery",	//19
    "DetectFilenamePattern",	//20
    "DistinctAverage",	//21
    "DistinctCount",	//22
    "DistinctSum",	//23
    "Equal",	//24
    "FileQuery",	//25
    "FileQuery#",	//26
    "Greater",	//27
    "GreaterOrEqual",	//28
    "GroupTerm",	//29
    "GroupTerm#",	//30
    "GroupTerm###",	//31
    "GroupTerm####",	//32
    "GroupTerm#####",	//33
    "GroupTerm######",	//34
    "GroupTerm#######",	//35
    "HandleInverseProperties",	//36
    "Invalid",	//37
    "Literal",	//38
    "LiteralTerm",	//39
    "LiteralTerm#",	//40
    "Max",	//41
    "Min",	//42
    "Negation",	//43
    "NegationTerm",	//44
    "NegationTerm#",	//45
    "NoAggregateFunction",	//46
    "NoFlags",	//47
    "NoParserFlags",	//48
    "NoQueryFlags",	//49
    "NoResultRestrictions",	//50
    "Optional",	//51
    "OptionalTerm",	//52
    "OptionalTerm#",	//53
    "Or",	//54
    "OrTerm",	//55
    "OrTerm#",	//56
    "OrTerm##",	//57
    "OrTerm###",	//58
    "OrTerm####",	//59
    "OrTerm#####",	//60
    "OrTerm######",	//61
    "OrTerm?",	//62
    "Q_COMPLEX_TYPE",	//63
    "Q_DUMMY_TYPE",	//64
    "Q_MOVABLE_TYPE",	//65
    "Q_PRIMITIVE_TYPE",	//66
    "Q_STATIC_TYPE",	//67
    "QtCriticalMsg",	//68
    "QtDebugMsg",	//69
    "QtFatalMsg",	//70
    "QtSystemMsg",	//71
    "QtWarningMsg",	//72
    "Query",	//73
    "Query#",	//74
    "QueryFiles",	//75
    "QueryFilesAndFolders",	//76
    "QueryFolders",	//77
    "QueryParser",	//78
    "QueryParser#",	//79
    "QueryServiceClient",	//80
    "QueryServiceClient#",	//81
    "QueryTermGlobbing",	//82
    "Regexp",	//83
    "RequestProperty",	//84
    "RequestProperty#",	//85
    "RequestProperty#$",	//86
    "Resource",	//87
    "ResourceTerm",	//88
    "ResourceTerm#",	//89
    "ResourceType",	//90
    "ResourceTypeTerm",	//91
    "ResourceTypeTerm#",	//92
    "Result",	//93
    "Result#",	//94
    "Result#$",	//95
    "SimpleTerm",	//96
    "SimpleTerm#",	//97
    "Smaller",	//98
    "SmallerOrEqual",	//99
    "Sum",	//100
    "Term",	//101
    "Term#",	//102
    "WithoutFullTextExcerpt",	//103
    "__codecvt_error",	//104
    "__codecvt_noconv",	//105
    "__codecvt_ok",	//106
    "__codecvt_partial",	//107
    "addExcludeFolder",	//108
    "addExcludeFolder#",	//109
    "addIncludeFolder",	//110
    "addIncludeFolder#",	//111
    "addIncludeFolder#$",	//112
    "addRequestProperty",	//113
    "addRequestProperty#",	//114
    "addRequestProperty##",	//115
    "addSubTerm",	//116
    "addSubTerm#",	//117
    "additionalBinding",	//118
    "additionalBinding$",	//119
    "additionalBindings",	//120
    "aggregateFunction",	//121
    "allIncludeFolders",	//122
    "blockingDesktopQuery",	//123
    "blockingDesktopQuery$",	//124
    "blockingQuery",	//125
    "blockingQuery#",	//126
    "blockingSparqlQuery",	//127
    "blockingSparqlQuery$",	//128
    "blockingSparqlQuery$?",	//129
    "childEvent",	//130
    "close",	//131
    "comparator",	//132
    "connectNotify",	//133
    "customEvent",	//134
    "desktopQuery",	//135
    "desktopQuery$",	//136
    "disconnectNotify",	//137
    "entriesRemoved",	//138
    "entriesRemoved?",	//139
    "error",	//140
    "error$",	//141
    "errorMessage",	//142
    "event",	//143
    "eventFilter",	//144
    "excerpt",	//145
    "excludeFolders",	//146
    "fileMode",	//147
    "finishedListing",	//148
    "fromProperty",	//149
    "fromProperty##",	//150
    "fromQueryUrl",	//151
    "fromQueryUrl#",	//152
    "fromString",	//153
    "fromString$",	//154
    "fromVariant",	//155
    "fromVariant#",	//156
    "fullTextScoringEnabled",	//157
    "fullTextScoringSortOrder",	//158
    "includeFolders",	//159
    "inverted",	//160
    "isAndTerm",	//161
    "isComparisonTerm",	//162
    "isFileQuery",	//163
    "isInverted",	//164
    "isListingFinished",	//165
    "isLiteralTerm",	//166
    "isNegationTerm",	//167
    "isOptionalTerm",	//168
    "isOrTerm",	//169
    "isResourceTerm",	//170
    "isResourceTypeTerm",	//171
    "isValid",	//172
    "limit",	//173
    "matchProperty",	//174
    "matchProperty$",	//175
    "metaObject",	//176
    "negateTerm",	//177
    "negateTerm#",	//178
    "newEntries",	//179
    "newEntries?",	//180
    "offset",	//181
    "operator!",	//182
    "operator!#",	//183
    "operator!=",	//184
    "operator!=#",	//185
    "operator!=##",	//186
    "operator&&",	//187
    "operator&&##",	//188
    "operator<",	//189
    "operator<##",	//190
    "operator<=",	//191
    "operator<=##",	//192
    "operator=",	//193
    "operator=#",	//194
    "operator==",	//195
    "operator==#",	//196
    "operator==##",	//197
    "operator>",	//198
    "operator>##",	//199
    "operator>=",	//200
    "operator>=##",	//201
    "operator[]",	//202
    "operator[]#",	//203
    "operator||",	//204
    "operator||##",	//205
    "optimized",	//206
    "optional",	//207
    "optionalizeTerm",	//208
    "optionalizeTerm#",	//209
    "parse",	//210
    "parse$",	//211
    "parse$$",	//212
    "parseQuery",	//213
    "parseQuery$",	//214
    "parseQuery$$",	//215
    "property",	//216
    "qHash",	//217
    "qHash#",	//218
    "qt_metacall",	//219
    "qt_metacall$$?",	//220
    "qt_metacast",	//221
    "qt_metacast$",	//222
    "query",	//223
    "query#",	//224
    "queryFlags",	//225
    "requestProperties",	//226
    "requestProperty",	//227
    "requestProperty#",	//228
    "requestPropertyMap",	//229
    "resource",	//230
    "resultCount",	//231
    "resultCount$",	//232
    "score",	//233
    "serviceAvailable",	//234
    "setAdditionalBindings",	//235
    "setAdditionalBindings#",	//236
    "setAggregateFunction",	//237
    "setAggregateFunction$",	//238
    "setComparator",	//239
    "setComparator$",	//240
    "setExcerpt",	//241
    "setExcerpt$",	//242
    "setExcludeFolders",	//243
    "setExcludeFolders?",	//244
    "setFileMode",	//245
    "setFileMode$",	//246
    "setFullTextScoringEnabled",	//247
    "setFullTextScoringEnabled$",	//248
    "setFullTextScoringSortOrder",	//249
    "setFullTextScoringSortOrder$",	//250
    "setIncludeFolders",	//251
    "setIncludeFolders?",	//252
    "setInverted",	//253
    "setInverted$",	//254
    "setLimit",	//255
    "setLimit$",	//256
    "setOffset",	//257
    "setOffset$",	//258
    "setProperty",	//259
    "setProperty#",	//260
    "setQueryFlags",	//261
    "setQueryFlags$",	//262
    "setRequestProperties",	//263
    "setRequestProperties?",	//264
    "setResource",	//265
    "setResource#",	//266
    "setScore",	//267
    "setScore$",	//268
    "setSortWeight",	//269
    "setSortWeight$",	//270
    "setSortWeight$$",	//271
    "setSubTerm",	//272
    "setSubTerm#",	//273
    "setSubTerms",	//274
    "setSubTerms?",	//275
    "setTerm",	//276
    "setTerm#",	//277
    "setType",	//278
    "setType#",	//279
    "setValue",	//280
    "setValue#",	//281
    "setVariableName",	//282
    "setVariableName$",	//283
    "sortOrder",	//284
    "sortWeight",	//285
    "sparqlFromQueryUrl",	//286
    "sparqlFromQueryUrl#",	//287
    "sparqlQuery",	//288
    "sparqlQuery$",	//289
    "sparqlQuery$?",	//290
    "staticMetaObject",	//291
    "subTerm",	//292
    "subTerms",	//293
    "syncDesktopQuery",	//294
    "syncDesktopQuery$",	//295
    "syncDesktopQuery$$",	//296
    "syncQuery",	//297
    "syncQuery#",	//298
    "syncQuery#$",	//299
    "syncSparqlQuery",	//300
    "syncSparqlQuery$",	//301
    "syncSparqlQuery$?",	//302
    "syncSparqlQuery$?$",	//303
    "term",	//304
    "timerEvent",	//305
    "titleFromQueryUrl",	//306
    "titleFromQueryUrl#",	//307
    "toAndTerm",	//308
    "toComparisonTerm",	//309
    "toFileQuery",	//310
    "toLiteralTerm",	//311
    "toNegationTerm",	//312
    "toOptionalTerm",	//313
    "toOrTerm",	//314
    "toResourceTerm",	//315
    "toResourceTypeTerm",	//316
    "toSearchUrl",	//317
    "toSearchUrl$",	//318
    "toSearchUrl$$",	//319
    "toSparqlQuery",	//320
    "toSparqlQuery$",	//321
    "toString",	//322
    "tr",	//323
    "tr$",	//324
    "tr$$",	//325
    "tr$$$",	//326
    "trUtf8",	//327
    "trUtf8$",	//328
    "trUtf8$$",	//329
    "trUtf8$$$",	//330
    "type",	//331
    "value",	//332
    "variableName",	//333
    "~AndTerm",	//334
    "~ComparisonTerm",	//335
    "~FileQuery",	//336
    "~GroupTerm",	//337
    "~LiteralTerm",	//338
    "~NegationTerm",	//339
    "~OptionalTerm",	//340
    "~OrTerm",	//341
    "~Query",	//342
    "~QueryParser",	//343
    "~QueryServiceClient",	//344
    "~RequestProperty",	//345
    "~ResourceTerm",	//346
    "~ResourceTypeTerm",	//347
    "~Result",	//348
    "~SimpleTerm",	//349
    "~Term",	//350
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 204, 1, 2, Smoke::mf_static, 54, 1},	//1 Nepomuk::Query::operator||(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {6, 200, 4, 2, Smoke::mf_static, 13, 2},	//2 Nepomuk::Query::operator>=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 182, 7, 1, Smoke::mf_static, 54, 3},	//3 Nepomuk::Query::operator!(const Nepomuk::Query::Term&)
    {6, 191, 4, 2, Smoke::mf_static, 13, 4},	//4 Nepomuk::Query::operator<=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 204, 9, 2, Smoke::mf_static, 35, 5},	//5 Nepomuk::Query::operator||(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    {6, 187, 9, 2, Smoke::mf_static, 35, 6},	//6 Nepomuk::Query::operator&&(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    {6, 184, 4, 2, Smoke::mf_static, 54, 7},	//7 Nepomuk::Query::operator!=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 195, 4, 2, Smoke::mf_static, 13, 8},	//8 Nepomuk::Query::operator==(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 189, 4, 2, Smoke::mf_static, 13, 9},	//9 Nepomuk::Query::operator<(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 187, 1, 2, Smoke::mf_static, 54, 10},	//10 Nepomuk::Query::operator&&(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {6, 217, 7, 1, Smoke::mf_static, 209, 11},	//11 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 198, 4, 2, Smoke::mf_static, 13, 12},	//12 Nepomuk::Query::operator>(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 182, 12, 1, Smoke::mf_static, 35, 13},	//13 Nepomuk::Query::operator!(const Nepomuk::Query::Query&)
    {6, 217, 12, 1, Smoke::mf_static, 209, 14},	//14 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//15 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//16 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 6, Smoke::mf_ctor, 12, 3},	//17 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 1, Smoke::mf_ctor, 12, 4},	//18 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 193, 14, 1, 0, 11, 5},	//19 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 1, 2, Smoke::mf_ctor, 12, 6},	//20 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 25, 3, Smoke::mf_ctor, 12, 7},	//21 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 29, 4, Smoke::mf_ctor, 12, 8},	//22 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 34, 5, Smoke::mf_ctor, 12, 9},	//23 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 334, 0, 0, Smoke::mf_dtor, 0, 10 },	//24 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 12, 0, 0, Smoke::mf_ctor, 15, 1},	//25 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 12, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//26 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 12, 42, 3, Smoke::mf_ctor, 15, 3},	//27 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 193, 40, 1, 0, 14, 4},	//28 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 132, 0, 0, Smoke::mf_const, 17, 5},	//29 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 216, 0, 0, Smoke::mf_const, 61, 6},	//30 Nepomuk::Query::ComparisonTerm::property() const
    {8, 239, 46, 1, 0, 0, 7},	//31 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 259, 48, 1, 0, 0, 8},	//32 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 282, 50, 1, 0, 0, 9},	//33 Nepomuk::Query::ComparisonTerm::setVariableName(const QString&)
    {8, 333, 0, 0, Smoke::mf_const, 80, 10},	//34 Nepomuk::Query::ComparisonTerm::variableName() const
    {8, 237, 52, 1, 0, 0, 11},	//35 Nepomuk::Query::ComparisonTerm::setAggregateFunction(Nepomuk::Query::ComparisonTerm::AggregateFunction)
    {8, 121, 0, 0, Smoke::mf_const, 16, 12},	//36 Nepomuk::Query::ComparisonTerm::aggregateFunction() const
    {8, 269, 54, 2, 0, 0, 13},	//37 Nepomuk::Query::ComparisonTerm::setSortWeight(int, Qt::SortOrder)
    {8, 285, 0, 0, Smoke::mf_const, 207, 14},	//38 Nepomuk::Query::ComparisonTerm::sortWeight() const
    {8, 284, 0, 0, Smoke::mf_const, 137, 15},	//39 Nepomuk::Query::ComparisonTerm::sortOrder() const
    {8, 164, 0, 0, Smoke::mf_const, 160, 16},	//40 Nepomuk::Query::ComparisonTerm::isInverted() const
    {8, 253, 57, 1, 0, 0, 17},	//41 Nepomuk::Query::ComparisonTerm::setInverted(bool)
    {8, 160, 0, 0, Smoke::mf_const, 13, 18},	//42 Nepomuk::Query::ComparisonTerm::inverted() const
    {8, 12, 4, 2, Smoke::mf_ctor, 15, 19},	//43 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 269, 59, 1, 0, 0, 20},	//44 Nepomuk::Query::ComparisonTerm::setSortWeight(int)
    {8, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 21},	//45 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 22},	//46 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 23},	//47 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 24},	//48 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 25},	//49 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//50 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//51 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//52 Nepomuk::Query::ComparisonTerm::NoAggregateFunction (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 29},	//53 Nepomuk::Query::ComparisonTerm::Count (enum)
    {8, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 30},	//54 Nepomuk::Query::ComparisonTerm::DistinctCount (enum)
    {8, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 31},	//55 Nepomuk::Query::ComparisonTerm::Max (enum)
    {8, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 32},	//56 Nepomuk::Query::ComparisonTerm::Min (enum)
    {8, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 33},	//57 Nepomuk::Query::ComparisonTerm::Sum (enum)
    {8, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 34},	//58 Nepomuk::Query::ComparisonTerm::DistinctSum (enum)
    {8, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 35},	//59 Nepomuk::Query::ComparisonTerm::Average (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 36},	//60 Nepomuk::Query::ComparisonTerm::DistinctAverage (enum)
    {8, 335, 0, 0, Smoke::mf_dtor, 0, 37 },	//61 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 25, 0, 0, Smoke::mf_ctor, 20, 1},	//62 Nepomuk::Query::FileQuery::FileQuery()
    {9, 25, 7, 1, Smoke::mf_ctor, 20, 2},	//63 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    {9, 25, 12, 1, Smoke::mf_ctor, 20, 3},	//64 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 193, 12, 1, 0, 19, 4},	//65 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 110, 61, 1, 0, 0, 5},	//66 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 110, 63, 2, 0, 0, 6},	//67 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&, bool)
    {9, 251, 66, 1, 0, 0, 7},	//68 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 251, 68, 1, 0, 0, 8},	//69 Nepomuk::Query::FileQuery::setIncludeFolders(const QHash<KUrl,bool>&)
    {9, 159, 0, 0, Smoke::mf_const, 8, 9},	//70 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 122, 0, 0, Smoke::mf_const, 70, 10},	//71 Nepomuk::Query::FileQuery::allIncludeFolders() const
    {9, 108, 61, 1, 0, 0, 11},	//72 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 243, 66, 1, 0, 0, 12},	//73 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 146, 0, 0, Smoke::mf_const, 8, 13},	//74 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 245, 70, 1, 0, 0, 14},	//75 Nepomuk::Query::FileQuery::setFileMode(QFlags<Nepomuk::Query::FileQuery::FileModeFlags>)
    {9, 147, 0, 0, Smoke::mf_const, 66, 15},	//76 Nepomuk::Query::FileQuery::fileMode() const
    {9, 25, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 16},	//77 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 17},	//78 Nepomuk::Query::FileQuery::QueryFiles (enum)
    {9, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 18},	//79 Nepomuk::Query::FileQuery::QueryFolders (enum)
    {9, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 19},	//80 Nepomuk::Query::FileQuery::QueryFilesAndFolders (enum)
    {9, 336, 0, 0, Smoke::mf_dtor, 0, 20 },	//81 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 293, 0, 0, Smoke::mf_const, 75, 1},	//82 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 274, 23, 1, 0, 0, 2},	//83 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 116, 7, 1, 0, 0, 3},	//84 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 29, 7, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 4},	//85 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 29, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 5},	//86 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 29, 76, 7, Smoke::mf_ctor|Smoke::mf_protected, 22, 6},	//87 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 7},	//88 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 29, 86, 3, Smoke::mf_ctor|Smoke::mf_protected, 22, 8},	//89 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 90, 4, Smoke::mf_ctor|Smoke::mf_protected, 22, 9},	//90 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 95, 5, Smoke::mf_ctor|Smoke::mf_protected, 22, 10},	//91 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 101, 6, Smoke::mf_ctor|Smoke::mf_protected, 22, 11},	//92 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 337, 0, 0, Smoke::mf_dtor, 0, 12 },	//93 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 39, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 1},	//94 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 39, 110, 1, Smoke::mf_ctor, 25, 2},	//95 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 193, 108, 1, 0, 24, 3},	//96 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 332, 0, 0, Smoke::mf_const, 157, 4},	//97 Nepomuk::Query::LiteralTerm::value() const
    {11, 280, 110, 1, 0, 0, 5},	//98 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 39, 0, 0, Smoke::mf_ctor, 25, 6},	//99 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 338, 0, 0, Smoke::mf_dtor, 0, 7 },	//100 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 44, 0, 0, Smoke::mf_ctor, 28, 1},	//101 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 44, 112, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//102 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 193, 112, 1, 0, 27, 3},	//103 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 177, 7, 1, Smoke::mf_static, 54, 4},	//104 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 339, 0, 0, Smoke::mf_dtor, 0, 5 },	//105 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 52, 0, 0, Smoke::mf_ctor, 31, 1},	//106 Nepomuk::Query::OptionalTerm::OptionalTerm()
    {13, 52, 114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//107 Nepomuk::Query::OptionalTerm::OptionalTerm(const Nepomuk::Query::OptionalTerm&)
    {13, 193, 114, 1, 0, 30, 3},	//108 Nepomuk::Query::OptionalTerm::operator=(const Nepomuk::Query::OptionalTerm&)
    {13, 208, 7, 1, Smoke::mf_static, 54, 4},	//109 Nepomuk::Query::OptionalTerm::optionalizeTerm(const Nepomuk::Query::Term&)
    {13, 340, 0, 0, Smoke::mf_dtor, 0, 5 },	//110 Nepomuk::Query::OptionalTerm::~OptionalTerm()
    {14, 55, 0, 0, Smoke::mf_ctor, 34, 1},	//111 Nepomuk::Query::OrTerm::OrTerm()
    {14, 55, 116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//112 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {14, 55, 16, 6, Smoke::mf_ctor, 34, 3},	//113 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 55, 23, 1, Smoke::mf_ctor, 34, 4},	//114 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {14, 193, 116, 1, 0, 33, 5},	//115 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {14, 55, 1, 2, Smoke::mf_ctor, 34, 6},	//116 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 55, 25, 3, Smoke::mf_ctor, 34, 7},	//117 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 55, 29, 4, Smoke::mf_ctor, 34, 8},	//118 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 55, 34, 5, Smoke::mf_ctor, 34, 9},	//119 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 341, 0, 0, Smoke::mf_dtor, 0, 10 },	//120 Nepomuk::Query::OrTerm::~OrTerm()
    {15, 73, 0, 0, Smoke::mf_ctor, 37, 1},	//121 Nepomuk::Query::Query::Query()
    {15, 73, 7, 1, Smoke::mf_ctor, 37, 2},	//122 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {15, 73, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 3},	//123 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {15, 193, 12, 1, 0, 36, 4},	//124 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {15, 193, 7, 1, 0, 36, 5},	//125 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    {15, 172, 0, 0, Smoke::mf_const, 160, 6},	//126 Nepomuk::Query::Query::isValid() const
    {15, 163, 0, 0, Smoke::mf_const, 160, 7},	//127 Nepomuk::Query::Query::isFileQuery() const
    {15, 310, 0, 0, Smoke::mf_const, 18, 8},	//128 Nepomuk::Query::Query::toFileQuery() const
    {15, 304, 0, 0, Smoke::mf_const, 54, 9},	//129 Nepomuk::Query::Query::term() const
    {15, 173, 0, 0, Smoke::mf_const, 207, 10},	//130 Nepomuk::Query::Query::limit() const
    {15, 181, 0, 0, Smoke::mf_const, 207, 11},	//131 Nepomuk::Query::Query::offset() const
    {15, 276, 7, 1, 0, 0, 12},	//132 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {15, 255, 59, 1, 0, 0, 13},	//133 Nepomuk::Query::Query::setLimit(int)
    {15, 257, 59, 1, 0, 0, 14},	//134 Nepomuk::Query::Query::setOffset(int)
    {15, 247, 57, 1, 0, 0, 15},	//135 Nepomuk::Query::Query::setFullTextScoringEnabled(bool)
    {15, 249, 118, 1, 0, 0, 16},	//136 Nepomuk::Query::Query::setFullTextScoringSortOrder(Qt::SortOrder)
    {15, 157, 0, 0, Smoke::mf_const, 160, 17},	//137 Nepomuk::Query::Query::fullTextScoringEnabled() const
    {15, 158, 0, 0, Smoke::mf_const, 137, 18},	//138 Nepomuk::Query::Query::fullTextScoringSortOrder() const
    {15, 261, 120, 1, 0, 0, 19},	//139 Nepomuk::Query::Query::setQueryFlags(QFlags<Nepomuk::Query::Query::QueryFlag>)
    {15, 225, 0, 0, Smoke::mf_const, 67, 20},	//140 Nepomuk::Query::Query::queryFlags() const
    {15, 113, 122, 1, 0, 0, 21},	//141 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 263, 124, 1, 0, 0, 22},	//142 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {15, 226, 0, 0, Smoke::mf_const, 73, 23},	//143 Nepomuk::Query::Query::requestProperties() const
    {15, 320, 126, 1, Smoke::mf_const, 80, 24},	//144 Nepomuk::Query::Query::toSparqlQuery(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 317, 126, 1, Smoke::mf_const, 7, 25},	//145 Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 317, 128, 2, Smoke::mf_const, 7, 26},	//146 Nepomuk::Query::Query::toSearchUrl(const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 229, 0, 0, Smoke::mf_const, 72, 27},	//147 Nepomuk::Query::Query::requestPropertyMap() const
    {15, 195, 12, 1, Smoke::mf_const, 160, 28},	//148 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {15, 184, 12, 1, Smoke::mf_const, 160, 29},	//149 Nepomuk::Query::Query::operator!=(const Nepomuk::Query::Query&) const
    {15, 206, 0, 0, Smoke::mf_const, 35, 30},	//150 Nepomuk::Query::Query::optimized() const
    {15, 322, 0, 0, Smoke::mf_const, 80, 31},	//151 Nepomuk::Query::Query::toString() const
    {15, 153, 50, 1, Smoke::mf_static, 35, 32},	//152 Nepomuk::Query::Query::fromString(const QString&)
    {15, 151, 61, 1, Smoke::mf_static, 35, 33},	//153 Nepomuk::Query::Query::fromQueryUrl(const KUrl&)
    {15, 286, 61, 1, Smoke::mf_static, 80, 34},	//154 Nepomuk::Query::Query::sparqlFromQueryUrl(const KUrl&)
    {15, 306, 61, 1, Smoke::mf_static, 80, 35},	//155 Nepomuk::Query::Query::titleFromQueryUrl(const KUrl&)
    {15, 320, 0, 0, Smoke::mf_const, 80, 36},	//156 Nepomuk::Query::Query::toSparqlQuery() const
    {15, 317, 0, 0, Smoke::mf_const, 7, 37},	//157 Nepomuk::Query::Query::toSearchUrl() const
    {15, 317, 50, 1, Smoke::mf_const, 7, 38},	//158 Nepomuk::Query::Query::toSearchUrl(const QString&) const
    {15, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 39},	//159 Nepomuk::Query::Query::NoQueryFlags (enum)
    {15, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 40},	//160 Nepomuk::Query::Query::NoResultRestrictions (enum)
    {15, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 41},	//161 Nepomuk::Query::Query::WithoutFullTextExcerpt (enum)
    {15, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 42},	//162 Nepomuk::Query::Query::NoFlags (enum)
    {15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 43},	//163 Nepomuk::Query::Query::CreateCountQuery (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 44},	//164 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 45},	//165 Nepomuk::Query::Query::CreateAskQuery (enum)
    {15, 342, 0, 0, Smoke::mf_dtor, 0, 46 },	//166 Nepomuk::Query::Query::~Query()
    {16, 84, 131, 2, Smoke::mf_ctor, 40, 1},	//167 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {16, 84, 122, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//168 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {16, 193, 122, 1, 0, 39, 3},	//169 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {16, 195, 122, 1, Smoke::mf_const, 160, 4},	//170 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {16, 216, 0, 0, Smoke::mf_const, 61, 5},	//171 Nepomuk::Query::Query::RequestProperty::property() const
    {16, 207, 0, 0, Smoke::mf_const, 160, 6},	//172 Nepomuk::Query::Query::RequestProperty::optional() const
    {16, 84, 48, 1, Smoke::mf_ctor, 40, 7},	//173 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {16, 345, 0, 0, Smoke::mf_dtor, 0, 8 },	//174 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {17, 78, 0, 0, Smoke::mf_ctor, 42, 1},	//175 Nepomuk::Query::QueryParser::QueryParser()
    {17, 210, 50, 1, Smoke::mf_const, 35, 2},	//176 Nepomuk::Query::QueryParser::parse(const QString&) const
    {17, 210, 134, 2, Smoke::mf_const, 35, 3},	//177 Nepomuk::Query::QueryParser::parse(const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>) const
    {17, 174, 50, 1, Smoke::mf_const, 76, 4},	//178 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {17, 213, 50, 1, Smoke::mf_static, 35, 5},	//179 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {17, 213, 134, 2, Smoke::mf_static, 35, 6},	//180 Nepomuk::Query::QueryParser::parseQuery(const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>)
    {17, 78, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 7},	//181 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {17, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 8},	//182 Nepomuk::Query::QueryParser::NoParserFlags (enum)
    {17, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 9},	//183 Nepomuk::Query::QueryParser::QueryTermGlobbing (enum)
    {17, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 10},	//184 Nepomuk::Query::QueryParser::DetectFilenamePattern (enum)
    {17, 343, 0, 0, Smoke::mf_dtor, 0, 11 },	//185 Nepomuk::Query::QueryParser::~QueryParser()
    {18, 176, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//186 Nepomuk::Query::QueryServiceClient::metaObject() const
    {18, 221, 139, 1, Smoke::mf_virtual, 210, 2},	//187 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {18, 323, 141, 2, Smoke::mf_static, 80, 3},	//188 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {18, 327, 141, 2, Smoke::mf_static, 80, 4},	//189 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {18, 323, 144, 3, Smoke::mf_static, 80, 5},	//190 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {18, 327, 144, 3, Smoke::mf_static, 80, 6},	//191 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {18, 219, 148, 3, Smoke::mf_virtual, 207, 7},	//192 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 80, 152, 1, Smoke::mf_ctor, 44, 8},	//193 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {18, 234, 0, 0, Smoke::mf_static, 160, 9},	//194 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {18, 297, 154, 2, Smoke::mf_static, 74, 10},	//195 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&, bool*)
    {18, 300, 157, 3, Smoke::mf_static, 74, 11},	//196 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*)
    {18, 294, 161, 2, Smoke::mf_static, 74, 12},	//197 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&, bool*)
    {18, 223, 12, 1, Smoke::mf_slot, 160, 13},	//198 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {18, 288, 164, 2, Smoke::mf_slot, 160, 14},	//199 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 135, 50, 1, Smoke::mf_slot, 160, 15},	//200 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {18, 125, 12, 1, Smoke::mf_slot, 160, 16},	//201 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {18, 127, 164, 2, Smoke::mf_slot, 160, 17},	//202 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 123, 50, 1, Smoke::mf_slot, 160, 18},	//203 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {18, 131, 0, 0, Smoke::mf_slot, 0, 19},	//204 Nepomuk::Query::QueryServiceClient::close()
    {18, 165, 0, 0, Smoke::mf_const|Smoke::mf_slot, 160, 20},	//205 Nepomuk::Query::QueryServiceClient::isListingFinished() const
    {18, 142, 0, 0, Smoke::mf_const|Smoke::mf_slot, 80, 21},	//206 Nepomuk::Query::QueryServiceClient::errorMessage() const
    {18, 179, 167, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//207 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {18, 138, 169, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//208 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {18, 231, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//209 Nepomuk::Query::QueryServiceClient::resultCount(int)
    {18, 148, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//210 Nepomuk::Query::QueryServiceClient::finishedListing()
    {18, 140, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//211 Nepomuk::Query::QueryServiceClient::error(const QString&)
    {18, 323, 139, 1, Smoke::mf_static, 80, 27},	//212 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {18, 327, 139, 1, Smoke::mf_static, 80, 28},	//213 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {18, 80, 0, 0, Smoke::mf_ctor, 44, 29},	//214 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {18, 297, 12, 1, Smoke::mf_static, 74, 30},	//215 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&)
    {18, 300, 50, 1, Smoke::mf_static, 74, 31},	//216 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&)
    {18, 300, 171, 2, Smoke::mf_static, 74, 32},	//217 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 294, 50, 1, Smoke::mf_static, 74, 33},	//218 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&)
    {18, 288, 50, 1, Smoke::mf_slot, 160, 34},	//219 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {18, 127, 50, 1, Smoke::mf_slot, 160, 35},	//220 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {18, 291, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 36},	//221 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {18, 344, 0, 0, Smoke::mf_dtor, 0, 37 },	//222 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {19, 88, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 1},	//223 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {19, 88, 176, 1, Smoke::mf_ctor, 47, 2},	//224 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {19, 193, 174, 1, 0, 46, 3},	//225 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {19, 230, 0, 0, Smoke::mf_const, 59, 4},	//226 Nepomuk::Query::ResourceTerm::resource() const
    {19, 265, 176, 1, 0, 0, 5},	//227 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {19, 88, 0, 0, Smoke::mf_ctor, 47, 6},	//228 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {19, 346, 0, 0, Smoke::mf_dtor, 0, 7 },	//229 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {20, 91, 178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 1},	//230 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 91, 180, 1, Smoke::mf_ctor, 50, 2},	//231 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {20, 193, 178, 1, 0, 49, 3},	//232 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 331, 0, 0, Smoke::mf_const, 60, 4},	//233 Nepomuk::Query::ResourceTypeTerm::type() const
    {20, 278, 180, 1, 0, 0, 5},	//234 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {20, 91, 0, 0, Smoke::mf_ctor, 50, 6},	//235 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {20, 347, 0, 0, Smoke::mf_dtor, 0, 7 },	//236 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {21, 93, 0, 0, Smoke::mf_ctor, 52, 1},	//237 Nepomuk::Query::Result::Result()
    {21, 93, 182, 2, Smoke::mf_ctor, 52, 2},	//238 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {21, 93, 185, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//239 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {21, 193, 185, 1, 0, 51, 4},	//240 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {21, 233, 0, 0, Smoke::mf_const, 206, 5},	//241 Nepomuk::Query::Result::score() const
    {21, 230, 0, 0, Smoke::mf_const, 59, 6},	//242 Nepomuk::Query::Result::resource() const
    {21, 267, 187, 1, 0, 0, 7},	//243 Nepomuk::Query::Result::setScore(double)
    {21, 113, 189, 2, 0, 0, 8},	//244 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {21, 226, 0, 0, Smoke::mf_const, 71, 9},	//245 Nepomuk::Query::Result::requestProperties() const
    {21, 202, 48, 1, Smoke::mf_const, 158, 10},	//246 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {21, 227, 48, 1, Smoke::mf_const, 158, 11},	//247 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {21, 235, 192, 1, 0, 0, 12},	//248 Nepomuk::Query::Result::setAdditionalBindings(const Soprano::BindingSet&)
    {21, 120, 0, 0, Smoke::mf_const, 156, 13},	//249 Nepomuk::Query::Result::additionalBindings() const
    {21, 118, 50, 1, Smoke::mf_const, 62, 14},	//250 Nepomuk::Query::Result::additionalBinding(const QString&) const
    {21, 241, 50, 1, 0, 0, 15},	//251 Nepomuk::Query::Result::setExcerpt(const QString&)
    {21, 145, 0, 0, Smoke::mf_const, 80, 16},	//252 Nepomuk::Query::Result::excerpt() const
    {21, 195, 185, 1, Smoke::mf_const, 160, 17},	//253 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {21, 93, 176, 1, Smoke::mf_ctor, 52, 18},	//254 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {21, 348, 0, 0, Smoke::mf_dtor, 0, 19 },	//255 Nepomuk::Query::Result::~Result()
    {22, 292, 0, 0, Smoke::mf_const, 54, 1},	//256 Nepomuk::Query::SimpleTerm::subTerm() const
    {22, 272, 7, 1, 0, 0, 2},	//257 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {22, 96, 7, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 3},	//258 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {22, 96, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 4},	//259 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {22, 96, 194, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 5},	//260 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {22, 349, 0, 0, Smoke::mf_dtor, 0, 6 },	//261 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {23, 101, 0, 0, Smoke::mf_ctor, 56, 1},	//262 Nepomuk::Query::Term::Term()
    {23, 101, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//263 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {23, 193, 7, 1, 0, 55, 3},	//264 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {23, 172, 0, 0, Smoke::mf_const, 160, 4},	//265 Nepomuk::Query::Term::isValid() const
    {23, 331, 0, 0, Smoke::mf_const, 57, 5},	//266 Nepomuk::Query::Term::type() const
    {23, 206, 0, 0, Smoke::mf_const, 54, 6},	//267 Nepomuk::Query::Term::optimized() const
    {23, 166, 0, 0, Smoke::mf_const, 160, 7},	//268 Nepomuk::Query::Term::isLiteralTerm() const
    {23, 170, 0, 0, Smoke::mf_const, 160, 8},	//269 Nepomuk::Query::Term::isResourceTerm() const
    {23, 167, 0, 0, Smoke::mf_const, 160, 9},	//270 Nepomuk::Query::Term::isNegationTerm() const
    {23, 168, 0, 0, Smoke::mf_const, 160, 10},	//271 Nepomuk::Query::Term::isOptionalTerm() const
    {23, 161, 0, 0, Smoke::mf_const, 160, 11},	//272 Nepomuk::Query::Term::isAndTerm() const
    {23, 169, 0, 0, Smoke::mf_const, 160, 12},	//273 Nepomuk::Query::Term::isOrTerm() const
    {23, 162, 0, 0, Smoke::mf_const, 160, 13},	//274 Nepomuk::Query::Term::isComparisonTerm() const
    {23, 171, 0, 0, Smoke::mf_const, 160, 14},	//275 Nepomuk::Query::Term::isResourceTypeTerm() const
    {23, 311, 0, 0, Smoke::mf_const, 23, 15},	//276 Nepomuk::Query::Term::toLiteralTerm() const
    {23, 315, 0, 0, Smoke::mf_const, 45, 16},	//277 Nepomuk::Query::Term::toResourceTerm() const
    {23, 312, 0, 0, Smoke::mf_const, 26, 17},	//278 Nepomuk::Query::Term::toNegationTerm() const
    {23, 313, 0, 0, Smoke::mf_const, 29, 18},	//279 Nepomuk::Query::Term::toOptionalTerm() const
    {23, 308, 0, 0, Smoke::mf_const, 10, 19},	//280 Nepomuk::Query::Term::toAndTerm() const
    {23, 314, 0, 0, Smoke::mf_const, 32, 20},	//281 Nepomuk::Query::Term::toOrTerm() const
    {23, 309, 0, 0, Smoke::mf_const, 13, 21},	//282 Nepomuk::Query::Term::toComparisonTerm() const
    {23, 316, 0, 0, Smoke::mf_const, 48, 22},	//283 Nepomuk::Query::Term::toResourceTypeTerm() const
    {23, 311, 0, 0, 0, 24, 23},	//284 Nepomuk::Query::Term::toLiteralTerm()
    {23, 315, 0, 0, 0, 46, 24},	//285 Nepomuk::Query::Term::toResourceTerm()
    {23, 312, 0, 0, 0, 27, 25},	//286 Nepomuk::Query::Term::toNegationTerm()
    {23, 313, 0, 0, 0, 30, 26},	//287 Nepomuk::Query::Term::toOptionalTerm()
    {23, 308, 0, 0, 0, 11, 27},	//288 Nepomuk::Query::Term::toAndTerm()
    {23, 314, 0, 0, 0, 33, 28},	//289 Nepomuk::Query::Term::toOrTerm()
    {23, 309, 0, 0, 0, 14, 29},	//290 Nepomuk::Query::Term::toComparisonTerm()
    {23, 316, 0, 0, 0, 49, 30},	//291 Nepomuk::Query::Term::toResourceTypeTerm()
    {23, 322, 0, 0, Smoke::mf_const, 80, 31},	//292 Nepomuk::Query::Term::toString() const
    {23, 153, 50, 1, Smoke::mf_static, 54, 32},	//293 Nepomuk::Query::Term::fromString(const QString&)
    {23, 155, 196, 1, Smoke::mf_static, 54, 33},	//294 Nepomuk::Query::Term::fromVariant(const Nepomuk::Variant&)
    {23, 149, 198, 2, Smoke::mf_static, 54, 34},	//295 Nepomuk::Query::Term::fromProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&)
    {23, 195, 7, 1, Smoke::mf_const, 160, 35},	//296 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {23, 184, 7, 1, Smoke::mf_const, 160, 36},	//297 Nepomuk::Query::Term::operator!=(const Nepomuk::Query::Term&) const
    {23, 101, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 56, 37},	//298 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {23, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 38},	//299 Nepomuk::Query::Term::Invalid (enum)
    {23, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 39},	//300 Nepomuk::Query::Term::Literal (enum)
    {23, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 40},	//301 Nepomuk::Query::Term::Resource (enum)
    {23, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 41},	//302 Nepomuk::Query::Term::And (enum)
    {23, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 42},	//303 Nepomuk::Query::Term::Or (enum)
    {23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 43},	//304 Nepomuk::Query::Term::Comparison (enum)
    {23, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 44},	//305 Nepomuk::Query::Term::ResourceType (enum)
    {23, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 45},	//306 Nepomuk::Query::Term::Negation (enum)
    {23, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 46},	//307 Nepomuk::Query::Term::Optional (enum)
    {23, 350, 0, 0, Smoke::mf_dtor, 0, 47 },	//308 Nepomuk::Query::Term::~Term()
    {33, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 1},	//309 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 2},	//310 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 3},	//311 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 4},	//312 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 5},	//313 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 6},	//314 QGlobalSpace::QtDebugMsg (enum)
    {33, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 7},	//315 QGlobalSpace::QtWarningMsg (enum)
    {33, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 8},	//316 QGlobalSpace::QtCriticalMsg (enum)
    {33, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 9},	//317 QGlobalSpace::QtFatalMsg (enum)
    {33, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 10},	//318 QGlobalSpace::QtSystemMsg (enum)
    {33, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 11},	//319 QGlobalSpace::__codecvt_ok (enum)
    {33, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 12},	//320 QGlobalSpace::__codecvt_partial (enum)
    {33, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 13},	//321 QGlobalSpace::__codecvt_error (enum)
    {33, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 14},	//322 QGlobalSpace::__codecvt_noconv (enum)
    {35, 143, 201, 1, Smoke::mf_virtual, 160, 0},	//323 QObject::event(QEvent*)
    {35, 144, 203, 2, Smoke::mf_virtual, 160, 0},	//324 QObject::eventFilter(QObject*, QEvent*)
    {35, 305, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//325 QObject::timerEvent(QTimerEvent*)
    {35, 130, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//326 QObject::childEvent(QChildEvent*)
    {35, 134, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//327 QObject::customEvent(QEvent*)
    {35, 133, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//328 QObject::connectNotify(const char*)
    {35, 137, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//329 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    230,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    231,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    63,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    64,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    77,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    68,  // Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    69,  // Nepomuk::Query::FileQuery::setIncludeFolders(const QHash<KUrl,bool>&)
    0,
    85,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    86,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    88,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    258,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    259,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    260,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    122,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    123,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    124,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    125,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    0,
    145,  // Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    158,  // Nepomuk::Query::Query::toSearchUrl(const QString&) const
    0,
    239,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    254,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    223,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    224,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    263,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    298,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    280,  // Nepomuk::Query::Term::toAndTerm() const
    288,  // Nepomuk::Query::Term::toAndTerm()
    0,
    282,  // Nepomuk::Query::Term::toComparisonTerm() const
    290,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    276,  // Nepomuk::Query::Term::toLiteralTerm() const
    284,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    278,  // Nepomuk::Query::Term::toNegationTerm() const
    286,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    279,  // Nepomuk::Query::Term::toOptionalTerm() const
    287,  // Nepomuk::Query::Term::toOptionalTerm()
    0,
    281,  // Nepomuk::Query::Term::toOrTerm() const
    289,  // Nepomuk::Query::Term::toOrTerm()
    0,
    277,  // Nepomuk::Query::Term::toResourceTerm() const
    285,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    283,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    291,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    168,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    173,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    3,  // Nepomuk::Query::operator!(const Nepomuk::Query::Term&)
    13,  // Nepomuk::Query::operator!(const Nepomuk::Query::Query&)
    0,
    6,  // Nepomuk::Query::operator&&(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    10,  // Nepomuk::Query::operator&&(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    0,
    1,  // Nepomuk::Query::operator||(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    5,  // Nepomuk::Query::operator||(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    0,
    11,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    14,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    94,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    95,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 183, -64},	// Nepomuk::Query::operator!#
    {6, 186, 7},	// Nepomuk::Query::operator!=##
    {6, 188, -67},	// Nepomuk::Query::operator&&##
    {6, 190, 9},	// Nepomuk::Query::operator<##
    {6, 192, 4},	// Nepomuk::Query::operator<=##
    {6, 197, 8},	// Nepomuk::Query::operator==##
    {6, 199, 12},	// Nepomuk::Query::operator>##
    {6, 201, 2},	// Nepomuk::Query::operator>=##
    {6, 205, -70},	// Nepomuk::Query::operator||##
    {6, 218, -73},	// Nepomuk::Query::qHash#
    {7, 2, 15},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 16},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 20},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 21},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 22},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 23},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 17},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 18},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 194, 19},	// Nepomuk::Query::AndTerm::operator=#
    {7, 334, 24},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 10, 59},	// Nepomuk::Query::ComparisonTerm::Average
    {8, 12, 25},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 13, 26},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 14, 43},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 15, 27},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 16, 45},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 53},	// Nepomuk::Query::ComparisonTerm::Count
    {8, 21, 60},	// Nepomuk::Query::ComparisonTerm::DistinctAverage
    {8, 22, 54},	// Nepomuk::Query::ComparisonTerm::DistinctCount
    {8, 23, 58},	// Nepomuk::Query::ComparisonTerm::DistinctSum
    {8, 24, 47},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 27, 48},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 28, 50},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 41, 55},	// Nepomuk::Query::ComparisonTerm::Max
    {8, 42, 56},	// Nepomuk::Query::ComparisonTerm::Min
    {8, 46, 52},	// Nepomuk::Query::ComparisonTerm::NoAggregateFunction
    {8, 83, 46},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 98, 49},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 99, 51},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 100, 57},	// Nepomuk::Query::ComparisonTerm::Sum
    {8, 121, 36},	// Nepomuk::Query::ComparisonTerm::aggregateFunction
    {8, 132, 29},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 160, 42},	// Nepomuk::Query::ComparisonTerm::inverted
    {8, 164, 40},	// Nepomuk::Query::ComparisonTerm::isInverted
    {8, 194, 28},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 216, 30},	// Nepomuk::Query::ComparisonTerm::property
    {8, 238, 35},	// Nepomuk::Query::ComparisonTerm::setAggregateFunction$
    {8, 240, 31},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 254, 41},	// Nepomuk::Query::ComparisonTerm::setInverted$
    {8, 260, 32},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 270, 44},	// Nepomuk::Query::ComparisonTerm::setSortWeight$
    {8, 271, 37},	// Nepomuk::Query::ComparisonTerm::setSortWeight$$
    {8, 283, 33},	// Nepomuk::Query::ComparisonTerm::setVariableName$
    {8, 284, 39},	// Nepomuk::Query::ComparisonTerm::sortOrder
    {8, 285, 38},	// Nepomuk::Query::ComparisonTerm::sortWeight
    {8, 333, 34},	// Nepomuk::Query::ComparisonTerm::variableName
    {8, 335, 61},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 25, 62},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 26, -4},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 75, 78},	// Nepomuk::Query::FileQuery::QueryFiles
    {9, 76, 80},	// Nepomuk::Query::FileQuery::QueryFilesAndFolders
    {9, 77, 79},	// Nepomuk::Query::FileQuery::QueryFolders
    {9, 109, 72},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 111, 66},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 112, 67},	// Nepomuk::Query::FileQuery::addIncludeFolder#$
    {9, 122, 71},	// Nepomuk::Query::FileQuery::allIncludeFolders
    {9, 146, 74},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 147, 76},	// Nepomuk::Query::FileQuery::fileMode
    {9, 159, 70},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 194, 65},	// Nepomuk::Query::FileQuery::operator=#
    {9, 244, 73},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 246, 75},	// Nepomuk::Query::FileQuery::setFileMode$
    {9, 252, -8},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 336, 81},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 30, -11},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 31, 89},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 32, 90},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 33, 91},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 34, 92},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 35, 87},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 117, 84},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 275, 83},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 293, 82},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 337, 93},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 39, 99},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 40, -76},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 194, 96},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 281, 98},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 332, 97},	// Nepomuk::Query::LiteralTerm::value
    {11, 338, 100},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 44, 101},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 45, 102},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 178, 104},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 194, 103},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 339, 105},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 52, 106},	// Nepomuk::Query::OptionalTerm::OptionalTerm
    {13, 53, 107},	// Nepomuk::Query::OptionalTerm::OptionalTerm#
    {13, 194, 108},	// Nepomuk::Query::OptionalTerm::operator=#
    {13, 209, 109},	// Nepomuk::Query::OptionalTerm::optionalizeTerm#
    {13, 340, 110},	// Nepomuk::Query::OptionalTerm::~OptionalTerm
    {14, 55, 111},	// Nepomuk::Query::OrTerm::OrTerm
    {14, 56, 112},	// Nepomuk::Query::OrTerm::OrTerm#
    {14, 57, 116},	// Nepomuk::Query::OrTerm::OrTerm##
    {14, 58, 117},	// Nepomuk::Query::OrTerm::OrTerm###
    {14, 59, 118},	// Nepomuk::Query::OrTerm::OrTerm####
    {14, 60, 119},	// Nepomuk::Query::OrTerm::OrTerm#####
    {14, 61, 113},	// Nepomuk::Query::OrTerm::OrTerm######
    {14, 62, 114},	// Nepomuk::Query::OrTerm::OrTerm?
    {14, 194, 115},	// Nepomuk::Query::OrTerm::operator=#
    {14, 341, 120},	// Nepomuk::Query::OrTerm::~OrTerm
    {15, 18, 165},	// Nepomuk::Query::Query::CreateAskQuery
    {15, 19, 163},	// Nepomuk::Query::Query::CreateCountQuery
    {15, 36, 164},	// Nepomuk::Query::Query::HandleInverseProperties
    {15, 47, 162},	// Nepomuk::Query::Query::NoFlags
    {15, 49, 159},	// Nepomuk::Query::Query::NoQueryFlags
    {15, 50, 160},	// Nepomuk::Query::Query::NoResultRestrictions
    {15, 73, 121},	// Nepomuk::Query::Query::Query
    {15, 74, -19},	// Nepomuk::Query::Query::Query#
    {15, 103, 161},	// Nepomuk::Query::Query::WithoutFullTextExcerpt
    {15, 114, 141},	// Nepomuk::Query::Query::addRequestProperty#
    {15, 152, 153},	// Nepomuk::Query::Query::fromQueryUrl#
    {15, 154, 152},	// Nepomuk::Query::Query::fromString$
    {15, 157, 137},	// Nepomuk::Query::Query::fullTextScoringEnabled
    {15, 158, 138},	// Nepomuk::Query::Query::fullTextScoringSortOrder
    {15, 163, 127},	// Nepomuk::Query::Query::isFileQuery
    {15, 172, 126},	// Nepomuk::Query::Query::isValid
    {15, 173, 130},	// Nepomuk::Query::Query::limit
    {15, 181, 131},	// Nepomuk::Query::Query::offset
    {15, 185, 149},	// Nepomuk::Query::Query::operator!=#
    {15, 194, -22},	// Nepomuk::Query::Query::operator=#
    {15, 196, 148},	// Nepomuk::Query::Query::operator==#
    {15, 206, 150},	// Nepomuk::Query::Query::optimized
    {15, 225, 140},	// Nepomuk::Query::Query::queryFlags
    {15, 226, 143},	// Nepomuk::Query::Query::requestProperties
    {15, 229, 147},	// Nepomuk::Query::Query::requestPropertyMap
    {15, 248, 135},	// Nepomuk::Query::Query::setFullTextScoringEnabled$
    {15, 250, 136},	// Nepomuk::Query::Query::setFullTextScoringSortOrder$
    {15, 256, 133},	// Nepomuk::Query::Query::setLimit$
    {15, 258, 134},	// Nepomuk::Query::Query::setOffset$
    {15, 262, 139},	// Nepomuk::Query::Query::setQueryFlags$
    {15, 264, 142},	// Nepomuk::Query::Query::setRequestProperties?
    {15, 277, 132},	// Nepomuk::Query::Query::setTerm#
    {15, 287, 154},	// Nepomuk::Query::Query::sparqlFromQueryUrl#
    {15, 304, 129},	// Nepomuk::Query::Query::term
    {15, 307, 155},	// Nepomuk::Query::Query::titleFromQueryUrl#
    {15, 310, 128},	// Nepomuk::Query::Query::toFileQuery
    {15, 317, 157},	// Nepomuk::Query::Query::toSearchUrl
    {15, 318, -25},	// Nepomuk::Query::Query::toSearchUrl$
    {15, 319, 146},	// Nepomuk::Query::Query::toSearchUrl$$
    {15, 320, 156},	// Nepomuk::Query::Query::toSparqlQuery
    {15, 321, 144},	// Nepomuk::Query::Query::toSparqlQuery$
    {15, 322, 151},	// Nepomuk::Query::Query::toString
    {15, 342, 166},	// Nepomuk::Query::Query::~Query
    {16, 85, -61},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {16, 86, 167},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {16, 194, 169},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {16, 196, 170},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {16, 207, 172},	// Nepomuk::Query::Query::RequestProperty::optional
    {16, 216, 171},	// Nepomuk::Query::Query::RequestProperty::property
    {16, 345, 174},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {17, 20, 184},	// Nepomuk::Query::QueryParser::DetectFilenamePattern
    {17, 48, 182},	// Nepomuk::Query::QueryParser::NoParserFlags
    {17, 78, 175},	// Nepomuk::Query::QueryParser::QueryParser
    {17, 79, 181},	// Nepomuk::Query::QueryParser::QueryParser#
    {17, 82, 183},	// Nepomuk::Query::QueryParser::QueryTermGlobbing
    {17, 175, 178},	// Nepomuk::Query::QueryParser::matchProperty$
    {17, 211, 176},	// Nepomuk::Query::QueryParser::parse$
    {17, 212, 177},	// Nepomuk::Query::QueryParser::parse$$
    {17, 214, 179},	// Nepomuk::Query::QueryParser::parseQuery$
    {17, 215, 180},	// Nepomuk::Query::QueryParser::parseQuery$$
    {17, 343, 185},	// Nepomuk::Query::QueryParser::~QueryParser
    {18, 80, 214},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {18, 81, 193},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {18, 124, 203},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {18, 126, 201},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {18, 128, 220},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {18, 129, 202},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {18, 131, 204},	// Nepomuk::Query::QueryServiceClient::close
    {18, 136, 200},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {18, 139, 208},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {18, 141, 211},	// Nepomuk::Query::QueryServiceClient::error$
    {18, 142, 206},	// Nepomuk::Query::QueryServiceClient::errorMessage
    {18, 148, 210},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {18, 165, 205},	// Nepomuk::Query::QueryServiceClient::isListingFinished
    {18, 176, 186},	// Nepomuk::Query::QueryServiceClient::metaObject
    {18, 180, 207},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {18, 220, 192},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {18, 222, 187},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {18, 224, 198},	// Nepomuk::Query::QueryServiceClient::query#
    {18, 232, 209},	// Nepomuk::Query::QueryServiceClient::resultCount$
    {18, 234, 194},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {18, 289, 219},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {18, 290, 199},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {18, 291, 221},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {18, 295, 218},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$
    {18, 296, 197},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$$
    {18, 298, 215},	// Nepomuk::Query::QueryServiceClient::syncQuery#
    {18, 299, 195},	// Nepomuk::Query::QueryServiceClient::syncQuery#$
    {18, 301, 216},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$
    {18, 302, 217},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?
    {18, 303, 196},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?$
    {18, 324, 212},	// Nepomuk::Query::QueryServiceClient::tr$
    {18, 325, 188},	// Nepomuk::Query::QueryServiceClient::tr$$
    {18, 326, 190},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {18, 328, 213},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {18, 329, 189},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {18, 330, 191},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {18, 344, 222},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {19, 88, 228},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {19, 89, -31},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {19, 194, 225},	// Nepomuk::Query::ResourceTerm::operator=#
    {19, 230, 226},	// Nepomuk::Query::ResourceTerm::resource
    {19, 266, 227},	// Nepomuk::Query::ResourceTerm::setResource#
    {19, 346, 229},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {20, 91, 235},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {20, 92, -1},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {20, 194, 232},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {20, 279, 234},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {20, 331, 233},	// Nepomuk::Query::ResourceTypeTerm::type
    {20, 347, 236},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {21, 93, 237},	// Nepomuk::Query::Result::Result
    {21, 94, -28},	// Nepomuk::Query::Result::Result#
    {21, 95, 238},	// Nepomuk::Query::Result::Result#$
    {21, 115, 244},	// Nepomuk::Query::Result::addRequestProperty##
    {21, 119, 250},	// Nepomuk::Query::Result::additionalBinding$
    {21, 120, 249},	// Nepomuk::Query::Result::additionalBindings
    {21, 145, 252},	// Nepomuk::Query::Result::excerpt
    {21, 194, 240},	// Nepomuk::Query::Result::operator=#
    {21, 196, 253},	// Nepomuk::Query::Result::operator==#
    {21, 203, 246},	// Nepomuk::Query::Result::operator[]#
    {21, 226, 245},	// Nepomuk::Query::Result::requestProperties
    {21, 228, 247},	// Nepomuk::Query::Result::requestProperty#
    {21, 230, 242},	// Nepomuk::Query::Result::resource
    {21, 233, 241},	// Nepomuk::Query::Result::score
    {21, 236, 248},	// Nepomuk::Query::Result::setAdditionalBindings#
    {21, 242, 251},	// Nepomuk::Query::Result::setExcerpt$
    {21, 268, 243},	// Nepomuk::Query::Result::setScore$
    {21, 348, 255},	// Nepomuk::Query::Result::~Result
    {22, 97, -15},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {22, 273, 257},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {22, 292, 256},	// Nepomuk::Query::SimpleTerm::subTerm
    {22, 349, 261},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {23, 1, 302},	// Nepomuk::Query::Term::And
    {23, 11, 304},	// Nepomuk::Query::Term::Comparison
    {23, 37, 299},	// Nepomuk::Query::Term::Invalid
    {23, 38, 300},	// Nepomuk::Query::Term::Literal
    {23, 43, 306},	// Nepomuk::Query::Term::Negation
    {23, 51, 307},	// Nepomuk::Query::Term::Optional
    {23, 54, 303},	// Nepomuk::Query::Term::Or
    {23, 87, 301},	// Nepomuk::Query::Term::Resource
    {23, 90, 305},	// Nepomuk::Query::Term::ResourceType
    {23, 101, 262},	// Nepomuk::Query::Term::Term
    {23, 102, -34},	// Nepomuk::Query::Term::Term#
    {23, 150, 295},	// Nepomuk::Query::Term::fromProperty##
    {23, 154, 293},	// Nepomuk::Query::Term::fromString$
    {23, 156, 294},	// Nepomuk::Query::Term::fromVariant#
    {23, 161, 272},	// Nepomuk::Query::Term::isAndTerm
    {23, 162, 274},	// Nepomuk::Query::Term::isComparisonTerm
    {23, 166, 268},	// Nepomuk::Query::Term::isLiteralTerm
    {23, 167, 270},	// Nepomuk::Query::Term::isNegationTerm
    {23, 168, 271},	// Nepomuk::Query::Term::isOptionalTerm
    {23, 169, 273},	// Nepomuk::Query::Term::isOrTerm
    {23, 170, 269},	// Nepomuk::Query::Term::isResourceTerm
    {23, 171, 275},	// Nepomuk::Query::Term::isResourceTypeTerm
    {23, 172, 265},	// Nepomuk::Query::Term::isValid
    {23, 185, 297},	// Nepomuk::Query::Term::operator!=#
    {23, 194, 264},	// Nepomuk::Query::Term::operator=#
    {23, 196, 296},	// Nepomuk::Query::Term::operator==#
    {23, 206, 267},	// Nepomuk::Query::Term::optimized
    {23, 308, -37},	// Nepomuk::Query::Term::toAndTerm
    {23, 309, -40},	// Nepomuk::Query::Term::toComparisonTerm
    {23, 311, -43},	// Nepomuk::Query::Term::toLiteralTerm
    {23, 312, -46},	// Nepomuk::Query::Term::toNegationTerm
    {23, 313, -49},	// Nepomuk::Query::Term::toOptionalTerm
    {23, 314, -52},	// Nepomuk::Query::Term::toOrTerm
    {23, 315, -55},	// Nepomuk::Query::Term::toResourceTerm
    {23, 316, -58},	// Nepomuk::Query::Term::toResourceTypeTerm
    {23, 322, 292},	// Nepomuk::Query::Term::toString
    {23, 331, 266},	// Nepomuk::Query::Term::type
    {23, 350, 308},	// Nepomuk::Query::Term::~Term
    {33, 63, 309},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 64, 313},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 65, 312},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 66, 310},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 67, 311},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 68, 316},	// QGlobalSpace::QtCriticalMsg
    {33, 69, 314},	// QGlobalSpace::QtDebugMsg
    {33, 70, 317},	// QGlobalSpace::QtFatalMsg
    {33, 71, 318},	// QGlobalSpace::QtSystemMsg
    {33, 72, 315},	// QGlobalSpace::QtWarningMsg
    {33, 104, 321},	// QGlobalSpace::__codecvt_error
    {33, 105, 322},	// QGlobalSpace::__codecvt_noconv
    {33, 106, 319},	// QGlobalSpace::__codecvt_ok
    {33, 107, 320},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 42,
        __smokenepomukquery::methods, 330,
        __smokenepomukquery::methodMaps, 295,
        __smokenepomukquery::methodNames, 350,
        __smokenepomukquery::types, 212,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
