#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", false, 3, xcall_Solid__Networking__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::Networking::Notifier) },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", false, 3, xcall_Solid__PowerManagement__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::PowerManagement::Notifier) },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Solid::AudioInterface::AudioInterfaceType>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Solid::OpticalDisc::ContentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Solid::OpticalDrive::MediumType>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Solid::Processor::InstructionSet>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//18
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//20
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//99
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//100
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//104
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//117
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//118
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//124
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//128
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//131
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//132
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//135
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//138
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//141
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//144
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//145
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//146
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//147
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    12, 3, 0,	//3  QObject*, QEvent*
    19, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    144, 0,	//10  const char*
    144, 144, 0,	//12  const char*, const char*
    144, 144, 145, 0,	//15  const char*, const char*, int
    11, 145, 149, 0,	//19  QMetaObject::Call, int, void**
    132, 137, 0,	//23  bool, const QString&
    145, 137, 0,	//26  int, const QString&
    98, 137, 0,	//29  Solid::Button::ButtonType, const QString&
    16, 0,	//32  QString
    137, 0,	//34  const QString&
    142, 137, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    143, 137, 0,	//39  const Solid::Predicate&, const QString&
    137, 137, 0,	//42  const QString&, const QString&
    140, 0,	//45  const Solid::Device&
    142, 0,	//47  const Solid::DeviceInterface::Type&
    143, 0,	//49  const Solid::Predicate&
    103, 0,	//51  Solid::DeviceInterface::Type
    104, 12, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    133, 0,	//56  const QMap<QString,int>&
    109, 0,	//58  Solid::Networking::ManagementPolicy
    111, 0,	//60  Solid::Networking::Status
    107, 20, 137, 0,	//62  Solid::ErrorType, QVariant, const QString&
    145, 0,	//66  int
    116, 12, 144, 0,	//68  Solid::PowerManagement::SleepState, QObject*, const char*
    132, 0,	//72  bool
    142, 137, 139, 120, 0,	//74  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    137, 137, 139, 120, 0,	//79  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    142, 137, 139, 0,	//84  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    137, 137, 139, 0,	//88  const QString&, const QString&, const QVariant&
    124, 12, 0,	//92  Solid::StorageAccessPrivate&, QObject*
    128, 12, 0,	//95  Solid::StorageDrivePrivate&, QObject*
    131, 12, 0,	//98  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "InternetGateway",	//93
    "KeyboardBattery",	//94
    "KeyboardMouseBattery",	//95
    "Last",	//96
    "LidButton",	//97
    "Managed",	//98
    "Manual",	//99
    "Mask",	//100
    "MemoryStick",	//101
    "Modem",	//102
    "MonitorBattery",	//103
    "MouseBattery",	//104
    "NetworkInterface",	//105
    "NoCharge",	//106
    "NoContent",	//107
    "NoError",	//108
    "NoExtensions",	//109
    "Notifier",	//110
    "OnNextStatusChange",	//111
    "OpenSoundSystem",	//112
    "OpticalDisc",	//113
    "OpticalDrive",	//114
    "Other",	//115
    "PartitionTable",	//116
    "PdaBattery",	//117
    "PhoneBattery",	//118
    "Platform",	//119
    "PortableMediaPlayer",	//120
    "PowerButton",	//121
    "Predicate",	//122
    "Predicate#",	//123
    "Predicate$",	//124
    "Predicate$$#",	//125
    "Predicate$$#$",	//126
    "PrimaryBattery",	//127
    "Processor",	//128
    "PropertyAdded",	//129
    "PropertyCheck",	//130
    "PropertyModified",	//131
    "PropertyRemoved",	//132
    "Q_COMPLEX_TYPE",	//133
    "Q_DUMMY_TYPE",	//134
    "Q_MOVABLE_TYPE",	//135
    "Q_PRIMITIVE_TYPE",	//136
    "Q_STATIC_TYPE",	//137
    "QtCriticalMsg",	//138
    "QtDebugMsg",	//139
    "QtFatalMsg",	//140
    "QtSystemMsg",	//141
    "QtWarningMsg",	//142
    "Raid",	//143
    "Sata",	//144
    "Scsi",	//145
    "SdMmc",	//146
    "SerialInterface",	//147
    "SleepButton",	//148
    "SmartCardReader",	//149
    "SmartMedia",	//150
    "StandbyState",	//151
    "StorageAccess",	//152
    "StorageAccess##",	//153
    "StorageDrive",	//154
    "StorageDrive##",	//155
    "StorageVolume",	//156
    "StorageVolume##",	//157
    "SuperVideoCd",	//158
    "SuspendState",	//159
    "TabletButton",	//160
    "Tape",	//161
    "UnauthorizedOperation",	//162
    "Unconnected",	//163
    "Unknown",	//164
    "UnknownAudioDriver",	//165
    "UnknownAudioInterfaceType",	//166
    "UnknownBattery",	//167
    "UnknownButtonType",	//168
    "UnknownDiscType",	//169
    "Unused",	//170
    "UpsBattery",	//171
    "Usb",	//172
    "UsbSoundcard",	//173
    "Video",	//174
    "VideoBluRay",	//175
    "VideoCd",	//176
    "VideoDvd",	//177
    "Xd",	//178
    "accessibilityChanged",	//179
    "accessibilityChanged$$",	//180
    "allDevices",	//181
    "allProperties",	//182
    "appShouldConserveResources",	//183
    "appShouldConserveResourcesChanged",	//184
    "appShouldConserveResourcesChanged$",	//185
    "asDeviceInterface",	//186
    "asDeviceInterface$",	//187
    "availableContent",	//188
    "beginSuppressingScreenPowerManagement",	//189
    "beginSuppressingScreenPowerManagement$",	//190
    "beginSuppressingSleep",	//191
    "beginSuppressingSleep$",	//192
    "bus",	//193
    "canChangeFrequency",	//194
    "capacity",	//195
    "chargePercent",	//196
    "chargePercentChanged",	//197
    "chargePercentChanged$$",	//198
    "chargeState",	//199
    "chargeStateChanged",	//200
    "chargeStateChanged$$",	//201
    "childEvent",	//202
    "comparisonOperator",	//203
    "conditionRaised",	//204
    "conditionRaised$$",	//205
    "connectNotify",	//206
    "connectPolicy",	//207
    "customEvent",	//208
    "description",	//209
    "device",	//210
    "deviceAdapter",	//211
    "deviceAdded",	//212
    "deviceAdded$",	//213
    "deviceIndex",	//214
    "deviceInterfaceType",	//215
    "deviceMajor",	//216
    "deviceMinor",	//217
    "deviceRemoved",	//218
    "deviceRemoved$",	//219
    "deviceType",	//220
    "discType",	//221
    "disconnectNotify",	//222
    "disconnectPolicy",	//223
    "driveType",	//224
    "driver",	//225
    "driverHandle",	//226
    "driverHandle$",	//227
    "eject",	//228
    "ejectDone",	//229
    "ejectDone$#$",	//230
    "ejectPressed",	//231
    "ejectPressed$",	//232
    "ejectRequested",	//233
    "ejectRequested$",	//234
    "emblems",	//235
    "encryptedContainer",	//236
    "event",	//237
    "eventFilter",	//238
    "filePath",	//239
    "firstOperand",	//240
    "fromString",	//241
    "fromString$",	//242
    "fsType",	//243
    "hasState",	//244
    "hwAddress",	//245
    "icon",	//246
    "ifaceName",	//247
    "instance",	//248
    "instructionSets",	//249
    "interfaceType",	//250
    "isAccessible",	//251
    "isAppendable",	//252
    "isBlank",	//253
    "isDeviceInterface",	//254
    "isDeviceInterface$",	//255
    "isHotpluggable",	//256
    "isIgnored",	//257
    "isInUse",	//258
    "isPlugged",	//259
    "isRechargeable",	//260
    "isRemovable",	//261
    "isRewritable",	//262
    "isValid",	//263
    "isWireless",	//264
    "label",	//265
    "listFromQuery",	//266
    "listFromQuery#",	//267
    "listFromQuery#$",	//268
    "listFromQuery$",	//269
    "listFromQuery$$",	//270
    "listFromType",	//271
    "listFromType$",	//272
    "listFromType$$",	//273
    "macAddress",	//274
    "matches",	//275
    "matches#",	//276
    "matchingValue",	//277
    "maxSpeed",	//278
    "metaObject",	//279
    "name",	//280
    "notifier",	//281
    "number",	//282
    "operator&",	//283
    "operator&#",	//284
    "operator&=",	//285
    "operator&=#",	//286
    "operator=",	//287
    "operator=#",	//288
    "operator|",	//289
    "operator|#",	//290
    "operator|=",	//291
    "operator|=#",	//292
    "parent",	//293
    "parentUdi",	//294
    "plugStateChanged",	//295
    "plugStateChanged$$",	//296
    "pressed",	//297
    "pressed$$",	//298
    "product",	//299
    "property",	//300
    "property$",	//301
    "propertyChanged",	//302
    "propertyChanged?",	//303
    "propertyExists",	//304
    "propertyExists$",	//305
    "propertyName",	//306
    "qt_metacall",	//307
    "qt_metacall$$?",	//308
    "qt_metacast",	//309
    "qt_metacast$",	//310
    "readSpeed",	//311
    "requestSleep",	//312
    "requestSleep$#$",	//313
    "secondOperand",	//314
    "setConnectPolicy",	//315
    "setConnectPolicy$",	//316
    "setDisconnectPolicy",	//317
    "setDisconnectPolicy$",	//318
    "setup",	//319
    "setupDone",	//320
    "setupDone$#$",	//321
    "setupRequested",	//322
    "setupRequested$",	//323
    "shouldConnect",	//324
    "shouldDisconnect",	//325
    "size",	//326
    "soundcardType",	//327
    "stateValue",	//328
    "staticMetaObject",	//329
    "status",	//330
    "statusChanged",	//331
    "statusChanged$",	//332
    "stopSuppressingScreenPowerManagement",	//333
    "stopSuppressingScreenPowerManagement$",	//334
    "stopSuppressingSleep",	//335
    "stopSuppressingSleep$",	//336
    "stringToType",	//337
    "stringToType$",	//338
    "supportedDrivers",	//339
    "supportedDrivers$",	//340
    "supportedMedia",	//341
    "supportedProtocols",	//342
    "supportedSleepStates",	//343
    "teardown",	//344
    "teardownDone",	//345
    "teardownDone$#$",	//346
    "teardownRequested",	//347
    "teardownRequested$",	//348
    "timerEvent",	//349
    "toString",	//350
    "tr",	//351
    "tr$",	//352
    "tr$$",	//353
    "tr$$$",	//354
    "trUtf8",	//355
    "trUtf8$",	//356
    "trUtf8$$",	//357
    "trUtf8$$$",	//358
    "type",	//359
    "typeDescription",	//360
    "typeDescription$",	//361
    "typeToString",	//362
    "typeToString$",	//363
    "udi",	//364
    "usage",	//365
    "usedTypes",	//366
    "uuid",	//367
    "vendor",	//368
    "writeSpeed",	//369
    "writeSpeeds",	//370
    "~AcAdapter",	//371
    "~AudioInterface",	//372
    "~Battery",	//373
    "~Block",	//374
    "~Button",	//375
    "~Camera",	//376
    "~Device",	//377
    "~DeviceInterface",	//378
    "~DeviceNotifier",	//379
    "~DvbInterface",	//380
    "~GenericInterface",	//381
    "~NetworkInterface",	//382
    "~Notifier",	//383
    "~OpticalDisc",	//384
    "~OpticalDrive",	//385
    "~PortableMediaPlayer",	//386
    "~Predicate",	//387
    "~Processor",	//388
    "~StorageAccess",	//389
    "~StorageDrive",	//390
    "~StorageVolume",	//391
    "~Video",	//392
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {4, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {4, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {4, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {4, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {6, 237, 1, 1, Smoke::mf_virtual, 132, 0},	//11 QObject::event(QEvent*)
    {6, 238, 3, 2, Smoke::mf_virtual, 132, 0},	//12 QObject::eventFilter(QObject*, QEvent*)
    {6, 349, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::timerEvent(QTimerEvent*)
    {6, 202, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::childEvent(QChildEvent*)
    {6, 208, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::customEvent(QEvent*)
    {6, 206, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::connectNotify(const char*)
    {6, 222, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::disconnectNotify(const char*)
    {10, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 1},	//18 Solid::NoError (enum)
    {10, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 2},	//19 Solid::UnauthorizedOperation (enum)
    {11, 279, 0, 0, Smoke::mf_const, 135, 1},	//20 Solid::AcAdapter::metaObject() const
    {11, 309, 10, 1, 0, 148, 2},	//21 Solid::AcAdapter::qt_metacast(const char*)
    {11, 351, 12, 2, Smoke::mf_static, 16, 3},	//22 Solid::AcAdapter::tr(const char*, const char*)
    {11, 355, 12, 2, Smoke::mf_static, 16, 4},	//23 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 351, 15, 3, Smoke::mf_static, 16, 5},	//24 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 355, 15, 3, Smoke::mf_static, 16, 6},	//25 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 307, 19, 3, 0, 145, 7},	//26 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 215, 0, 0, Smoke::mf_static, 103, 8},	//27 Solid::AcAdapter::deviceInterfaceType()
    {11, 259, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//28 Solid::AcAdapter::isPlugged() const
    {11, 295, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//29 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 351, 10, 1, Smoke::mf_static, 16, 11},	//30 Solid::AcAdapter::tr(const char*)
    {11, 355, 10, 1, Smoke::mf_static, 16, 12},	//31 Solid::AcAdapter::trUtf8(const char*)
    {11, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 13},	//32 Solid::AcAdapter::staticMetaObject() const
    {11, 371, 0, 0, Smoke::mf_dtor, 0, 14 },	//33 Solid::AcAdapter::~AcAdapter()
    {12, 279, 0, 0, Smoke::mf_const, 135, 1},	//34 Solid::AudioInterface::metaObject() const
    {12, 309, 10, 1, 0, 148, 2},	//35 Solid::AudioInterface::qt_metacast(const char*)
    {12, 351, 12, 2, Smoke::mf_static, 16, 3},	//36 Solid::AudioInterface::tr(const char*, const char*)
    {12, 355, 12, 2, Smoke::mf_static, 16, 4},	//37 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 351, 15, 3, Smoke::mf_static, 16, 5},	//38 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 355, 15, 3, Smoke::mf_static, 16, 6},	//39 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 307, 19, 3, 0, 145, 7},	//40 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 215, 0, 0, Smoke::mf_static, 103, 8},	//41 Solid::AudioInterface::deviceInterfaceType()
    {12, 225, 0, 0, Smoke::mf_const|Smoke::mf_property, 93, 9},	//42 Solid::AudioInterface::driver() const
    {12, 226, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 10},	//43 Solid::AudioInterface::driverHandle() const
    {12, 280, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//44 Solid::AudioInterface::name() const
    {12, 220, 0, 0, Smoke::mf_const, 4, 12},	//45 Solid::AudioInterface::deviceType() const
    {12, 327, 0, 0, Smoke::mf_const|Smoke::mf_property, 95, 13},	//46 Solid::AudioInterface::soundcardType() const
    {12, 351, 10, 1, Smoke::mf_static, 16, 14},	//47 Solid::AudioInterface::tr(const char*)
    {12, 355, 10, 1, Smoke::mf_static, 16, 15},	//48 Solid::AudioInterface::trUtf8(const char*)
    {12, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//49 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 17},	//50 Solid::AudioInterface::Alsa (enum)
    {12, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 18},	//51 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 19},	//52 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 20},	//53 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 21},	//54 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 22},	//55 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 23},	//56 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//57 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//58 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//59 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//60 Solid::AudioInterface::Headset (enum)
    {12, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//61 Solid::AudioInterface::Modem (enum)
    {12, 372, 0, 0, Smoke::mf_dtor, 0, 29 },	//62 Solid::AudioInterface::~AudioInterface()
    {13, 279, 0, 0, Smoke::mf_const, 135, 1},	//63 Solid::Battery::metaObject() const
    {13, 309, 10, 1, 0, 148, 2},	//64 Solid::Battery::qt_metacast(const char*)
    {13, 351, 12, 2, Smoke::mf_static, 16, 3},	//65 Solid::Battery::tr(const char*, const char*)
    {13, 355, 12, 2, Smoke::mf_static, 16, 4},	//66 Solid::Battery::trUtf8(const char*, const char*)
    {13, 351, 15, 3, Smoke::mf_static, 16, 5},	//67 Solid::Battery::tr(const char*, const char*, int)
    {13, 355, 15, 3, Smoke::mf_static, 16, 6},	//68 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 307, 19, 3, 0, 145, 7},	//69 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 215, 0, 0, Smoke::mf_static, 103, 8},	//70 Solid::Battery::deviceInterfaceType()
    {13, 259, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//71 Solid::Battery::isPlugged() const
    {13, 359, 0, 0, Smoke::mf_const|Smoke::mf_property, 96, 10},	//72 Solid::Battery::type() const
    {13, 196, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//73 Solid::Battery::chargePercent() const
    {13, 260, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//74 Solid::Battery::isRechargeable() const
    {13, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 97, 13},	//75 Solid::Battery::chargeState() const
    {13, 197, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//76 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 200, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//77 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 295, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//78 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 351, 10, 1, Smoke::mf_static, 16, 17},	//79 Solid::Battery::tr(const char*)
    {13, 355, 10, 1, Smoke::mf_static, 16, 18},	//80 Solid::Battery::trUtf8(const char*)
    {13, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//81 Solid::Battery::staticMetaObject() const
    {13, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 20},	//82 Solid::Battery::UnknownBattery (enum)
    {13, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 21},	//83 Solid::Battery::PdaBattery (enum)
    {13, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 22},	//84 Solid::Battery::UpsBattery (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 23},	//85 Solid::Battery::PrimaryBattery (enum)
    {13, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 24},	//86 Solid::Battery::MouseBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//87 Solid::Battery::KeyboardBattery (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 26},	//88 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 27},	//89 Solid::Battery::CameraBattery (enum)
    {13, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 28},	//90 Solid::Battery::PhoneBattery (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 29},	//91 Solid::Battery::MonitorBattery (enum)
    {13, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 30},	//92 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 31},	//93 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 32},	//94 Solid::Battery::Discharging (enum)
    {13, 373, 0, 0, Smoke::mf_dtor, 0, 33 },	//95 Solid::Battery::~Battery()
    {14, 279, 0, 0, Smoke::mf_const, 135, 1},	//96 Solid::Block::metaObject() const
    {14, 309, 10, 1, 0, 148, 2},	//97 Solid::Block::qt_metacast(const char*)
    {14, 351, 12, 2, Smoke::mf_static, 16, 3},	//98 Solid::Block::tr(const char*, const char*)
    {14, 355, 12, 2, Smoke::mf_static, 16, 4},	//99 Solid::Block::trUtf8(const char*, const char*)
    {14, 351, 15, 3, Smoke::mf_static, 16, 5},	//100 Solid::Block::tr(const char*, const char*, int)
    {14, 355, 15, 3, Smoke::mf_static, 16, 6},	//101 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 307, 19, 3, 0, 145, 7},	//102 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 215, 0, 0, Smoke::mf_static, 103, 8},	//103 Solid::Block::deviceInterfaceType()
    {14, 216, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//104 Solid::Block::deviceMajor() const
    {14, 217, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//105 Solid::Block::deviceMinor() const
    {14, 210, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//106 Solid::Block::device() const
    {14, 351, 10, 1, Smoke::mf_static, 16, 12},	//107 Solid::Block::tr(const char*)
    {14, 355, 10, 1, Smoke::mf_static, 16, 13},	//108 Solid::Block::trUtf8(const char*)
    {14, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//109 Solid::Block::staticMetaObject() const
    {14, 374, 0, 0, Smoke::mf_dtor, 0, 15 },	//110 Solid::Block::~Block()
    {15, 279, 0, 0, Smoke::mf_const, 135, 1},	//111 Solid::Button::metaObject() const
    {15, 309, 10, 1, 0, 148, 2},	//112 Solid::Button::qt_metacast(const char*)
    {15, 351, 12, 2, Smoke::mf_static, 16, 3},	//113 Solid::Button::tr(const char*, const char*)
    {15, 355, 12, 2, Smoke::mf_static, 16, 4},	//114 Solid::Button::trUtf8(const char*, const char*)
    {15, 351, 15, 3, Smoke::mf_static, 16, 5},	//115 Solid::Button::tr(const char*, const char*, int)
    {15, 355, 15, 3, Smoke::mf_static, 16, 6},	//116 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 307, 19, 3, 0, 145, 7},	//117 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 215, 0, 0, Smoke::mf_static, 103, 8},	//118 Solid::Button::deviceInterfaceType()
    {15, 359, 0, 0, Smoke::mf_const|Smoke::mf_property, 98, 9},	//119 Solid::Button::type() const
    {15, 244, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//120 Solid::Button::hasState() const
    {15, 328, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//121 Solid::Button::stateValue() const
    {15, 297, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//122 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 351, 10, 1, Smoke::mf_static, 16, 13},	//123 Solid::Button::tr(const char*)
    {15, 355, 10, 1, Smoke::mf_static, 16, 14},	//124 Solid::Button::trUtf8(const char*)
    {15, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//125 Solid::Button::staticMetaObject() const
    {15, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 16},	//126 Solid::Button::LidButton (enum)
    {15, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 17},	//127 Solid::Button::PowerButton (enum)
    {15, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//128 Solid::Button::SleepButton (enum)
    {15, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//129 Solid::Button::UnknownButtonType (enum)
    {15, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//130 Solid::Button::TabletButton (enum)
    {15, 375, 0, 0, Smoke::mf_dtor, 0, 21 },	//131 Solid::Button::~Button()
    {16, 279, 0, 0, Smoke::mf_const, 135, 1},	//132 Solid::Camera::metaObject() const
    {16, 309, 10, 1, 0, 148, 2},	//133 Solid::Camera::qt_metacast(const char*)
    {16, 351, 12, 2, Smoke::mf_static, 16, 3},	//134 Solid::Camera::tr(const char*, const char*)
    {16, 355, 12, 2, Smoke::mf_static, 16, 4},	//135 Solid::Camera::trUtf8(const char*, const char*)
    {16, 351, 15, 3, Smoke::mf_static, 16, 5},	//136 Solid::Camera::tr(const char*, const char*, int)
    {16, 355, 15, 3, Smoke::mf_static, 16, 6},	//137 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 307, 19, 3, 0, 145, 7},	//138 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 215, 0, 0, Smoke::mf_static, 103, 8},	//139 Solid::Camera::deviceInterfaceType()
    {16, 342, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//140 Solid::Camera::supportedProtocols() const
    {16, 339, 32, 1, Smoke::mf_const, 17, 10},	//141 Solid::Camera::supportedDrivers(QString) const
    {16, 226, 34, 1, Smoke::mf_const, 20, 11},	//142 Solid::Camera::driverHandle(const QString&) const
    {16, 351, 10, 1, Smoke::mf_static, 16, 12},	//143 Solid::Camera::tr(const char*)
    {16, 355, 10, 1, Smoke::mf_static, 16, 13},	//144 Solid::Camera::trUtf8(const char*)
    {16, 339, 0, 0, Smoke::mf_const, 17, 14},	//145 Solid::Camera::supportedDrivers() const
    {16, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//146 Solid::Camera::staticMetaObject() const
    {16, 376, 0, 0, Smoke::mf_dtor, 0, 16 },	//147 Solid::Camera::~Camera()
    {17, 181, 0, 0, Smoke::mf_static, 8, 1},	//148 Solid::Device::allDevices()
    {17, 271, 36, 2, Smoke::mf_static, 8, 2},	//149 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 266, 39, 2, Smoke::mf_static, 8, 3},	//150 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 266, 42, 2, Smoke::mf_static, 8, 4},	//151 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 101, 5},	//152 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 6},	//153 Solid::Device::Device(const Solid::Device&)
    {17, 287, 45, 1, 0, 100, 7},	//154 Solid::Device::operator=(const Solid::Device&)
    {17, 263, 0, 0, Smoke::mf_const, 132, 8},	//155 Solid::Device::isValid() const
    {17, 364, 0, 0, Smoke::mf_const, 16, 9},	//156 Solid::Device::udi() const
    {17, 294, 0, 0, Smoke::mf_const, 16, 10},	//157 Solid::Device::parentUdi() const
    {17, 293, 0, 0, Smoke::mf_const, 99, 11},	//158 Solid::Device::parent() const
    {17, 368, 0, 0, Smoke::mf_const, 16, 12},	//159 Solid::Device::vendor() const
    {17, 299, 0, 0, Smoke::mf_const, 16, 13},	//160 Solid::Device::product() const
    {17, 246, 0, 0, Smoke::mf_const, 16, 14},	//161 Solid::Device::icon() const
    {17, 235, 0, 0, Smoke::mf_const, 17, 15},	//162 Solid::Device::emblems() const
    {17, 209, 0, 0, Smoke::mf_const, 16, 16},	//163 Solid::Device::description() const
    {17, 254, 47, 1, Smoke::mf_const, 132, 17},	//164 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 186, 47, 1, 0, 102, 18},	//165 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 186, 47, 1, Smoke::mf_const, 141, 19},	//166 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 271, 47, 1, Smoke::mf_static, 8, 20},	//167 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 266, 49, 1, Smoke::mf_static, 8, 21},	//168 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 266, 34, 1, Smoke::mf_static, 8, 22},	//169 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 101, 23},	//170 Solid::Device::Device()
    {17, 377, 0, 0, Smoke::mf_dtor, 0, 24 },	//171 Solid::Device::~Device()
    {18, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//172 Solid::DeviceInterface::metaObject() const
    {18, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//173 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 351, 12, 2, Smoke::mf_static, 16, 3},	//174 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 355, 12, 2, Smoke::mf_static, 16, 4},	//175 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 351, 15, 3, Smoke::mf_static, 16, 5},	//176 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 355, 15, 3, Smoke::mf_static, 16, 6},	//177 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//178 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 263, 0, 0, Smoke::mf_const, 132, 8},	//179 Solid::DeviceInterface::isValid() const
    {18, 362, 51, 1, Smoke::mf_static, 16, 9},	//180 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 337, 34, 1, Smoke::mf_static, 103, 10},	//181 Solid::DeviceInterface::stringToType(const QString&)
    {18, 360, 51, 1, Smoke::mf_static, 16, 11},	//182 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 102, 12},	//183 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 351, 10, 1, Smoke::mf_static, 16, 13},	//184 Solid::DeviceInterface::tr(const char*)
    {18, 355, 10, 1, Smoke::mf_static, 16, 14},	//185 Solid::DeviceInterface::trUtf8(const char*)
    {18, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//186 Solid::DeviceInterface::staticMetaObject() const
    {18, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//187 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//188 Solid::DeviceInterface::GenericInterface (enum)
    {18, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 18},	//189 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 19},	//190 Solid::DeviceInterface::Block (enum)
    {18, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 20},	//191 Solid::DeviceInterface::StorageAccess (enum)
    {18, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//192 Solid::DeviceInterface::StorageDrive (enum)
    {18, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//193 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 23},	//194 Solid::DeviceInterface::StorageVolume (enum)
    {18, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 24},	//195 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 25},	//196 Solid::DeviceInterface::Camera (enum)
    {18, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 26},	//197 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 27},	//198 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 28},	//199 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 29},	//200 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 30},	//201 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 31},	//202 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 32},	//203 Solid::DeviceInterface::DvbInterface (enum)
    {18, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 33},	//204 Solid::DeviceInterface::Video (enum)
    {18, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 34},	//205 Solid::DeviceInterface::SerialInterface (enum)
    {18, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 35},	//206 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 36},	//207 Solid::DeviceInterface::InternetGateway (enum)
    {18, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 37},	//208 Solid::DeviceInterface::Last (enum)
    {18, 378, 0, 0, Smoke::mf_dtor, 0, 38 },	//209 Solid::DeviceInterface::~DeviceInterface()
    {20, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//210 Solid::DeviceNotifier::metaObject() const
    {20, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//211 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 351, 12, 2, Smoke::mf_static, 16, 3},	//212 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 355, 12, 2, Smoke::mf_static, 16, 4},	//213 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 351, 15, 3, Smoke::mf_static, 16, 5},	//214 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 355, 15, 3, Smoke::mf_static, 16, 6},	//215 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//216 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 248, 0, 0, Smoke::mf_static, 105, 8},	//217 Solid::DeviceNotifier::instance()
    {20, 212, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//218 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 218, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//219 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 105, 11},	//220 Solid::DeviceNotifier::DeviceNotifier()
    {20, 351, 10, 1, Smoke::mf_static, 16, 12},	//221 Solid::DeviceNotifier::tr(const char*)
    {20, 355, 10, 1, Smoke::mf_static, 16, 13},	//222 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//223 Solid::DeviceNotifier::staticMetaObject() const
    {20, 379, 0, 0, Smoke::mf_dtor, 0, 15 },	//224 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 279, 0, 0, Smoke::mf_const, 135, 1},	//225 Solid::DvbInterface::metaObject() const
    {21, 309, 10, 1, 0, 148, 2},	//226 Solid::DvbInterface::qt_metacast(const char*)
    {21, 351, 12, 2, Smoke::mf_static, 16, 3},	//227 Solid::DvbInterface::tr(const char*, const char*)
    {21, 355, 12, 2, Smoke::mf_static, 16, 4},	//228 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 351, 15, 3, Smoke::mf_static, 16, 5},	//229 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 355, 15, 3, Smoke::mf_static, 16, 6},	//230 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 307, 19, 3, 0, 145, 7},	//231 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 215, 0, 0, Smoke::mf_static, 103, 8},	//232 Solid::DvbInterface::deviceInterfaceType()
    {21, 210, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//233 Solid::DvbInterface::device() const
    {21, 211, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//234 Solid::DvbInterface::deviceAdapter() const
    {21, 220, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 11},	//235 Solid::DvbInterface::deviceType() const
    {21, 214, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 12},	//236 Solid::DvbInterface::deviceIndex() const
    {21, 351, 10, 1, Smoke::mf_static, 16, 13},	//237 Solid::DvbInterface::tr(const char*)
    {21, 355, 10, 1, Smoke::mf_static, 16, 14},	//238 Solid::DvbInterface::trUtf8(const char*)
    {21, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//239 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 16},	//240 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 17},	//241 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 18},	//242 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 19},	//243 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 20},	//244 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 21},	//245 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 22},	//246 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 23},	//247 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 24},	//248 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 25},	//249 Solid::DvbInterface::DvbVideo (enum)
    {21, 380, 0, 0, Smoke::mf_dtor, 0, 26 },	//250 Solid::DvbInterface::~DvbInterface()
    {22, 279, 0, 0, Smoke::mf_const, 135, 1},	//251 Solid::GenericInterface::metaObject() const
    {22, 309, 10, 1, 0, 148, 2},	//252 Solid::GenericInterface::qt_metacast(const char*)
    {22, 351, 12, 2, Smoke::mf_static, 16, 3},	//253 Solid::GenericInterface::tr(const char*, const char*)
    {22, 355, 12, 2, Smoke::mf_static, 16, 4},	//254 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 351, 15, 3, Smoke::mf_static, 16, 5},	//255 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 355, 15, 3, Smoke::mf_static, 16, 6},	//256 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 307, 19, 3, 0, 145, 7},	//257 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 215, 0, 0, Smoke::mf_static, 103, 8},	//258 Solid::GenericInterface::deviceInterfaceType()
    {22, 300, 34, 1, Smoke::mf_const, 20, 9},	//259 Solid::GenericInterface::property(const QString&) const
    {22, 182, 0, 0, Smoke::mf_const, 10, 10},	//260 Solid::GenericInterface::allProperties() const
    {22, 304, 34, 1, Smoke::mf_const, 132, 11},	//261 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 302, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//262 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 204, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//263 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 351, 10, 1, Smoke::mf_static, 16, 14},	//264 Solid::GenericInterface::tr(const char*)
    {22, 355, 10, 1, Smoke::mf_static, 16, 15},	//265 Solid::GenericInterface::trUtf8(const char*)
    {22, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//266 Solid::GenericInterface::staticMetaObject() const
    {22, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 17},	//267 Solid::GenericInterface::PropertyModified (enum)
    {22, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 18},	//268 Solid::GenericInterface::PropertyAdded (enum)
    {22, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 19},	//269 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 381, 0, 0, Smoke::mf_dtor, 0, 20 },	//270 Solid::GenericInterface::~GenericInterface()
    {23, 279, 0, 0, Smoke::mf_const, 135, 1},	//271 Solid::NetworkInterface::metaObject() const
    {23, 309, 10, 1, 0, 148, 2},	//272 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 351, 12, 2, Smoke::mf_static, 16, 3},	//273 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 355, 12, 2, Smoke::mf_static, 16, 4},	//274 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 351, 15, 3, Smoke::mf_static, 16, 5},	//275 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 355, 15, 3, Smoke::mf_static, 16, 6},	//276 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 307, 19, 3, 0, 145, 7},	//277 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 215, 0, 0, Smoke::mf_static, 103, 8},	//278 Solid::NetworkInterface::deviceInterfaceType()
    {23, 247, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//279 Solid::NetworkInterface::ifaceName() const
    {23, 264, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//280 Solid::NetworkInterface::isWireless() const
    {23, 245, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//281 Solid::NetworkInterface::hwAddress() const
    {23, 274, 0, 0, Smoke::mf_const, 147, 12},	//282 Solid::NetworkInterface::macAddress() const
    {23, 351, 10, 1, Smoke::mf_static, 16, 13},	//283 Solid::NetworkInterface::tr(const char*)
    {23, 355, 10, 1, Smoke::mf_static, 16, 14},	//284 Solid::NetworkInterface::trUtf8(const char*)
    {23, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//285 Solid::NetworkInterface::staticMetaObject() const
    {23, 382, 0, 0, Smoke::mf_dtor, 0, 16 },	//286 Solid::NetworkInterface::~NetworkInterface()
    {24, 207, 0, 0, Smoke::mf_static, 109, 1},	//287 Solid::Networking::connectPolicy()
    {24, 315, 58, 1, Smoke::mf_static, 0, 2},	//288 Solid::Networking::setConnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 317, 58, 1, Smoke::mf_static, 0, 3},	//289 Solid::Networking::setDisconnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 223, 0, 0, Smoke::mf_static, 109, 4},	//290 Solid::Networking::disconnectPolicy()
    {24, 330, 0, 0, Smoke::mf_static, 111, 5},	//291 Solid::Networking::status()
    {24, 281, 0, 0, Smoke::mf_static, 110, 6},	//292 Solid::Networking::notifier()
    {24, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 7},	//293 Solid::Networking::Manual (enum)
    {24, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 8},	//294 Solid::Networking::OnNextStatusChange (enum)
    {24, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 9},	//295 Solid::Networking::Managed (enum)
    {24, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 10},	//296 Solid::Networking::Unknown (enum)
    {24, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 11},	//297 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 12},	//298 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 13},	//299 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 14},	//300 Solid::Networking::Connected (enum)
    {25, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//301 Solid::Networking::Notifier::metaObject() const
    {25, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//302 Solid::Networking::Notifier::qt_metacast(const char*)
    {25, 351, 12, 2, Smoke::mf_static, 16, 3},	//303 Solid::Networking::Notifier::tr(const char*, const char*)
    {25, 355, 12, 2, Smoke::mf_static, 16, 4},	//304 Solid::Networking::Notifier::trUtf8(const char*, const char*)
    {25, 351, 15, 3, Smoke::mf_static, 16, 5},	//305 Solid::Networking::Notifier::tr(const char*, const char*, int)
    {25, 355, 15, 3, Smoke::mf_static, 16, 6},	//306 Solid::Networking::Notifier::trUtf8(const char*, const char*, int)
    {25, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//307 Solid::Networking::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {25, 331, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//308 Solid::Networking::Notifier::statusChanged(Solid::Networking::Status)
    {25, 324, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//309 Solid::Networking::Notifier::shouldConnect()
    {25, 325, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//310 Solid::Networking::Notifier::shouldDisconnect()
    {25, 110, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 110, 11},	//311 Solid::Networking::Notifier::Notifier()
    {25, 351, 10, 1, Smoke::mf_static, 16, 12},	//312 Solid::Networking::Notifier::tr(const char*)
    {25, 355, 10, 1, Smoke::mf_static, 16, 13},	//313 Solid::Networking::Notifier::trUtf8(const char*)
    {25, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//314 Solid::Networking::Notifier::staticMetaObject() const
    {25, 383, 0, 0, Smoke::mf_dtor, 0, 15 },	//315 Solid::Networking::Notifier::~Notifier()
    {26, 279, 0, 0, Smoke::mf_const, 135, 1},	//316 Solid::OpticalDisc::metaObject() const
    {26, 309, 10, 1, 0, 148, 2},	//317 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 351, 12, 2, Smoke::mf_static, 16, 3},	//318 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 355, 12, 2, Smoke::mf_static, 16, 4},	//319 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 351, 15, 3, Smoke::mf_static, 16, 5},	//320 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 355, 15, 3, Smoke::mf_static, 16, 6},	//321 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 307, 19, 3, 0, 145, 7},	//322 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 215, 0, 0, Smoke::mf_static, 103, 8},	//323 Solid::OpticalDisc::deviceInterfaceType()
    {26, 188, 0, 0, Smoke::mf_const, 5, 9},	//324 Solid::OpticalDisc::availableContent() const
    {26, 221, 0, 0, Smoke::mf_const|Smoke::mf_property, 113, 10},	//325 Solid::OpticalDisc::discType() const
    {26, 252, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//326 Solid::OpticalDisc::isAppendable() const
    {26, 253, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//327 Solid::OpticalDisc::isBlank() const
    {26, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 13},	//328 Solid::OpticalDisc::isRewritable() const
    {26, 195, 0, 0, Smoke::mf_const, 147, 14},	//329 Solid::OpticalDisc::capacity() const
    {26, 351, 10, 1, Smoke::mf_static, 16, 15},	//330 Solid::OpticalDisc::tr(const char*)
    {26, 355, 10, 1, Smoke::mf_static, 16, 16},	//331 Solid::OpticalDisc::trUtf8(const char*)
    {26, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 17},	//332 Solid::OpticalDisc::staticMetaObject() const
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 18},	//333 Solid::OpticalDisc::NoContent (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 19},	//334 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 20},	//335 Solid::OpticalDisc::Data (enum)
    {26, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 21},	//336 Solid::OpticalDisc::VideoCd (enum)
    {26, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 22},	//337 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 23},	//338 Solid::OpticalDisc::VideoDvd (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 24},	//339 Solid::OpticalDisc::VideoBluRay (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 25},	//340 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 26},	//341 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 27},	//342 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 28},	//343 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 29},	//344 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 30},	//345 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 31},	//346 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 32},	//347 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 33},	//348 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 34},	//349 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 35},	//350 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 36},	//351 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 37},	//352 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 38},	//353 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 39},	//354 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 40},	//355 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 41},	//356 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 42},	//357 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 384, 0, 0, Smoke::mf_dtor, 0, 43 },	//358 Solid::OpticalDisc::~OpticalDisc()
    {27, 279, 0, 0, Smoke::mf_const, 135, 1},	//359 Solid::OpticalDrive::metaObject() const
    {27, 309, 10, 1, 0, 148, 2},	//360 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 351, 12, 2, Smoke::mf_static, 16, 3},	//361 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 355, 12, 2, Smoke::mf_static, 16, 4},	//362 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 351, 15, 3, Smoke::mf_static, 16, 5},	//363 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 355, 15, 3, Smoke::mf_static, 16, 6},	//364 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 307, 19, 3, 0, 145, 7},	//365 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 215, 0, 0, Smoke::mf_static, 103, 8},	//366 Solid::OpticalDrive::deviceInterfaceType()
    {27, 341, 0, 0, Smoke::mf_const, 6, 9},	//367 Solid::OpticalDrive::supportedMedia() const
    {27, 311, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//368 Solid::OpticalDrive::readSpeed() const
    {27, 369, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//369 Solid::OpticalDrive::writeSpeed() const
    {27, 370, 0, 0, Smoke::mf_const|Smoke::mf_property, 9, 12},	//370 Solid::OpticalDrive::writeSpeeds() const
    {27, 228, 0, 0, 0, 132, 13},	//371 Solid::OpticalDrive::eject()
    {27, 231, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//372 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 229, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//373 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 233, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//374 Solid::OpticalDrive::ejectRequested(const QString&)
    {27, 351, 10, 1, Smoke::mf_static, 16, 17},	//375 Solid::OpticalDrive::tr(const char*)
    {27, 355, 10, 1, Smoke::mf_static, 16, 18},	//376 Solid::OpticalDrive::trUtf8(const char*)
    {27, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//377 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 20},	//378 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 21},	//379 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 22},	//380 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//381 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//382 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//383 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//384 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//385 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//386 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//387 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 30},	//388 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 31},	//389 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 32},	//390 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 33},	//391 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//392 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//393 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 385, 0, 0, Smoke::mf_dtor, 0, 36 },	//394 Solid::OpticalDrive::~OpticalDrive()
    {28, 279, 0, 0, Smoke::mf_const, 135, 1},	//395 Solid::PortableMediaPlayer::metaObject() const
    {28, 309, 10, 1, 0, 148, 2},	//396 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 351, 12, 2, Smoke::mf_static, 16, 3},	//397 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 355, 12, 2, Smoke::mf_static, 16, 4},	//398 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 351, 15, 3, Smoke::mf_static, 16, 5},	//399 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 355, 15, 3, Smoke::mf_static, 16, 6},	//400 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 307, 19, 3, 0, 145, 7},	//401 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 215, 0, 0, Smoke::mf_static, 103, 8},	//402 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 342, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//403 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 339, 32, 1, Smoke::mf_const, 17, 10},	//404 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 226, 34, 1, Smoke::mf_const, 20, 11},	//405 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 351, 10, 1, Smoke::mf_static, 16, 12},	//406 Solid::PortableMediaPlayer::tr(const char*)
    {28, 355, 10, 1, Smoke::mf_static, 16, 13},	//407 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 339, 0, 0, Smoke::mf_const, 17, 14},	//408 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//409 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 386, 0, 0, Smoke::mf_dtor, 0, 16 },	//410 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 183, 0, 0, Smoke::mf_static, 132, 1},	//411 Solid::PowerManagement::appShouldConserveResources()
    {29, 343, 0, 0, Smoke::mf_static, 15, 2},	//412 Solid::PowerManagement::supportedSleepStates()
    {29, 335, 66, 1, Smoke::mf_static, 132, 3},	//413 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 189, 34, 1, Smoke::mf_static, 145, 4},	//414 Solid::PowerManagement::beginSuppressingScreenPowerManagement(const QString&)
    {29, 189, 0, 0, Smoke::mf_static, 145, 5},	//415 Solid::PowerManagement::beginSuppressingScreenPowerManagement()
    {29, 191, 34, 1, Smoke::mf_static, 145, 6},	//416 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 191, 0, 0, Smoke::mf_static, 145, 7},	//417 Solid::PowerManagement::beginSuppressingSleep()
    {29, 312, 68, 3, Smoke::mf_static, 0, 8},	//418 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 281, 0, 0, Smoke::mf_static, 115, 9},	//419 Solid::PowerManagement::notifier()
    {29, 333, 66, 1, Smoke::mf_static, 132, 10},	//420 Solid::PowerManagement::stopSuppressingScreenPowerManagement(int)
    {29, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 11},	//421 Solid::PowerManagement::StandbyState (enum)
    {29, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 12},	//422 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 13},	//423 Solid::PowerManagement::HibernateState (enum)
    {30, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//424 Solid::PowerManagement::Notifier::metaObject() const
    {30, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//425 Solid::PowerManagement::Notifier::qt_metacast(const char*)
    {30, 351, 12, 2, Smoke::mf_static, 16, 3},	//426 Solid::PowerManagement::Notifier::tr(const char*, const char*)
    {30, 355, 12, 2, Smoke::mf_static, 16, 4},	//427 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*)
    {30, 351, 15, 3, Smoke::mf_static, 16, 5},	//428 Solid::PowerManagement::Notifier::tr(const char*, const char*, int)
    {30, 355, 15, 3, Smoke::mf_static, 16, 6},	//429 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*, int)
    {30, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//430 Solid::PowerManagement::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {30, 184, 72, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//431 Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged(bool)
    {30, 110, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 115, 9},	//432 Solid::PowerManagement::Notifier::Notifier()
    {30, 351, 10, 1, Smoke::mf_static, 16, 10},	//433 Solid::PowerManagement::Notifier::tr(const char*)
    {30, 355, 10, 1, Smoke::mf_static, 16, 11},	//434 Solid::PowerManagement::Notifier::trUtf8(const char*)
    {30, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 12},	//435 Solid::PowerManagement::Notifier::staticMetaObject() const
    {30, 383, 0, 0, Smoke::mf_dtor, 0, 13 },	//436 Solid::PowerManagement::Notifier::~Notifier()
    {31, 122, 0, 0, Smoke::mf_ctor, 119, 1},	//437 Solid::Predicate::Predicate()
    {31, 122, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//438 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 122, 74, 4, Smoke::mf_ctor, 119, 3},	//439 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 122, 79, 4, Smoke::mf_ctor, 119, 4},	//440 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 122, 47, 1, Smoke::mf_ctor, 119, 5},	//441 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 122, 34, 1, Smoke::mf_ctor, 119, 6},	//442 Solid::Predicate::Predicate(const QString&)
    {31, 287, 49, 1, 0, 118, 7},	//443 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 283, 49, 1, 0, 117, 8},	//444 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 285, 49, 1, 0, 118, 9},	//445 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 289, 49, 1, 0, 117, 10},	//446 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 291, 49, 1, 0, 118, 11},	//447 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 263, 0, 0, Smoke::mf_const, 132, 12},	//448 Solid::Predicate::isValid() const
    {31, 275, 45, 1, Smoke::mf_const, 132, 13},	//449 Solid::Predicate::matches(const Solid::Device&) const
    {31, 366, 0, 0, Smoke::mf_const, 14, 14},	//450 Solid::Predicate::usedTypes() const
    {31, 350, 0, 0, Smoke::mf_const, 16, 15},	//451 Solid::Predicate::toString() const
    {31, 241, 34, 1, Smoke::mf_static, 117, 16},	//452 Solid::Predicate::fromString(const QString&)
    {31, 359, 0, 0, Smoke::mf_const, 121, 17},	//453 Solid::Predicate::type() const
    {31, 250, 0, 0, Smoke::mf_const, 103, 18},	//454 Solid::Predicate::interfaceType() const
    {31, 306, 0, 0, Smoke::mf_const, 16, 19},	//455 Solid::Predicate::propertyName() const
    {31, 277, 0, 0, Smoke::mf_const, 20, 20},	//456 Solid::Predicate::matchingValue() const
    {31, 203, 0, 0, Smoke::mf_const, 120, 21},	//457 Solid::Predicate::comparisonOperator() const
    {31, 240, 0, 0, Smoke::mf_const, 117, 22},	//458 Solid::Predicate::firstOperand() const
    {31, 314, 0, 0, Smoke::mf_const, 117, 23},	//459 Solid::Predicate::secondOperand() const
    {31, 122, 84, 3, Smoke::mf_ctor, 119, 24},	//460 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 122, 88, 3, Smoke::mf_ctor, 119, 25},	//461 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 26},	//462 Solid::Predicate::Equals (enum)
    {31, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 27},	//463 Solid::Predicate::Mask (enum)
    {31, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 28},	//464 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 29},	//465 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 30},	//466 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 31},	//467 Solid::Predicate::InterfaceCheck (enum)
    {31, 387, 0, 0, Smoke::mf_dtor, 0, 32 },	//468 Solid::Predicate::~Predicate()
    {32, 279, 0, 0, Smoke::mf_const, 135, 1},	//469 Solid::Processor::metaObject() const
    {32, 309, 10, 1, 0, 148, 2},	//470 Solid::Processor::qt_metacast(const char*)
    {32, 351, 12, 2, Smoke::mf_static, 16, 3},	//471 Solid::Processor::tr(const char*, const char*)
    {32, 355, 12, 2, Smoke::mf_static, 16, 4},	//472 Solid::Processor::trUtf8(const char*, const char*)
    {32, 351, 15, 3, Smoke::mf_static, 16, 5},	//473 Solid::Processor::tr(const char*, const char*, int)
    {32, 355, 15, 3, Smoke::mf_static, 16, 6},	//474 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 307, 19, 3, 0, 145, 7},	//475 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 215, 0, 0, Smoke::mf_static, 103, 8},	//476 Solid::Processor::deviceInterfaceType()
    {32, 282, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//477 Solid::Processor::number() const
    {32, 278, 0, 0, Smoke::mf_const, 145, 10},	//478 Solid::Processor::maxSpeed() const
    {32, 194, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//479 Solid::Processor::canChangeFrequency() const
    {32, 249, 0, 0, Smoke::mf_const, 7, 12},	//480 Solid::Processor::instructionSets() const
    {32, 351, 10, 1, Smoke::mf_static, 16, 13},	//481 Solid::Processor::tr(const char*)
    {32, 355, 10, 1, Smoke::mf_static, 16, 14},	//482 Solid::Processor::trUtf8(const char*)
    {32, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//483 Solid::Processor::staticMetaObject() const
    {32, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 16},	//484 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//485 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 18},	//486 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 19},	//487 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 20},	//488 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 21},	//489 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 22},	//490 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 23},	//491 Solid::Processor::AltiVec (enum)
    {32, 388, 0, 0, Smoke::mf_dtor, 0, 24 },	//492 Solid::Processor::~Processor()
    {33, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//493 Solid::StorageAccess::metaObject() const
    {33, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//494 Solid::StorageAccess::qt_metacast(const char*)
    {33, 351, 12, 2, Smoke::mf_static, 16, 3},	//495 Solid::StorageAccess::tr(const char*, const char*)
    {33, 355, 12, 2, Smoke::mf_static, 16, 4},	//496 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 351, 15, 3, Smoke::mf_static, 16, 5},	//497 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 355, 15, 3, Smoke::mf_static, 16, 6},	//498 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//499 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 215, 0, 0, Smoke::mf_static, 103, 8},	//500 Solid::StorageAccess::deviceInterfaceType()
    {33, 251, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//501 Solid::StorageAccess::isAccessible() const
    {33, 239, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//502 Solid::StorageAccess::filePath() const
    {33, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//503 Solid::StorageAccess::isIgnored() const
    {33, 319, 0, 0, 0, 132, 12},	//504 Solid::StorageAccess::setup()
    {33, 344, 0, 0, 0, 132, 13},	//505 Solid::StorageAccess::teardown()
    {33, 179, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//506 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 320, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//507 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 345, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//508 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 322, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//509 Solid::StorageAccess::setupRequested(const QString&)
    {33, 347, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//510 Solid::StorageAccess::teardownRequested(const QString&)
    {33, 152, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 123, 19},	//511 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 351, 10, 1, Smoke::mf_static, 16, 20},	//512 Solid::StorageAccess::tr(const char*)
    {33, 355, 10, 1, Smoke::mf_static, 16, 21},	//513 Solid::StorageAccess::trUtf8(const char*)
    {33, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 22},	//514 Solid::StorageAccess::staticMetaObject() const
    {33, 389, 0, 0, Smoke::mf_dtor, 0, 23 },	//515 Solid::StorageAccess::~StorageAccess()
    {35, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//516 Solid::StorageDrive::metaObject() const
    {35, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//517 Solid::StorageDrive::qt_metacast(const char*)
    {35, 351, 12, 2, Smoke::mf_static, 16, 3},	//518 Solid::StorageDrive::tr(const char*, const char*)
    {35, 355, 12, 2, Smoke::mf_static, 16, 4},	//519 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 351, 15, 3, Smoke::mf_static, 16, 5},	//520 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 355, 15, 3, Smoke::mf_static, 16, 6},	//521 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//522 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 215, 0, 0, Smoke::mf_static, 103, 8},	//523 Solid::StorageDrive::deviceInterfaceType()
    {35, 193, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 9},	//524 Solid::StorageDrive::bus() const
    {35, 224, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 10},	//525 Solid::StorageDrive::driveType() const
    {35, 261, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//526 Solid::StorageDrive::isRemovable() const
    {35, 256, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//527 Solid::StorageDrive::isHotpluggable() const
    {35, 326, 0, 0, Smoke::mf_const, 147, 13},	//528 Solid::StorageDrive::size() const
    {35, 258, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 14},	//529 Solid::StorageDrive::isInUse() const
    {35, 154, 95, 2, Smoke::mf_ctor|Smoke::mf_protected, 125, 15},	//530 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 351, 10, 1, Smoke::mf_static, 16, 16},	//531 Solid::StorageDrive::tr(const char*)
    {35, 355, 10, 1, Smoke::mf_static, 16, 17},	//532 Solid::StorageDrive::trUtf8(const char*)
    {35, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 18},	//533 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 19},	//534 Solid::StorageDrive::Ide (enum)
    {35, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 20},	//535 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 21},	//536 Solid::StorageDrive::Ieee1394 (enum)
    {35, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 22},	//537 Solid::StorageDrive::Scsi (enum)
    {35, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 23},	//538 Solid::StorageDrive::Sata (enum)
    {35, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 24},	//539 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 25},	//540 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 26},	//541 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 27},	//542 Solid::StorageDrive::Floppy (enum)
    {35, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 28},	//543 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 29},	//544 Solid::StorageDrive::CompactFlash (enum)
    {35, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 30},	//545 Solid::StorageDrive::MemoryStick (enum)
    {35, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 31},	//546 Solid::StorageDrive::SmartMedia (enum)
    {35, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 32},	//547 Solid::StorageDrive::SdMmc (enum)
    {35, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 33},	//548 Solid::StorageDrive::Xd (enum)
    {35, 390, 0, 0, Smoke::mf_dtor, 0, 34 },	//549 Solid::StorageDrive::~StorageDrive()
    {37, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//550 Solid::StorageVolume::metaObject() const
    {37, 309, 10, 1, Smoke::mf_virtual, 148, 2},	//551 Solid::StorageVolume::qt_metacast(const char*)
    {37, 351, 12, 2, Smoke::mf_static, 16, 3},	//552 Solid::StorageVolume::tr(const char*, const char*)
    {37, 355, 12, 2, Smoke::mf_static, 16, 4},	//553 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 351, 15, 3, Smoke::mf_static, 16, 5},	//554 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 355, 15, 3, Smoke::mf_static, 16, 6},	//555 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 307, 19, 3, Smoke::mf_virtual, 145, 7},	//556 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 215, 0, 0, Smoke::mf_static, 103, 8},	//557 Solid::StorageVolume::deviceInterfaceType()
    {37, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//558 Solid::StorageVolume::isIgnored() const
    {37, 365, 0, 0, Smoke::mf_const|Smoke::mf_property, 130, 10},	//559 Solid::StorageVolume::usage() const
    {37, 243, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//560 Solid::StorageVolume::fsType() const
    {37, 265, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 12},	//561 Solid::StorageVolume::label() const
    {37, 367, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 13},	//562 Solid::StorageVolume::uuid() const
    {37, 326, 0, 0, Smoke::mf_const, 147, 14},	//563 Solid::StorageVolume::size() const
    {37, 236, 0, 0, Smoke::mf_const, 99, 15},	//564 Solid::StorageVolume::encryptedContainer() const
    {37, 156, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 129, 16},	//565 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 351, 10, 1, Smoke::mf_static, 16, 17},	//566 Solid::StorageVolume::tr(const char*)
    {37, 355, 10, 1, Smoke::mf_static, 16, 18},	//567 Solid::StorageVolume::trUtf8(const char*)
    {37, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//568 Solid::StorageVolume::staticMetaObject() const
    {37, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//569 Solid::StorageVolume::Other (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//570 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 22},	//571 Solid::StorageVolume::FileSystem (enum)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 23},	//572 Solid::StorageVolume::PartitionTable (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 24},	//573 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 25},	//574 Solid::StorageVolume::Encrypted (enum)
    {37, 391, 0, 0, Smoke::mf_dtor, 0, 26 },	//575 Solid::StorageVolume::~StorageVolume()
    {39, 279, 0, 0, Smoke::mf_const, 135, 1},	//576 Solid::Video::metaObject() const
    {39, 309, 10, 1, 0, 148, 2},	//577 Solid::Video::qt_metacast(const char*)
    {39, 351, 12, 2, Smoke::mf_static, 16, 3},	//578 Solid::Video::tr(const char*, const char*)
    {39, 355, 12, 2, Smoke::mf_static, 16, 4},	//579 Solid::Video::trUtf8(const char*, const char*)
    {39, 351, 15, 3, Smoke::mf_static, 16, 5},	//580 Solid::Video::tr(const char*, const char*, int)
    {39, 355, 15, 3, Smoke::mf_static, 16, 6},	//581 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 307, 19, 3, 0, 145, 7},	//582 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 215, 0, 0, Smoke::mf_static, 103, 8},	//583 Solid::Video::deviceInterfaceType()
    {39, 342, 0, 0, Smoke::mf_const, 17, 9},	//584 Solid::Video::supportedProtocols() const
    {39, 339, 32, 1, Smoke::mf_const, 17, 10},	//585 Solid::Video::supportedDrivers(QString) const
    {39, 226, 34, 1, Smoke::mf_const, 20, 11},	//586 Solid::Video::driverHandle(const QString&) const
    {39, 351, 10, 1, Smoke::mf_static, 16, 12},	//587 Solid::Video::tr(const char*)
    {39, 355, 10, 1, Smoke::mf_static, 16, 13},	//588 Solid::Video::trUtf8(const char*)
    {39, 339, 0, 0, Smoke::mf_const, 17, 14},	//589 Solid::Video::supportedDrivers() const
    {39, 329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//590 Solid::Video::staticMetaObject() const
    {39, 392, 0, 0, Smoke::mf_dtor, 0, 16 },	//591 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    441,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    442,  // Solid::Predicate::Predicate(const QString&)
    0,
    460,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    461,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    439,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    440,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
    165,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    166,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 133, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 134, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 135, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 136, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 137, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 138, 8},	// QGlobalSpace::QtCriticalMsg
    {4, 139, 6},	// QGlobalSpace::QtDebugMsg
    {4, 140, 9},	// QGlobalSpace::QtFatalMsg
    {4, 141, 10},	// QGlobalSpace::QtSystemMsg
    {4, 142, 7},	// QGlobalSpace::QtWarningMsg
    {10, 108, 18},	// Solid::NoError
    {10, 162, 19},	// Solid::UnauthorizedOperation
    {11, 215, 27},	// Solid::AcAdapter::deviceInterfaceType
    {11, 259, 28},	// Solid::AcAdapter::isPlugged
    {11, 279, 20},	// Solid::AcAdapter::metaObject
    {11, 296, 29},	// Solid::AcAdapter::plugStateChanged$$
    {11, 308, 26},	// Solid::AcAdapter::qt_metacall$$?
    {11, 310, 21},	// Solid::AcAdapter::qt_metacast$
    {11, 329, 32},	// Solid::AcAdapter::staticMetaObject
    {11, 352, 30},	// Solid::AcAdapter::tr$
    {11, 353, 22},	// Solid::AcAdapter::tr$$
    {11, 354, 24},	// Solid::AcAdapter::tr$$$
    {11, 356, 31},	// Solid::AcAdapter::trUtf8$
    {11, 357, 23},	// Solid::AcAdapter::trUtf8$$
    {11, 358, 25},	// Solid::AcAdapter::trUtf8$$$
    {11, 371, 33},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 50},	// Solid::AudioInterface::Alsa
    {12, 6, 54},	// Solid::AudioInterface::AudioControl
    {12, 7, 55},	// Solid::AudioInterface::AudioInput
    {12, 9, 56},	// Solid::AudioInterface::AudioOutput
    {12, 72, 59},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 60},	// Solid::AudioInterface::Headset
    {12, 92, 57},	// Solid::AudioInterface::InternalSoundcard
    {12, 102, 61},	// Solid::AudioInterface::Modem
    {12, 112, 51},	// Solid::AudioInterface::OpenSoundSystem
    {12, 165, 52},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 166, 53},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 173, 58},	// Solid::AudioInterface::UsbSoundcard
    {12, 215, 41},	// Solid::AudioInterface::deviceInterfaceType
    {12, 220, 45},	// Solid::AudioInterface::deviceType
    {12, 225, 42},	// Solid::AudioInterface::driver
    {12, 226, 43},	// Solid::AudioInterface::driverHandle
    {12, 279, 34},	// Solid::AudioInterface::metaObject
    {12, 280, 44},	// Solid::AudioInterface::name
    {12, 308, 40},	// Solid::AudioInterface::qt_metacall$$?
    {12, 310, 35},	// Solid::AudioInterface::qt_metacast$
    {12, 327, 46},	// Solid::AudioInterface::soundcardType
    {12, 329, 49},	// Solid::AudioInterface::staticMetaObject
    {12, 352, 47},	// Solid::AudioInterface::tr$
    {12, 353, 36},	// Solid::AudioInterface::tr$$
    {12, 354, 38},	// Solid::AudioInterface::tr$$$
    {12, 356, 48},	// Solid::AudioInterface::trUtf8$
    {12, 357, 37},	// Solid::AudioInterface::trUtf8$$
    {12, 358, 39},	// Solid::AudioInterface::trUtf8$$$
    {12, 372, 62},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 89},	// Solid::Battery::CameraBattery
    {13, 27, 93},	// Solid::Battery::Charging
    {13, 39, 94},	// Solid::Battery::Discharging
    {13, 94, 87},	// Solid::Battery::KeyboardBattery
    {13, 95, 88},	// Solid::Battery::KeyboardMouseBattery
    {13, 103, 91},	// Solid::Battery::MonitorBattery
    {13, 104, 86},	// Solid::Battery::MouseBattery
    {13, 106, 92},	// Solid::Battery::NoCharge
    {13, 117, 83},	// Solid::Battery::PdaBattery
    {13, 118, 90},	// Solid::Battery::PhoneBattery
    {13, 127, 85},	// Solid::Battery::PrimaryBattery
    {13, 167, 82},	// Solid::Battery::UnknownBattery
    {13, 171, 84},	// Solid::Battery::UpsBattery
    {13, 196, 73},	// Solid::Battery::chargePercent
    {13, 198, 76},	// Solid::Battery::chargePercentChanged$$
    {13, 199, 75},	// Solid::Battery::chargeState
    {13, 201, 77},	// Solid::Battery::chargeStateChanged$$
    {13, 215, 70},	// Solid::Battery::deviceInterfaceType
    {13, 259, 71},	// Solid::Battery::isPlugged
    {13, 260, 74},	// Solid::Battery::isRechargeable
    {13, 279, 63},	// Solid::Battery::metaObject
    {13, 296, 78},	// Solid::Battery::plugStateChanged$$
    {13, 308, 69},	// Solid::Battery::qt_metacall$$?
    {13, 310, 64},	// Solid::Battery::qt_metacast$
    {13, 329, 81},	// Solid::Battery::staticMetaObject
    {13, 352, 79},	// Solid::Battery::tr$
    {13, 353, 65},	// Solid::Battery::tr$$
    {13, 354, 67},	// Solid::Battery::tr$$$
    {13, 356, 80},	// Solid::Battery::trUtf8$
    {13, 357, 66},	// Solid::Battery::trUtf8$$
    {13, 358, 68},	// Solid::Battery::trUtf8$$$
    {13, 359, 72},	// Solid::Battery::type
    {13, 373, 95},	// Solid::Battery::~Battery
    {14, 210, 106},	// Solid::Block::device
    {14, 215, 103},	// Solid::Block::deviceInterfaceType
    {14, 216, 104},	// Solid::Block::deviceMajor
    {14, 217, 105},	// Solid::Block::deviceMinor
    {14, 279, 96},	// Solid::Block::metaObject
    {14, 308, 102},	// Solid::Block::qt_metacall$$?
    {14, 310, 97},	// Solid::Block::qt_metacast$
    {14, 329, 109},	// Solid::Block::staticMetaObject
    {14, 352, 107},	// Solid::Block::tr$
    {14, 353, 98},	// Solid::Block::tr$$
    {14, 354, 100},	// Solid::Block::tr$$$
    {14, 356, 108},	// Solid::Block::trUtf8$
    {14, 357, 99},	// Solid::Block::trUtf8$$
    {14, 358, 101},	// Solid::Block::trUtf8$$$
    {14, 374, 110},	// Solid::Block::~Block
    {15, 97, 126},	// Solid::Button::LidButton
    {15, 121, 127},	// Solid::Button::PowerButton
    {15, 148, 128},	// Solid::Button::SleepButton
    {15, 160, 130},	// Solid::Button::TabletButton
    {15, 168, 129},	// Solid::Button::UnknownButtonType
    {15, 215, 118},	// Solid::Button::deviceInterfaceType
    {15, 244, 120},	// Solid::Button::hasState
    {15, 279, 111},	// Solid::Button::metaObject
    {15, 298, 122},	// Solid::Button::pressed$$
    {15, 308, 117},	// Solid::Button::qt_metacall$$?
    {15, 310, 112},	// Solid::Button::qt_metacast$
    {15, 328, 121},	// Solid::Button::stateValue
    {15, 329, 125},	// Solid::Button::staticMetaObject
    {15, 352, 123},	// Solid::Button::tr$
    {15, 353, 113},	// Solid::Button::tr$$
    {15, 354, 115},	// Solid::Button::tr$$$
    {15, 356, 124},	// Solid::Button::trUtf8$
    {15, 357, 114},	// Solid::Button::trUtf8$$
    {15, 358, 116},	// Solid::Button::trUtf8$$$
    {15, 359, 119},	// Solid::Button::type
    {15, 375, 131},	// Solid::Button::~Button
    {16, 215, 139},	// Solid::Camera::deviceInterfaceType
    {16, 227, 142},	// Solid::Camera::driverHandle$
    {16, 279, 132},	// Solid::Camera::metaObject
    {16, 308, 138},	// Solid::Camera::qt_metacall$$?
    {16, 310, 133},	// Solid::Camera::qt_metacast$
    {16, 329, 146},	// Solid::Camera::staticMetaObject
    {16, 339, 145},	// Solid::Camera::supportedDrivers
    {16, 340, 141},	// Solid::Camera::supportedDrivers$
    {16, 342, 140},	// Solid::Camera::supportedProtocols
    {16, 352, 143},	// Solid::Camera::tr$
    {16, 353, 134},	// Solid::Camera::tr$$
    {16, 354, 136},	// Solid::Camera::tr$$$
    {16, 356, 144},	// Solid::Camera::trUtf8$
    {16, 357, 135},	// Solid::Camera::trUtf8$$
    {16, 358, 137},	// Solid::Camera::trUtf8$$$
    {16, 376, 147},	// Solid::Camera::~Camera
    {17, 33, 170},	// Solid::Device::Device
    {17, 34, 153},	// Solid::Device::Device#
    {17, 35, 152},	// Solid::Device::Device$
    {17, 181, 148},	// Solid::Device::allDevices
    {17, 187, -10},	// Solid::Device::asDeviceInterface$
    {17, 209, 163},	// Solid::Device::description
    {17, 235, 162},	// Solid::Device::emblems
    {17, 246, 161},	// Solid::Device::icon
    {17, 255, 164},	// Solid::Device::isDeviceInterface$
    {17, 263, 155},	// Solid::Device::isValid
    {17, 267, 168},	// Solid::Device::listFromQuery#
    {17, 268, 150},	// Solid::Device::listFromQuery#$
    {17, 269, 169},	// Solid::Device::listFromQuery$
    {17, 270, 151},	// Solid::Device::listFromQuery$$
    {17, 272, 167},	// Solid::Device::listFromType$
    {17, 273, 149},	// Solid::Device::listFromType$$
    {17, 288, 154},	// Solid::Device::operator=#
    {17, 293, 158},	// Solid::Device::parent
    {17, 294, 157},	// Solid::Device::parentUdi
    {17, 299, 160},	// Solid::Device::product
    {17, 364, 156},	// Solid::Device::udi
    {17, 368, 159},	// Solid::Device::vendor
    {17, 377, 171},	// Solid::Device::~Device
    {18, 1, 199},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 202},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 200},	// Solid::DeviceInterface::Battery
    {18, 14, 190},	// Solid::DeviceInterface::Block
    {18, 18, 201},	// Solid::DeviceInterface::Button
    {18, 19, 196},	// Solid::DeviceInterface::Camera
    {18, 37, 183},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 203},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 188},	// Solid::DeviceInterface::GenericInterface
    {18, 93, 207},	// Solid::DeviceInterface::InternetGateway
    {18, 96, 208},	// Solid::DeviceInterface::Last
    {18, 105, 198},	// Solid::DeviceInterface::NetworkInterface
    {18, 113, 195},	// Solid::DeviceInterface::OpticalDisc
    {18, 114, 193},	// Solid::DeviceInterface::OpticalDrive
    {18, 120, 197},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 128, 189},	// Solid::DeviceInterface::Processor
    {18, 147, 205},	// Solid::DeviceInterface::SerialInterface
    {18, 149, 206},	// Solid::DeviceInterface::SmartCardReader
    {18, 152, 191},	// Solid::DeviceInterface::StorageAccess
    {18, 154, 192},	// Solid::DeviceInterface::StorageDrive
    {18, 156, 194},	// Solid::DeviceInterface::StorageVolume
    {18, 164, 187},	// Solid::DeviceInterface::Unknown
    {18, 174, 204},	// Solid::DeviceInterface::Video
    {18, 263, 179},	// Solid::DeviceInterface::isValid
    {18, 279, 172},	// Solid::DeviceInterface::metaObject
    {18, 308, 178},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 310, 173},	// Solid::DeviceInterface::qt_metacast$
    {18, 329, 186},	// Solid::DeviceInterface::staticMetaObject
    {18, 338, 181},	// Solid::DeviceInterface::stringToType$
    {18, 352, 184},	// Solid::DeviceInterface::tr$
    {18, 353, 174},	// Solid::DeviceInterface::tr$$
    {18, 354, 176},	// Solid::DeviceInterface::tr$$$
    {18, 356, 185},	// Solid::DeviceInterface::trUtf8$
    {18, 357, 175},	// Solid::DeviceInterface::trUtf8$$
    {18, 358, 177},	// Solid::DeviceInterface::trUtf8$$$
    {18, 361, 182},	// Solid::DeviceInterface::typeDescription$
    {18, 363, 180},	// Solid::DeviceInterface::typeToString$
    {18, 378, 209},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 220},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 213, 218},	// Solid::DeviceNotifier::deviceAdded$
    {20, 219, 219},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 248, 217},	// Solid::DeviceNotifier::instance
    {20, 279, 210},	// Solid::DeviceNotifier::metaObject
    {20, 308, 216},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 310, 211},	// Solid::DeviceNotifier::qt_metacast$
    {20, 329, 223},	// Solid::DeviceNotifier::staticMetaObject
    {20, 352, 221},	// Solid::DeviceNotifier::tr$
    {20, 353, 212},	// Solid::DeviceNotifier::tr$$
    {20, 354, 214},	// Solid::DeviceNotifier::tr$$$
    {20, 356, 222},	// Solid::DeviceNotifier::trUtf8$
    {20, 357, 213},	// Solid::DeviceNotifier::trUtf8$$
    {20, 358, 215},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 379, 224},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 241},	// Solid::DvbInterface::DvbAudio
    {21, 43, 242},	// Solid::DvbInterface::DvbCa
    {21, 44, 243},	// Solid::DvbInterface::DvbDemux
    {21, 45, 244},	// Solid::DvbInterface::DvbDvr
    {21, 46, 245},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 246},	// Solid::DvbInterface::DvbNet
    {21, 49, 247},	// Solid::DvbInterface::DvbOsd
    {21, 50, 248},	// Solid::DvbInterface::DvbSec
    {21, 51, 240},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 249},	// Solid::DvbInterface::DvbVideo
    {21, 210, 233},	// Solid::DvbInterface::device
    {21, 211, 234},	// Solid::DvbInterface::deviceAdapter
    {21, 214, 236},	// Solid::DvbInterface::deviceIndex
    {21, 215, 232},	// Solid::DvbInterface::deviceInterfaceType
    {21, 220, 235},	// Solid::DvbInterface::deviceType
    {21, 279, 225},	// Solid::DvbInterface::metaObject
    {21, 308, 231},	// Solid::DvbInterface::qt_metacall$$?
    {21, 310, 226},	// Solid::DvbInterface::qt_metacast$
    {21, 329, 239},	// Solid::DvbInterface::staticMetaObject
    {21, 352, 237},	// Solid::DvbInterface::tr$
    {21, 353, 227},	// Solid::DvbInterface::tr$$
    {21, 354, 229},	// Solid::DvbInterface::tr$$$
    {21, 356, 238},	// Solid::DvbInterface::trUtf8$
    {21, 357, 228},	// Solid::DvbInterface::trUtf8$$
    {21, 358, 230},	// Solid::DvbInterface::trUtf8$$$
    {21, 380, 250},	// Solid::DvbInterface::~DvbInterface
    {22, 129, 268},	// Solid::GenericInterface::PropertyAdded
    {22, 131, 267},	// Solid::GenericInterface::PropertyModified
    {22, 132, 269},	// Solid::GenericInterface::PropertyRemoved
    {22, 182, 260},	// Solid::GenericInterface::allProperties
    {22, 205, 263},	// Solid::GenericInterface::conditionRaised$$
    {22, 215, 258},	// Solid::GenericInterface::deviceInterfaceType
    {22, 279, 251},	// Solid::GenericInterface::metaObject
    {22, 301, 259},	// Solid::GenericInterface::property$
    {22, 303, 262},	// Solid::GenericInterface::propertyChanged?
    {22, 305, 261},	// Solid::GenericInterface::propertyExists$
    {22, 308, 257},	// Solid::GenericInterface::qt_metacall$$?
    {22, 310, 252},	// Solid::GenericInterface::qt_metacast$
    {22, 329, 266},	// Solid::GenericInterface::staticMetaObject
    {22, 352, 264},	// Solid::GenericInterface::tr$
    {22, 353, 253},	// Solid::GenericInterface::tr$$
    {22, 354, 255},	// Solid::GenericInterface::tr$$$
    {22, 356, 265},	// Solid::GenericInterface::trUtf8$
    {22, 357, 254},	// Solid::GenericInterface::trUtf8$$
    {22, 358, 256},	// Solid::GenericInterface::trUtf8$$$
    {22, 381, 270},	// Solid::GenericInterface::~GenericInterface
    {23, 215, 278},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 245, 281},	// Solid::NetworkInterface::hwAddress
    {23, 247, 279},	// Solid::NetworkInterface::ifaceName
    {23, 264, 280},	// Solid::NetworkInterface::isWireless
    {23, 274, 282},	// Solid::NetworkInterface::macAddress
    {23, 279, 271},	// Solid::NetworkInterface::metaObject
    {23, 308, 277},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 310, 272},	// Solid::NetworkInterface::qt_metacast$
    {23, 329, 285},	// Solid::NetworkInterface::staticMetaObject
    {23, 352, 283},	// Solid::NetworkInterface::tr$
    {23, 353, 273},	// Solid::NetworkInterface::tr$$
    {23, 354, 275},	// Solid::NetworkInterface::tr$$$
    {23, 356, 284},	// Solid::NetworkInterface::trUtf8$
    {23, 357, 274},	// Solid::NetworkInterface::trUtf8$$
    {23, 358, 276},	// Solid::NetworkInterface::trUtf8$$$
    {23, 382, 286},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 300},	// Solid::Networking::Connected
    {24, 31, 299},	// Solid::Networking::Connecting
    {24, 40, 298},	// Solid::Networking::Disconnecting
    {24, 98, 295},	// Solid::Networking::Managed
    {24, 99, 293},	// Solid::Networking::Manual
    {24, 111, 294},	// Solid::Networking::OnNextStatusChange
    {24, 163, 297},	// Solid::Networking::Unconnected
    {24, 164, 296},	// Solid::Networking::Unknown
    {24, 207, 287},	// Solid::Networking::connectPolicy
    {24, 223, 290},	// Solid::Networking::disconnectPolicy
    {24, 281, 292},	// Solid::Networking::notifier
    {24, 316, 288},	// Solid::Networking::setConnectPolicy$
    {24, 318, 289},	// Solid::Networking::setDisconnectPolicy$
    {24, 330, 291},	// Solid::Networking::status
    {25, 110, 311},	// Solid::Networking::Notifier::Notifier
    {25, 279, 301},	// Solid::Networking::Notifier::metaObject
    {25, 308, 307},	// Solid::Networking::Notifier::qt_metacall$$?
    {25, 310, 302},	// Solid::Networking::Notifier::qt_metacast$
    {25, 324, 309},	// Solid::Networking::Notifier::shouldConnect
    {25, 325, 310},	// Solid::Networking::Notifier::shouldDisconnect
    {25, 329, 314},	// Solid::Networking::Notifier::staticMetaObject
    {25, 332, 308},	// Solid::Networking::Notifier::statusChanged$
    {25, 352, 312},	// Solid::Networking::Notifier::tr$
    {25, 353, 303},	// Solid::Networking::Notifier::tr$$
    {25, 354, 305},	// Solid::Networking::Notifier::tr$$$
    {25, 356, 313},	// Solid::Networking::Notifier::trUtf8$
    {25, 357, 304},	// Solid::Networking::Notifier::trUtf8$$
    {25, 358, 306},	// Solid::Networking::Notifier::trUtf8$$$
    {25, 383, 315},	// Solid::Networking::Notifier::~Notifier
    {26, 5, 334},	// Solid::OpticalDisc::Audio
    {26, 15, 353},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 354},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 352},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 342},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 343},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 341},	// Solid::OpticalDisc::CdRom
    {26, 32, 335},	// Solid::OpticalDisc::Data
    {26, 54, 348},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 350},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 349},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 351},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 345},	// Solid::OpticalDisc::DvdRam
    {26, 59, 346},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 347},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 344},	// Solid::OpticalDisc::DvdRom
    {26, 77, 356},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 357},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 355},	// Solid::OpticalDisc::HdDvdRom
    {26, 107, 333},	// Solid::OpticalDisc::NoContent
    {26, 158, 337},	// Solid::OpticalDisc::SuperVideoCd
    {26, 169, 340},	// Solid::OpticalDisc::UnknownDiscType
    {26, 175, 339},	// Solid::OpticalDisc::VideoBluRay
    {26, 176, 336},	// Solid::OpticalDisc::VideoCd
    {26, 177, 338},	// Solid::OpticalDisc::VideoDvd
    {26, 188, 324},	// Solid::OpticalDisc::availableContent
    {26, 195, 329},	// Solid::OpticalDisc::capacity
    {26, 215, 323},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 221, 325},	// Solid::OpticalDisc::discType
    {26, 252, 326},	// Solid::OpticalDisc::isAppendable
    {26, 253, 327},	// Solid::OpticalDisc::isBlank
    {26, 262, 328},	// Solid::OpticalDisc::isRewritable
    {26, 279, 316},	// Solid::OpticalDisc::metaObject
    {26, 308, 322},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 310, 317},	// Solid::OpticalDisc::qt_metacast$
    {26, 329, 332},	// Solid::OpticalDisc::staticMetaObject
    {26, 352, 330},	// Solid::OpticalDisc::tr$
    {26, 353, 318},	// Solid::OpticalDisc::tr$$
    {26, 354, 320},	// Solid::OpticalDisc::tr$$$
    {26, 356, 331},	// Solid::OpticalDisc::trUtf8$
    {26, 357, 319},	// Solid::OpticalDisc::trUtf8$$
    {26, 358, 321},	// Solid::OpticalDisc::trUtf8$$$
    {26, 384, 358},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 388},	// Solid::OpticalDrive::Bd
    {27, 12, 389},	// Solid::OpticalDrive::Bdr
    {27, 13, 390},	// Solid::OpticalDrive::Bdre
    {27, 24, 378},	// Solid::OpticalDrive::Cdr
    {27, 26, 379},	// Solid::OpticalDrive::Cdrw
    {27, 53, 380},	// Solid::OpticalDrive::Dvd
    {27, 62, 386},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 387},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 384},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 385},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 381},	// Solid::OpticalDrive::Dvdr
    {27, 67, 383},	// Solid::OpticalDrive::Dvdram
    {27, 68, 382},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 391},	// Solid::OpticalDrive::HdDvd
    {27, 80, 392},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 393},	// Solid::OpticalDrive::HdDvdrw
    {27, 215, 366},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 228, 371},	// Solid::OpticalDrive::eject
    {27, 230, 373},	// Solid::OpticalDrive::ejectDone$#$
    {27, 232, 372},	// Solid::OpticalDrive::ejectPressed$
    {27, 234, 374},	// Solid::OpticalDrive::ejectRequested$
    {27, 279, 359},	// Solid::OpticalDrive::metaObject
    {27, 308, 365},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 310, 360},	// Solid::OpticalDrive::qt_metacast$
    {27, 311, 368},	// Solid::OpticalDrive::readSpeed
    {27, 329, 377},	// Solid::OpticalDrive::staticMetaObject
    {27, 341, 367},	// Solid::OpticalDrive::supportedMedia
    {27, 352, 375},	// Solid::OpticalDrive::tr$
    {27, 353, 361},	// Solid::OpticalDrive::tr$$
    {27, 354, 363},	// Solid::OpticalDrive::tr$$$
    {27, 356, 376},	// Solid::OpticalDrive::trUtf8$
    {27, 357, 362},	// Solid::OpticalDrive::trUtf8$$
    {27, 358, 364},	// Solid::OpticalDrive::trUtf8$$$
    {27, 369, 369},	// Solid::OpticalDrive::writeSpeed
    {27, 370, 370},	// Solid::OpticalDrive::writeSpeeds
    {27, 385, 394},	// Solid::OpticalDrive::~OpticalDrive
    {28, 215, 402},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 227, 405},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 279, 395},	// Solid::PortableMediaPlayer::metaObject
    {28, 308, 401},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 310, 396},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 329, 409},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 339, 408},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 340, 404},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 342, 403},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 352, 406},	// Solid::PortableMediaPlayer::tr$
    {28, 353, 397},	// Solid::PortableMediaPlayer::tr$$
    {28, 354, 399},	// Solid::PortableMediaPlayer::tr$$$
    {28, 356, 407},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 357, 398},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 358, 400},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 386, 410},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 423},	// Solid::PowerManagement::HibernateState
    {29, 151, 421},	// Solid::PowerManagement::StandbyState
    {29, 159, 422},	// Solid::PowerManagement::SuspendState
    {29, 183, 411},	// Solid::PowerManagement::appShouldConserveResources
    {29, 189, 415},	// Solid::PowerManagement::beginSuppressingScreenPowerManagement
    {29, 190, 414},	// Solid::PowerManagement::beginSuppressingScreenPowerManagement$
    {29, 191, 417},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 192, 416},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 281, 419},	// Solid::PowerManagement::notifier
    {29, 313, 418},	// Solid::PowerManagement::requestSleep$#$
    {29, 334, 420},	// Solid::PowerManagement::stopSuppressingScreenPowerManagement$
    {29, 336, 413},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 343, 412},	// Solid::PowerManagement::supportedSleepStates
    {30, 110, 432},	// Solid::PowerManagement::Notifier::Notifier
    {30, 185, 431},	// Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged$
    {30, 279, 424},	// Solid::PowerManagement::Notifier::metaObject
    {30, 308, 430},	// Solid::PowerManagement::Notifier::qt_metacall$$?
    {30, 310, 425},	// Solid::PowerManagement::Notifier::qt_metacast$
    {30, 329, 435},	// Solid::PowerManagement::Notifier::staticMetaObject
    {30, 352, 433},	// Solid::PowerManagement::Notifier::tr$
    {30, 353, 426},	// Solid::PowerManagement::Notifier::tr$$
    {30, 354, 428},	// Solid::PowerManagement::Notifier::tr$$$
    {30, 356, 434},	// Solid::PowerManagement::Notifier::trUtf8$
    {30, 357, 427},	// Solid::PowerManagement::Notifier::trUtf8$$
    {30, 358, 429},	// Solid::PowerManagement::Notifier::trUtf8$$$
    {30, 383, 436},	// Solid::PowerManagement::Notifier::~Notifier
    {31, 29, 465},	// Solid::Predicate::Conjunction
    {31, 41, 466},	// Solid::Predicate::Disjunction
    {31, 70, 462},	// Solid::Predicate::Equals
    {31, 91, 467},	// Solid::Predicate::InterfaceCheck
    {31, 100, 463},	// Solid::Predicate::Mask
    {31, 122, 437},	// Solid::Predicate::Predicate
    {31, 123, 438},	// Solid::Predicate::Predicate#
    {31, 124, -1},	// Solid::Predicate::Predicate$
    {31, 125, -4},	// Solid::Predicate::Predicate$$#
    {31, 126, -7},	// Solid::Predicate::Predicate$$#$
    {31, 130, 464},	// Solid::Predicate::PropertyCheck
    {31, 203, 457},	// Solid::Predicate::comparisonOperator
    {31, 240, 458},	// Solid::Predicate::firstOperand
    {31, 242, 452},	// Solid::Predicate::fromString$
    {31, 250, 454},	// Solid::Predicate::interfaceType
    {31, 263, 448},	// Solid::Predicate::isValid
    {31, 276, 449},	// Solid::Predicate::matches#
    {31, 277, 456},	// Solid::Predicate::matchingValue
    {31, 284, 444},	// Solid::Predicate::operator&#
    {31, 286, 445},	// Solid::Predicate::operator&=#
    {31, 288, 443},	// Solid::Predicate::operator=#
    {31, 290, 446},	// Solid::Predicate::operator|#
    {31, 292, 447},	// Solid::Predicate::operator|=#
    {31, 306, 455},	// Solid::Predicate::propertyName
    {31, 314, 459},	// Solid::Predicate::secondOperand
    {31, 350, 451},	// Solid::Predicate::toString
    {31, 359, 453},	// Solid::Predicate::type
    {31, 366, 450},	// Solid::Predicate::usedTypes
    {31, 387, 468},	// Solid::Predicate::~Predicate
    {32, 3, 491},	// Solid::Processor::AltiVec
    {32, 4, 490},	// Solid::Processor::Amd3DNow
    {32, 86, 485},	// Solid::Processor::IntelMmx
    {32, 87, 486},	// Solid::Processor::IntelSse
    {32, 88, 487},	// Solid::Processor::IntelSse2
    {32, 89, 488},	// Solid::Processor::IntelSse3
    {32, 90, 489},	// Solid::Processor::IntelSse4
    {32, 109, 484},	// Solid::Processor::NoExtensions
    {32, 194, 479},	// Solid::Processor::canChangeFrequency
    {32, 215, 476},	// Solid::Processor::deviceInterfaceType
    {32, 249, 480},	// Solid::Processor::instructionSets
    {32, 278, 478},	// Solid::Processor::maxSpeed
    {32, 279, 469},	// Solid::Processor::metaObject
    {32, 282, 477},	// Solid::Processor::number
    {32, 308, 475},	// Solid::Processor::qt_metacall$$?
    {32, 310, 470},	// Solid::Processor::qt_metacast$
    {32, 329, 483},	// Solid::Processor::staticMetaObject
    {32, 352, 481},	// Solid::Processor::tr$
    {32, 353, 471},	// Solid::Processor::tr$$
    {32, 354, 473},	// Solid::Processor::tr$$$
    {32, 356, 482},	// Solid::Processor::trUtf8$
    {32, 357, 472},	// Solid::Processor::trUtf8$$
    {32, 358, 474},	// Solid::Processor::trUtf8$$$
    {32, 388, 492},	// Solid::Processor::~Processor
    {33, 153, 511},	// Solid::StorageAccess::StorageAccess##
    {33, 180, 506},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 215, 500},	// Solid::StorageAccess::deviceInterfaceType
    {33, 239, 502},	// Solid::StorageAccess::filePath
    {33, 251, 501},	// Solid::StorageAccess::isAccessible
    {33, 257, 503},	// Solid::StorageAccess::isIgnored
    {33, 279, 493},	// Solid::StorageAccess::metaObject
    {33, 308, 499},	// Solid::StorageAccess::qt_metacall$$?
    {33, 310, 494},	// Solid::StorageAccess::qt_metacast$
    {33, 319, 504},	// Solid::StorageAccess::setup
    {33, 321, 507},	// Solid::StorageAccess::setupDone$#$
    {33, 323, 509},	// Solid::StorageAccess::setupRequested$
    {33, 329, 514},	// Solid::StorageAccess::staticMetaObject
    {33, 344, 505},	// Solid::StorageAccess::teardown
    {33, 346, 508},	// Solid::StorageAccess::teardownDone$#$
    {33, 348, 510},	// Solid::StorageAccess::teardownRequested$
    {33, 352, 512},	// Solid::StorageAccess::tr$
    {33, 353, 495},	// Solid::StorageAccess::tr$$
    {33, 354, 497},	// Solid::StorageAccess::tr$$$
    {33, 356, 513},	// Solid::StorageAccess::trUtf8$
    {33, 357, 496},	// Solid::StorageAccess::trUtf8$$
    {33, 358, 498},	// Solid::StorageAccess::trUtf8$$$
    {33, 389, 515},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 541},	// Solid::StorageDrive::CdromDrive
    {35, 28, 544},	// Solid::StorageDrive::CompactFlash
    {35, 73, 542},	// Solid::StorageDrive::Floppy
    {35, 75, 540},	// Solid::StorageDrive::HardDisk
    {35, 84, 534},	// Solid::StorageDrive::Ide
    {35, 85, 536},	// Solid::StorageDrive::Ieee1394
    {35, 101, 545},	// Solid::StorageDrive::MemoryStick
    {35, 119, 539},	// Solid::StorageDrive::Platform
    {35, 144, 538},	// Solid::StorageDrive::Sata
    {35, 145, 537},	// Solid::StorageDrive::Scsi
    {35, 146, 547},	// Solid::StorageDrive::SdMmc
    {35, 150, 546},	// Solid::StorageDrive::SmartMedia
    {35, 155, 530},	// Solid::StorageDrive::StorageDrive##
    {35, 161, 543},	// Solid::StorageDrive::Tape
    {35, 172, 535},	// Solid::StorageDrive::Usb
    {35, 178, 548},	// Solid::StorageDrive::Xd
    {35, 193, 524},	// Solid::StorageDrive::bus
    {35, 215, 523},	// Solid::StorageDrive::deviceInterfaceType
    {35, 224, 525},	// Solid::StorageDrive::driveType
    {35, 256, 527},	// Solid::StorageDrive::isHotpluggable
    {35, 258, 529},	// Solid::StorageDrive::isInUse
    {35, 261, 526},	// Solid::StorageDrive::isRemovable
    {35, 279, 516},	// Solid::StorageDrive::metaObject
    {35, 308, 522},	// Solid::StorageDrive::qt_metacall$$?
    {35, 310, 517},	// Solid::StorageDrive::qt_metacast$
    {35, 326, 528},	// Solid::StorageDrive::size
    {35, 329, 533},	// Solid::StorageDrive::staticMetaObject
    {35, 352, 531},	// Solid::StorageDrive::tr$
    {35, 353, 518},	// Solid::StorageDrive::tr$$
    {35, 354, 520},	// Solid::StorageDrive::tr$$$
    {35, 356, 532},	// Solid::StorageDrive::trUtf8$
    {35, 357, 519},	// Solid::StorageDrive::trUtf8$$
    {35, 358, 521},	// Solid::StorageDrive::trUtf8$$$
    {35, 390, 549},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 574},	// Solid::StorageVolume::Encrypted
    {37, 71, 571},	// Solid::StorageVolume::FileSystem
    {37, 115, 569},	// Solid::StorageVolume::Other
    {37, 116, 572},	// Solid::StorageVolume::PartitionTable
    {37, 143, 573},	// Solid::StorageVolume::Raid
    {37, 157, 565},	// Solid::StorageVolume::StorageVolume##
    {37, 170, 570},	// Solid::StorageVolume::Unused
    {37, 215, 557},	// Solid::StorageVolume::deviceInterfaceType
    {37, 236, 564},	// Solid::StorageVolume::encryptedContainer
    {37, 243, 560},	// Solid::StorageVolume::fsType
    {37, 257, 558},	// Solid::StorageVolume::isIgnored
    {37, 265, 561},	// Solid::StorageVolume::label
    {37, 279, 550},	// Solid::StorageVolume::metaObject
    {37, 308, 556},	// Solid::StorageVolume::qt_metacall$$?
    {37, 310, 551},	// Solid::StorageVolume::qt_metacast$
    {37, 326, 563},	// Solid::StorageVolume::size
    {37, 329, 568},	// Solid::StorageVolume::staticMetaObject
    {37, 352, 566},	// Solid::StorageVolume::tr$
    {37, 353, 552},	// Solid::StorageVolume::tr$$
    {37, 354, 554},	// Solid::StorageVolume::tr$$$
    {37, 356, 567},	// Solid::StorageVolume::trUtf8$
    {37, 357, 553},	// Solid::StorageVolume::trUtf8$$
    {37, 358, 555},	// Solid::StorageVolume::trUtf8$$$
    {37, 365, 559},	// Solid::StorageVolume::usage
    {37, 367, 562},	// Solid::StorageVolume::uuid
    {37, 391, 575},	// Solid::StorageVolume::~StorageVolume
    {39, 215, 583},	// Solid::Video::deviceInterfaceType
    {39, 227, 586},	// Solid::Video::driverHandle$
    {39, 279, 576},	// Solid::Video::metaObject
    {39, 308, 582},	// Solid::Video::qt_metacall$$?
    {39, 310, 577},	// Solid::Video::qt_metacast$
    {39, 329, 590},	// Solid::Video::staticMetaObject
    {39, 339, 589},	// Solid::Video::supportedDrivers
    {39, 340, 585},	// Solid::Video::supportedDrivers$
    {39, 342, 584},	// Solid::Video::supportedProtocols
    {39, 352, 587},	// Solid::Video::tr$
    {39, 353, 578},	// Solid::Video::tr$$
    {39, 354, 580},	// Solid::Video::tr$$$
    {39, 356, 588},	// Solid::Video::trUtf8$
    {39, 357, 579},	// Solid::Video::trUtf8$$
    {39, 358, 581},	// Solid::Video::trUtf8$$$
    {39, 392, 591},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 592,
        __smokesolid::methodMaps, 581,
        __smokesolid::methodNames, 392,
        __smokesolid::types, 149,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
