#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoserver_smoke.h>

namespace __smokesopranoserver {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 25: return (void*)(Soprano::Server::ServerCore*)(QObject*)xptr;
        case 24: return (void*)(Soprano::Server::DBusExportModel*)(QObject*)xptr;
        case 23: return (void*)(Soprano::Server::DBusExportIterator*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QUrl
      switch(to) {
        case 10: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 11:   //QVariant
      switch(to) {
        case 11: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 12:   //Soprano::Backend
      switch(to) {
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 12: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::BackendSetting
      switch(to) {
        case 13: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Error::Error
      switch(to) {
        case 14: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::Error::ErrorCache
      switch(to) {
        case 15: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 25: return (void*)(Soprano::Server::ServerCore*)(Soprano::Error::ErrorCache*)xptr;
        case 24: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Error::ErrorCache*)xptr;
        case 23: return (void*)(Soprano::Server::DBusExportIterator*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::FilterModel
      switch(to) {
        case 19: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 16: return (void*)(Soprano::FilterModel*)xptr;
        case 24: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::LanguageTag
      switch(to) {
        case 17: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::LiteralValue
      switch(to) {
        case 18: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 19: return (void*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Node
      switch(to) {
        case 20: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::NodeIterator
      switch(to) {
        case 21: return (void*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::QueryResultIterator
      switch(to) {
        case 22: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Server::DBusExportIterator
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Server::DBusExportIterator*)xptr;
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportIterator*)xptr;
        case 23: return (void*)(Soprano::Server::DBusExportIterator*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Server::DBusExportModel
      switch(to) {
        case 16: return (void*)(Soprano::FilterModel*)(Soprano::Server::DBusExportModel*)xptr;
        case 19: return (void*)(Soprano::Model*)(Soprano::Server::DBusExportModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Server::DBusExportModel*)xptr;
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportModel*)xptr;
        case 24: return (void*)(Soprano::Server::DBusExportModel*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Server::ServerCore
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Server::ServerCore*)xptr;
        case 15: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::ServerCore*)xptr;
        case 25: return (void*)(Soprano::Server::ServerCore*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Statement
      switch(to) {
        case 26: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::StatementIterator
      switch(to) {
        case 27: return (void*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    6, 15, 0,	// 1: QObject, Soprano::Error::ErrorCache
    16, 0,	// 4: Soprano::FilterModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__ServerCore(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QUrl", true, 0, 0, 0, 0, 0 },	//10
    { "QVariant", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//13
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//14
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::FilterModel", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//17
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//21
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//22
    { "Soprano::Server::DBusExportIterator", false, 1, xcall_Soprano__Server__DBusExportIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportIterator) },	//23
    { "Soprano::Server::DBusExportModel", false, 4, xcall_Soprano__Server__DBusExportModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportModel) },	//24
    { "Soprano::Server::ServerCore", false, 1, xcall_Soprano__Server__ServerCore, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::ServerCore) },	//25
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//27
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QList<Soprano::BackendSetting>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//6
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//9
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//12
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//13
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QUrl", 10, Smoke::t_class|Smoke::tf_stack },	//15
    { "QVariant", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Soprano::BackendSetting", 13, Smoke::t_class|Smoke::tf_stack },	//91
    { "Soprano::BackendSetting&", 13, Smoke::t_class|Smoke::tf_ref },	//92
    { "Soprano::Error::Error", 14, Smoke::t_class|Smoke::tf_stack },	//93
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Soprano::Model*", 19, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Soprano::Node", 20, Smoke::t_class|Smoke::tf_stack },	//97
    { "Soprano::NodeIterator", 21, Smoke::t_class|Smoke::tf_stack },	//98
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Soprano::QueryResultIterator", 22, Smoke::t_class|Smoke::tf_stack },	//100
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Soprano::Server::DBusExportIterator*", 23, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Soprano::Server::DBusExportModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Soprano::Server::ServerCore*", 25, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Soprano::StatementIterator", 27, Smoke::t_class|Smoke::tf_stack },	//105
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//107
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//108
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//109
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//110
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//111
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//114
    { "const QVariant&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const Soprano::Backend*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//116
    { "const Soprano::LanguageTag&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const Soprano::LiteralValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const Soprano::Node&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const Soprano::Statement&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//121
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//122
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//123
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//124
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//126
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    8, 3, 0,	//3  QObject*, QEvent*
    14, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    121, 0,	//10  const char*
    96, 0,	//12  Soprano::Model*
    120, 0,	//14  const Soprano::Statement&
    112, 99, 112, 0,	//16  const QString&, Soprano::Query::QueryLanguage, const QString&
    13, 0,	//20  QTextStream&
    121, 121, 0,	//22  const char*, const char*
    121, 121, 123, 0,	//25  const char*, const char*, int
    7, 123, 128, 0,	//29  QMetaObject::Call, int, void**
    105, 8, 0,	//33  Soprano::StatementIterator, QObject*
    98, 8, 0,	//36  Soprano::NodeIterator, QObject*
    100, 8, 0,	//39  Soprano::QueryResultIterator, QObject*
    107, 0,	//42  bool
    112, 112, 0,	//44  const QString&, const QString&
    105, 0,	//47  Soprano::StatementIterator
    98, 0,	//49  Soprano::NodeIterator
    100, 0,	//51  Soprano::QueryResultIterator
    112, 0,	//53  const QString&
    8, 0,	//55  QObject*
    116, 0,	//57  const Soprano::Backend*
    108, 0,	//59  const QList<Soprano::BackendSetting>&
    123, 0,	//61  int
    126, 0,	//63  unsigned short
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusExportIterator",	//1
    "DBusExportIterator#",	//2
    "DBusExportIterator##",	//3
    "DBusExportModel",	//4
    "DBusExportModel#",	//5
    "DEFAULT_PORT",	//6
    "Q_COMPLEX_TYPE",	//7
    "Q_DUMMY_TYPE",	//8
    "Q_MOVABLE_TYPE",	//9
    "Q_PRIMITIVE_TYPE",	//10
    "Q_STATIC_TYPE",	//11
    "QtCriticalMsg",	//12
    "QtDebugMsg",	//13
    "QtFatalMsg",	//14
    "QtSystemMsg",	//15
    "QtWarningMsg",	//16
    "ServerCore",	//17
    "ServerCore#",	//18
    "__codecvt_error",	//19
    "__codecvt_noconv",	//20
    "__codecvt_ok",	//21
    "__codecvt_partial",	//22
    "addStatement",	//23
    "allModels",	//24
    "backend",	//25
    "backendSettings",	//26
    "childEvent",	//27
    "connectNotify",	//28
    "containsAnyStatement",	//29
    "containsStatement",	//30
    "createBlankNode",	//31
    "createModel",	//32
    "createModel?",	//33
    "customEvent",	//34
    "dbusObjectPath",	//35
    "deleteOnClose",	//36
    "disconnectNotify",	//37
    "event",	//38
    "eventFilter",	//39
    "executeQuery",	//40
    "isEmpty",	//41
    "lastError",	//42
    "listContexts",	//43
    "listStatements",	//44
    "listen",	//45
    "listen$",	//46
    "maximumConnectionCount",	//47
    "metaObject",	//48
    "model",	//49
    "model$",	//50
    "nodeIterator",	//51
    "parentModel",	//52
    "parentStatementAdded",	//53
    "parentStatementRemoved",	//54
    "parentStatementsAdded",	//55
    "parentStatementsRemoved",	//56
    "qt_metacall",	//57
    "qt_metacall$$?",	//58
    "qt_metacast",	//59
    "qt_metacast$",	//60
    "queryResultIterator",	//61
    "registerAsDBusObject",	//62
    "registerAsDBusObject$",	//63
    "registerIterator",	//64
    "registerIterator$",	//65
    "registerIterator$$",	//66
    "registerModel",	//67
    "registerModel$",	//68
    "removeAllStatements",	//69
    "removeModel",	//70
    "removeModel$",	//71
    "removeStatement",	//72
    "serverPort",	//73
    "setBackend",	//74
    "setBackend#",	//75
    "setBackendSettings",	//76
    "setBackendSettings?",	//77
    "setDeleteOnClose",	//78
    "setDeleteOnClose$",	//79
    "setMaximumConnectionCount",	//80
    "setMaximumConnectionCount$",	//81
    "setParentModel",	//82
    "start",	//83
    "start$",	//84
    "statementCount",	//85
    "statementIterator",	//86
    "staticMetaObject",	//87
    "timerEvent",	//88
    "tr",	//89
    "tr$",	//90
    "tr$$",	//91
    "tr$$$",	//92
    "trUtf8",	//93
    "trUtf8$",	//94
    "trUtf8$$",	//95
    "trUtf8$$$",	//96
    "unregisterIterator",	//97
    "unregisterModel",	//98
    "write",	//99
    "~DBusExportIterator",	//100
    "~DBusExportModel",	//101
    "~ServerCore",	//102
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {4, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {4, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {4, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {4, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {4, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {4, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {4, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {4, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {6, 38, 1, 1, Smoke::mf_virtual, 107, 0},	//15 QObject::event(QEvent*)
    {6, 39, 3, 2, Smoke::mf_virtual, 107, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {6, 88, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {6, 27, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {6, 34, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {6, 28, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {6, 37, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {15, 42, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 93, 0},	//22 Soprano::Error::ErrorCache::lastError() const
    {16, 82, 12, 1, Smoke::mf_virtual, 0, 0},	//23 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {16, 52, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//24 Soprano::FilterModel::parentModel() const
    {16, 23, 14, 1, Smoke::mf_virtual, 94, 0},	//25 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {16, 72, 14, 1, Smoke::mf_virtual, 94, 0},	//26 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {16, 69, 14, 1, Smoke::mf_virtual, 94, 0},	//27 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {16, 44, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 105, 0},	//28 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {16, 43, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 0},	//29 Soprano::FilterModel::listContexts() const
    {16, 40, 16, 3, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//30 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {16, 30, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 107, 0},	//31 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {16, 29, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 107, 0},	//32 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {16, 41, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 107, 0},	//33 Soprano::FilterModel::isEmpty() const
    {16, 85, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//34 Soprano::FilterModel::statementCount() const
    {16, 99, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 94, 0},	//35 Soprano::FilterModel::write(QTextStream&) const
    {16, 31, 0, 0, Smoke::mf_virtual, 97, 0},	//36 Soprano::FilterModel::createBlankNode()
    {16, 55, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 Soprano::FilterModel::parentStatementsAdded()
    {16, 56, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 Soprano::FilterModel::parentStatementsRemoved()
    {16, 53, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {16, 54, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {23, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//41 Soprano::Server::DBusExportIterator::metaObject() const
    {23, 59, 10, 1, Smoke::mf_virtual, 127, 2},	//42 Soprano::Server::DBusExportIterator::qt_metacast(const char*)
    {23, 89, 22, 2, Smoke::mf_static, 10, 3},	//43 Soprano::Server::DBusExportIterator::tr(const char*, const char*)
    {23, 93, 22, 2, Smoke::mf_static, 10, 4},	//44 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*)
    {23, 89, 25, 3, Smoke::mf_static, 10, 5},	//45 Soprano::Server::DBusExportIterator::tr(const char*, const char*, int)
    {23, 93, 25, 3, Smoke::mf_static, 10, 6},	//46 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*, int)
    {23, 57, 29, 3, Smoke::mf_virtual, 123, 7},	//47 Soprano::Server::DBusExportIterator::qt_metacall(QMetaObject::Call, int, void**)
    {23, 1, 33, 2, Smoke::mf_ctor, 102, 8},	//48 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    {23, 1, 36, 2, Smoke::mf_ctor, 102, 9},	//49 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    {23, 1, 39, 2, Smoke::mf_ctor, 102, 10},	//50 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    {23, 86, 0, 0, Smoke::mf_const, 105, 11},	//51 Soprano::Server::DBusExportIterator::statementIterator() const
    {23, 51, 0, 0, Smoke::mf_const, 98, 12},	//52 Soprano::Server::DBusExportIterator::nodeIterator() const
    {23, 61, 0, 0, Smoke::mf_const, 100, 13},	//53 Soprano::Server::DBusExportIterator::queryResultIterator() const
    {23, 35, 0, 0, Smoke::mf_const, 10, 14},	//54 Soprano::Server::DBusExportIterator::dbusObjectPath() const
    {23, 36, 0, 0, Smoke::mf_const, 107, 15},	//55 Soprano::Server::DBusExportIterator::deleteOnClose() const
    {23, 78, 42, 1, Smoke::mf_slot, 0, 16},	//56 Soprano::Server::DBusExportIterator::setDeleteOnClose(bool)
    {23, 64, 44, 2, Smoke::mf_slot, 107, 17},	//57 Soprano::Server::DBusExportIterator::registerIterator(const QString&, const QString&)
    {23, 97, 0, 0, Smoke::mf_slot, 0, 18},	//58 Soprano::Server::DBusExportIterator::unregisterIterator()
    {23, 89, 10, 1, Smoke::mf_static, 10, 19},	//59 Soprano::Server::DBusExportIterator::tr(const char*)
    {23, 93, 10, 1, Smoke::mf_static, 10, 20},	//60 Soprano::Server::DBusExportIterator::trUtf8(const char*)
    {23, 1, 47, 1, Smoke::mf_ctor, 102, 21},	//61 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    {23, 1, 49, 1, Smoke::mf_ctor, 102, 22},	//62 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    {23, 1, 51, 1, Smoke::mf_ctor, 102, 23},	//63 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    {23, 64, 53, 1, Smoke::mf_slot, 107, 24},	//64 Soprano::Server::DBusExportIterator::registerIterator(const QString&)
    {23, 87, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 25},	//65 Soprano::Server::DBusExportIterator::staticMetaObject() const
    {23, 100, 0, 0, Smoke::mf_dtor, 0, 26 },	//66 Soprano::Server::DBusExportIterator::~DBusExportIterator()
    {24, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//67 Soprano::Server::DBusExportModel::metaObject() const
    {24, 59, 10, 1, Smoke::mf_virtual, 127, 2},	//68 Soprano::Server::DBusExportModel::qt_metacast(const char*)
    {24, 89, 22, 2, Smoke::mf_static, 10, 3},	//69 Soprano::Server::DBusExportModel::tr(const char*, const char*)
    {24, 93, 22, 2, Smoke::mf_static, 10, 4},	//70 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*)
    {24, 89, 25, 3, Smoke::mf_static, 10, 5},	//71 Soprano::Server::DBusExportModel::tr(const char*, const char*, int)
    {24, 93, 25, 3, Smoke::mf_static, 10, 6},	//72 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*, int)
    {24, 57, 29, 3, Smoke::mf_virtual, 123, 7},	//73 Soprano::Server::DBusExportModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 4, 12, 1, Smoke::mf_ctor, 103, 8},	//74 Soprano::Server::DBusExportModel::DBusExportModel(Soprano::Model*)
    {24, 67, 53, 1, 0, 107, 9},	//75 Soprano::Server::DBusExportModel::registerModel(const QString&)
    {24, 98, 0, 0, 0, 0, 10},	//76 Soprano::Server::DBusExportModel::unregisterModel()
    {24, 35, 0, 0, Smoke::mf_const, 10, 11},	//77 Soprano::Server::DBusExportModel::dbusObjectPath() const
    {24, 89, 10, 1, Smoke::mf_static, 10, 12},	//78 Soprano::Server::DBusExportModel::tr(const char*)
    {24, 93, 10, 1, Smoke::mf_static, 10, 13},	//79 Soprano::Server::DBusExportModel::trUtf8(const char*)
    {24, 4, 0, 0, Smoke::mf_ctor, 103, 14},	//80 Soprano::Server::DBusExportModel::DBusExportModel()
    {24, 87, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 15},	//81 Soprano::Server::DBusExportModel::staticMetaObject() const
    {24, 101, 0, 0, Smoke::mf_dtor, 0, 16 },	//82 Soprano::Server::DBusExportModel::~DBusExportModel()
    {25, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//83 Soprano::Server::ServerCore::metaObject() const
    {25, 59, 10, 1, Smoke::mf_virtual, 127, 2},	//84 Soprano::Server::ServerCore::qt_metacast(const char*)
    {25, 89, 22, 2, Smoke::mf_static, 10, 3},	//85 Soprano::Server::ServerCore::tr(const char*, const char*)
    {25, 93, 22, 2, Smoke::mf_static, 10, 4},	//86 Soprano::Server::ServerCore::trUtf8(const char*, const char*)
    {25, 89, 25, 3, Smoke::mf_static, 10, 5},	//87 Soprano::Server::ServerCore::tr(const char*, const char*, int)
    {25, 93, 25, 3, Smoke::mf_static, 10, 6},	//88 Soprano::Server::ServerCore::trUtf8(const char*, const char*, int)
    {25, 57, 29, 3, Smoke::mf_virtual, 123, 7},	//89 Soprano::Server::ServerCore::qt_metacall(QMetaObject::Call, int, void**)
    {25, 17, 55, 1, Smoke::mf_ctor, 104, 8},	//90 Soprano::Server::ServerCore::ServerCore(QObject*)
    {25, 74, 57, 1, 0, 0, 9},	//91 Soprano::Server::ServerCore::setBackend(const Soprano::Backend*)
    {25, 25, 0, 0, Smoke::mf_const, 116, 10},	//92 Soprano::Server::ServerCore::backend() const
    {25, 76, 59, 1, 0, 0, 11},	//93 Soprano::Server::ServerCore::setBackendSettings(const QList<Soprano::BackendSetting>&)
    {25, 26, 0, 0, Smoke::mf_const, 5, 12},	//94 Soprano::Server::ServerCore::backendSettings() const
    {25, 80, 61, 1, 0, 0, 13},	//95 Soprano::Server::ServerCore::setMaximumConnectionCount(int)
    {25, 47, 0, 0, Smoke::mf_const, 123, 14},	//96 Soprano::Server::ServerCore::maximumConnectionCount() const
    {25, 49, 53, 1, Smoke::mf_virtual, 96, 15},	//97 Soprano::Server::ServerCore::model(const QString&)
    {25, 70, 53, 1, Smoke::mf_virtual, 0, 16},	//98 Soprano::Server::ServerCore::removeModel(const QString&)
    {25, 24, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 11, 17},	//99 Soprano::Server::ServerCore::allModels() const
    {25, 83, 53, 1, 0, 107, 18},	//100 Soprano::Server::ServerCore::start(const QString&)
    {25, 45, 63, 1, 0, 107, 19},	//101 Soprano::Server::ServerCore::listen(unsigned short)
    {25, 73, 0, 0, Smoke::mf_const, 126, 20},	//102 Soprano::Server::ServerCore::serverPort() const
    {25, 62, 53, 1, 0, 0, 21},	//103 Soprano::Server::ServerCore::registerAsDBusObject(const QString&)
    {25, 32, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 96, 22},	//104 Soprano::Server::ServerCore::createModel(const QList<Soprano::BackendSetting>&)
    {25, 89, 10, 1, Smoke::mf_static, 10, 23},	//105 Soprano::Server::ServerCore::tr(const char*)
    {25, 93, 10, 1, Smoke::mf_static, 10, 24},	//106 Soprano::Server::ServerCore::trUtf8(const char*)
    {25, 17, 0, 0, Smoke::mf_ctor, 104, 25},	//107 Soprano::Server::ServerCore::ServerCore()
    {25, 83, 0, 0, 0, 107, 26},	//108 Soprano::Server::ServerCore::start()
    {25, 45, 0, 0, 0, 107, 27},	//109 Soprano::Server::ServerCore::listen()
    {25, 62, 0, 0, 0, 0, 28},	//110 Soprano::Server::ServerCore::registerAsDBusObject()
    {25, 87, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 29},	//111 Soprano::Server::ServerCore::staticMetaObject() const
    {25, 6, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 122, 30},	//112 Soprano::Server::ServerCore::DEFAULT_PORT() const
    {25, 102, 0, 0, Smoke::mf_dtor, 0, 31 },	//113 Soprano::Server::ServerCore::~ServerCore()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    61,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    62,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    63,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    0,
    48,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    49,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    50,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 7, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 8, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 9, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 10, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 11, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 12, 8},	// QGlobalSpace::QtCriticalMsg
    {4, 13, 6},	// QGlobalSpace::QtDebugMsg
    {4, 14, 9},	// QGlobalSpace::QtFatalMsg
    {4, 15, 10},	// QGlobalSpace::QtSystemMsg
    {4, 16, 7},	// QGlobalSpace::QtWarningMsg
    {4, 19, 13},	// QGlobalSpace::__codecvt_error
    {4, 20, 14},	// QGlobalSpace::__codecvt_noconv
    {4, 21, 11},	// QGlobalSpace::__codecvt_ok
    {4, 22, 12},	// QGlobalSpace::__codecvt_partial
    {23, 2, -1},	// Soprano::Server::DBusExportIterator::DBusExportIterator#
    {23, 3, -5},	// Soprano::Server::DBusExportIterator::DBusExportIterator##
    {23, 35, 54},	// Soprano::Server::DBusExportIterator::dbusObjectPath
    {23, 36, 55},	// Soprano::Server::DBusExportIterator::deleteOnClose
    {23, 48, 41},	// Soprano::Server::DBusExportIterator::metaObject
    {23, 51, 52},	// Soprano::Server::DBusExportIterator::nodeIterator
    {23, 58, 47},	// Soprano::Server::DBusExportIterator::qt_metacall$$?
    {23, 60, 42},	// Soprano::Server::DBusExportIterator::qt_metacast$
    {23, 61, 53},	// Soprano::Server::DBusExportIterator::queryResultIterator
    {23, 65, 64},	// Soprano::Server::DBusExportIterator::registerIterator$
    {23, 66, 57},	// Soprano::Server::DBusExportIterator::registerIterator$$
    {23, 79, 56},	// Soprano::Server::DBusExportIterator::setDeleteOnClose$
    {23, 86, 51},	// Soprano::Server::DBusExportIterator::statementIterator
    {23, 87, 65},	// Soprano::Server::DBusExportIterator::staticMetaObject
    {23, 90, 59},	// Soprano::Server::DBusExportIterator::tr$
    {23, 91, 43},	// Soprano::Server::DBusExportIterator::tr$$
    {23, 92, 45},	// Soprano::Server::DBusExportIterator::tr$$$
    {23, 94, 60},	// Soprano::Server::DBusExportIterator::trUtf8$
    {23, 95, 44},	// Soprano::Server::DBusExportIterator::trUtf8$$
    {23, 96, 46},	// Soprano::Server::DBusExportIterator::trUtf8$$$
    {23, 97, 58},	// Soprano::Server::DBusExportIterator::unregisterIterator
    {23, 100, 66},	// Soprano::Server::DBusExportIterator::~DBusExportIterator
    {24, 4, 80},	// Soprano::Server::DBusExportModel::DBusExportModel
    {24, 5, 74},	// Soprano::Server::DBusExportModel::DBusExportModel#
    {24, 35, 77},	// Soprano::Server::DBusExportModel::dbusObjectPath
    {24, 48, 67},	// Soprano::Server::DBusExportModel::metaObject
    {24, 58, 73},	// Soprano::Server::DBusExportModel::qt_metacall$$?
    {24, 60, 68},	// Soprano::Server::DBusExportModel::qt_metacast$
    {24, 68, 75},	// Soprano::Server::DBusExportModel::registerModel$
    {24, 87, 81},	// Soprano::Server::DBusExportModel::staticMetaObject
    {24, 90, 78},	// Soprano::Server::DBusExportModel::tr$
    {24, 91, 69},	// Soprano::Server::DBusExportModel::tr$$
    {24, 92, 71},	// Soprano::Server::DBusExportModel::tr$$$
    {24, 94, 79},	// Soprano::Server::DBusExportModel::trUtf8$
    {24, 95, 70},	// Soprano::Server::DBusExportModel::trUtf8$$
    {24, 96, 72},	// Soprano::Server::DBusExportModel::trUtf8$$$
    {24, 98, 76},	// Soprano::Server::DBusExportModel::unregisterModel
    {24, 101, 82},	// Soprano::Server::DBusExportModel::~DBusExportModel
    {25, 6, 112},	// Soprano::Server::ServerCore::DEFAULT_PORT
    {25, 17, 107},	// Soprano::Server::ServerCore::ServerCore
    {25, 18, 90},	// Soprano::Server::ServerCore::ServerCore#
    {25, 24, 99},	// Soprano::Server::ServerCore::allModels
    {25, 25, 92},	// Soprano::Server::ServerCore::backend
    {25, 26, 94},	// Soprano::Server::ServerCore::backendSettings
    {25, 33, 104},	// Soprano::Server::ServerCore::createModel?
    {25, 45, 109},	// Soprano::Server::ServerCore::listen
    {25, 46, 101},	// Soprano::Server::ServerCore::listen$
    {25, 47, 96},	// Soprano::Server::ServerCore::maximumConnectionCount
    {25, 48, 83},	// Soprano::Server::ServerCore::metaObject
    {25, 50, 97},	// Soprano::Server::ServerCore::model$
    {25, 58, 89},	// Soprano::Server::ServerCore::qt_metacall$$?
    {25, 60, 84},	// Soprano::Server::ServerCore::qt_metacast$
    {25, 62, 110},	// Soprano::Server::ServerCore::registerAsDBusObject
    {25, 63, 103},	// Soprano::Server::ServerCore::registerAsDBusObject$
    {25, 71, 98},	// Soprano::Server::ServerCore::removeModel$
    {25, 73, 102},	// Soprano::Server::ServerCore::serverPort
    {25, 75, 91},	// Soprano::Server::ServerCore::setBackend#
    {25, 77, 93},	// Soprano::Server::ServerCore::setBackendSettings?
    {25, 81, 95},	// Soprano::Server::ServerCore::setMaximumConnectionCount$
    {25, 83, 108},	// Soprano::Server::ServerCore::start
    {25, 84, 100},	// Soprano::Server::ServerCore::start$
    {25, 87, 111},	// Soprano::Server::ServerCore::staticMetaObject
    {25, 90, 105},	// Soprano::Server::ServerCore::tr$
    {25, 91, 85},	// Soprano::Server::ServerCore::tr$$
    {25, 92, 87},	// Soprano::Server::ServerCore::tr$$$
    {25, 94, 106},	// Soprano::Server::ServerCore::trUtf8$
    {25, 95, 86},	// Soprano::Server::ServerCore::trUtf8$$
    {25, 96, 88},	// Soprano::Server::ServerCore::trUtf8$$$
    {25, 102, 113},	// Soprano::Server::ServerCore::~ServerCore
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoserver_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoserver_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoserver_Smoke = new Smoke(
        "sopranoserver",
        __smokesopranoserver::classes, 27,
        __smokesopranoserver::methods, 114,
        __smokesopranoserver::methodMaps, 84,
        __smokesopranoserver::methodNames, 102,
        __smokesopranoserver::types, 128,
        __smokesopranoserver::inheritanceList,
        __smokesopranoserver::argumentList,
        __smokesopranoserver::ambiguousMethodList,
        __smokesopranoserver::cast );
    initialized = true;
}

void delete_sopranoserver_Smoke() { delete sopranoserver_Smoke; }

}
