#include <qtuitools_includes.h>

#include <smoke.h>
#include <qtuitools_smoke.h>

namespace __smokeqtuitools {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionGroup
      switch(to) {
        case 2: return (void*)(QActionGroup*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 6: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QDir
      switch(to) {
        case 5: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 6:   //QEvent
      switch(to) {
        case 6: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QIODevice
      switch(to) {
        case 12: return (void*)(QObject*)(QIODevice*)xptr;
        case 8: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 9:   //QIncompatibleFlag
      switch(to) {
        case 9: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 10:   //QLayout
      switch(to) {
        case 10: return (void*)(QLayout*)xptr;
        default: return xptr;
      }
    case 11:   //QMetaObject
      switch(to) {
        case 11: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 12:   //QObject
      switch(to) {
        case 12: return (void*)(QObject*)xptr;
        case 15: return (void*)(QUiLoader*)(QObject*)xptr;
        default: return xptr;
      }
    case 13:   //QRegExp
      switch(to) {
        case 13: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 14:   //QTimerEvent
      switch(to) {
        case 6: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 14: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QUiLoader
      switch(to) {
        case 12: return (void*)(QObject*)(QUiLoader*)xptr;
        case 15: return (void*)(QUiLoader*)xptr;
        default: return xptr;
      }
    case 16:   //QWidget
      switch(to) {
        case 16: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 17:   //std::bidirectional_iterator_tag
      switch(to) {
        case 17: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 18:   //std::random_access_iterator_tag
      switch(to) {
        case 18: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QUiLoader(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionGroup", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QDir", true, 0, 0, 0, 0, 0 },	//5
    { "QEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//7
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//8
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//9
    { "QLayout", true, 0, 0, 0, 0, 0 },	//10
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//11
    { "QObject", true, 0, 0, 0, 0, 0 },	//12
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//13
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QUiLoader", false, 1, xcall_QUiLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUiLoader) },	//15
    { "QWidget", true, 0, 0, 0, 0, 0 },	//16
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//17
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//18
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionGroup*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QDir", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QIODevice*", 8, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QIncompatibleFlag", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "QLayout*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QMetaObject::Call", 11, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 12, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 13, Smoke::t_class|Smoke::tf_ref },	//13
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//16
    { "QTimerEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QUiLoader*", 15, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QWidget*", 16, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtMsgType", 7, Smoke::t_enum|Smoke::tf_stack },	//94
    { "__codecvt_result", 7, Smoke::t_enum|Smoke::tf_stack },	//95
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//96
    { "const QDir&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//97
    { "const QMetaObject&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//98
    { "const QMetaObject*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//99
    { "const QRegExp&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//100
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//101
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//102
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//103
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//104
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//105
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//106
    { "std::bidirectional_iterator_tag", 17, Smoke::t_class|Smoke::tf_stack },	//107
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "std::random_access_iterator_tag", 18, Smoke::t_class|Smoke::tf_stack },	//109
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//112
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    6, 0,	//1  QEvent*
    12, 6, 0,	//3  QObject*, QEvent*
    17, 0,	//6  QTimerEvent*
    4, 0,	//8  QChildEvent*
    103, 0,	//10  const char*
    103, 103, 0,	//12  const char*, const char*
    103, 103, 105, 0,	//15  const char*, const char*, int
    11, 105, 111, 0,	//19  QMetaObject::Call, int, void**
    12, 0,	//23  QObject*
    101, 0,	//25  const QString&
    8, 19, 0,	//27  QIODevice*, QWidget*
    101, 19, 101, 0,	//30  const QString&, QWidget*, const QString&
    101, 12, 101, 0,	//34  const QString&, QObject*, const QString&
    12, 101, 0,	//38  QObject*, const QString&
    97, 0,	//41  const QDir&
    96, 0,	//43  bool
    8, 0,	//45  QIODevice*
    101, 19, 0,	//47  const QString&, QWidget*
    101, 12, 0,	//50  const QString&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "QUiLoader",	//1
    "QUiLoader#",	//2
    "QtCriticalMsg",	//3
    "QtDebugMsg",	//4
    "QtFatalMsg",	//5
    "QtSystemMsg",	//6
    "QtWarningMsg",	//7
    "_ISalnum",	//8
    "_ISalpha",	//9
    "_ISblank",	//10
    "_IScntrl",	//11
    "_ISdigit",	//12
    "_ISgraph",	//13
    "_ISlower",	//14
    "_ISprint",	//15
    "_ISpunct",	//16
    "_ISspace",	//17
    "_ISupper",	//18
    "_ISxdigit",	//19
    "__codecvt_error",	//20
    "__codecvt_noconv",	//21
    "__codecvt_ok",	//22
    "__codecvt_partial",	//23
    "addPluginPath",	//24
    "addPluginPath$",	//25
    "availableLayouts",	//26
    "availableWidgets",	//27
    "childEvent",	//28
    "clearPluginPaths",	//29
    "connectNotify",	//30
    "createAction",	//31
    "createAction#",	//32
    "createAction#$",	//33
    "createActionGroup",	//34
    "createActionGroup#",	//35
    "createActionGroup#$",	//36
    "createLayout",	//37
    "createLayout$",	//38
    "createLayout$#",	//39
    "createLayout$#$",	//40
    "createWidget",	//41
    "createWidget$",	//42
    "createWidget$#",	//43
    "createWidget$#$",	//44
    "customEvent",	//45
    "disconnectNotify",	//46
    "event",	//47
    "eventFilter",	//48
    "isLanguageChangeEnabled",	//49
    "isScriptingEnabled",	//50
    "isTranslationEnabled",	//51
    "load",	//52
    "load#",	//53
    "load##",	//54
    "metaObject",	//55
    "pluginPaths",	//56
    "qt_metacall",	//57
    "qt_metacall$$?",	//58
    "qt_metacast",	//59
    "qt_metacast$",	//60
    "setLanguageChangeEnabled",	//61
    "setLanguageChangeEnabled$",	//62
    "setScriptingEnabled",	//63
    "setScriptingEnabled$",	//64
    "setTranslationEnabled",	//65
    "setTranslationEnabled$",	//66
    "setWorkingDirectory",	//67
    "setWorkingDirectory#",	//68
    "staticMetaObject",	//69
    "timerEvent",	//70
    "tr",	//71
    "tr$",	//72
    "tr$$",	//73
    "tr$$$",	//74
    "trUtf8",	//75
    "trUtf8$",	//76
    "trUtf8$$",	//77
    "trUtf8$$$",	//78
    "workingDirectory",	//79
    "~QUiLoader",	//80
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 1},	//1 QGlobalSpace::_ISupper (enum)
    {7, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 2},	//2 QGlobalSpace::_ISlower (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 3},	//3 QGlobalSpace::_ISalpha (enum)
    {7, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 4},	//4 QGlobalSpace::_ISdigit (enum)
    {7, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 5},	//5 QGlobalSpace::_ISxdigit (enum)
    {7, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 6},	//6 QGlobalSpace::_ISspace (enum)
    {7, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 7},	//7 QGlobalSpace::_ISprint (enum)
    {7, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//8 QGlobalSpace::_ISgraph (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 9},	//9 QGlobalSpace::_ISblank (enum)
    {7, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 10},	//10 QGlobalSpace::_IScntrl (enum)
    {7, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 11},	//11 QGlobalSpace::_ISpunct (enum)
    {7, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 12},	//12 QGlobalSpace::_ISalnum (enum)
    {7, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 13},	//13 QGlobalSpace::QtDebugMsg (enum)
    {7, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 14},	//14 QGlobalSpace::QtWarningMsg (enum)
    {7, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 15},	//15 QGlobalSpace::QtCriticalMsg (enum)
    {7, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 16},	//16 QGlobalSpace::QtFatalMsg (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 17},	//17 QGlobalSpace::QtSystemMsg (enum)
    {7, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 18},	//18 QGlobalSpace::__codecvt_ok (enum)
    {7, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 19},	//19 QGlobalSpace::__codecvt_partial (enum)
    {7, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 20},	//20 QGlobalSpace::__codecvt_error (enum)
    {7, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 21},	//21 QGlobalSpace::__codecvt_noconv (enum)
    {12, 47, 1, 1, Smoke::mf_virtual, 96, 0},	//22 QObject::event(QEvent*)
    {12, 48, 3, 2, Smoke::mf_virtual, 96, 0},	//23 QObject::eventFilter(QObject*, QEvent*)
    {12, 70, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QObject::timerEvent(QTimerEvent*)
    {12, 28, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QObject::childEvent(QChildEvent*)
    {12, 45, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QObject::customEvent(QEvent*)
    {12, 30, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QObject::connectNotify(const char*)
    {12, 46, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QObject::disconnectNotify(const char*)
    {15, 55, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//29 QUiLoader::metaObject() const
    {15, 59, 10, 1, Smoke::mf_virtual, 110, 2},	//30 QUiLoader::qt_metacast(const char*)
    {15, 71, 12, 2, Smoke::mf_static, 14, 3},	//31 QUiLoader::tr(const char*, const char*)
    {15, 75, 12, 2, Smoke::mf_static, 14, 4},	//32 QUiLoader::trUtf8(const char*, const char*)
    {15, 71, 15, 3, Smoke::mf_static, 14, 5},	//33 QUiLoader::tr(const char*, const char*, int)
    {15, 75, 15, 3, Smoke::mf_static, 14, 6},	//34 QUiLoader::trUtf8(const char*, const char*, int)
    {15, 57, 19, 3, Smoke::mf_virtual, 105, 7},	//35 QUiLoader::qt_metacall(QMetaObject::Call, int, void**)
    {15, 1, 23, 1, Smoke::mf_ctor, 18, 8},	//36 QUiLoader::QUiLoader(QObject*)
    {15, 56, 0, 0, Smoke::mf_const, 15, 9},	//37 QUiLoader::pluginPaths() const
    {15, 29, 0, 0, 0, 0, 10},	//38 QUiLoader::clearPluginPaths()
    {15, 24, 25, 1, 0, 0, 11},	//39 QUiLoader::addPluginPath(const QString&)
    {15, 52, 27, 2, 0, 19, 12},	//40 QUiLoader::load(QIODevice*, QWidget*)
    {15, 27, 0, 0, Smoke::mf_const, 15, 13},	//41 QUiLoader::availableWidgets() const
    {15, 26, 0, 0, Smoke::mf_const, 15, 14},	//42 QUiLoader::availableLayouts() const
    {15, 41, 30, 3, Smoke::mf_virtual, 19, 15},	//43 QUiLoader::createWidget(const QString&, QWidget*, const QString&)
    {15, 37, 34, 3, Smoke::mf_virtual, 10, 16},	//44 QUiLoader::createLayout(const QString&, QObject*, const QString&)
    {15, 34, 38, 2, Smoke::mf_virtual, 2, 17},	//45 QUiLoader::createActionGroup(QObject*, const QString&)
    {15, 31, 38, 2, Smoke::mf_virtual, 1, 18},	//46 QUiLoader::createAction(QObject*, const QString&)
    {15, 67, 41, 1, 0, 0, 19},	//47 QUiLoader::setWorkingDirectory(const QDir&)
    {15, 79, 0, 0, Smoke::mf_const, 5, 20},	//48 QUiLoader::workingDirectory() const
    {15, 63, 43, 1, 0, 0, 21},	//49 QUiLoader::setScriptingEnabled(bool)
    {15, 50, 0, 0, Smoke::mf_const, 96, 22},	//50 QUiLoader::isScriptingEnabled() const
    {15, 61, 43, 1, 0, 0, 23},	//51 QUiLoader::setLanguageChangeEnabled(bool)
    {15, 49, 0, 0, Smoke::mf_const, 96, 24},	//52 QUiLoader::isLanguageChangeEnabled() const
    {15, 65, 43, 1, 0, 0, 25},	//53 QUiLoader::setTranslationEnabled(bool)
    {15, 51, 0, 0, Smoke::mf_const, 96, 26},	//54 QUiLoader::isTranslationEnabled() const
    {15, 71, 10, 1, Smoke::mf_static, 14, 27},	//55 QUiLoader::tr(const char*)
    {15, 75, 10, 1, Smoke::mf_static, 14, 28},	//56 QUiLoader::trUtf8(const char*)
    {15, 1, 0, 0, Smoke::mf_ctor, 18, 29},	//57 QUiLoader::QUiLoader()
    {15, 52, 45, 1, 0, 19, 30},	//58 QUiLoader::load(QIODevice*)
    {15, 41, 25, 1, 0, 19, 31},	//59 QUiLoader::createWidget(const QString&)
    {15, 41, 47, 2, 0, 19, 32},	//60 QUiLoader::createWidget(const QString&, QWidget*)
    {15, 37, 25, 1, 0, 10, 33},	//61 QUiLoader::createLayout(const QString&)
    {15, 37, 50, 2, 0, 10, 34},	//62 QUiLoader::createLayout(const QString&, QObject*)
    {15, 34, 0, 0, 0, 2, 35},	//63 QUiLoader::createActionGroup()
    {15, 34, 23, 1, 0, 2, 36},	//64 QUiLoader::createActionGroup(QObject*)
    {15, 31, 0, 0, 0, 1, 37},	//65 QUiLoader::createAction()
    {15, 31, 23, 1, 0, 1, 38},	//66 QUiLoader::createAction(QObject*)
    {15, 69, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 39},	//67 QUiLoader::staticMetaObject() const
    {15, 80, 0, 0, Smoke::mf_dtor, 0, 40 },	//68 QUiLoader::~QUiLoader()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 3, 15},	// QGlobalSpace::QtCriticalMsg
    {7, 4, 13},	// QGlobalSpace::QtDebugMsg
    {7, 5, 16},	// QGlobalSpace::QtFatalMsg
    {7, 6, 17},	// QGlobalSpace::QtSystemMsg
    {7, 7, 14},	// QGlobalSpace::QtWarningMsg
    {7, 8, 12},	// QGlobalSpace::_ISalnum
    {7, 9, 3},	// QGlobalSpace::_ISalpha
    {7, 10, 9},	// QGlobalSpace::_ISblank
    {7, 11, 10},	// QGlobalSpace::_IScntrl
    {7, 12, 4},	// QGlobalSpace::_ISdigit
    {7, 13, 8},	// QGlobalSpace::_ISgraph
    {7, 14, 2},	// QGlobalSpace::_ISlower
    {7, 15, 7},	// QGlobalSpace::_ISprint
    {7, 16, 11},	// QGlobalSpace::_ISpunct
    {7, 17, 6},	// QGlobalSpace::_ISspace
    {7, 18, 1},	// QGlobalSpace::_ISupper
    {7, 19, 5},	// QGlobalSpace::_ISxdigit
    {7, 20, 20},	// QGlobalSpace::__codecvt_error
    {7, 21, 21},	// QGlobalSpace::__codecvt_noconv
    {7, 22, 18},	// QGlobalSpace::__codecvt_ok
    {7, 23, 19},	// QGlobalSpace::__codecvt_partial
    {15, 1, 57},	// QUiLoader::QUiLoader
    {15, 2, 36},	// QUiLoader::QUiLoader#
    {15, 25, 39},	// QUiLoader::addPluginPath$
    {15, 26, 42},	// QUiLoader::availableLayouts
    {15, 27, 41},	// QUiLoader::availableWidgets
    {15, 29, 38},	// QUiLoader::clearPluginPaths
    {15, 31, 65},	// QUiLoader::createAction
    {15, 32, 66},	// QUiLoader::createAction#
    {15, 33, 46},	// QUiLoader::createAction#$
    {15, 34, 63},	// QUiLoader::createActionGroup
    {15, 35, 64},	// QUiLoader::createActionGroup#
    {15, 36, 45},	// QUiLoader::createActionGroup#$
    {15, 38, 61},	// QUiLoader::createLayout$
    {15, 39, 62},	// QUiLoader::createLayout$#
    {15, 40, 44},	// QUiLoader::createLayout$#$
    {15, 42, 59},	// QUiLoader::createWidget$
    {15, 43, 60},	// QUiLoader::createWidget$#
    {15, 44, 43},	// QUiLoader::createWidget$#$
    {15, 49, 52},	// QUiLoader::isLanguageChangeEnabled
    {15, 50, 50},	// QUiLoader::isScriptingEnabled
    {15, 51, 54},	// QUiLoader::isTranslationEnabled
    {15, 53, 58},	// QUiLoader::load#
    {15, 54, 40},	// QUiLoader::load##
    {15, 55, 29},	// QUiLoader::metaObject
    {15, 56, 37},	// QUiLoader::pluginPaths
    {15, 58, 35},	// QUiLoader::qt_metacall$$?
    {15, 60, 30},	// QUiLoader::qt_metacast$
    {15, 62, 51},	// QUiLoader::setLanguageChangeEnabled$
    {15, 64, 49},	// QUiLoader::setScriptingEnabled$
    {15, 66, 53},	// QUiLoader::setTranslationEnabled$
    {15, 68, 47},	// QUiLoader::setWorkingDirectory#
    {15, 69, 67},	// QUiLoader::staticMetaObject
    {15, 72, 55},	// QUiLoader::tr$
    {15, 73, 31},	// QUiLoader::tr$$
    {15, 74, 33},	// QUiLoader::tr$$$
    {15, 76, 56},	// QUiLoader::trUtf8$
    {15, 77, 32},	// QUiLoader::trUtf8$$
    {15, 78, 34},	// QUiLoader::trUtf8$$$
    {15, 79, 48},	// QUiLoader::workingDirectory
    {15, 80, 68},	// QUiLoader::~QUiLoader
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtuitools_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtuitools_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtuitools_Smoke = new Smoke(
        "qtuitools",
        __smokeqtuitools::classes, 18,
        __smokeqtuitools::methods, 69,
        __smokeqtuitools::methodMaps, 62,
        __smokeqtuitools::methodNames, 80,
        __smokeqtuitools::types, 112,
        __smokeqtuitools::inheritanceList,
        __smokeqtuitools::argumentList,
        __smokeqtuitools::ambiguousMethodList,
        __smokeqtuitools::cast );
    initialized = true;
}

void delete_qtuitools_Smoke() { delete qtuitools_Smoke; }

}
