#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 42: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 70: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 43: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 43: return (void*)(QDialog*)(KDialog*)xptr;
        case 76: return (void*)(QWidget*)(KDialog*)xptr;
        case 62: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 62: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 62: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractItemView
      switch(to) {
        case 34: return (void*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 35:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 36:   //QActionEvent
      switch(to) {
        case 36: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QBool
      switch(to) {
        case 37: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 38:   //QByteArray
      switch(to) {
        case 38: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDBusContext
      switch(to) {
        case 42: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 43:   //QDialog
      switch(to) {
        case 76: return (void*)(QWidget*)(QDialog*)xptr;
        case 62: return (void*)(QObject*)(QDialog*)xptr;
        case 43: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 52:   //QHideEvent
      switch(to) {
        case 52: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QIcon
      switch(to) {
        case 53: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 54:   //QInputMethodEvent
      switch(to) {
        case 54: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QItemSelection
      switch(to) {
        case 55: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMimeData
      switch(to) {
        case 58: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 59:   //QModelIndex
      switch(to) {
        case 59: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPalette
      switch(to) {
        case 65: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QResizeEvent
      switch(to) {
        case 67: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QShowEvent
      switch(to) {
        case 68: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QSize
      switch(to) {
        case 69: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 70:   //QSortFilterProxyModel
      switch(to) {
        case 35: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 70: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTimerEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 73: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception
      switch(to) {
        case 77: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::large_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 79:   //boost::exception_detail::small_size
      switch(to) {
        case 79: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 42, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    70, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    76, 0,	// 12: QWidget
    62, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//34
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//35
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QBool", true, 0, 0, 0, 0, 0 },	//37
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//42
    { "QDialog", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QIcon", true, 0, 0, 0, 0, 0 },	//53
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//58
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPalette", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QSize", true, 0, 0, 0, 0, 0 },	//69
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//78
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//33
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//34
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//41
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//46
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QAbstractItemView*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 38, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QHideEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QIcon", 53, Smoke::t_class|Smoke::tf_stack },	//67
    { "QInputMethodEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QItemSelection", 55, Smoke::t_class|Smoke::tf_stack },	//69
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QModelIndex", 59, Smoke::t_class|Smoke::tf_stack },	//78
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//85
    { "QResizeEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QShowEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSize", 69, Smoke::t_class|Smoke::tf_stack },	//88
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//91
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//92
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QTimerEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//169
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//170
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//171
    { "__codecvt_result", 51, Smoke::t_enum|Smoke::tf_stack },	//172
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//173
    { "boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr },	//174
    { "boost::exception_detail::large_size", 78, Smoke::t_class|Smoke::tf_stack },	//175
    { "boost::exception_detail::small_size", 79, Smoke::t_class|Smoke::tf_stack },	//176
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//189
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const E&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QByteArray&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QItemSelection&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//202
    { "const QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QModelIndex&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const QPalette&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "const boost::exception&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//219
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//220
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//223
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//224
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//227
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    216, 0,	//1  const char*
    216, 216, 0,	//3  const char*, const char*
    216, 216, 219, 0,	//6  const char*, const char*, int
    76, 219, 226, 0,	//10  QMetaObject::Call, int, void**
    170, 0,	//14  WId
    2, 0,	//16  Akonadi::AgentBase::Observer*
    209, 0,	//18  const QString&
    219, 209, 0,	//20  int, const QString&
    219, 0,	//23  int
    213, 0,	//25  const QVariantMap&
    173, 0,	//27  bool
    5, 209, 0,	//29  Akonadi::AgentBasePrivate*, const QString&
    191, 186, 0,	//32  const Akonadi::Item&, const Akonadi::Collection&
    191, 208, 0,	//35  const Akonadi::Item&, const QSet<QByteArray>&
    191, 0,	//38  const Akonadi::Item&
    186, 186, 0,	//40  const Akonadi::Collection&, const Akonadi::Collection&
    186, 0,	//43  const Akonadi::Collection&
    179, 0,	//45  const Akonadi::AgentBase::Observer&
    191, 186, 186, 0,	//47  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    186, 186, 186, 0,	//51  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    186, 208, 0,	//55  const Akonadi::Collection&, const QSet<QByteArray>&
    180, 0,	//58  const Akonadi::AgentBase::ObserverV2&
    81, 0,	//60  QObject*
    219, 204, 0,	//62  int, const QModelIndex&
    181, 0,	//65  const Akonadi::AgentInstance&
    97, 0,	//67  QWidget*
    182, 81, 0,	//69  const Akonadi::AgentType&, QObject*
    209, 81, 0,	//72  const QString&, QObject*
    182, 0,	//75  const Akonadi::AgentType&
    204, 0,	//77  const QModelIndex&
    204, 219, 0,	//79  const QModelIndex&, int
    219, 143, 219, 0,	//82  int, Qt::Orientation, int
    219, 219, 204, 0,	//86  int, int, const QModelIndex&
    204, 212, 219, 0,	//90  const QModelIndex&, const QVariant&, int
    219, 143, 0,	//94  int, Qt::Orientation
    219, 219, 0,	//97  int, int
    181, 181, 0,	//100  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    186, 173, 0,	//103  const Akonadi::Collection&, bool
    181, 209, 0,	//106  const Akonadi::AgentInstance&, const QString&
    181, 173, 0,	//109  const Akonadi::AgentInstance&, bool
    182, 182, 0,	//112  const Akonadi::AgentType&, const Akonadi::AgentType&
    196, 0,	//115  const QByteArray&
    183, 0,	//117  const Akonadi::Attribute&
    184, 0,	//119  const Akonadi::AttributeFactory&
    185, 0,	//121  const Akonadi::CachePolicy&
    210, 0,	//123  const QStringList&
    221, 0,	//125  long long
    195, 0,	//127  const KUrl&
    61, 0,	//129  QFlags<Akonadi::Collection::Right>
    187, 0,	//131  const Akonadi::CollectionStatistics&
    188, 0,	//133  const Akonadi::Entity&
    23, 0,	//135  Akonadi::Attribute*
    37, 0,	//137  Akonadi::EntityPrivate*
    190, 0,	//139  const Akonadi::Exception&
    192, 0,	//141  const Akonadi::PayloadException&
    209, 173, 0,	//143  const QString&, bool
    66, 0,	//146  QHideEvent*
    53, 0,	//148  QCloseEvent*
    70, 0,	//150  QKeyEvent*
    219, 143, 212, 219, 0,	//152  int, Qt::Orientation, const QVariant&, int
    204, 200, 0,	//157  const QModelIndex&, const QMap<int,QVariant>&
    199, 0,	//160  const QList<QModelIndex>&
    203, 119, 219, 219, 204, 0,	//162  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    219, 151, 0,	//168  int, Qt::SortOrder
    204, 219, 212, 219, 64, 0,	//171  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    87, 0,	//177  QShowEvent*
    86, 0,	//179  QResizeEvent*
    54, 0,	//181  QContextMenuEvent*
    81, 60, 0,	//183  QObject*, QEvent*
    60, 0,	//186  QEvent*
    94, 0,	//188  QTimerEvent*
    52, 0,	//190  QChildEvent*
    47, 0,	//192  QAbstractItemModel*
    198, 0,	//194  const QItemSelection&
    204, 204, 0,	//196  const QModelIndex&, const QModelIndex&
    79, 0,	//199  QMouseEvent*
    96, 0,	//201  QWheelEvent*
    65, 0,	//203  QFocusEvent*
    84, 0,	//205  QPaintEvent*
    80, 0,	//207  QMoveEvent*
    93, 0,	//209  QTabletEvent*
    49, 0,	//211  QActionEvent*
    56, 0,	//213  QDragEnterEvent*
    58, 0,	//215  QDragMoveEvent*
    57, 0,	//217  QDragLeaveEvent*
    59, 0,	//219  QDropEvent*
    171, 0,	//221  _XEvent*
    82, 0,	//223  QPaintDevice::PaintDeviceMetric
    68, 0,	//225  QInputMethodEvent*
    131, 0,	//227  Qt::InputMethodQuery
    92, 0,	//229  QStyle&
    206, 0,	//231  const QPalette&
    197, 0,	//233  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceCreateJob$",	//13
    "AgentInstanceCreateJob$#",	//14
    "AgentInstanceModel",	//15
    "AgentInstanceModel#",	//16
    "AgentInstanceWidget",	//17
    "AgentInstanceWidget#",	//18
    "AgentType",	//19
    "AgentType#",	//20
    "AgentTypeDialog",	//21
    "AgentTypeDialog#",	//22
    "AgentTypeModel",	//23
    "AgentTypeModel#",	//24
    "AgentTypeWidget",	//25
    "AgentTypeWidget#",	//26
    "AllRights",	//27
    "AppNameCaption",	//28
    "Apply",	//29
    "Attribute",	//30
    "Attribute#",	//31
    "AttributeFactory",	//32
    "AttributeFactory#",	//33
    "Broken",	//34
    "Bytes",	//35
    "CachePolicy",	//36
    "CachePolicy#",	//37
    "CanChangeCollection",	//38
    "CanChangeItem",	//39
    "CanCreateCollection",	//40
    "CanCreateItem",	//41
    "CanDeleteCollection",	//42
    "CanDeleteItem",	//43
    "CanLinkItem",	//44
    "CanUnlinkItem",	//45
    "Cancel",	//46
    "CapabilitiesRole",	//47
    "Close",	//48
    "Collection",	//49
    "Collection#",	//50
    "Collection$",	//51
    "Default",	//52
    "DelayedPopup",	//53
    "DescriptionRole",	//54
    "Details",	//55
    "Directories",	//56
    "DrawChildren",	//57
    "DrawWindowBackground",	//58
    "EmitResult",	//59
    "Entity",	//60
    "Entity#",	//61
    "Exception",	//62
    "Exception#",	//63
    "Exception$",	//64
    "Files",	//65
    "HIGCompliantCaption",	//66
    "Help",	//67
    "IdentifierRole",	//68
    "Idle",	//69
    "IgnoreMask",	//70
    "InstanceIdentifierRole",	//71
    "InstanceRole",	//72
    "InstantPopup",	//73
    "Killable",	//74
    "KilledJobError",	//75
    "MimeTypesRole",	//76
    "ModifiedCaption",	//77
    "No",	//78
    "NoCapabilities",	//79
    "NoCaptionFlags",	//80
    "NoDefault",	//81
    "NoError",	//82
    "None",	//83
    "Observer",	//84
    "Observer#",	//85
    "ObserverV2",	//86
    "ObserverV2#",	//87
    "Ok",	//88
    "OnlineRole",	//89
    "PayloadException",	//90
    "PayloadException#",	//91
    "PayloadException$",	//92
    "ProgressRole",	//93
    "QtCriticalMsg",	//94
    "QtDebugMsg",	//95
    "QtFatalMsg",	//96
    "QtSystemMsg",	//97
    "QtWarningMsg",	//98
    "Quietly",	//99
    "ReadOnly",	//100
    "Rejected",	//101
    "Reset",	//102
    "Running",	//103
    "StatusMessageRole",	//104
    "StatusRole",	//105
    "Suspendable",	//106
    "Try",	//107
    "TypeIdentifierRole",	//108
    "TypeRole",	//109
    "User1",	//110
    "User2",	//111
    "User3",	//112
    "UserDefinedError",	//113
    "UserRole",	//114
    "Yes",	//115
    "_CS_GNU_LIBC_VERSION",	//116
    "_CS_GNU_LIBPTHREAD_VERSION",	//117
    "_CS_LFS64_CFLAGS",	//118
    "_CS_LFS64_LDFLAGS",	//119
    "_CS_LFS64_LIBS",	//120
    "_CS_LFS64_LINTFLAGS",	//121
    "_CS_LFS_CFLAGS",	//122
    "_CS_LFS_LDFLAGS",	//123
    "_CS_LFS_LIBS",	//124
    "_CS_LFS_LINTFLAGS",	//125
    "_CS_PATH",	//126
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//127
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//128
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//129
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//130
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//131
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//132
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//133
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//134
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//135
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//136
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//137
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//138
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//139
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//140
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//141
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//142
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//143
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//144
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//145
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//146
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//147
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//148
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//149
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//150
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//151
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//152
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//153
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//154
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//155
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//156
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//157
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//158
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//159
    "_CS_V6_ENV",	//160
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//161
    "_CS_V7_ENV",	//162
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//163
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//164
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//165
    "_CS_XBS5_ILP32_OFF32_LIBS",	//166
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//167
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//168
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//169
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//170
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//171
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//172
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//173
    "_CS_XBS5_LP64_OFF64_LIBS",	//174
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//175
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//176
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//177
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//178
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//179
    "__codecvt_error",	//180
    "__codecvt_noconv",	//181
    "__codecvt_ok",	//182
    "__codecvt_partial",	//183
    "abortCurrentTask",	//184
    "abortRequested",	//185
    "aboutToQuit",	//186
    "accept",	//187
    "actionEvent",	//188
    "activated",	//189
    "addAttribute",	//190
    "addAttribute#",	//191
    "addCapabilityFilter",	//192
    "addCapabilityFilter$",	//193
    "addMimeTypeFilter",	//194
    "addMimeTypeFilter$",	//195
    "advancedStatus",	//196
    "advancedStatus?",	//197
    "agentFilterProxyModel",	//198
    "agentName",	//199
    "agentNameChanged",	//200
    "agentNameChanged$",	//201
    "agentType",	//202
    "attribute",	//203
    "attribute#",	//204
    "attributes",	//205
    "buddy",	//206
    "cachePolicy",	//207
    "cacheTimeout",	//208
    "canFetchMore",	//209
    "capabilities",	//210
    "changeEvent",	//211
    "changeProcessed",	//212
    "changeRecorder",	//213
    "childEvent",	//214
    "cleanup",	//215
    "clearAttributes",	//216
    "clearFilters",	//217
    "clone",	//218
    "closeEvent",	//219
    "collectionAdded",	//220
    "collectionAdded##",	//221
    "collectionChanged",	//222
    "collectionChanged#",	//223
    "collectionChanged#?",	//224
    "collectionMoved",	//225
    "collectionMoved###",	//226
    "collectionRemoved",	//227
    "collectionRemoved#",	//228
    "columnCount",	//229
    "columnCount#",	//230
    "componentData",	//231
    "config",	//232
    "configurationDialogAccepted",	//233
    "configurationDialogRejected",	//234
    "configure",	//235
    "configure#",	//236
    "configure$",	//237
    "connectNotify",	//238
    "contentMimeTypes",	//239
    "contextMenuEvent",	//240
    "createAttribute",	//241
    "createAttribute#",	//242
    "currentAgentInstance",	//243
    "currentAgentType",	//244
    "currentChanged",	//245
    "currentChanged##",	//246
    "customEvent",	//247
    "d_func",	//248
    "data",	//249
    "data#",	//250
    "data#$",	//251
    "description",	//252
    "deserialize",	//253
    "deserialize#",	//254
    "devType",	//255
    "disconnectNotify",	//256
    "doKill",	//257
    "doResume",	//258
    "doSetOnline",	//259
    "doSetOnline$",	//260
    "doSuspend",	//261
    "done",	//262
    "done$",	//263
    "doubleClicked",	//264
    "doubleClicked#",	//265
    "dragEnterEvent",	//266
    "dragLeaveEvent",	//267
    "dragMoveEvent",	//268
    "dropEvent",	//269
    "dropMimeData",	//270
    "enabledChange",	//271
    "enterEvent",	//272
    "error",	//273
    "error$",	//274
    "errorString",	//275
    "event",	//276
    "eventFilter",	//277
    "excludeCapabilities",	//278
    "excludeCapabilities$",	//279
    "fetchMore",	//280
    "filterAcceptsColumn",	//281
    "filterAcceptsRow",	//282
    "filterAcceptsRow$#",	//283
    "flags",	//284
    "flags#",	//285
    "focusInEvent",	//286
    "focusNextPrevChild",	//287
    "focusOutEvent",	//288
    "fontChange",	//289
    "fromUrl",	//290
    "fromUrl#",	//291
    "hasAttribute",	//292
    "hasAttribute#",	//293
    "hasChildren",	//294
    "headerData",	//295
    "headerData$$",	//296
    "headerData$$$",	//297
    "heightForWidth",	//298
    "hideEvent",	//299
    "icon",	//300
    "iconName",	//301
    "id",	//302
    "identifier",	//303
    "index",	//304
    "index$$",	//305
    "index$$#",	//306
    "inheritFromParent",	//307
    "inputMethodEvent",	//308
    "inputMethodQuery",	//309
    "insertColumns",	//310
    "insertRows",	//311
    "instance",	//312
    "instance$",	//313
    "instanceAdded",	//314
    "instanceAdded#",	//315
    "instanceError",	//316
    "instanceError#$",	//317
    "instanceNameChanged",	//318
    "instanceNameChanged#",	//319
    "instanceOnline",	//320
    "instanceOnline#$",	//321
    "instanceProgressChanged",	//322
    "instanceProgressChanged#",	//323
    "instanceRemoved",	//324
    "instanceRemoved#",	//325
    "instanceStatusChanged",	//326
    "instanceStatusChanged#",	//327
    "instanceWarning",	//328
    "instanceWarning#$",	//329
    "instances",	//330
    "intervalCheckTime",	//331
    "isOnline",	//332
    "isValid",	//333
    "isVirtual",	//334
    "itemAdded",	//335
    "itemAdded##",	//336
    "itemChanged",	//337
    "itemChanged#?",	//338
    "itemData",	//339
    "itemLinked",	//340
    "itemLinked##",	//341
    "itemMoved",	//342
    "itemMoved###",	//343
    "itemRemoved",	//344
    "itemRemoved#",	//345
    "itemUnlinked",	//346
    "itemUnlinked##",	//347
    "keyPressEvent",	//348
    "keyReleaseEvent",	//349
    "languageChange",	//350
    "leaveEvent",	//351
    "lessThan",	//352
    "localParts",	//353
    "mapFromSource",	//354
    "mapSelectionFromSource",	//355
    "mapSelectionToSource",	//356
    "mapToSource",	//357
    "match",	//358
    "metaObject",	//359
    "metric",	//360
    "mimeData",	//361
    "mimeType",	//362
    "mimeTypes",	//363
    "minimumSizeHint",	//364
    "mouseDoubleClickEvent",	//365
    "mouseMoveEvent",	//366
    "mousePressEvent",	//367
    "mouseReleaseEvent",	//368
    "moveEvent",	//369
    "name",	//370
    "onlineChanged",	//371
    "onlineChanged$",	//372
    "operator!=",	//373
    "operator!=#",	//374
    "operator=",	//375
    "operator=#",	//376
    "operator==",	//377
    "operator==#",	//378
    "paintEngine",	//379
    "paintEvent",	//380
    "paletteChange",	//381
    "parent",	//382
    "parent#",	//383
    "parentCollection",	//384
    "parentRemoteId",	//385
    "percent",	//386
    "percent$",	//387
    "progress",	//388
    "progressMessage",	//389
    "qt_metacall",	//390
    "qt_metacall$$?",	//391
    "qt_metacast",	//392
    "qt_metacast$",	//393
    "reconfigure",	//394
    "registerObserver",	//395
    "registerObserver#",	//396
    "reject",	//397
    "reloadConfiguration",	//398
    "remoteId",	//399
    "remoteRevision",	//400
    "removeAttribute",	//401
    "removeAttribute#",	//402
    "removeColumns",	//403
    "removeInstance",	//404
    "removeInstance#",	//405
    "removeRows",	//406
    "resizeEvent",	//407
    "resource",	//408
    "restart",	//409
    "revert",	//410
    "rights",	//411
    "root",	//412
    "rowCount",	//413
    "rowCount#",	//414
    "selectedAgentInstances",	//415
    "self",	//416
    "serialized",	//417
    "setAgentName",	//418
    "setAgentName$",	//419
    "setCachePolicy",	//420
    "setCachePolicy#",	//421
    "setCacheTimeout",	//422
    "setCacheTimeout$",	//423
    "setCaption",	//424
    "setContentMimeTypes",	//425
    "setContentMimeTypes?",	//426
    "setData",	//427
    "setData##$",	//428
    "setHeaderData",	//429
    "setId",	//430
    "setId$",	//431
    "setInheritFromParent",	//432
    "setInheritFromParent$",	//433
    "setIntervalCheckTime",	//434
    "setIntervalCheckTime$",	//435
    "setIsOnline",	//436
    "setIsOnline$",	//437
    "setItemData",	//438
    "setLocalParts",	//439
    "setLocalParts?",	//440
    "setName",	//441
    "setName$",	//442
    "setNeedsNetwork",	//443
    "setNeedsNetwork$",	//444
    "setOnline",	//445
    "setOnline$",	//446
    "setParent",	//447
    "setParent#",	//448
    "setParent$",	//449
    "setParentCollection",	//450
    "setParentCollection#",	//451
    "setParentRemoteId",	//452
    "setParentRemoteId$",	//453
    "setPlainCaption",	//454
    "setRemoteId",	//455
    "setRemoteId$",	//456
    "setRemoteRevision",	//457
    "setRemoteRevision$",	//458
    "setResource",	//459
    "setResource$",	//460
    "setRights",	//461
    "setRights$",	//462
    "setSourceModel",	//463
    "setStatistics",	//464
    "setStatistics#",	//465
    "setSyncOnDemand",	//466
    "setSyncOnDemand$",	//467
    "setVisible",	//468
    "showEvent",	//469
    "sizeHint",	//470
    "slotButtonClicked",	//471
    "sort",	//472
    "span",	//473
    "start",	//474
    "staticMetaObject",	//475
    "statistics",	//476
    "status",	//477
    "status$",	//478
    "status$$",	//479
    "statusMessage",	//480
    "styleChange",	//481
    "submit",	//482
    "supportedDropActions",	//483
    "syncOnDemand",	//484
    "synchronize",	//485
    "synchronizeCollection",	//486
    "synchronizeCollection#",	//487
    "synchronizeCollection#$",	//488
    "synchronizeCollectionTree",	//489
    "tabletEvent",	//490
    "timerEvent",	//491
    "tr",	//492
    "tr$",	//493
    "tr$$",	//494
    "tr$$$",	//495
    "trUtf8",	//496
    "trUtf8$",	//497
    "trUtf8$$",	//498
    "trUtf8$$$",	//499
    "type",	//500
    "type$",	//501
    "typeAdded",	//502
    "typeAdded#",	//503
    "typeRemoved",	//504
    "typeRemoved#",	//505
    "types",	//506
    "url",	//507
    "view",	//508
    "warning",	//509
    "warning$",	//510
    "what",	//511
    "wheelEvent",	//512
    "winIdForDialogs",	//513
    "windowActivationChange",	//514
    "x11Event",	//515
    "~AgentBase",	//516
    "~AgentFilterProxyModel",	//517
    "~AgentInstance",	//518
    "~AgentInstanceCreateJob",	//519
    "~AgentInstanceModel",	//520
    "~AgentInstanceWidget",	//521
    "~AgentManager",	//522
    "~AgentType",	//523
    "~AgentTypeDialog",	//524
    "~AgentTypeModel",	//525
    "~AgentTypeWidget",	//526
    "~Attribute",	//527
    "~AttributeFactory",	//528
    "~CachePolicy",	//529
    "~Collection",	//530
    "~Entity",	//531
    "~Exception",	//532
    "~Observer",	//533
    "~ObserverV2",	//534
    "~PayloadException",	//535
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 492, 3, 2, Smoke::mf_static, 89, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 496, 3, 2, Smoke::mf_static, 89, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 492, 6, 3, Smoke::mf_static, 89, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 496, 6, 3, Smoke::mf_static, 89, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 8},	//8 Akonadi::AgentBase::status() const
    {1, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 389, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 235, 14, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//12 Akonadi::AgentBase::configure(WId)
    {1, 513, 0, 0, Smoke::mf_const, 224, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 303, 0, 0, Smoke::mf_const, 89, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 215, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 395, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 418, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 199, 0, 0, Smoke::mf_const, 89, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 231, 0, 0, Smoke::mf_static, 41, 19},	//19 Akonadi::AgentBase::componentData()
    {1, 200, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 477, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::status(int, const QString&)
    {1, 386, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::percent(int)
    {1, 509, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::warning(const QString&)
    {1, 273, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::error(const QString&)
    {1, 196, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {1, 185, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::abortRequested()
    {1, 398, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::reloadConfiguration()
    {1, 371, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::onlineChanged(bool)
    {1, 233, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//29 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 234, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//30 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 31},	//31 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 186, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 Akonadi::AgentBase::aboutToQuit()
    {1, 213, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 33},	//33 Akonadi::AgentBase::changeRecorder() const
    {1, 232, 0, 0, Smoke::mf_protected, 44, 34},	//34 Akonadi::AgentBase::config()
    {1, 212, 0, 0, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::changeProcessed()
    {1, 332, 0, 0, Smoke::mf_const|Smoke::mf_protected, 173, 36},	//36 Akonadi::AgentBase::isOnline() const
    {1, 443, 27, 1, Smoke::mf_protected, 0, 37},	//37 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 445, 27, 1, Smoke::mf_protected, 0, 38},	//38 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 29, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 39},	//39 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 259, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//40 Akonadi::AgentBase::doSetOnline(bool)
    {1, 492, 1, 1, Smoke::mf_static, 89, 41},	//41 Akonadi::AgentBase::tr(const char*)
    {1, 496, 1, 1, Smoke::mf_static, 89, 42},	//42 Akonadi::AgentBase::trUtf8(const char*)
    {1, 477, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//43 Akonadi::AgentBase::status(int)
    {1, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 44},	//44 Akonadi::AgentBase::staticMetaObject() const
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 45},	//45 Akonadi::AgentBase::Idle (enum)
    {1, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 46},	//46 Akonadi::AgentBase::Running (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 47},	//47 Akonadi::AgentBase::Broken (enum)
    {1, 516, 0, 0, Smoke::mf_dtor, 0, 48 },	//48 Akonadi::AgentBase::~AgentBase()
    {2, 84, 0, 0, Smoke::mf_ctor, 2, 1},	//49 Akonadi::AgentBase::Observer::Observer()
    {2, 335, 32, 2, Smoke::mf_virtual, 0, 2},	//50 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 337, 35, 2, Smoke::mf_virtual, 0, 3},	//51 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 344, 38, 1, Smoke::mf_virtual, 0, 4},	//52 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 220, 40, 2, Smoke::mf_virtual, 0, 5},	//53 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 222, 43, 1, Smoke::mf_virtual, 0, 6},	//54 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 227, 43, 1, Smoke::mf_virtual, 0, 7},	//55 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 84, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//56 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 533, 0, 0, Smoke::mf_dtor, 0, 9 },	//57 Akonadi::AgentBase::Observer::~Observer()
    {3, 222, 43, 1, Smoke::mf_virtual, 0, 1},	//58 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 342, 47, 3, Smoke::mf_virtual, 0, 2},	//59 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 340, 32, 2, Smoke::mf_virtual, 0, 3},	//60 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 346, 32, 2, Smoke::mf_virtual, 0, 4},	//61 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 225, 51, 3, Smoke::mf_virtual, 0, 5},	//62 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 222, 55, 2, Smoke::mf_virtual, 0, 6},	//63 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 86, 0, 0, Smoke::mf_ctor, 3, 7},	//64 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 86, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//65 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 534, 0, 0, Smoke::mf_dtor, 0, 9 },	//66 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//67 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//68 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 492, 3, 2, Smoke::mf_static, 89, 3},	//69 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 496, 3, 2, Smoke::mf_static, 89, 4},	//70 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 492, 6, 3, Smoke::mf_static, 89, 5},	//71 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 496, 6, 3, Smoke::mf_static, 89, 6},	//72 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//73 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 60, 1, Smoke::mf_ctor, 6, 8},	//74 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 194, 18, 1, 0, 0, 9},	//75 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 192, 18, 1, 0, 0, 10},	//76 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 217, 0, 0, 0, 0, 11},	//77 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 278, 18, 1, 0, 0, 12},	//78 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {5, 282, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 173, 13},	//79 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 492, 1, 1, Smoke::mf_static, 89, 14},	//80 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 496, 1, 1, Smoke::mf_static, 89, 15},	//81 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 16},	//82 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 17},	//83 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 517, 0, 0, Smoke::mf_dtor, 0, 18 },	//84 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//85 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//86 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 333, 0, 0, Smoke::mf_const, 173, 3},	//87 Akonadi::AgentInstance::isValid() const
    {6, 500, 0, 0, Smoke::mf_const, 16, 4},	//88 Akonadi::AgentInstance::type() const
    {6, 303, 0, 0, Smoke::mf_const, 89, 5},	//89 Akonadi::AgentInstance::identifier() const
    {6, 370, 0, 0, Smoke::mf_const, 89, 6},	//90 Akonadi::AgentInstance::name() const
    {6, 441, 18, 1, 0, 0, 7},	//91 Akonadi::AgentInstance::setName(const QString&)
    {6, 477, 0, 0, Smoke::mf_const, 10, 8},	//92 Akonadi::AgentInstance::status() const
    {6, 480, 0, 0, Smoke::mf_const, 89, 9},	//93 Akonadi::AgentInstance::statusMessage() const
    {6, 388, 0, 0, Smoke::mf_const, 219, 10},	//94 Akonadi::AgentInstance::progress() const
    {6, 332, 0, 0, Smoke::mf_const, 173, 11},	//95 Akonadi::AgentInstance::isOnline() const
    {6, 436, 27, 1, 0, 0, 12},	//96 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 235, 67, 1, 0, 0, 13},	//97 Akonadi::AgentInstance::configure(QWidget*)
    {6, 485, 0, 0, 0, 0, 14},	//98 Akonadi::AgentInstance::synchronize()
    {6, 489, 0, 0, 0, 0, 15},	//99 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 375, 65, 1, 0, 8, 16},	//100 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 377, 65, 1, Smoke::mf_const, 173, 17},	//101 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 184, 0, 0, Smoke::mf_const, 0, 18},	//102 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 394, 0, 0, Smoke::mf_const, 0, 19},	//103 Akonadi::AgentInstance::reconfigure() const
    {6, 409, 0, 0, Smoke::mf_const, 0, 20},	//104 Akonadi::AgentInstance::restart() const
    {6, 235, 0, 0, 0, 0, 21},	//105 Akonadi::AgentInstance::configure()
    {6, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//106 Akonadi::AgentInstance::Idle (enum)
    {6, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//107 Akonadi::AgentInstance::Running (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//108 Akonadi::AgentInstance::Broken (enum)
    {6, 518, 0, 0, Smoke::mf_dtor, 0, 25 },	//109 Akonadi::AgentInstance::~AgentInstance()
    {7, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//110 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//111 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 492, 3, 2, Smoke::mf_static, 89, 3},	//112 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 496, 3, 2, Smoke::mf_static, 89, 4},	//113 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 492, 6, 3, Smoke::mf_static, 89, 5},	//114 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 496, 6, 3, Smoke::mf_static, 89, 6},	//115 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//116 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 69, 2, Smoke::mf_ctor, 11, 8},	//117 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 10, 72, 2, Smoke::mf_ctor, 11, 9},	//118 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {7, 235, 67, 1, 0, 0, 10},	//119 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 312, 0, 0, Smoke::mf_const, 7, 11},	//120 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 474, 0, 0, Smoke::mf_virtual, 0, 12},	//121 Akonadi::AgentInstanceCreateJob::start()
    {7, 492, 1, 1, Smoke::mf_static, 89, 13},	//122 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 496, 1, 1, Smoke::mf_static, 89, 14},	//123 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 75, 1, Smoke::mf_ctor, 11, 15},	//124 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 10, 18, 1, Smoke::mf_ctor, 11, 16},	//125 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {7, 235, 0, 0, 0, 0, 17},	//126 Akonadi::AgentInstanceCreateJob::configure()
    {7, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 18},	//127 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 519, 0, 0, Smoke::mf_dtor, 0, 19 },	//128 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//129 Akonadi::AgentInstanceModel::metaObject() const
    {8, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//130 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 492, 3, 2, Smoke::mf_static, 89, 3},	//131 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 496, 3, 2, Smoke::mf_static, 89, 4},	//132 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 492, 6, 3, Smoke::mf_static, 89, 5},	//133 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 496, 6, 3, Smoke::mf_static, 89, 6},	//134 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//135 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 15, 60, 1, Smoke::mf_ctor, 12, 8},	//136 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 229, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//137 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 413, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//138 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 249, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 11},	//139 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 295, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 12},	//140 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 304, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 13},	//141 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 382, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 14},	//142 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 284, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 15},	//143 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 427, 90, 3, Smoke::mf_virtual, 173, 16},	//144 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 492, 1, 1, Smoke::mf_static, 89, 17},	//145 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 496, 1, 1, Smoke::mf_static, 89, 18},	//146 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 15, 0, 0, Smoke::mf_ctor, 12, 19},	//147 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 229, 0, 0, Smoke::mf_const, 219, 20},	//148 Akonadi::AgentInstanceModel::columnCount() const
    {8, 413, 0, 0, Smoke::mf_const, 219, 21},	//149 Akonadi::AgentInstanceModel::rowCount() const
    {8, 249, 77, 1, Smoke::mf_const, 95, 22},	//150 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 295, 94, 2, Smoke::mf_const, 95, 23},	//151 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 304, 97, 2, Smoke::mf_const, 78, 24},	//152 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 25},	//153 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//154 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//155 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//156 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//157 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//158 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//159 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//160 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//161 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//162 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//163 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//164 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//165 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 520, 0, 0, Smoke::mf_dtor, 0, 38 },	//166 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//167 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//168 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 492, 3, 2, Smoke::mf_static, 89, 3},	//169 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 496, 3, 2, Smoke::mf_static, 89, 4},	//170 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 492, 6, 3, Smoke::mf_static, 89, 5},	//171 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 496, 6, 3, Smoke::mf_static, 89, 6},	//172 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//173 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 17, 67, 1, Smoke::mf_ctor, 14, 8},	//174 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 243, 0, 0, Smoke::mf_const, 7, 9},	//175 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 415, 0, 0, Smoke::mf_const, 71, 10},	//176 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {9, 198, 0, 0, Smoke::mf_const, 6, 11},	//177 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 508, 0, 0, Smoke::mf_const, 48, 12},	//178 Akonadi::AgentInstanceWidget::view() const
    {9, 245, 100, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//179 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 264, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//180 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 492, 1, 1, Smoke::mf_static, 89, 15},	//181 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 496, 1, 1, Smoke::mf_static, 89, 16},	//182 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 17, 0, 0, Smoke::mf_ctor, 14, 17},	//183 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 18},	//184 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 521, 0, 0, Smoke::mf_dtor, 0, 19 },	//185 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 359, 0, 0, Smoke::mf_const, 202, 1},	//186 Akonadi::AgentManager::metaObject() const
    {10, 392, 1, 1, 0, 225, 2},	//187 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 492, 3, 2, Smoke::mf_static, 89, 3},	//188 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 496, 3, 2, Smoke::mf_static, 89, 4},	//189 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 492, 6, 3, Smoke::mf_static, 89, 5},	//190 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 496, 6, 3, Smoke::mf_static, 89, 6},	//191 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 390, 10, 3, 0, 219, 7},	//192 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 416, 0, 0, Smoke::mf_static, 15, 8},	//193 Akonadi::AgentManager::self()
    {10, 506, 0, 0, Smoke::mf_const, 72, 9},	//194 Akonadi::AgentManager::types() const
    {10, 500, 18, 1, Smoke::mf_const, 16, 10},	//195 Akonadi::AgentManager::type(const QString&) const
    {10, 330, 0, 0, Smoke::mf_const, 71, 11},	//196 Akonadi::AgentManager::instances() const
    {10, 312, 18, 1, Smoke::mf_const, 7, 12},	//197 Akonadi::AgentManager::instance(const QString&) const
    {10, 404, 65, 1, 0, 0, 13},	//198 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 486, 43, 1, 0, 0, 14},	//199 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 486, 103, 2, 0, 0, 15},	//200 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {10, 502, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//201 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 504, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//202 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 314, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//203 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 324, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//204 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 326, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//205 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 322, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//206 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 318, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//207 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 316, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//208 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 328, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//209 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 320, 109, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//210 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 492, 1, 1, Smoke::mf_static, 89, 26},	//211 Akonadi::AgentManager::tr(const char*)
    {10, 496, 1, 1, Smoke::mf_static, 89, 27},	//212 Akonadi::AgentManager::trUtf8(const char*)
    {10, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 28},	//213 Akonadi::AgentManager::staticMetaObject() const
    {10, 522, 0, 0, Smoke::mf_dtor, 0, 29 },	//214 Akonadi::AgentManager::~AgentManager()
    {11, 19, 0, 0, Smoke::mf_ctor, 18, 1},	//215 Akonadi::AgentType::AgentType()
    {11, 19, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//216 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 333, 0, 0, Smoke::mf_const, 173, 3},	//217 Akonadi::AgentType::isValid() const
    {11, 303, 0, 0, Smoke::mf_const, 89, 4},	//218 Akonadi::AgentType::identifier() const
    {11, 370, 0, 0, Smoke::mf_const, 89, 5},	//219 Akonadi::AgentType::name() const
    {11, 252, 0, 0, Smoke::mf_const, 89, 6},	//220 Akonadi::AgentType::description() const
    {11, 301, 0, 0, Smoke::mf_const, 89, 7},	//221 Akonadi::AgentType::iconName() const
    {11, 300, 0, 0, Smoke::mf_const, 67, 8},	//222 Akonadi::AgentType::icon() const
    {11, 363, 0, 0, Smoke::mf_const, 90, 9},	//223 Akonadi::AgentType::mimeTypes() const
    {11, 210, 0, 0, Smoke::mf_const, 90, 10},	//224 Akonadi::AgentType::capabilities() const
    {11, 375, 75, 1, 0, 17, 11},	//225 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 377, 75, 1, Smoke::mf_const, 173, 12},	//226 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 523, 0, 0, Smoke::mf_dtor, 0, 13 },	//227 Akonadi::AgentType::~AgentType()
    {12, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//228 Akonadi::AgentTypeDialog::metaObject() const
    {12, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//229 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 492, 3, 2, Smoke::mf_static, 89, 3},	//230 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 496, 3, 2, Smoke::mf_static, 89, 4},	//231 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 492, 6, 3, Smoke::mf_static, 89, 5},	//232 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 496, 6, 3, Smoke::mf_static, 89, 6},	//233 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//234 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 21, 67, 1, Smoke::mf_ctor, 19, 8},	//235 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 202, 0, 0, Smoke::mf_const, 16, 9},	//236 Akonadi::AgentTypeDialog::agentType() const
    {12, 198, 0, 0, Smoke::mf_const, 6, 10},	//237 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 262, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//238 Akonadi::AgentTypeDialog::done(int)
    {12, 492, 1, 1, Smoke::mf_static, 89, 12},	//239 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 496, 1, 1, Smoke::mf_static, 89, 13},	//240 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 21, 0, 0, Smoke::mf_ctor, 19, 14},	//241 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 15},	//242 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 524, 0, 0, Smoke::mf_dtor, 0, 16 },	//243 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//244 Akonadi::AgentTypeModel::metaObject() const
    {13, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//245 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 492, 3, 2, Smoke::mf_static, 89, 3},	//246 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 496, 3, 2, Smoke::mf_static, 89, 4},	//247 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 492, 6, 3, Smoke::mf_static, 89, 5},	//248 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 496, 6, 3, Smoke::mf_static, 89, 6},	//249 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//250 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 23, 60, 1, Smoke::mf_ctor, 20, 8},	//251 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 229, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//252 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 413, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//253 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 249, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 11},	//254 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 304, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 12},	//255 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 382, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 13},	//256 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 284, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 14},	//257 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 492, 1, 1, Smoke::mf_static, 89, 15},	//258 Akonadi::AgentTypeModel::tr(const char*)
    {13, 496, 1, 1, Smoke::mf_static, 89, 16},	//259 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 23, 0, 0, Smoke::mf_ctor, 20, 17},	//260 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 229, 0, 0, Smoke::mf_const, 219, 18},	//261 Akonadi::AgentTypeModel::columnCount() const
    {13, 413, 0, 0, Smoke::mf_const, 219, 19},	//262 Akonadi::AgentTypeModel::rowCount() const
    {13, 249, 77, 1, Smoke::mf_const, 95, 20},	//263 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 304, 97, 2, Smoke::mf_const, 78, 21},	//264 Akonadi::AgentTypeModel::index(int, int) const
    {13, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 22},	//265 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//266 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//267 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//268 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//269 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//270 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//271 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 525, 0, 0, Smoke::mf_dtor, 0, 29 },	//272 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//273 Akonadi::AgentTypeWidget::metaObject() const
    {14, 392, 1, 1, Smoke::mf_virtual, 225, 2},	//274 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 492, 3, 2, Smoke::mf_static, 89, 3},	//275 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 496, 3, 2, Smoke::mf_static, 89, 4},	//276 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 492, 6, 3, Smoke::mf_static, 89, 5},	//277 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 496, 6, 3, Smoke::mf_static, 89, 6},	//278 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 390, 10, 3, Smoke::mf_virtual, 219, 7},	//279 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 25, 67, 1, Smoke::mf_ctor, 22, 8},	//280 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 244, 0, 0, Smoke::mf_const, 16, 9},	//281 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 198, 0, 0, Smoke::mf_const, 6, 10},	//282 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 245, 112, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//283 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 189, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//284 Akonadi::AgentTypeWidget::activated()
    {14, 492, 1, 1, Smoke::mf_static, 89, 13},	//285 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 496, 1, 1, Smoke::mf_static, 89, 14},	//286 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 25, 0, 0, Smoke::mf_ctor, 22, 15},	//287 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 475, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 16},	//288 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 526, 0, 0, Smoke::mf_dtor, 0, 17 },	//289 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//290 Akonadi::Attribute::type() const [pure virtual]
    {15, 218, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//291 Akonadi::Attribute::clone() const [pure virtual]
    {15, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//292 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 253, 115, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//293 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 30, 0, 0, Smoke::mf_ctor, 23, 5},	//294 Akonadi::Attribute::Attribute()
    {15, 30, 117, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//295 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 527, 0, 0, Smoke::mf_dtor, 0, 7 },	//296 Akonadi::Attribute::~Attribute()
    {16, 241, 115, 1, Smoke::mf_static, 23, 1},	//297 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//298 Akonadi::AttributeFactory::AttributeFactory()
    {16, 32, 119, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//299 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 528, 0, 0, Smoke::mf_dtor, 0, 4 },	//300 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 36, 0, 0, Smoke::mf_ctor, 27, 1},	//301 Akonadi::CachePolicy::CachePolicy()
    {17, 36, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//302 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 307, 0, 0, Smoke::mf_const, 173, 3},	//303 Akonadi::CachePolicy::inheritFromParent() const
    {17, 432, 27, 1, 0, 0, 4},	//304 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 353, 0, 0, Smoke::mf_const, 90, 5},	//305 Akonadi::CachePolicy::localParts() const
    {17, 439, 123, 1, 0, 0, 6},	//306 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 208, 0, 0, Smoke::mf_const, 219, 7},	//307 Akonadi::CachePolicy::cacheTimeout() const
    {17, 422, 23, 1, 0, 0, 8},	//308 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 331, 0, 0, Smoke::mf_const, 219, 9},	//309 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 434, 23, 1, 0, 0, 10},	//310 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 484, 0, 0, Smoke::mf_const, 173, 11},	//311 Akonadi::CachePolicy::syncOnDemand() const
    {17, 466, 27, 1, 0, 0, 12},	//312 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 375, 121, 1, 0, 26, 13},	//313 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 377, 121, 1, Smoke::mf_const, 173, 14},	//314 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 529, 0, 0, Smoke::mf_dtor, 0, 15 },	//315 Akonadi::CachePolicy::~CachePolicy()
    {19, 49, 0, 0, Smoke::mf_ctor, 31, 1},	//316 Akonadi::Collection::Collection()
    {19, 49, 125, 1, Smoke::mf_ctor, 31, 2},	//317 Akonadi::Collection::Collection(long long)
    {19, 49, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//318 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 290, 127, 1, Smoke::mf_static, 29, 4},	//319 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 370, 0, 0, Smoke::mf_const, 89, 5},	//320 Akonadi::Collection::name() const
    {19, 441, 18, 1, 0, 0, 6},	//321 Akonadi::Collection::setName(const QString&)
    {19, 411, 0, 0, Smoke::mf_const, 61, 7},	//322 Akonadi::Collection::rights() const
    {19, 461, 129, 1, 0, 0, 8},	//323 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {19, 239, 0, 0, Smoke::mf_const, 90, 9},	//324 Akonadi::Collection::contentMimeTypes() const
    {19, 425, 123, 1, 0, 0, 10},	//325 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 382, 0, 0, Smoke::mf_const, 221, 11},	//326 Akonadi::Collection::parent() const
    {19, 447, 125, 1, 0, 0, 12},	//327 Akonadi::Collection::setParent(long long)
    {19, 447, 43, 1, 0, 0, 13},	//328 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 385, 0, 0, Smoke::mf_const, 89, 14},	//329 Akonadi::Collection::parentRemoteId() const
    {19, 452, 18, 1, 0, 0, 15},	//330 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 412, 0, 0, Smoke::mf_static, 29, 16},	//331 Akonadi::Collection::root()
    {19, 362, 0, 0, Smoke::mf_static, 89, 17},	//332 Akonadi::Collection::mimeType()
    {19, 408, 0, 0, Smoke::mf_const, 89, 18},	//333 Akonadi::Collection::resource() const
    {19, 459, 18, 1, 0, 0, 19},	//334 Akonadi::Collection::setResource(const QString&)
    {19, 207, 0, 0, Smoke::mf_const, 25, 20},	//335 Akonadi::Collection::cachePolicy() const
    {19, 420, 121, 1, 0, 0, 21},	//336 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 476, 0, 0, Smoke::mf_const, 33, 22},	//337 Akonadi::Collection::statistics() const
    {19, 464, 131, 1, 0, 0, 23},	//338 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 507, 0, 0, Smoke::mf_const, 46, 24},	//339 Akonadi::Collection::url() const
    {19, 334, 0, 0, Smoke::mf_const, 173, 25},	//340 Akonadi::Collection::isVirtual() const
    {19, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//341 Akonadi::Collection::ReadOnly (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//342 Akonadi::Collection::CanChangeItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//343 Akonadi::Collection::CanCreateItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//344 Akonadi::Collection::CanDeleteItem (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//345 Akonadi::Collection::CanChangeCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//346 Akonadi::Collection::CanCreateCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//347 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//348 Akonadi::Collection::CanLinkItem (enum)
    {19, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//349 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//350 Akonadi::Collection::AllRights (enum)
    {19, 530, 0, 0, Smoke::mf_dtor, 0, 36 },	//351 Akonadi::Collection::~Collection()
    {21, 430, 125, 1, 0, 0, 1},	//352 Akonadi::Entity::setId(long long)
    {21, 302, 0, 0, Smoke::mf_const, 221, 2},	//353 Akonadi::Entity::id() const
    {21, 455, 18, 1, 0, 0, 3},	//354 Akonadi::Entity::setRemoteId(const QString&)
    {21, 399, 0, 0, Smoke::mf_const, 89, 4},	//355 Akonadi::Entity::remoteId() const
    {21, 457, 18, 1, 0, 0, 5},	//356 Akonadi::Entity::setRemoteRevision(const QString&)
    {21, 400, 0, 0, Smoke::mf_const, 89, 6},	//357 Akonadi::Entity::remoteRevision() const
    {21, 333, 0, 0, Smoke::mf_const, 173, 7},	//358 Akonadi::Entity::isValid() const
    {21, 377, 133, 1, Smoke::mf_const, 173, 8},	//359 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 373, 133, 1, Smoke::mf_const, 173, 9},	//360 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 375, 133, 1, 0, 34, 10},	//361 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 384, 0, 0, Smoke::mf_const, 29, 11},	//362 Akonadi::Entity::parentCollection() const
    {21, 384, 0, 0, 0, 30, 12},	//363 Akonadi::Entity::parentCollection()
    {21, 450, 43, 1, 0, 0, 13},	//364 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 190, 135, 1, 0, 0, 14},	//365 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 401, 115, 1, 0, 0, 15},	//366 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 292, 115, 1, Smoke::mf_const, 173, 16},	//367 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 205, 0, 0, Smoke::mf_const, 73, 17},	//368 Akonadi::Entity::attributes() const
    {21, 216, 0, 0, 0, 0, 18},	//369 Akonadi::Entity::clearAttributes()
    {21, 203, 115, 1, Smoke::mf_const, 23, 19},	//370 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 60, 133, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 35, 20},	//371 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 60, 137, 1, Smoke::mf_ctor|Smoke::mf_protected, 35, 21},	//372 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 248, 0, 0, Smoke::mf_protected, 37, 22},	//373 Akonadi::Entity::d_func()
    {21, 248, 0, 0, Smoke::mf_const|Smoke::mf_protected, 189, 23},	//374 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 24},	//375 Akonadi::Entity::AddIfMissing (enum)
    {21, 531, 0, 0, Smoke::mf_dtor, 0, 25 },	//376 Akonadi::Entity::~Entity()
    {23, 62, 1, 1, Smoke::mf_ctor, 38, 1},	//377 Akonadi::Exception::Exception(const char*)
    {23, 62, 115, 1, Smoke::mf_ctor, 38, 2},	//378 Akonadi::Exception::Exception(const QByteArray&)
    {23, 62, 18, 1, Smoke::mf_ctor, 38, 3},	//379 Akonadi::Exception::Exception(const QString&)
    {23, 62, 139, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 4},	//380 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 511, 0, 0, Smoke::mf_const, 216, 5},	//381 Akonadi::Exception::what() const
    {23, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//382 Akonadi::Exception::type() const
    {23, 532, 0, 0, Smoke::mf_dtor, 0, 7 },	//383 Akonadi::Exception::~Exception()
    {25, 90, 1, 1, Smoke::mf_ctor, 39, 1},	//384 Akonadi::PayloadException::PayloadException(const char*)
    {25, 90, 115, 1, Smoke::mf_ctor, 39, 2},	//385 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 90, 18, 1, Smoke::mf_ctor, 39, 3},	//386 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//387 Akonadi::PayloadException::type() const
    {25, 90, 141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 5},	//388 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 535, 0, 0, Smoke::mf_dtor, 0, 6 },	//389 Akonadi::PayloadException::~PayloadException()
    {28, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//390 KDialog::sizeHint() const
    {28, 364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//391 KDialog::minimumSizeHint() const
    {28, 424, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//392 KDialog::setCaption(const QString&)
    {28, 424, 143, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//393 KDialog::setCaption(const QString&, bool)
    {28, 454, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//394 KDialog::setPlainCaption(const QString&)
    {28, 299, 146, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//395 KDialog::hideEvent(QHideEvent*)
    {28, 219, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//396 KDialog::closeEvent(QCloseEvent*)
    {28, 348, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//397 KDialog::keyPressEvent(QKeyEvent*)
    {28, 471, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//398 KDialog::slotButtonClicked(int)
    {29, 257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//399 KJob::doKill()
    {29, 261, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//400 KJob::doSuspend()
    {29, 258, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//401 KJob::doResume()
    {29, 275, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//402 KJob::errorString() const
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 5},	//403 KJob::NoError (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 6},	//404 KJob::KilledJobError (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 7},	//405 KJob::UserDefinedError (enum)
    {33, 294, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//406 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 427, 90, 3, Smoke::mf_virtual, 173, 0},	//407 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 295, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//408 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 429, 152, 4, Smoke::mf_virtual, 173, 0},	//409 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 339, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//410 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 438, 157, 2, Smoke::mf_virtual, 173, 0},	//411 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 363, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//412 QAbstractItemModel::mimeTypes() const
    {33, 361, 160, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//413 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 270, 162, 5, Smoke::mf_virtual, 173, 0},	//414 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 483, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//415 QAbstractItemModel::supportedDropActions() const
    {33, 311, 86, 3, Smoke::mf_virtual, 173, 0},	//416 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 310, 86, 3, Smoke::mf_virtual, 173, 0},	//417 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 406, 86, 3, Smoke::mf_virtual, 173, 0},	//418 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 403, 86, 3, Smoke::mf_virtual, 173, 0},	//419 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 280, 77, 1, Smoke::mf_virtual, 0, 0},	//420 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 209, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//421 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 472, 168, 2, Smoke::mf_virtual, 0, 0},	//422 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 206, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//423 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 358, 171, 5, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//424 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {33, 473, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//425 QAbstractItemModel::span(const QModelIndex&) const
    {33, 482, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 173, 0},	//426 QAbstractItemModel::submit()
    {33, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//427 QAbstractItemModel::revert()
    {35, 482, 0, 0, Smoke::mf_virtual, 173, 0},	//428 QAbstractProxyModel::submit()
    {35, 410, 0, 0, Smoke::mf_virtual, 0, 0},	//429 QAbstractProxyModel::revert()
    {35, 339, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//430 QAbstractProxyModel::itemData(const QModelIndex&) const
    {43, 468, 27, 1, Smoke::mf_virtual, 0, 0},	//431 QDialog::setVisible(bool)
    {43, 187, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//432 QDialog::accept()
    {43, 397, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//433 QDialog::reject()
    {43, 469, 177, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//434 QDialog::showEvent(QShowEvent*)
    {43, 407, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//435 QDialog::resizeEvent(QResizeEvent*)
    {43, 240, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//436 QDialog::contextMenuEvent(QContextMenuEvent*)
    {43, 277, 183, 2, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//437 QDialog::eventFilter(QObject*, QEvent*)
    {51, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 1},	//438 QGlobalSpace::_CS_PATH (enum)
    {51, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 2},	//439 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {51, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 3},	//440 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {51, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 4},	//441 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 5},	//442 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {51, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 6},	//443 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {51, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 7},	//444 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 8},	//445 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {51, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 9},	//446 QGlobalSpace::_CS_LFS_LIBS (enum)
    {51, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 10},	//447 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {51, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 11},	//448 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {51, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 12},	//449 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {51, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 13},	//450 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {51, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 14},	//451 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {51, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 15},	//452 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 16},	//453 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 17},	//454 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 18},	//455 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {51, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 19},	//456 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {51, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 20},	//457 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 21},	//458 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {51, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 22},	//459 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//460 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//461 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//462 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//463 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//464 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//465 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//466 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//467 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//468 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {51, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//469 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {51, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//470 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {51, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//471 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {51, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//472 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {51, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//473 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//474 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {51, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//475 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//476 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {51, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//477 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//478 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//479 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {51, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//480 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//481 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//482 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {51, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//483 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//484 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//485 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {51, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//486 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {51, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//487 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {51, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//488 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//489 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//490 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//491 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//492 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {51, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//493 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//494 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {51, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//495 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//496 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//497 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//498 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {51, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//499 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//500 QGlobalSpace::_CS_V6_ENV (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//501 QGlobalSpace::_CS_V7_ENV (enum)
    {51, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 65},	//502 QGlobalSpace::QtDebugMsg (enum)
    {51, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 66},	//503 QGlobalSpace::QtWarningMsg (enum)
    {51, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 67},	//504 QGlobalSpace::QtCriticalMsg (enum)
    {51, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 68},	//505 QGlobalSpace::QtFatalMsg (enum)
    {51, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 69},	//506 QGlobalSpace::QtSystemMsg (enum)
    {51, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 70},	//507 QGlobalSpace::__codecvt_ok (enum)
    {51, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 71},	//508 QGlobalSpace::__codecvt_partial (enum)
    {51, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 72},	//509 QGlobalSpace::__codecvt_error (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 73},	//510 QGlobalSpace::__codecvt_noconv (enum)
    {62, 276, 186, 1, Smoke::mf_virtual, 173, 0},	//511 QObject::event(QEvent*)
    {62, 277, 183, 2, Smoke::mf_virtual, 173, 0},	//512 QObject::eventFilter(QObject*, QEvent*)
    {62, 491, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//513 QObject::timerEvent(QTimerEvent*)
    {62, 214, 190, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//514 QObject::childEvent(QChildEvent*)
    {62, 247, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//515 QObject::customEvent(QEvent*)
    {62, 238, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//516 QObject::connectNotify(const char*)
    {62, 256, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//517 QObject::disconnectNotify(const char*)
    {70, 463, 192, 1, Smoke::mf_virtual, 0, 0},	//518 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {70, 357, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//519 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {70, 354, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//520 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {70, 356, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//521 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {70, 355, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//522 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {70, 281, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//523 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {70, 352, 196, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//524 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {70, 304, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//525 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {70, 382, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//526 QSortFilterProxyModel::parent(const QModelIndex&) const
    {70, 413, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 0},	//527 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {70, 229, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 0},	//528 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {70, 294, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//529 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {70, 249, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//530 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {70, 427, 90, 3, Smoke::mf_virtual, 173, 0},	//531 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 295, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//532 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {70, 429, 152, 4, Smoke::mf_virtual, 173, 0},	//533 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {70, 361, 160, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//534 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {70, 270, 162, 5, Smoke::mf_virtual, 173, 0},	//535 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {70, 311, 86, 3, Smoke::mf_virtual, 173, 0},	//536 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {70, 310, 86, 3, Smoke::mf_virtual, 173, 0},	//537 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {70, 406, 86, 3, Smoke::mf_virtual, 173, 0},	//538 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {70, 403, 86, 3, Smoke::mf_virtual, 173, 0},	//539 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {70, 280, 77, 1, Smoke::mf_virtual, 0, 0},	//540 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {70, 209, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//541 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {70, 284, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//542 QSortFilterProxyModel::flags(const QModelIndex&) const
    {70, 206, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//543 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {70, 358, 171, 5, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//544 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {70, 473, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//545 QSortFilterProxyModel::span(const QModelIndex&) const
    {70, 472, 168, 2, Smoke::mf_virtual, 0, 0},	//546 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {70, 363, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//547 QSortFilterProxyModel::mimeTypes() const
    {70, 483, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//548 QSortFilterProxyModel::supportedDropActions() const
    {76, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 0},	//549 QWidget::devType() const
    {76, 468, 27, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//550 QWidget::setVisible(bool)
    {76, 470, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 88, 0},	//551 QWidget::sizeHint() const
    {76, 364, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 88, 0},	//552 QWidget::minimumSizeHint() const
    {76, 298, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 0},	//553 QWidget::heightForWidth(int) const
    {76, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//554 QWidget::paintEngine() const
    {76, 276, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//555 QWidget::event(QEvent*)
    {76, 367, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//556 QWidget::mousePressEvent(QMouseEvent*)
    {76, 368, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//557 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 365, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//558 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 366, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//559 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 512, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//560 QWidget::wheelEvent(QWheelEvent*)
    {76, 348, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//561 QWidget::keyPressEvent(QKeyEvent*)
    {76, 349, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//562 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 286, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//563 QWidget::focusInEvent(QFocusEvent*)
    {76, 288, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//564 QWidget::focusOutEvent(QFocusEvent*)
    {76, 272, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QWidget::enterEvent(QEvent*)
    {76, 351, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QWidget::leaveEvent(QEvent*)
    {76, 380, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QWidget::paintEvent(QPaintEvent*)
    {76, 369, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//568 QWidget::moveEvent(QMoveEvent*)
    {76, 407, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//569 QWidget::resizeEvent(QResizeEvent*)
    {76, 219, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//570 QWidget::closeEvent(QCloseEvent*)
    {76, 240, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//571 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 490, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//572 QWidget::tabletEvent(QTabletEvent*)
    {76, 188, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//573 QWidget::actionEvent(QActionEvent*)
    {76, 266, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//574 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 268, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 267, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 269, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::dropEvent(QDropEvent*)
    {76, 469, 177, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::showEvent(QShowEvent*)
    {76, 299, 146, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::hideEvent(QHideEvent*)
    {76, 515, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//580 QWidget::x11Event(_XEvent*)
    {76, 211, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::changeEvent(QEvent*)
    {76, 360, 223, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//582 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 308, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 309, 227, 1, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//584 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 287, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 173, 0},	//585 QWidget::focusNextPrevChild(bool)
    {76, 481, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::styleChange(QStyle&)
    {76, 271, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::enabledChange(bool)
    {76, 381, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::paletteChange(const QPalette&)
    {76, 289, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::fontChange(const QFont&)
    {76, 514, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::windowActivationChange(bool)
    {76, 350, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    378,  // Akonadi::Exception::Exception(const QByteArray&)
    380,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    377,  // Akonadi::Exception::Exception(const char*)
    379,  // Akonadi::Exception::Exception(const QString&)
    0,
    371,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    372,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    373,  // Akonadi::Entity::d_func()
    374,  // Akonadi::Entity::d_func() const
    0,
    362,  // Akonadi::Entity::parentCollection() const
    363,  // Akonadi::Entity::parentCollection()
    0,
    385,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    388,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    384,  // Akonadi::PayloadException::PayloadException(const char*)
    386,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 39},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 31},	// Akonadi::AgentBase::AgentBase$
    {1, 34, 47},	// Akonadi::AgentBase::Broken
    {1, 69, 45},	// Akonadi::AgentBase::Idle
    {1, 103, 46},	// Akonadi::AgentBase::Running
    {1, 185, 26},	// Akonadi::AgentBase::abortRequested
    {1, 186, 32},	// Akonadi::AgentBase::aboutToQuit
    {1, 197, 25},	// Akonadi::AgentBase::advancedStatus?
    {1, 199, 18},	// Akonadi::AgentBase::agentName
    {1, 201, 20},	// Akonadi::AgentBase::agentNameChanged$
    {1, 212, 35},	// Akonadi::AgentBase::changeProcessed
    {1, 213, 33},	// Akonadi::AgentBase::changeRecorder
    {1, 215, 15},	// Akonadi::AgentBase::cleanup
    {1, 231, 19},	// Akonadi::AgentBase::componentData
    {1, 232, 34},	// Akonadi::AgentBase::config
    {1, 233, 29},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 234, 30},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 237, 12},	// Akonadi::AgentBase::configure$
    {1, 260, 40},	// Akonadi::AgentBase::doSetOnline$
    {1, 274, 24},	// Akonadi::AgentBase::error$
    {1, 303, 14},	// Akonadi::AgentBase::identifier
    {1, 332, 36},	// Akonadi::AgentBase::isOnline
    {1, 359, 1},	// Akonadi::AgentBase::metaObject
    {1, 372, 28},	// Akonadi::AgentBase::onlineChanged$
    {1, 387, 22},	// Akonadi::AgentBase::percent$
    {1, 388, 10},	// Akonadi::AgentBase::progress
    {1, 389, 11},	// Akonadi::AgentBase::progressMessage
    {1, 391, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 393, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 396, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 398, 27},	// Akonadi::AgentBase::reloadConfiguration
    {1, 419, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 444, 37},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 446, 38},	// Akonadi::AgentBase::setOnline$
    {1, 475, 44},	// Akonadi::AgentBase::staticMetaObject
    {1, 477, 8},	// Akonadi::AgentBase::status
    {1, 478, 43},	// Akonadi::AgentBase::status$
    {1, 479, 21},	// Akonadi::AgentBase::status$$
    {1, 480, 9},	// Akonadi::AgentBase::statusMessage
    {1, 493, 41},	// Akonadi::AgentBase::tr$
    {1, 494, 3},	// Akonadi::AgentBase::tr$$
    {1, 495, 5},	// Akonadi::AgentBase::tr$$$
    {1, 497, 42},	// Akonadi::AgentBase::trUtf8$
    {1, 498, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 499, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 510, 23},	// Akonadi::AgentBase::warning$
    {1, 513, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 516, 48},	// Akonadi::AgentBase::~AgentBase
    {2, 84, 49},	// Akonadi::AgentBase::Observer::Observer
    {2, 85, 56},	// Akonadi::AgentBase::Observer::Observer#
    {2, 221, 53},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 223, 54},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 228, 55},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 336, 50},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 338, 51},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 345, 52},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 533, 57},	// Akonadi::AgentBase::Observer::~Observer
    {3, 86, 64},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 87, 65},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 223, 58},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 224, 63},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 226, 62},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 341, 60},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 343, 59},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 347, 61},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 534, 66},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 82},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 74},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 193, 76},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 195, 75},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 217, 77},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 279, 78},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {5, 283, 79},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 359, 67},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 391, 73},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 393, 68},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 475, 83},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 493, 80},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 494, 69},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 495, 71},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 497, 81},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 498, 70},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 499, 72},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 517, 84},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 85},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 86},	// Akonadi::AgentInstance::AgentInstance#
    {6, 34, 108},	// Akonadi::AgentInstance::Broken
    {6, 69, 106},	// Akonadi::AgentInstance::Idle
    {6, 103, 107},	// Akonadi::AgentInstance::Running
    {6, 184, 102},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 235, 105},	// Akonadi::AgentInstance::configure
    {6, 236, 97},	// Akonadi::AgentInstance::configure#
    {6, 303, 89},	// Akonadi::AgentInstance::identifier
    {6, 332, 95},	// Akonadi::AgentInstance::isOnline
    {6, 333, 87},	// Akonadi::AgentInstance::isValid
    {6, 370, 90},	// Akonadi::AgentInstance::name
    {6, 376, 100},	// Akonadi::AgentInstance::operator=#
    {6, 378, 101},	// Akonadi::AgentInstance::operator==#
    {6, 388, 94},	// Akonadi::AgentInstance::progress
    {6, 394, 103},	// Akonadi::AgentInstance::reconfigure
    {6, 409, 104},	// Akonadi::AgentInstance::restart
    {6, 437, 96},	// Akonadi::AgentInstance::setIsOnline$
    {6, 442, 91},	// Akonadi::AgentInstance::setName$
    {6, 477, 92},	// Akonadi::AgentInstance::status
    {6, 480, 93},	// Akonadi::AgentInstance::statusMessage
    {6, 485, 98},	// Akonadi::AgentInstance::synchronize
    {6, 489, 99},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 500, 88},	// Akonadi::AgentInstance::type
    {6, 518, 109},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 124},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 117},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 13, 125},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {7, 14, 118},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {7, 235, 126},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 236, 119},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 312, 120},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 359, 110},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 391, 116},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 393, 111},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 474, 121},	// Akonadi::AgentInstanceCreateJob::start
    {7, 475, 127},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 493, 122},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 494, 112},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 495, 114},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 497, 123},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 498, 113},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 499, 115},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 519, 128},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 15, 147},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 16, 136},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 47, 158},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 54, 156},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 71, 160},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 72, 159},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 76, 157},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 89, 164},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 93, 163},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 104, 162},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 105, 161},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 108, 155},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 109, 154},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 114, 165},	// Akonadi::AgentInstanceModel::UserRole
    {8, 229, 148},	// Akonadi::AgentInstanceModel::columnCount
    {8, 230, 137},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 250, 150},	// Akonadi::AgentInstanceModel::data#
    {8, 251, 139},	// Akonadi::AgentInstanceModel::data#$
    {8, 285, 143},	// Akonadi::AgentInstanceModel::flags#
    {8, 296, 151},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 297, 140},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 305, 152},	// Akonadi::AgentInstanceModel::index$$
    {8, 306, 141},	// Akonadi::AgentInstanceModel::index$$#
    {8, 359, 129},	// Akonadi::AgentInstanceModel::metaObject
    {8, 383, 142},	// Akonadi::AgentInstanceModel::parent#
    {8, 391, 135},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 393, 130},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 413, 149},	// Akonadi::AgentInstanceModel::rowCount
    {8, 414, 138},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 428, 144},	// Akonadi::AgentInstanceModel::setData##$
    {8, 475, 153},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 493, 145},	// Akonadi::AgentInstanceModel::tr$
    {8, 494, 131},	// Akonadi::AgentInstanceModel::tr$$
    {8, 495, 133},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 497, 146},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 498, 132},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 499, 134},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 520, 166},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 17, 183},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 18, 174},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 198, 177},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 243, 175},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 246, 179},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 265, 180},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 359, 167},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 391, 173},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 393, 168},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 415, 176},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {9, 475, 184},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 493, 181},	// Akonadi::AgentInstanceWidget::tr$
    {9, 494, 169},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 495, 171},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 497, 182},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 498, 170},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 499, 172},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 508, 178},	// Akonadi::AgentInstanceWidget::view
    {9, 521, 185},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 313, 197},	// Akonadi::AgentManager::instance$
    {10, 315, 203},	// Akonadi::AgentManager::instanceAdded#
    {10, 317, 208},	// Akonadi::AgentManager::instanceError#$
    {10, 319, 207},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 321, 210},	// Akonadi::AgentManager::instanceOnline#$
    {10, 323, 206},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 325, 204},	// Akonadi::AgentManager::instanceRemoved#
    {10, 327, 205},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 329, 209},	// Akonadi::AgentManager::instanceWarning#$
    {10, 330, 196},	// Akonadi::AgentManager::instances
    {10, 359, 186},	// Akonadi::AgentManager::metaObject
    {10, 391, 192},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 393, 187},	// Akonadi::AgentManager::qt_metacast$
    {10, 405, 198},	// Akonadi::AgentManager::removeInstance#
    {10, 416, 193},	// Akonadi::AgentManager::self
    {10, 475, 213},	// Akonadi::AgentManager::staticMetaObject
    {10, 487, 199},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 488, 200},	// Akonadi::AgentManager::synchronizeCollection#$
    {10, 493, 211},	// Akonadi::AgentManager::tr$
    {10, 494, 188},	// Akonadi::AgentManager::tr$$
    {10, 495, 190},	// Akonadi::AgentManager::tr$$$
    {10, 497, 212},	// Akonadi::AgentManager::trUtf8$
    {10, 498, 189},	// Akonadi::AgentManager::trUtf8$$
    {10, 499, 191},	// Akonadi::AgentManager::trUtf8$$$
    {10, 501, 195},	// Akonadi::AgentManager::type$
    {10, 503, 201},	// Akonadi::AgentManager::typeAdded#
    {10, 505, 202},	// Akonadi::AgentManager::typeRemoved#
    {10, 506, 194},	// Akonadi::AgentManager::types
    {10, 522, 214},	// Akonadi::AgentManager::~AgentManager
    {11, 19, 215},	// Akonadi::AgentType::AgentType
    {11, 20, 216},	// Akonadi::AgentType::AgentType#
    {11, 210, 224},	// Akonadi::AgentType::capabilities
    {11, 252, 220},	// Akonadi::AgentType::description
    {11, 300, 222},	// Akonadi::AgentType::icon
    {11, 301, 221},	// Akonadi::AgentType::iconName
    {11, 303, 218},	// Akonadi::AgentType::identifier
    {11, 333, 217},	// Akonadi::AgentType::isValid
    {11, 363, 223},	// Akonadi::AgentType::mimeTypes
    {11, 370, 219},	// Akonadi::AgentType::name
    {11, 376, 225},	// Akonadi::AgentType::operator=#
    {11, 378, 226},	// Akonadi::AgentType::operator==#
    {11, 523, 227},	// Akonadi::AgentType::~AgentType
    {12, 21, 241},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 22, 235},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 198, 237},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 202, 236},	// Akonadi::AgentTypeDialog::agentType
    {12, 263, 238},	// Akonadi::AgentTypeDialog::done$
    {12, 359, 228},	// Akonadi::AgentTypeDialog::metaObject
    {12, 391, 234},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 393, 229},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 475, 242},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 493, 239},	// Akonadi::AgentTypeDialog::tr$
    {12, 494, 230},	// Akonadi::AgentTypeDialog::tr$$
    {12, 495, 232},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 497, 240},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 498, 231},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 499, 233},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 524, 243},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 23, 260},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 24, 251},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 47, 270},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 54, 268},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 68, 267},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 76, 269},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 109, 266},	// Akonadi::AgentTypeModel::TypeRole
    {13, 114, 271},	// Akonadi::AgentTypeModel::UserRole
    {13, 229, 261},	// Akonadi::AgentTypeModel::columnCount
    {13, 230, 252},	// Akonadi::AgentTypeModel::columnCount#
    {13, 250, 263},	// Akonadi::AgentTypeModel::data#
    {13, 251, 254},	// Akonadi::AgentTypeModel::data#$
    {13, 285, 257},	// Akonadi::AgentTypeModel::flags#
    {13, 305, 264},	// Akonadi::AgentTypeModel::index$$
    {13, 306, 255},	// Akonadi::AgentTypeModel::index$$#
    {13, 359, 244},	// Akonadi::AgentTypeModel::metaObject
    {13, 383, 256},	// Akonadi::AgentTypeModel::parent#
    {13, 391, 250},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 393, 245},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 413, 262},	// Akonadi::AgentTypeModel::rowCount
    {13, 414, 253},	// Akonadi::AgentTypeModel::rowCount#
    {13, 475, 265},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 493, 258},	// Akonadi::AgentTypeModel::tr$
    {13, 494, 246},	// Akonadi::AgentTypeModel::tr$$
    {13, 495, 248},	// Akonadi::AgentTypeModel::tr$$$
    {13, 497, 259},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 498, 247},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 499, 249},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 525, 272},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 25, 287},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 26, 280},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 189, 284},	// Akonadi::AgentTypeWidget::activated
    {14, 198, 282},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 244, 281},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 246, 283},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 359, 273},	// Akonadi::AgentTypeWidget::metaObject
    {14, 391, 279},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 393, 274},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 475, 288},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 493, 285},	// Akonadi::AgentTypeWidget::tr$
    {14, 494, 275},	// Akonadi::AgentTypeWidget::tr$$
    {14, 495, 277},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 497, 286},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 498, 276},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 499, 278},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 526, 289},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 30, 294},	// Akonadi::Attribute::Attribute
    {15, 31, 295},	// Akonadi::Attribute::Attribute#
    {15, 218, 291},	// Akonadi::Attribute::clone
    {15, 254, 293},	// Akonadi::Attribute::deserialize#
    {15, 417, 292},	// Akonadi::Attribute::serialized
    {15, 500, 290},	// Akonadi::Attribute::type
    {15, 527, 296},	// Akonadi::Attribute::~Attribute
    {16, 32, 298},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 33, 299},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 242, 297},	// Akonadi::AttributeFactory::createAttribute#
    {16, 528, 300},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 36, 301},	// Akonadi::CachePolicy::CachePolicy
    {17, 37, 302},	// Akonadi::CachePolicy::CachePolicy#
    {17, 208, 307},	// Akonadi::CachePolicy::cacheTimeout
    {17, 307, 303},	// Akonadi::CachePolicy::inheritFromParent
    {17, 331, 309},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 353, 305},	// Akonadi::CachePolicy::localParts
    {17, 376, 313},	// Akonadi::CachePolicy::operator=#
    {17, 378, 314},	// Akonadi::CachePolicy::operator==#
    {17, 423, 308},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 433, 304},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 435, 310},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 440, 306},	// Akonadi::CachePolicy::setLocalParts?
    {17, 467, 312},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 484, 311},	// Akonadi::CachePolicy::syncOnDemand
    {17, 529, 315},	// Akonadi::CachePolicy::~CachePolicy
    {19, 27, 350},	// Akonadi::Collection::AllRights
    {19, 38, 345},	// Akonadi::Collection::CanChangeCollection
    {19, 39, 342},	// Akonadi::Collection::CanChangeItem
    {19, 40, 346},	// Akonadi::Collection::CanCreateCollection
    {19, 41, 343},	// Akonadi::Collection::CanCreateItem
    {19, 42, 347},	// Akonadi::Collection::CanDeleteCollection
    {19, 43, 344},	// Akonadi::Collection::CanDeleteItem
    {19, 44, 348},	// Akonadi::Collection::CanLinkItem
    {19, 45, 349},	// Akonadi::Collection::CanUnlinkItem
    {19, 49, 316},	// Akonadi::Collection::Collection
    {19, 50, 318},	// Akonadi::Collection::Collection#
    {19, 51, 317},	// Akonadi::Collection::Collection$
    {19, 100, 341},	// Akonadi::Collection::ReadOnly
    {19, 207, 335},	// Akonadi::Collection::cachePolicy
    {19, 239, 324},	// Akonadi::Collection::contentMimeTypes
    {19, 291, 319},	// Akonadi::Collection::fromUrl#
    {19, 334, 340},	// Akonadi::Collection::isVirtual
    {19, 362, 332},	// Akonadi::Collection::mimeType
    {19, 370, 320},	// Akonadi::Collection::name
    {19, 382, 326},	// Akonadi::Collection::parent
    {19, 385, 329},	// Akonadi::Collection::parentRemoteId
    {19, 408, 333},	// Akonadi::Collection::resource
    {19, 411, 322},	// Akonadi::Collection::rights
    {19, 412, 331},	// Akonadi::Collection::root
    {19, 421, 336},	// Akonadi::Collection::setCachePolicy#
    {19, 426, 325},	// Akonadi::Collection::setContentMimeTypes?
    {19, 442, 321},	// Akonadi::Collection::setName$
    {19, 448, 328},	// Akonadi::Collection::setParent#
    {19, 449, 327},	// Akonadi::Collection::setParent$
    {19, 453, 330},	// Akonadi::Collection::setParentRemoteId$
    {19, 460, 334},	// Akonadi::Collection::setResource$
    {19, 462, 323},	// Akonadi::Collection::setRights$
    {19, 465, 338},	// Akonadi::Collection::setStatistics#
    {19, 476, 337},	// Akonadi::Collection::statistics
    {19, 507, 339},	// Akonadi::Collection::url
    {19, 530, 351},	// Akonadi::Collection::~Collection
    {21, 2, 375},	// Akonadi::Entity::AddIfMissing
    {21, 61, -7},	// Akonadi::Entity::Entity#
    {21, 191, 365},	// Akonadi::Entity::addAttribute#
    {21, 204, 370},	// Akonadi::Entity::attribute#
    {21, 205, 368},	// Akonadi::Entity::attributes
    {21, 216, 369},	// Akonadi::Entity::clearAttributes
    {21, 248, -10},	// Akonadi::Entity::d_func
    {21, 293, 367},	// Akonadi::Entity::hasAttribute#
    {21, 302, 353},	// Akonadi::Entity::id
    {21, 333, 358},	// Akonadi::Entity::isValid
    {21, 374, 360},	// Akonadi::Entity::operator!=#
    {21, 376, 361},	// Akonadi::Entity::operator=#
    {21, 378, 359},	// Akonadi::Entity::operator==#
    {21, 384, -13},	// Akonadi::Entity::parentCollection
    {21, 399, 355},	// Akonadi::Entity::remoteId
    {21, 400, 357},	// Akonadi::Entity::remoteRevision
    {21, 402, 366},	// Akonadi::Entity::removeAttribute#
    {21, 431, 352},	// Akonadi::Entity::setId$
    {21, 451, 364},	// Akonadi::Entity::setParentCollection#
    {21, 456, 354},	// Akonadi::Entity::setRemoteId$
    {21, 458, 356},	// Akonadi::Entity::setRemoteRevision$
    {21, 531, 376},	// Akonadi::Entity::~Entity
    {23, 63, -1},	// Akonadi::Exception::Exception#
    {23, 64, -4},	// Akonadi::Exception::Exception$
    {23, 500, 382},	// Akonadi::Exception::type
    {23, 511, 381},	// Akonadi::Exception::what
    {23, 532, 383},	// Akonadi::Exception::~Exception
    {25, 91, -16},	// Akonadi::PayloadException::PayloadException#
    {25, 92, -19},	// Akonadi::PayloadException::PayloadException$
    {25, 500, 387},	// Akonadi::PayloadException::type
    {25, 535, 389},	// Akonadi::PayloadException::~PayloadException
    {51, 94, 504},	// QGlobalSpace::QtCriticalMsg
    {51, 95, 502},	// QGlobalSpace::QtDebugMsg
    {51, 96, 505},	// QGlobalSpace::QtFatalMsg
    {51, 97, 506},	// QGlobalSpace::QtSystemMsg
    {51, 98, 503},	// QGlobalSpace::QtWarningMsg
    {51, 116, 440},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {51, 117, 441},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {51, 118, 448},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {51, 119, 449},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {51, 120, 450},	// QGlobalSpace::_CS_LFS64_LIBS
    {51, 121, 451},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {51, 122, 444},	// QGlobalSpace::_CS_LFS_CFLAGS
    {51, 123, 445},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {51, 124, 446},	// QGlobalSpace::_CS_LFS_LIBS
    {51, 125, 447},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {51, 126, 438},	// QGlobalSpace::_CS_PATH
    {51, 127, 468},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {51, 128, 469},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {51, 129, 470},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {51, 130, 471},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {51, 131, 472},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {51, 132, 473},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {51, 133, 474},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {51, 134, 475},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {51, 135, 476},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {51, 136, 477},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {51, 137, 478},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {51, 138, 479},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {51, 139, 480},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {51, 140, 481},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {51, 141, 482},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {51, 142, 483},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {51, 143, 484},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {51, 144, 485},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {51, 145, 486},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {51, 146, 487},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {51, 147, 488},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {51, 148, 489},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {51, 149, 490},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {51, 150, 491},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {51, 151, 492},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {51, 152, 493},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {51, 153, 494},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {51, 154, 495},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {51, 155, 496},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {51, 156, 497},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {51, 157, 498},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {51, 158, 499},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {51, 159, 442},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {51, 160, 500},	// QGlobalSpace::_CS_V6_ENV
    {51, 161, 439},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {51, 162, 501},	// QGlobalSpace::_CS_V7_ENV
    {51, 163, 443},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {51, 164, 452},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {51, 165, 453},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {51, 166, 454},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {51, 167, 455},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {51, 168, 456},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {51, 169, 457},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {51, 170, 458},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {51, 171, 459},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {51, 172, 460},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {51, 173, 461},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {51, 174, 462},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {51, 175, 463},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {51, 176, 464},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {51, 177, 465},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {51, 178, 466},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {51, 179, 467},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {51, 180, 509},	// QGlobalSpace::__codecvt_error
    {51, 181, 510},	// QGlobalSpace::__codecvt_noconv
    {51, 182, 507},	// QGlobalSpace::__codecvt_ok
    {51, 183, 508},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 79,
        __smokeakonadi::methods, 592,
        __smokeakonadi::methodMaps, 456,
        __smokeakonadi::methodNames, 535,
        __smokeakonadi::types, 227,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
