#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 26: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QUrl
      switch(to) {
        case 10: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 11:   //QVariant
      switch(to) {
        case 11: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BindingSet
      switch(to) {
        case 15: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Error::Error
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::ErrorCache
      switch(to) {
        case 17: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorData
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::Locator
      switch(to) {
        case 19: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::ParserError
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::FilterModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Inference::Rule
      switch(to) {
        case 23: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::LanguageTag
      switch(to) {
        case 24: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::LiteralValue
      switch(to) {
        case 25: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 26: return (void*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Node
      switch(to) {
        case 27: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::NodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Parser
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 29: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Plugin
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::PluginManager
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::QueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 33: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::RdfSchemaModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::Serializer
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 35: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::Statement
      switch(to) {
        case 36: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::StatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::StorageModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::Util::AsyncModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncResult
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    30, 17, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    16, 0,	// 4: Soprano::Error::Error
    26, 0,	// 6: Soprano::Model
    21, 0,	// 8: Soprano::FilterModel
    6, 17, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    6, 0,	// 15: QObject
    28, 0,	// 17: Soprano::NodeIterator
    37, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QUrl", true, 0, 0, 0, 0, 0 },	//10
    { "QVariant", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//12
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//13
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//14
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//16
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//17
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//20
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//21
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//22
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//26
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//27
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//28
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//29
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//30
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//31
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//32
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//34
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//35
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//36
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//37
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//38
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//39
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//40
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//41
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//42
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//43
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//44
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//45
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//46
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//47
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//53
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//8
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//20
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//21
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QUrl", 10, Smoke::t_class|Smoke::tf_stack },	//23
    { "QVariant", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Soprano::BackendFeature", 12, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Soprano::BackendOption", 12, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//100
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//101
    { "Soprano::BackendSetting*", 14, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Soprano::BindingSet", 15, Smoke::t_class|Smoke::tf_stack },	//103
    { "Soprano::Error::Error", 16, Smoke::t_class|Smoke::tf_stack },	//104
    { "Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref },	//105
    { "Soprano::Error::Error*", 16, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Soprano::Error::ErrorCache*", 17, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Soprano::Error::ErrorData*", 18, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Soprano::Error::Locator", 19, Smoke::t_class|Smoke::tf_stack },	//110
    { "Soprano::Error::ParserError", 20, Smoke::t_class|Smoke::tf_stack },	//111
    { "Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref },	//112
    { "Soprano::Error::ParserError*", 20, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Soprano::FilterModel*", 21, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Soprano::Inference::InferenceModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//117
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//118
    { "Soprano::LiteralValue", 25, Smoke::t_class|Smoke::tf_stack },	//119
    { "Soprano::Model*", 26, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Soprano::Node", 27, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref },	//122
    { "Soprano::Node*", 27, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Soprano::Node::N3ParserFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Soprano::Node::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Soprano::NodeIterator", 28, Smoke::t_class|Smoke::tf_stack },	//126
    { "Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref },	//127
    { "Soprano::NodeIterator*", 28, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Soprano::Plugin*", 30, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Soprano::PluginManager*", 31, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Soprano::QueryResultIterator", 32, Smoke::t_class|Smoke::tf_stack },	//133
    { "Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref },	//134
    { "Soprano::QueryResultIterator*", 32, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Soprano::QueryResultIteratorBackend*", 33, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Soprano::RdfSchemaModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Soprano::RdfSerialization", 12, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Soprano::Statement", 36, Smoke::t_class|Smoke::tf_stack },	//140
    { "Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref },	//141
    { "Soprano::Statement*", 36, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Soprano::StatementIterator", 37, Smoke::t_class|Smoke::tf_stack },	//143
    { "Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref },	//144
    { "Soprano::StatementIterator*", 37, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Soprano::StorageModel*", 38, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Soprano::Util::AsyncModel*", 39, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::Util::AsyncModel::AsyncModelMode", 39, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Soprano::Util::AsyncQuery*", 40, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::Util::AsyncResult*", 41, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Soprano::Util::ReadOnlyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Soprano::Util::SignalCacheModel*", 43, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref },	//153
    { "Soprano::Util::SimpleNodeIterator*", 44, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref },	//155
    { "Soprano::Util::SimpleStatementIterator*", 45, Smoke::t_class|Smoke::tf_ptr },	//156
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//157
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//158
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//164
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//166
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//169
    { "const QUrl&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const QVariant&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Soprano::Backend&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//173
    { "const Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Soprano::Error::ErrorCache&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Soprano::Error::Locator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Soprano::Inference::Rule&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Soprano::LanguageTag&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Soprano::LiteralValue&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Soprano::Parser&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//185
    { "const Soprano::Plugin&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Soprano::Serializer&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//189
    { "const Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//194
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//195
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//196
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//198
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    16, 3, 0,	//3  QObject*, QEvent*
    22, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    194, 0,	//10  const char*
    8, 99, 167, 0,	//12  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    8, 99, 0,	//16  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    182, 0,	//19  const Soprano::Node&
    4, 168, 0,	//21  QFlags<Soprano::BackendFeature>, const QStringList&
    4, 0,	//24  QFlags<Soprano::BackendFeature>
    190, 0,	//26  const Soprano::Statement&
    167, 0,	//28  const QString&
    138, 167, 0,	//30  Soprano::RdfSerialization, const QString&
    138, 0,	//33  Soprano::RdfSerialization
    159, 99, 171, 0,	//35  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    173, 0,	//39  const Soprano::Backend*
    180, 0,	//41  const Soprano::LanguageTag&
    159, 0,	//43  const QList<Soprano::BackendSetting>&
    159, 167, 171, 0,	//45  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    159, 167, 0,	//49  const QList<Soprano::BackendSetting>&, const QString&
    159, 99, 167, 0,	//52  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    159, 99, 0,	//56  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    181, 0,	//59  const Soprano::LiteralValue&
    8, 167, 0,	//61  QList<Soprano::BackendSetting>&, const QString&
    172, 0,	//64  const Soprano::Backend&
    99, 0,	//66  Soprano::BackendOption
    99, 171, 0,	//68  Soprano::BackendOption, const QVariant&
    167, 171, 0,	//71  const QString&, const QVariant&
    174, 0,	//74  const Soprano::BackendSetting&
    171, 0,	//76  const QVariant&
    167, 195, 0,	//78  const QString&, int
    175, 0,	//81  const Soprano::Error::Error&
    109, 0,	//83  Soprano::Error::ErrorData*
    176, 0,	//85  const Soprano::Error::ErrorCache&
    177, 167, 195, 0,	//87  const Soprano::Error::Locator&, const QString&, int
    178, 0,	//91  const Soprano::Error::ParserError&
    177, 0,	//93  const Soprano::Error::Locator&
    177, 167, 0,	//95  const Soprano::Error::Locator&, const QString&
    194, 194, 0,	//98  const char*, const char*
    194, 194, 195, 0,	//101  const char*, const char*, int
    15, 195, 199, 0,	//105  QMetaObject::Call, int, void**
    120, 0,	//109  Soprano::Model*
    182, 182, 182, 182, 0,	//111  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    167, 132, 167, 0,	//116  const QString&, Soprano::Query::QueryLanguage, const QString&
    21, 0,	//120  QTextStream&
    182, 182, 182, 0,	//122  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    167, 132, 0,	//126  const QString&, Soprano::Query::QueryLanguage
    179, 0,	//129  const Soprano::Inference::Rule&
    160, 0,	//131  const QList<Soprano::Inference::Rule>&
    158, 0,	//133  bool
    162, 0,	//135  const QList<Soprano::Statement>&
    170, 0,	//137  const QUrl&
    181, 167, 0,	//139  const Soprano::LiteralValue&, const QString&
    167, 5, 0,	//142  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    21, 5, 0,	//145  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    117, 0,	//148  Soprano::IteratorBackend<Soprano::Node>*
    183, 0,	//150  const Soprano::NodeIterator&
    167, 170, 138, 167, 0,	//152  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    21, 170, 138, 167, 0,	//157  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    184, 0,	//162  const Soprano::Parser&
    167, 170, 138, 0,	//164  const QString&, const QUrl&, Soprano::RdfSerialization
    21, 170, 138, 0,	//168  QTextStream&, const QUrl&, Soprano::RdfSerialization
    186, 0,	//172  const Soprano::Plugin&
    168, 158, 0,	//174  const QStringList&, bool
    168, 0,	//177  const QStringList&
    187, 0,	//179  const Soprano::QueryResultIterator&
    136, 0,	//181  Soprano::QueryResultIteratorBackend*
    195, 0,	//183  int
    166, 0,	//185  const QString
    167, 167, 167, 167, 190, 0,	//187  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    167, 167, 167, 0,	//193  const QString&, const QString&, const QString&
    167, 167, 167, 167, 0,	//197  const QString&, const QString&, const QString&, const QString&
    182, 182, 0,	//202  const Soprano::Node&, const Soprano::Node&
    143, 21, 138, 167, 0,	//205  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    167, 170, 0,	//210  const QString&, const QUrl&
    188, 0,	//213  const Soprano::Serializer&
    143, 21, 138, 0,	//215  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    118, 0,	//219  Soprano::IteratorBackend<Soprano::Statement>*
    191, 0,	//221  const Soprano::StatementIterator&
    148, 0,	//223  Soprano::Util::AsyncModel::AsyncModelMode
    149, 0,	//225  Soprano::Util::AsyncQuery*
    120, 167, 132, 167, 0,	//227  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    120, 167, 132, 0,	//232  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    150, 0,	//236  Soprano::Util::AsyncResult*
    171, 175, 0,	//238  const QVariant&, const Soprano::Error::Error&
    161, 0,	//241  const QList<Soprano::Node>&
    192, 0,	//243  const Soprano::Util::SimpleNodeIterator&
    193, 0,	//245  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend#",	//13
    "Backend$",	//14
    "BackendFeatureAddStatement",	//15
    "BackendFeatureAll",	//16
    "BackendFeatureContext",	//17
    "BackendFeatureInference",	//18
    "BackendFeatureInferenceOptional",	//19
    "BackendFeatureListStatements",	//20
    "BackendFeatureNone",	//21
    "BackendFeatureQuery",	//22
    "BackendFeatureRemoveStatements",	//23
    "BackendFeatureStorageMemory",	//24
    "BackendFeatureUser",	//25
    "BackendOptionEnableInference",	//26
    "BackendOptionHost",	//27
    "BackendOptionNone",	//28
    "BackendOptionPassword",	//29
    "BackendOptionPort",	//30
    "BackendOptionStorageDir",	//31
    "BackendOptionStorageMemory",	//32
    "BackendOptionUser",	//33
    "BackendOptionUsername",	//34
    "BackendSetting",	//35
    "BackendSetting#",	//36
    "BackendSetting$",	//37
    "BackendSetting$#",	//38
    "Bag",	//39
    "BlankNode",	//40
    "BlockDevice",	//41
    "Bookmark",	//42
    "Class",	//43
    "CommunicationChannel",	//44
    "Configuration",	//45
    "Contact",	//46
    "ContactGroup",	//47
    "Container",	//48
    "ContainerMembershipProperty",	//49
    "Content",	//50
    "Data",	//51
    "DataObject",	//52
    "DataRange",	//53
    "Datatype",	//54
    "DatatypeProperty",	//55
    "DefaultGraph",	//56
    "DeletedFile",	//57
    "DeprecatedClass",	//58
    "DeprecatedProperty",	//59
    "DiscardableInstanceBase",	//60
    "Document",	//61
    "DocumentGraph",	//62
    "Documentation",	//63
    "Email",	//64
    "EmailAttachment",	//65
    "EmbeddedObject",	//66
    "EmptyNode",	//67
    "Error",	//68
    "Error#",	//69
    "Error$",	//70
    "Error$$",	//71
    "ErrorCache",	//72
    "ErrorCache#",	//73
    "ExternalViewSpecification",	//74
    "File",	//75
    "FileSystem",	//76
    "Filelike",	//77
    "FilterModel",	//78
    "FilterModel#",	//79
    "Folder",	//80
    "FreeDesktopIcon",	//81
    "FunctionalProperty",	//82
    "Graph",	//83
    "GraphMetadata",	//84
    "GraphView",	//85
    "IMAP4Message",	//86
    "IMMessage",	//87
    "IgnorePrefixes",	//88
    "Image",	//89
    "InferenceGraph",	//90
    "InferenceMetaData",	//91
    "InferenceModel",	//92
    "InferenceModel#",	//93
    "InstanceBase",	//94
    "InverseFunctionalProperty",	//95
    "KnowledgeBase",	//96
    "List",	//97
    "Literal",	//98
    "LiteralNode",	//99
    "MailingList",	//100
    "MailingListEmail",	//101
    "Media",	//102
    "MediaList",	//103
    "Message",	//104
    "MessageboxMessage",	//105
    "Model",	//106
    "MultiThreaded",	//107
    "Music",	//108
    "NewsGroup",	//109
    "NewsGroupEmail",	//110
    "NoFlags",	//111
    "Node",	//112
    "Node#",	//113
    "Node#$",	//114
    "Node$",	//115
    "NodeIterator",	//116
    "NodeIterator#",	//117
    "NodeIterator?",	//118
    "Nothing",	//119
    "ObjectProperty",	//120
    "OfflineMedia",	//121
    "Ontology",	//122
    "OntologyProperty",	//123
    "Organization",	//124
    "POP3Message",	//125
    "Parser",	//126
    "Parser#",	//127
    "Parser$",	//128
    "ParserError",	//129
    "ParserError#",	//130
    "ParserError#$",	//131
    "ParserError#$$",	//132
    "Party",	//133
    "Person",	//134
    "PersonalEmail",	//135
    "Photo",	//136
    "Plugin",	//137
    "Plugin#",	//138
    "Plugin$",	//139
    "Presentation",	//140
    "Project",	//141
    "Property",	//142
    "Q_COMPLEX_TYPE",	//143
    "Q_DUMMY_TYPE",	//144
    "Q_MOVABLE_TYPE",	//145
    "Q_PRIMITIVE_TYPE",	//146
    "Q_STATIC_TYPE",	//147
    "QtCriticalMsg",	//148
    "QtDebugMsg",	//149
    "QtFatalMsg",	//150
    "QtSystemMsg",	//151
    "QtWarningMsg",	//152
    "QueryResultIterator",	//153
    "QueryResultIterator#",	//154
    "RSSFeed",	//155
    "RSSMessage",	//156
    "RdfSchemaModel",	//157
    "RdfSchemaModel#",	//158
    "ReadOnlyModel",	//159
    "ReadOnlyModel#",	//160
    "ReflexiveProperty",	//161
    "RemoteFile",	//162
    "RemoteMessageboxMessage",	//163
    "RemoteResource",	//164
    "Resource",	//165
    "ResourceNode",	//166
    "Restriction",	//167
    "RevisionControlledFile",	//168
    "RevisionControlledRepository",	//169
    "RuleViewSpecification",	//170
    "Schema",	//171
    "Semantics",	//172
    "Seq",	//173
    "SerializationN3",	//174
    "SerializationNQuads",	//175
    "SerializationNTriples",	//176
    "SerializationRdfXml",	//177
    "SerializationTrig",	//178
    "SerializationTurtle",	//179
    "SerializationUnknown",	//180
    "SerializationUser",	//181
    "Serializer",	//182
    "Serializer#",	//183
    "Serializer$",	//184
    "SignalCacheModel",	//185
    "SignalCacheModel#",	//186
    "SimpleNodeIterator",	//187
    "SimpleNodeIterator#",	//188
    "SimpleNodeIterator?",	//189
    "SimpleStatementIterator",	//190
    "SimpleStatementIterator#",	//191
    "SimpleStatementIterator?",	//192
    "SingleThreaded",	//193
    "SoftwarePackage",	//194
    "Source",	//195
    "SourceCode",	//196
    "Spreadsheet",	//197
    "Statement",	//198
    "Statement#",	//199
    "Statement###",	//200
    "Statement####",	//201
    "StatementIterator",	//202
    "StatementIterator#",	//203
    "StatementIterator?",	//204
    "StorageModel",	//205
    "StorageModel#",	//206
    "StrictLiteralTypes",	//207
    "StrictUris",	//208
    "Symbol",	//209
    "SymmetricProperty",	//210
    "SystemResource",	//211
    "Tag",	//212
    "Text",	//213
    "TextDocument",	//214
    "Thing",	//215
    "TransitiveProperty",	//216
    "UncategorizedText",	//217
    "Video",	//218
    "ViewSpecification",	//219
    "Visual",	//220
    "XML",	//221
    "XMLLiteral",	//222
    "__codecvt_error",	//223
    "__codecvt_noconv",	//224
    "__codecvt_ok",	//225
    "__codecvt_partial",	//226
    "acl",	//227
    "addPrefix",	//228
    "addPrefix$#",	//229
    "addRule",	//230
    "addRule#",	//231
    "addStatement",	//232
    "addStatement#",	//233
    "addStatement###",	//234
    "addStatement####",	//235
    "addStatementAsync",	//236
    "addStatementAsync#",	//237
    "addStatementAsync###",	//238
    "addStatementAsync####",	//239
    "addStatements",	//240
    "addStatements?",	//241
    "addStatementsAsync",	//242
    "addStatementsAsync?",	//243
    "album",	//244
    "albumArtist",	//245
    "albumGain",	//246
    "albumPeakGain",	//247
    "albumTrackCount",	//248
    "allBackends",	//249
    "allBindings",	//250
    "allNodes",	//251
    "allParsers",	//252
    "allSerializers",	//253
    "allStatements",	//254
    "allValuesFrom",	//255
    "altLabel",	//256
    "altSymbol",	//257
    "annotation",	//258
    "aperture",	//259
    "artist",	//260
    "asText",	//261
    "aspectRatio",	//262
    "attachmentEncoding",	//263
    "audioBPM",	//264
    "audioBitrate",	//265
    "audioChannels",	//266
    "audioCodec",	//267
    "audioCodecType",	//268
    "audioSampleBitDepth",	//269
    "audioSampleCount",	//270
    "audioSampleDataType",	//271
    "audioSampleRate",	//272
    "author",	//273
    "autoRating",	//274
    "backend",	//275
    "backwardCompatibleWith",	//276
    "base64Binary",	//277
    "baseRevisionID",	//278
    "bcc",	//279
    "binding",	//280
    "binding$",	//281
    "bindingCount",	//282
    "bindingNames",	//283
    "birthDate",	//284
    "blankToN3",	//285
    "blankToN3$",	//286
    "blogContactURL",	//287
    "boolValue",	//288
    "boolean",	//289
    "cacheTime",	//290
    "cameraManufacturer",	//291
    "cameraModel",	//292
    "cardinality",	//293
    "cc",	//294
    "ccdWidth",	//295
    "cellPhoneNumber",	//296
    "changeCommitTime",	//297
    "changeCommitter",	//298
    "characterCount",	//299
    "charset",	//300
    "chatRoom",	//301
    "childEvent",	//302
    "classes",	//303
    "clearError",	//304
    "clearInference",	//305
    "clearPrefixes",	//306
    "close",	//307
    "code",	//308
    "colorCount",	//309
    "colorSpace",	//310
    "columnCount",	//311
    "comment",	//312
    "commentCharacterCount",	//313
    "commitDiff",	//314
    "communicationChannel",	//315
    "complementOf",	//316
    "composer",	//317
    "compressionAlgorithm",	//318
    "compressionLevel",	//319
    "conflicts",	//320
    "connectNotify",	//321
    "contactMedium",	//322
    "contactNick",	//323
    "contactURL",	//324
    "contains",	//325
    "containsAnyStatement",	//326
    "containsAnyStatement#",	//327
    "containsAnyStatement###",	//328
    "containsAnyStatement####",	//329
    "containsAnyStatementAsync",	//330
    "containsAnyStatementAsync#",	//331
    "containsAnyStatementAsync###",	//332
    "containsAnyStatementAsync####",	//333
    "containsContext",	//334
    "containsContext#",	//335
    "containsStatement",	//336
    "containsStatement#",	//337
    "containsStatement###",	//338
    "containsStatement####",	//339
    "containsStatementAsync",	//340
    "containsStatementAsync#",	//341
    "containsStatementAsync###",	//342
    "containsStatementAsync####",	//343
    "contentComment",	//344
    "contentCreated",	//345
    "contentKeyword",	//346
    "contentModified",	//347
    "contentType",	//348
    "context",	//349
    "contributor",	//350
    "copyright",	//351
    "coreGraphMetadataFor",	//352
    "createBlankNode",	//353
    "createBlankNode$",	//354
    "createBlankNodeAsync",	//355
    "createEmptyNode",	//356
    "createLiteralNode",	//357
    "createLiteralNode#",	//358
    "createLiteralNode#$",	//359
    "createModel",	//360
    "createModel?",	//361
    "createResourceNode",	//362
    "createResourceNode#",	//363
    "createResult",	//364
    "created",	//365
    "creator",	//366
    "currentBindings",	//367
    "currentStatement",	//368
    "customEvent",	//369
    "dataType",	//370
    "date",	//371
    "dateTime",	//372
    "decimal",	//373
    "definesClass",	//374
    "definesFunction",	//375
    "definesGlobalVariable",	//376
    "deleteModelData",	//377
    "deleteModelData?",	//378
    "deletionTime",	//379
    "depends",	//380
    "deprecated",	//381
    "derivedFrom",	//382
    "description",	//383
    "differentFrom",	//384
    "directSubClassOf",	//385
    "directSubClassOf#",	//386
    "directSubClassOf##",	//387
    "directSubPropertyOf",	//388
    "directSubPropertyOf#",	//389
    "directSubPropertyOf##",	//390
    "directType",	//391
    "directType##",	//392
    "discNumber",	//393
    "disclaimer",	//394
    "disconnectNotify",	//395
    "discoverBackendByFeatures",	//396
    "discoverBackendByFeatures$",	//397
    "discoverBackendByFeatures$?",	//398
    "discoverBackendByName",	//399
    "discoverBackendByName$",	//400
    "discoverParserByName",	//401
    "discoverParserByName$",	//402
    "discoverParserForSerialization",	//403
    "discoverParserForSerialization$",	//404
    "discoverParserForSerialization$$",	//405
    "discoverSerializerByName",	//406
    "discoverSerializerByName$",	//407
    "discoverSerializerForSerialization",	//408
    "discoverSerializerForSerialization$",	//409
    "discoverSerializerForSerialization$$",	//410
    "disjointWith",	//411
    "distinctMembers",	//412
    "documentCategory",	//413
    "domain",	//414
    "domain##",	//415
    "emailAddress",	//416
    "engineeringTool",	//417
    "equivalentClass",	//418
    "equivalentGraph",	//419
    "equivalentProperty",	//420
    "errorCode",	//421
    "event",	//422
    "eventFilter",	//423
    "executeQuery",	//424
    "executeQuery#$$",	//425
    "executeQuery#$$$",	//426
    "executeQuery$$",	//427
    "executeQuery$$$",	//428
    "executeQueryAsync",	//429
    "executeQueryAsync$$",	//430
    "executeQueryAsync$$$",	//431
    "exposureBias",	//432
    "exposureProgram",	//433
    "exposureTime",	//434
    "externalRealizer",	//435
    "familyName",	//436
    "faxPhoneNumber",	//437
    "fileExtension",	//438
    "fileSystemType",	//439
    "fingerprint",	//440
    "finished",	//441
    "finished#",	//442
    "first",	//443
    "firstUsed",	//444
    "flashUsed",	//445
    "focalLength",	//446
    "focusDistance",	//447
    "formatSubtype",	//448
    "frameCount",	//449
    "frameRate",	//450
    "freeSpace",	//451
    "fromN3",	//452
    "fromN3$",	//453
    "fromN3$$",	//454
    "fromN3Stream",	//455
    "fromN3Stream#",	//456
    "fromN3Stream#$",	//457
    "gender",	//458
    "generator",	//459
    "generatorOptions",	//460
    "genre",	//461
    "givenName",	//462
    "graphMetadataFor",	//463
    "group",	//464
    "hasDefaultNamespace",	//465
    "hasDefaultNamespaceAbbreviation",	//466
    "hasSemantics",	//467
    "hasSpecification",	//468
    "hasSubResource",	//469
    "hasSuperResource",	//470
    "hasSymbol",	//471
    "hasTag",	//472
    "hasTopic",	//473
    "hasValue",	//474
    "height",	//475
    "homeEmailAddress",	//476
    "homePhoneNumber",	//477
    "homePostalAddress",	//478
    "homepageContactURL",	//479
    "honorificPrefix",	//480
    "honorificSuffix",	//481
    "horizontalResolution",	//482
    "iconName",	//483
    "id",	//484
    "identifier",	//485
    "imContactMedium",	//486
    "imports",	//487
    "inReplyTo",	//488
    "incompatibleWith",	//489
    "instance",	//490
    "integer",	//491
    "interest",	//492
    "interlaceMode",	//493
    "intersectionOf",	//494
    "inverseOf",	//495
    "inverseProperty",	//496
    "ircContactMedium",	//497
    "isAvailable",	//498
    "isBinding",	//499
    "isBlank",	//500
    "isBool",	//501
    "isClass",	//502
    "isClass#",	//503
    "isContentEncrypted",	//504
    "isDataGraphFor",	//505
    "isDefinedBy",	//506
    "isDirectSubClassOf",	//507
    "isDirectSubClassOf##",	//508
    "isDirectSubPropertyOf",	//509
    "isDirectSubPropertyOf##",	//510
    "isDirectType",	//511
    "isDirectType##",	//512
    "isEmpty",	//513
    "isEmptyAsync",	//514
    "isEncrypted",	//515
    "isGraph",	//516
    "isImportant",	//517
    "isInProgress",	//518
    "isLiteral",	//519
    "isOptionInSettings",	//520
    "isOptionInSettings?$",	//521
    "isOptionInSettings?$$",	//522
    "isParserError",	//523
    "isProperty",	//524
    "isProperty#",	//525
    "isPublicChannel",	//526
    "isRead",	//527
    "isRelated",	//528
    "isResource",	//529
    "isSourceEncrypted",	//530
    "isSubClassOf",	//531
    "isSubClassOf##",	//532
    "isSubPropertyOf",	//533
    "isSubPropertyOf##",	//534
    "isTagFor",	//535
    "isTopicOf",	//536
    "isType",	//537
    "isType##",	//538
    "isValid",	//539
    "isoEquivalent",	//540
    "iterateBindings",	//541
    "iterateBindings$",	//542
    "iterateContexts",	//543
    "iterateObjects",	//544
    "iteratePredicates",	//545
    "iterateStatements",	//546
    "iterateStatementsFromBindings",	//547
    "iterateStatementsFromBindings$$$",	//548
    "iterateStatementsFromBindings$$$$",	//549
    "iterateStatementsFromBindings$$$$#",	//550
    "iterateSubjects",	//551
    "jabberContactMedium",	//552
    "keyword",	//553
    "knows",	//554
    "label",	//555
    "language",	//556
    "lastError",	//557
    "lastModified",	//558
    "lastRefreshed",	//559
    "lastUsed",	//560
    "legal",	//561
    "license",	//562
    "licenseType",	//563
    "lineCount",	//564
    "links",	//565
    "listContexts",	//566
    "listContextsAsync",	//567
    "listStatements",	//568
    "listStatements#",	//569
    "listStatements###",	//570
    "listStatements####",	//571
    "listStatementsAsync",	//572
    "listStatementsAsync#",	//573
    "listStatementsAsync###",	//574
    "listStatementsAsync####",	//575
    "listStatementsInContext",	//576
    "listStatementsInContext#",	//577
    "literal",	//578
    "literalToN3",	//579
    "literalToN3#",	//580
    "loadCustomBackend",	//581
    "loadCustomBackend$",	//582
    "loadCustomParser",	//583
    "loadCustomParser$",	//584
    "loadCustomPlugin",	//585
    "loadCustomPlugin$",	//586
    "loadCustomSerializer",	//587
    "loadCustomSerializer$",	//588
    "localRevision",	//589
    "locator",	//590
    "lyricist",	//591
    "mailingList",	//592
    "mailingPostalAddress",	//593
    "maintainer",	//594
    "markupCharacterCount",	//595
    "matches",	//596
    "matches#",	//597
    "maxCardinality",	//598
    "md5Hash",	//599
    "mediaBitrate",	//600
    "mediaCodec",	//601
    "mediaCodecType",	//602
    "mediaDuration",	//603
    "member",	//604
    "mergeConflict",	//605
    "message",	//606
    "metaObject",	//607
    "meteringMode",	//608
    "mimeType",	//609
    "mimeTypeToSerialization",	//610
    "mimeTypeToSerialization$",	//611
    "minCardinality",	//612
    "mode",	//613
    "modified",	//614
    "mountPoint",	//615
    "name",	//616
    "naoNamespace",	//617
    "negativeInteger",	//618
    "newsGroup",	//619
    "next",	//620
    "nextReady",	//621
    "nextReady#",	//622
    "nil",	//623
    "node",	//624
    "nodeIterator",	//625
    "nonNegativeInteger",	//626
    "nrlNamespace",	//627
    "numericRating",	//628
    "object",	//629
    "occupiedSpace",	//630
    "onProperty",	//631
    "oneOf",	//632
    "operator bool",	//633
    "operator!=",	//634
    "operator!=#",	//635
    "operator=",	//636
    "operator=#",	//637
    "operator==",	//638
    "operator==#",	//639
    "operator=?",	//640
    "operator[]",	//641
    "operator[]$",	//642
    "option",	//643
    "orientation",	//644
    "originURL",	//645
    "originalLocation",	//646
    "otherName",	//647
    "owlNamespace",	//648
    "owner",	//649
    "pageCount",	//650
    "paragraphCount",	//651
    "parentModel",	//652
    "parentStatementAdded",	//653
    "parentStatementAdded#",	//654
    "parentStatementRemoved",	//655
    "parentStatementRemoved#",	//656
    "parentStatementsAdded",	//657
    "parentStatementsRemoved",	//658
    "parseFile",	//659
    "parseFile$#$",	//660
    "parseFile$#$$",	//661
    "parseStream",	//662
    "parseStream##$",	//663
    "parseStream##$$",	//664
    "parseString",	//665
    "parseString$#$",	//666
    "parseString$#$$",	//667
    "performInference",	//668
    "performer",	//669
    "permissions",	//670
    "personPhoto",	//671
    "personalIdentifier",	//672
    "phoneNumber",	//673
    "pixelDataBitDepth",	//674
    "pixelDataType",	//675
    "pluginName",	//676
    "pluralPrefLabel",	//677
    "postalAddress",	//678
    "predicate",	//679
    "prefLabel",	//680
    "prefSymbol",	//681
    "prefixes",	//682
    "primaryRecipient",	//683
    "priorVersion",	//684
    "programmingLanguage",	//685
    "properties",	//686
    "qHash",	//687
    "qHash#",	//688
    "qt_metacall",	//689
    "qt_metacall$$?",	//690
    "qt_metacast",	//691
    "qt_metacast$",	//692
    "queryResultIterator",	//693
    "range",	//694
    "range##",	//695
    "rating",	//696
    "rdfNamespace",	//697
    "rdfsNamespace",	//698
    "realizes",	//699
    "receptionTime",	//700
    "recipient",	//701
    "related",	//702
    "remotePassword",	//703
    "remotePort",	//704
    "remoteServer",	//705
    "remoteUser",	//706
    "removeAllStatements",	//707
    "removeAllStatements#",	//708
    "removeAllStatements###",	//709
    "removeAllStatements####",	//710
    "removeAllStatementsAsync",	//711
    "removeAllStatementsAsync#",	//712
    "removeAllStatementsAsync###",	//713
    "removeAllStatementsAsync####",	//714
    "removeContext",	//715
    "removeContext#",	//716
    "removeStatement",	//717
    "removeStatement#",	//718
    "removeStatement###",	//719
    "removeStatement####",	//720
    "removeStatementAsync",	//721
    "removeStatementAsync#",	//722
    "removeStatementAsync###",	//723
    "removeStatementAsync####",	//724
    "removeStatements",	//725
    "removeStatements?",	//726
    "removeStatementsAsync",	//727
    "removeStatementsAsync?",	//728
    "replyTo",	//729
    "resourceToN3",	//730
    "resourceToN3#",	//731
    "rest",	//732
    "resultReady",	//733
    "resultReady#",	//734
    "rowCount",	//735
    "rssFeed",	//736
    "rule",	//737
    "ruleLanguage",	//738
    "sameAs",	//739
    "sampleConfiguration",	//740
    "sampleDataBitDepth",	//741
    "sampleDataType",	//742
    "score",	//743
    "scoreParameter",	//744
    "secondaryRecipient",	//745
    "seeAlso",	//746
    "seenAttachedAs",	//747
    "semanticsDefinedBy",	//748
    "serializationLanguage",	//749
    "serializationMimeType",	//750
    "serializationMimeType$",	//751
    "serializationMimeType$$",	//752
    "serialize",	//753
    "serialize##$",	//754
    "serialize##$$",	//755
    "setCacheTime",	//756
    "setCacheTime$",	//757
    "setCompressedSourceStatements",	//758
    "setCompressedSourceStatements$",	//759
    "setContext",	//760
    "setContext#",	//761
    "setCount",	//762
    "setError",	//763
    "setError#",	//764
    "setError$",	//765
    "setError$$",	//766
    "setMode",	//767
    "setMode$",	//768
    "setObject",	//769
    "setObject#",	//770
    "setOptimizedQueriesEnabled",	//771
    "setOptimizedQueriesEnabled$",	//772
    "setParentModel",	//773
    "setParentModel#",	//774
    "setPluginSearchPath",	//775
    "setPluginSearchPath?",	//776
    "setPluginSearchPath?$",	//777
    "setPredicate",	//778
    "setPredicate#",	//779
    "setRate",	//780
    "setResult",	//781
    "setResult##",	//782
    "setRules",	//783
    "setRules?",	//784
    "setSubject",	//785
    "setSubject#",	//786
    "setUsedBackend",	//787
    "setUsedBackend#",	//788
    "setValue",	//789
    "setValue#",	//790
    "settingInSettings",	//791
    "settingInSettings?",	//792
    "settingInSettings?$",	//793
    "settingInSettings?$$",	//794
    "sha1Hash",	//795
    "silNamespace",	//796
    "size",	//797
    "someValuesFrom",	//798
    "sourceCreated",	//799
    "sourceModified",	//800
    "sourceStatement",	//801
    "statementAdded",	//802
    "statementAdded#",	//803
    "statementCount",	//804
    "statementCountAsync",	//805
    "statementIterator",	//806
    "statementRemoved",	//807
    "statementRemoved#",	//808
    "statementsAdded",	//809
    "statementsRemoved",	//810
    "staticMetaObject",	//811
    "status",	//812
    "storageSize",	//813
    "string",	//814
    "subClassOf",	//815
    "subClassOf#",	//816
    "subClassOf##",	//817
    "subGraphOf",	//818
    "subPropertyOf",	//819
    "subPropertyOf#",	//820
    "subPropertyOf##",	//821
    "subject",	//822
    "summary",	//823
    "superGraphOf",	//824
    "supercedes",	//825
    "supportedFeatures",	//826
    "supportedSerializations",	//827
    "supportedUserFeatures",	//828
    "supportedUserSerializations",	//829
    "supportsFeatures",	//830
    "supportsFeatures$",	//831
    "supportsFeatures$?",	//832
    "supportsSerialization",	//833
    "supportsSerialization$",	//834
    "supportsSerialization$$",	//835
    "targetQuality",	//836
    "time",	//837
    "timerEvent",	//838
    "timerEvent#",	//839
    "title",	//840
    "to",	//841
    "toN3",	//842
    "toParserError",	//843
    "toString",	//844
    "totalSpace",	//845
    "totalUncompressedSize",	//846
    "tr",	//847
    "tr$",	//848
    "tr$$",	//849
    "tr$$$",	//850
    "trUtf8",	//851
    "trUtf8$",	//852
    "trUtf8$$",	//853
    "trUtf8$$$",	//854
    "trackGain",	//855
    "trackNumber",	//856
    "trackPeakGain",	//857
    "type",	//858
    "type##",	//859
    "unionOf",	//860
    "unsignedInt",	//861
    "unsignedLong",	//862
    "unsignedShort",	//863
    "updatable",	//864
    "uri",	//865
    "url",	//866
    "useCount",	//867
    "usedBackend",	//868
    "userComment",	//869
    "userKeyword",	//870
    "userOptionName",	//871
    "userRating",	//872
    "userVisible",	//873
    "usesNamespace",	//874
    "value",	//875
    "valueInSettings",	//876
    "valueInSettings?$",	//877
    "valueInSettings?$#",	//878
    "valueInSettings?$$",	//879
    "valueInSettingsWithDefault",	//880
    "valueInSettingsWithDefault?$#",	//881
    "version",	//882
    "versionInfo",	//883
    "versionMajor",	//884
    "versionMinor",	//885
    "versionRelease",	//886
    "versionString",	//887
    "verticalResolution",	//888
    "videoBitrate",	//889
    "videoCodec",	//890
    "videoCodecType",	//891
    "viewOn",	//892
    "whiteBalance",	//893
    "width",	//894
    "wordCount",	//895
    "workEmailAddress",	//896
    "workPhoneNumber",	//897
    "workPostalAddress",	//898
    "write",	//899
    "write#",	//900
    "xesam35mmEquivalent",	//901
    "xesamNamespace",	//902
    "xsdDouble",	//903
    "xsdFloat",	//904
    "xsdInt",	//905
    "xsdLong",	//906
    "xsdNamespace",	//907
    "xsdShort",	//908
    "~AsyncModel",	//909
    "~AsyncQuery",	//910
    "~AsyncResult",	//911
    "~Backend",	//912
    "~BackendSetting",	//913
    "~Error",	//914
    "~ErrorCache",	//915
    "~FilterModel",	//916
    "~InferenceModel",	//917
    "~Model",	//918
    "~Node",	//919
    "~NodeIterator",	//920
    "~Parser",	//921
    "~ParserError",	//922
    "~Plugin",	//923
    "~PluginManager",	//924
    "~QueryResultIterator",	//925
    "~RdfSchemaModel",	//926
    "~ReadOnlyModel",	//927
    "~Serializer",	//928
    "~SignalCacheModel",	//929
    "~SimpleNodeIterator",	//930
    "~SimpleStatementIterator",	//931
    "~Statement",	//932
    "~StatementIterator",	//933
    "~StorageModel",	//934
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {4, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {4, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {4, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {4, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {4, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {4, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {4, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {4, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {6, 422, 1, 1, Smoke::mf_virtual, 158, 0},	//15 QObject::event(QEvent*)
    {6, 423, 3, 2, Smoke::mf_virtual, 158, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {6, 838, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {6, 302, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {6, 369, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {6, 321, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {6, 395, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {12, 791, 12, 3, Smoke::mf_static, 101, 1},	//22 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 791, 16, 2, Smoke::mf_static, 101, 2},	//23 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 687, 19, 1, Smoke::mf_static, 197, 3},	//24 Soprano::qHash(const Soprano::Node&)
    {12, 396, 21, 2, Smoke::mf_static, 173, 4},	//25 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {12, 396, 24, 1, Smoke::mf_static, 173, 5},	//26 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {12, 687, 26, 1, Smoke::mf_static, 197, 6},	//27 Soprano::qHash(const Soprano::Statement&)
    {12, 610, 28, 1, Smoke::mf_static, 138, 7},	//28 Soprano::mimeTypeToSerialization(const QString&)
    {12, 750, 30, 2, Smoke::mf_static, 18, 8},	//29 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {12, 750, 33, 1, Smoke::mf_static, 18, 9},	//30 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {12, 399, 28, 1, Smoke::mf_static, 173, 10},	//31 Soprano::discoverBackendByName(const QString&)
    {12, 880, 35, 3, Smoke::mf_static, 24, 11},	//32 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {12, 787, 39, 1, Smoke::mf_static, 0, 12},	//33 Soprano::setUsedBackend(const Soprano::Backend*)
    {12, 687, 41, 1, Smoke::mf_static, 197, 13},	//34 Soprano::qHash(const Soprano::LanguageTag&)
    {12, 360, 43, 1, Smoke::mf_static, 120, 14},	//35 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {12, 360, 0, 0, Smoke::mf_static, 120, 15},	//36 Soprano::createModel()
    {12, 876, 45, 3, Smoke::mf_static, 24, 16},	//37 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {12, 876, 49, 2, Smoke::mf_static, 24, 17},	//38 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 791, 52, 3, Smoke::mf_static, 100, 18},	//39 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 791, 56, 2, Smoke::mf_static, 100, 19},	//40 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 791, 49, 2, Smoke::mf_static, 100, 20},	//41 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 791, 43, 1, Smoke::mf_static, 100, 21},	//42 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {12, 520, 52, 3, Smoke::mf_static, 158, 22},	//43 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 520, 56, 2, Smoke::mf_static, 158, 23},	//44 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 887, 0, 0, Smoke::mf_static, 194, 24},	//45 Soprano::versionString()
    {12, 884, 0, 0, Smoke::mf_static, 197, 25},	//46 Soprano::versionMajor()
    {12, 886, 0, 0, Smoke::mf_static, 197, 26},	//47 Soprano::versionRelease()
    {12, 687, 59, 1, Smoke::mf_static, 197, 27},	//48 Soprano::qHash(const Soprano::LiteralValue&)
    {12, 876, 52, 3, Smoke::mf_static, 24, 28},	//49 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 876, 56, 2, Smoke::mf_static, 24, 29},	//50 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 868, 0, 0, Smoke::mf_static, 173, 30},	//51 Soprano::usedBackend()
    {12, 791, 61, 2, Smoke::mf_static, 101, 31},	//52 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {12, 885, 0, 0, Smoke::mf_static, 197, 32},	//53 Soprano::versionMinor()
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 33},	//54 Soprano::BackendFeatureNone (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 34},	//55 Soprano::BackendFeatureAddStatement (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 35},	//56 Soprano::BackendFeatureRemoveStatements (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 36},	//57 Soprano::BackendFeatureListStatements (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 37},	//58 Soprano::BackendFeatureQuery (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 38},	//59 Soprano::BackendFeatureInference (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 39},	//60 Soprano::BackendFeatureInferenceOptional (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 40},	//61 Soprano::BackendFeatureContext (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 41},	//62 Soprano::BackendFeatureStorageMemory (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 42},	//63 Soprano::BackendFeatureAll (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 43},	//64 Soprano::BackendFeatureUser (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 44},	//65 Soprano::BackendOptionNone (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 45},	//66 Soprano::BackendOptionStorageMemory (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 46},	//67 Soprano::BackendOptionEnableInference (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 47},	//68 Soprano::BackendOptionStorageDir (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 48},	//69 Soprano::BackendOptionHost (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 49},	//70 Soprano::BackendOptionPort (enum)
    {12, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 50},	//71 Soprano::BackendOptionUsername (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 51},	//72 Soprano::BackendOptionPassword (enum)
    {12, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 52},	//73 Soprano::BackendOptionUser (enum)
    {12, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 53},	//74 Soprano::SerializationUnknown (enum)
    {12, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 54},	//75 Soprano::SerializationRdfXml (enum)
    {12, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 55},	//76 Soprano::SerializationN3 (enum)
    {12, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 56},	//77 Soprano::SerializationNTriples (enum)
    {12, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 57},	//78 Soprano::SerializationTurtle (enum)
    {12, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 58},	//79 Soprano::SerializationTrig (enum)
    {12, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 59},	//80 Soprano::SerializationNQuads (enum)
    {12, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 60},	//81 Soprano::SerializationUser (enum)
    {13, 12, 28, 1, Smoke::mf_ctor, 97, 1},	//82 Soprano::Backend::Backend(const QString&)
    {13, 360, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 2},	//83 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 377, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 3},	//84 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 4},	//85 Soprano::Backend::supportedFeatures() const [pure virtual]
    {13, 828, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 5},	//86 Soprano::Backend::supportedUserFeatures() const
    {13, 830, 21, 2, Smoke::mf_const, 158, 6},	//87 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {13, 12, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 7},	//88 Soprano::Backend::Backend(const Soprano::Backend&)
    {13, 360, 0, 0, Smoke::mf_const, 146, 8},	//89 Soprano::Backend::createModel() const
    {13, 830, 24, 1, Smoke::mf_const, 158, 9},	//90 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {13, 912, 0, 0, Smoke::mf_dtor, 0, 10 },	//91 Soprano::Backend::~Backend()
    {14, 35, 0, 0, Smoke::mf_ctor, 102, 1},	//92 Soprano::BackendSetting::BackendSetting()
    {14, 35, 66, 1, Smoke::mf_ctor, 102, 2},	//93 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {14, 35, 68, 2, Smoke::mf_ctor, 102, 3},	//94 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {14, 35, 71, 2, Smoke::mf_ctor, 102, 4},	//95 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {14, 35, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 5},	//96 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {14, 636, 74, 1, 0, 101, 6},	//97 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {14, 643, 0, 0, Smoke::mf_const, 99, 7},	//98 Soprano::BackendSetting::option() const
    {14, 871, 0, 0, Smoke::mf_const, 18, 8},	//99 Soprano::BackendSetting::userOptionName() const
    {14, 875, 0, 0, Smoke::mf_const, 24, 9},	//100 Soprano::BackendSetting::value() const
    {14, 789, 76, 1, 0, 0, 10},	//101 Soprano::BackendSetting::setValue(const QVariant&)
    {14, 913, 0, 0, Smoke::mf_dtor, 0, 11 },	//102 Soprano::BackendSetting::~BackendSetting()
    {16, 68, 0, 0, Smoke::mf_ctor, 106, 1},	//103 Soprano::Error::Error::Error()
    {16, 68, 78, 2, Smoke::mf_ctor, 106, 2},	//104 Soprano::Error::Error::Error(const QString&, int)
    {16, 68, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 3},	//105 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {16, 636, 81, 1, 0, 105, 4},	//106 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {16, 633, 0, 0, Smoke::mf_const, 158, 5},	//107 Soprano::Error::Error::operator bool() const
    {16, 606, 0, 0, Smoke::mf_const, 18, 6},	//108 Soprano::Error::Error::message() const
    {16, 308, 0, 0, Smoke::mf_const, 195, 7},	//109 Soprano::Error::Error::code() const
    {16, 523, 0, 0, Smoke::mf_const, 158, 8},	//110 Soprano::Error::Error::isParserError() const
    {16, 843, 0, 0, Smoke::mf_const, 111, 9},	//111 Soprano::Error::Error::toParserError() const
    {16, 68, 83, 1, Smoke::mf_ctor|Smoke::mf_protected, 106, 10},	//112 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {16, 68, 28, 1, Smoke::mf_ctor, 106, 11},	//113 Soprano::Error::Error::Error(const QString&)
    {16, 914, 0, 0, Smoke::mf_dtor, 0, 12 },	//114 Soprano::Error::Error::~Error()
    {17, 557, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 104, 1},	//115 Soprano::Error::ErrorCache::lastError() const
    {17, 72, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 107, 2},	//116 Soprano::Error::ErrorCache::ErrorCache()
    {17, 304, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//117 Soprano::Error::ErrorCache::clearError() const
    {17, 763, 81, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//118 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {17, 763, 78, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//119 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {17, 72, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 6},	//120 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {17, 763, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//121 Soprano::Error::ErrorCache::setError(const QString&) const
    {17, 915, 0, 0, Smoke::mf_dtor, 0, 8 },	//122 Soprano::Error::ErrorCache::~ErrorCache()
    {20, 129, 0, 0, Smoke::mf_ctor, 113, 1},	//123 Soprano::Error::ParserError::ParserError()
    {20, 129, 87, 3, Smoke::mf_ctor, 113, 2},	//124 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {20, 129, 81, 1, Smoke::mf_ctor, 113, 3},	//125 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {20, 636, 81, 1, 0, 112, 4},	//126 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {20, 590, 0, 0, Smoke::mf_const, 110, 5},	//127 Soprano::Error::ParserError::locator() const
    {20, 129, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 6},	//128 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {20, 129, 93, 1, Smoke::mf_ctor, 113, 7},	//129 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {20, 129, 95, 2, Smoke::mf_ctor, 113, 8},	//130 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {20, 922, 0, 0, Smoke::mf_dtor, 0, 9 },	//131 Soprano::Error::ParserError::~ParserError()
    {21, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//132 Soprano::FilterModel::metaObject() const
    {21, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//133 Soprano::FilterModel::qt_metacast(const char*)
    {21, 847, 98, 2, Smoke::mf_static, 18, 3},	//134 Soprano::FilterModel::tr(const char*, const char*)
    {21, 851, 98, 2, Smoke::mf_static, 18, 4},	//135 Soprano::FilterModel::trUtf8(const char*, const char*)
    {21, 847, 101, 3, Smoke::mf_static, 18, 5},	//136 Soprano::FilterModel::tr(const char*, const char*, int)
    {21, 851, 101, 3, Smoke::mf_static, 18, 6},	//137 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {21, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//138 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {21, 773, 109, 1, Smoke::mf_virtual, 0, 8},	//139 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {21, 652, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 9},	//140 Soprano::FilterModel::parentModel() const
    {21, 232, 26, 1, Smoke::mf_virtual, 108, 10},	//141 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {21, 232, 111, 4, 0, 108, 11},	//142 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 717, 26, 1, Smoke::mf_virtual, 108, 12},	//143 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {21, 717, 111, 4, 0, 108, 13},	//144 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 707, 26, 1, Smoke::mf_virtual, 108, 14},	//145 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {21, 707, 111, 4, 0, 108, 15},	//146 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 568, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 16},	//147 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {21, 568, 111, 4, Smoke::mf_const, 143, 17},	//148 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 18},	//149 Soprano::FilterModel::listContexts() const
    {21, 424, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 19},	//150 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 336, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 20},	//151 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {21, 336, 111, 4, Smoke::mf_const, 158, 21},	//152 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 326, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 22},	//153 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {21, 326, 111, 4, Smoke::mf_const, 158, 23},	//154 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 24},	//155 Soprano::FilterModel::isEmpty() const
    {21, 804, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 25},	//156 Soprano::FilterModel::statementCount() const
    {21, 899, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 26},	//157 Soprano::FilterModel::write(QTextStream&) const
    {21, 353, 0, 0, Smoke::mf_virtual, 121, 27},	//158 Soprano::FilterModel::createBlankNode()
    {21, 707, 0, 0, 0, 108, 28},	//159 Soprano::FilterModel::removeAllStatements()
    {21, 568, 0, 0, Smoke::mf_const, 143, 29},	//160 Soprano::FilterModel::listStatements() const
    {21, 78, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 114, 30},	//161 Soprano::FilterModel::FilterModel()
    {21, 78, 109, 1, Smoke::mf_ctor|Smoke::mf_protected, 114, 31},	//162 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {21, 657, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//163 Soprano::FilterModel::parentStatementsAdded()
    {21, 658, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//164 Soprano::FilterModel::parentStatementsRemoved()
    {21, 653, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//165 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {21, 655, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//166 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {21, 847, 10, 1, Smoke::mf_static, 18, 36},	//167 Soprano::FilterModel::tr(const char*)
    {21, 851, 10, 1, Smoke::mf_static, 18, 37},	//168 Soprano::FilterModel::trUtf8(const char*)
    {21, 232, 122, 3, 0, 108, 38},	//169 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 717, 122, 3, 0, 108, 39},	//170 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 707, 122, 3, 0, 108, 40},	//171 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 568, 122, 3, Smoke::mf_const, 143, 41},	//172 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 424, 126, 2, Smoke::mf_const, 133, 42},	//173 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {21, 336, 122, 3, Smoke::mf_const, 158, 43},	//174 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 326, 122, 3, Smoke::mf_const, 158, 44},	//175 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 45},	//176 Soprano::FilterModel::staticMetaObject() const
    {21, 916, 0, 0, Smoke::mf_dtor, 0, 46 },	//177 Soprano::FilterModel::~FilterModel()
    {22, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//178 Soprano::Inference::InferenceModel::metaObject() const
    {22, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//179 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {22, 847, 98, 2, Smoke::mf_static, 18, 3},	//180 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {22, 851, 98, 2, Smoke::mf_static, 18, 4},	//181 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {22, 847, 101, 3, Smoke::mf_static, 18, 5},	//182 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {22, 851, 101, 3, Smoke::mf_static, 18, 6},	//183 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {22, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//184 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 92, 109, 1, Smoke::mf_ctor, 115, 8},	//185 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {22, 232, 26, 1, Smoke::mf_virtual, 108, 9},	//186 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {22, 717, 26, 1, Smoke::mf_virtual, 108, 10},	//187 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {22, 707, 26, 1, Smoke::mf_virtual, 108, 11},	//188 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {22, 230, 129, 1, 0, 0, 12},	//189 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {22, 783, 131, 1, 0, 0, 13},	//190 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {22, 232, 111, 4, 0, 108, 14},	//191 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 717, 111, 4, 0, 108, 15},	//192 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 707, 111, 4, 0, 108, 16},	//193 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 707, 0, 0, 0, 108, 17},	//194 Soprano::Inference::InferenceModel::removeAllStatements()
    {22, 668, 0, 0, Smoke::mf_slot, 0, 18},	//195 Soprano::Inference::InferenceModel::performInference()
    {22, 305, 0, 0, Smoke::mf_slot, 0, 19},	//196 Soprano::Inference::InferenceModel::clearInference()
    {22, 758, 133, 1, Smoke::mf_slot, 0, 20},	//197 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {22, 771, 133, 1, Smoke::mf_slot, 0, 21},	//198 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {22, 847, 10, 1, Smoke::mf_static, 18, 22},	//199 Soprano::Inference::InferenceModel::tr(const char*)
    {22, 851, 10, 1, Smoke::mf_static, 18, 23},	//200 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {22, 232, 122, 3, 0, 108, 24},	//201 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 717, 122, 3, 0, 108, 25},	//202 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 707, 122, 3, 0, 108, 26},	//203 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 27},	//204 Soprano::Inference::InferenceModel::staticMetaObject() const
    {22, 917, 0, 0, Smoke::mf_dtor, 0, 28 },	//205 Soprano::Inference::InferenceModel::~InferenceModel()
    {26, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//206 Soprano::Model::metaObject() const
    {26, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//207 Soprano::Model::qt_metacast(const char*)
    {26, 847, 98, 2, Smoke::mf_static, 18, 3},	//208 Soprano::Model::tr(const char*, const char*)
    {26, 851, 98, 2, Smoke::mf_static, 18, 4},	//209 Soprano::Model::trUtf8(const char*, const char*)
    {26, 847, 101, 3, Smoke::mf_static, 18, 5},	//210 Soprano::Model::tr(const char*, const char*, int)
    {26, 851, 101, 3, Smoke::mf_static, 18, 6},	//211 Soprano::Model::trUtf8(const char*, const char*, int)
    {26, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//212 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {26, 232, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 8},	//213 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {26, 232, 111, 4, 0, 108, 9},	//214 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 240, 135, 1, 0, 108, 10},	//215 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {26, 717, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 11},	//216 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {26, 717, 111, 4, 0, 108, 12},	//217 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 707, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 13},	//218 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {26, 707, 111, 4, 0, 108, 14},	//219 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 725, 135, 1, 0, 108, 15},	//220 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {26, 715, 19, 1, 0, 108, 16},	//221 Soprano::Model::removeContext(const Soprano::Node&)
    {26, 707, 0, 0, 0, 108, 17},	//222 Soprano::Model::removeAllStatements()
    {26, 568, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 143, 18},	//223 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {26, 568, 111, 4, Smoke::mf_const, 143, 19},	//224 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 568, 0, 0, Smoke::mf_const, 143, 20},	//225 Soprano::Model::listStatements() const
    {26, 576, 19, 1, Smoke::mf_const, 143, 21},	//226 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {26, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 126, 22},	//227 Soprano::Model::listContexts() const [pure virtual]
    {26, 424, 116, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 23},	//228 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {26, 326, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 24},	//229 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {26, 326, 111, 4, Smoke::mf_const, 158, 25},	//230 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 336, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 26},	//231 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {26, 336, 111, 4, Smoke::mf_const, 158, 27},	//232 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 334, 19, 1, Smoke::mf_const, 158, 28},	//233 Soprano::Model::containsContext(const Soprano::Node&) const
    {26, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 29},	//234 Soprano::Model::isEmpty() const [pure virtual]
    {26, 804, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 195, 30},	//235 Soprano::Model::statementCount() const [pure virtual]
    {26, 899, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 31},	//236 Soprano::Model::write(QTextStream&) const
    {26, 353, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 32},	//237 Soprano::Model::createBlankNode() [pure virtual]
    {26, 809, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//238 Soprano::Model::statementsAdded()
    {26, 810, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//239 Soprano::Model::statementsRemoved()
    {26, 802, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//240 Soprano::Model::statementAdded(const Soprano::Statement&)
    {26, 807, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//241 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {26, 106, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 120, 37},	//242 Soprano::Model::Model()
    {26, 847, 10, 1, Smoke::mf_static, 18, 38},	//243 Soprano::Model::tr(const char*)
    {26, 851, 10, 1, Smoke::mf_static, 18, 39},	//244 Soprano::Model::trUtf8(const char*)
    {26, 232, 122, 3, 0, 108, 40},	//245 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 717, 122, 3, 0, 108, 41},	//246 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 707, 122, 3, 0, 108, 42},	//247 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 568, 122, 3, Smoke::mf_const, 143, 43},	//248 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 424, 126, 2, Smoke::mf_const, 133, 44},	//249 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {26, 326, 122, 3, Smoke::mf_const, 158, 45},	//250 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 336, 122, 3, Smoke::mf_const, 158, 46},	//251 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 47},	//252 Soprano::Model::staticMetaObject() const
    {26, 918, 0, 0, Smoke::mf_dtor, 0, 48 },	//253 Soprano::Model::~Model()
    {27, 112, 0, 0, Smoke::mf_ctor, 123, 1},	//254 Soprano::Node::Node()
    {27, 112, 137, 1, Smoke::mf_ctor, 123, 2},	//255 Soprano::Node::Node(const QUrl&)
    {27, 112, 28, 1, Smoke::mf_ctor, 123, 3},	//256 Soprano::Node::Node(const QString&)
    {27, 112, 59, 1, Smoke::mf_ctor, 123, 4},	//257 Soprano::Node::Node(const Soprano::LiteralValue&)
    {27, 112, 139, 2, Smoke::mf_ctor, 123, 5},	//258 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {27, 112, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 6},	//259 Soprano::Node::Node(const Soprano::Node&)
    {27, 636, 19, 1, 0, 122, 7},	//260 Soprano::Node::operator=(const Soprano::Node&)
    {27, 636, 137, 1, 0, 122, 8},	//261 Soprano::Node::operator=(const QUrl&)
    {27, 636, 59, 1, 0, 122, 9},	//262 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {27, 638, 19, 1, Smoke::mf_const, 158, 10},	//263 Soprano::Node::operator==(const Soprano::Node&) const
    {27, 634, 19, 1, Smoke::mf_const, 158, 11},	//264 Soprano::Node::operator!=(const Soprano::Node&) const
    {27, 638, 137, 1, Smoke::mf_const, 158, 12},	//265 Soprano::Node::operator==(const QUrl&) const
    {27, 638, 59, 1, Smoke::mf_const, 158, 13},	//266 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {27, 596, 19, 1, Smoke::mf_const, 158, 14},	//267 Soprano::Node::matches(const Soprano::Node&) const
    {27, 858, 0, 0, Smoke::mf_const, 125, 15},	//268 Soprano::Node::type() const
    {27, 513, 0, 0, Smoke::mf_const, 158, 16},	//269 Soprano::Node::isEmpty() const
    {27, 539, 0, 0, Smoke::mf_const, 158, 17},	//270 Soprano::Node::isValid() const
    {27, 519, 0, 0, Smoke::mf_const, 158, 18},	//271 Soprano::Node::isLiteral() const
    {27, 529, 0, 0, Smoke::mf_const, 158, 19},	//272 Soprano::Node::isResource() const
    {27, 500, 0, 0, Smoke::mf_const, 158, 20},	//273 Soprano::Node::isBlank() const
    {27, 865, 0, 0, Smoke::mf_const, 23, 21},	//274 Soprano::Node::uri() const
    {27, 485, 0, 0, Smoke::mf_const, 18, 22},	//275 Soprano::Node::identifier() const
    {27, 578, 0, 0, Smoke::mf_const, 119, 23},	//276 Soprano::Node::literal() const
    {27, 370, 0, 0, Smoke::mf_const, 23, 24},	//277 Soprano::Node::dataType() const
    {27, 556, 0, 0, Smoke::mf_const, 18, 25},	//278 Soprano::Node::language() const
    {27, 844, 0, 0, Smoke::mf_const, 18, 26},	//279 Soprano::Node::toString() const
    {27, 842, 0, 0, Smoke::mf_const, 18, 27},	//280 Soprano::Node::toN3() const
    {27, 356, 0, 0, Smoke::mf_static, 121, 28},	//281 Soprano::Node::createEmptyNode()
    {27, 362, 137, 1, Smoke::mf_static, 121, 29},	//282 Soprano::Node::createResourceNode(const QUrl&)
    {27, 353, 28, 1, Smoke::mf_static, 121, 30},	//283 Soprano::Node::createBlankNode(const QString&)
    {27, 357, 59, 1, Smoke::mf_static, 121, 31},	//284 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {27, 357, 139, 2, 0, 121, 32},	//285 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {27, 730, 137, 1, Smoke::mf_static, 18, 33},	//286 Soprano::Node::resourceToN3(const QUrl&)
    {27, 285, 28, 1, Smoke::mf_static, 18, 34},	//287 Soprano::Node::blankToN3(const QString&)
    {27, 579, 59, 1, Smoke::mf_static, 18, 35},	//288 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {27, 452, 142, 2, Smoke::mf_static, 121, 36},	//289 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {27, 455, 145, 2, Smoke::mf_static, 121, 37},	//290 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {27, 452, 28, 1, Smoke::mf_static, 121, 38},	//291 Soprano::Node::fromN3(const QString&)
    {27, 455, 120, 1, Smoke::mf_static, 121, 39},	//292 Soprano::Node::fromN3Stream(QTextStream&)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 40},	//293 Soprano::Node::EmptyNode (enum)
    {27, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 41},	//294 Soprano::Node::ResourceNode (enum)
    {27, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 42},	//295 Soprano::Node::LiteralNode (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 43},	//296 Soprano::Node::BlankNode (enum)
    {27, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 44},	//297 Soprano::Node::NoFlags (enum)
    {27, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 45},	//298 Soprano::Node::StrictLiteralTypes (enum)
    {27, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 46},	//299 Soprano::Node::StrictUris (enum)
    {27, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 47},	//300 Soprano::Node::IgnorePrefixes (enum)
    {27, 919, 0, 0, Smoke::mf_dtor, 0, 48 },	//301 Soprano::Node::~Node()
    {28, 116, 0, 0, Smoke::mf_ctor, 128, 1},	//302 Soprano::NodeIterator::NodeIterator()
    {28, 116, 148, 1, Smoke::mf_ctor, 128, 2},	//303 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {28, 116, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 3},	//304 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {28, 636, 150, 1, 0, 127, 4},	//305 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {28, 251, 0, 0, 0, 10, 5},	//306 Soprano::NodeIterator::allNodes()
    {28, 920, 0, 0, Smoke::mf_dtor, 0, 6 },	//307 Soprano::NodeIterator::~NodeIterator()
    {29, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 1},	//308 Soprano::Parser::supportedSerializations() const [pure virtual]
    {29, 829, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//309 Soprano::Parser::supportedUserSerializations() const
    {29, 833, 30, 2, Smoke::mf_const, 158, 3},	//310 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {29, 659, 152, 4, Smoke::mf_const|Smoke::mf_virtual, 143, 4},	//311 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 665, 152, 4, Smoke::mf_const|Smoke::mf_virtual, 143, 5},	//312 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 662, 157, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 143, 6},	//313 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {29, 126, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 129, 7},	//314 Soprano::Parser::Parser(const QString&)
    {29, 126, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 8},	//315 Soprano::Parser::Parser(const Soprano::Parser&)
    {29, 833, 33, 1, Smoke::mf_const, 158, 9},	//316 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {29, 659, 164, 3, Smoke::mf_const, 143, 10},	//317 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 665, 164, 3, Smoke::mf_const, 143, 11},	//318 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 662, 168, 3, Smoke::mf_const, 143, 12},	//319 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {29, 921, 0, 0, Smoke::mf_dtor, 0, 13 },	//320 Soprano::Parser::~Parser()
    {30, 676, 0, 0, Smoke::mf_const, 18, 1},	//321 Soprano::Plugin::pluginName() const
    {30, 498, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 2},	//322 Soprano::Plugin::isAvailable() const
    {30, 137, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 130, 3},	//323 Soprano::Plugin::Plugin(const QString&)
    {30, 137, 172, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 4},	//324 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {30, 923, 0, 0, Smoke::mf_dtor, 0, 5 },	//325 Soprano::Plugin::~Plugin()
    {31, 607, 0, 0, Smoke::mf_const, 164, 1},	//326 Soprano::PluginManager::metaObject() const
    {31, 691, 10, 1, 0, 198, 2},	//327 Soprano::PluginManager::qt_metacast(const char*)
    {31, 847, 98, 2, Smoke::mf_static, 18, 3},	//328 Soprano::PluginManager::tr(const char*, const char*)
    {31, 851, 98, 2, Smoke::mf_static, 18, 4},	//329 Soprano::PluginManager::trUtf8(const char*, const char*)
    {31, 847, 101, 3, Smoke::mf_static, 18, 5},	//330 Soprano::PluginManager::tr(const char*, const char*, int)
    {31, 851, 101, 3, Smoke::mf_static, 18, 6},	//331 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {31, 689, 105, 3, 0, 195, 7},	//332 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {31, 775, 174, 2, 0, 0, 8},	//333 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {31, 585, 28, 1, 0, 158, 9},	//334 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {31, 581, 28, 1, 0, 173, 10},	//335 Soprano::PluginManager::loadCustomBackend(const QString&)
    {31, 583, 28, 1, 0, 185, 11},	//336 Soprano::PluginManager::loadCustomParser(const QString&)
    {31, 587, 28, 1, 0, 189, 12},	//337 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {31, 399, 28, 1, 0, 173, 13},	//338 Soprano::PluginManager::discoverBackendByName(const QString&)
    {31, 396, 21, 2, 0, 173, 14},	//339 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {31, 249, 0, 0, 0, 12, 15},	//340 Soprano::PluginManager::allBackends()
    {31, 401, 28, 1, 0, 185, 16},	//341 Soprano::PluginManager::discoverParserByName(const QString&)
    {31, 403, 30, 2, 0, 185, 17},	//342 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 252, 0, 0, 0, 13, 18},	//343 Soprano::PluginManager::allParsers()
    {31, 406, 28, 1, 0, 189, 19},	//344 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {31, 408, 30, 2, 0, 189, 20},	//345 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 253, 0, 0, 0, 14, 21},	//346 Soprano::PluginManager::allSerializers()
    {31, 490, 0, 0, Smoke::mf_static, 131, 22},	//347 Soprano::PluginManager::instance()
    {31, 847, 10, 1, Smoke::mf_static, 18, 23},	//348 Soprano::PluginManager::tr(const char*)
    {31, 851, 10, 1, Smoke::mf_static, 18, 24},	//349 Soprano::PluginManager::trUtf8(const char*)
    {31, 775, 177, 1, 0, 0, 25},	//350 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {31, 396, 24, 1, 0, 173, 26},	//351 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {31, 403, 33, 1, 0, 185, 27},	//352 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {31, 408, 33, 1, 0, 189, 28},	//353 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {31, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 29},	//354 Soprano::PluginManager::staticMetaObject() const
    {31, 924, 0, 0, Smoke::mf_dtor, 0, 30 },	//355 Soprano::PluginManager::~PluginManager()
    {32, 153, 0, 0, Smoke::mf_ctor, 135, 1},	//356 Soprano::QueryResultIterator::QueryResultIterator()
    {32, 153, 179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//357 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {32, 153, 181, 1, Smoke::mf_ctor, 135, 3},	//358 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {32, 636, 179, 1, 0, 134, 4},	//359 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {32, 368, 0, 0, Smoke::mf_const, 140, 5},	//360 Soprano::QueryResultIterator::currentStatement() const
    {32, 367, 0, 0, Smoke::mf_const, 103, 6},	//361 Soprano::QueryResultIterator::currentBindings() const
    {32, 288, 0, 0, Smoke::mf_const, 158, 7},	//362 Soprano::QueryResultIterator::boolValue() const
    {32, 641, 183, 1, Smoke::mf_const, 121, 8},	//363 Soprano::QueryResultIterator::operator[](int) const
    {32, 641, 185, 1, Smoke::mf_const, 121, 9},	//364 Soprano::QueryResultIterator::operator[](const QString) const
    {32, 280, 28, 1, Smoke::mf_const, 121, 10},	//365 Soprano::QueryResultIterator::binding(const QString&) const
    {32, 280, 183, 1, Smoke::mf_const, 121, 11},	//366 Soprano::QueryResultIterator::binding(int) const
    {32, 282, 0, 0, Smoke::mf_const, 195, 12},	//367 Soprano::QueryResultIterator::bindingCount() const
    {32, 283, 0, 0, Smoke::mf_const, 19, 13},	//368 Soprano::QueryResultIterator::bindingNames() const
    {32, 516, 0, 0, Smoke::mf_const, 158, 14},	//369 Soprano::QueryResultIterator::isGraph() const
    {32, 499, 0, 0, Smoke::mf_const, 158, 15},	//370 Soprano::QueryResultIterator::isBinding() const
    {32, 501, 0, 0, Smoke::mf_const, 158, 16},	//371 Soprano::QueryResultIterator::isBool() const
    {32, 250, 0, 0, 0, 9, 17},	//372 Soprano::QueryResultIterator::allBindings()
    {32, 546, 0, 0, Smoke::mf_const, 143, 18},	//373 Soprano::QueryResultIterator::iterateStatements() const
    {32, 541, 28, 1, Smoke::mf_const, 126, 19},	//374 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {32, 541, 183, 1, Smoke::mf_const, 126, 20},	//375 Soprano::QueryResultIterator::iterateBindings(int) const
    {32, 547, 187, 5, Smoke::mf_const, 143, 21},	//376 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {32, 547, 193, 3, Smoke::mf_const, 143, 22},	//377 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {32, 547, 197, 4, Smoke::mf_const, 143, 23},	//378 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {32, 925, 0, 0, Smoke::mf_dtor, 0, 24 },	//379 Soprano::QueryResultIterator::~QueryResultIterator()
    {34, 157, 109, 1, Smoke::mf_ctor, 137, 1},	//380 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {34, 303, 0, 0, Smoke::mf_const, 143, 2},	//381 Soprano::RdfSchemaModel::classes() const
    {34, 385, 202, 2, Smoke::mf_const, 143, 3},	//382 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 388, 202, 2, Smoke::mf_const, 143, 4},	//383 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 391, 202, 2, Smoke::mf_const, 143, 5},	//384 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {34, 414, 202, 2, Smoke::mf_const, 143, 6},	//385 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {34, 686, 0, 0, Smoke::mf_const, 143, 7},	//386 Soprano::RdfSchemaModel::properties() const
    {34, 694, 202, 2, Smoke::mf_const, 143, 8},	//387 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {34, 815, 202, 2, Smoke::mf_const, 143, 9},	//388 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 819, 202, 2, Smoke::mf_const, 143, 10},	//389 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 858, 202, 2, Smoke::mf_const, 143, 11},	//390 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {34, 502, 19, 1, Smoke::mf_const, 158, 12},	//391 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {34, 524, 19, 1, Smoke::mf_const, 158, 13},	//392 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {34, 507, 202, 2, Smoke::mf_const, 158, 14},	//393 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 509, 202, 2, Smoke::mf_const, 158, 15},	//394 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 511, 202, 2, Smoke::mf_const, 158, 16},	//395 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {34, 531, 202, 2, Smoke::mf_const, 158, 17},	//396 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 533, 202, 2, Smoke::mf_const, 158, 18},	//397 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 537, 202, 2, Smoke::mf_const, 158, 19},	//398 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {34, 157, 0, 0, Smoke::mf_ctor, 137, 20},	//399 Soprano::RdfSchemaModel::RdfSchemaModel()
    {34, 385, 19, 1, Smoke::mf_const, 143, 21},	//400 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {34, 388, 19, 1, Smoke::mf_const, 143, 22},	//401 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {34, 815, 19, 1, Smoke::mf_const, 143, 23},	//402 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {34, 819, 19, 1, Smoke::mf_const, 143, 24},	//403 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {34, 926, 0, 0, Smoke::mf_dtor, 0, 25 },	//404 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {35, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 1},	//405 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {35, 829, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//406 Soprano::Serializer::supportedUserSerializations() const
    {35, 833, 30, 2, Smoke::mf_const, 158, 3},	//407 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {35, 753, 205, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 4},	//408 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {35, 228, 210, 2, Smoke::mf_const, 0, 5},	//409 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {35, 306, 0, 0, Smoke::mf_const, 0, 6},	//410 Soprano::Serializer::clearPrefixes() const
    {35, 682, 0, 0, Smoke::mf_const, 7, 7},	//411 Soprano::Serializer::prefixes() const
    {35, 182, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 139, 8},	//412 Soprano::Serializer::Serializer(const QString&)
    {35, 182, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 9},	//413 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {35, 833, 33, 1, Smoke::mf_const, 158, 10},	//414 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {35, 753, 215, 3, Smoke::mf_const, 158, 11},	//415 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {35, 928, 0, 0, Smoke::mf_dtor, 0, 12 },	//416 Soprano::Serializer::~Serializer()
    {36, 198, 0, 0, Smoke::mf_ctor, 142, 1},	//417 Soprano::Statement::Statement()
    {36, 198, 111, 4, Smoke::mf_ctor, 142, 2},	//418 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 198, 26, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 3},	//419 Soprano::Statement::Statement(const Soprano::Statement&)
    {36, 636, 26, 1, 0, 141, 4},	//420 Soprano::Statement::operator=(const Soprano::Statement&)
    {36, 638, 26, 1, Smoke::mf_const, 158, 5},	//421 Soprano::Statement::operator==(const Soprano::Statement&) const
    {36, 634, 26, 1, Smoke::mf_const, 158, 6},	//422 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {36, 596, 26, 1, Smoke::mf_const, 158, 7},	//423 Soprano::Statement::matches(const Soprano::Statement&) const
    {36, 539, 0, 0, Smoke::mf_const, 158, 8},	//424 Soprano::Statement::isValid() const
    {36, 822, 0, 0, Smoke::mf_const, 121, 9},	//425 Soprano::Statement::subject() const
    {36, 679, 0, 0, Smoke::mf_const, 121, 10},	//426 Soprano::Statement::predicate() const
    {36, 629, 0, 0, Smoke::mf_const, 121, 11},	//427 Soprano::Statement::object() const
    {36, 349, 0, 0, Smoke::mf_const, 121, 12},	//428 Soprano::Statement::context() const
    {36, 785, 19, 1, 0, 0, 13},	//429 Soprano::Statement::setSubject(const Soprano::Node&)
    {36, 778, 19, 1, 0, 0, 14},	//430 Soprano::Statement::setPredicate(const Soprano::Node&)
    {36, 769, 19, 1, 0, 0, 15},	//431 Soprano::Statement::setObject(const Soprano::Node&)
    {36, 760, 19, 1, 0, 0, 16},	//432 Soprano::Statement::setContext(const Soprano::Node&)
    {36, 198, 122, 3, Smoke::mf_ctor, 142, 17},	//433 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 932, 0, 0, Smoke::mf_dtor, 0, 18 },	//434 Soprano::Statement::~Statement()
    {37, 202, 0, 0, Smoke::mf_ctor, 145, 1},	//435 Soprano::StatementIterator::StatementIterator()
    {37, 202, 219, 1, Smoke::mf_ctor, 145, 2},	//436 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {37, 202, 221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//437 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {37, 636, 221, 1, 0, 144, 4},	//438 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {37, 254, 0, 0, 0, 11, 5},	//439 Soprano::StatementIterator::allStatements()
    {37, 551, 0, 0, Smoke::mf_const, 126, 6},	//440 Soprano::StatementIterator::iterateSubjects() const
    {37, 545, 0, 0, Smoke::mf_const, 126, 7},	//441 Soprano::StatementIterator::iteratePredicates() const
    {37, 544, 0, 0, Smoke::mf_const, 126, 8},	//442 Soprano::StatementIterator::iterateObjects() const
    {37, 543, 0, 0, Smoke::mf_const, 126, 9},	//443 Soprano::StatementIterator::iterateContexts() const
    {37, 933, 0, 0, Smoke::mf_dtor, 0, 10 },	//444 Soprano::StatementIterator::~StatementIterator()
    {38, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//445 Soprano::StorageModel::metaObject() const
    {38, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//446 Soprano::StorageModel::qt_metacast(const char*)
    {38, 847, 98, 2, Smoke::mf_static, 18, 3},	//447 Soprano::StorageModel::tr(const char*, const char*)
    {38, 851, 98, 2, Smoke::mf_static, 18, 4},	//448 Soprano::StorageModel::trUtf8(const char*, const char*)
    {38, 847, 101, 3, Smoke::mf_static, 18, 5},	//449 Soprano::StorageModel::tr(const char*, const char*, int)
    {38, 851, 101, 3, Smoke::mf_static, 18, 6},	//450 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {38, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//451 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {38, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 8},	//452 Soprano::StorageModel::isEmpty() const
    {38, 336, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 9},	//453 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {38, 326, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 10},	//454 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {38, 707, 26, 1, Smoke::mf_virtual, 108, 11},	//455 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {38, 275, 0, 0, Smoke::mf_const, 173, 12},	//456 Soprano::StorageModel::backend() const
    {38, 707, 111, 4, 0, 108, 13},	//457 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 707, 0, 0, 0, 108, 14},	//458 Soprano::StorageModel::removeAllStatements()
    {38, 336, 111, 4, Smoke::mf_const, 158, 15},	//459 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 326, 111, 4, Smoke::mf_const, 158, 16},	//460 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 205, 39, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 17},	//461 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {38, 847, 10, 1, Smoke::mf_static, 18, 18},	//462 Soprano::StorageModel::tr(const char*)
    {38, 851, 10, 1, Smoke::mf_static, 18, 19},	//463 Soprano::StorageModel::trUtf8(const char*)
    {38, 707, 122, 3, 0, 108, 20},	//464 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 336, 122, 3, Smoke::mf_const, 158, 21},	//465 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 326, 122, 3, Smoke::mf_const, 158, 22},	//466 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 23},	//467 Soprano::StorageModel::staticMetaObject() const
    {38, 934, 0, 0, Smoke::mf_dtor, 0, 24 },	//468 Soprano::StorageModel::~StorageModel()
    {39, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//469 Soprano::Util::AsyncModel::metaObject() const
    {39, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//470 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {39, 847, 98, 2, Smoke::mf_static, 18, 3},	//471 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {39, 851, 98, 2, Smoke::mf_static, 18, 4},	//472 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {39, 847, 101, 3, Smoke::mf_static, 18, 5},	//473 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {39, 851, 101, 3, Smoke::mf_static, 18, 6},	//474 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {39, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//475 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {39, 8, 109, 1, Smoke::mf_ctor, 147, 8},	//476 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {39, 767, 223, 1, 0, 0, 9},	//477 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {39, 613, 0, 0, Smoke::mf_const, 148, 10},	//478 Soprano::Util::AsyncModel::mode() const
    {39, 236, 26, 1, 0, 150, 11},	//479 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {39, 236, 111, 4, 0, 150, 12},	//480 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 242, 135, 1, 0, 150, 13},	//481 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {39, 721, 26, 1, 0, 150, 14},	//482 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {39, 721, 111, 4, 0, 150, 15},	//483 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 727, 135, 1, 0, 150, 16},	//484 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {39, 711, 26, 1, 0, 150, 17},	//485 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {39, 711, 111, 4, 0, 150, 18},	//486 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 514, 0, 0, Smoke::mf_const, 150, 19},	//487 Soprano::Util::AsyncModel::isEmptyAsync() const
    {39, 805, 0, 0, Smoke::mf_const, 150, 20},	//488 Soprano::Util::AsyncModel::statementCountAsync() const
    {39, 572, 26, 1, Smoke::mf_const, 150, 21},	//489 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {39, 572, 111, 4, Smoke::mf_const, 150, 22},	//490 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 572, 0, 0, Smoke::mf_const, 150, 23},	//491 Soprano::Util::AsyncModel::listStatementsAsync() const
    {39, 567, 0, 0, Smoke::mf_const, 150, 24},	//492 Soprano::Util::AsyncModel::listContextsAsync() const
    {39, 429, 116, 3, Smoke::mf_const, 150, 25},	//493 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 340, 26, 1, Smoke::mf_const, 150, 26},	//494 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {39, 340, 111, 4, Smoke::mf_const, 150, 27},	//495 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 330, 26, 1, Smoke::mf_const, 150, 28},	//496 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {39, 330, 111, 4, Smoke::mf_const, 150, 29},	//497 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 355, 0, 0, 0, 150, 30},	//498 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {39, 568, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 31},	//499 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {39, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 32},	//500 Soprano::Util::AsyncModel::listContexts() const
    {39, 424, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 33},	//501 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 232, 26, 1, Smoke::mf_virtual, 108, 34},	//502 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {39, 232, 111, 4, 0, 108, 35},	//503 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 717, 26, 1, Smoke::mf_virtual, 108, 36},	//504 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {39, 717, 111, 4, 0, 108, 37},	//505 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 707, 26, 1, Smoke::mf_virtual, 108, 38},	//506 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {39, 707, 111, 4, 0, 108, 39},	//507 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 707, 0, 0, 0, 108, 40},	//508 Soprano::Util::AsyncModel::removeAllStatements()
    {39, 568, 111, 4, Smoke::mf_const, 143, 41},	//509 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 568, 0, 0, Smoke::mf_const, 143, 42},	//510 Soprano::Util::AsyncModel::listStatements() const
    {39, 336, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 43},	//511 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {39, 336, 111, 4, Smoke::mf_const, 158, 44},	//512 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 326, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 45},	//513 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {39, 326, 111, 4, Smoke::mf_const, 158, 46},	//514 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 847, 10, 1, Smoke::mf_static, 18, 47},	//515 Soprano::Util::AsyncModel::tr(const char*)
    {39, 851, 10, 1, Smoke::mf_static, 18, 48},	//516 Soprano::Util::AsyncModel::trUtf8(const char*)
    {39, 8, 0, 0, Smoke::mf_ctor, 147, 49},	//517 Soprano::Util::AsyncModel::AsyncModel()
    {39, 236, 122, 3, 0, 150, 50},	//518 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 721, 122, 3, 0, 150, 51},	//519 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 711, 122, 3, 0, 150, 52},	//520 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 572, 122, 3, Smoke::mf_const, 150, 53},	//521 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 429, 126, 2, Smoke::mf_const, 150, 54},	//522 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {39, 340, 122, 3, Smoke::mf_const, 150, 55},	//523 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 330, 122, 3, Smoke::mf_const, 150, 56},	//524 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 424, 126, 2, Smoke::mf_const, 133, 57},	//525 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {39, 232, 122, 3, 0, 108, 58},	//526 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 717, 122, 3, 0, 108, 59},	//527 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 707, 122, 3, 0, 108, 60},	//528 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 568, 122, 3, Smoke::mf_const, 143, 61},	//529 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 336, 122, 3, Smoke::mf_const, 158, 62},	//530 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 326, 122, 3, Smoke::mf_const, 158, 63},	//531 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 64},	//532 Soprano::Util::AsyncModel::staticMetaObject() const
    {39, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 65},	//533 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {39, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 66},	//534 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {39, 909, 0, 0, Smoke::mf_dtor, 0, 67 },	//535 Soprano::Util::AsyncModel::~AsyncModel()
    {40, 607, 0, 0, Smoke::mf_const, 164, 1},	//536 Soprano::Util::AsyncQuery::metaObject() const
    {40, 691, 10, 1, 0, 198, 2},	//537 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {40, 847, 98, 2, Smoke::mf_static, 18, 3},	//538 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {40, 851, 98, 2, Smoke::mf_static, 18, 4},	//539 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {40, 847, 101, 3, Smoke::mf_static, 18, 5},	//540 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {40, 851, 101, 3, Smoke::mf_static, 18, 6},	//541 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {40, 689, 105, 3, 0, 195, 7},	//542 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {40, 368, 0, 0, Smoke::mf_const, 140, 8},	//543 Soprano::Util::AsyncQuery::currentStatement() const
    {40, 367, 0, 0, Smoke::mf_const, 103, 9},	//544 Soprano::Util::AsyncQuery::currentBindings() const
    {40, 288, 0, 0, Smoke::mf_const, 158, 10},	//545 Soprano::Util::AsyncQuery::boolValue() const
    {40, 280, 28, 1, Smoke::mf_const, 121, 11},	//546 Soprano::Util::AsyncQuery::binding(const QString&) const
    {40, 280, 183, 1, Smoke::mf_const, 121, 12},	//547 Soprano::Util::AsyncQuery::binding(int) const
    {40, 282, 0, 0, Smoke::mf_const, 195, 13},	//548 Soprano::Util::AsyncQuery::bindingCount() const
    {40, 283, 0, 0, Smoke::mf_const, 19, 14},	//549 Soprano::Util::AsyncQuery::bindingNames() const
    {40, 516, 0, 0, Smoke::mf_const, 158, 15},	//550 Soprano::Util::AsyncQuery::isGraph() const
    {40, 499, 0, 0, Smoke::mf_const, 158, 16},	//551 Soprano::Util::AsyncQuery::isBinding() const
    {40, 501, 0, 0, Smoke::mf_const, 158, 17},	//552 Soprano::Util::AsyncQuery::isBool() const
    {40, 620, 0, 0, Smoke::mf_slot, 158, 18},	//553 Soprano::Util::AsyncQuery::next()
    {40, 307, 0, 0, Smoke::mf_slot, 0, 19},	//554 Soprano::Util::AsyncQuery::close()
    {40, 621, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//555 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {40, 441, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//556 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {40, 424, 227, 4, Smoke::mf_static, 149, 22},	//557 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {40, 847, 10, 1, Smoke::mf_static, 18, 23},	//558 Soprano::Util::AsyncQuery::tr(const char*)
    {40, 851, 10, 1, Smoke::mf_static, 18, 24},	//559 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {40, 424, 232, 3, Smoke::mf_static, 149, 25},	//560 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {40, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 26},	//561 Soprano::Util::AsyncQuery::staticMetaObject() const
    {40, 910, 0, 0, Smoke::mf_dtor, 0, 27 },	//562 Soprano::Util::AsyncQuery::~AsyncQuery()
    {41, 607, 0, 0, Smoke::mf_const, 164, 1},	//563 Soprano::Util::AsyncResult::metaObject() const
    {41, 691, 10, 1, 0, 198, 2},	//564 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {41, 847, 98, 2, Smoke::mf_static, 18, 3},	//565 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {41, 851, 98, 2, Smoke::mf_static, 18, 4},	//566 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {41, 847, 101, 3, Smoke::mf_static, 18, 5},	//567 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {41, 851, 101, 3, Smoke::mf_static, 18, 6},	//568 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {41, 689, 105, 3, 0, 195, 7},	//569 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {41, 733, 236, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//570 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {41, 364, 0, 0, Smoke::mf_static, 150, 9},	//571 Soprano::Util::AsyncResult::createResult()
    {41, 875, 0, 0, Smoke::mf_const, 24, 10},	//572 Soprano::Util::AsyncResult::value() const
    {41, 421, 0, 0, Smoke::mf_const, 108, 11},	//573 Soprano::Util::AsyncResult::errorCode() const
    {41, 806, 0, 0, Smoke::mf_const, 143, 12},	//574 Soprano::Util::AsyncResult::statementIterator() const
    {41, 625, 0, 0, Smoke::mf_const, 126, 13},	//575 Soprano::Util::AsyncResult::nodeIterator() const
    {41, 693, 0, 0, Smoke::mf_const, 133, 14},	//576 Soprano::Util::AsyncResult::queryResultIterator() const
    {41, 624, 0, 0, Smoke::mf_const, 121, 15},	//577 Soprano::Util::AsyncResult::node() const
    {41, 781, 238, 2, 0, 0, 16},	//578 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {41, 847, 10, 1, Smoke::mf_static, 18, 17},	//579 Soprano::Util::AsyncResult::tr(const char*)
    {41, 851, 10, 1, Smoke::mf_static, 18, 18},	//580 Soprano::Util::AsyncResult::trUtf8(const char*)
    {41, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 19},	//581 Soprano::Util::AsyncResult::staticMetaObject() const
    {41, 911, 0, 0, Smoke::mf_dtor, 0, 20 },	//582 Soprano::Util::AsyncResult::~AsyncResult()
    {42, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//583 Soprano::Util::ReadOnlyModel::metaObject() const
    {42, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//584 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {42, 847, 98, 2, Smoke::mf_static, 18, 3},	//585 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {42, 851, 98, 2, Smoke::mf_static, 18, 4},	//586 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {42, 847, 101, 3, Smoke::mf_static, 18, 5},	//587 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {42, 851, 101, 3, Smoke::mf_static, 18, 6},	//588 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {42, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//589 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {42, 159, 109, 1, Smoke::mf_ctor, 151, 8},	//590 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {42, 773, 109, 1, 0, 0, 9},	//591 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {42, 568, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 10},	//592 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {42, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 11},	//593 Soprano::Util::ReadOnlyModel::listContexts() const
    {42, 424, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 12},	//594 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {42, 336, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 13},	//595 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {42, 326, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 14},	//596 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {42, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 15},	//597 Soprano::Util::ReadOnlyModel::isEmpty() const
    {42, 804, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 16},	//598 Soprano::Util::ReadOnlyModel::statementCount() const
    {42, 232, 26, 1, Smoke::mf_virtual, 108, 17},	//599 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {42, 717, 26, 1, Smoke::mf_virtual, 108, 18},	//600 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {42, 707, 26, 1, Smoke::mf_virtual, 108, 19},	//601 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {42, 353, 0, 0, Smoke::mf_virtual, 121, 20},	//602 Soprano::Util::ReadOnlyModel::createBlankNode()
    {42, 232, 111, 4, 0, 108, 21},	//603 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 717, 111, 4, 0, 108, 22},	//604 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 707, 111, 4, 0, 108, 23},	//605 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 707, 0, 0, 0, 108, 24},	//606 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {42, 568, 111, 4, Smoke::mf_const, 143, 25},	//607 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 568, 0, 0, Smoke::mf_const, 143, 26},	//608 Soprano::Util::ReadOnlyModel::listStatements() const
    {42, 336, 111, 4, Smoke::mf_const, 158, 27},	//609 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 326, 111, 4, Smoke::mf_const, 158, 28},	//610 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 847, 10, 1, Smoke::mf_static, 18, 29},	//611 Soprano::Util::ReadOnlyModel::tr(const char*)
    {42, 851, 10, 1, Smoke::mf_static, 18, 30},	//612 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {42, 159, 0, 0, Smoke::mf_ctor, 151, 31},	//613 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {42, 424, 126, 2, Smoke::mf_const, 133, 32},	//614 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {42, 232, 122, 3, 0, 108, 33},	//615 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 717, 122, 3, 0, 108, 34},	//616 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 707, 122, 3, 0, 108, 35},	//617 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 568, 122, 3, Smoke::mf_const, 143, 36},	//618 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 336, 122, 3, Smoke::mf_const, 158, 37},	//619 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 326, 122, 3, Smoke::mf_const, 158, 38},	//620 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 39},	//621 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {42, 927, 0, 0, Smoke::mf_dtor, 0, 40 },	//622 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {43, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 1},	//623 Soprano::Util::SignalCacheModel::metaObject() const
    {43, 691, 10, 1, Smoke::mf_virtual, 198, 2},	//624 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {43, 847, 98, 2, Smoke::mf_static, 18, 3},	//625 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {43, 851, 98, 2, Smoke::mf_static, 18, 4},	//626 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {43, 847, 101, 3, Smoke::mf_static, 18, 5},	//627 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {43, 851, 101, 3, Smoke::mf_static, 18, 6},	//628 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {43, 689, 105, 3, Smoke::mf_virtual, 195, 7},	//629 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {43, 185, 109, 1, Smoke::mf_ctor, 152, 8},	//630 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {43, 290, 0, 0, Smoke::mf_const, 195, 9},	//631 Soprano::Util::SignalCacheModel::cacheTime() const
    {43, 756, 183, 1, Smoke::mf_slot, 0, 10},	//632 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {43, 657, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//633 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {43, 658, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//634 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {43, 838, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//635 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {43, 847, 10, 1, Smoke::mf_static, 18, 14},	//636 Soprano::Util::SignalCacheModel::tr(const char*)
    {43, 851, 10, 1, Smoke::mf_static, 18, 15},	//637 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {43, 185, 0, 0, Smoke::mf_ctor, 152, 16},	//638 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {43, 811, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 163, 17},	//639 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {43, 929, 0, 0, Smoke::mf_dtor, 0, 18 },	//640 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {44, 187, 0, 0, Smoke::mf_ctor, 154, 1},	//641 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {44, 187, 241, 1, Smoke::mf_ctor, 154, 2},	//642 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {44, 187, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 3},	//643 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {44, 636, 241, 1, 0, 153, 4},	//644 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {44, 636, 243, 1, 0, 153, 5},	//645 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {44, 930, 0, 0, Smoke::mf_dtor, 0, 6 },	//646 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {45, 190, 0, 0, Smoke::mf_ctor, 156, 1},	//647 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {45, 190, 135, 1, Smoke::mf_ctor, 156, 2},	//648 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {45, 190, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 3},	//649 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {45, 636, 135, 1, 0, 155, 4},	//650 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {45, 636, 245, 1, 0, 155, 5},	//651 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {45, 931, 0, 0, Smoke::mf_dtor, 0, 6 },	//652 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {46, 628, 0, 0, Smoke::mf_static, 23, 1},	//653 Soprano::Vocabulary::NAO::numericRating()
    {46, 882, 0, 0, Smoke::mf_static, 23, 2},	//654 Soprano::Vocabulary::NAO::version()
    {46, 535, 0, 0, Smoke::mf_static, 23, 3},	//655 Soprano::Vocabulary::NAO::isTagFor()
    {46, 257, 0, 0, Smoke::mf_static, 23, 4},	//656 Soprano::Vocabulary::NAO::altSymbol()
    {46, 696, 0, 0, Smoke::mf_static, 23, 5},	//657 Soprano::Vocabulary::NAO::rating()
    {46, 873, 0, 0, Smoke::mf_static, 23, 6},	//658 Soprano::Vocabulary::NAO::userVisible()
    {46, 677, 0, 0, Smoke::mf_static, 23, 7},	//659 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {46, 258, 0, 0, Smoke::mf_static, 23, 8},	//660 Soprano::Vocabulary::NAO::annotation()
    {46, 744, 0, 0, Smoke::mf_static, 23, 9},	//661 Soprano::Vocabulary::NAO::scoreParameter()
    {46, 536, 0, 0, Smoke::mf_static, 23, 10},	//662 Soprano::Vocabulary::NAO::isTopicOf()
    {46, 383, 0, 0, Smoke::mf_static, 23, 11},	//663 Soprano::Vocabulary::NAO::description()
    {46, 672, 0, 0, Smoke::mf_static, 23, 12},	//664 Soprano::Vocabulary::NAO::personalIdentifier()
    {46, 212, 0, 0, Smoke::mf_static, 23, 13},	//665 Soprano::Vocabulary::NAO::Tag()
    {46, 209, 0, 0, Smoke::mf_static, 23, 14},	//666 Soprano::Vocabulary::NAO::Symbol()
    {46, 812, 0, 0, Smoke::mf_static, 23, 15},	//667 Soprano::Vocabulary::NAO::status()
    {46, 614, 0, 0, Smoke::mf_static, 23, 16},	//668 Soprano::Vocabulary::NAO::modified()
    {46, 470, 0, 0, Smoke::mf_static, 23, 17},	//669 Soprano::Vocabulary::NAO::hasSuperResource()
    {46, 681, 0, 0, Smoke::mf_static, 23, 18},	//670 Soprano::Vocabulary::NAO::prefSymbol()
    {46, 617, 0, 0, Smoke::mf_static, 23, 19},	//671 Soprano::Vocabulary::NAO::naoNamespace()
    {46, 133, 0, 0, Smoke::mf_static, 23, 20},	//672 Soprano::Vocabulary::NAO::Party()
    {46, 558, 0, 0, Smoke::mf_static, 23, 21},	//673 Soprano::Vocabulary::NAO::lastModified()
    {46, 680, 0, 0, Smoke::mf_static, 23, 22},	//674 Soprano::Vocabulary::NAO::prefLabel()
    {46, 471, 0, 0, Smoke::mf_static, 23, 23},	//675 Soprano::Vocabulary::NAO::hasSymbol()
    {46, 350, 0, 0, Smoke::mf_static, 23, 24},	//676 Soprano::Vocabulary::NAO::contributor()
    {46, 365, 0, 0, Smoke::mf_static, 23, 25},	//677 Soprano::Vocabulary::NAO::created()
    {46, 469, 0, 0, Smoke::mf_static, 23, 26},	//678 Soprano::Vocabulary::NAO::hasSubResource()
    {46, 485, 0, 0, Smoke::mf_static, 23, 27},	//679 Soprano::Vocabulary::NAO::identifier()
    {46, 473, 0, 0, Smoke::mf_static, 23, 28},	//680 Soprano::Vocabulary::NAO::hasTopic()
    {46, 483, 0, 0, Smoke::mf_static, 23, 29},	//681 Soprano::Vocabulary::NAO::iconName()
    {46, 505, 0, 0, Smoke::mf_static, 23, 30},	//682 Soprano::Vocabulary::NAO::isDataGraphFor()
    {46, 466, 0, 0, Smoke::mf_static, 23, 31},	//683 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {46, 528, 0, 0, Smoke::mf_static, 23, 32},	//684 Soprano::Vocabulary::NAO::isRelated()
    {46, 81, 0, 0, Smoke::mf_static, 23, 33},	//685 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {46, 749, 0, 0, Smoke::mf_static, 23, 34},	//686 Soprano::Vocabulary::NAO::serializationLanguage()
    {46, 465, 0, 0, Smoke::mf_static, 23, 35},	//687 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {46, 381, 0, 0, Smoke::mf_static, 23, 36},	//688 Soprano::Vocabulary::NAO::deprecated()
    {46, 417, 0, 0, Smoke::mf_static, 23, 37},	//689 Soprano::Vocabulary::NAO::engineeringTool()
    {46, 256, 0, 0, Smoke::mf_static, 23, 38},	//690 Soprano::Vocabulary::NAO::altLabel()
    {46, 472, 0, 0, Smoke::mf_static, 23, 39},	//691 Soprano::Vocabulary::NAO::hasTag()
    {46, 366, 0, 0, Smoke::mf_static, 23, 40},	//692 Soprano::Vocabulary::NAO::creator()
    {46, 743, 0, 0, Smoke::mf_static, 23, 41},	//693 Soprano::Vocabulary::NAO::score()
    {47, 748, 0, 0, Smoke::mf_static, 23, 1},	//694 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {47, 699, 0, 0, Smoke::mf_static, 23, 2},	//695 Soprano::Vocabulary::NRL::realizes()
    {47, 62, 0, 0, Smoke::mf_static, 23, 3},	//696 Soprano::Vocabulary::NRL::DocumentGraph()
    {47, 56, 0, 0, Smoke::mf_static, 23, 4},	//697 Soprano::Vocabulary::NRL::DefaultGraph()
    {47, 612, 0, 0, Smoke::mf_static, 23, 5},	//698 Soprano::Vocabulary::NRL::minCardinality()
    {47, 170, 0, 0, Smoke::mf_static, 23, 6},	//699 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {47, 352, 0, 0, Smoke::mf_static, 23, 7},	//700 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {47, 82, 0, 0, Smoke::mf_static, 23, 8},	//701 Soprano::Vocabulary::NRL::FunctionalProperty()
    {47, 171, 0, 0, Smoke::mf_static, 23, 9},	//702 Soprano::Vocabulary::NRL::Schema()
    {47, 45, 0, 0, Smoke::mf_static, 23, 10},	//703 Soprano::Vocabulary::NRL::Configuration()
    {47, 216, 0, 0, Smoke::mf_static, 23, 11},	//704 Soprano::Vocabulary::NRL::TransitiveProperty()
    {47, 85, 0, 0, Smoke::mf_static, 23, 12},	//705 Soprano::Vocabulary::NRL::GraphView()
    {47, 172, 0, 0, Smoke::mf_static, 23, 13},	//706 Soprano::Vocabulary::NRL::Semantics()
    {47, 496, 0, 0, Smoke::mf_static, 23, 14},	//707 Soprano::Vocabulary::NRL::inverseProperty()
    {47, 122, 0, 0, Smoke::mf_static, 23, 15},	//708 Soprano::Vocabulary::NRL::Ontology()
    {47, 161, 0, 0, Smoke::mf_static, 23, 16},	//709 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {47, 96, 0, 0, Smoke::mf_static, 23, 17},	//710 Soprano::Vocabulary::NRL::KnowledgeBase()
    {47, 467, 0, 0, Smoke::mf_static, 23, 18},	//711 Soprano::Vocabulary::NRL::hasSemantics()
    {47, 463, 0, 0, Smoke::mf_static, 23, 19},	//712 Soprano::Vocabulary::NRL::graphMetadataFor()
    {47, 487, 0, 0, Smoke::mf_static, 23, 20},	//713 Soprano::Vocabulary::NRL::imports()
    {47, 892, 0, 0, Smoke::mf_static, 23, 21},	//714 Soprano::Vocabulary::NRL::viewOn()
    {47, 864, 0, 0, Smoke::mf_static, 23, 22},	//715 Soprano::Vocabulary::NRL::updatable()
    {47, 74, 0, 0, Smoke::mf_static, 23, 23},	//716 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {47, 435, 0, 0, Smoke::mf_static, 23, 24},	//717 Soprano::Vocabulary::NRL::externalRealizer()
    {47, 60, 0, 0, Smoke::mf_static, 23, 25},	//718 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {47, 468, 0, 0, Smoke::mf_static, 23, 26},	//719 Soprano::Vocabulary::NRL::hasSpecification()
    {47, 83, 0, 0, Smoke::mf_static, 23, 27},	//720 Soprano::Vocabulary::NRL::Graph()
    {47, 84, 0, 0, Smoke::mf_static, 23, 28},	//721 Soprano::Vocabulary::NRL::GraphMetadata()
    {47, 419, 0, 0, Smoke::mf_static, 23, 29},	//722 Soprano::Vocabulary::NRL::equivalentGraph()
    {47, 210, 0, 0, Smoke::mf_static, 23, 30},	//723 Soprano::Vocabulary::NRL::SymmetricProperty()
    {47, 94, 0, 0, Smoke::mf_static, 23, 31},	//724 Soprano::Vocabulary::NRL::InstanceBase()
    {47, 598, 0, 0, Smoke::mf_static, 23, 32},	//725 Soprano::Vocabulary::NRL::maxCardinality()
    {47, 738, 0, 0, Smoke::mf_static, 23, 33},	//726 Soprano::Vocabulary::NRL::ruleLanguage()
    {47, 51, 0, 0, Smoke::mf_static, 23, 34},	//727 Soprano::Vocabulary::NRL::Data()
    {47, 627, 0, 0, Smoke::mf_static, 23, 35},	//728 Soprano::Vocabulary::NRL::nrlNamespace()
    {47, 293, 0, 0, Smoke::mf_static, 23, 36},	//729 Soprano::Vocabulary::NRL::cardinality()
    {47, 7, 0, 0, Smoke::mf_static, 23, 37},	//730 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {47, 737, 0, 0, Smoke::mf_static, 23, 38},	//731 Soprano::Vocabulary::NRL::rule()
    {47, 818, 0, 0, Smoke::mf_static, 23, 39},	//732 Soprano::Vocabulary::NRL::subGraphOf()
    {47, 95, 0, 0, Smoke::mf_static, 23, 40},	//733 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {47, 824, 0, 0, Smoke::mf_static, 23, 41},	//734 Soprano::Vocabulary::NRL::superGraphOf()
    {47, 219, 0, 0, Smoke::mf_static, 23, 42},	//735 Soprano::Vocabulary::NRL::ViewSpecification()
    {48, 648, 0, 0, Smoke::mf_static, 23, 1},	//736 Soprano::Vocabulary::OWL::owlNamespace()
    {48, 489, 0, 0, Smoke::mf_static, 23, 2},	//737 Soprano::Vocabulary::OWL::incompatibleWith()
    {48, 4, 0, 0, Smoke::mf_static, 23, 3},	//738 Soprano::Vocabulary::OWL::AnnotationProperty()
    {48, 58, 0, 0, Smoke::mf_static, 23, 4},	//739 Soprano::Vocabulary::OWL::DeprecatedClass()
    {48, 411, 0, 0, Smoke::mf_static, 23, 5},	//740 Soprano::Vocabulary::OWL::disjointWith()
    {48, 53, 0, 0, Smoke::mf_static, 23, 6},	//741 Soprano::Vocabulary::OWL::DataRange()
    {48, 487, 0, 0, Smoke::mf_static, 23, 7},	//742 Soprano::Vocabulary::OWL::imports()
    {48, 123, 0, 0, Smoke::mf_static, 23, 8},	//743 Soprano::Vocabulary::OWL::OntologyProperty()
    {48, 495, 0, 0, Smoke::mf_static, 23, 9},	//744 Soprano::Vocabulary::OWL::inverseOf()
    {48, 119, 0, 0, Smoke::mf_static, 23, 10},	//745 Soprano::Vocabulary::OWL::Nothing()
    {48, 59, 0, 0, Smoke::mf_static, 23, 11},	//746 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {48, 494, 0, 0, Smoke::mf_static, 23, 12},	//747 Soprano::Vocabulary::OWL::intersectionOf()
    {48, 210, 0, 0, Smoke::mf_static, 23, 13},	//748 Soprano::Vocabulary::OWL::SymmetricProperty()
    {48, 167, 0, 0, Smoke::mf_static, 23, 14},	//749 Soprano::Vocabulary::OWL::Restriction()
    {48, 739, 0, 0, Smoke::mf_static, 23, 15},	//750 Soprano::Vocabulary::OWL::sameAs()
    {48, 82, 0, 0, Smoke::mf_static, 23, 16},	//751 Soprano::Vocabulary::OWL::FunctionalProperty()
    {48, 95, 0, 0, Smoke::mf_static, 23, 17},	//752 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {48, 276, 0, 0, Smoke::mf_static, 23, 18},	//753 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {48, 883, 0, 0, Smoke::mf_static, 23, 19},	//754 Soprano::Vocabulary::OWL::versionInfo()
    {48, 418, 0, 0, Smoke::mf_static, 23, 20},	//755 Soprano::Vocabulary::OWL::equivalentClass()
    {48, 412, 0, 0, Smoke::mf_static, 23, 21},	//756 Soprano::Vocabulary::OWL::distinctMembers()
    {48, 632, 0, 0, Smoke::mf_static, 23, 22},	//757 Soprano::Vocabulary::OWL::oneOf()
    {48, 598, 0, 0, Smoke::mf_static, 23, 23},	//758 Soprano::Vocabulary::OWL::maxCardinality()
    {48, 316, 0, 0, Smoke::mf_static, 23, 24},	//759 Soprano::Vocabulary::OWL::complementOf()
    {48, 122, 0, 0, Smoke::mf_static, 23, 25},	//760 Soprano::Vocabulary::OWL::Ontology()
    {48, 684, 0, 0, Smoke::mf_static, 23, 26},	//761 Soprano::Vocabulary::OWL::priorVersion()
    {48, 612, 0, 0, Smoke::mf_static, 23, 27},	//762 Soprano::Vocabulary::OWL::minCardinality()
    {48, 384, 0, 0, Smoke::mf_static, 23, 28},	//763 Soprano::Vocabulary::OWL::differentFrom()
    {48, 860, 0, 0, Smoke::mf_static, 23, 29},	//764 Soprano::Vocabulary::OWL::unionOf()
    {48, 215, 0, 0, Smoke::mf_static, 23, 30},	//765 Soprano::Vocabulary::OWL::Thing()
    {48, 798, 0, 0, Smoke::mf_static, 23, 31},	//766 Soprano::Vocabulary::OWL::someValuesFrom()
    {48, 216, 0, 0, Smoke::mf_static, 23, 32},	//767 Soprano::Vocabulary::OWL::TransitiveProperty()
    {48, 631, 0, 0, Smoke::mf_static, 23, 33},	//768 Soprano::Vocabulary::OWL::onProperty()
    {48, 120, 0, 0, Smoke::mf_static, 23, 34},	//769 Soprano::Vocabulary::OWL::ObjectProperty()
    {48, 420, 0, 0, Smoke::mf_static, 23, 35},	//770 Soprano::Vocabulary::OWL::equivalentProperty()
    {48, 55, 0, 0, Smoke::mf_static, 23, 36},	//771 Soprano::Vocabulary::OWL::DatatypeProperty()
    {48, 293, 0, 0, Smoke::mf_static, 23, 37},	//772 Soprano::Vocabulary::OWL::cardinality()
    {48, 1, 0, 0, Smoke::mf_static, 23, 38},	//773 Soprano::Vocabulary::OWL::AllDifferent()
    {48, 43, 0, 0, Smoke::mf_static, 23, 39},	//774 Soprano::Vocabulary::OWL::Class()
    {48, 474, 0, 0, Smoke::mf_static, 23, 40},	//775 Soprano::Vocabulary::OWL::hasValue()
    {48, 255, 0, 0, Smoke::mf_static, 23, 41},	//776 Soprano::Vocabulary::OWL::allValuesFrom()
    {49, 198, 0, 0, Smoke::mf_static, 23, 1},	//777 Soprano::Vocabulary::RDF::Statement()
    {49, 2, 0, 0, Smoke::mf_static, 23, 2},	//778 Soprano::Vocabulary::RDF::Alt()
    {49, 142, 0, 0, Smoke::mf_static, 23, 3},	//779 Soprano::Vocabulary::RDF::Property()
    {49, 822, 0, 0, Smoke::mf_static, 23, 4},	//780 Soprano::Vocabulary::RDF::subject()
    {49, 443, 0, 0, Smoke::mf_static, 23, 5},	//781 Soprano::Vocabulary::RDF::first()
    {49, 97, 0, 0, Smoke::mf_static, 23, 6},	//782 Soprano::Vocabulary::RDF::List()
    {49, 875, 0, 0, Smoke::mf_static, 23, 7},	//783 Soprano::Vocabulary::RDF::value()
    {49, 173, 0, 0, Smoke::mf_static, 23, 8},	//784 Soprano::Vocabulary::RDF::Seq()
    {49, 629, 0, 0, Smoke::mf_static, 23, 9},	//785 Soprano::Vocabulary::RDF::object()
    {49, 732, 0, 0, Smoke::mf_static, 23, 10},	//786 Soprano::Vocabulary::RDF::rest()
    {49, 679, 0, 0, Smoke::mf_static, 23, 11},	//787 Soprano::Vocabulary::RDF::predicate()
    {49, 39, 0, 0, Smoke::mf_static, 23, 12},	//788 Soprano::Vocabulary::RDF::Bag()
    {49, 222, 0, 0, Smoke::mf_static, 23, 13},	//789 Soprano::Vocabulary::RDF::XMLLiteral()
    {49, 858, 0, 0, Smoke::mf_static, 23, 14},	//790 Soprano::Vocabulary::RDF::type()
    {49, 623, 0, 0, Smoke::mf_static, 23, 15},	//791 Soprano::Vocabulary::RDF::nil()
    {49, 697, 0, 0, Smoke::mf_static, 23, 16},	//792 Soprano::Vocabulary::RDF::rdfNamespace()
    {50, 694, 0, 0, Smoke::mf_static, 23, 1},	//793 Soprano::Vocabulary::RDFS::range()
    {50, 555, 0, 0, Smoke::mf_static, 23, 2},	//794 Soprano::Vocabulary::RDFS::label()
    {50, 604, 0, 0, Smoke::mf_static, 23, 3},	//795 Soprano::Vocabulary::RDFS::member()
    {50, 506, 0, 0, Smoke::mf_static, 23, 4},	//796 Soprano::Vocabulary::RDFS::isDefinedBy()
    {50, 98, 0, 0, Smoke::mf_static, 23, 5},	//797 Soprano::Vocabulary::RDFS::Literal()
    {50, 54, 0, 0, Smoke::mf_static, 23, 6},	//798 Soprano::Vocabulary::RDFS::Datatype()
    {50, 819, 0, 0, Smoke::mf_static, 23, 7},	//799 Soprano::Vocabulary::RDFS::subPropertyOf()
    {50, 312, 0, 0, Smoke::mf_static, 23, 8},	//800 Soprano::Vocabulary::RDFS::comment()
    {50, 815, 0, 0, Smoke::mf_static, 23, 9},	//801 Soprano::Vocabulary::RDFS::subClassOf()
    {50, 414, 0, 0, Smoke::mf_static, 23, 10},	//802 Soprano::Vocabulary::RDFS::domain()
    {50, 49, 0, 0, Smoke::mf_static, 23, 11},	//803 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {50, 698, 0, 0, Smoke::mf_static, 23, 12},	//804 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {50, 165, 0, 0, Smoke::mf_static, 23, 13},	//805 Soprano::Vocabulary::RDFS::Resource()
    {50, 746, 0, 0, Smoke::mf_static, 23, 14},	//806 Soprano::Vocabulary::RDFS::seeAlso()
    {50, 43, 0, 0, Smoke::mf_static, 23, 15},	//807 Soprano::Vocabulary::RDFS::Class()
    {50, 48, 0, 0, Smoke::mf_static, 23, 16},	//808 Soprano::Vocabulary::RDFS::Container()
    {51, 801, 0, 0, Smoke::mf_static, 23, 1},	//809 Soprano::Vocabulary::SIL::sourceStatement()
    {51, 91, 0, 0, Smoke::mf_static, 23, 2},	//810 Soprano::Vocabulary::SIL::InferenceMetaData()
    {51, 796, 0, 0, Smoke::mf_static, 23, 3},	//811 Soprano::Vocabulary::SIL::silNamespace()
    {51, 349, 0, 0, Smoke::mf_static, 23, 4},	//812 Soprano::Vocabulary::SIL::context()
    {51, 90, 0, 0, Smoke::mf_static, 23, 5},	//813 Soprano::Vocabulary::SIL::InferenceGraph()
    {52, 277, 0, 0, Smoke::mf_static, 23, 1},	//814 Soprano::Vocabulary::XMLSchema::base64Binary()
    {52, 903, 0, 0, Smoke::mf_static, 23, 2},	//815 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {52, 861, 0, 0, Smoke::mf_static, 23, 3},	//816 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {52, 289, 0, 0, Smoke::mf_static, 23, 4},	//817 Soprano::Vocabulary::XMLSchema::boolean()
    {52, 863, 0, 0, Smoke::mf_static, 23, 5},	//818 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {52, 372, 0, 0, Smoke::mf_static, 23, 6},	//819 Soprano::Vocabulary::XMLSchema::dateTime()
    {52, 373, 0, 0, Smoke::mf_static, 23, 7},	//820 Soprano::Vocabulary::XMLSchema::decimal()
    {52, 905, 0, 0, Smoke::mf_static, 23, 8},	//821 Soprano::Vocabulary::XMLSchema::xsdInt()
    {52, 907, 0, 0, Smoke::mf_static, 23, 9},	//822 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {52, 618, 0, 0, Smoke::mf_static, 23, 10},	//823 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {52, 862, 0, 0, Smoke::mf_static, 23, 11},	//824 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {52, 837, 0, 0, Smoke::mf_static, 23, 12},	//825 Soprano::Vocabulary::XMLSchema::time()
    {52, 814, 0, 0, Smoke::mf_static, 23, 13},	//826 Soprano::Vocabulary::XMLSchema::string()
    {52, 904, 0, 0, Smoke::mf_static, 23, 14},	//827 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {52, 908, 0, 0, Smoke::mf_static, 23, 15},	//828 Soprano::Vocabulary::XMLSchema::xsdShort()
    {52, 491, 0, 0, Smoke::mf_static, 23, 16},	//829 Soprano::Vocabulary::XMLSchema::integer()
    {52, 906, 0, 0, Smoke::mf_static, 23, 17},	//830 Soprano::Vocabulary::XMLSchema::xsdLong()
    {52, 626, 0, 0, Smoke::mf_static, 23, 18},	//831 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {52, 371, 0, 0, Smoke::mf_static, 23, 19},	//832 Soprano::Vocabulary::XMLSchema::date()
    {53, 683, 0, 0, Smoke::mf_static, 23, 1},	//833 Soprano::Vocabulary::Xesam::primaryRecipient()
    {53, 311, 0, 0, Smoke::mf_static, 23, 2},	//834 Soprano::Vocabulary::Xesam::columnCount()
    {53, 136, 0, 0, Smoke::mf_static, 23, 3},	//835 Soprano::Vocabulary::Xesam::Photo()
    {53, 701, 0, 0, Smoke::mf_static, 23, 4},	//836 Soprano::Vocabulary::Xesam::recipient()
    {53, 66, 0, 0, Smoke::mf_static, 23, 5},	//837 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {53, 898, 0, 0, Smoke::mf_static, 23, 6},	//838 Soprano::Vocabulary::Xesam::workPostalAddress()
    {53, 795, 0, 0, Smoke::mf_static, 23, 7},	//839 Soprano::Vocabulary::Xesam::sha1Hash()
    {53, 475, 0, 0, Smoke::mf_static, 23, 8},	//840 Soprano::Vocabulary::Xesam::height()
    {53, 497, 0, 0, Smoke::mf_static, 23, 9},	//841 Soprano::Vocabulary::Xesam::ircContactMedium()
    {53, 527, 0, 0, Smoke::mf_static, 23, 10},	//842 Soprano::Vocabulary::Xesam::isRead()
    {53, 80, 0, 0, Smoke::mf_static, 23, 11},	//843 Soprano::Vocabulary::Xesam::Folder()
    {53, 274, 0, 0, Smoke::mf_static, 23, 12},	//844 Soprano::Vocabulary::Xesam::autoRating()
    {53, 320, 0, 0, Smoke::mf_static, 23, 13},	//845 Soprano::Vocabulary::Xesam::conflicts()
    {53, 140, 0, 0, Smoke::mf_static, 23, 14},	//846 Soprano::Vocabulary::Xesam::Presentation()
    {53, 563, 0, 0, Smoke::mf_static, 23, 15},	//847 Soprano::Vocabulary::Xesam::licenseType()
    {53, 246, 0, 0, Smoke::mf_static, 23, 16},	//848 Soprano::Vocabulary::Xesam::albumGain()
    {53, 41, 0, 0, Smoke::mf_static, 23, 17},	//849 Soprano::Vocabulary::Xesam::BlockDevice()
    {53, 298, 0, 0, Smoke::mf_static, 23, 18},	//850 Soprano::Vocabulary::Xesam::changeCommitter()
    {53, 284, 0, 0, Smoke::mf_static, 23, 19},	//851 Soprano::Vocabulary::Xesam::birthDate()
    {53, 3, 0, 0, Smoke::mf_static, 23, 20},	//852 Soprano::Vocabulary::Xesam::Annotation()
    {53, 651, 0, 0, Smoke::mf_static, 23, 21},	//853 Soprano::Vocabulary::Xesam::paragraphCount()
    {53, 602, 0, 0, Smoke::mf_static, 23, 22},	//854 Soprano::Vocabulary::Xesam::mediaCodecType()
    {53, 902, 0, 0, Smoke::mf_static, 23, 23},	//855 Soprano::Vocabulary::Xesam::xesamNamespace()
    {53, 562, 0, 0, Smoke::mf_static, 23, 24},	//856 Soprano::Vocabulary::Xesam::license()
    {53, 77, 0, 0, Smoke::mf_static, 23, 25},	//857 Soprano::Vocabulary::Xesam::Filelike()
    {53, 162, 0, 0, Smoke::mf_static, 23, 26},	//858 Soprano::Vocabulary::Xesam::RemoteFile()
    {53, 449, 0, 0, Smoke::mf_static, 23, 27},	//859 Soprano::Vocabulary::Xesam::frameCount()
    {53, 493, 0, 0, Smoke::mf_static, 23, 28},	//860 Soprano::Vocabulary::Xesam::interlaceMode()
    {53, 76, 0, 0, Smoke::mf_static, 23, 29},	//861 Soprano::Vocabulary::Xesam::FileSystem()
    {53, 609, 0, 0, Smoke::mf_static, 23, 30},	//862 Soprano::Vocabulary::Xesam::mimeType()
    {53, 366, 0, 0, Smoke::mf_static, 23, 31},	//863 Soprano::Vocabulary::Xesam::creator()
    {53, 345, 0, 0, Smoke::mf_static, 23, 32},	//864 Soprano::Vocabulary::Xesam::contentCreated()
    {53, 595, 0, 0, Smoke::mf_static, 23, 33},	//865 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {53, 700, 0, 0, Smoke::mf_static, 23, 34},	//866 Soprano::Vocabulary::Xesam::receptionTime()
    {53, 762, 0, 0, Smoke::mf_static, 23, 35},	//867 Soprano::Vocabulary::Xesam::setCount()
    {53, 195, 0, 0, Smoke::mf_static, 23, 36},	//868 Soprano::Vocabulary::Xesam::Source()
    {53, 312, 0, 0, Smoke::mf_static, 23, 37},	//869 Soprano::Vocabulary::Xesam::comment()
    {53, 351, 0, 0, Smoke::mf_static, 23, 38},	//870 Soprano::Vocabulary::Xesam::copyright()
    {53, 218, 0, 0, Smoke::mf_static, 23, 39},	//871 Soprano::Vocabulary::Xesam::Video()
    {53, 895, 0, 0, Smoke::mf_static, 23, 40},	//872 Soprano::Vocabulary::Xesam::wordCount()
    {53, 315, 0, 0, Smoke::mf_static, 23, 41},	//873 Soprano::Vocabulary::Xesam::communicationChannel()
    {53, 464, 0, 0, Smoke::mf_static, 23, 42},	//874 Soprano::Vocabulary::Xesam::group()
    {53, 436, 0, 0, Smoke::mf_static, 23, 43},	//875 Soprano::Vocabulary::Xesam::familyName()
    {53, 589, 0, 0, Smoke::mf_static, 23, 44},	//876 Soprano::Vocabulary::Xesam::localRevision()
    {53, 322, 0, 0, Smoke::mf_static, 23, 45},	//877 Soprano::Vocabulary::Xesam::contactMedium()
    {53, 317, 0, 0, Smoke::mf_static, 23, 46},	//878 Soprano::Vocabulary::Xesam::composer()
    {53, 265, 0, 0, Smoke::mf_static, 23, 47},	//879 Soprano::Vocabulary::Xesam::audioBitrate()
    {53, 678, 0, 0, Smoke::mf_static, 23, 48},	//880 Soprano::Vocabulary::Xesam::postalAddress()
    {53, 603, 0, 0, Smoke::mf_static, 23, 49},	//881 Soprano::Vocabulary::Xesam::mediaDuration()
    {53, 479, 0, 0, Smoke::mf_static, 23, 50},	//882 Soprano::Vocabulary::Xesam::homepageContactURL()
    {53, 866, 0, 0, Smoke::mf_static, 23, 51},	//883 Soprano::Vocabulary::Xesam::url()
    {53, 325, 0, 0, Smoke::mf_static, 23, 52},	//884 Soprano::Vocabulary::Xesam::contains()
    {53, 103, 0, 0, Smoke::mf_static, 23, 53},	//885 Soprano::Vocabulary::Xesam::MediaList()
    {53, 314, 0, 0, Smoke::mf_static, 23, 54},	//886 Soprano::Vocabulary::Xesam::commitDiff()
    {53, 461, 0, 0, Smoke::mf_static, 23, 55},	//887 Soprano::Vocabulary::Xesam::genre()
    {53, 383, 0, 0, Smoke::mf_static, 23, 56},	//888 Soprano::Vocabulary::Xesam::description()
    {53, 393, 0, 0, Smoke::mf_static, 23, 57},	//889 Soprano::Vocabulary::Xesam::discNumber()
    {53, 104, 0, 0, Smoke::mf_static, 23, 58},	//890 Soprano::Vocabulary::Xesam::Message()
    {53, 268, 0, 0, Smoke::mf_static, 23, 59},	//891 Soprano::Vocabulary::Xesam::audioCodecType()
    {53, 124, 0, 0, Smoke::mf_static, 23, 60},	//892 Soprano::Vocabulary::Xesam::Organization()
    {53, 645, 0, 0, Smoke::mf_static, 23, 61},	//893 Soprano::Vocabulary::Xesam::originURL()
    {53, 856, 0, 0, Smoke::mf_static, 23, 62},	//894 Soprano::Vocabulary::Xesam::trackNumber()
    {53, 294, 0, 0, Smoke::mf_static, 23, 63},	//895 Soprano::Vocabulary::Xesam::cc()
    {53, 125, 0, 0, Smoke::mf_static, 23, 64},	//896 Soprano::Vocabulary::Xesam::POP3Message()
    {53, 374, 0, 0, Smoke::mf_static, 23, 65},	//897 Soprano::Vocabulary::Xesam::definesClass()
    {53, 646, 0, 0, Smoke::mf_static, 23, 66},	//898 Soprano::Vocabulary::Xesam::originalLocation()
    {53, 263, 0, 0, Smoke::mf_static, 23, 67},	//899 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {53, 486, 0, 0, Smoke::mf_static, 23, 68},	//900 Soprano::Vocabulary::Xesam::imContactMedium()
    {53, 605, 0, 0, Smoke::mf_static, 23, 69},	//901 Soprano::Vocabulary::Xesam::mergeConflict()
    {53, 440, 0, 0, Smoke::mf_static, 23, 70},	//902 Soprano::Vocabulary::Xesam::fingerprint()
    {53, 481, 0, 0, Smoke::mf_static, 23, 71},	//903 Soprano::Vocabulary::Xesam::honorificSuffix()
    {53, 540, 0, 0, Smoke::mf_static, 23, 72},	//904 Soprano::Vocabulary::Xesam::isoEquivalent()
    {53, 897, 0, 0, Smoke::mf_static, 23, 73},	//905 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {53, 271, 0, 0, Smoke::mf_static, 23, 74},	//906 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {53, 416, 0, 0, Smoke::mf_static, 23, 75},	//907 Soprano::Vocabulary::Xesam::emailAddress()
    {53, 319, 0, 0, Smoke::mf_static, 23, 76},	//908 Soprano::Vocabulary::Xesam::compressionLevel()
    {53, 840, 0, 0, Smoke::mf_static, 23, 77},	//909 Soprano::Vocabulary::Xesam::title()
    {53, 297, 0, 0, Smoke::mf_static, 23, 78},	//910 Soprano::Vocabulary::Xesam::changeCommitTime()
    {53, 102, 0, 0, Smoke::mf_static, 23, 79},	//911 Soprano::Vocabulary::Xesam::Media()
    {53, 433, 0, 0, Smoke::mf_static, 23, 80},	//912 Soprano::Vocabulary::Xesam::exposureProgram()
    {53, 515, 0, 0, Smoke::mf_static, 23, 81},	//913 Soprano::Vocabulary::Xesam::isEncrypted()
    {53, 57, 0, 0, Smoke::mf_static, 23, 82},	//914 Soprano::Vocabulary::Xesam::DeletedFile()
    {53, 615, 0, 0, Smoke::mf_static, 23, 83},	//915 Soprano::Vocabulary::Xesam::mountPoint()
    {53, 439, 0, 0, Smoke::mf_static, 23, 84},	//916 Soprano::Vocabulary::Xesam::fileSystemType()
    {53, 301, 0, 0, Smoke::mf_static, 23, 85},	//917 Soprano::Vocabulary::Xesam::chatRoom()
    {53, 438, 0, 0, Smoke::mf_static, 23, 86},	//918 Soprano::Vocabulary::Xesam::fileExtension()
    {53, 135, 0, 0, Smoke::mf_static, 23, 87},	//919 Soprano::Vocabulary::Xesam::PersonalEmail()
    {53, 437, 0, 0, Smoke::mf_static, 23, 88},	//920 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {53, 42, 0, 0, Smoke::mf_static, 23, 89},	//921 Soprano::Vocabulary::Xesam::Bookmark()
    {53, 105, 0, 0, Smoke::mf_static, 23, 90},	//922 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {53, 488, 0, 0, Smoke::mf_static, 23, 91},	//923 Soprano::Vocabulary::Xesam::inReplyTo()
    {53, 526, 0, 0, Smoke::mf_static, 23, 92},	//924 Soprano::Vocabulary::Xesam::isPublicChannel()
    {53, 601, 0, 0, Smoke::mf_static, 23, 93},	//925 Soprano::Vocabulary::Xesam::mediaCodec()
    {53, 901, 0, 0, Smoke::mf_static, 23, 94},	//926 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {53, 704, 0, 0, Smoke::mf_static, 23, 95},	//927 Soprano::Vocabulary::Xesam::remotePort()
    {53, 740, 0, 0, Smoke::mf_static, 23, 96},	//928 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {53, 647, 0, 0, Smoke::mf_static, 23, 97},	//929 Soprano::Vocabulary::Xesam::otherName()
    {53, 296, 0, 0, Smoke::mf_static, 23, 98},	//930 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {53, 504, 0, 0, Smoke::mf_static, 23, 99},	//931 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {53, 630, 0, 0, Smoke::mf_static, 23, 100},	//932 Soprano::Vocabulary::Xesam::occupiedSpace()
    {53, 10, 0, 0, Smoke::mf_static, 23, 101},	//933 Soprano::Vocabulary::Xesam::Audio()
    {53, 89, 0, 0, Smoke::mf_static, 23, 102},	//934 Soprano::Vocabulary::Xesam::Image()
    {53, 616, 0, 0, Smoke::mf_static, 23, 103},	//935 Soprano::Vocabulary::Xesam::name()
    {53, 11, 0, 0, Smoke::mf_static, 23, 104},	//936 Soprano::Vocabulary::Xesam::AudioList()
    {53, 600, 0, 0, Smoke::mf_static, 23, 105},	//937 Soprano::Vocabulary::Xesam::mediaBitrate()
    {53, 674, 0, 0, Smoke::mf_static, 23, 106},	//938 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {53, 217, 0, 0, Smoke::mf_static, 23, 107},	//939 Soprano::Vocabulary::Xesam::UncategorizedText()
    {53, 309, 0, 0, Smoke::mf_static, 23, 108},	//940 Soprano::Vocabulary::Xesam::colorCount()
    {53, 299, 0, 0, Smoke::mf_static, 23, 109},	//941 Soprano::Vocabulary::Xesam::characterCount()
    {53, 346, 0, 0, Smoke::mf_static, 23, 110},	//942 Soprano::Vocabulary::Xesam::contentKeyword()
    {53, 245, 0, 0, Smoke::mf_static, 23, 111},	//943 Soprano::Vocabulary::Xesam::albumArtist()
    {53, 269, 0, 0, Smoke::mf_static, 23, 112},	//944 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {53, 797, 0, 0, Smoke::mf_static, 23, 113},	//945 Soprano::Vocabulary::Xesam::size()
    {53, 559, 0, 0, Smoke::mf_static, 23, 114},	//946 Soprano::Vocabulary::Xesam::lastRefreshed()
    {53, 891, 0, 0, Smoke::mf_static, 23, 115},	//947 Soprano::Vocabulary::Xesam::videoCodecType()
    {53, 706, 0, 0, Smoke::mf_static, 23, 116},	//948 Soprano::Vocabulary::Xesam::remoteUser()
    {53, 444, 0, 0, Smoke::mf_static, 23, 117},	//949 Soprano::Vocabulary::Xesam::firstUsed()
    {53, 872, 0, 0, Smoke::mf_static, 23, 118},	//950 Soprano::Vocabulary::Xesam::userRating()
    {53, 800, 0, 0, Smoke::mf_static, 23, 119},	//951 Soprano::Vocabulary::Xesam::sourceModified()
    {53, 608, 0, 0, Smoke::mf_static, 23, 120},	//952 Soprano::Vocabulary::Xesam::meteringMode()
    {53, 893, 0, 0, Smoke::mf_static, 23, 121},	//953 Soprano::Vocabulary::Xesam::whiteBalance()
    {53, 86, 0, 0, Smoke::mf_static, 23, 122},	//954 Soprano::Vocabulary::Xesam::IMAP4Message()
    {53, 599, 0, 0, Smoke::mf_static, 23, 123},	//955 Soprano::Vocabulary::Xesam::md5Hash()
    {53, 450, 0, 0, Smoke::mf_static, 23, 124},	//956 Soprano::Vocabulary::Xesam::frameRate()
    {53, 554, 0, 0, Smoke::mf_static, 23, 125},	//957 Soprano::Vocabulary::Xesam::knows()
    {53, 593, 0, 0, Smoke::mf_static, 23, 126},	//958 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {53, 164, 0, 0, Smoke::mf_static, 23, 127},	//959 Soprano::Vocabulary::Xesam::RemoteResource()
    {53, 227, 0, 0, Smoke::mf_static, 23, 128},	//960 Soprano::Vocabulary::Xesam::acl()
    {53, 518, 0, 0, Smoke::mf_static, 23, 129},	//961 Soprano::Vocabulary::Xesam::isInProgress()
    {53, 870, 0, 0, Smoke::mf_static, 23, 130},	//962 Soprano::Vocabulary::Xesam::userKeyword()
    {53, 323, 0, 0, Smoke::mf_static, 23, 131},	//963 Soprano::Vocabulary::Xesam::contactNick()
    {53, 482, 0, 0, Smoke::mf_static, 23, 132},	//964 Soprano::Vocabulary::Xesam::horizontalResolution()
    {53, 889, 0, 0, Smoke::mf_static, 23, 133},	//965 Soprano::Vocabulary::Xesam::videoBitrate()
    {53, 47, 0, 0, Smoke::mf_static, 23, 134},	//966 Soprano::Vocabulary::Xesam::ContactGroup()
    {53, 561, 0, 0, Smoke::mf_static, 23, 135},	//967 Soprano::Vocabulary::Xesam::legal()
    {53, 87, 0, 0, Smoke::mf_static, 23, 136},	//968 Soprano::Vocabulary::Xesam::IMMessage()
    {53, 888, 0, 0, Smoke::mf_static, 23, 137},	//969 Soprano::Vocabulary::Xesam::verticalResolution()
    {53, 451, 0, 0, Smoke::mf_static, 23, 138},	//970 Soprano::Vocabulary::Xesam::freeSpace()
    {53, 735, 0, 0, Smoke::mf_static, 23, 139},	//971 Soprano::Vocabulary::Xesam::rowCount()
    {53, 685, 0, 0, Smoke::mf_static, 23, 140},	//972 Soprano::Vocabulary::Xesam::programmingLanguage()
    {53, 376, 0, 0, Smoke::mf_static, 23, 141},	//973 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {53, 846, 0, 0, Smoke::mf_static, 23, 142},	//974 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {53, 50, 0, 0, Smoke::mf_static, 23, 143},	//975 Soprano::Vocabulary::Xesam::Content()
    {53, 266, 0, 0, Smoke::mf_static, 23, 144},	//976 Soprano::Vocabulary::Xesam::audioChannels()
    {53, 432, 0, 0, Smoke::mf_static, 23, 145},	//977 Soprano::Vocabulary::Xesam::exposureBias()
    {53, 292, 0, 0, Smoke::mf_static, 23, 146},	//978 Soprano::Vocabulary::Xesam::cameraModel()
    {53, 434, 0, 0, Smoke::mf_static, 23, 147},	//979 Soprano::Vocabulary::Xesam::exposureTime()
    {53, 379, 0, 0, Smoke::mf_static, 23, 148},	//980 Soprano::Vocabulary::Xesam::deletionTime()
    {53, 553, 0, 0, Smoke::mf_static, 23, 149},	//981 Soprano::Vocabulary::Xesam::keyword()
    {53, 867, 0, 0, Smoke::mf_static, 23, 150},	//982 Soprano::Vocabulary::Xesam::useCount()
    {53, 857, 0, 0, Smoke::mf_static, 23, 151},	//983 Soprano::Vocabulary::Xesam::trackPeakGain()
    {53, 458, 0, 0, Smoke::mf_static, 23, 152},	//984 Soprano::Vocabulary::Xesam::gender()
    {53, 855, 0, 0, Smoke::mf_static, 23, 153},	//985 Soprano::Vocabulary::Xesam::trackGain()
    {53, 214, 0, 0, Smoke::mf_static, 23, 154},	//986 Soprano::Vocabulary::Xesam::TextDocument()
    {53, 594, 0, 0, Smoke::mf_static, 23, 155},	//987 Soprano::Vocabulary::Xesam::maintainer()
    {53, 702, 0, 0, Smoke::mf_static, 23, 156},	//988 Soprano::Vocabulary::Xesam::related()
    {53, 845, 0, 0, Smoke::mf_static, 23, 157},	//989 Soprano::Vocabulary::Xesam::totalSpace()
    {53, 156, 0, 0, Smoke::mf_static, 23, 158},	//990 Soprano::Vocabulary::Xesam::RSSMessage()
    {53, 291, 0, 0, Smoke::mf_static, 23, 159},	//991 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {53, 894, 0, 0, Smoke::mf_static, 23, 160},	//992 Soprano::Vocabulary::Xesam::width()
    {53, 729, 0, 0, Smoke::mf_static, 23, 161},	//993 Soprano::Vocabulary::Xesam::replyTo()
    {53, 649, 0, 0, Smoke::mf_static, 23, 162},	//994 Soprano::Vocabulary::Xesam::owner()
    {53, 121, 0, 0, Smoke::mf_static, 23, 163},	//995 Soprano::Vocabulary::Xesam::OfflineMedia()
    {53, 841, 0, 0, Smoke::mf_static, 23, 164},	//996 Soprano::Vocabulary::Xesam::to()
    {53, 780, 0, 0, Smoke::mf_static, 23, 165},	//997 Soprano::Vocabulary::Xesam::setRate()
    {53, 169, 0, 0, Smoke::mf_static, 23, 166},	//998 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {53, 477, 0, 0, Smoke::mf_static, 23, 167},	//999 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {53, 492, 0, 0, Smoke::mf_static, 23, 168},	//1000 Soprano::Vocabulary::Xesam::interest()
    {53, 273, 0, 0, Smoke::mf_static, 23, 169},	//1001 Soprano::Vocabulary::Xesam::author()
    {53, 565, 0, 0, Smoke::mf_static, 23, 170},	//1002 Soprano::Vocabulary::Xesam::links()
    {53, 194, 0, 0, Smoke::mf_static, 23, 171},	//1003 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {53, 110, 0, 0, Smoke::mf_static, 23, 172},	//1004 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {53, 64, 0, 0, Smoke::mf_static, 23, 173},	//1005 Soprano::Vocabulary::Xesam::Email()
    {53, 267, 0, 0, Smoke::mf_static, 23, 174},	//1006 Soprano::Vocabulary::Xesam::audioCodec()
    {53, 220, 0, 0, Smoke::mf_static, 23, 175},	//1007 Soprano::Vocabulary::Xesam::Visual()
    {53, 822, 0, 0, Smoke::mf_static, 23, 176},	//1008 Soprano::Vocabulary::Xesam::subject()
    {53, 619, 0, 0, Smoke::mf_static, 23, 177},	//1009 Soprano::Vocabulary::Xesam::newsGroup()
    {53, 517, 0, 0, Smoke::mf_static, 23, 178},	//1010 Soprano::Vocabulary::Xesam::isImportant()
    {53, 478, 0, 0, Smoke::mf_static, 23, 179},	//1011 Soprano::Vocabulary::Xesam::homePostalAddress()
    {53, 560, 0, 0, Smoke::mf_static, 23, 180},	//1012 Soprano::Vocabulary::Xesam::lastUsed()
    {53, 248, 0, 0, Smoke::mf_static, 23, 181},	//1013 Soprano::Vocabulary::Xesam::albumTrackCount()
    {53, 300, 0, 0, Smoke::mf_static, 23, 182},	//1014 Soprano::Vocabulary::Xesam::charset()
    {53, 825, 0, 0, Smoke::mf_static, 23, 183},	//1015 Soprano::Vocabulary::Xesam::supercedes()
    {53, 869, 0, 0, Smoke::mf_static, 23, 184},	//1016 Soprano::Vocabulary::Xesam::userComment()
    {53, 460, 0, 0, Smoke::mf_static, 23, 185},	//1017 Soprano::Vocabulary::Xesam::generatorOptions()
    {53, 413, 0, 0, Smoke::mf_static, 23, 186},	//1018 Soprano::Vocabulary::Xesam::documentCategory()
    {53, 813, 0, 0, Smoke::mf_static, 23, 187},	//1019 Soprano::Vocabulary::Xesam::storageSize()
    {53, 382, 0, 0, Smoke::mf_static, 23, 188},	//1020 Soprano::Vocabulary::Xesam::derivedFrom()
    {53, 591, 0, 0, Smoke::mf_static, 23, 189},	//1021 Soprano::Vocabulary::Xesam::lyricist()
    {53, 211, 0, 0, Smoke::mf_static, 23, 190},	//1022 Soprano::Vocabulary::Xesam::SystemResource()
    {53, 644, 0, 0, Smoke::mf_static, 23, 191},	//1023 Soprano::Vocabulary::Xesam::orientation()
    {53, 287, 0, 0, Smoke::mf_static, 23, 192},	//1024 Soprano::Vocabulary::Xesam::blogContactURL()
    {53, 262, 0, 0, Smoke::mf_static, 23, 193},	//1025 Soprano::Vocabulary::Xesam::aspectRatio()
    {53, 310, 0, 0, Smoke::mf_static, 23, 194},	//1026 Soprano::Vocabulary::Xesam::colorSpace()
    {53, 380, 0, 0, Smoke::mf_static, 23, 195},	//1027 Soprano::Vocabulary::Xesam::depends()
    {53, 270, 0, 0, Smoke::mf_static, 23, 196},	//1028 Soprano::Vocabulary::Xesam::audioSampleCount()
    {53, 675, 0, 0, Smoke::mf_static, 23, 197},	//1029 Soprano::Vocabulary::Xesam::pixelDataType()
    {53, 313, 0, 0, Smoke::mf_static, 23, 198},	//1030 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {53, 348, 0, 0, Smoke::mf_static, 23, 199},	//1031 Soprano::Vocabulary::Xesam::contentType()
    {53, 650, 0, 0, Smoke::mf_static, 23, 200},	//1032 Soprano::Vocabulary::Xesam::pageCount()
    {53, 874, 0, 0, Smoke::mf_static, 23, 201},	//1033 Soprano::Vocabulary::Xesam::usesNamespace()
    {53, 447, 0, 0, Smoke::mf_static, 23, 202},	//1034 Soprano::Vocabulary::Xesam::focusDistance()
    {53, 556, 0, 0, Smoke::mf_static, 23, 203},	//1035 Soprano::Vocabulary::Xesam::language()
    {53, 823, 0, 0, Smoke::mf_static, 23, 204},	//1036 Soprano::Vocabulary::Xesam::summary()
    {53, 394, 0, 0, Smoke::mf_static, 23, 205},	//1037 Soprano::Vocabulary::Xesam::disclaimer()
    {53, 670, 0, 0, Smoke::mf_static, 23, 206},	//1038 Soprano::Vocabulary::Xesam::permissions()
    {53, 705, 0, 0, Smoke::mf_static, 23, 207},	//1039 Soprano::Vocabulary::Xesam::remoteServer()
    {53, 108, 0, 0, Smoke::mf_static, 23, 208},	//1040 Soprano::Vocabulary::Xesam::Music()
    {53, 279, 0, 0, Smoke::mf_static, 23, 209},	//1041 Soprano::Vocabulary::Xesam::bcc()
    {53, 109, 0, 0, Smoke::mf_static, 23, 210},	//1042 Soprano::Vocabulary::Xesam::NewsGroup()
    {53, 673, 0, 0, Smoke::mf_static, 23, 211},	//1043 Soprano::Vocabulary::Xesam::phoneNumber()
    {53, 446, 0, 0, Smoke::mf_static, 23, 212},	//1044 Soprano::Vocabulary::Xesam::focalLength()
    {53, 101, 0, 0, Smoke::mf_static, 23, 213},	//1045 Soprano::Vocabulary::Xesam::MailingListEmail()
    {53, 213, 0, 0, Smoke::mf_static, 23, 214},	//1046 Soprano::Vocabulary::Xesam::Text()
    {53, 244, 0, 0, Smoke::mf_static, 23, 215},	//1047 Soprano::Vocabulary::Xesam::album()
    {53, 247, 0, 0, Smoke::mf_static, 23, 216},	//1048 Soprano::Vocabulary::Xesam::albumPeakGain()
    {53, 445, 0, 0, Smoke::mf_static, 23, 217},	//1049 Soprano::Vocabulary::Xesam::flashUsed()
    {53, 46, 0, 0, Smoke::mf_static, 23, 218},	//1050 Soprano::Vocabulary::Xesam::Contact()
    {53, 484, 0, 0, Smoke::mf_static, 23, 219},	//1051 Soprano::Vocabulary::Xesam::id()
    {53, 52, 0, 0, Smoke::mf_static, 23, 220},	//1052 Soprano::Vocabulary::Xesam::DataObject()
    {53, 318, 0, 0, Smoke::mf_static, 23, 221},	//1053 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {53, 703, 0, 0, Smoke::mf_static, 23, 222},	//1054 Soprano::Vocabulary::Xesam::remotePassword()
    {53, 163, 0, 0, Smoke::mf_static, 23, 223},	//1055 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {53, 375, 0, 0, Smoke::mf_static, 23, 224},	//1056 Soprano::Vocabulary::Xesam::definesFunction()
    {53, 459, 0, 0, Smoke::mf_static, 23, 225},	//1057 Soprano::Vocabulary::Xesam::generator()
    {53, 736, 0, 0, Smoke::mf_static, 23, 226},	//1058 Soprano::Vocabulary::Xesam::rssFeed()
    {53, 272, 0, 0, Smoke::mf_static, 23, 227},	//1059 Soprano::Vocabulary::Xesam::audioSampleRate()
    {53, 100, 0, 0, Smoke::mf_static, 23, 228},	//1060 Soprano::Vocabulary::Xesam::MailingList()
    {53, 836, 0, 0, Smoke::mf_static, 23, 229},	//1061 Soprano::Vocabulary::Xesam::targetQuality()
    {53, 196, 0, 0, Smoke::mf_static, 23, 230},	//1062 Soprano::Vocabulary::Xesam::SourceCode()
    {53, 741, 0, 0, Smoke::mf_static, 23, 231},	//1063 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {53, 75, 0, 0, Smoke::mf_static, 23, 232},	//1064 Soprano::Vocabulary::Xesam::File()
    {53, 462, 0, 0, Smoke::mf_static, 23, 233},	//1065 Soprano::Vocabulary::Xesam::givenName()
    {53, 671, 0, 0, Smoke::mf_static, 23, 234},	//1066 Soprano::Vocabulary::Xesam::personPhoto()
    {53, 350, 0, 0, Smoke::mf_static, 23, 235},	//1067 Soprano::Vocabulary::Xesam::contributor()
    {53, 260, 0, 0, Smoke::mf_static, 23, 236},	//1068 Soprano::Vocabulary::Xesam::artist()
    {53, 197, 0, 0, Smoke::mf_static, 23, 237},	//1069 Soprano::Vocabulary::Xesam::Spreadsheet()
    {53, 324, 0, 0, Smoke::mf_static, 23, 238},	//1070 Soprano::Vocabulary::Xesam::contactURL()
    {53, 259, 0, 0, Smoke::mf_static, 23, 239},	//1071 Soprano::Vocabulary::Xesam::aperture()
    {53, 480, 0, 0, Smoke::mf_static, 23, 240},	//1072 Soprano::Vocabulary::Xesam::honorificPrefix()
    {53, 264, 0, 0, Smoke::mf_static, 23, 241},	//1073 Soprano::Vocabulary::Xesam::audioBPM()
    {53, 295, 0, 0, Smoke::mf_static, 23, 242},	//1074 Soprano::Vocabulary::Xesam::ccdWidth()
    {53, 530, 0, 0, Smoke::mf_static, 23, 243},	//1075 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {53, 552, 0, 0, Smoke::mf_static, 23, 244},	//1076 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {53, 63, 0, 0, Smoke::mf_static, 23, 245},	//1077 Soprano::Vocabulary::Xesam::Documentation()
    {53, 221, 0, 0, Smoke::mf_static, 23, 246},	//1078 Soprano::Vocabulary::Xesam::XML()
    {53, 168, 0, 0, Smoke::mf_static, 23, 247},	//1079 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {53, 278, 0, 0, Smoke::mf_static, 23, 248},	//1080 Soprano::Vocabulary::Xesam::baseRevisionID()
    {53, 5, 0, 0, Smoke::mf_static, 23, 249},	//1081 Soprano::Vocabulary::Xesam::Archive()
    {53, 261, 0, 0, Smoke::mf_static, 23, 250},	//1082 Soprano::Vocabulary::Xesam::asText()
    {53, 44, 0, 0, Smoke::mf_static, 23, 251},	//1083 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {53, 476, 0, 0, Smoke::mf_static, 23, 252},	//1084 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {53, 896, 0, 0, Smoke::mf_static, 23, 253},	//1085 Soprano::Vocabulary::Xesam::workEmailAddress()
    {53, 347, 0, 0, Smoke::mf_static, 23, 254},	//1086 Soprano::Vocabulary::Xesam::contentModified()
    {53, 155, 0, 0, Smoke::mf_static, 23, 255},	//1087 Soprano::Vocabulary::Xesam::RSSFeed()
    {53, 61, 0, 0, Smoke::mf_static, 23, 256},	//1088 Soprano::Vocabulary::Xesam::Document()
    {53, 592, 0, 0, Smoke::mf_static, 23, 257},	//1089 Soprano::Vocabulary::Xesam::mailingList()
    {53, 564, 0, 0, Smoke::mf_static, 23, 258},	//1090 Soprano::Vocabulary::Xesam::lineCount()
    {53, 669, 0, 0, Smoke::mf_static, 23, 259},	//1091 Soprano::Vocabulary::Xesam::performer()
    {53, 6, 0, 0, Smoke::mf_static, 23, 260},	//1092 Soprano::Vocabulary::Xesam::ArchivedFile()
    {53, 65, 0, 0, Smoke::mf_static, 23, 261},	//1093 Soprano::Vocabulary::Xesam::EmailAttachment()
    {53, 344, 0, 0, Smoke::mf_static, 23, 262},	//1094 Soprano::Vocabulary::Xesam::contentComment()
    {53, 745, 0, 0, Smoke::mf_static, 23, 263},	//1095 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {53, 448, 0, 0, Smoke::mf_static, 23, 264},	//1096 Soprano::Vocabulary::Xesam::formatSubtype()
    {53, 141, 0, 0, Smoke::mf_static, 23, 265},	//1097 Soprano::Vocabulary::Xesam::Project()
    {53, 747, 0, 0, Smoke::mf_static, 23, 266},	//1098 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {53, 799, 0, 0, Smoke::mf_static, 23, 267},	//1099 Soprano::Vocabulary::Xesam::sourceCreated()
    {53, 212, 0, 0, Smoke::mf_static, 23, 268},	//1100 Soprano::Vocabulary::Xesam::Tag()
    {53, 882, 0, 0, Smoke::mf_static, 23, 269},	//1101 Soprano::Vocabulary::Xesam::version()
    {53, 890, 0, 0, Smoke::mf_static, 23, 270},	//1102 Soprano::Vocabulary::Xesam::videoCodec()
    {53, 742, 0, 0, Smoke::mf_static, 23, 271},	//1103 Soprano::Vocabulary::Xesam::sampleDataType()
    {53, 134, 0, 0, Smoke::mf_static, 23, 272},	//1104 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    24,  // Soprano::qHash(const Soprano::Node&)
    27,  // Soprano::qHash(const Soprano::Statement&)
    34,  // Soprano::qHash(const Soprano::LanguageTag&)
    48,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    23,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    40,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    41,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    52,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    22,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    39,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    38,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    50,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
    105,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    112,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    357,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    358,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    365,  // Soprano::QueryResultIterator::binding(const QString&) const
    366,  // Soprano::QueryResultIterator::binding(int) const
    0,
    374,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    375,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    363,  // Soprano::QueryResultIterator::operator[](int) const
    364,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    94,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    95,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    546,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    547,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    255,  // Soprano::Node::Node(const QUrl&)
    257,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    259,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    260,  // Soprano::Node::operator=(const Soprano::Node&)
    261,  // Soprano::Node::operator=(const QUrl&)
    262,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    263,  // Soprano::Node::operator==(const Soprano::Node&) const
    265,  // Soprano::Node::operator==(const QUrl&) const
    266,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    125,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    128,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    129,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 143, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 144, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 145, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 146, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 147, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 148, 8},	// QGlobalSpace::QtCriticalMsg
    {4, 149, 6},	// QGlobalSpace::QtDebugMsg
    {4, 150, 9},	// QGlobalSpace::QtFatalMsg
    {4, 151, 10},	// QGlobalSpace::QtSystemMsg
    {4, 152, 7},	// QGlobalSpace::QtWarningMsg
    {4, 223, 13},	// QGlobalSpace::__codecvt_error
    {4, 224, 14},	// QGlobalSpace::__codecvt_noconv
    {4, 225, 11},	// QGlobalSpace::__codecvt_ok
    {4, 226, 12},	// QGlobalSpace::__codecvt_partial
    {12, 15, 55},	// Soprano::BackendFeatureAddStatement
    {12, 16, 63},	// Soprano::BackendFeatureAll
    {12, 17, 61},	// Soprano::BackendFeatureContext
    {12, 18, 59},	// Soprano::BackendFeatureInference
    {12, 19, 60},	// Soprano::BackendFeatureInferenceOptional
    {12, 20, 57},	// Soprano::BackendFeatureListStatements
    {12, 21, 54},	// Soprano::BackendFeatureNone
    {12, 22, 58},	// Soprano::BackendFeatureQuery
    {12, 23, 56},	// Soprano::BackendFeatureRemoveStatements
    {12, 24, 62},	// Soprano::BackendFeatureStorageMemory
    {12, 25, 64},	// Soprano::BackendFeatureUser
    {12, 26, 67},	// Soprano::BackendOptionEnableInference
    {12, 27, 69},	// Soprano::BackendOptionHost
    {12, 28, 65},	// Soprano::BackendOptionNone
    {12, 29, 72},	// Soprano::BackendOptionPassword
    {12, 30, 70},	// Soprano::BackendOptionPort
    {12, 31, 68},	// Soprano::BackendOptionStorageDir
    {12, 32, 66},	// Soprano::BackendOptionStorageMemory
    {12, 33, 73},	// Soprano::BackendOptionUser
    {12, 34, 71},	// Soprano::BackendOptionUsername
    {12, 174, 76},	// Soprano::SerializationN3
    {12, 175, 80},	// Soprano::SerializationNQuads
    {12, 176, 77},	// Soprano::SerializationNTriples
    {12, 177, 75},	// Soprano::SerializationRdfXml
    {12, 178, 79},	// Soprano::SerializationTrig
    {12, 179, 78},	// Soprano::SerializationTurtle
    {12, 180, 74},	// Soprano::SerializationUnknown
    {12, 181, 81},	// Soprano::SerializationUser
    {12, 360, 36},	// Soprano::createModel
    {12, 361, 35},	// Soprano::createModel?
    {12, 397, 26},	// Soprano::discoverBackendByFeatures$
    {12, 398, 25},	// Soprano::discoverBackendByFeatures$?
    {12, 400, 31},	// Soprano::discoverBackendByName$
    {12, 521, 44},	// Soprano::isOptionInSettings?$
    {12, 522, 43},	// Soprano::isOptionInSettings?$$
    {12, 611, 28},	// Soprano::mimeTypeToSerialization$
    {12, 688, -1},	// Soprano::qHash#
    {12, 751, 30},	// Soprano::serializationMimeType$
    {12, 752, 29},	// Soprano::serializationMimeType$$
    {12, 788, 33},	// Soprano::setUsedBackend#
    {12, 792, 42},	// Soprano::settingInSettings?
    {12, 793, -6},	// Soprano::settingInSettings?$
    {12, 794, -11},	// Soprano::settingInSettings?$$
    {12, 868, 51},	// Soprano::usedBackend
    {12, 877, -14},	// Soprano::valueInSettings?$
    {12, 878, 37},	// Soprano::valueInSettings?$#
    {12, 879, 49},	// Soprano::valueInSettings?$$
    {12, 881, 32},	// Soprano::valueInSettingsWithDefault?$#
    {12, 884, 46},	// Soprano::versionMajor
    {12, 885, 53},	// Soprano::versionMinor
    {12, 886, 47},	// Soprano::versionRelease
    {12, 887, 45},	// Soprano::versionString
    {13, 13, 88},	// Soprano::Backend::Backend#
    {13, 14, 82},	// Soprano::Backend::Backend$
    {13, 360, 89},	// Soprano::Backend::createModel
    {13, 361, 83},	// Soprano::Backend::createModel?
    {13, 378, 84},	// Soprano::Backend::deleteModelData?
    {13, 826, 85},	// Soprano::Backend::supportedFeatures
    {13, 828, 86},	// Soprano::Backend::supportedUserFeatures
    {13, 831, 90},	// Soprano::Backend::supportsFeatures$
    {13, 832, 87},	// Soprano::Backend::supportsFeatures$?
    {13, 912, 91},	// Soprano::Backend::~Backend
    {14, 35, 92},	// Soprano::BackendSetting::BackendSetting
    {14, 36, 96},	// Soprano::BackendSetting::BackendSetting#
    {14, 37, 93},	// Soprano::BackendSetting::BackendSetting$
    {14, 38, -32},	// Soprano::BackendSetting::BackendSetting$#
    {14, 637, 97},	// Soprano::BackendSetting::operator=#
    {14, 643, 98},	// Soprano::BackendSetting::option
    {14, 790, 101},	// Soprano::BackendSetting::setValue#
    {14, 871, 99},	// Soprano::BackendSetting::userOptionName
    {14, 875, 100},	// Soprano::BackendSetting::value
    {14, 913, 102},	// Soprano::BackendSetting::~BackendSetting
    {16, 68, 103},	// Soprano::Error::Error::Error
    {16, 69, -17},	// Soprano::Error::Error::Error#
    {16, 70, 113},	// Soprano::Error::Error::Error$
    {16, 71, 104},	// Soprano::Error::Error::Error$$
    {16, 308, 109},	// Soprano::Error::Error::code
    {16, 523, 110},	// Soprano::Error::Error::isParserError
    {16, 606, 108},	// Soprano::Error::Error::message
    {16, 633, 107},	// Soprano::Error::Error::operator bool
    {16, 637, 106},	// Soprano::Error::Error::operator=#
    {16, 843, 111},	// Soprano::Error::Error::toParserError
    {16, 914, 114},	// Soprano::Error::Error::~Error
    {17, 72, 116},	// Soprano::Error::ErrorCache::ErrorCache
    {17, 73, 120},	// Soprano::Error::ErrorCache::ErrorCache#
    {17, 304, 117},	// Soprano::Error::ErrorCache::clearError
    {17, 557, 115},	// Soprano::Error::ErrorCache::lastError
    {17, 764, 118},	// Soprano::Error::ErrorCache::setError#
    {17, 765, 121},	// Soprano::Error::ErrorCache::setError$
    {17, 766, 119},	// Soprano::Error::ErrorCache::setError$$
    {17, 915, 122},	// Soprano::Error::ErrorCache::~ErrorCache
    {20, 129, 123},	// Soprano::Error::ParserError::ParserError
    {20, 130, -50},	// Soprano::Error::ParserError::ParserError#
    {20, 131, 130},	// Soprano::Error::ParserError::ParserError#$
    {20, 132, 124},	// Soprano::Error::ParserError::ParserError#$$
    {20, 590, 127},	// Soprano::Error::ParserError::locator
    {20, 637, 126},	// Soprano::Error::ParserError::operator=#
    {20, 922, 131},	// Soprano::Error::ParserError::~ParserError
    {21, 78, 161},	// Soprano::FilterModel::FilterModel
    {21, 79, 162},	// Soprano::FilterModel::FilterModel#
    {21, 233, 141},	// Soprano::FilterModel::addStatement#
    {21, 234, 169},	// Soprano::FilterModel::addStatement###
    {21, 235, 142},	// Soprano::FilterModel::addStatement####
    {21, 327, 153},	// Soprano::FilterModel::containsAnyStatement#
    {21, 328, 175},	// Soprano::FilterModel::containsAnyStatement###
    {21, 329, 154},	// Soprano::FilterModel::containsAnyStatement####
    {21, 337, 151},	// Soprano::FilterModel::containsStatement#
    {21, 338, 174},	// Soprano::FilterModel::containsStatement###
    {21, 339, 152},	// Soprano::FilterModel::containsStatement####
    {21, 353, 158},	// Soprano::FilterModel::createBlankNode
    {21, 427, 173},	// Soprano::FilterModel::executeQuery$$
    {21, 428, 150},	// Soprano::FilterModel::executeQuery$$$
    {21, 513, 155},	// Soprano::FilterModel::isEmpty
    {21, 566, 149},	// Soprano::FilterModel::listContexts
    {21, 568, 160},	// Soprano::FilterModel::listStatements
    {21, 569, 147},	// Soprano::FilterModel::listStatements#
    {21, 570, 172},	// Soprano::FilterModel::listStatements###
    {21, 571, 148},	// Soprano::FilterModel::listStatements####
    {21, 607, 132},	// Soprano::FilterModel::metaObject
    {21, 652, 140},	// Soprano::FilterModel::parentModel
    {21, 654, 165},	// Soprano::FilterModel::parentStatementAdded#
    {21, 656, 166},	// Soprano::FilterModel::parentStatementRemoved#
    {21, 657, 163},	// Soprano::FilterModel::parentStatementsAdded
    {21, 658, 164},	// Soprano::FilterModel::parentStatementsRemoved
    {21, 690, 138},	// Soprano::FilterModel::qt_metacall$$?
    {21, 692, 133},	// Soprano::FilterModel::qt_metacast$
    {21, 707, 159},	// Soprano::FilterModel::removeAllStatements
    {21, 708, 145},	// Soprano::FilterModel::removeAllStatements#
    {21, 709, 171},	// Soprano::FilterModel::removeAllStatements###
    {21, 710, 146},	// Soprano::FilterModel::removeAllStatements####
    {21, 718, 143},	// Soprano::FilterModel::removeStatement#
    {21, 719, 170},	// Soprano::FilterModel::removeStatement###
    {21, 720, 144},	// Soprano::FilterModel::removeStatement####
    {21, 774, 139},	// Soprano::FilterModel::setParentModel#
    {21, 804, 156},	// Soprano::FilterModel::statementCount
    {21, 811, 176},	// Soprano::FilterModel::staticMetaObject
    {21, 848, 167},	// Soprano::FilterModel::tr$
    {21, 849, 134},	// Soprano::FilterModel::tr$$
    {21, 850, 136},	// Soprano::FilterModel::tr$$$
    {21, 852, 168},	// Soprano::FilterModel::trUtf8$
    {21, 853, 135},	// Soprano::FilterModel::trUtf8$$
    {21, 854, 137},	// Soprano::FilterModel::trUtf8$$$
    {21, 900, 157},	// Soprano::FilterModel::write#
    {21, 916, 177},	// Soprano::FilterModel::~FilterModel
    {22, 93, 185},	// Soprano::Inference::InferenceModel::InferenceModel#
    {22, 231, 189},	// Soprano::Inference::InferenceModel::addRule#
    {22, 233, 186},	// Soprano::Inference::InferenceModel::addStatement#
    {22, 234, 201},	// Soprano::Inference::InferenceModel::addStatement###
    {22, 235, 191},	// Soprano::Inference::InferenceModel::addStatement####
    {22, 305, 196},	// Soprano::Inference::InferenceModel::clearInference
    {22, 607, 178},	// Soprano::Inference::InferenceModel::metaObject
    {22, 668, 195},	// Soprano::Inference::InferenceModel::performInference
    {22, 690, 184},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {22, 692, 179},	// Soprano::Inference::InferenceModel::qt_metacast$
    {22, 707, 194},	// Soprano::Inference::InferenceModel::removeAllStatements
    {22, 708, 188},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {22, 709, 203},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {22, 710, 193},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {22, 718, 187},	// Soprano::Inference::InferenceModel::removeStatement#
    {22, 719, 202},	// Soprano::Inference::InferenceModel::removeStatement###
    {22, 720, 192},	// Soprano::Inference::InferenceModel::removeStatement####
    {22, 759, 197},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {22, 772, 198},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {22, 784, 190},	// Soprano::Inference::InferenceModel::setRules?
    {22, 811, 204},	// Soprano::Inference::InferenceModel::staticMetaObject
    {22, 848, 199},	// Soprano::Inference::InferenceModel::tr$
    {22, 849, 180},	// Soprano::Inference::InferenceModel::tr$$
    {22, 850, 182},	// Soprano::Inference::InferenceModel::tr$$$
    {22, 852, 200},	// Soprano::Inference::InferenceModel::trUtf8$
    {22, 853, 181},	// Soprano::Inference::InferenceModel::trUtf8$$
    {22, 854, 183},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {22, 917, 205},	// Soprano::Inference::InferenceModel::~InferenceModel
    {26, 106, 242},	// Soprano::Model::Model
    {26, 233, 213},	// Soprano::Model::addStatement#
    {26, 234, 245},	// Soprano::Model::addStatement###
    {26, 235, 214},	// Soprano::Model::addStatement####
    {26, 241, 215},	// Soprano::Model::addStatements?
    {26, 327, 229},	// Soprano::Model::containsAnyStatement#
    {26, 328, 250},	// Soprano::Model::containsAnyStatement###
    {26, 329, 230},	// Soprano::Model::containsAnyStatement####
    {26, 335, 233},	// Soprano::Model::containsContext#
    {26, 337, 231},	// Soprano::Model::containsStatement#
    {26, 338, 251},	// Soprano::Model::containsStatement###
    {26, 339, 232},	// Soprano::Model::containsStatement####
    {26, 353, 237},	// Soprano::Model::createBlankNode
    {26, 427, 249},	// Soprano::Model::executeQuery$$
    {26, 428, 228},	// Soprano::Model::executeQuery$$$
    {26, 513, 234},	// Soprano::Model::isEmpty
    {26, 566, 227},	// Soprano::Model::listContexts
    {26, 568, 225},	// Soprano::Model::listStatements
    {26, 569, 223},	// Soprano::Model::listStatements#
    {26, 570, 248},	// Soprano::Model::listStatements###
    {26, 571, 224},	// Soprano::Model::listStatements####
    {26, 577, 226},	// Soprano::Model::listStatementsInContext#
    {26, 607, 206},	// Soprano::Model::metaObject
    {26, 690, 212},	// Soprano::Model::qt_metacall$$?
    {26, 692, 207},	// Soprano::Model::qt_metacast$
    {26, 707, 222},	// Soprano::Model::removeAllStatements
    {26, 708, 218},	// Soprano::Model::removeAllStatements#
    {26, 709, 247},	// Soprano::Model::removeAllStatements###
    {26, 710, 219},	// Soprano::Model::removeAllStatements####
    {26, 716, 221},	// Soprano::Model::removeContext#
    {26, 718, 216},	// Soprano::Model::removeStatement#
    {26, 719, 246},	// Soprano::Model::removeStatement###
    {26, 720, 217},	// Soprano::Model::removeStatement####
    {26, 726, 220},	// Soprano::Model::removeStatements?
    {26, 803, 240},	// Soprano::Model::statementAdded#
    {26, 804, 235},	// Soprano::Model::statementCount
    {26, 808, 241},	// Soprano::Model::statementRemoved#
    {26, 809, 238},	// Soprano::Model::statementsAdded
    {26, 810, 239},	// Soprano::Model::statementsRemoved
    {26, 811, 252},	// Soprano::Model::staticMetaObject
    {26, 848, 243},	// Soprano::Model::tr$
    {26, 849, 208},	// Soprano::Model::tr$$
    {26, 850, 210},	// Soprano::Model::tr$$$
    {26, 852, 244},	// Soprano::Model::trUtf8$
    {26, 853, 209},	// Soprano::Model::trUtf8$$
    {26, 854, 211},	// Soprano::Model::trUtf8$$$
    {26, 900, 236},	// Soprano::Model::write#
    {26, 918, 253},	// Soprano::Model::~Model
    {27, 40, 296},	// Soprano::Node::BlankNode
    {27, 67, 293},	// Soprano::Node::EmptyNode
    {27, 88, 300},	// Soprano::Node::IgnorePrefixes
    {27, 99, 295},	// Soprano::Node::LiteralNode
    {27, 111, 297},	// Soprano::Node::NoFlags
    {27, 112, 254},	// Soprano::Node::Node
    {27, 113, -38},	// Soprano::Node::Node#
    {27, 114, 258},	// Soprano::Node::Node#$
    {27, 115, 256},	// Soprano::Node::Node$
    {27, 166, 294},	// Soprano::Node::ResourceNode
    {27, 207, 298},	// Soprano::Node::StrictLiteralTypes
    {27, 208, 299},	// Soprano::Node::StrictUris
    {27, 286, 287},	// Soprano::Node::blankToN3$
    {27, 354, 283},	// Soprano::Node::createBlankNode$
    {27, 356, 281},	// Soprano::Node::createEmptyNode
    {27, 358, 284},	// Soprano::Node::createLiteralNode#
    {27, 359, 285},	// Soprano::Node::createLiteralNode#$
    {27, 363, 282},	// Soprano::Node::createResourceNode#
    {27, 370, 277},	// Soprano::Node::dataType
    {27, 453, 291},	// Soprano::Node::fromN3$
    {27, 454, 289},	// Soprano::Node::fromN3$$
    {27, 456, 292},	// Soprano::Node::fromN3Stream#
    {27, 457, 290},	// Soprano::Node::fromN3Stream#$
    {27, 485, 275},	// Soprano::Node::identifier
    {27, 500, 273},	// Soprano::Node::isBlank
    {27, 513, 269},	// Soprano::Node::isEmpty
    {27, 519, 271},	// Soprano::Node::isLiteral
    {27, 529, 272},	// Soprano::Node::isResource
    {27, 539, 270},	// Soprano::Node::isValid
    {27, 556, 278},	// Soprano::Node::language
    {27, 578, 276},	// Soprano::Node::literal
    {27, 580, 288},	// Soprano::Node::literalToN3#
    {27, 597, 267},	// Soprano::Node::matches#
    {27, 635, 264},	// Soprano::Node::operator!=#
    {27, 637, -42},	// Soprano::Node::operator=#
    {27, 639, -46},	// Soprano::Node::operator==#
    {27, 731, 286},	// Soprano::Node::resourceToN3#
    {27, 842, 280},	// Soprano::Node::toN3
    {27, 844, 279},	// Soprano::Node::toString
    {27, 858, 268},	// Soprano::Node::type
    {27, 865, 274},	// Soprano::Node::uri
    {27, 919, 301},	// Soprano::Node::~Node
    {28, 116, 302},	// Soprano::NodeIterator::NodeIterator
    {28, 117, 304},	// Soprano::NodeIterator::NodeIterator#
    {28, 118, 303},	// Soprano::NodeIterator::NodeIterator?
    {28, 251, 306},	// Soprano::NodeIterator::allNodes
    {28, 637, 305},	// Soprano::NodeIterator::operator=#
    {28, 920, 307},	// Soprano::NodeIterator::~NodeIterator
    {29, 127, 315},	// Soprano::Parser::Parser#
    {29, 128, 314},	// Soprano::Parser::Parser$
    {29, 660, 317},	// Soprano::Parser::parseFile$#$
    {29, 661, 311},	// Soprano::Parser::parseFile$#$$
    {29, 663, 319},	// Soprano::Parser::parseStream##$
    {29, 664, 313},	// Soprano::Parser::parseStream##$$
    {29, 666, 318},	// Soprano::Parser::parseString$#$
    {29, 667, 312},	// Soprano::Parser::parseString$#$$
    {29, 827, 308},	// Soprano::Parser::supportedSerializations
    {29, 829, 309},	// Soprano::Parser::supportedUserSerializations
    {29, 834, 316},	// Soprano::Parser::supportsSerialization$
    {29, 835, 310},	// Soprano::Parser::supportsSerialization$$
    {29, 921, 320},	// Soprano::Parser::~Parser
    {30, 138, 324},	// Soprano::Plugin::Plugin#
    {30, 139, 323},	// Soprano::Plugin::Plugin$
    {30, 498, 322},	// Soprano::Plugin::isAvailable
    {30, 676, 321},	// Soprano::Plugin::pluginName
    {30, 923, 325},	// Soprano::Plugin::~Plugin
    {31, 249, 340},	// Soprano::PluginManager::allBackends
    {31, 252, 343},	// Soprano::PluginManager::allParsers
    {31, 253, 346},	// Soprano::PluginManager::allSerializers
    {31, 397, 351},	// Soprano::PluginManager::discoverBackendByFeatures$
    {31, 398, 339},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {31, 400, 338},	// Soprano::PluginManager::discoverBackendByName$
    {31, 402, 341},	// Soprano::PluginManager::discoverParserByName$
    {31, 404, 352},	// Soprano::PluginManager::discoverParserForSerialization$
    {31, 405, 342},	// Soprano::PluginManager::discoverParserForSerialization$$
    {31, 407, 344},	// Soprano::PluginManager::discoverSerializerByName$
    {31, 409, 353},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {31, 410, 345},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {31, 490, 347},	// Soprano::PluginManager::instance
    {31, 582, 335},	// Soprano::PluginManager::loadCustomBackend$
    {31, 584, 336},	// Soprano::PluginManager::loadCustomParser$
    {31, 586, 334},	// Soprano::PluginManager::loadCustomPlugin$
    {31, 588, 337},	// Soprano::PluginManager::loadCustomSerializer$
    {31, 607, 326},	// Soprano::PluginManager::metaObject
    {31, 690, 332},	// Soprano::PluginManager::qt_metacall$$?
    {31, 692, 327},	// Soprano::PluginManager::qt_metacast$
    {31, 776, 350},	// Soprano::PluginManager::setPluginSearchPath?
    {31, 777, 333},	// Soprano::PluginManager::setPluginSearchPath?$
    {31, 811, 354},	// Soprano::PluginManager::staticMetaObject
    {31, 848, 348},	// Soprano::PluginManager::tr$
    {31, 849, 328},	// Soprano::PluginManager::tr$$
    {31, 850, 330},	// Soprano::PluginManager::tr$$$
    {31, 852, 349},	// Soprano::PluginManager::trUtf8$
    {31, 853, 329},	// Soprano::PluginManager::trUtf8$$
    {31, 854, 331},	// Soprano::PluginManager::trUtf8$$$
    {31, 924, 355},	// Soprano::PluginManager::~PluginManager
    {32, 153, 356},	// Soprano::QueryResultIterator::QueryResultIterator
    {32, 154, -20},	// Soprano::QueryResultIterator::QueryResultIterator#
    {32, 250, 372},	// Soprano::QueryResultIterator::allBindings
    {32, 281, -23},	// Soprano::QueryResultIterator::binding$
    {32, 282, 367},	// Soprano::QueryResultIterator::bindingCount
    {32, 283, 368},	// Soprano::QueryResultIterator::bindingNames
    {32, 288, 362},	// Soprano::QueryResultIterator::boolValue
    {32, 367, 361},	// Soprano::QueryResultIterator::currentBindings
    {32, 368, 360},	// Soprano::QueryResultIterator::currentStatement
    {32, 499, 370},	// Soprano::QueryResultIterator::isBinding
    {32, 501, 371},	// Soprano::QueryResultIterator::isBool
    {32, 516, 369},	// Soprano::QueryResultIterator::isGraph
    {32, 542, -26},	// Soprano::QueryResultIterator::iterateBindings$
    {32, 546, 373},	// Soprano::QueryResultIterator::iterateStatements
    {32, 548, 377},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {32, 549, 378},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {32, 550, 376},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {32, 637, 359},	// Soprano::QueryResultIterator::operator=#
    {32, 642, -29},	// Soprano::QueryResultIterator::operator[]$
    {32, 925, 379},	// Soprano::QueryResultIterator::~QueryResultIterator
    {34, 157, 399},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {34, 158, 380},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {34, 303, 381},	// Soprano::RdfSchemaModel::classes
    {34, 386, 400},	// Soprano::RdfSchemaModel::directSubClassOf#
    {34, 387, 382},	// Soprano::RdfSchemaModel::directSubClassOf##
    {34, 389, 401},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {34, 390, 383},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {34, 392, 384},	// Soprano::RdfSchemaModel::directType##
    {34, 415, 385},	// Soprano::RdfSchemaModel::domain##
    {34, 503, 391},	// Soprano::RdfSchemaModel::isClass#
    {34, 508, 393},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {34, 510, 394},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {34, 512, 395},	// Soprano::RdfSchemaModel::isDirectType##
    {34, 525, 392},	// Soprano::RdfSchemaModel::isProperty#
    {34, 532, 396},	// Soprano::RdfSchemaModel::isSubClassOf##
    {34, 534, 397},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {34, 538, 398},	// Soprano::RdfSchemaModel::isType##
    {34, 686, 386},	// Soprano::RdfSchemaModel::properties
    {34, 695, 387},	// Soprano::RdfSchemaModel::range##
    {34, 816, 402},	// Soprano::RdfSchemaModel::subClassOf#
    {34, 817, 388},	// Soprano::RdfSchemaModel::subClassOf##
    {34, 820, 403},	// Soprano::RdfSchemaModel::subPropertyOf#
    {34, 821, 389},	// Soprano::RdfSchemaModel::subPropertyOf##
    {34, 859, 390},	// Soprano::RdfSchemaModel::type##
    {34, 926, 404},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {35, 183, 413},	// Soprano::Serializer::Serializer#
    {35, 184, 412},	// Soprano::Serializer::Serializer$
    {35, 229, 409},	// Soprano::Serializer::addPrefix$#
    {35, 306, 410},	// Soprano::Serializer::clearPrefixes
    {35, 682, 411},	// Soprano::Serializer::prefixes
    {35, 754, 415},	// Soprano::Serializer::serialize##$
    {35, 755, 408},	// Soprano::Serializer::serialize##$$
    {35, 827, 405},	// Soprano::Serializer::supportedSerializations
    {35, 829, 406},	// Soprano::Serializer::supportedUserSerializations
    {35, 834, 414},	// Soprano::Serializer::supportsSerialization$
    {35, 835, 407},	// Soprano::Serializer::supportsSerialization$$
    {35, 928, 416},	// Soprano::Serializer::~Serializer
    {36, 198, 417},	// Soprano::Statement::Statement
    {36, 199, 419},	// Soprano::Statement::Statement#
    {36, 200, 433},	// Soprano::Statement::Statement###
    {36, 201, 418},	// Soprano::Statement::Statement####
    {36, 349, 428},	// Soprano::Statement::context
    {36, 539, 424},	// Soprano::Statement::isValid
    {36, 597, 423},	// Soprano::Statement::matches#
    {36, 629, 427},	// Soprano::Statement::object
    {36, 635, 422},	// Soprano::Statement::operator!=#
    {36, 637, 420},	// Soprano::Statement::operator=#
    {36, 639, 421},	// Soprano::Statement::operator==#
    {36, 679, 426},	// Soprano::Statement::predicate
    {36, 761, 432},	// Soprano::Statement::setContext#
    {36, 770, 431},	// Soprano::Statement::setObject#
    {36, 779, 430},	// Soprano::Statement::setPredicate#
    {36, 786, 429},	// Soprano::Statement::setSubject#
    {36, 822, 425},	// Soprano::Statement::subject
    {36, 932, 434},	// Soprano::Statement::~Statement
    {37, 202, 435},	// Soprano::StatementIterator::StatementIterator
    {37, 203, 437},	// Soprano::StatementIterator::StatementIterator#
    {37, 204, 436},	// Soprano::StatementIterator::StatementIterator?
    {37, 254, 439},	// Soprano::StatementIterator::allStatements
    {37, 543, 443},	// Soprano::StatementIterator::iterateContexts
    {37, 544, 442},	// Soprano::StatementIterator::iterateObjects
    {37, 545, 441},	// Soprano::StatementIterator::iteratePredicates
    {37, 551, 440},	// Soprano::StatementIterator::iterateSubjects
    {37, 637, 438},	// Soprano::StatementIterator::operator=#
    {37, 933, 444},	// Soprano::StatementIterator::~StatementIterator
    {38, 206, 461},	// Soprano::StorageModel::StorageModel#
    {38, 275, 456},	// Soprano::StorageModel::backend
    {38, 327, 454},	// Soprano::StorageModel::containsAnyStatement#
    {38, 328, 466},	// Soprano::StorageModel::containsAnyStatement###
    {38, 329, 460},	// Soprano::StorageModel::containsAnyStatement####
    {38, 337, 453},	// Soprano::StorageModel::containsStatement#
    {38, 338, 465},	// Soprano::StorageModel::containsStatement###
    {38, 339, 459},	// Soprano::StorageModel::containsStatement####
    {38, 513, 452},	// Soprano::StorageModel::isEmpty
    {38, 607, 445},	// Soprano::StorageModel::metaObject
    {38, 690, 451},	// Soprano::StorageModel::qt_metacall$$?
    {38, 692, 446},	// Soprano::StorageModel::qt_metacast$
    {38, 707, 458},	// Soprano::StorageModel::removeAllStatements
    {38, 708, 455},	// Soprano::StorageModel::removeAllStatements#
    {38, 709, 464},	// Soprano::StorageModel::removeAllStatements###
    {38, 710, 457},	// Soprano::StorageModel::removeAllStatements####
    {38, 811, 467},	// Soprano::StorageModel::staticMetaObject
    {38, 848, 462},	// Soprano::StorageModel::tr$
    {38, 849, 447},	// Soprano::StorageModel::tr$$
    {38, 850, 449},	// Soprano::StorageModel::tr$$$
    {38, 852, 463},	// Soprano::StorageModel::trUtf8$
    {38, 853, 448},	// Soprano::StorageModel::trUtf8$$
    {38, 854, 450},	// Soprano::StorageModel::trUtf8$$$
    {38, 934, 468},	// Soprano::StorageModel::~StorageModel
    {39, 8, 517},	// Soprano::Util::AsyncModel::AsyncModel
    {39, 9, 476},	// Soprano::Util::AsyncModel::AsyncModel#
    {39, 107, 534},	// Soprano::Util::AsyncModel::MultiThreaded
    {39, 193, 533},	// Soprano::Util::AsyncModel::SingleThreaded
    {39, 233, 502},	// Soprano::Util::AsyncModel::addStatement#
    {39, 234, 526},	// Soprano::Util::AsyncModel::addStatement###
    {39, 235, 503},	// Soprano::Util::AsyncModel::addStatement####
    {39, 237, 479},	// Soprano::Util::AsyncModel::addStatementAsync#
    {39, 238, 518},	// Soprano::Util::AsyncModel::addStatementAsync###
    {39, 239, 480},	// Soprano::Util::AsyncModel::addStatementAsync####
    {39, 243, 481},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {39, 327, 513},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {39, 328, 531},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {39, 329, 514},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {39, 331, 496},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {39, 332, 524},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {39, 333, 497},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {39, 337, 511},	// Soprano::Util::AsyncModel::containsStatement#
    {39, 338, 530},	// Soprano::Util::AsyncModel::containsStatement###
    {39, 339, 512},	// Soprano::Util::AsyncModel::containsStatement####
    {39, 341, 494},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {39, 342, 523},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {39, 343, 495},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {39, 355, 498},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {39, 427, 525},	// Soprano::Util::AsyncModel::executeQuery$$
    {39, 428, 501},	// Soprano::Util::AsyncModel::executeQuery$$$
    {39, 430, 522},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {39, 431, 493},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {39, 514, 487},	// Soprano::Util::AsyncModel::isEmptyAsync
    {39, 566, 500},	// Soprano::Util::AsyncModel::listContexts
    {39, 567, 492},	// Soprano::Util::AsyncModel::listContextsAsync
    {39, 568, 510},	// Soprano::Util::AsyncModel::listStatements
    {39, 569, 499},	// Soprano::Util::AsyncModel::listStatements#
    {39, 570, 529},	// Soprano::Util::AsyncModel::listStatements###
    {39, 571, 509},	// Soprano::Util::AsyncModel::listStatements####
    {39, 572, 491},	// Soprano::Util::AsyncModel::listStatementsAsync
    {39, 573, 489},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {39, 574, 521},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {39, 575, 490},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {39, 607, 469},	// Soprano::Util::AsyncModel::metaObject
    {39, 613, 478},	// Soprano::Util::AsyncModel::mode
    {39, 690, 475},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {39, 692, 470},	// Soprano::Util::AsyncModel::qt_metacast$
    {39, 707, 508},	// Soprano::Util::AsyncModel::removeAllStatements
    {39, 708, 506},	// Soprano::Util::AsyncModel::removeAllStatements#
    {39, 709, 528},	// Soprano::Util::AsyncModel::removeAllStatements###
    {39, 710, 507},	// Soprano::Util::AsyncModel::removeAllStatements####
    {39, 712, 485},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {39, 713, 520},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {39, 714, 486},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {39, 718, 504},	// Soprano::Util::AsyncModel::removeStatement#
    {39, 719, 527},	// Soprano::Util::AsyncModel::removeStatement###
    {39, 720, 505},	// Soprano::Util::AsyncModel::removeStatement####
    {39, 722, 482},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {39, 723, 519},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {39, 724, 483},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {39, 728, 484},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {39, 768, 477},	// Soprano::Util::AsyncModel::setMode$
    {39, 805, 488},	// Soprano::Util::AsyncModel::statementCountAsync
    {39, 811, 532},	// Soprano::Util::AsyncModel::staticMetaObject
    {39, 848, 515},	// Soprano::Util::AsyncModel::tr$
    {39, 849, 471},	// Soprano::Util::AsyncModel::tr$$
    {39, 850, 473},	// Soprano::Util::AsyncModel::tr$$$
    {39, 852, 516},	// Soprano::Util::AsyncModel::trUtf8$
    {39, 853, 472},	// Soprano::Util::AsyncModel::trUtf8$$
    {39, 854, 474},	// Soprano::Util::AsyncModel::trUtf8$$$
    {39, 909, 535},	// Soprano::Util::AsyncModel::~AsyncModel
    {40, 281, -35},	// Soprano::Util::AsyncQuery::binding$
    {40, 282, 548},	// Soprano::Util::AsyncQuery::bindingCount
    {40, 283, 549},	// Soprano::Util::AsyncQuery::bindingNames
    {40, 288, 545},	// Soprano::Util::AsyncQuery::boolValue
    {40, 307, 554},	// Soprano::Util::AsyncQuery::close
    {40, 367, 544},	// Soprano::Util::AsyncQuery::currentBindings
    {40, 368, 543},	// Soprano::Util::AsyncQuery::currentStatement
    {40, 425, 560},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {40, 426, 557},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {40, 442, 556},	// Soprano::Util::AsyncQuery::finished#
    {40, 499, 551},	// Soprano::Util::AsyncQuery::isBinding
    {40, 501, 552},	// Soprano::Util::AsyncQuery::isBool
    {40, 516, 550},	// Soprano::Util::AsyncQuery::isGraph
    {40, 607, 536},	// Soprano::Util::AsyncQuery::metaObject
    {40, 620, 553},	// Soprano::Util::AsyncQuery::next
    {40, 622, 555},	// Soprano::Util::AsyncQuery::nextReady#
    {40, 690, 542},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {40, 692, 537},	// Soprano::Util::AsyncQuery::qt_metacast$
    {40, 811, 561},	// Soprano::Util::AsyncQuery::staticMetaObject
    {40, 848, 558},	// Soprano::Util::AsyncQuery::tr$
    {40, 849, 538},	// Soprano::Util::AsyncQuery::tr$$
    {40, 850, 540},	// Soprano::Util::AsyncQuery::tr$$$
    {40, 852, 559},	// Soprano::Util::AsyncQuery::trUtf8$
    {40, 853, 539},	// Soprano::Util::AsyncQuery::trUtf8$$
    {40, 854, 541},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {40, 910, 562},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {41, 364, 571},	// Soprano::Util::AsyncResult::createResult
    {41, 421, 573},	// Soprano::Util::AsyncResult::errorCode
    {41, 607, 563},	// Soprano::Util::AsyncResult::metaObject
    {41, 624, 577},	// Soprano::Util::AsyncResult::node
    {41, 625, 575},	// Soprano::Util::AsyncResult::nodeIterator
    {41, 690, 569},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {41, 692, 564},	// Soprano::Util::AsyncResult::qt_metacast$
    {41, 693, 576},	// Soprano::Util::AsyncResult::queryResultIterator
    {41, 734, 570},	// Soprano::Util::AsyncResult::resultReady#
    {41, 782, 578},	// Soprano::Util::AsyncResult::setResult##
    {41, 806, 574},	// Soprano::Util::AsyncResult::statementIterator
    {41, 811, 581},	// Soprano::Util::AsyncResult::staticMetaObject
    {41, 848, 579},	// Soprano::Util::AsyncResult::tr$
    {41, 849, 565},	// Soprano::Util::AsyncResult::tr$$
    {41, 850, 567},	// Soprano::Util::AsyncResult::tr$$$
    {41, 852, 580},	// Soprano::Util::AsyncResult::trUtf8$
    {41, 853, 566},	// Soprano::Util::AsyncResult::trUtf8$$
    {41, 854, 568},	// Soprano::Util::AsyncResult::trUtf8$$$
    {41, 875, 572},	// Soprano::Util::AsyncResult::value
    {41, 911, 582},	// Soprano::Util::AsyncResult::~AsyncResult
    {42, 159, 613},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {42, 160, 590},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {42, 233, 599},	// Soprano::Util::ReadOnlyModel::addStatement#
    {42, 234, 615},	// Soprano::Util::ReadOnlyModel::addStatement###
    {42, 235, 603},	// Soprano::Util::ReadOnlyModel::addStatement####
    {42, 327, 596},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {42, 328, 620},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {42, 329, 610},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {42, 337, 595},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {42, 338, 619},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {42, 339, 609},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {42, 353, 602},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {42, 427, 614},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {42, 428, 594},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {42, 513, 597},	// Soprano::Util::ReadOnlyModel::isEmpty
    {42, 566, 593},	// Soprano::Util::ReadOnlyModel::listContexts
    {42, 568, 608},	// Soprano::Util::ReadOnlyModel::listStatements
    {42, 569, 592},	// Soprano::Util::ReadOnlyModel::listStatements#
    {42, 570, 618},	// Soprano::Util::ReadOnlyModel::listStatements###
    {42, 571, 607},	// Soprano::Util::ReadOnlyModel::listStatements####
    {42, 607, 583},	// Soprano::Util::ReadOnlyModel::metaObject
    {42, 690, 589},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {42, 692, 584},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {42, 707, 606},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {42, 708, 601},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {42, 709, 617},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {42, 710, 605},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {42, 718, 600},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {42, 719, 616},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {42, 720, 604},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {42, 774, 591},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {42, 804, 598},	// Soprano::Util::ReadOnlyModel::statementCount
    {42, 811, 621},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {42, 848, 611},	// Soprano::Util::ReadOnlyModel::tr$
    {42, 849, 585},	// Soprano::Util::ReadOnlyModel::tr$$
    {42, 850, 587},	// Soprano::Util::ReadOnlyModel::tr$$$
    {42, 852, 612},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {42, 853, 586},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {42, 854, 588},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {42, 927, 622},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {43, 185, 638},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {43, 186, 630},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {43, 290, 631},	// Soprano::Util::SignalCacheModel::cacheTime
    {43, 607, 623},	// Soprano::Util::SignalCacheModel::metaObject
    {43, 657, 633},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {43, 658, 634},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {43, 690, 629},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {43, 692, 624},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {43, 757, 632},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {43, 811, 639},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {43, 839, 635},	// Soprano::Util::SignalCacheModel::timerEvent#
    {43, 848, 636},	// Soprano::Util::SignalCacheModel::tr$
    {43, 849, 625},	// Soprano::Util::SignalCacheModel::tr$$
    {43, 850, 627},	// Soprano::Util::SignalCacheModel::tr$$$
    {43, 852, 637},	// Soprano::Util::SignalCacheModel::trUtf8$
    {43, 853, 626},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {43, 854, 628},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {43, 929, 640},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {44, 187, 641},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {44, 188, 643},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {44, 189, 642},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {44, 637, 645},	// Soprano::Util::SimpleNodeIterator::operator=#
    {44, 640, 644},	// Soprano::Util::SimpleNodeIterator::operator=?
    {44, 930, 646},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {45, 190, 647},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {45, 191, 649},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {45, 192, 648},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {45, 637, 651},	// Soprano::Util::SimpleStatementIterator::operator=#
    {45, 640, 650},	// Soprano::Util::SimpleStatementIterator::operator=?
    {45, 931, 652},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {46, 81, 685},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {46, 133, 672},	// Soprano::Vocabulary::NAO::Party
    {46, 209, 666},	// Soprano::Vocabulary::NAO::Symbol
    {46, 212, 665},	// Soprano::Vocabulary::NAO::Tag
    {46, 256, 690},	// Soprano::Vocabulary::NAO::altLabel
    {46, 257, 656},	// Soprano::Vocabulary::NAO::altSymbol
    {46, 258, 660},	// Soprano::Vocabulary::NAO::annotation
    {46, 350, 676},	// Soprano::Vocabulary::NAO::contributor
    {46, 365, 677},	// Soprano::Vocabulary::NAO::created
    {46, 366, 692},	// Soprano::Vocabulary::NAO::creator
    {46, 381, 688},	// Soprano::Vocabulary::NAO::deprecated
    {46, 383, 663},	// Soprano::Vocabulary::NAO::description
    {46, 417, 689},	// Soprano::Vocabulary::NAO::engineeringTool
    {46, 465, 687},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {46, 466, 683},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {46, 469, 678},	// Soprano::Vocabulary::NAO::hasSubResource
    {46, 470, 669},	// Soprano::Vocabulary::NAO::hasSuperResource
    {46, 471, 675},	// Soprano::Vocabulary::NAO::hasSymbol
    {46, 472, 691},	// Soprano::Vocabulary::NAO::hasTag
    {46, 473, 680},	// Soprano::Vocabulary::NAO::hasTopic
    {46, 483, 681},	// Soprano::Vocabulary::NAO::iconName
    {46, 485, 679},	// Soprano::Vocabulary::NAO::identifier
    {46, 505, 682},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {46, 528, 684},	// Soprano::Vocabulary::NAO::isRelated
    {46, 535, 655},	// Soprano::Vocabulary::NAO::isTagFor
    {46, 536, 662},	// Soprano::Vocabulary::NAO::isTopicOf
    {46, 558, 673},	// Soprano::Vocabulary::NAO::lastModified
    {46, 614, 668},	// Soprano::Vocabulary::NAO::modified
    {46, 617, 671},	// Soprano::Vocabulary::NAO::naoNamespace
    {46, 628, 653},	// Soprano::Vocabulary::NAO::numericRating
    {46, 672, 664},	// Soprano::Vocabulary::NAO::personalIdentifier
    {46, 677, 659},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {46, 680, 674},	// Soprano::Vocabulary::NAO::prefLabel
    {46, 681, 670},	// Soprano::Vocabulary::NAO::prefSymbol
    {46, 696, 657},	// Soprano::Vocabulary::NAO::rating
    {46, 743, 693},	// Soprano::Vocabulary::NAO::score
    {46, 744, 661},	// Soprano::Vocabulary::NAO::scoreParameter
    {46, 749, 686},	// Soprano::Vocabulary::NAO::serializationLanguage
    {46, 812, 667},	// Soprano::Vocabulary::NAO::status
    {46, 873, 658},	// Soprano::Vocabulary::NAO::userVisible
    {46, 882, 654},	// Soprano::Vocabulary::NAO::version
    {47, 7, 730},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {47, 45, 703},	// Soprano::Vocabulary::NRL::Configuration
    {47, 51, 727},	// Soprano::Vocabulary::NRL::Data
    {47, 56, 697},	// Soprano::Vocabulary::NRL::DefaultGraph
    {47, 60, 718},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {47, 62, 696},	// Soprano::Vocabulary::NRL::DocumentGraph
    {47, 74, 716},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {47, 82, 701},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {47, 83, 720},	// Soprano::Vocabulary::NRL::Graph
    {47, 84, 721},	// Soprano::Vocabulary::NRL::GraphMetadata
    {47, 85, 705},	// Soprano::Vocabulary::NRL::GraphView
    {47, 94, 724},	// Soprano::Vocabulary::NRL::InstanceBase
    {47, 95, 733},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {47, 96, 710},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {47, 122, 708},	// Soprano::Vocabulary::NRL::Ontology
    {47, 161, 709},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {47, 170, 699},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {47, 171, 702},	// Soprano::Vocabulary::NRL::Schema
    {47, 172, 706},	// Soprano::Vocabulary::NRL::Semantics
    {47, 210, 723},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {47, 216, 704},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {47, 219, 735},	// Soprano::Vocabulary::NRL::ViewSpecification
    {47, 293, 729},	// Soprano::Vocabulary::NRL::cardinality
    {47, 352, 700},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {47, 419, 722},	// Soprano::Vocabulary::NRL::equivalentGraph
    {47, 435, 717},	// Soprano::Vocabulary::NRL::externalRealizer
    {47, 463, 712},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {47, 467, 711},	// Soprano::Vocabulary::NRL::hasSemantics
    {47, 468, 719},	// Soprano::Vocabulary::NRL::hasSpecification
    {47, 487, 713},	// Soprano::Vocabulary::NRL::imports
    {47, 496, 707},	// Soprano::Vocabulary::NRL::inverseProperty
    {47, 598, 725},	// Soprano::Vocabulary::NRL::maxCardinality
    {47, 612, 698},	// Soprano::Vocabulary::NRL::minCardinality
    {47, 627, 728},	// Soprano::Vocabulary::NRL::nrlNamespace
    {47, 699, 695},	// Soprano::Vocabulary::NRL::realizes
    {47, 737, 731},	// Soprano::Vocabulary::NRL::rule
    {47, 738, 726},	// Soprano::Vocabulary::NRL::ruleLanguage
    {47, 748, 694},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {47, 818, 732},	// Soprano::Vocabulary::NRL::subGraphOf
    {47, 824, 734},	// Soprano::Vocabulary::NRL::superGraphOf
    {47, 864, 715},	// Soprano::Vocabulary::NRL::updatable
    {47, 892, 714},	// Soprano::Vocabulary::NRL::viewOn
    {48, 1, 773},	// Soprano::Vocabulary::OWL::AllDifferent
    {48, 4, 738},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {48, 43, 774},	// Soprano::Vocabulary::OWL::Class
    {48, 53, 741},	// Soprano::Vocabulary::OWL::DataRange
    {48, 55, 771},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {48, 58, 739},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {48, 59, 746},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {48, 82, 751},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {48, 95, 752},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {48, 119, 745},	// Soprano::Vocabulary::OWL::Nothing
    {48, 120, 769},	// Soprano::Vocabulary::OWL::ObjectProperty
    {48, 122, 760},	// Soprano::Vocabulary::OWL::Ontology
    {48, 123, 743},	// Soprano::Vocabulary::OWL::OntologyProperty
    {48, 167, 749},	// Soprano::Vocabulary::OWL::Restriction
    {48, 210, 748},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {48, 215, 765},	// Soprano::Vocabulary::OWL::Thing
    {48, 216, 767},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {48, 255, 776},	// Soprano::Vocabulary::OWL::allValuesFrom
    {48, 276, 753},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {48, 293, 772},	// Soprano::Vocabulary::OWL::cardinality
    {48, 316, 759},	// Soprano::Vocabulary::OWL::complementOf
    {48, 384, 763},	// Soprano::Vocabulary::OWL::differentFrom
    {48, 411, 740},	// Soprano::Vocabulary::OWL::disjointWith
    {48, 412, 756},	// Soprano::Vocabulary::OWL::distinctMembers
    {48, 418, 755},	// Soprano::Vocabulary::OWL::equivalentClass
    {48, 420, 770},	// Soprano::Vocabulary::OWL::equivalentProperty
    {48, 474, 775},	// Soprano::Vocabulary::OWL::hasValue
    {48, 487, 742},	// Soprano::Vocabulary::OWL::imports
    {48, 489, 737},	// Soprano::Vocabulary::OWL::incompatibleWith
    {48, 494, 747},	// Soprano::Vocabulary::OWL::intersectionOf
    {48, 495, 744},	// Soprano::Vocabulary::OWL::inverseOf
    {48, 598, 758},	// Soprano::Vocabulary::OWL::maxCardinality
    {48, 612, 762},	// Soprano::Vocabulary::OWL::minCardinality
    {48, 631, 768},	// Soprano::Vocabulary::OWL::onProperty
    {48, 632, 757},	// Soprano::Vocabulary::OWL::oneOf
    {48, 648, 736},	// Soprano::Vocabulary::OWL::owlNamespace
    {48, 684, 761},	// Soprano::Vocabulary::OWL::priorVersion
    {48, 739, 750},	// Soprano::Vocabulary::OWL::sameAs
    {48, 798, 766},	// Soprano::Vocabulary::OWL::someValuesFrom
    {48, 860, 764},	// Soprano::Vocabulary::OWL::unionOf
    {48, 883, 754},	// Soprano::Vocabulary::OWL::versionInfo
    {49, 2, 778},	// Soprano::Vocabulary::RDF::Alt
    {49, 39, 788},	// Soprano::Vocabulary::RDF::Bag
    {49, 97, 782},	// Soprano::Vocabulary::RDF::List
    {49, 142, 779},	// Soprano::Vocabulary::RDF::Property
    {49, 173, 784},	// Soprano::Vocabulary::RDF::Seq
    {49, 198, 777},	// Soprano::Vocabulary::RDF::Statement
    {49, 222, 789},	// Soprano::Vocabulary::RDF::XMLLiteral
    {49, 443, 781},	// Soprano::Vocabulary::RDF::first
    {49, 623, 791},	// Soprano::Vocabulary::RDF::nil
    {49, 629, 785},	// Soprano::Vocabulary::RDF::object
    {49, 679, 787},	// Soprano::Vocabulary::RDF::predicate
    {49, 697, 792},	// Soprano::Vocabulary::RDF::rdfNamespace
    {49, 732, 786},	// Soprano::Vocabulary::RDF::rest
    {49, 822, 780},	// Soprano::Vocabulary::RDF::subject
    {49, 858, 790},	// Soprano::Vocabulary::RDF::type
    {49, 875, 783},	// Soprano::Vocabulary::RDF::value
    {50, 43, 807},	// Soprano::Vocabulary::RDFS::Class
    {50, 48, 808},	// Soprano::Vocabulary::RDFS::Container
    {50, 49, 803},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {50, 54, 798},	// Soprano::Vocabulary::RDFS::Datatype
    {50, 98, 797},	// Soprano::Vocabulary::RDFS::Literal
    {50, 165, 805},	// Soprano::Vocabulary::RDFS::Resource
    {50, 312, 800},	// Soprano::Vocabulary::RDFS::comment
    {50, 414, 802},	// Soprano::Vocabulary::RDFS::domain
    {50, 506, 796},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {50, 555, 794},	// Soprano::Vocabulary::RDFS::label
    {50, 604, 795},	// Soprano::Vocabulary::RDFS::member
    {50, 694, 793},	// Soprano::Vocabulary::RDFS::range
    {50, 698, 804},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {50, 746, 806},	// Soprano::Vocabulary::RDFS::seeAlso
    {50, 815, 801},	// Soprano::Vocabulary::RDFS::subClassOf
    {50, 819, 799},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {51, 90, 813},	// Soprano::Vocabulary::SIL::InferenceGraph
    {51, 91, 810},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {51, 349, 812},	// Soprano::Vocabulary::SIL::context
    {51, 796, 811},	// Soprano::Vocabulary::SIL::silNamespace
    {51, 801, 809},	// Soprano::Vocabulary::SIL::sourceStatement
    {52, 277, 814},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {52, 289, 817},	// Soprano::Vocabulary::XMLSchema::boolean
    {52, 371, 832},	// Soprano::Vocabulary::XMLSchema::date
    {52, 372, 819},	// Soprano::Vocabulary::XMLSchema::dateTime
    {52, 373, 820},	// Soprano::Vocabulary::XMLSchema::decimal
    {52, 491, 829},	// Soprano::Vocabulary::XMLSchema::integer
    {52, 618, 823},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {52, 626, 831},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {52, 814, 826},	// Soprano::Vocabulary::XMLSchema::string
    {52, 837, 825},	// Soprano::Vocabulary::XMLSchema::time
    {52, 861, 816},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {52, 862, 824},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {52, 863, 818},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {52, 903, 815},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {52, 904, 827},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {52, 905, 821},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {52, 906, 830},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {52, 907, 822},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {52, 908, 828},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {53, 3, 852},	// Soprano::Vocabulary::Xesam::Annotation
    {53, 5, 1081},	// Soprano::Vocabulary::Xesam::Archive
    {53, 6, 1092},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {53, 10, 933},	// Soprano::Vocabulary::Xesam::Audio
    {53, 11, 936},	// Soprano::Vocabulary::Xesam::AudioList
    {53, 41, 849},	// Soprano::Vocabulary::Xesam::BlockDevice
    {53, 42, 921},	// Soprano::Vocabulary::Xesam::Bookmark
    {53, 44, 1083},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {53, 46, 1050},	// Soprano::Vocabulary::Xesam::Contact
    {53, 47, 966},	// Soprano::Vocabulary::Xesam::ContactGroup
    {53, 50, 975},	// Soprano::Vocabulary::Xesam::Content
    {53, 52, 1052},	// Soprano::Vocabulary::Xesam::DataObject
    {53, 57, 914},	// Soprano::Vocabulary::Xesam::DeletedFile
    {53, 61, 1088},	// Soprano::Vocabulary::Xesam::Document
    {53, 63, 1077},	// Soprano::Vocabulary::Xesam::Documentation
    {53, 64, 1005},	// Soprano::Vocabulary::Xesam::Email
    {53, 65, 1093},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {53, 66, 837},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {53, 75, 1064},	// Soprano::Vocabulary::Xesam::File
    {53, 76, 861},	// Soprano::Vocabulary::Xesam::FileSystem
    {53, 77, 857},	// Soprano::Vocabulary::Xesam::Filelike
    {53, 80, 843},	// Soprano::Vocabulary::Xesam::Folder
    {53, 86, 954},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {53, 87, 968},	// Soprano::Vocabulary::Xesam::IMMessage
    {53, 89, 934},	// Soprano::Vocabulary::Xesam::Image
    {53, 100, 1060},	// Soprano::Vocabulary::Xesam::MailingList
    {53, 101, 1045},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {53, 102, 911},	// Soprano::Vocabulary::Xesam::Media
    {53, 103, 885},	// Soprano::Vocabulary::Xesam::MediaList
    {53, 104, 890},	// Soprano::Vocabulary::Xesam::Message
    {53, 105, 922},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {53, 108, 1040},	// Soprano::Vocabulary::Xesam::Music
    {53, 109, 1042},	// Soprano::Vocabulary::Xesam::NewsGroup
    {53, 110, 1004},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {53, 121, 995},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {53, 124, 892},	// Soprano::Vocabulary::Xesam::Organization
    {53, 125, 896},	// Soprano::Vocabulary::Xesam::POP3Message
    {53, 134, 1104},	// Soprano::Vocabulary::Xesam::Person
    {53, 135, 919},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {53, 136, 835},	// Soprano::Vocabulary::Xesam::Photo
    {53, 140, 846},	// Soprano::Vocabulary::Xesam::Presentation
    {53, 141, 1097},	// Soprano::Vocabulary::Xesam::Project
    {53, 155, 1087},	// Soprano::Vocabulary::Xesam::RSSFeed
    {53, 156, 990},	// Soprano::Vocabulary::Xesam::RSSMessage
    {53, 162, 858},	// Soprano::Vocabulary::Xesam::RemoteFile
    {53, 163, 1055},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {53, 164, 959},	// Soprano::Vocabulary::Xesam::RemoteResource
    {53, 168, 1079},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {53, 169, 998},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {53, 194, 1003},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {53, 195, 868},	// Soprano::Vocabulary::Xesam::Source
    {53, 196, 1062},	// Soprano::Vocabulary::Xesam::SourceCode
    {53, 197, 1069},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {53, 211, 1022},	// Soprano::Vocabulary::Xesam::SystemResource
    {53, 212, 1100},	// Soprano::Vocabulary::Xesam::Tag
    {53, 213, 1046},	// Soprano::Vocabulary::Xesam::Text
    {53, 214, 986},	// Soprano::Vocabulary::Xesam::TextDocument
    {53, 217, 939},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {53, 218, 871},	// Soprano::Vocabulary::Xesam::Video
    {53, 220, 1007},	// Soprano::Vocabulary::Xesam::Visual
    {53, 221, 1078},	// Soprano::Vocabulary::Xesam::XML
    {53, 227, 960},	// Soprano::Vocabulary::Xesam::acl
    {53, 244, 1047},	// Soprano::Vocabulary::Xesam::album
    {53, 245, 943},	// Soprano::Vocabulary::Xesam::albumArtist
    {53, 246, 848},	// Soprano::Vocabulary::Xesam::albumGain
    {53, 247, 1048},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {53, 248, 1013},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {53, 259, 1071},	// Soprano::Vocabulary::Xesam::aperture
    {53, 260, 1068},	// Soprano::Vocabulary::Xesam::artist
    {53, 261, 1082},	// Soprano::Vocabulary::Xesam::asText
    {53, 262, 1025},	// Soprano::Vocabulary::Xesam::aspectRatio
    {53, 263, 899},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {53, 264, 1073},	// Soprano::Vocabulary::Xesam::audioBPM
    {53, 265, 879},	// Soprano::Vocabulary::Xesam::audioBitrate
    {53, 266, 976},	// Soprano::Vocabulary::Xesam::audioChannels
    {53, 267, 1006},	// Soprano::Vocabulary::Xesam::audioCodec
    {53, 268, 891},	// Soprano::Vocabulary::Xesam::audioCodecType
    {53, 269, 944},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {53, 270, 1028},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {53, 271, 906},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {53, 272, 1059},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {53, 273, 1001},	// Soprano::Vocabulary::Xesam::author
    {53, 274, 844},	// Soprano::Vocabulary::Xesam::autoRating
    {53, 278, 1080},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {53, 279, 1041},	// Soprano::Vocabulary::Xesam::bcc
    {53, 284, 851},	// Soprano::Vocabulary::Xesam::birthDate
    {53, 287, 1024},	// Soprano::Vocabulary::Xesam::blogContactURL
    {53, 291, 991},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {53, 292, 978},	// Soprano::Vocabulary::Xesam::cameraModel
    {53, 294, 895},	// Soprano::Vocabulary::Xesam::cc
    {53, 295, 1074},	// Soprano::Vocabulary::Xesam::ccdWidth
    {53, 296, 930},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {53, 297, 910},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {53, 298, 850},	// Soprano::Vocabulary::Xesam::changeCommitter
    {53, 299, 941},	// Soprano::Vocabulary::Xesam::characterCount
    {53, 300, 1014},	// Soprano::Vocabulary::Xesam::charset
    {53, 301, 917},	// Soprano::Vocabulary::Xesam::chatRoom
    {53, 309, 940},	// Soprano::Vocabulary::Xesam::colorCount
    {53, 310, 1026},	// Soprano::Vocabulary::Xesam::colorSpace
    {53, 311, 834},	// Soprano::Vocabulary::Xesam::columnCount
    {53, 312, 869},	// Soprano::Vocabulary::Xesam::comment
    {53, 313, 1030},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {53, 314, 886},	// Soprano::Vocabulary::Xesam::commitDiff
    {53, 315, 873},	// Soprano::Vocabulary::Xesam::communicationChannel
    {53, 317, 878},	// Soprano::Vocabulary::Xesam::composer
    {53, 318, 1053},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {53, 319, 908},	// Soprano::Vocabulary::Xesam::compressionLevel
    {53, 320, 845},	// Soprano::Vocabulary::Xesam::conflicts
    {53, 322, 877},	// Soprano::Vocabulary::Xesam::contactMedium
    {53, 323, 963},	// Soprano::Vocabulary::Xesam::contactNick
    {53, 324, 1070},	// Soprano::Vocabulary::Xesam::contactURL
    {53, 325, 884},	// Soprano::Vocabulary::Xesam::contains
    {53, 344, 1094},	// Soprano::Vocabulary::Xesam::contentComment
    {53, 345, 864},	// Soprano::Vocabulary::Xesam::contentCreated
    {53, 346, 942},	// Soprano::Vocabulary::Xesam::contentKeyword
    {53, 347, 1086},	// Soprano::Vocabulary::Xesam::contentModified
    {53, 348, 1031},	// Soprano::Vocabulary::Xesam::contentType
    {53, 350, 1067},	// Soprano::Vocabulary::Xesam::contributor
    {53, 351, 870},	// Soprano::Vocabulary::Xesam::copyright
    {53, 366, 863},	// Soprano::Vocabulary::Xesam::creator
    {53, 374, 897},	// Soprano::Vocabulary::Xesam::definesClass
    {53, 375, 1056},	// Soprano::Vocabulary::Xesam::definesFunction
    {53, 376, 973},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {53, 379, 980},	// Soprano::Vocabulary::Xesam::deletionTime
    {53, 380, 1027},	// Soprano::Vocabulary::Xesam::depends
    {53, 382, 1020},	// Soprano::Vocabulary::Xesam::derivedFrom
    {53, 383, 888},	// Soprano::Vocabulary::Xesam::description
    {53, 393, 889},	// Soprano::Vocabulary::Xesam::discNumber
    {53, 394, 1037},	// Soprano::Vocabulary::Xesam::disclaimer
    {53, 413, 1018},	// Soprano::Vocabulary::Xesam::documentCategory
    {53, 416, 907},	// Soprano::Vocabulary::Xesam::emailAddress
    {53, 432, 977},	// Soprano::Vocabulary::Xesam::exposureBias
    {53, 433, 912},	// Soprano::Vocabulary::Xesam::exposureProgram
    {53, 434, 979},	// Soprano::Vocabulary::Xesam::exposureTime
    {53, 436, 875},	// Soprano::Vocabulary::Xesam::familyName
    {53, 437, 920},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {53, 438, 918},	// Soprano::Vocabulary::Xesam::fileExtension
    {53, 439, 916},	// Soprano::Vocabulary::Xesam::fileSystemType
    {53, 440, 902},	// Soprano::Vocabulary::Xesam::fingerprint
    {53, 444, 949},	// Soprano::Vocabulary::Xesam::firstUsed
    {53, 445, 1049},	// Soprano::Vocabulary::Xesam::flashUsed
    {53, 446, 1044},	// Soprano::Vocabulary::Xesam::focalLength
    {53, 447, 1034},	// Soprano::Vocabulary::Xesam::focusDistance
    {53, 448, 1096},	// Soprano::Vocabulary::Xesam::formatSubtype
    {53, 449, 859},	// Soprano::Vocabulary::Xesam::frameCount
    {53, 450, 956},	// Soprano::Vocabulary::Xesam::frameRate
    {53, 451, 970},	// Soprano::Vocabulary::Xesam::freeSpace
    {53, 458, 984},	// Soprano::Vocabulary::Xesam::gender
    {53, 459, 1057},	// Soprano::Vocabulary::Xesam::generator
    {53, 460, 1017},	// Soprano::Vocabulary::Xesam::generatorOptions
    {53, 461, 887},	// Soprano::Vocabulary::Xesam::genre
    {53, 462, 1065},	// Soprano::Vocabulary::Xesam::givenName
    {53, 464, 874},	// Soprano::Vocabulary::Xesam::group
    {53, 475, 840},	// Soprano::Vocabulary::Xesam::height
    {53, 476, 1084},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {53, 477, 999},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {53, 478, 1011},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {53, 479, 882},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {53, 480, 1072},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {53, 481, 903},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {53, 482, 964},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {53, 484, 1051},	// Soprano::Vocabulary::Xesam::id
    {53, 486, 900},	// Soprano::Vocabulary::Xesam::imContactMedium
    {53, 488, 923},	// Soprano::Vocabulary::Xesam::inReplyTo
    {53, 492, 1000},	// Soprano::Vocabulary::Xesam::interest
    {53, 493, 860},	// Soprano::Vocabulary::Xesam::interlaceMode
    {53, 497, 841},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {53, 504, 931},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {53, 515, 913},	// Soprano::Vocabulary::Xesam::isEncrypted
    {53, 517, 1010},	// Soprano::Vocabulary::Xesam::isImportant
    {53, 518, 961},	// Soprano::Vocabulary::Xesam::isInProgress
    {53, 526, 924},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {53, 527, 842},	// Soprano::Vocabulary::Xesam::isRead
    {53, 530, 1075},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {53, 540, 904},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {53, 552, 1076},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {53, 553, 981},	// Soprano::Vocabulary::Xesam::keyword
    {53, 554, 957},	// Soprano::Vocabulary::Xesam::knows
    {53, 556, 1035},	// Soprano::Vocabulary::Xesam::language
    {53, 559, 946},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {53, 560, 1012},	// Soprano::Vocabulary::Xesam::lastUsed
    {53, 561, 967},	// Soprano::Vocabulary::Xesam::legal
    {53, 562, 856},	// Soprano::Vocabulary::Xesam::license
    {53, 563, 847},	// Soprano::Vocabulary::Xesam::licenseType
    {53, 564, 1090},	// Soprano::Vocabulary::Xesam::lineCount
    {53, 565, 1002},	// Soprano::Vocabulary::Xesam::links
    {53, 589, 876},	// Soprano::Vocabulary::Xesam::localRevision
    {53, 591, 1021},	// Soprano::Vocabulary::Xesam::lyricist
    {53, 592, 1089},	// Soprano::Vocabulary::Xesam::mailingList
    {53, 593, 958},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {53, 594, 987},	// Soprano::Vocabulary::Xesam::maintainer
    {53, 595, 865},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {53, 599, 955},	// Soprano::Vocabulary::Xesam::md5Hash
    {53, 600, 937},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {53, 601, 925},	// Soprano::Vocabulary::Xesam::mediaCodec
    {53, 602, 854},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {53, 603, 881},	// Soprano::Vocabulary::Xesam::mediaDuration
    {53, 605, 901},	// Soprano::Vocabulary::Xesam::mergeConflict
    {53, 608, 952},	// Soprano::Vocabulary::Xesam::meteringMode
    {53, 609, 862},	// Soprano::Vocabulary::Xesam::mimeType
    {53, 615, 915},	// Soprano::Vocabulary::Xesam::mountPoint
    {53, 616, 935},	// Soprano::Vocabulary::Xesam::name
    {53, 619, 1009},	// Soprano::Vocabulary::Xesam::newsGroup
    {53, 630, 932},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {53, 644, 1023},	// Soprano::Vocabulary::Xesam::orientation
    {53, 645, 893},	// Soprano::Vocabulary::Xesam::originURL
    {53, 646, 898},	// Soprano::Vocabulary::Xesam::originalLocation
    {53, 647, 929},	// Soprano::Vocabulary::Xesam::otherName
    {53, 649, 994},	// Soprano::Vocabulary::Xesam::owner
    {53, 650, 1032},	// Soprano::Vocabulary::Xesam::pageCount
    {53, 651, 853},	// Soprano::Vocabulary::Xesam::paragraphCount
    {53, 669, 1091},	// Soprano::Vocabulary::Xesam::performer
    {53, 670, 1038},	// Soprano::Vocabulary::Xesam::permissions
    {53, 671, 1066},	// Soprano::Vocabulary::Xesam::personPhoto
    {53, 673, 1043},	// Soprano::Vocabulary::Xesam::phoneNumber
    {53, 674, 938},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {53, 675, 1029},	// Soprano::Vocabulary::Xesam::pixelDataType
    {53, 678, 880},	// Soprano::Vocabulary::Xesam::postalAddress
    {53, 683, 833},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {53, 685, 972},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {53, 700, 866},	// Soprano::Vocabulary::Xesam::receptionTime
    {53, 701, 836},	// Soprano::Vocabulary::Xesam::recipient
    {53, 702, 988},	// Soprano::Vocabulary::Xesam::related
    {53, 703, 1054},	// Soprano::Vocabulary::Xesam::remotePassword
    {53, 704, 927},	// Soprano::Vocabulary::Xesam::remotePort
    {53, 705, 1039},	// Soprano::Vocabulary::Xesam::remoteServer
    {53, 706, 948},	// Soprano::Vocabulary::Xesam::remoteUser
    {53, 729, 993},	// Soprano::Vocabulary::Xesam::replyTo
    {53, 735, 971},	// Soprano::Vocabulary::Xesam::rowCount
    {53, 736, 1058},	// Soprano::Vocabulary::Xesam::rssFeed
    {53, 740, 928},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {53, 741, 1063},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {53, 742, 1103},	// Soprano::Vocabulary::Xesam::sampleDataType
    {53, 745, 1095},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {53, 747, 1098},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {53, 762, 867},	// Soprano::Vocabulary::Xesam::setCount
    {53, 780, 997},	// Soprano::Vocabulary::Xesam::setRate
    {53, 795, 839},	// Soprano::Vocabulary::Xesam::sha1Hash
    {53, 797, 945},	// Soprano::Vocabulary::Xesam::size
    {53, 799, 1099},	// Soprano::Vocabulary::Xesam::sourceCreated
    {53, 800, 951},	// Soprano::Vocabulary::Xesam::sourceModified
    {53, 813, 1019},	// Soprano::Vocabulary::Xesam::storageSize
    {53, 822, 1008},	// Soprano::Vocabulary::Xesam::subject
    {53, 823, 1036},	// Soprano::Vocabulary::Xesam::summary
    {53, 825, 1015},	// Soprano::Vocabulary::Xesam::supercedes
    {53, 836, 1061},	// Soprano::Vocabulary::Xesam::targetQuality
    {53, 840, 909},	// Soprano::Vocabulary::Xesam::title
    {53, 841, 996},	// Soprano::Vocabulary::Xesam::to
    {53, 845, 989},	// Soprano::Vocabulary::Xesam::totalSpace
    {53, 846, 974},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {53, 855, 985},	// Soprano::Vocabulary::Xesam::trackGain
    {53, 856, 894},	// Soprano::Vocabulary::Xesam::trackNumber
    {53, 857, 983},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {53, 866, 883},	// Soprano::Vocabulary::Xesam::url
    {53, 867, 982},	// Soprano::Vocabulary::Xesam::useCount
    {53, 869, 1016},	// Soprano::Vocabulary::Xesam::userComment
    {53, 870, 962},	// Soprano::Vocabulary::Xesam::userKeyword
    {53, 872, 950},	// Soprano::Vocabulary::Xesam::userRating
    {53, 874, 1033},	// Soprano::Vocabulary::Xesam::usesNamespace
    {53, 882, 1101},	// Soprano::Vocabulary::Xesam::version
    {53, 888, 969},	// Soprano::Vocabulary::Xesam::verticalResolution
    {53, 889, 965},	// Soprano::Vocabulary::Xesam::videoBitrate
    {53, 890, 1102},	// Soprano::Vocabulary::Xesam::videoCodec
    {53, 891, 947},	// Soprano::Vocabulary::Xesam::videoCodecType
    {53, 893, 953},	// Soprano::Vocabulary::Xesam::whiteBalance
    {53, 894, 992},	// Soprano::Vocabulary::Xesam::width
    {53, 895, 872},	// Soprano::Vocabulary::Xesam::wordCount
    {53, 896, 1085},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {53, 897, 905},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {53, 898, 838},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {53, 901, 926},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {53, 902, 855},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 53,
        __smokesoprano::methods, 1105,
        __smokesoprano::methodMaps, 1075,
        __smokesoprano::methodNames, 934,
        __smokesoprano::types, 199,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
