#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 58: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 58: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 11:   //Phonon::Effect
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 11: return (void*)(Phonon::Effect*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::EffectParameter
      switch(to) {
        case 12: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectPrivate
      switch(to) {
        case 13: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectWidget
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 58: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::MediaController
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 15: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaNode
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 11: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNodePrivate
      switch(to) {
        case 17: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaObject
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaSource
      switch(to) {
        case 19: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 20: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::Mrl
      switch(to) {
        case 70: return (void*)(QUrl*)(Phonon::Mrl*)xptr;
        case 21: return (void*)(Phonon::Mrl*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 64: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 22: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 23: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 24: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::Path
      switch(to) {
        case 25: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::SeekSlider
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 58: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::StreamInterface
      switch(to) {
        case 27: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoPlayer
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoWidget
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 30: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 11: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 32:   //Phonon::VolumeSlider
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractListModel
      switch(to) {
        case 58: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 33: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 34:   //QActionEvent
      switch(to) {
        case 34: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QBool
      switch(to) {
        case 35: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 36:   //QByteArray
      switch(to) {
        case 36: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 37:   //QChildEvent
      switch(to) {
        case 37: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QCloseEvent
      switch(to) {
        case 38: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QContextMenuEvent
      switch(to) {
        case 39: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragEnterEvent
      switch(to) {
        case 40: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragLeaveEvent
      switch(to) {
        case 41: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragMoveEvent
      switch(to) {
        case 42: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDropEvent
      switch(to) {
        case 43: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QEvent
      switch(to) {
        case 44: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFocusEvent
      switch(to) {
        case 45: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFont
      switch(to) {
        case 46: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 48:   //QHideEvent
      switch(to) {
        case 48: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QIODevice
      switch(to) {
        case 58: return (void*)(QObject*)(QIODevice*)xptr;
        case 49: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 50:   //QImage
      switch(to) {
        case 50: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 51:   //QInputMethodEvent
      switch(to) {
        case 51: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QKeyEvent
      switch(to) {
        case 52: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QMimeData
      switch(to) {
        case 54: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 55:   //QModelIndex
      switch(to) {
        case 55: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QMouseEvent
      switch(to) {
        case 56: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMoveEvent
      switch(to) {
        case 57: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QObject
      switch(to) {
        case 58: return (void*)(QObject*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 11: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 15: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPalette
      switch(to) {
        case 61: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 62:   //QRegExp
      switch(to) {
        case 62: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 63:   //QResizeEvent
      switch(to) {
        case 63: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QSharedData
      switch(to) {
        case 64: return (void*)(QSharedData*)xptr;
        case 22: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 65:   //QShowEvent
      switch(to) {
        case 65: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSize
      switch(to) {
        case 66: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 67:   //QStyle
      switch(to) {
        case 67: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 68:   //QTabletEvent
      switch(to) {
        case 68: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QTimerEvent
      switch(to) {
        case 69: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QUrl
      switch(to) {
        case 70: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 71:   //QVariant
      switch(to) {
        case 71: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 72:   //QWheelEvent
      switch(to) {
        case 72: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QWidget
      switch(to) {
        case 58: return (void*)(QObject*)(QWidget*)xptr;
        case 73: return (void*)(QWidget*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    58, 16, 0,	// 1: QObject, Phonon::MediaNode
    58, 0,	// 4: QObject
    16, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    73, 0,	// 10: QWidget
    64, 0,	// 12: QSharedData
    73, 6, 0,	// 14: QWidget, Phonon::AbstractVideoOutput
    11, 0,	// 17: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//11
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//12
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//13
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//14
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//15
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//16
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//17
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//18
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//19
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "Phonon::Mrl", true, 0, 0, 0, 0, 0 },	//21
    { "Phonon::ObjectDescriptionData", false, 12, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//22
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//23
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//25
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//26
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//27
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//28
    { "Phonon::VideoWidget", false, 14, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//29
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//30
    { "Phonon::VolumeFaderEffect", false, 17, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//31
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//32
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//33
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QBool", true, 0, 0, 0, 0, 0 },	//35
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//36
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFont", true, 0, 0, 0, 0, 0 },	//46
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//47
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//49
    { "QImage", true, 0, 0, 0, 0, 0 },	//50
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//54
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QObject", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPalette", true, 0, 0, 0, 0, 0 },	//61
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//62
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//64
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSize", true, 0, 0, 0, 0, 0 },	//66
    { "QStyle", true, 0, 0, 0, 0, 0 },	//67
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QUrl", true, 0, 0, 0, 0, 0 },	//70
    { "QVariant", true, 0, 0, 0, 0, 0 },	//71
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QWidget", true, 0, 0, 0, 0, 0 },	//73
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::Capture::DeviceType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::CaptureCategory", 1, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Phonon::Effect*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref },	//16
    { "Phonon::EffectParameter*", 12, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Phonon::EffectParameter::Hint", 12, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Phonon::EffectPrivate&", 13, Smoke::t_class|Smoke::tf_ref },	//19
    { "Phonon::EffectWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Phonon::MediaController*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Phonon::MediaController::Feature", 15, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Phonon::MediaController::NavigationMenu", 15, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Phonon::MediaNode*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Phonon::MediaNodePrivate&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::MediaObject*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Phonon::MediaSource", 19, Smoke::t_class|Smoke::tf_stack },	//28
    { "Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref },	//29
    { "Phonon::MediaSource*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaSource::Type", 19, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Phonon::MediaSourcePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//32
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Phonon::Mrl", 21, Smoke::t_class|Smoke::tf_stack },	//34
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "Phonon::ObjectDescriptionData*", 22, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Phonon::ObjectDescriptionModelData*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Phonon::ObjectDescriptionPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Phonon::Path", 25, Smoke::t_class|Smoke::tf_stack },	//45
    { "Phonon::Path&", 25, Smoke::t_class|Smoke::tf_ref },	//46
    { "Phonon::Path*", 25, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Phonon::SeekSlider*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Phonon::StreamInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Phonon::VideoPlayer*", 28, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Phonon::VideoWidget*", 29, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::VideoWidget::AspectRatio", 29, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Phonon::VideoWidget::ScaleMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Phonon::VideoWidgetPrivate&", 30, Smoke::t_class|Smoke::tf_ref },	//55
    { "Phonon::VolumeFaderEffect*", 31, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Phonon::VolumeFaderEffect::FadeCurve", 31, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Phonon::VolumeSlider*", 32, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QAbstractListModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QActionEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QBool", 35, Smoke::t_class|Smoke::tf_stack },	//61
    { "QChildEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QCloseEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QContextMenuEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDragEnterEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDragLeaveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDragMoveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QDropEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFocusEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QHideEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QIODevice*", 49, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QImage", 50, Smoke::t_class|Smoke::tf_stack },	//78
    { "QInputMethodEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QKeyEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<Phonon::MediaController::NavigationMenu>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QMimeData*", 54, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QMouseEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QMoveEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QObject*", 58, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QRegExp&", 62, Smoke::t_class|Smoke::tf_ref },	//105
    { "QResizeEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QShowEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSize", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "QStyle&", 67, Smoke::t_class|Smoke::tf_ref },	//112
    { "QTabletEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QTimerEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QUrl", 70, Smoke::t_class|Smoke::tf_stack },	//115
    { "QVariant", 71, Smoke::t_class|Smoke::tf_stack },	//116
    { "QVariant::Type", 71, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QWheelEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWidget*", 73, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtMsgType", 47, Smoke::t_enum|Smoke::tf_stack },	//191
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "__codecvt_result", 47, Smoke::t_enum|Smoke::tf_stack },	//193
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//194
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "const Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Phonon::MediaNode&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Phonon::ObjectDescriptionData&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Phonon::ObjectDescriptionModelData&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Phonon::Path&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Phonon::StreamInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QByteArray&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QFont&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "const QMimeData*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//221
    { "const QModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QPalette&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QRegExp&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QSize&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//228
    { "const QUrl&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QVariant&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//231
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//233
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//234
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//235
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//236
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//237
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//238
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//240
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//241
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//243
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//244
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  Phonon::CaptureCategory
    13, 0,	//3  Phonon::Category
    197, 0,	//5  const Phonon::EffectParameter&
    13, 199, 0,	//7  Phonon::Category, const Phonon::MediaSource&
    25, 25, 0,	//10  Phonon::MediaNode*, Phonon::MediaNode*
    231, 0,	//13  const char*
    231, 231, 0,	//15  const char*, const char*
    231, 231, 235, 0,	//18  const char*, const char*, int
    96, 235, 243, 0,	//22  QMetaObject::Call, int, void**
    2, 101, 0,	//26  Phonon::AbstractAudioOutputPrivate&, QObject*
    101, 0,	//29  QObject*
    237, 0,	//31  long long
    194, 0,	//33  bool
    209, 0,	//35  const QByteArray&
    21, 227, 0,	//37  Phonon::ErrorType, const QString&
    4, 101, 0,	//40  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//43  Phonon::AbstractVideoOutputPrivate&
    195, 0,	//45  const Phonon::AbstractVideoOutput&
    235, 0,	//47  int
    218, 0,	//49  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    13, 101, 0,	//51  Phonon::Category, QObject*
    227, 0,	//54  const QString&
    240, 0,	//56  qreal
    196, 0,	//58  const Phonon::AudioOutputDevice&
    202, 101, 0,	//60  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    197, 230, 0,	//63  const Phonon::EffectParameter&, const QVariant&
    19, 101, 0,	//66  Phonon::EffectPrivate&, QObject*
    202, 0,	//69  const Phonon::ObjectDescription<Phonon::EffectType>&
    235, 227, 71, 230, 230, 230, 217, 227, 0,	//71  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    235, 227, 71, 230, 0,	//80  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    235, 227, 71, 230, 230, 0,	//85  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    235, 227, 71, 230, 230, 230, 0,	//91  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    235, 227, 71, 230, 230, 230, 217, 0,	//98  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    15, 119, 0,	//106  Phonon::Effect*, QWidget*
    15, 0,	//109  Phonon::Effect*
    27, 0,	//111  Phonon::MediaObject*
    24, 0,	//113  Phonon::MediaController::NavigationMenu
    201, 0,	//115  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    203, 0,	//117  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    86, 0,	//119  QList<Phonon::MediaController::NavigationMenu>
    26, 0,	//121  Phonon::MediaNodePrivate&
    198, 0,	//123  const Phonon::MediaNode&
    33, 0,	//125  Phonon::MetaData
    199, 0,	//127  const Phonon::MediaSource&
    212, 0,	//129  const QList<Phonon::MediaSource>&
    216, 0,	//131  const QList<QUrl>&
    238, 0,	//133  qint32
    239, 0,	//135  qint64
    49, 49, 0,	//137  Phonon::State, Phonon::State
    229, 0,	//140  const QUrl&
    14, 227, 0,	//142  Phonon::DiscType, const QString&
    200, 0,	//145  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    204, 0,	//147  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    11, 12, 0,	//149  Phonon::Capture::DeviceType, Phonon::CaptureCategory
    3, 0,	//152  Phonon::AbstractMediaStream*
    77, 0,	//154  QIODevice*
    32, 0,	//156  Phonon::MediaSourcePrivate&
    223, 0,	//158  const QPair<QByteArray,QString>&
    14, 0,	//160  Phonon::DiscType
    11, 0,	//162  Phonon::Capture::DeviceType
    205, 0,	//164  const Phonon::ObjectDescriptionData&
    44, 235, 0,	//166  Phonon::ObjectDescriptionType, int
    43, 0,	//169  Phonon::ObjectDescriptionPrivate*
    235, 211, 0,	//171  int, const QHash<QByteArray,QVariant>&
    222, 0,	//174  const QModelIndex&
    222, 235, 0,	//176  const QModelIndex&, int
    44, 214, 0,	//179  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    213, 0,	//182  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    44, 221, 141, 235, 235, 222, 0,	//184  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    235, 235, 222, 0,	//191  int, int, const QModelIndex&
    44, 0,	//195  Phonon::ObjectDescriptionType
    59, 0,	//197  QAbstractListModel*
    206, 0,	//199  const Phonon::ObjectDescriptionModelData&
    235, 235, 0,	//201  int, int
    207, 0,	//204  const Phonon::Path&
    202, 15, 0,	//206  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    15, 15, 0,	//209  Phonon::Effect*, Phonon::Effect*
    119, 0,	//212  QWidget*
    27, 119, 0,	//214  Phonon::MediaObject*, QWidget*
    165, 0,	//217  Qt::Orientation
    226, 0,	//219  const QSize&
    208, 0,	//221  const Phonon::StreamInterface&
    13, 119, 0,	//223  Phonon::Category, QWidget*
    234, 0,	//226  float
    69, 0,	//228  QEvent*
    53, 0,	//230  Phonon::VideoWidget::AspectRatio
    54, 0,	//232  Phonon::VideoWidget::ScaleMode
    55, 119, 0,	//234  Phonon::VideoWidgetPrivate&, QWidget*
    98, 0,	//237  QMouseEvent*
    233, 0,	//239  double
    57, 0,	//241  Phonon::VolumeFaderEffect::FadeCurve
    234, 235, 0,	//243  float, int
    9, 119, 0,	//246  Phonon::AudioOutput*, QWidget*
    9, 0,	//249  Phonon::AudioOutput*
    101, 69, 0,	//251  QObject*, QEvent*
    114, 0,	//254  QTimerEvent*
    62, 0,	//256  QChildEvent*
    118, 0,	//258  QWheelEvent*
    80, 0,	//260  QKeyEvent*
    75, 0,	//262  QFocusEvent*
    104, 0,	//264  QPaintEvent*
    99, 0,	//266  QMoveEvent*
    106, 0,	//268  QResizeEvent*
    63, 0,	//270  QCloseEvent*
    64, 0,	//272  QContextMenuEvent*
    113, 0,	//274  QTabletEvent*
    60, 0,	//276  QActionEvent*
    65, 0,	//278  QDragEnterEvent*
    67, 0,	//280  QDragMoveEvent*
    66, 0,	//282  QDragLeaveEvent*
    68, 0,	//284  QDropEvent*
    107, 0,	//286  QShowEvent*
    76, 0,	//288  QHideEvent*
    192, 0,	//290  _XEvent*
    102, 0,	//292  QPaintDevice::PaintDeviceMetric
    79, 0,	//294  QInputMethodEvent*
    153, 0,	//296  Qt::InputMethodQuery
    112, 0,	//298  QStyle&
    224, 0,	//300  const QPalette&
    210, 0,	//302  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "AngleMenu",	//10
    "Angles",	//11
    "ArtistMetaData",	//12
    "AspectRatio16_9",	//13
    "AspectRatio4_3",	//14
    "AspectRatioAuto",	//15
    "AspectRatioWidget",	//16
    "AudioCaptureDeviceType",	//17
    "AudioChannelType",	//18
    "AudioDataOutput",	//19
    "AudioDataOutput#",	//20
    "AudioMenu",	//21
    "AudioOutput",	//22
    "AudioOutput#",	//23
    "AudioOutput$",	//24
    "AudioOutput$#",	//25
    "AudioOutputDeviceType",	//26
    "BufferingState",	//27
    "CaptureDevice",	//28
    "Cd",	//29
    "CenterChannel",	//30
    "ChapterMenu",	//31
    "Chapters",	//32
    "CommunicationCaptureCategory",	//33
    "CommunicationCategory",	//34
    "ControlCaptureCategory",	//35
    "DateMetaData",	//36
    "DescriptionMetaData",	//37
    "Disc",	//38
    "DrawChildren",	//39
    "DrawWindowBackground",	//40
    "Dvd",	//41
    "Effect",	//42
    "Effect##",	//43
    "Effect?",	//44
    "Effect?#",	//45
    "EffectParameter",	//46
    "EffectParameter#",	//47
    "EffectParameter$$$#",	//48
    "EffectParameter$$$##",	//49
    "EffectParameter$$$###",	//50
    "EffectParameter$$$###?",	//51
    "EffectParameter$$$###?$",	//52
    "EffectType",	//53
    "EffectWidget",	//54
    "EffectWidget#",	//55
    "EffectWidget##",	//56
    "Empty",	//57
    "ErrorState",	//58
    "Fade12Decibel",	//59
    "Fade3Decibel",	//60
    "Fade6Decibel",	//61
    "Fade9Decibel",	//62
    "FatalError",	//63
    "FitInView",	//64
    "GameCategory",	//65
    "GenreMetaData",	//66
    "IgnoreMask",	//67
    "IntegerHint",	//68
    "Invalid",	//69
    "LastCategory",	//70
    "LeftChannel",	//71
    "LeftSurroundChannel",	//72
    "LoadingState",	//73
    "LocalFile",	//74
    "LogarithmicHint",	//75
    "MediaController",	//76
    "MediaController#",	//77
    "MediaNode",	//78
    "MediaNode#",	//79
    "MediaObject",	//80
    "MediaObject#",	//81
    "MediaSource",	//82
    "MediaSource#",	//83
    "MediaSource$",	//84
    "MediaSource$$",	//85
    "MediaSource?",	//86
    "MusicBrainzDiscIdMetaData",	//87
    "MusicCategory",	//88
    "Navigations",	//89
    "NoCaptureCategory",	//90
    "NoCategory",	//91
    "NoDisc",	//92
    "NoError",	//93
    "NormalError",	//94
    "NotificationCategory",	//95
    "ObjectDescriptionData",	//96
    "ObjectDescriptionData#",	//97
    "ObjectDescriptionData$?",	//98
    "ObjectDescriptionModelData",	//99
    "ObjectDescriptionModelData#",	//100
    "Path",	//101
    "Path#",	//102
    "PausedState",	//103
    "PlayingState",	//104
    "Q_COMPLEX_TYPE",	//105
    "Q_DUMMY_TYPE",	//106
    "Q_MOVABLE_TYPE",	//107
    "Q_PRIMITIVE_TYPE",	//108
    "Q_STATIC_TYPE",	//109
    "QtCriticalMsg",	//110
    "QtDebugMsg",	//111
    "QtFatalMsg",	//112
    "QtSystemMsg",	//113
    "QtWarningMsg",	//114
    "RecordingCaptureCategory",	//115
    "RightChannel",	//116
    "RightSurroundChannel",	//117
    "RootMenu",	//118
    "ScaleAndCrop",	//119
    "SeekSlider",	//120
    "SeekSlider#",	//121
    "SeekSlider##",	//122
    "StoppedState",	//123
    "Stream",	//124
    "StreamInterface",	//125
    "StreamInterface#",	//126
    "SubtitleMenu",	//127
    "SubtitleType",	//128
    "SubwooferChannel",	//129
    "TitleMenu",	//130
    "TitleMetaData",	//131
    "Titles",	//132
    "ToggledHint",	//133
    "TracknumberMetaData",	//134
    "Url",	//135
    "Vcd",	//136
    "VideoCaptureDeviceType",	//137
    "VideoCategory",	//138
    "VideoPlayer",	//139
    "VideoPlayer#",	//140
    "VideoPlayer$",	//141
    "VideoPlayer$#",	//142
    "VideoWidget",	//143
    "VideoWidget#",	//144
    "VideoWidget##",	//145
    "VolumeFaderEffect",	//146
    "VolumeFaderEffect#",	//147
    "VolumeSlider",	//148
    "VolumeSlider#",	//149
    "VolumeSlider##",	//150
    "__codecvt_error",	//151
    "__codecvt_noconv",	//152
    "__codecvt_ok",	//153
    "__codecvt_partial",	//154
    "aboutToFinish",	//155
    "actionEvent",	//156
    "angleChanged",	//157
    "angleChanged$",	//158
    "aspectRatio",	//159
    "audioCaptureDevice",	//160
    "audioOutput",	//161
    "autoDelete",	//162
    "autoplayTitles",	//163
    "availableAngles",	//164
    "availableAnglesChanged",	//165
    "availableAnglesChanged$",	//166
    "availableAudioChannels",	//167
    "availableAudioChannelsChanged",	//168
    "availableChapters",	//169
    "availableChaptersChanged",	//170
    "availableChaptersChanged$",	//171
    "availableMenus",	//172
    "availableMenusChanged",	//173
    "availableMenusChanged?",	//174
    "availableSubtitles",	//175
    "availableSubtitlesChanged",	//176
    "availableTitles",	//177
    "availableTitlesChanged",	//178
    "availableTitlesChanged$",	//179
    "brightness",	//180
    "bufferStatus",	//181
    "bufferStatus$",	//182
    "category",	//183
    "categoryToString",	//184
    "categoryToString$",	//185
    "changeEvent",	//186
    "chapterChanged",	//187
    "chapterChanged$",	//188
    "childEvent",	//189
    "clear",	//190
    "clearQueue",	//191
    "closeEvent",	//192
    "connectNotify",	//193
    "connectToSource",	//194
    "connectToSource#",	//195
    "contextMenuEvent",	//196
    "contrast",	//197
    "createPath",	//198
    "createPath##",	//199
    "createPlayer",	//200
    "createPlayer$",	//201
    "createPlayer$#",	//202
    "currentAngle",	//203
    "currentAudioChannel",	//204
    "currentChapter",	//205
    "currentSource",	//206
    "currentSourceChanged",	//207
    "currentSourceChanged#",	//208
    "currentSubtitle",	//209
    "currentTime",	//210
    "currentTitle",	//211
    "customEvent",	//212
    "data",	//213
    "data#",	//214
    "data#$",	//215
    "dataReady",	//216
    "dataReady?",	//217
    "dataSize",	//218
    "defaultValue",	//219
    "description",	//220
    "devType",	//221
    "deviceAccessList",	//222
    "deviceName",	//223
    "discType",	//224
    "disconnect",	//225
    "disconnectNotify",	//226
    "dragEnterEvent",	//227
    "dragLeaveEvent",	//228
    "dragMoveEvent",	//229
    "dropEvent",	//230
    "dropMimeData",	//231
    "dropMimeData$#$$$#",	//232
    "effects",	//233
    "enabledChange",	//234
    "endOfData",	//235
    "endOfMedia",	//236
    "endOfMedia$",	//237
    "enoughData",	//238
    "enqueue",	//239
    "enqueue#",	//240
    "enqueue?",	//241
    "enterEvent",	//242
    "enterFullScreen",	//243
    "error",	//244
    "error$$",	//245
    "errorString",	//246
    "errorType",	//247
    "event",	//248
    "event#",	//249
    "eventFilter",	//250
    "exitFullScreen",	//251
    "fadeCurve",	//252
    "fadeIn",	//253
    "fadeIn$",	//254
    "fadeOut",	//255
    "fadeOut$",	//256
    "fadeTo",	//257
    "fadeTo$$",	//258
    "fileName",	//259
    "finished",	//260
    "flags",	//261
    "flags#",	//262
    "focusInEvent",	//263
    "focusNextPrevChild",	//264
    "focusOutEvent",	//265
    "fontChange",	//266
    "fromIndex",	//267
    "fromIndex$$",	//268
    "hasTracking",	//269
    "hasVideo",	//270
    "hasVideoChanged",	//271
    "hasVideoChanged$",	//272
    "heightForWidth",	//273
    "hideEvent",	//274
    "hue",	//275
    "iconSize",	//276
    "id",	//277
    "index",	//278
    "inputMethodEvent",	//279
    "inputMethodQuery",	//280
    "inputPaths",	//281
    "insertEffect",	//282
    "insertEffect#",	//283
    "insertEffect##",	//284
    "insertEffect?",	//285
    "insertEffect?#",	//286
    "isIconVisible",	//287
    "isLogarithmicControl",	//288
    "isMuteVisible",	//289
    "isMuted",	//290
    "isPaused",	//291
    "isPlaying",	//292
    "isSeekable",	//293
    "isValid",	//294
    "keyPressEvent",	//295
    "keyReleaseEvent",	//296
    "languageChange",	//297
    "leaveEvent",	//298
    "load",	//299
    "load#",	//300
    "maximumValue",	//301
    "maximumVolume",	//302
    "mediaObject",	//303
    "metaData",	//304
    "metaData$",	//305
    "metaDataChanged",	//306
    "metaObject",	//307
    "metric",	//308
    "mimeData",	//309
    "mimeData$?",	//310
    "mimeTypes",	//311
    "mimeTypes$",	//312
    "minimumSizeHint",	//313
    "minimumValue",	//314
    "modelData",	//315
    "modelData#",	//316
    "mouseDoubleClickEvent",	//317
    "mouseMoveEvent",	//318
    "mouseMoveEvent#",	//319
    "mousePressEvent",	//320
    "mouseReleaseEvent",	//321
    "moveDown",	//322
    "moveDown#",	//323
    "moveEvent",	//324
    "moveUp",	//325
    "moveUp#",	//326
    "mrl",	//327
    "mutedChanged",	//328
    "mutedChanged$",	//329
    "name",	//330
    "navigationMenuToString",	//331
    "navigationMenuToString$",	//332
    "needData",	//333
    "nextTitle",	//334
    "operator!=",	//335
    "operator!=#",	//336
    "operator<",	//337
    "operator<#",	//338
    "operator=",	//339
    "operator=#",	//340
    "operator==",	//341
    "operator==#",	//342
    "operator>",	//343
    "operator>#",	//344
    "orientation",	//345
    "outputDevice",	//346
    "outputDeviceChanged",	//347
    "outputDeviceChanged?",	//348
    "outputPaths",	//349
    "pageStep",	//350
    "paintEngine",	//351
    "paintEvent",	//352
    "paletteChange",	//353
    "parameterValue",	//354
    "parameterValue#",	//355
    "parameters",	//356
    "pause",	//357
    "phononVersion",	//358
    "play",	//359
    "play#",	//360
    "possibleValues",	//361
    "prefinishMark",	//362
    "prefinishMarkReached",	//363
    "prefinishMarkReached$",	//364
    "previousTitle",	//365
    "property",	//366
    "property$",	//367
    "propertyNames",	//368
    "qHash",	//369
    "qHash#",	//370
    "qt_metacall",	//371
    "qt_metacall$$?",	//372
    "qt_metacast",	//373
    "qt_metacast$",	//374
    "queue",	//375
    "reconnect",	//376
    "reconnect##",	//377
    "registerMetaTypes",	//378
    "remainingTime",	//379
    "removeEffect",	//380
    "removeEffect#",	//381
    "removeRows",	//382
    "removeRows$$",	//383
    "removeRows$$#",	//384
    "reset",	//385
    "resizeEvent",	//386
    "rowCount",	//387
    "rowCount#",	//388
    "sampleRate",	//389
    "saturation",	//390
    "scaleMode",	//391
    "seek",	//392
    "seek$",	//393
    "seekStream",	//394
    "seekStream$",	//395
    "seekableChanged",	//396
    "seekableChanged$",	//397
    "setAspectRatio",	//398
    "setAspectRatio$",	//399
    "setAudioOutput",	//400
    "setAudioOutput#",	//401
    "setAutoDelete",	//402
    "setAutoDelete$",	//403
    "setAutoplayTitles",	//404
    "setAutoplayTitles$",	//405
    "setBrightness",	//406
    "setBrightness$",	//407
    "setContrast",	//408
    "setContrast$",	//409
    "setCurrentAngle",	//410
    "setCurrentAngle$",	//411
    "setCurrentAudioChannel",	//412
    "setCurrentAudioChannel?",	//413
    "setCurrentChapter",	//414
    "setCurrentChapter$",	//415
    "setCurrentMenu",	//416
    "setCurrentMenu$",	//417
    "setCurrentSource",	//418
    "setCurrentSource#",	//419
    "setCurrentSubtitle",	//420
    "setCurrentSubtitle?",	//421
    "setCurrentTitle",	//422
    "setCurrentTitle$",	//423
    "setDataSize",	//424
    "setDataSize$",	//425
    "setFadeCurve",	//426
    "setFadeCurve$",	//427
    "setFullScreen",	//428
    "setFullScreen$",	//429
    "setHue",	//430
    "setHue$",	//431
    "setIconSize",	//432
    "setIconSize#",	//433
    "setIconVisible",	//434
    "setIconVisible$",	//435
    "setMaximumVolume",	//436
    "setMaximumVolume$",	//437
    "setMediaObject",	//438
    "setMediaObject#",	//439
    "setModelData",	//440
    "setModelData?",	//441
    "setMuteVisible",	//442
    "setMuteVisible$",	//443
    "setMuted",	//444
    "setMuted$",	//445
    "setName",	//446
    "setName$",	//447
    "setOrientation",	//448
    "setOrientation$",	//449
    "setOutputDevice",	//450
    "setOutputDevice?",	//451
    "setPageStep",	//452
    "setPageStep$",	//453
    "setParameterValue",	//454
    "setParameterValue##",	//455
    "setPrefinishMark",	//456
    "setPrefinishMark$",	//457
    "setQueue",	//458
    "setQueue?",	//459
    "setSaturation",	//460
    "setSaturation$",	//461
    "setScaleMode",	//462
    "setScaleMode$",	//463
    "setSingleStep",	//464
    "setSingleStep$",	//465
    "setStreamSeekable",	//466
    "setStreamSeekable$",	//467
    "setStreamSize",	//468
    "setStreamSize$",	//469
    "setTickInterval",	//470
    "setTickInterval$",	//471
    "setTracking",	//472
    "setTracking$",	//473
    "setTransitionTime",	//474
    "setTransitionTime$",	//475
    "setVisible",	//476
    "setVolume",	//477
    "setVolume$",	//478
    "setVolumeDecibel",	//479
    "setVolumeDecibel$",	//480
    "showEvent",	//481
    "singleStep",	//482
    "sink",	//483
    "sizeHint",	//484
    "snapshot",	//485
    "source",	//486
    "state",	//487
    "stateChanged",	//488
    "stateChanged$$",	//489
    "staticMetaObject",	//490
    "stop",	//491
    "stream",	//492
    "streamSeekable",	//493
    "streamSize",	//494
    "styleChange",	//495
    "supportedDropActions",	//496
    "supportedFeatures",	//497
    "tabletEvent",	//498
    "tick",	//499
    "tick$",	//500
    "tickInterval",	//501
    "timerEvent",	//502
    "titleChanged",	//503
    "titleChanged$",	//504
    "totalTime",	//505
    "totalTimeChanged",	//506
    "totalTimeChanged$",	//507
    "tr",	//508
    "tr$",	//509
    "tr$$",	//510
    "tr$$$",	//511
    "trUtf8",	//512
    "trUtf8$",	//513
    "trUtf8$$",	//514
    "trUtf8$$$",	//515
    "transitionTime",	//516
    "tupleIndexAtPositionIndex",	//517
    "tupleIndexAtPositionIndex$",	//518
    "tupleIndexOrder",	//519
    "type",	//520
    "url",	//521
    "videoCaptureDevice",	//522
    "videoWidget",	//523
    "volume",	//524
    "volumeChanged",	//525
    "volumeChanged$",	//526
    "volumeDecibel",	//527
    "wheelEvent",	//528
    "windowActivationChange",	//529
    "writeData",	//530
    "writeData#",	//531
    "x11Event",	//532
    "~AbstractAudioOutput",	//533
    "~AbstractMediaStream",	//534
    "~AbstractVideoOutput",	//535
    "~AudioDataOutput",	//536
    "~AudioOutput",	//537
    "~Effect",	//538
    "~EffectParameter",	//539
    "~EffectWidget",	//540
    "~MediaController",	//541
    "~MediaNode",	//542
    "~MediaObject",	//543
    "~MediaSource",	//544
    "~ObjectDescriptionData",	//545
    "~ObjectDescriptionModelData",	//546
    "~Path",	//547
    "~SeekSlider",	//548
    "~StreamInterface",	//549
    "~VideoPlayer",	//550
    "~VideoWidget",	//551
    "~VolumeFaderEffect",	//552
    "~VolumeSlider",	//553
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 184, 1, 1, Smoke::mf_static, 109, 1},	//1 Phonon::categoryToString(Phonon::CaptureCategory)
    {1, 184, 3, 1, Smoke::mf_static, 109, 2},	//2 Phonon::categoryToString(Phonon::Category)
    {1, 378, 0, 0, Smoke::mf_static, 0, 3},	//3 Phonon::registerMetaTypes()
    {1, 369, 5, 1, Smoke::mf_static, 241, 4},	//4 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 200, 7, 2, Smoke::mf_static, 27, 5},	//5 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 200, 3, 1, Smoke::mf_static, 27, 6},	//6 Phonon::createPlayer(Phonon::Category)
    {1, 358, 0, 0, Smoke::mf_static, 231, 7},	//7 Phonon::phononVersion()
    {1, 198, 10, 2, Smoke::mf_static, 45, 8},	//8 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 9},	//9 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 10},	//10 Phonon::AlbumMetaData (enum)
    {1, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 11},	//11 Phonon::TitleMetaData (enum)
    {1, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 12},	//12 Phonon::DateMetaData (enum)
    {1, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 13},	//13 Phonon::GenreMetaData (enum)
    {1, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 14},	//14 Phonon::TracknumberMetaData (enum)
    {1, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 15},	//15 Phonon::DescriptionMetaData (enum)
    {1, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 16},	//16 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 17},	//17 Phonon::AudioOutputDeviceType (enum)
    {1, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 18},	//18 Phonon::EffectType (enum)
    {1, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 19},	//19 Phonon::AudioChannelType (enum)
    {1, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 20},	//20 Phonon::SubtitleType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 21},	//21 Phonon::AudioCaptureDeviceType (enum)
    {1, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 22},	//22 Phonon::VideoCaptureDeviceType (enum)
    {1, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//23 Phonon::NoDisc (enum)
    {1, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//24 Phonon::Cd (enum)
    {1, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//25 Phonon::Dvd (enum)
    {1, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 26},	//26 Phonon::Vcd (enum)
    {1, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 27},	//27 Phonon::NoCaptureCategory (enum)
    {1, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 28},	//28 Phonon::CommunicationCaptureCategory (enum)
    {1, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 29},	//29 Phonon::RecordingCaptureCategory (enum)
    {1, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 30},	//30 Phonon::ControlCaptureCategory (enum)
    {1, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 31},	//31 Phonon::NoError (enum)
    {1, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 32},	//32 Phonon::NormalError (enum)
    {1, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 33},	//33 Phonon::FatalError (enum)
    {1, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//34 Phonon::NoCategory (enum)
    {1, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//35 Phonon::NotificationCategory (enum)
    {1, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//36 Phonon::MusicCategory (enum)
    {1, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//37 Phonon::VideoCategory (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 38},	//38 Phonon::CommunicationCategory (enum)
    {1, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 39},	//39 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 40},	//40 Phonon::AccessibilityCategory (enum)
    {1, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 41},	//41 Phonon::LastCategory (enum)
    {1, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 42},	//42 Phonon::LoadingState (enum)
    {1, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 43},	//43 Phonon::StoppedState (enum)
    {1, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 44},	//44 Phonon::PlayingState (enum)
    {1, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 45},	//45 Phonon::BufferingState (enum)
    {1, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 46},	//46 Phonon::PausedState (enum)
    {1, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 47},	//47 Phonon::ErrorState (enum)
    {2, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//48 Phonon::AbstractAudioOutput::metaObject() const
    {2, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//49 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 508, 15, 2, Smoke::mf_static, 109, 3},	//50 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 512, 15, 2, Smoke::mf_static, 109, 4},	//51 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 508, 18, 3, Smoke::mf_static, 109, 5},	//52 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 512, 18, 3, Smoke::mf_static, 109, 6},	//53 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//54 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 26, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//55 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 508, 13, 1, Smoke::mf_static, 109, 9},	//56 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 512, 13, 1, Smoke::mf_static, 109, 10},	//57 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 11},	//58 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 533, 0, 0, Smoke::mf_dtor, 0, 12 },	//59 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//60 Phonon::AbstractMediaStream::metaObject() const
    {4, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//61 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 508, 15, 2, Smoke::mf_static, 109, 3},	//62 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 512, 15, 2, Smoke::mf_static, 109, 4},	//63 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 508, 18, 3, Smoke::mf_static, 109, 5},	//64 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 512, 18, 3, Smoke::mf_static, 109, 6},	//65 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//66 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 29, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//67 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 494, 0, 0, Smoke::mf_const|Smoke::mf_protected, 237, 9},	//68 Phonon::AbstractMediaStream::streamSize() const
    {4, 468, 31, 1, Smoke::mf_protected, 0, 10},	//69 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 493, 0, 0, Smoke::mf_const|Smoke::mf_protected, 194, 11},	//70 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 466, 33, 1, Smoke::mf_protected, 0, 12},	//71 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 530, 35, 1, Smoke::mf_protected, 0, 13},	//72 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 235, 0, 0, Smoke::mf_protected, 0, 14},	//73 Phonon::AbstractMediaStream::endOfData()
    {4, 244, 37, 2, Smoke::mf_protected, 0, 15},	//74 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 385, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//75 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 333, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//76 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 238, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//77 Phonon::AbstractMediaStream::enoughData()
    {4, 394, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//78 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//79 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 508, 13, 1, Smoke::mf_static, 109, 21},	//80 Phonon::AbstractMediaStream::tr(const char*)
    {4, 512, 13, 1, Smoke::mf_static, 109, 22},	//81 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//82 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 24},	//83 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 534, 0, 0, Smoke::mf_dtor, 0, 25 },	//84 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//85 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//86 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 535, 0, 0, Smoke::mf_dtor, 0, 3 },	//87 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//88 Phonon::AudioDataOutput::metaObject() const
    {8, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//89 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 508, 15, 2, Smoke::mf_static, 109, 3},	//90 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 512, 15, 2, Smoke::mf_static, 109, 4},	//91 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 508, 18, 3, Smoke::mf_static, 109, 5},	//92 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 512, 18, 3, Smoke::mf_static, 109, 6},	//93 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//94 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 19, 29, 1, Smoke::mf_ctor, 7, 8},	//95 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 218, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 9},	//96 Phonon::AudioDataOutput::dataSize() const
    {8, 389, 0, 0, Smoke::mf_const, 235, 10},	//97 Phonon::AudioDataOutput::sampleRate() const
    {8, 424, 47, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//98 Phonon::AudioDataOutput::setDataSize(int)
    {8, 216, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//99 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 236, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//100 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 508, 13, 1, Smoke::mf_static, 109, 14},	//101 Phonon::AudioDataOutput::tr(const char*)
    {8, 512, 13, 1, Smoke::mf_static, 109, 15},	//102 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 19, 0, 0, Smoke::mf_ctor, 7, 16},	//103 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 17},	//104 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//105 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//106 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//107 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//108 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//109 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//110 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 536, 0, 0, Smoke::mf_dtor, 0, 24 },	//111 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//112 Phonon::AudioOutput::metaObject() const
    {9, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//113 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 508, 15, 2, Smoke::mf_static, 109, 3},	//114 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 512, 15, 2, Smoke::mf_static, 109, 4},	//115 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 508, 18, 3, Smoke::mf_static, 109, 5},	//116 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 512, 18, 3, Smoke::mf_static, 109, 6},	//117 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//118 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 22, 51, 2, Smoke::mf_ctor, 9, 8},	//119 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 22, 29, 1, Smoke::mf_ctor, 9, 9},	//120 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 330, 0, 0, Smoke::mf_const|Smoke::mf_property, 109, 10},	//121 Phonon::AudioOutput::name() const
    {9, 524, 0, 0, Smoke::mf_const, 233, 11},	//122 Phonon::AudioOutput::volume() const
    {9, 527, 0, 0, Smoke::mf_const, 233, 12},	//123 Phonon::AudioOutput::volumeDecibel() const
    {9, 183, 0, 0, Smoke::mf_const, 13, 13},	//124 Phonon::AudioOutput::category() const
    {9, 346, 0, 0, Smoke::mf_const, 37, 14},	//125 Phonon::AudioOutput::outputDevice() const
    {9, 290, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 15},	//126 Phonon::AudioOutput::isMuted() const
    {9, 446, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//127 Phonon::AudioOutput::setName(const QString&)
    {9, 477, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//128 Phonon::AudioOutput::setVolume(qreal)
    {9, 479, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//129 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 450, 58, 1, Smoke::mf_property|Smoke::mf_slot, 194, 19},	//130 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 444, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//131 Phonon::AudioOutput::setMuted(bool)
    {9, 525, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//132 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 328, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//133 Phonon::AudioOutput::mutedChanged(bool)
    {9, 347, 58, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//134 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 508, 13, 1, Smoke::mf_static, 109, 24},	//135 Phonon::AudioOutput::tr(const char*)
    {9, 512, 13, 1, Smoke::mf_static, 109, 25},	//136 Phonon::AudioOutput::trUtf8(const char*)
    {9, 22, 3, 1, Smoke::mf_ctor, 9, 26},	//137 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 22, 0, 0, Smoke::mf_ctor, 9, 27},	//138 Phonon::AudioOutput::AudioOutput()
    {9, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 28},	//139 Phonon::AudioOutput::staticMetaObject() const
    {9, 537, 0, 0, Smoke::mf_dtor, 0, 29 },	//140 Phonon::AudioOutput::~AudioOutput()
    {11, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//141 Phonon::Effect::metaObject() const
    {11, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//142 Phonon::Effect::qt_metacast(const char*)
    {11, 508, 15, 2, Smoke::mf_static, 109, 3},	//143 Phonon::Effect::tr(const char*, const char*)
    {11, 512, 15, 2, Smoke::mf_static, 109, 4},	//144 Phonon::Effect::trUtf8(const char*, const char*)
    {11, 508, 18, 3, Smoke::mf_static, 109, 5},	//145 Phonon::Effect::tr(const char*, const char*, int)
    {11, 512, 18, 3, Smoke::mf_static, 109, 6},	//146 Phonon::Effect::trUtf8(const char*, const char*, int)
    {11, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//147 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {11, 42, 60, 2, Smoke::mf_ctor, 15, 8},	//148 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {11, 220, 0, 0, Smoke::mf_const, 38, 9},	//149 Phonon::Effect::description() const
    {11, 356, 0, 0, Smoke::mf_const, 85, 10},	//150 Phonon::Effect::parameters() const
    {11, 354, 5, 1, Smoke::mf_const, 116, 11},	//151 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {11, 454, 63, 2, 0, 0, 12},	//152 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {11, 42, 66, 2, Smoke::mf_ctor|Smoke::mf_protected, 15, 13},	//153 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {11, 508, 13, 1, Smoke::mf_static, 109, 14},	//154 Phonon::Effect::tr(const char*)
    {11, 512, 13, 1, Smoke::mf_static, 109, 15},	//155 Phonon::Effect::trUtf8(const char*)
    {11, 42, 69, 1, Smoke::mf_ctor, 15, 16},	//156 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {11, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 17},	//157 Phonon::Effect::staticMetaObject() const
    {11, 538, 0, 0, Smoke::mf_dtor, 0, 18 },	//158 Phonon::Effect::~Effect()
    {12, 46, 0, 0, Smoke::mf_ctor, 17, 1},	//159 Phonon::EffectParameter::EffectParameter()
    {12, 330, 0, 0, Smoke::mf_const, 227, 2},	//160 Phonon::EffectParameter::name() const
    {12, 220, 0, 0, Smoke::mf_const, 227, 3},	//161 Phonon::EffectParameter::description() const
    {12, 520, 0, 0, Smoke::mf_const, 117, 4},	//162 Phonon::EffectParameter::type() const
    {12, 288, 0, 0, Smoke::mf_const, 194, 5},	//163 Phonon::EffectParameter::isLogarithmicControl() const
    {12, 314, 0, 0, Smoke::mf_const, 116, 6},	//164 Phonon::EffectParameter::minimumValue() const
    {12, 301, 0, 0, Smoke::mf_const, 116, 7},	//165 Phonon::EffectParameter::maximumValue() const
    {12, 219, 0, 0, Smoke::mf_const, 116, 8},	//166 Phonon::EffectParameter::defaultValue() const
    {12, 361, 0, 0, Smoke::mf_const, 94, 9},	//167 Phonon::EffectParameter::possibleValues() const
    {12, 337, 5, 1, Smoke::mf_const, 194, 10},	//168 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {12, 343, 5, 1, Smoke::mf_const, 194, 11},	//169 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {12, 341, 5, 1, Smoke::mf_const, 194, 12},	//170 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {12, 46, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 13},	//171 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {12, 339, 5, 1, 0, 16, 14},	//172 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {12, 46, 71, 8, Smoke::mf_ctor, 17, 15},	//173 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {12, 277, 0, 0, Smoke::mf_const, 235, 16},	//174 Phonon::EffectParameter::id() const
    {12, 46, 80, 4, Smoke::mf_ctor, 17, 17},	//175 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {12, 46, 85, 5, Smoke::mf_ctor, 17, 18},	//176 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {12, 46, 91, 6, Smoke::mf_ctor, 17, 19},	//177 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {12, 46, 98, 7, Smoke::mf_ctor, 17, 20},	//178 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 21},	//179 Phonon::EffectParameter::ToggledHint (enum)
    {12, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 22},	//180 Phonon::EffectParameter::LogarithmicHint (enum)
    {12, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 23},	//181 Phonon::EffectParameter::IntegerHint (enum)
    {12, 539, 0, 0, Smoke::mf_dtor, 0, 24 },	//182 Phonon::EffectParameter::~EffectParameter()
    {14, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//183 Phonon::EffectWidget::metaObject() const
    {14, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//184 Phonon::EffectWidget::qt_metacast(const char*)
    {14, 508, 15, 2, Smoke::mf_static, 109, 3},	//185 Phonon::EffectWidget::tr(const char*, const char*)
    {14, 512, 15, 2, Smoke::mf_static, 109, 4},	//186 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {14, 508, 18, 3, Smoke::mf_static, 109, 5},	//187 Phonon::EffectWidget::tr(const char*, const char*, int)
    {14, 512, 18, 3, Smoke::mf_static, 109, 6},	//188 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {14, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//189 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 54, 106, 2, Smoke::mf_ctor, 20, 8},	//190 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {14, 508, 13, 1, Smoke::mf_static, 109, 9},	//191 Phonon::EffectWidget::tr(const char*)
    {14, 512, 13, 1, Smoke::mf_static, 109, 10},	//192 Phonon::EffectWidget::trUtf8(const char*)
    {14, 54, 109, 1, Smoke::mf_ctor, 20, 11},	//193 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {14, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 12},	//194 Phonon::EffectWidget::staticMetaObject() const
    {14, 540, 0, 0, Smoke::mf_dtor, 0, 13 },	//195 Phonon::EffectWidget::~EffectWidget()
    {15, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//196 Phonon::MediaController::metaObject() const
    {15, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//197 Phonon::MediaController::qt_metacast(const char*)
    {15, 508, 15, 2, Smoke::mf_static, 109, 3},	//198 Phonon::MediaController::tr(const char*, const char*)
    {15, 512, 15, 2, Smoke::mf_static, 109, 4},	//199 Phonon::MediaController::trUtf8(const char*, const char*)
    {15, 508, 18, 3, Smoke::mf_static, 109, 5},	//200 Phonon::MediaController::tr(const char*, const char*, int)
    {15, 512, 18, 3, Smoke::mf_static, 109, 6},	//201 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {15, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//202 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {15, 76, 111, 1, Smoke::mf_ctor, 22, 8},	//203 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {15, 497, 0, 0, Smoke::mf_const, 72, 9},	//204 Phonon::MediaController::supportedFeatures() const
    {15, 164, 0, 0, Smoke::mf_const, 235, 10},	//205 Phonon::MediaController::availableAngles() const
    {15, 203, 0, 0, Smoke::mf_const, 235, 11},	//206 Phonon::MediaController::currentAngle() const
    {15, 169, 0, 0, Smoke::mf_const, 235, 12},	//207 Phonon::MediaController::availableChapters() const
    {15, 205, 0, 0, Smoke::mf_const, 235, 13},	//208 Phonon::MediaController::currentChapter() const
    {15, 331, 113, 1, Smoke::mf_static, 109, 14},	//209 Phonon::MediaController::navigationMenuToString(Phonon::MediaController::NavigationMenu)
    {15, 172, 0, 0, Smoke::mf_const, 86, 15},	//210 Phonon::MediaController::availableMenus() const
    {15, 177, 0, 0, Smoke::mf_const, 235, 16},	//211 Phonon::MediaController::availableTitles() const
    {15, 211, 0, 0, Smoke::mf_const, 235, 17},	//212 Phonon::MediaController::currentTitle() const
    {15, 163, 0, 0, Smoke::mf_const, 194, 18},	//213 Phonon::MediaController::autoplayTitles() const
    {15, 204, 0, 0, Smoke::mf_const, 36, 19},	//214 Phonon::MediaController::currentAudioChannel() const
    {15, 209, 0, 0, Smoke::mf_const, 39, 20},	//215 Phonon::MediaController::currentSubtitle() const
    {15, 167, 0, 0, Smoke::mf_const, 88, 21},	//216 Phonon::MediaController::availableAudioChannels() const
    {15, 175, 0, 0, Smoke::mf_const, 89, 22},	//217 Phonon::MediaController::availableSubtitles() const
    {15, 412, 115, 1, 0, 0, 23},	//218 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {15, 416, 113, 1, 0, 0, 24},	//219 Phonon::MediaController::setCurrentMenu(Phonon::MediaController::NavigationMenu)
    {15, 420, 117, 1, 0, 0, 25},	//220 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {15, 410, 47, 1, Smoke::mf_slot, 0, 26},	//221 Phonon::MediaController::setCurrentAngle(int)
    {15, 414, 47, 1, Smoke::mf_slot, 0, 27},	//222 Phonon::MediaController::setCurrentChapter(int)
    {15, 422, 47, 1, Smoke::mf_slot, 0, 28},	//223 Phonon::MediaController::setCurrentTitle(int)
    {15, 404, 33, 1, Smoke::mf_slot, 0, 29},	//224 Phonon::MediaController::setAutoplayTitles(bool)
    {15, 334, 0, 0, Smoke::mf_slot, 0, 30},	//225 Phonon::MediaController::nextTitle()
    {15, 365, 0, 0, Smoke::mf_slot, 0, 31},	//226 Phonon::MediaController::previousTitle()
    {15, 165, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//227 Phonon::MediaController::availableAnglesChanged(int)
    {15, 168, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//228 Phonon::MediaController::availableAudioChannelsChanged()
    {15, 170, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//229 Phonon::MediaController::availableChaptersChanged(int)
    {15, 173, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//230 Phonon::MediaController::availableMenusChanged(QList<Phonon::MediaController::NavigationMenu>)
    {15, 176, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//231 Phonon::MediaController::availableSubtitlesChanged()
    {15, 178, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//232 Phonon::MediaController::availableTitlesChanged(int)
    {15, 157, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//233 Phonon::MediaController::angleChanged(int)
    {15, 187, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//234 Phonon::MediaController::chapterChanged(int)
    {15, 503, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//235 Phonon::MediaController::titleChanged(int)
    {15, 508, 13, 1, Smoke::mf_static, 109, 41},	//236 Phonon::MediaController::tr(const char*)
    {15, 512, 13, 1, Smoke::mf_static, 109, 42},	//237 Phonon::MediaController::trUtf8(const char*)
    {15, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 43},	//238 Phonon::MediaController::staticMetaObject() const
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 44},	//239 Phonon::MediaController::Angles (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 45},	//240 Phonon::MediaController::Chapters (enum)
    {15, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 46},	//241 Phonon::MediaController::Navigations (enum)
    {15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 47},	//242 Phonon::MediaController::Titles (enum)
    {15, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 48},	//243 Phonon::MediaController::RootMenu (enum)
    {15, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 49},	//244 Phonon::MediaController::TitleMenu (enum)
    {15, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 50},	//245 Phonon::MediaController::AudioMenu (enum)
    {15, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 51},	//246 Phonon::MediaController::SubtitleMenu (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 52},	//247 Phonon::MediaController::ChapterMenu (enum)
    {15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 53},	//248 Phonon::MediaController::AngleMenu (enum)
    {15, 541, 0, 0, Smoke::mf_dtor, 0, 54 },	//249 Phonon::MediaController::~MediaController()
    {16, 294, 0, 0, Smoke::mf_const, 194, 1},	//250 Phonon::MediaNode::isValid() const
    {16, 281, 0, 0, Smoke::mf_const, 90, 2},	//251 Phonon::MediaNode::inputPaths() const
    {16, 349, 0, 0, Smoke::mf_const, 90, 3},	//252 Phonon::MediaNode::outputPaths() const
    {16, 78, 121, 1, Smoke::mf_ctor|Smoke::mf_protected, 25, 4},	//253 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {16, 78, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 5},	//254 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {16, 542, 0, 0, Smoke::mf_dtor, 0, 6 },	//255 Phonon::MediaNode::~MediaNode()
    {18, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//256 Phonon::MediaObject::metaObject() const
    {18, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//257 Phonon::MediaObject::qt_metacast(const char*)
    {18, 508, 15, 2, Smoke::mf_static, 109, 3},	//258 Phonon::MediaObject::tr(const char*, const char*)
    {18, 512, 15, 2, Smoke::mf_static, 109, 4},	//259 Phonon::MediaObject::trUtf8(const char*, const char*)
    {18, 508, 18, 3, Smoke::mf_static, 109, 5},	//260 Phonon::MediaObject::tr(const char*, const char*, int)
    {18, 512, 18, 3, Smoke::mf_static, 109, 6},	//261 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {18, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//262 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {18, 80, 29, 1, Smoke::mf_ctor, 27, 8},	//263 Phonon::MediaObject::MediaObject(QObject*)
    {18, 487, 0, 0, Smoke::mf_const, 49, 9},	//264 Phonon::MediaObject::state() const
    {18, 270, 0, 0, Smoke::mf_const, 194, 10},	//265 Phonon::MediaObject::hasVideo() const
    {18, 293, 0, 0, Smoke::mf_const, 194, 11},	//266 Phonon::MediaObject::isSeekable() const
    {18, 501, 0, 0, Smoke::mf_const, 235, 12},	//267 Phonon::MediaObject::tickInterval() const
    {18, 304, 54, 1, Smoke::mf_const, 110, 13},	//268 Phonon::MediaObject::metaData(const QString&) const
    {18, 304, 125, 1, Smoke::mf_const, 110, 14},	//269 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {18, 304, 0, 0, Smoke::mf_const, 100, 15},	//270 Phonon::MediaObject::metaData() const
    {18, 246, 0, 0, Smoke::mf_const, 109, 16},	//271 Phonon::MediaObject::errorString() const
    {18, 247, 0, 0, Smoke::mf_const, 21, 17},	//272 Phonon::MediaObject::errorType() const
    {18, 206, 0, 0, Smoke::mf_const, 28, 18},	//273 Phonon::MediaObject::currentSource() const
    {18, 418, 127, 1, 0, 0, 19},	//274 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {18, 375, 0, 0, Smoke::mf_const, 87, 20},	//275 Phonon::MediaObject::queue() const
    {18, 458, 129, 1, 0, 0, 21},	//276 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {18, 458, 131, 1, 0, 0, 22},	//277 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {18, 239, 127, 1, 0, 0, 23},	//278 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {18, 239, 129, 1, 0, 0, 24},	//279 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {18, 239, 131, 1, 0, 0, 25},	//280 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {18, 191, 0, 0, 0, 0, 26},	//281 Phonon::MediaObject::clearQueue()
    {18, 210, 0, 0, Smoke::mf_const, 237, 27},	//282 Phonon::MediaObject::currentTime() const
    {18, 505, 0, 0, Smoke::mf_const, 237, 28},	//283 Phonon::MediaObject::totalTime() const
    {18, 379, 0, 0, Smoke::mf_const, 237, 29},	//284 Phonon::MediaObject::remainingTime() const
    {18, 362, 0, 0, Smoke::mf_const, 235, 30},	//285 Phonon::MediaObject::prefinishMark() const
    {18, 456, 47, 1, 0, 0, 31},	//286 Phonon::MediaObject::setPrefinishMark(int)
    {18, 516, 0, 0, Smoke::mf_const, 235, 32},	//287 Phonon::MediaObject::transitionTime() const
    {18, 474, 47, 1, 0, 0, 33},	//288 Phonon::MediaObject::setTransitionTime(int)
    {18, 470, 133, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//289 Phonon::MediaObject::setTickInterval(qint32)
    {18, 359, 0, 0, Smoke::mf_slot, 0, 35},	//290 Phonon::MediaObject::play()
    {18, 357, 0, 0, Smoke::mf_slot, 0, 36},	//291 Phonon::MediaObject::pause()
    {18, 491, 0, 0, Smoke::mf_slot, 0, 37},	//292 Phonon::MediaObject::stop()
    {18, 392, 135, 1, Smoke::mf_slot, 0, 38},	//293 Phonon::MediaObject::seek(qint64)
    {18, 190, 0, 0, Smoke::mf_slot, 0, 39},	//294 Phonon::MediaObject::clear()
    {18, 488, 137, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//295 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {18, 499, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//296 Phonon::MediaObject::tick(qint64)
    {18, 306, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//297 Phonon::MediaObject::metaDataChanged()
    {18, 396, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//298 Phonon::MediaObject::seekableChanged(bool)
    {18, 271, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//299 Phonon::MediaObject::hasVideoChanged(bool)
    {18, 181, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//300 Phonon::MediaObject::bufferStatus(int)
    {18, 260, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//301 Phonon::MediaObject::finished()
    {18, 207, 127, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//302 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {18, 155, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//303 Phonon::MediaObject::aboutToFinish()
    {18, 363, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//304 Phonon::MediaObject::prefinishMarkReached(qint32)
    {18, 506, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//305 Phonon::MediaObject::totalTimeChanged(qint64)
    {18, 508, 13, 1, Smoke::mf_static, 109, 51},	//306 Phonon::MediaObject::tr(const char*)
    {18, 512, 13, 1, Smoke::mf_static, 109, 52},	//307 Phonon::MediaObject::trUtf8(const char*)
    {18, 80, 0, 0, Smoke::mf_ctor, 27, 53},	//308 Phonon::MediaObject::MediaObject()
    {18, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 54},	//309 Phonon::MediaObject::staticMetaObject() const
    {18, 543, 0, 0, Smoke::mf_dtor, 0, 55 },	//310 Phonon::MediaObject::~MediaObject()
    {19, 82, 0, 0, Smoke::mf_ctor, 30, 1},	//311 Phonon::MediaSource::MediaSource()
    {19, 82, 54, 1, Smoke::mf_ctor, 30, 2},	//312 Phonon::MediaSource::MediaSource(const QString&)
    {19, 82, 140, 1, Smoke::mf_ctor, 30, 3},	//313 Phonon::MediaSource::MediaSource(const QUrl&)
    {19, 82, 142, 2, Smoke::mf_ctor, 30, 4},	//314 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {19, 82, 145, 1, Smoke::mf_ctor, 30, 5},	//315 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {19, 82, 147, 1, Smoke::mf_ctor, 30, 6},	//316 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {19, 82, 149, 2, Smoke::mf_ctor, 30, 7},	//317 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    {19, 82, 152, 1, Smoke::mf_ctor, 30, 8},	//318 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {19, 82, 154, 1, Smoke::mf_ctor, 30, 9},	//319 Phonon::MediaSource::MediaSource(QIODevice*)
    {19, 82, 127, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 10},	//320 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {19, 339, 127, 1, 0, 29, 11},	//321 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {19, 341, 127, 1, Smoke::mf_const, 194, 12},	//322 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {19, 402, 33, 1, 0, 0, 13},	//323 Phonon::MediaSource::setAutoDelete(bool)
    {19, 162, 0, 0, Smoke::mf_const, 194, 14},	//324 Phonon::MediaSource::autoDelete() const
    {19, 520, 0, 0, Smoke::mf_const, 31, 15},	//325 Phonon::MediaSource::type() const
    {19, 259, 0, 0, Smoke::mf_const, 109, 16},	//326 Phonon::MediaSource::fileName() const
    {19, 327, 0, 0, Smoke::mf_const, 34, 17},	//327 Phonon::MediaSource::mrl() const
    {19, 521, 0, 0, Smoke::mf_const, 115, 18},	//328 Phonon::MediaSource::url() const
    {19, 224, 0, 0, Smoke::mf_const, 14, 19},	//329 Phonon::MediaSource::discType() const
    {19, 222, 0, 0, Smoke::mf_const, 215, 20},	//330 Phonon::MediaSource::deviceAccessList() const
    {19, 223, 0, 0, Smoke::mf_const, 109, 21},	//331 Phonon::MediaSource::deviceName() const
    {19, 492, 0, 0, Smoke::mf_const, 3, 22},	//332 Phonon::MediaSource::stream() const
    {19, 160, 0, 0, Smoke::mf_const, 35, 23},	//333 Phonon::MediaSource::audioCaptureDevice() const
    {19, 522, 0, 0, Smoke::mf_const, 40, 24},	//334 Phonon::MediaSource::videoCaptureDevice() const
    {19, 82, 156, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 25},	//335 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {19, 82, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 26},	//336 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {19, 82, 160, 1, Smoke::mf_ctor, 30, 27},	//337 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {19, 82, 162, 1, Smoke::mf_ctor, 30, 28},	//338 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    {19, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 29},	//339 Phonon::MediaSource::Invalid (enum)
    {19, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 30},	//340 Phonon::MediaSource::LocalFile (enum)
    {19, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 31},	//341 Phonon::MediaSource::Url (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 32},	//342 Phonon::MediaSource::Disc (enum)
    {19, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 33},	//343 Phonon::MediaSource::Stream (enum)
    {19, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 34},	//344 Phonon::MediaSource::CaptureDevice (enum)
    {19, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 35},	//345 Phonon::MediaSource::Empty (enum)
    {19, 544, 0, 0, Smoke::mf_dtor, 0, 36 },	//346 Phonon::MediaSource::~MediaSource()
    {22, 341, 164, 1, Smoke::mf_const, 194, 1},	//347 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {22, 330, 0, 0, Smoke::mf_const, 109, 2},	//348 Phonon::ObjectDescriptionData::name() const
    {22, 220, 0, 0, Smoke::mf_const, 109, 3},	//349 Phonon::ObjectDescriptionData::description() const
    {22, 366, 13, 1, Smoke::mf_const, 116, 4},	//350 Phonon::ObjectDescriptionData::property(const char*) const
    {22, 368, 0, 0, Smoke::mf_const, 92, 5},	//351 Phonon::ObjectDescriptionData::propertyNames() const
    {22, 294, 0, 0, Smoke::mf_const, 194, 6},	//352 Phonon::ObjectDescriptionData::isValid() const
    {22, 278, 0, 0, Smoke::mf_const, 235, 7},	//353 Phonon::ObjectDescriptionData::index() const
    {22, 267, 166, 2, Smoke::mf_static, 41, 8},	//354 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {22, 96, 169, 1, Smoke::mf_ctor, 41, 9},	//355 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {22, 96, 171, 2, Smoke::mf_ctor, 41, 10},	//356 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {22, 96, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 11},	//357 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {22, 96, 0, 0, Smoke::mf_ctor, 41, 12},	//358 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {22, 545, 0, 0, Smoke::mf_dtor, 0, 13 },	//359 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {23, 387, 174, 1, Smoke::mf_const, 235, 1},	//360 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {23, 213, 176, 2, Smoke::mf_const, 116, 2},	//361 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {23, 261, 174, 1, Smoke::mf_const, 74, 3},	//362 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {23, 519, 0, 0, Smoke::mf_const, 95, 4},	//363 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {23, 517, 47, 1, Smoke::mf_const, 235, 5},	//364 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {23, 309, 179, 2, Smoke::mf_const, 97, 6},	//365 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {23, 325, 174, 1, 0, 0, 7},	//366 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {23, 322, 174, 1, 0, 0, 8},	//367 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {23, 440, 182, 1, 0, 0, 9},	//368 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {23, 315, 0, 0, Smoke::mf_const, 93, 10},	//369 Phonon::ObjectDescriptionModelData::modelData() const
    {23, 315, 174, 1, Smoke::mf_const, 70, 11},	//370 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {23, 496, 0, 0, Smoke::mf_const, 73, 12},	//371 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {23, 231, 184, 6, 0, 194, 13},	//372 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {23, 382, 191, 3, 0, 194, 14},	//373 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {23, 311, 195, 1, Smoke::mf_const, 110, 15},	//374 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {23, 99, 197, 1, Smoke::mf_ctor, 42, 16},	//375 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {23, 99, 199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 17},	//376 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {23, 387, 0, 0, Smoke::mf_const, 235, 18},	//377 Phonon::ObjectDescriptionModelData::rowCount() const
    {23, 213, 174, 1, Smoke::mf_const, 116, 19},	//378 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {23, 382, 201, 2, 0, 194, 20},	//379 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {23, 546, 0, 0, Smoke::mf_dtor, 0, 21 },	//380 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {25, 101, 0, 0, Smoke::mf_ctor, 47, 1},	//381 Phonon::Path::Path()
    {25, 101, 204, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 2},	//382 Phonon::Path::Path(const Phonon::Path&)
    {25, 294, 0, 0, Smoke::mf_const, 194, 3},	//383 Phonon::Path::isValid() const
    {25, 282, 206, 2, 0, 15, 4},	//384 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {25, 282, 209, 2, 0, 194, 5},	//385 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {25, 380, 109, 1, 0, 194, 6},	//386 Phonon::Path::removeEffect(Phonon::Effect*)
    {25, 233, 0, 0, Smoke::mf_const, 83, 7},	//387 Phonon::Path::effects() const
    {25, 376, 10, 2, 0, 194, 8},	//388 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {25, 225, 0, 0, 0, 194, 9},	//389 Phonon::Path::disconnect()
    {25, 339, 204, 1, 0, 46, 10},	//390 Phonon::Path::operator=(const Phonon::Path&)
    {25, 341, 204, 1, Smoke::mf_const, 194, 11},	//391 Phonon::Path::operator==(const Phonon::Path&) const
    {25, 335, 204, 1, Smoke::mf_const, 194, 12},	//392 Phonon::Path::operator!=(const Phonon::Path&) const
    {25, 486, 0, 0, Smoke::mf_const, 25, 13},	//393 Phonon::Path::source() const
    {25, 483, 0, 0, Smoke::mf_const, 25, 14},	//394 Phonon::Path::sink() const
    {25, 282, 69, 1, 0, 15, 15},	//395 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {25, 282, 109, 1, 0, 194, 16},	//396 Phonon::Path::insertEffect(Phonon::Effect*)
    {25, 547, 0, 0, Smoke::mf_dtor, 0, 17 },	//397 Phonon::Path::~Path()
    {26, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//398 Phonon::SeekSlider::metaObject() const
    {26, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//399 Phonon::SeekSlider::qt_metacast(const char*)
    {26, 508, 15, 2, Smoke::mf_static, 109, 3},	//400 Phonon::SeekSlider::tr(const char*, const char*)
    {26, 512, 15, 2, Smoke::mf_static, 109, 4},	//401 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {26, 508, 18, 3, Smoke::mf_static, 109, 5},	//402 Phonon::SeekSlider::tr(const char*, const char*, int)
    {26, 512, 18, 3, Smoke::mf_static, 109, 6},	//403 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {26, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//404 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {26, 120, 212, 1, Smoke::mf_ctor, 48, 8},	//405 Phonon::SeekSlider::SeekSlider(QWidget*)
    {26, 120, 214, 2, Smoke::mf_ctor, 48, 9},	//406 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {26, 269, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 10},	//407 Phonon::SeekSlider::hasTracking() const
    {26, 472, 33, 1, Smoke::mf_property, 0, 11},	//408 Phonon::SeekSlider::setTracking(bool)
    {26, 350, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 12},	//409 Phonon::SeekSlider::pageStep() const
    {26, 452, 47, 1, Smoke::mf_property, 0, 13},	//410 Phonon::SeekSlider::setPageStep(int)
    {26, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 14},	//411 Phonon::SeekSlider::singleStep() const
    {26, 464, 47, 1, Smoke::mf_property, 0, 15},	//412 Phonon::SeekSlider::setSingleStep(int)
    {26, 345, 0, 0, Smoke::mf_const|Smoke::mf_property, 165, 16},	//413 Phonon::SeekSlider::orientation() const
    {26, 287, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 17},	//414 Phonon::SeekSlider::isIconVisible() const
    {26, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 108, 18},	//415 Phonon::SeekSlider::iconSize() const
    {26, 303, 0, 0, Smoke::mf_const, 27, 19},	//416 Phonon::SeekSlider::mediaObject() const
    {26, 448, 217, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//417 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {26, 434, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//418 Phonon::SeekSlider::setIconVisible(bool)
    {26, 432, 219, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//419 Phonon::SeekSlider::setIconSize(const QSize&)
    {26, 438, 111, 1, Smoke::mf_slot, 0, 23},	//420 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {26, 508, 13, 1, Smoke::mf_static, 109, 24},	//421 Phonon::SeekSlider::tr(const char*)
    {26, 512, 13, 1, Smoke::mf_static, 109, 25},	//422 Phonon::SeekSlider::trUtf8(const char*)
    {26, 120, 0, 0, Smoke::mf_ctor, 48, 26},	//423 Phonon::SeekSlider::SeekSlider()
    {26, 120, 111, 1, Smoke::mf_ctor, 48, 27},	//424 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {26, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 28},	//425 Phonon::SeekSlider::staticMetaObject() const
    {26, 548, 0, 0, Smoke::mf_dtor, 0, 29 },	//426 Phonon::SeekSlider::~SeekSlider()
    {27, 530, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//427 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {27, 235, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//428 Phonon::StreamInterface::endOfData() [pure virtual]
    {27, 468, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//429 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {27, 466, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//430 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {27, 194, 127, 1, 0, 0, 5},	//431 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {27, 333, 0, 0, 0, 0, 6},	//432 Phonon::StreamInterface::needData()
    {27, 238, 0, 0, 0, 0, 7},	//433 Phonon::StreamInterface::enoughData()
    {27, 394, 31, 1, 0, 0, 8},	//434 Phonon::StreamInterface::seekStream(long long)
    {27, 385, 0, 0, 0, 0, 9},	//435 Phonon::StreamInterface::reset()
    {27, 125, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 50, 10},	//436 Phonon::StreamInterface::StreamInterface()
    {27, 125, 221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 11},	//437 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {27, 549, 0, 0, Smoke::mf_dtor, 0, 12 },	//438 Phonon::StreamInterface::~StreamInterface()
    {28, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//439 Phonon::VideoPlayer::metaObject() const
    {28, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//440 Phonon::VideoPlayer::qt_metacast(const char*)
    {28, 508, 15, 2, Smoke::mf_static, 109, 3},	//441 Phonon::VideoPlayer::tr(const char*, const char*)
    {28, 512, 15, 2, Smoke::mf_static, 109, 4},	//442 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {28, 508, 18, 3, Smoke::mf_static, 109, 5},	//443 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {28, 512, 18, 3, Smoke::mf_static, 109, 6},	//444 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {28, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//445 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 139, 223, 2, Smoke::mf_ctor, 51, 8},	//446 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {28, 139, 212, 1, Smoke::mf_ctor, 51, 9},	//447 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {28, 505, 0, 0, Smoke::mf_const, 237, 10},	//448 Phonon::VideoPlayer::totalTime() const
    {28, 210, 0, 0, Smoke::mf_const, 237, 11},	//449 Phonon::VideoPlayer::currentTime() const
    {28, 524, 0, 0, Smoke::mf_const, 234, 12},	//450 Phonon::VideoPlayer::volume() const
    {28, 292, 0, 0, Smoke::mf_const, 194, 13},	//451 Phonon::VideoPlayer::isPlaying() const
    {28, 291, 0, 0, Smoke::mf_const, 194, 14},	//452 Phonon::VideoPlayer::isPaused() const
    {28, 303, 0, 0, Smoke::mf_const, 27, 15},	//453 Phonon::VideoPlayer::mediaObject() const
    {28, 161, 0, 0, Smoke::mf_const, 9, 16},	//454 Phonon::VideoPlayer::audioOutput() const
    {28, 523, 0, 0, Smoke::mf_const, 52, 17},	//455 Phonon::VideoPlayer::videoWidget() const
    {28, 299, 127, 1, Smoke::mf_slot, 0, 18},	//456 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {28, 359, 127, 1, Smoke::mf_slot, 0, 19},	//457 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {28, 359, 0, 0, Smoke::mf_slot, 0, 20},	//458 Phonon::VideoPlayer::play()
    {28, 357, 0, 0, Smoke::mf_slot, 0, 21},	//459 Phonon::VideoPlayer::pause()
    {28, 491, 0, 0, Smoke::mf_slot, 0, 22},	//460 Phonon::VideoPlayer::stop()
    {28, 392, 135, 1, Smoke::mf_slot, 0, 23},	//461 Phonon::VideoPlayer::seek(qint64)
    {28, 477, 226, 1, Smoke::mf_slot, 0, 24},	//462 Phonon::VideoPlayer::setVolume(float)
    {28, 260, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//463 Phonon::VideoPlayer::finished()
    {28, 248, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 194, 26},	//464 Phonon::VideoPlayer::event(QEvent*)
    {28, 508, 13, 1, Smoke::mf_static, 109, 27},	//465 Phonon::VideoPlayer::tr(const char*)
    {28, 512, 13, 1, Smoke::mf_static, 109, 28},	//466 Phonon::VideoPlayer::trUtf8(const char*)
    {28, 139, 3, 1, Smoke::mf_ctor, 51, 29},	//467 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {28, 139, 0, 0, Smoke::mf_ctor, 51, 30},	//468 Phonon::VideoPlayer::VideoPlayer()
    {28, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 31},	//469 Phonon::VideoPlayer::staticMetaObject() const
    {28, 550, 0, 0, Smoke::mf_dtor, 0, 32 },	//470 Phonon::VideoPlayer::~VideoPlayer()
    {29, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//471 Phonon::VideoWidget::metaObject() const
    {29, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//472 Phonon::VideoWidget::qt_metacast(const char*)
    {29, 508, 15, 2, Smoke::mf_static, 109, 3},	//473 Phonon::VideoWidget::tr(const char*, const char*)
    {29, 512, 15, 2, Smoke::mf_static, 109, 4},	//474 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {29, 508, 18, 3, Smoke::mf_static, 109, 5},	//475 Phonon::VideoWidget::tr(const char*, const char*, int)
    {29, 512, 18, 3, Smoke::mf_static, 109, 6},	//476 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {29, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//477 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {29, 143, 212, 1, Smoke::mf_ctor, 52, 8},	//478 Phonon::VideoWidget::VideoWidget(QWidget*)
    {29, 159, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 9},	//479 Phonon::VideoWidget::aspectRatio() const
    {29, 391, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 10},	//480 Phonon::VideoWidget::scaleMode() const
    {29, 180, 0, 0, Smoke::mf_const, 233, 11},	//481 Phonon::VideoWidget::brightness() const
    {29, 197, 0, 0, Smoke::mf_const, 233, 12},	//482 Phonon::VideoWidget::contrast() const
    {29, 275, 0, 0, Smoke::mf_const, 233, 13},	//483 Phonon::VideoWidget::hue() const
    {29, 390, 0, 0, Smoke::mf_const, 233, 14},	//484 Phonon::VideoWidget::saturation() const
    {29, 485, 0, 0, Smoke::mf_const, 78, 15},	//485 Phonon::VideoWidget::snapshot() const
    {29, 428, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//486 Phonon::VideoWidget::setFullScreen(bool)
    {29, 251, 0, 0, Smoke::mf_slot, 0, 17},	//487 Phonon::VideoWidget::exitFullScreen()
    {29, 243, 0, 0, Smoke::mf_slot, 0, 18},	//488 Phonon::VideoWidget::enterFullScreen()
    {29, 398, 230, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//489 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {29, 462, 232, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//490 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {29, 406, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//491 Phonon::VideoWidget::setBrightness(qreal)
    {29, 408, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//492 Phonon::VideoWidget::setContrast(qreal)
    {29, 430, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//493 Phonon::VideoWidget::setHue(qreal)
    {29, 460, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//494 Phonon::VideoWidget::setSaturation(qreal)
    {29, 143, 234, 2, Smoke::mf_ctor|Smoke::mf_protected, 52, 25},	//495 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {29, 318, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//496 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {29, 248, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 194, 27},	//497 Phonon::VideoWidget::event(QEvent*)
    {29, 508, 13, 1, Smoke::mf_static, 109, 28},	//498 Phonon::VideoWidget::tr(const char*)
    {29, 512, 13, 1, Smoke::mf_static, 109, 29},	//499 Phonon::VideoWidget::trUtf8(const char*)
    {29, 143, 0, 0, Smoke::mf_ctor, 52, 30},	//500 Phonon::VideoWidget::VideoWidget()
    {29, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 31},	//501 Phonon::VideoWidget::staticMetaObject() const
    {29, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//502 Phonon::VideoWidget::AspectRatioAuto (enum)
    {29, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//503 Phonon::VideoWidget::AspectRatioWidget (enum)
    {29, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//504 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {29, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//505 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 36},	//506 Phonon::VideoWidget::FitInView (enum)
    {29, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 37},	//507 Phonon::VideoWidget::ScaleAndCrop (enum)
    {29, 551, 0, 0, Smoke::mf_dtor, 0, 38 },	//508 Phonon::VideoWidget::~VideoWidget()
    {31, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//509 Phonon::VolumeFaderEffect::metaObject() const
    {31, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//510 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {31, 508, 15, 2, Smoke::mf_static, 109, 3},	//511 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {31, 512, 15, 2, Smoke::mf_static, 109, 4},	//512 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {31, 508, 18, 3, Smoke::mf_static, 109, 5},	//513 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {31, 512, 18, 3, Smoke::mf_static, 109, 6},	//514 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {31, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//515 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {31, 146, 29, 1, Smoke::mf_ctor, 56, 8},	//516 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {31, 524, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 9},	//517 Phonon::VolumeFaderEffect::volume() const
    {31, 527, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 10},	//518 Phonon::VolumeFaderEffect::volumeDecibel() const
    {31, 252, 0, 0, Smoke::mf_const|Smoke::mf_property, 57, 11},	//519 Phonon::VolumeFaderEffect::fadeCurve() const
    {31, 253, 47, 1, Smoke::mf_slot, 0, 12},	//520 Phonon::VolumeFaderEffect::fadeIn(int)
    {31, 255, 47, 1, Smoke::mf_slot, 0, 13},	//521 Phonon::VolumeFaderEffect::fadeOut(int)
    {31, 477, 226, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//522 Phonon::VolumeFaderEffect::setVolume(float)
    {31, 479, 239, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//523 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {31, 426, 241, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//524 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {31, 257, 243, 2, Smoke::mf_slot, 0, 17},	//525 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {31, 508, 13, 1, Smoke::mf_static, 109, 18},	//526 Phonon::VolumeFaderEffect::tr(const char*)
    {31, 512, 13, 1, Smoke::mf_static, 109, 19},	//527 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {31, 146, 0, 0, Smoke::mf_ctor, 56, 20},	//528 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {31, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 21},	//529 Phonon::VolumeFaderEffect::staticMetaObject() const
    {31, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 22},	//530 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {31, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 23},	//531 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {31, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 24},	//532 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {31, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 25},	//533 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {31, 552, 0, 0, Smoke::mf_dtor, 0, 26 },	//534 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {32, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 1},	//535 Phonon::VolumeSlider::metaObject() const
    {32, 373, 13, 1, Smoke::mf_virtual, 242, 2},	//536 Phonon::VolumeSlider::qt_metacast(const char*)
    {32, 508, 15, 2, Smoke::mf_static, 109, 3},	//537 Phonon::VolumeSlider::tr(const char*, const char*)
    {32, 512, 15, 2, Smoke::mf_static, 109, 4},	//538 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {32, 508, 18, 3, Smoke::mf_static, 109, 5},	//539 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {32, 512, 18, 3, Smoke::mf_static, 109, 6},	//540 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {32, 371, 22, 3, Smoke::mf_virtual, 235, 7},	//541 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {32, 148, 212, 1, Smoke::mf_ctor, 58, 8},	//542 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {32, 148, 246, 2, Smoke::mf_ctor, 58, 9},	//543 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {32, 269, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 10},	//544 Phonon::VolumeSlider::hasTracking() const
    {32, 472, 33, 1, Smoke::mf_property, 0, 11},	//545 Phonon::VolumeSlider::setTracking(bool)
    {32, 350, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 12},	//546 Phonon::VolumeSlider::pageStep() const
    {32, 452, 47, 1, Smoke::mf_property, 0, 13},	//547 Phonon::VolumeSlider::setPageStep(int)
    {32, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 14},	//548 Phonon::VolumeSlider::singleStep() const
    {32, 464, 47, 1, Smoke::mf_property, 0, 15},	//549 Phonon::VolumeSlider::setSingleStep(int)
    {32, 289, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 16},	//550 Phonon::VolumeSlider::isMuteVisible() const
    {32, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 108, 17},	//551 Phonon::VolumeSlider::iconSize() const
    {32, 302, 0, 0, Smoke::mf_const, 233, 18},	//552 Phonon::VolumeSlider::maximumVolume() const
    {32, 345, 0, 0, Smoke::mf_const|Smoke::mf_property, 165, 19},	//553 Phonon::VolumeSlider::orientation() const
    {32, 161, 0, 0, Smoke::mf_const, 9, 20},	//554 Phonon::VolumeSlider::audioOutput() const
    {32, 436, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//555 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {32, 448, 217, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//556 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {32, 442, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//557 Phonon::VolumeSlider::setMuteVisible(bool)
    {32, 432, 219, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//558 Phonon::VolumeSlider::setIconSize(const QSize&)
    {32, 400, 249, 1, Smoke::mf_slot, 0, 25},	//559 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {32, 508, 13, 1, Smoke::mf_static, 109, 26},	//560 Phonon::VolumeSlider::tr(const char*)
    {32, 512, 13, 1, Smoke::mf_static, 109, 27},	//561 Phonon::VolumeSlider::trUtf8(const char*)
    {32, 148, 0, 0, Smoke::mf_ctor, 58, 28},	//562 Phonon::VolumeSlider::VolumeSlider()
    {32, 148, 249, 1, Smoke::mf_ctor, 58, 29},	//563 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {32, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 219, 30},	//564 Phonon::VolumeSlider::staticMetaObject() const
    {32, 553, 0, 0, Smoke::mf_dtor, 0, 31 },	//565 Phonon::VolumeSlider::~VolumeSlider()
    {47, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 1},	//566 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {47, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 2},	//567 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {47, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 3},	//568 QGlobalSpace::Q_STATIC_TYPE (enum)
    {47, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 4},	//569 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {47, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 5},	//570 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {47, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 6},	//571 QGlobalSpace::QtDebugMsg (enum)
    {47, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 7},	//572 QGlobalSpace::QtWarningMsg (enum)
    {47, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 8},	//573 QGlobalSpace::QtCriticalMsg (enum)
    {47, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 9},	//574 QGlobalSpace::QtFatalMsg (enum)
    {47, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 10},	//575 QGlobalSpace::QtSystemMsg (enum)
    {47, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 11},	//576 QGlobalSpace::__codecvt_ok (enum)
    {47, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 12},	//577 QGlobalSpace::__codecvt_partial (enum)
    {47, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 13},	//578 QGlobalSpace::__codecvt_error (enum)
    {47, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 14},	//579 QGlobalSpace::__codecvt_noconv (enum)
    {58, 248, 228, 1, Smoke::mf_virtual, 194, 0},	//580 QObject::event(QEvent*)
    {58, 250, 251, 2, Smoke::mf_virtual, 194, 0},	//581 QObject::eventFilter(QObject*, QEvent*)
    {58, 502, 254, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QObject::timerEvent(QTimerEvent*)
    {58, 189, 256, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QObject::childEvent(QChildEvent*)
    {58, 212, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QObject::customEvent(QEvent*)
    {58, 193, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QObject::connectNotify(const char*)
    {58, 226, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QObject::disconnectNotify(const char*)
    {73, 221, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//587 QWidget::devType() const
    {73, 476, 33, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//588 QWidget::setVisible(bool)
    {73, 484, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 108, 0},	//589 QWidget::sizeHint() const
    {73, 313, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 108, 0},	//590 QWidget::minimumSizeHint() const
    {73, 273, 47, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//591 QWidget::heightForWidth(int) const
    {73, 351, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 103, 0},	//592 QWidget::paintEngine() const
    {73, 248, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 194, 0},	//593 QWidget::event(QEvent*)
    {73, 320, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::mousePressEvent(QMouseEvent*)
    {73, 321, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::mouseReleaseEvent(QMouseEvent*)
    {73, 317, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {73, 318, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::mouseMoveEvent(QMouseEvent*)
    {73, 528, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::wheelEvent(QWheelEvent*)
    {73, 295, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::keyPressEvent(QKeyEvent*)
    {73, 296, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::keyReleaseEvent(QKeyEvent*)
    {73, 263, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QWidget::focusInEvent(QFocusEvent*)
    {73, 265, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QWidget::focusOutEvent(QFocusEvent*)
    {73, 242, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QWidget::enterEvent(QEvent*)
    {73, 298, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//604 QWidget::leaveEvent(QEvent*)
    {73, 352, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::paintEvent(QPaintEvent*)
    {73, 324, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::moveEvent(QMoveEvent*)
    {73, 386, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::resizeEvent(QResizeEvent*)
    {73, 192, 270, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::closeEvent(QCloseEvent*)
    {73, 196, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::contextMenuEvent(QContextMenuEvent*)
    {73, 498, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::tabletEvent(QTabletEvent*)
    {73, 156, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//611 QWidget::actionEvent(QActionEvent*)
    {73, 227, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//612 QWidget::dragEnterEvent(QDragEnterEvent*)
    {73, 229, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//613 QWidget::dragMoveEvent(QDragMoveEvent*)
    {73, 228, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//614 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {73, 230, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//615 QWidget::dropEvent(QDropEvent*)
    {73, 481, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//616 QWidget::showEvent(QShowEvent*)
    {73, 274, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//617 QWidget::hideEvent(QHideEvent*)
    {73, 532, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 194, 0},	//618 QWidget::x11Event(_XEvent*)
    {73, 186, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//619 QWidget::changeEvent(QEvent*)
    {73, 308, 292, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//620 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {73, 279, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//621 QWidget::inputMethodEvent(QInputMethodEvent*)
    {73, 280, 296, 1, Smoke::mf_const|Smoke::mf_virtual, 116, 0},	//622 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {73, 264, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 194, 0},	//623 QWidget::focusNextPrevChild(bool)
    {73, 495, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QWidget::styleChange(QStyle&)
    {73, 234, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QWidget::enabledChange(bool)
    {73, 353, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QWidget::paletteChange(const QPalette&)
    {73, 266, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//627 QWidget::fontChange(const QFont&)
    {73, 529, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//628 QWidget::windowActivationChange(bool)
    {73, 297, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//629 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    253,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    254,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    85,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    86,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    313,  // Phonon::MediaSource::MediaSource(const QUrl&)
    318,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    319,  // Phonon::MediaSource::MediaSource(QIODevice*)
    320,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    335,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    312,  // Phonon::MediaSource::MediaSource(const QString&)
    337,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    338,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    0,
    314,  // Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    317,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    0,
    315,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    316,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    336,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
    279,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    280,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    268,  // Phonon::MediaObject::metaData(const QString&) const
    269,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    276,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    277,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    355,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    357,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    375,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    376,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    405,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    424,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    1,  // Phonon::categoryToString(Phonon::CaptureCategory)
    2,  // Phonon::categoryToString(Phonon::Category)
    0,
    542,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    563,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 40},	// Phonon::AccessibilityCategory
    {1, 9, 10},	// Phonon::AlbumMetaData
    {1, 12, 9},	// Phonon::ArtistMetaData
    {1, 17, 21},	// Phonon::AudioCaptureDeviceType
    {1, 18, 19},	// Phonon::AudioChannelType
    {1, 26, 17},	// Phonon::AudioOutputDeviceType
    {1, 27, 45},	// Phonon::BufferingState
    {1, 29, 24},	// Phonon::Cd
    {1, 33, 28},	// Phonon::CommunicationCaptureCategory
    {1, 34, 38},	// Phonon::CommunicationCategory
    {1, 35, 30},	// Phonon::ControlCaptureCategory
    {1, 36, 12},	// Phonon::DateMetaData
    {1, 37, 15},	// Phonon::DescriptionMetaData
    {1, 41, 25},	// Phonon::Dvd
    {1, 53, 18},	// Phonon::EffectType
    {1, 58, 47},	// Phonon::ErrorState
    {1, 63, 33},	// Phonon::FatalError
    {1, 65, 39},	// Phonon::GameCategory
    {1, 66, 13},	// Phonon::GenreMetaData
    {1, 70, 41},	// Phonon::LastCategory
    {1, 73, 42},	// Phonon::LoadingState
    {1, 87, 16},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 88, 36},	// Phonon::MusicCategory
    {1, 90, 27},	// Phonon::NoCaptureCategory
    {1, 91, 34},	// Phonon::NoCategory
    {1, 92, 23},	// Phonon::NoDisc
    {1, 93, 31},	// Phonon::NoError
    {1, 94, 32},	// Phonon::NormalError
    {1, 95, 35},	// Phonon::NotificationCategory
    {1, 103, 46},	// Phonon::PausedState
    {1, 104, 44},	// Phonon::PlayingState
    {1, 115, 29},	// Phonon::RecordingCaptureCategory
    {1, 123, 43},	// Phonon::StoppedState
    {1, 128, 20},	// Phonon::SubtitleType
    {1, 131, 11},	// Phonon::TitleMetaData
    {1, 134, 14},	// Phonon::TracknumberMetaData
    {1, 136, 26},	// Phonon::Vcd
    {1, 137, 22},	// Phonon::VideoCaptureDeviceType
    {1, 138, 37},	// Phonon::VideoCategory
    {1, 185, -42},	// Phonon::categoryToString$
    {1, 199, 8},	// Phonon::createPath##
    {1, 201, 6},	// Phonon::createPlayer$
    {1, 202, 5},	// Phonon::createPlayer$#
    {1, 358, 7},	// Phonon::phononVersion
    {1, 370, 4},	// Phonon::qHash#
    {1, 378, 3},	// Phonon::registerMetaTypes
    {2, 2, 55},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 307, 48},	// Phonon::AbstractAudioOutput::metaObject
    {2, 372, 54},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 374, 49},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 490, 58},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 509, 56},	// Phonon::AbstractAudioOutput::tr$
    {2, 510, 50},	// Phonon::AbstractAudioOutput::tr$$
    {2, 511, 52},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 513, 57},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 514, 51},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 515, 53},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 533, 59},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 82},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 67},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 79},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 235, 73},	// Phonon::AbstractMediaStream::endOfData
    {4, 238, 77},	// Phonon::AbstractMediaStream::enoughData
    {4, 245, 74},	// Phonon::AbstractMediaStream::error$$
    {4, 307, 60},	// Phonon::AbstractMediaStream::metaObject
    {4, 333, 76},	// Phonon::AbstractMediaStream::needData
    {4, 372, 66},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 374, 61},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 385, 75},	// Phonon::AbstractMediaStream::reset
    {4, 395, 78},	// Phonon::AbstractMediaStream::seekStream$
    {4, 467, 71},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 469, 69},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 490, 83},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 493, 70},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 494, 68},	// Phonon::AbstractMediaStream::streamSize
    {4, 509, 80},	// Phonon::AbstractMediaStream::tr$
    {4, 510, 62},	// Phonon::AbstractMediaStream::tr$$
    {4, 511, 64},	// Phonon::AbstractMediaStream::tr$$$
    {4, 513, 81},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 514, 63},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 515, 65},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 531, 72},	// Phonon::AbstractMediaStream::writeData#
    {4, 534, 84},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -4},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 535, 87},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 19, 103},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 20, 95},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 30, 107},	// Phonon::AudioDataOutput::CenterChannel
    {8, 71, 105},	// Phonon::AudioDataOutput::LeftChannel
    {8, 72, 108},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 116, 106},	// Phonon::AudioDataOutput::RightChannel
    {8, 117, 109},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 129, 110},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 217, 99},	// Phonon::AudioDataOutput::dataReady?
    {8, 218, 96},	// Phonon::AudioDataOutput::dataSize
    {8, 237, 100},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 307, 88},	// Phonon::AudioDataOutput::metaObject
    {8, 372, 94},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 374, 89},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 389, 97},	// Phonon::AudioDataOutput::sampleRate
    {8, 425, 98},	// Phonon::AudioDataOutput::setDataSize$
    {8, 490, 104},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 509, 101},	// Phonon::AudioDataOutput::tr$
    {8, 510, 90},	// Phonon::AudioDataOutput::tr$$
    {8, 511, 92},	// Phonon::AudioDataOutput::tr$$$
    {8, 513, 102},	// Phonon::AudioDataOutput::trUtf8$
    {8, 514, 91},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 515, 93},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 536, 111},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 22, 138},	// Phonon::AudioOutput::AudioOutput
    {9, 23, 120},	// Phonon::AudioOutput::AudioOutput#
    {9, 24, 137},	// Phonon::AudioOutput::AudioOutput$
    {9, 25, 119},	// Phonon::AudioOutput::AudioOutput$#
    {9, 183, 124},	// Phonon::AudioOutput::category
    {9, 290, 126},	// Phonon::AudioOutput::isMuted
    {9, 307, 112},	// Phonon::AudioOutput::metaObject
    {9, 329, 133},	// Phonon::AudioOutput::mutedChanged$
    {9, 330, 121},	// Phonon::AudioOutput::name
    {9, 346, 125},	// Phonon::AudioOutput::outputDevice
    {9, 348, 134},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 372, 118},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 374, 113},	// Phonon::AudioOutput::qt_metacast$
    {9, 445, 131},	// Phonon::AudioOutput::setMuted$
    {9, 447, 127},	// Phonon::AudioOutput::setName$
    {9, 451, 130},	// Phonon::AudioOutput::setOutputDevice?
    {9, 478, 128},	// Phonon::AudioOutput::setVolume$
    {9, 480, 129},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 490, 139},	// Phonon::AudioOutput::staticMetaObject
    {9, 509, 135},	// Phonon::AudioOutput::tr$
    {9, 510, 114},	// Phonon::AudioOutput::tr$$
    {9, 511, 116},	// Phonon::AudioOutput::tr$$$
    {9, 513, 136},	// Phonon::AudioOutput::trUtf8$
    {9, 514, 115},	// Phonon::AudioOutput::trUtf8$$
    {9, 515, 117},	// Phonon::AudioOutput::trUtf8$$$
    {9, 524, 122},	// Phonon::AudioOutput::volume
    {9, 526, 132},	// Phonon::AudioOutput::volumeChanged$
    {9, 527, 123},	// Phonon::AudioOutput::volumeDecibel
    {9, 537, 140},	// Phonon::AudioOutput::~AudioOutput
    {11, 43, 153},	// Phonon::Effect::Effect##
    {11, 44, 156},	// Phonon::Effect::Effect?
    {11, 45, 148},	// Phonon::Effect::Effect?#
    {11, 220, 149},	// Phonon::Effect::description
    {11, 307, 141},	// Phonon::Effect::metaObject
    {11, 355, 151},	// Phonon::Effect::parameterValue#
    {11, 356, 150},	// Phonon::Effect::parameters
    {11, 372, 147},	// Phonon::Effect::qt_metacall$$?
    {11, 374, 142},	// Phonon::Effect::qt_metacast$
    {11, 455, 152},	// Phonon::Effect::setParameterValue##
    {11, 490, 157},	// Phonon::Effect::staticMetaObject
    {11, 509, 154},	// Phonon::Effect::tr$
    {11, 510, 143},	// Phonon::Effect::tr$$
    {11, 511, 145},	// Phonon::Effect::tr$$$
    {11, 513, 155},	// Phonon::Effect::trUtf8$
    {11, 514, 144},	// Phonon::Effect::trUtf8$$
    {11, 515, 146},	// Phonon::Effect::trUtf8$$$
    {11, 538, 158},	// Phonon::Effect::~Effect
    {12, 46, 159},	// Phonon::EffectParameter::EffectParameter
    {12, 47, 171},	// Phonon::EffectParameter::EffectParameter#
    {12, 48, 175},	// Phonon::EffectParameter::EffectParameter$$$#
    {12, 49, 176},	// Phonon::EffectParameter::EffectParameter$$$##
    {12, 50, 177},	// Phonon::EffectParameter::EffectParameter$$$###
    {12, 51, 178},	// Phonon::EffectParameter::EffectParameter$$$###?
    {12, 52, 173},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {12, 68, 181},	// Phonon::EffectParameter::IntegerHint
    {12, 75, 180},	// Phonon::EffectParameter::LogarithmicHint
    {12, 133, 179},	// Phonon::EffectParameter::ToggledHint
    {12, 219, 166},	// Phonon::EffectParameter::defaultValue
    {12, 220, 161},	// Phonon::EffectParameter::description
    {12, 277, 174},	// Phonon::EffectParameter::id
    {12, 288, 163},	// Phonon::EffectParameter::isLogarithmicControl
    {12, 301, 165},	// Phonon::EffectParameter::maximumValue
    {12, 314, 164},	// Phonon::EffectParameter::minimumValue
    {12, 330, 160},	// Phonon::EffectParameter::name
    {12, 338, 168},	// Phonon::EffectParameter::operator<#
    {12, 340, 172},	// Phonon::EffectParameter::operator=#
    {12, 342, 170},	// Phonon::EffectParameter::operator==#
    {12, 344, 169},	// Phonon::EffectParameter::operator>#
    {12, 361, 167},	// Phonon::EffectParameter::possibleValues
    {12, 520, 162},	// Phonon::EffectParameter::type
    {12, 539, 182},	// Phonon::EffectParameter::~EffectParameter
    {14, 55, 193},	// Phonon::EffectWidget::EffectWidget#
    {14, 56, 190},	// Phonon::EffectWidget::EffectWidget##
    {14, 307, 183},	// Phonon::EffectWidget::metaObject
    {14, 372, 189},	// Phonon::EffectWidget::qt_metacall$$?
    {14, 374, 184},	// Phonon::EffectWidget::qt_metacast$
    {14, 490, 194},	// Phonon::EffectWidget::staticMetaObject
    {14, 509, 191},	// Phonon::EffectWidget::tr$
    {14, 510, 185},	// Phonon::EffectWidget::tr$$
    {14, 511, 187},	// Phonon::EffectWidget::tr$$$
    {14, 513, 192},	// Phonon::EffectWidget::trUtf8$
    {14, 514, 186},	// Phonon::EffectWidget::trUtf8$$
    {14, 515, 188},	// Phonon::EffectWidget::trUtf8$$$
    {14, 540, 195},	// Phonon::EffectWidget::~EffectWidget
    {15, 10, 248},	// Phonon::MediaController::AngleMenu
    {15, 11, 239},	// Phonon::MediaController::Angles
    {15, 21, 245},	// Phonon::MediaController::AudioMenu
    {15, 31, 247},	// Phonon::MediaController::ChapterMenu
    {15, 32, 240},	// Phonon::MediaController::Chapters
    {15, 77, 203},	// Phonon::MediaController::MediaController#
    {15, 89, 241},	// Phonon::MediaController::Navigations
    {15, 118, 243},	// Phonon::MediaController::RootMenu
    {15, 127, 246},	// Phonon::MediaController::SubtitleMenu
    {15, 130, 244},	// Phonon::MediaController::TitleMenu
    {15, 132, 242},	// Phonon::MediaController::Titles
    {15, 158, 233},	// Phonon::MediaController::angleChanged$
    {15, 163, 213},	// Phonon::MediaController::autoplayTitles
    {15, 164, 205},	// Phonon::MediaController::availableAngles
    {15, 166, 227},	// Phonon::MediaController::availableAnglesChanged$
    {15, 167, 216},	// Phonon::MediaController::availableAudioChannels
    {15, 168, 228},	// Phonon::MediaController::availableAudioChannelsChanged
    {15, 169, 207},	// Phonon::MediaController::availableChapters
    {15, 171, 229},	// Phonon::MediaController::availableChaptersChanged$
    {15, 172, 210},	// Phonon::MediaController::availableMenus
    {15, 174, 230},	// Phonon::MediaController::availableMenusChanged?
    {15, 175, 217},	// Phonon::MediaController::availableSubtitles
    {15, 176, 231},	// Phonon::MediaController::availableSubtitlesChanged
    {15, 177, 211},	// Phonon::MediaController::availableTitles
    {15, 179, 232},	// Phonon::MediaController::availableTitlesChanged$
    {15, 188, 234},	// Phonon::MediaController::chapterChanged$
    {15, 203, 206},	// Phonon::MediaController::currentAngle
    {15, 204, 214},	// Phonon::MediaController::currentAudioChannel
    {15, 205, 208},	// Phonon::MediaController::currentChapter
    {15, 209, 215},	// Phonon::MediaController::currentSubtitle
    {15, 211, 212},	// Phonon::MediaController::currentTitle
    {15, 307, 196},	// Phonon::MediaController::metaObject
    {15, 332, 209},	// Phonon::MediaController::navigationMenuToString$
    {15, 334, 225},	// Phonon::MediaController::nextTitle
    {15, 365, 226},	// Phonon::MediaController::previousTitle
    {15, 372, 202},	// Phonon::MediaController::qt_metacall$$?
    {15, 374, 197},	// Phonon::MediaController::qt_metacast$
    {15, 405, 224},	// Phonon::MediaController::setAutoplayTitles$
    {15, 411, 221},	// Phonon::MediaController::setCurrentAngle$
    {15, 413, 218},	// Phonon::MediaController::setCurrentAudioChannel?
    {15, 415, 222},	// Phonon::MediaController::setCurrentChapter$
    {15, 417, 219},	// Phonon::MediaController::setCurrentMenu$
    {15, 421, 220},	// Phonon::MediaController::setCurrentSubtitle?
    {15, 423, 223},	// Phonon::MediaController::setCurrentTitle$
    {15, 490, 238},	// Phonon::MediaController::staticMetaObject
    {15, 497, 204},	// Phonon::MediaController::supportedFeatures
    {15, 504, 235},	// Phonon::MediaController::titleChanged$
    {15, 509, 236},	// Phonon::MediaController::tr$
    {15, 510, 198},	// Phonon::MediaController::tr$$
    {15, 511, 200},	// Phonon::MediaController::tr$$$
    {15, 513, 237},	// Phonon::MediaController::trUtf8$
    {15, 514, 199},	// Phonon::MediaController::trUtf8$$
    {15, 515, 201},	// Phonon::MediaController::trUtf8$$$
    {15, 541, 249},	// Phonon::MediaController::~MediaController
    {16, 79, -1},	// Phonon::MediaNode::MediaNode#
    {16, 281, 251},	// Phonon::MediaNode::inputPaths
    {16, 294, 250},	// Phonon::MediaNode::isValid
    {16, 349, 252},	// Phonon::MediaNode::outputPaths
    {16, 542, 255},	// Phonon::MediaNode::~MediaNode
    {18, 80, 308},	// Phonon::MediaObject::MediaObject
    {18, 81, 263},	// Phonon::MediaObject::MediaObject#
    {18, 155, 303},	// Phonon::MediaObject::aboutToFinish
    {18, 182, 300},	// Phonon::MediaObject::bufferStatus$
    {18, 190, 294},	// Phonon::MediaObject::clear
    {18, 191, 281},	// Phonon::MediaObject::clearQueue
    {18, 206, 273},	// Phonon::MediaObject::currentSource
    {18, 208, 302},	// Phonon::MediaObject::currentSourceChanged#
    {18, 210, 282},	// Phonon::MediaObject::currentTime
    {18, 240, 278},	// Phonon::MediaObject::enqueue#
    {18, 241, -24},	// Phonon::MediaObject::enqueue?
    {18, 246, 271},	// Phonon::MediaObject::errorString
    {18, 247, 272},	// Phonon::MediaObject::errorType
    {18, 260, 301},	// Phonon::MediaObject::finished
    {18, 270, 265},	// Phonon::MediaObject::hasVideo
    {18, 272, 299},	// Phonon::MediaObject::hasVideoChanged$
    {18, 293, 266},	// Phonon::MediaObject::isSeekable
    {18, 304, 270},	// Phonon::MediaObject::metaData
    {18, 305, -27},	// Phonon::MediaObject::metaData$
    {18, 306, 297},	// Phonon::MediaObject::metaDataChanged
    {18, 307, 256},	// Phonon::MediaObject::metaObject
    {18, 357, 291},	// Phonon::MediaObject::pause
    {18, 359, 290},	// Phonon::MediaObject::play
    {18, 362, 285},	// Phonon::MediaObject::prefinishMark
    {18, 364, 304},	// Phonon::MediaObject::prefinishMarkReached$
    {18, 372, 262},	// Phonon::MediaObject::qt_metacall$$?
    {18, 374, 257},	// Phonon::MediaObject::qt_metacast$
    {18, 375, 275},	// Phonon::MediaObject::queue
    {18, 379, 284},	// Phonon::MediaObject::remainingTime
    {18, 393, 293},	// Phonon::MediaObject::seek$
    {18, 397, 298},	// Phonon::MediaObject::seekableChanged$
    {18, 419, 274},	// Phonon::MediaObject::setCurrentSource#
    {18, 457, 286},	// Phonon::MediaObject::setPrefinishMark$
    {18, 459, -30},	// Phonon::MediaObject::setQueue?
    {18, 471, 289},	// Phonon::MediaObject::setTickInterval$
    {18, 475, 288},	// Phonon::MediaObject::setTransitionTime$
    {18, 487, 264},	// Phonon::MediaObject::state
    {18, 489, 295},	// Phonon::MediaObject::stateChanged$$
    {18, 490, 309},	// Phonon::MediaObject::staticMetaObject
    {18, 491, 292},	// Phonon::MediaObject::stop
    {18, 500, 296},	// Phonon::MediaObject::tick$
    {18, 501, 267},	// Phonon::MediaObject::tickInterval
    {18, 505, 283},	// Phonon::MediaObject::totalTime
    {18, 507, 305},	// Phonon::MediaObject::totalTimeChanged$
    {18, 509, 306},	// Phonon::MediaObject::tr$
    {18, 510, 258},	// Phonon::MediaObject::tr$$
    {18, 511, 260},	// Phonon::MediaObject::tr$$$
    {18, 513, 307},	// Phonon::MediaObject::trUtf8$
    {18, 514, 259},	// Phonon::MediaObject::trUtf8$$
    {18, 515, 261},	// Phonon::MediaObject::trUtf8$$$
    {18, 516, 287},	// Phonon::MediaObject::transitionTime
    {18, 543, 310},	// Phonon::MediaObject::~MediaObject
    {19, 28, 344},	// Phonon::MediaSource::CaptureDevice
    {19, 38, 342},	// Phonon::MediaSource::Disc
    {19, 57, 345},	// Phonon::MediaSource::Empty
    {19, 69, 339},	// Phonon::MediaSource::Invalid
    {19, 74, 340},	// Phonon::MediaSource::LocalFile
    {19, 82, 311},	// Phonon::MediaSource::MediaSource
    {19, 83, -7},	// Phonon::MediaSource::MediaSource#
    {19, 84, -13},	// Phonon::MediaSource::MediaSource$
    {19, 85, -17},	// Phonon::MediaSource::MediaSource$$
    {19, 86, -20},	// Phonon::MediaSource::MediaSource?
    {19, 124, 343},	// Phonon::MediaSource::Stream
    {19, 135, 341},	// Phonon::MediaSource::Url
    {19, 160, 333},	// Phonon::MediaSource::audioCaptureDevice
    {19, 162, 324},	// Phonon::MediaSource::autoDelete
    {19, 222, 330},	// Phonon::MediaSource::deviceAccessList
    {19, 223, 331},	// Phonon::MediaSource::deviceName
    {19, 224, 329},	// Phonon::MediaSource::discType
    {19, 259, 326},	// Phonon::MediaSource::fileName
    {19, 327, 327},	// Phonon::MediaSource::mrl
    {19, 340, 321},	// Phonon::MediaSource::operator=#
    {19, 342, 322},	// Phonon::MediaSource::operator==#
    {19, 403, 323},	// Phonon::MediaSource::setAutoDelete$
    {19, 492, 332},	// Phonon::MediaSource::stream
    {19, 520, 325},	// Phonon::MediaSource::type
    {19, 521, 328},	// Phonon::MediaSource::url
    {19, 522, 334},	// Phonon::MediaSource::videoCaptureDevice
    {19, 544, 346},	// Phonon::MediaSource::~MediaSource
    {22, 96, 358},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {22, 97, -33},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {22, 98, 356},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {22, 220, 349},	// Phonon::ObjectDescriptionData::description
    {22, 268, 354},	// Phonon::ObjectDescriptionData::fromIndex$$
    {22, 278, 353},	// Phonon::ObjectDescriptionData::index
    {22, 294, 352},	// Phonon::ObjectDescriptionData::isValid
    {22, 330, 348},	// Phonon::ObjectDescriptionData::name
    {22, 342, 347},	// Phonon::ObjectDescriptionData::operator==#
    {22, 367, 350},	// Phonon::ObjectDescriptionData::property$
    {22, 368, 351},	// Phonon::ObjectDescriptionData::propertyNames
    {22, 545, 359},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {23, 100, -36},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {23, 214, 378},	// Phonon::ObjectDescriptionModelData::data#
    {23, 215, 361},	// Phonon::ObjectDescriptionModelData::data#$
    {23, 232, 372},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {23, 262, 362},	// Phonon::ObjectDescriptionModelData::flags#
    {23, 310, 365},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {23, 312, 374},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {23, 315, 369},	// Phonon::ObjectDescriptionModelData::modelData
    {23, 316, 370},	// Phonon::ObjectDescriptionModelData::modelData#
    {23, 323, 367},	// Phonon::ObjectDescriptionModelData::moveDown#
    {23, 326, 366},	// Phonon::ObjectDescriptionModelData::moveUp#
    {23, 383, 379},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {23, 384, 373},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {23, 387, 377},	// Phonon::ObjectDescriptionModelData::rowCount
    {23, 388, 360},	// Phonon::ObjectDescriptionModelData::rowCount#
    {23, 441, 368},	// Phonon::ObjectDescriptionModelData::setModelData?
    {23, 496, 371},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {23, 518, 364},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {23, 519, 363},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {23, 546, 380},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {25, 101, 381},	// Phonon::Path::Path
    {25, 102, 382},	// Phonon::Path::Path#
    {25, 225, 389},	// Phonon::Path::disconnect
    {25, 233, 387},	// Phonon::Path::effects
    {25, 283, 396},	// Phonon::Path::insertEffect#
    {25, 284, 385},	// Phonon::Path::insertEffect##
    {25, 285, 395},	// Phonon::Path::insertEffect?
    {25, 286, 384},	// Phonon::Path::insertEffect?#
    {25, 294, 383},	// Phonon::Path::isValid
    {25, 336, 392},	// Phonon::Path::operator!=#
    {25, 340, 390},	// Phonon::Path::operator=#
    {25, 342, 391},	// Phonon::Path::operator==#
    {25, 377, 388},	// Phonon::Path::reconnect##
    {25, 381, 386},	// Phonon::Path::removeEffect#
    {25, 483, 394},	// Phonon::Path::sink
    {25, 486, 393},	// Phonon::Path::source
    {25, 547, 397},	// Phonon::Path::~Path
    {26, 120, 423},	// Phonon::SeekSlider::SeekSlider
    {26, 121, -39},	// Phonon::SeekSlider::SeekSlider#
    {26, 122, 406},	// Phonon::SeekSlider::SeekSlider##
    {26, 269, 407},	// Phonon::SeekSlider::hasTracking
    {26, 276, 415},	// Phonon::SeekSlider::iconSize
    {26, 287, 414},	// Phonon::SeekSlider::isIconVisible
    {26, 303, 416},	// Phonon::SeekSlider::mediaObject
    {26, 307, 398},	// Phonon::SeekSlider::metaObject
    {26, 345, 413},	// Phonon::SeekSlider::orientation
    {26, 350, 409},	// Phonon::SeekSlider::pageStep
    {26, 372, 404},	// Phonon::SeekSlider::qt_metacall$$?
    {26, 374, 399},	// Phonon::SeekSlider::qt_metacast$
    {26, 433, 419},	// Phonon::SeekSlider::setIconSize#
    {26, 435, 418},	// Phonon::SeekSlider::setIconVisible$
    {26, 439, 420},	// Phonon::SeekSlider::setMediaObject#
    {26, 449, 417},	// Phonon::SeekSlider::setOrientation$
    {26, 453, 410},	// Phonon::SeekSlider::setPageStep$
    {26, 465, 412},	// Phonon::SeekSlider::setSingleStep$
    {26, 473, 408},	// Phonon::SeekSlider::setTracking$
    {26, 482, 411},	// Phonon::SeekSlider::singleStep
    {26, 490, 425},	// Phonon::SeekSlider::staticMetaObject
    {26, 509, 421},	// Phonon::SeekSlider::tr$
    {26, 510, 400},	// Phonon::SeekSlider::tr$$
    {26, 511, 402},	// Phonon::SeekSlider::tr$$$
    {26, 513, 422},	// Phonon::SeekSlider::trUtf8$
    {26, 514, 401},	// Phonon::SeekSlider::trUtf8$$
    {26, 515, 403},	// Phonon::SeekSlider::trUtf8$$$
    {26, 548, 426},	// Phonon::SeekSlider::~SeekSlider
    {27, 125, 436},	// Phonon::StreamInterface::StreamInterface
    {27, 126, 437},	// Phonon::StreamInterface::StreamInterface#
    {27, 195, 431},	// Phonon::StreamInterface::connectToSource#
    {27, 235, 428},	// Phonon::StreamInterface::endOfData
    {27, 238, 433},	// Phonon::StreamInterface::enoughData
    {27, 333, 432},	// Phonon::StreamInterface::needData
    {27, 385, 435},	// Phonon::StreamInterface::reset
    {27, 395, 434},	// Phonon::StreamInterface::seekStream$
    {27, 467, 430},	// Phonon::StreamInterface::setStreamSeekable$
    {27, 469, 429},	// Phonon::StreamInterface::setStreamSize$
    {27, 531, 427},	// Phonon::StreamInterface::writeData#
    {27, 549, 438},	// Phonon::StreamInterface::~StreamInterface
    {28, 139, 468},	// Phonon::VideoPlayer::VideoPlayer
    {28, 140, 447},	// Phonon::VideoPlayer::VideoPlayer#
    {28, 141, 467},	// Phonon::VideoPlayer::VideoPlayer$
    {28, 142, 446},	// Phonon::VideoPlayer::VideoPlayer$#
    {28, 161, 454},	// Phonon::VideoPlayer::audioOutput
    {28, 210, 449},	// Phonon::VideoPlayer::currentTime
    {28, 249, 464},	// Phonon::VideoPlayer::event#
    {28, 260, 463},	// Phonon::VideoPlayer::finished
    {28, 291, 452},	// Phonon::VideoPlayer::isPaused
    {28, 292, 451},	// Phonon::VideoPlayer::isPlaying
    {28, 300, 456},	// Phonon::VideoPlayer::load#
    {28, 303, 453},	// Phonon::VideoPlayer::mediaObject
    {28, 307, 439},	// Phonon::VideoPlayer::metaObject
    {28, 357, 459},	// Phonon::VideoPlayer::pause
    {28, 359, 458},	// Phonon::VideoPlayer::play
    {28, 360, 457},	// Phonon::VideoPlayer::play#
    {28, 372, 445},	// Phonon::VideoPlayer::qt_metacall$$?
    {28, 374, 440},	// Phonon::VideoPlayer::qt_metacast$
    {28, 393, 461},	// Phonon::VideoPlayer::seek$
    {28, 478, 462},	// Phonon::VideoPlayer::setVolume$
    {28, 490, 469},	// Phonon::VideoPlayer::staticMetaObject
    {28, 491, 460},	// Phonon::VideoPlayer::stop
    {28, 505, 448},	// Phonon::VideoPlayer::totalTime
    {28, 509, 465},	// Phonon::VideoPlayer::tr$
    {28, 510, 441},	// Phonon::VideoPlayer::tr$$
    {28, 511, 443},	// Phonon::VideoPlayer::tr$$$
    {28, 513, 466},	// Phonon::VideoPlayer::trUtf8$
    {28, 514, 442},	// Phonon::VideoPlayer::trUtf8$$
    {28, 515, 444},	// Phonon::VideoPlayer::trUtf8$$$
    {28, 523, 455},	// Phonon::VideoPlayer::videoWidget
    {28, 524, 450},	// Phonon::VideoPlayer::volume
    {28, 550, 470},	// Phonon::VideoPlayer::~VideoPlayer
    {29, 13, 505},	// Phonon::VideoWidget::AspectRatio16_9
    {29, 14, 504},	// Phonon::VideoWidget::AspectRatio4_3
    {29, 15, 502},	// Phonon::VideoWidget::AspectRatioAuto
    {29, 16, 503},	// Phonon::VideoWidget::AspectRatioWidget
    {29, 64, 506},	// Phonon::VideoWidget::FitInView
    {29, 119, 507},	// Phonon::VideoWidget::ScaleAndCrop
    {29, 143, 500},	// Phonon::VideoWidget::VideoWidget
    {29, 144, 478},	// Phonon::VideoWidget::VideoWidget#
    {29, 145, 495},	// Phonon::VideoWidget::VideoWidget##
    {29, 159, 479},	// Phonon::VideoWidget::aspectRatio
    {29, 180, 481},	// Phonon::VideoWidget::brightness
    {29, 197, 482},	// Phonon::VideoWidget::contrast
    {29, 243, 488},	// Phonon::VideoWidget::enterFullScreen
    {29, 249, 497},	// Phonon::VideoWidget::event#
    {29, 251, 487},	// Phonon::VideoWidget::exitFullScreen
    {29, 275, 483},	// Phonon::VideoWidget::hue
    {29, 307, 471},	// Phonon::VideoWidget::metaObject
    {29, 319, 496},	// Phonon::VideoWidget::mouseMoveEvent#
    {29, 372, 477},	// Phonon::VideoWidget::qt_metacall$$?
    {29, 374, 472},	// Phonon::VideoWidget::qt_metacast$
    {29, 390, 484},	// Phonon::VideoWidget::saturation
    {29, 391, 480},	// Phonon::VideoWidget::scaleMode
    {29, 399, 489},	// Phonon::VideoWidget::setAspectRatio$
    {29, 407, 491},	// Phonon::VideoWidget::setBrightness$
    {29, 409, 492},	// Phonon::VideoWidget::setContrast$
    {29, 429, 486},	// Phonon::VideoWidget::setFullScreen$
    {29, 431, 493},	// Phonon::VideoWidget::setHue$
    {29, 461, 494},	// Phonon::VideoWidget::setSaturation$
    {29, 463, 490},	// Phonon::VideoWidget::setScaleMode$
    {29, 485, 485},	// Phonon::VideoWidget::snapshot
    {29, 490, 501},	// Phonon::VideoWidget::staticMetaObject
    {29, 509, 498},	// Phonon::VideoWidget::tr$
    {29, 510, 473},	// Phonon::VideoWidget::tr$$
    {29, 511, 475},	// Phonon::VideoWidget::tr$$$
    {29, 513, 499},	// Phonon::VideoWidget::trUtf8$
    {29, 514, 474},	// Phonon::VideoWidget::trUtf8$$
    {29, 515, 476},	// Phonon::VideoWidget::trUtf8$$$
    {29, 551, 508},	// Phonon::VideoWidget::~VideoWidget
    {31, 59, 533},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {31, 60, 530},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {31, 61, 531},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {31, 62, 532},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {31, 146, 528},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {31, 147, 516},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {31, 252, 519},	// Phonon::VolumeFaderEffect::fadeCurve
    {31, 254, 520},	// Phonon::VolumeFaderEffect::fadeIn$
    {31, 256, 521},	// Phonon::VolumeFaderEffect::fadeOut$
    {31, 258, 525},	// Phonon::VolumeFaderEffect::fadeTo$$
    {31, 307, 509},	// Phonon::VolumeFaderEffect::metaObject
    {31, 372, 515},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {31, 374, 510},	// Phonon::VolumeFaderEffect::qt_metacast$
    {31, 427, 524},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {31, 478, 522},	// Phonon::VolumeFaderEffect::setVolume$
    {31, 480, 523},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {31, 490, 529},	// Phonon::VolumeFaderEffect::staticMetaObject
    {31, 509, 526},	// Phonon::VolumeFaderEffect::tr$
    {31, 510, 511},	// Phonon::VolumeFaderEffect::tr$$
    {31, 511, 513},	// Phonon::VolumeFaderEffect::tr$$$
    {31, 513, 527},	// Phonon::VolumeFaderEffect::trUtf8$
    {31, 514, 512},	// Phonon::VolumeFaderEffect::trUtf8$$
    {31, 515, 514},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {31, 524, 517},	// Phonon::VolumeFaderEffect::volume
    {31, 527, 518},	// Phonon::VolumeFaderEffect::volumeDecibel
    {31, 552, 534},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {32, 148, 562},	// Phonon::VolumeSlider::VolumeSlider
    {32, 149, -45},	// Phonon::VolumeSlider::VolumeSlider#
    {32, 150, 543},	// Phonon::VolumeSlider::VolumeSlider##
    {32, 161, 554},	// Phonon::VolumeSlider::audioOutput
    {32, 269, 544},	// Phonon::VolumeSlider::hasTracking
    {32, 276, 551},	// Phonon::VolumeSlider::iconSize
    {32, 289, 550},	// Phonon::VolumeSlider::isMuteVisible
    {32, 302, 552},	// Phonon::VolumeSlider::maximumVolume
    {32, 307, 535},	// Phonon::VolumeSlider::metaObject
    {32, 345, 553},	// Phonon::VolumeSlider::orientation
    {32, 350, 546},	// Phonon::VolumeSlider::pageStep
    {32, 372, 541},	// Phonon::VolumeSlider::qt_metacall$$?
    {32, 374, 536},	// Phonon::VolumeSlider::qt_metacast$
    {32, 401, 559},	// Phonon::VolumeSlider::setAudioOutput#
    {32, 433, 558},	// Phonon::VolumeSlider::setIconSize#
    {32, 437, 555},	// Phonon::VolumeSlider::setMaximumVolume$
    {32, 443, 557},	// Phonon::VolumeSlider::setMuteVisible$
    {32, 449, 556},	// Phonon::VolumeSlider::setOrientation$
    {32, 453, 547},	// Phonon::VolumeSlider::setPageStep$
    {32, 465, 549},	// Phonon::VolumeSlider::setSingleStep$
    {32, 473, 545},	// Phonon::VolumeSlider::setTracking$
    {32, 482, 548},	// Phonon::VolumeSlider::singleStep
    {32, 490, 564},	// Phonon::VolumeSlider::staticMetaObject
    {32, 509, 560},	// Phonon::VolumeSlider::tr$
    {32, 510, 537},	// Phonon::VolumeSlider::tr$$
    {32, 511, 539},	// Phonon::VolumeSlider::tr$$$
    {32, 513, 561},	// Phonon::VolumeSlider::trUtf8$
    {32, 514, 538},	// Phonon::VolumeSlider::trUtf8$$
    {32, 515, 540},	// Phonon::VolumeSlider::trUtf8$$$
    {32, 553, 565},	// Phonon::VolumeSlider::~VolumeSlider
    {47, 105, 566},	// QGlobalSpace::Q_COMPLEX_TYPE
    {47, 106, 570},	// QGlobalSpace::Q_DUMMY_TYPE
    {47, 107, 569},	// QGlobalSpace::Q_MOVABLE_TYPE
    {47, 108, 567},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {47, 109, 568},	// QGlobalSpace::Q_STATIC_TYPE
    {47, 110, 573},	// QGlobalSpace::QtCriticalMsg
    {47, 111, 571},	// QGlobalSpace::QtDebugMsg
    {47, 112, 574},	// QGlobalSpace::QtFatalMsg
    {47, 113, 575},	// QGlobalSpace::QtSystemMsg
    {47, 114, 572},	// QGlobalSpace::QtWarningMsg
    {47, 151, 578},	// QGlobalSpace::__codecvt_error
    {47, 152, 579},	// QGlobalSpace::__codecvt_noconv
    {47, 153, 576},	// QGlobalSpace::__codecvt_ok
    {47, 154, 577},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 73,
        __smokephonon::methods, 630,
        __smokephonon::methodMaps, 561,
        __smokephonon::methodNames, 553,
        __smokephonon::types, 244,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
