#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 44: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 44: return (void*)(QWidget*)(QFrame*)xptr;
        case 25: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 25: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMimeData
      switch(to) {
        case 22: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QObject
      switch(to) {
        case 25: return (void*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 45: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 50: return (void*)(QsciLexer*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 83: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 81: return (void*)(QsciMacro*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEngine
      switch(to) {
        case 26: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEvent
      switch(to) {
        case 27: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QPainter
      switch(to) {
        case 28: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 29:   //QPalette
      switch(to) {
        case 29: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 30:   //QPixmap
      switch(to) {
        case 30: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 31:   //QPoint
      switch(to) {
        case 31: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 32:   //QPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 33:   //QRect
      switch(to) {
        case 33: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QResizeEvent
      switch(to) {
        case 35: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QSettings
      switch(to) {
        case 36: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 37:   //QShowEvent
      switch(to) {
        case 37: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QSize
      switch(to) {
        case 38: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 39:   //QStyle
      switch(to) {
        case 39: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 40:   //QTabletEvent
      switch(to) {
        case 40: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QTimerEvent
      switch(to) {
        case 41: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QVariant
      switch(to) {
        case 42: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 43:   //QWheelEvent
      switch(to) {
        case 43: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QWidget
      switch(to) {
        case 25: return (void*)(QObject*)(QWidget*)xptr;
        case 44: return (void*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAPIs
      switch(to) {
        case 46: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 25: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAbstractAPIs
      switch(to) {
        case 25: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommand
      switch(to) {
        case 47: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommandSet
      switch(to) {
        case 48: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 49:   //QsciDocument
      switch(to) {
        case 49: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexer
      switch(to) {
        case 25: return (void*)(QObject*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBash
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 51: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBatch
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 52: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCMake
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 53: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCPP
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 54: return (void*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSS
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 55: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSharp
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCustom
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 57: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerD
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 58: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerDiff
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 59: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran
      switch(to) {
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 60: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran77
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerHTML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 62: return (void*)(QsciLexerHTML*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerIDL
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 63: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJava
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 64: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJavaScript
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerLua
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 66: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerMakefile
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPOV
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 68: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPascal
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 69: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPerl
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 70: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPostScript
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerProperties
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 72: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPython
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 73: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerRuby
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 74: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerSQL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 75: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTCL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 76: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTeX
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 77: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerVHDL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerXML
      switch(to) {
        case 62: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 79: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerYAML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 80: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciMacro
      switch(to) {
        case 25: return (void*)(QObject*)(QsciMacro*)xptr;
        case 81: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 82:   //QsciPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintilla
      switch(to) {
        case 84: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 25: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 83: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 25: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyle
      switch(to) {
        case 85: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyledText
      switch(to) {
        case 86: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    46, 0,	// 1: QsciAbstractAPIs
    25, 0,	// 3: QObject
    50, 0,	// 5: QsciLexer
    54, 0,	// 7: QsciLexerCPP
    61, 0,	// 9: QsciLexerFortran77
    62, 0,	// 11: QsciLexerHTML
    32, 0,	// 13: QPrinter
    84, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QObject", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QPainter", true, 0, 0, 0, 0, 0 },	//28
    { "QPalette", true, 0, 0, 0, 0, 0 },	//29
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//30
    { "QPoint", true, 0, 0, 0, 0, 0 },	//31
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//32
    { "QRect", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QSettings", true, 0, 0, 0, 0, 0 },	//36
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QSize", true, 0, 0, 0, 0, 0 },	//38
    { "QStyle", true, 0, 0, 0, 0, 0 },	//39
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QVariant", true, 0, 0, 0, 0, 0 },	//42
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QWidget", true, 0, 0, 0, 0, 0 },	//44
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//45
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//46
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//47
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//48
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//49
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//50
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//51
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//52
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//53
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//54
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//55
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//56
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//57
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//58
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//59
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//60
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//61
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//62
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//63
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//64
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//65
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//66
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//67
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//68
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//69
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//70
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//71
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//72
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//73
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//74
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//75
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//76
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//77
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//78
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//79
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//80
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//81
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//82
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//83
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//84
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//85
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QPaintEngine*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPainter&", 28, Smoke::t_class|Smoke::tf_ref },	//28
    { "QPainter*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPrinter::PrinterMode", 32, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QRect&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//32
    { "QResizeEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QSettings&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QShowEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSize", 38, Smoke::t_class|Smoke::tf_stack },	//36
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "QStyle&", 39, Smoke::t_class|Smoke::tf_ref },	//41
    { "QTabletEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QTimerEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QVariant", 42, Smoke::t_class|Smoke::tf_stack },	//44
    { "QWheelEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QWidget*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciAbstractAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciCommandSet*", 48, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciDocument", 49, Smoke::t_class|Smoke::tf_stack },	//50
    { "QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref },	//51
    { "QsciDocument*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexer*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBash*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerBatch*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCMake*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCPP*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSS*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCSharp*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCustom*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerD*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerDiff*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerFortran77*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerHTML*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerIDL*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJava*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerJavaScript*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerLua*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerMakefile*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPOV*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPascal*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPerl*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPostScript*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerProperties*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython*", 73, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPython::IndentationWarning", 73, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QsciLexerRuby*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerSQL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTCL*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerTeX*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerVHDL*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerXML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerYAML*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciMacro*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciPrinter*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla*", 83, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciScintilla::AnnotationDisplay", 83, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::AutoCompletionSource", 83, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::BraceMatch", 83, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::CallTipsStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EdgeMode", 83, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::EolMode", 83, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::FoldStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::IndentState", 83, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::IndicatorStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::MarginType", 83, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::MarkerSymbol", 83, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WhitespaceVisibility", 83, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::WrapMode", 83, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::WrapVisualFlag", 83, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintillaBase*", 84, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QsciStyle*", 85, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QsciStyle::TextCase", 85, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciStyledText*", 86, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//145
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//178
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//179
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//180
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//181
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//182
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//188
    { "const QPalette&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QPixmap&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QPoint&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QRect&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//196
    { "const QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QsciStyle&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QsciStyledText&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//202
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//203
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//204
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//205
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//207
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//208
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//209
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//210
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    45, 0,	//3  QWheelEvent*
    24, 11, 0,	//5  QObject*, QEvent*
    43, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    200, 0,	//12  const char*
    25, 0,	//14  QPaintDevice::PaintDeviceMetric
    180, 0,	//16  bool
    202, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    23, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    42, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    35, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    179, 0,	//34  _XEvent*
    139, 0,	//36  Qt::InputMethodQuery
    41, 0,	//38  QStyle&
    189, 0,	//40  const QPalette&
    184, 0,	//42  const QFont&
    200, 200, 0,	//44  const char*, const char*
    200, 200, 202, 0,	//47  const char*, const char*, int
    20, 202, 209, 0,	//51  QMetaObject::Call, int, void**
    53, 0,	//55  QsciLexer*
    194, 0,	//57  const QString&
    195, 39, 0,	//59  const QStringList&, QStringList&
    195, 202, 91, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    34, 200, 0,	//67  QSettings&, const char*
    34, 0,	//70  QSettings&
    197, 0,	//72  const QsciDocument&
    24, 0,	//74  QObject*
    204, 0,	//76  int*
    48, 0,	//78  QsciAbstractAPIs*
    183, 0,	//80  const QColor&
    87, 0,	//82  QsciScintilla*
    183, 202, 0,	//84  const QColor&, int
    180, 202, 0,	//87  bool, int
    184, 202, 0,	//90  const QFont&, int
    34, 194, 0,	//93  QSettings&, const QString&
    24, 180, 0,	//96  QObject*, bool
    202, 202, 0,	//99  int, int
    202, 198, 0,	//102  int, const QsciStyle&
    77, 0,	//105  QsciLexerPython::IndentationWarning
    194, 87, 0,	//107  const QString&, QsciScintilla*
    30, 0,	//110  QPrinter::PrinterMode
    28, 180, 31, 202, 0,	//112  QPainter&, bool, QRect&, int
    102, 202, 202, 0,	//117  QsciScintillaBase*, int, int
    100, 0,	//121  QsciScintilla::WrapMode
    102, 0,	//123  QsciScintillaBase*
    102, 202, 0,	//125  QsciScintillaBase*, int
    46, 0,	//128  QWidget*
    202, 203, 203, 0,	//130  int, int&, int&
    202, 194, 202, 0,	//134  int, const QString&, int
    202, 194, 198, 0,	//138  int, const QString&, const QsciStyle&
    202, 199, 0,	//142  int, const QsciStyledText&
    202, 185, 0,	//145  int, const QList<QsciStyledText>&
    202, 202, 202, 202, 202, 0,	//148  int, int, int, int, int
    93, 0,	//154  QsciScintilla::EolMode
    194, 180, 180, 180, 180, 180, 202, 202, 180, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool
    204, 204, 0,	//166  int*, int*
    204, 204, 204, 204, 0,	//169  int*, int*, int*, int*
    96, 202, 0,	//174  QsciScintilla::IndicatorStyle, int
    181, 0,	//177  char
    191, 0,	//179  const QPoint&
    202, 204, 204, 0,	//181  int, int*, int*
    98, 202, 0,	//185  QsciScintilla::MarkerSymbol, int
    181, 202, 0,	//188  char, int
    190, 202, 0,	//191  const QPixmap&, int
    202, 206, 0,	//194  int, unsigned int
    15, 0,	//197  QIODevice*
    202, 190, 0,	//199  int, const QPixmap&
    183, 183, 0,	//202  const QColor&, const QColor&
    88, 0,	//205  QsciScintilla::AnnotationDisplay
    195, 0,	//207  const QStringList&
    91, 0,	//209  QsciScintilla::CallTipsStyle
    92, 0,	//211  QsciScintilla::EdgeMode
    202, 97, 0,	//213  int, QsciScintilla::MarginType
    101, 101, 202, 0,	//216  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    202, 195, 0,	//220  int, const QStringList&
    194, 202, 202, 0,	//223  const QString&, int, int
    89, 0,	//227  QsciScintilla::AutoCompletionSource
    90, 0,	//229  QsciScintilla::BraceMatch
    94, 202, 0,	//231  QsciScintilla::FoldStyle, int
    202, 180, 0,	//234  int, bool
    202, 194, 0,	//237  int, const QString&
    202, 202, 202, 202, 0,	//240  int, int, int, int
    99, 0,	//245  QsciScintilla::WhitespaceVisibility
    202, 202, 145, 0,	//247  int, int, Qt::KeyboardModifiers
    194, 180, 180, 180, 180, 0,	//251  const QString&, bool, bool, bool, bool
    194, 180, 180, 180, 180, 180, 0,	//257  const QString&, bool, bool, bool, bool, bool
    194, 180, 180, 180, 180, 180, 202, 0,	//264  const QString&, bool, bool, bool, bool, bool, int
    194, 180, 180, 180, 180, 180, 202, 202, 0,	//272  const QString&, bool, bool, bool, bool, bool, int, int
    96, 0,	//281  QsciScintilla::IndicatorStyle
    98, 0,	//283  QsciScintilla::MarkerSymbol
    190, 0,	//285  const QPixmap&
    101, 0,	//287  QsciScintilla::WrapVisualFlag
    101, 101, 0,	//289  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    94, 0,	//292  QsciScintilla::FoldStyle
    206, 207, 205, 0,	//294  unsigned int, unsigned long, long
    206, 207, 208, 0,	//298  unsigned int, unsigned long, void*
    206, 207, 200, 0,	//302  unsigned int, unsigned long, const char*
    206, 200, 0,	//306  unsigned int, const char*
    206, 200, 200, 0,	//309  unsigned int, const char*, const char*
    206, 205, 0,	//313  unsigned int, long
    206, 202, 0,	//316  unsigned int, int
    206, 205, 205, 182, 0,	//319  unsigned int, long, long, char*
    206, 207, 183, 0,	//324  unsigned int, unsigned long, const QColor&
    206, 183, 0,	//328  unsigned int, const QColor&
    206, 207, 29, 192, 205, 205, 0,	//331  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    206, 207, 190, 0,	//338  unsigned int, unsigned long, const QPixmap&
    206, 0,	//342  unsigned int
    200, 202, 0,	//344  const char*, int
    202, 202, 202, 0,	//347  int, int, int
    202, 202, 200, 202, 202, 202, 202, 202, 202, 202, 0,	//351  int, int, const char*, int, int, int, int, int, int, int
    188, 0,	//362  const QMimeData*
    6, 0,	//364  QContextMenuEvent*
    7, 0,	//366  QDragEnterEvent*
    8, 0,	//368  QDragLeaveEvent*
    9, 0,	//370  QDragMoveEvent*
    10, 0,	//372  QDropEvent*
    12, 0,	//374  QFocusEvent*
    16, 0,	//376  QInputMethodEvent*
    22, 0,	//378  QMouseEvent*
    27, 0,	//380  QPaintEvent*
    33, 0,	//382  QResizeEvent*
    206, 207, 0,	//384  unsigned int, unsigned long
    202, 194, 183, 183, 184, 180, 0,	//387  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    104, 0,	//394  QsciStyle::TextCase
    198, 0,	//396  const QsciStyle&
    202, 194, 183, 183, 184, 0,	//398  int, const QString&, const QColor&, const QColor&, const QFont&
    194, 202, 0,	//404  const QString&, int
    194, 198, 0,	//407  const QString&, const QsciStyle&
    199, 0,	//410  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxIndicator",	//92
    "BoxedFoldStyle",	//93
    "BoxedMinus",	//94
    "BoxedMinusConnected",	//95
    "BoxedPlus",	//96
    "BoxedPlusConnected",	//97
    "BoxedTreeFoldStyle",	//98
    "C5E",	//99
    "CDATA",	//100
    "CSS1Property",	//101
    "CSS2Property",	//102
    "CSS3Property",	//103
    "CallTipsContext",	//104
    "CallTipsNoAutoCompletionContext",	//105
    "CallTipsNoContext",	//106
    "CallTipsNone",	//107
    "Cassette",	//108
    "Character",	//109
    "Cicero",	//110
    "Circle",	//111
    "CircledFoldStyle",	//112
    "CircledMinus",	//113
    "CircledMinusConnected",	//114
    "CircledPlus",	//115
    "CircledPlusConnected",	//116
    "CircledTreeFoldStyle",	//117
    "ClassName",	//118
    "ClassSelector",	//119
    "ClassVariable",	//120
    "Color",	//121
    "Comm10E",	//122
    "Command",	//123
    "Comment",	//124
    "CommentBlock",	//125
    "CommentBox",	//126
    "CommentDoc",	//127
    "CommentDocKeyword",	//128
    "CommentDocKeywordError",	//129
    "CommentLine",	//130
    "CommentLineDoc",	//131
    "CommentLineHash",	//132
    "CommentNested",	//133
    "CommentParenthesis",	//134
    "Continuation",	//135
    "CoroutinesIOSystemFacilities",	//136
    "CurrentPage",	//137
    "Custom",	//138
    "DLE",	//139
    "DSCComment",	//140
    "DSCCommentValue",	//141
    "DataSection",	//142
    "Decorator",	//143
    "Default",	//144
    "DefaultValue",	//145
    "DemotedKeyword",	//146
    "DevicePixel",	//147
    "DiagonalIndicator",	//148
    "DictionaryParenthesis",	//149
    "Didot",	//150
    "Directive",	//151
    "DocumentDelimiter",	//152
    "DottedOperator",	//153
    "DoubleQuotedHereDocument",	//154
    "DoubleQuotedString",	//155
    "DownTriangle",	//156
    "DrawChildren",	//157
    "DrawWindowBackground",	//158
    "DuplexAuto",	//159
    "DuplexLongSide",	//160
    "DuplexNone",	//161
    "DuplexShortSide",	//162
    "EdgeBackground",	//163
    "EdgeLine",	//164
    "EdgeNone",	//165
    "Entity",	//166
    "Envelope",	//167
    "EnvelopeManual",	//168
    "EolMac",	//169
    "EolUnix",	//170
    "EolWindows",	//171
    "Error",	//172
    "Executive",	//173
    "ExpandKeyword",	//174
    "ExtendedCSSProperty",	//175
    "ExtendedFunction",	//176
    "ExtendedPseudoClass",	//177
    "ExtendedPseudoElement",	//178
    "ExternalCommand",	//179
    "FirstPageFirst",	//180
    "Folio",	//181
    "FormSource",	//182
    "FormatBody",	//183
    "FormatIdentifier",	//184
    "Function",	//185
    "FunctionMethodName",	//186
    "Global",	//187
    "GlobalClass",	//188
    "GrayScale",	//189
    "Group",	//190
    "HLine",	//191
    "HTMLComment",	//192
    "HTMLDoubleQuotedString",	//193
    "HTMLNumber",	//194
    "HTMLSingleQuotedString",	//195
    "HTMLValue",	//196
    "Hash",	//197
    "Header",	//198
    "HereDocument",	//199
    "HereDocumentDelimiter",	//200
    "HexNumber",	//201
    "HexString",	//202
    "HiddenIndicator",	//203
    "HideCommandChar",	//204
    "HighResolution",	//205
    "HighlightedIdentifier",	//206
    "IDSelector",	//207
    "ITCLKeyword",	//208
    "Identifier",	//209
    "Idle",	//210
    "IgnoreMask",	//211
    "ImmediateEvalLiteral",	//212
    "Important",	//213
    "Inch",	//214
    "Inconsistent",	//215
    "InstanceVariable",	//216
    "IntrinsicFunction",	//217
    "Invisible",	//218
    "JavaScriptComment",	//219
    "JavaScriptCommentDoc",	//220
    "JavaScriptCommentLine",	//221
    "JavaScriptDefault",	//222
    "JavaScriptDoubleQuotedString",	//223
    "JavaScriptKeyword",	//224
    "JavaScriptNumber",	//225
    "JavaScriptRegex",	//226
    "JavaScriptSingleQuotedString",	//227
    "JavaScriptStart",	//228
    "JavaScriptSymbol",	//229
    "JavaScriptUnclosedString",	//230
    "JavaScriptWord",	//231
    "Key",	//232
    "Keyword",	//233
    "KeywordDoc",	//234
    "KeywordSecondary",	//235
    "KeywordSet2",	//236
    "KeywordSet3",	//237
    "KeywordSet5",	//238
    "KeywordSet6",	//239
    "KeywordSet7",	//240
    "KeywordSet8",	//241
    "KeywordSet9",	//242
    "Label",	//243
    "Landscape",	//244
    "LargeCapacity",	//245
    "LargeFormat",	//246
    "LastPageFirst",	//247
    "Ledger",	//248
    "LeftSideRoundedSplitter",	//249
    "LeftSideSplitter",	//250
    "Legal",	//251
    "Letter",	//252
    "LineAdded",	//253
    "LineChanged",	//254
    "LineComment",	//255
    "LineRemoved",	//256
    "Literal",	//257
    "LiteralString",	//258
    "Lower",	//259
    "LowerCase",	//260
    "Manual",	//261
    "MaxPageSource",	//262
    "Middle",	//263
    "Millimeter",	//264
    "Minus",	//265
    "Modifier",	//266
    "ModuleName",	//267
    "NPageSize",	//268
    "NPaperSize",	//269
    "Name",	//270
    "NativeFormat",	//271
    "NoBraceMatch",	//272
    "NoFoldStyle",	//273
    "NoFrame",	//274
    "NoWarning",	//275
    "Number",	//276
    "NumberMargin",	//277
    "ObjectsCSGAppearance",	//278
    "OnlyOne",	//279
    "Operator",	//280
    "OriginalCase",	//281
    "OtherInTag",	//282
    "PHPComment",	//283
    "PHPCommentLine",	//284
    "PHPDefault",	//285
    "PHPDoubleQuotedString",	//286
    "PHPDoubleQuotedVariable",	//287
    "PHPKeyword",	//288
    "PHPNumber",	//289
    "PHPOperator",	//290
    "PHPSingleQuotedString",	//291
    "PHPStart",	//292
    "PHPVariable",	//293
    "POD",	//294
    "PODVerbatim",	//295
    "PageRange",	//296
    "Panel",	//297
    "ParameterExpansion",	//298
    "PdfFormat",	//299
    "PercentStringQ",	//300
    "PercentStringq",	//301
    "PercentStringr",	//302
    "PercentStringw",	//303
    "PercentStringx",	//304
    "Pica",	//305
    "Plain",	//306
    "PlainFoldStyle",	//307
    "PlainIndicator",	//308
    "Plus",	//309
    "PlusComment",	//310
    "PlusKeyword",	//311
    "PlusPrompt",	//312
    "Point",	//313
    "Portrait",	//314
    "Position",	//315
    "PostScriptFormat",	//316
    "PreProcessor",	//317
    "PreProcessorParenthesis",	//318
    "PredefinedFunctions",	//319
    "PredefinedIdentifiers",	//320
    "Preprocessor",	//321
    "PrinterResolution",	//322
    "ProcedureParenthesis",	//323
    "PseudoClass",	//324
    "PseudoElement",	//325
    "PythonClassName",	//326
    "PythonComment",	//327
    "PythonDefault",	//328
    "PythonDoubleQuotedString",	//329
    "PythonFunctionMethodName",	//330
    "PythonIdentifier",	//331
    "PythonKeyword",	//332
    "PythonNumber",	//333
    "PythonOperator",	//334
    "PythonSingleQuotedString",	//335
    "PythonStart",	//336
    "PythonTripleDoubleQuotedString",	//337
    "PythonTripleSingleQuotedString",	//338
    "QSCN_SELCHANGED",	//339
    "QSCN_SELCHANGED$",	//340
    "Q_COMPLEX_TYPE",	//341
    "Q_DUMMY_TYPE",	//342
    "Q_MOVABLE_TYPE",	//343
    "Q_PRIMITIVE_TYPE",	//344
    "Q_STATIC_TYPE",	//345
    "QsciAPIs",	//346
    "QsciAPIs#",	//347
    "QsciAbstractAPIs",	//348
    "QsciAbstractAPIs#",	//349
    "QsciDocument",	//350
    "QsciDocument#",	//351
    "QsciLexer",	//352
    "QsciLexer#",	//353
    "QsciLexerBash",	//354
    "QsciLexerBash#",	//355
    "QsciLexerBatch",	//356
    "QsciLexerBatch#",	//357
    "QsciLexerCMake",	//358
    "QsciLexerCMake#",	//359
    "QsciLexerCPP",	//360
    "QsciLexerCPP#",	//361
    "QsciLexerCPP#$",	//362
    "QsciLexerCSS",	//363
    "QsciLexerCSS#",	//364
    "QsciLexerCSharp",	//365
    "QsciLexerCSharp#",	//366
    "QsciLexerCustom",	//367
    "QsciLexerCustom#",	//368
    "QsciLexerD",	//369
    "QsciLexerD#",	//370
    "QsciLexerDiff",	//371
    "QsciLexerDiff#",	//372
    "QsciLexerFortran",	//373
    "QsciLexerFortran#",	//374
    "QsciLexerFortran77",	//375
    "QsciLexerFortran77#",	//376
    "QsciLexerHTML",	//377
    "QsciLexerHTML#",	//378
    "QsciLexerIDL",	//379
    "QsciLexerIDL#",	//380
    "QsciLexerJava",	//381
    "QsciLexerJava#",	//382
    "QsciLexerJavaScript",	//383
    "QsciLexerJavaScript#",	//384
    "QsciLexerLua",	//385
    "QsciLexerLua#",	//386
    "QsciLexerMakefile",	//387
    "QsciLexerMakefile#",	//388
    "QsciLexerPOV",	//389
    "QsciLexerPOV#",	//390
    "QsciLexerPascal",	//391
    "QsciLexerPascal#",	//392
    "QsciLexerPerl",	//393
    "QsciLexerPerl#",	//394
    "QsciLexerPostScript",	//395
    "QsciLexerPostScript#",	//396
    "QsciLexerProperties",	//397
    "QsciLexerProperties#",	//398
    "QsciLexerPython",	//399
    "QsciLexerPython#",	//400
    "QsciLexerRuby",	//401
    "QsciLexerRuby#",	//402
    "QsciLexerSQL",	//403
    "QsciLexerSQL#",	//404
    "QsciLexerTCL",	//405
    "QsciLexerTCL#",	//406
    "QsciLexerTeX",	//407
    "QsciLexerTeX#",	//408
    "QsciLexerVHDL",	//409
    "QsciLexerVHDL#",	//410
    "QsciLexerXML",	//411
    "QsciLexerXML#",	//412
    "QsciLexerYAML",	//413
    "QsciLexerYAML#",	//414
    "QsciMacro",	//415
    "QsciMacro#",	//416
    "QsciMacro$#",	//417
    "QsciPrinter",	//418
    "QsciPrinter$",	//419
    "QsciScintilla",	//420
    "QsciScintilla#",	//421
    "QsciScintillaBase",	//422
    "QsciScintillaBase#",	//423
    "QsciStyle",	//424
    "QsciStyle#",	//425
    "QsciStyle$",	//426
    "QsciStyle$$###",	//427
    "QsciStyle$$###$",	//428
    "QsciStyledText",	//429
    "QsciStyledText#",	//430
    "QsciStyledText$#",	//431
    "QsciStyledText$$",	//432
    "QtCriticalMsg",	//433
    "QtDebugMsg",	//434
    "QtFatalMsg",	//435
    "QtSystemMsg",	//436
    "QtWarningMsg",	//437
    "QuotedKeyword",	//438
    "QuotedString",	//439
    "QuotedStringQ",	//440
    "QuotedStringQQ",	//441
    "QuotedStringQR",	//442
    "QuotedStringQW",	//443
    "QuotedStringQX",	//444
    "Raised",	//445
    "Rectangle",	//446
    "Reference",	//447
    "Regex",	//448
    "RightArrow",	//449
    "RightTriangle",	//450
    "RoundBoxIndicator",	//451
    "RoundedBottomLeftCorner",	//452
    "SCEN_CHANGE",	//453
    "SCLEX_ABAQUS",	//454
    "SCLEX_ADA",	//455
    "SCLEX_APDL",	//456
    "SCLEX_ASM",	//457
    "SCLEX_ASN1",	//458
    "SCLEX_ASP",	//459
    "SCLEX_ASYMPTOTE",	//460
    "SCLEX_AU3",	//461
    "SCLEX_AVE",	//462
    "SCLEX_BAAN",	//463
    "SCLEX_BASH",	//464
    "SCLEX_BATCH",	//465
    "SCLEX_BLITZBASIC",	//466
    "SCLEX_BULLANT",	//467
    "SCLEX_CAML",	//468
    "SCLEX_CLW",	//469
    "SCLEX_CLWNOCASE",	//470
    "SCLEX_CMAKE",	//471
    "SCLEX_COBOL",	//472
    "SCLEX_CONF",	//473
    "SCLEX_CONTAINER",	//474
    "SCLEX_CPP",	//475
    "SCLEX_CPPNOCASE",	//476
    "SCLEX_CSOUND",	//477
    "SCLEX_CSS",	//478
    "SCLEX_D",	//479
    "SCLEX_DIFF",	//480
    "SCLEX_EIFFEL",	//481
    "SCLEX_EIFFELKW",	//482
    "SCLEX_ERLANG",	//483
    "SCLEX_ERRORLIST",	//484
    "SCLEX_ESCRIPT",	//485
    "SCLEX_F77",	//486
    "SCLEX_FLAGSHIP",	//487
    "SCLEX_FORTH",	//488
    "SCLEX_FORTRAN",	//489
    "SCLEX_FREEBASIC",	//490
    "SCLEX_GAP",	//491
    "SCLEX_GUI4CLI",	//492
    "SCLEX_HASKELL",	//493
    "SCLEX_HTML",	//494
    "SCLEX_INNOSETUP",	//495
    "SCLEX_KIX",	//496
    "SCLEX_LATEX",	//497
    "SCLEX_LISP",	//498
    "SCLEX_LOT",	//499
    "SCLEX_LOUT",	//500
    "SCLEX_LUA",	//501
    "SCLEX_MAGIK",	//502
    "SCLEX_MAKEFILE",	//503
    "SCLEX_MATLAB",	//504
    "SCLEX_METAPOST",	//505
    "SCLEX_MMIXAL",	//506
    "SCLEX_MSSQL",	//507
    "SCLEX_MYSQL",	//508
    "SCLEX_NIMROD",	//509
    "SCLEX_NNCRONTAB",	//510
    "SCLEX_NSIS",	//511
    "SCLEX_NULL",	//512
    "SCLEX_OCTAVE",	//513
    "SCLEX_OPAL",	//514
    "SCLEX_PASCAL",	//515
    "SCLEX_PERL",	//516
    "SCLEX_PHP",	//517
    "SCLEX_PHPSCRIPT",	//518
    "SCLEX_PLM",	//519
    "SCLEX_PO",	//520
    "SCLEX_POV",	//521
    "SCLEX_POWERBASIC",	//522
    "SCLEX_POWERPRO",	//523
    "SCLEX_POWERSHELL",	//524
    "SCLEX_PROGRESS",	//525
    "SCLEX_PROPERTIES",	//526
    "SCLEX_PS",	//527
    "SCLEX_PUREBASIC",	//528
    "SCLEX_PYTHON",	//529
    "SCLEX_R",	//530
    "SCLEX_REBOL",	//531
    "SCLEX_RUBY",	//532
    "SCLEX_SCRIPTOL",	//533
    "SCLEX_SMALLTALK",	//534
    "SCLEX_SML",	//535
    "SCLEX_SORCUS",	//536
    "SCLEX_SPECMAN",	//537
    "SCLEX_SPICE",	//538
    "SCLEX_SQL",	//539
    "SCLEX_TACL",	//540
    "SCLEX_TADS3",	//541
    "SCLEX_TAL",	//542
    "SCLEX_TCL",	//543
    "SCLEX_TEX",	//544
    "SCLEX_VB",	//545
    "SCLEX_VBSCRIPT",	//546
    "SCLEX_VERILOG",	//547
    "SCLEX_VHDL",	//548
    "SCLEX_XML",	//549
    "SCLEX_YAML",	//550
    "SCN_AUTOCCANCELLED",	//551
    "SCN_AUTOCCHARDELETED",	//552
    "SCN_AUTOCSELECTION",	//553
    "SCN_AUTOCSELECTION$$",	//554
    "SCN_CALLTIPCLICK",	//555
    "SCN_CALLTIPCLICK$",	//556
    "SCN_CHARADDED",	//557
    "SCN_CHARADDED$",	//558
    "SCN_DOUBLECLICK",	//559
    "SCN_DOUBLECLICK$$$",	//560
    "SCN_DWELLEND",	//561
    "SCN_DWELLEND$$$",	//562
    "SCN_DWELLSTART",	//563
    "SCN_DWELLSTART$$$",	//564
    "SCN_HOTSPOTCLICK",	//565
    "SCN_HOTSPOTCLICK$$",	//566
    "SCN_HOTSPOTDOUBLECLICK",	//567
    "SCN_HOTSPOTDOUBLECLICK$$",	//568
    "SCN_INDICATORCLICK",	//569
    "SCN_INDICATORCLICK$$",	//570
    "SCN_INDICATORRELEASE",	//571
    "SCN_INDICATORRELEASE$$",	//572
    "SCN_MACRORECORD",	//573
    "SCN_MACRORECORD$$$",	//574
    "SCN_MARGINCLICK",	//575
    "SCN_MARGINCLICK$$$",	//576
    "SCN_MODIFIED",	//577
    "SCN_MODIFIED$$$$$$$$$$",	//578
    "SCN_MODIFYATTEMPTRO",	//579
    "SCN_NEEDSHOWN",	//580
    "SCN_NEEDSHOWN$$",	//581
    "SCN_PAINTED",	//582
    "SCN_SAVEPOINTLEFT",	//583
    "SCN_SAVEPOINTREACHED",	//584
    "SCN_STYLENEEDED",	//585
    "SCN_STYLENEEDED$",	//586
    "SCN_UPDATEUI",	//587
    "SCN_USERLISTSELECTION",	//588
    "SCN_USERLISTSELECTION$$",	//589
    "SCN_ZOOM",	//590
    "SGMLBlockDefault",	//591
    "SGMLCommand",	//592
    "SGMLComment",	//593
    "SGMLDefault",	//594
    "SGMLDoubleQuotedString",	//595
    "SGMLEntity",	//596
    "SGMLError",	//597
    "SGMLParameter",	//598
    "SGMLParameterComment",	//599
    "SGMLSingleQuotedString",	//600
    "SGMLSpecial",	//601
    "Scalar",	//602
    "ScreenResolution",	//603
    "Script",	//604
    "Section",	//605
    "Selection",	//606
    "SendScintilla",	//607
    "SendScintilla$",	//608
    "SendScintilla$#",	//609
    "SendScintilla$$",	//610
    "SendScintilla$$#",	//611
    "SendScintilla$$##$$",	//612
    "SendScintilla$$$",	//613
    "SendScintilla$$$$",	//614
    "SendScintillaPtrResult",	//615
    "SendScintillaPtrResult$",	//616
    "Shadow_Mask",	//617
    "Shape_Mask",	//618
    "SingleQuotedHereDocument",	//619
    "SingleQuotedString",	//620
    "SloppyBraceMatch",	//621
    "SmallFormat",	//622
    "SmallRectangle",	//623
    "Spaces",	//624
    "Special",	//625
    "SquiggleIndicator",	//626
    "StandardFunction",	//627
    "StandardOperator",	//628
    "StandardPackage",	//629
    "StandardType",	//630
    "Stderr",	//631
    "Stdin",	//632
    "Stdout",	//633
    "StrictBraceMatch",	//634
    "StrikeIndicator",	//635
    "String",	//636
    "StringLeftQuote",	//637
    "StringRightQuote",	//638
    "StringTableMathsFunctions",	//639
    "StringVariable",	//640
    "StyledPanel",	//641
    "SubroutinePrototype",	//642
    "Substitution",	//643
    "SubstitutionBrace",	//644
    "Sunken",	//645
    "Symbol",	//646
    "SymbolMargin",	//647
    "SymbolMarginDefaultBackgroundColor",	//648
    "SymbolMarginDefaultForegroundColor",	//649
    "SymbolTable",	//650
    "SyntaxErrorMarker",	//651
    "TCLKeyword",	//652
    "TTIndicator",	//653
    "Tabloid",	//654
    "Tabs",	//655
    "TabsAfterSpaces",	//656
    "Tag",	//657
    "Target",	//658
    "Text",	//659
    "TextBlockMarker",	//660
    "TextMargin",	//661
    "TextMarginRightJustified",	//662
    "ThreeDots",	//663
    "ThreeRightArrows",	//664
    "TkCommand",	//665
    "TkKeyword",	//666
    "Tractor",	//667
    "TripleDoubleQuotedString",	//668
    "TripleSingleQuotedString",	//669
    "Typedefs",	//670
    "TypesModifiersItems",	//671
    "UUID",	//672
    "UnclosedString",	//673
    "UnknownAttribute",	//674
    "UnknownProperty",	//675
    "UnknownPseudoClass",	//676
    "UnknownTag",	//677
    "UpperCase",	//678
    "VBScriptComment",	//679
    "VBScriptDefault",	//680
    "VBScriptIdentifier",	//681
    "VBScriptKeyword",	//682
    "VBScriptNumber",	//683
    "VBScriptStart",	//684
    "VBScriptString",	//685
    "VBScriptUnclosedString",	//686
    "VLine",	//687
    "Value",	//688
    "Variable",	//689
    "VerbatimString",	//690
    "VerticalLine",	//691
    "WinPanel",	//692
    "WrapCharacter",	//693
    "WrapFlagByBorder",	//694
    "WrapFlagByText",	//695
    "WrapFlagNone",	//696
    "WrapNone",	//697
    "WrapWord",	//698
    "WsInvisible",	//699
    "WsVisible",	//700
    "WsVisibleAfterIndent",	//701
    "XMLEnd",	//702
    "XMLStart",	//703
    "XMLTagEnd",	//704
    "actionEvent",	//705
    "add",	//706
    "add$",	//707
    "alternateKey",	//708
    "annotate",	//709
    "annotate$#",	//710
    "annotate$$#",	//711
    "annotate$$$",	//712
    "annotate$?",	//713
    "annotation",	//714
    "annotation$",	//715
    "annotationDisplay",	//716
    "apiContext",	//717
    "apiContext$$$",	//718
    "apiPreparationCancelled",	//719
    "apiPreparationFinished",	//720
    "apiPreparationStarted",	//721
    "apis",	//722
    "append",	//723
    "append$",	//724
    "autoCompleteFromAPIs",	//725
    "autoCompleteFromAll",	//726
    "autoCompleteFromDocument",	//727
    "autoCompletionCaseSensitivity",	//728
    "autoCompletionFillups",	//729
    "autoCompletionFillupsEnabled",	//730
    "autoCompletionReplaceWord",	//731
    "autoCompletionSelected",	//732
    "autoCompletionSelected$",	//733
    "autoCompletionShowSingle",	//734
    "autoCompletionSource",	//735
    "autoCompletionThreshold",	//736
    "autoCompletionWordSeparators",	//737
    "autoIndent",	//738
    "autoIndentStyle",	//739
    "backslashEscapes",	//740
    "backspaceUnindents",	//741
    "beginUndoAction",	//742
    "blockEnd",	//743
    "blockEnd$",	//744
    "blockLookback",	//745
    "blockStart",	//746
    "blockStart$",	//747
    "blockStartKeyword",	//748
    "blockStartKeyword$",	//749
    "braceMatching",	//750
    "braceStyle",	//751
    "callTip",	//752
    "callTips",	//753
    "callTips?$$?",	//754
    "callTipsStyle",	//755
    "callTipsVisible",	//756
    "canInsertFromMimeData",	//757
    "canInsertFromMimeData#",	//758
    "cancelList",	//759
    "cancelPreparation",	//760
    "caseSensitive",	//761
    "caseSensitiveTags",	//762
    "changeEvent",	//763
    "changeable",	//764
    "childEvent",	//765
    "clear",	//766
    "clearAlternateKeys",	//767
    "clearAnnotations",	//768
    "clearAnnotations$",	//769
    "clearFolds",	//770
    "clearIndicatorRange",	//771
    "clearIndicatorRange$$$$$",	//772
    "clearKeys",	//773
    "clearMarginText",	//774
    "clearMarginText$",	//775
    "clearRegisteredImages",	//776
    "closeEvent",	//777
    "color",	//778
    "color$",	//779
    "colorChanged",	//780
    "colorChanged#$",	//781
    "commands",	//782
    "connectNotify",	//783
    "contextMenuEvent",	//784
    "contextMenuEvent#",	//785
    "convertEols",	//786
    "convertEols$",	//787
    "copy",	//788
    "copyAvailable",	//789
    "copyAvailable$",	//790
    "cursorPositionChanged",	//791
    "cursorPositionChanged$$",	//792
    "customEvent",	//793
    "cut",	//794
    "defaultColor",	//795
    "defaultColor$",	//796
    "defaultEolFill",	//797
    "defaultEolFill$",	//798
    "defaultFont",	//799
    "defaultFont$",	//800
    "defaultPaper",	//801
    "defaultPaper$",	//802
    "defaultPreparedName",	//803
    "defaultStyle",	//804
    "description",	//805
    "description$",	//806
    "devType",	//807
    "disconnectNotify",	//808
    "document",	//809
    "dollarsAllowed",	//810
    "dragEnterEvent",	//811
    "dragEnterEvent#",	//812
    "dragLeaveEvent",	//813
    "dragLeaveEvent#",	//814
    "dragMoveEvent",	//815
    "dragMoveEvent#",	//816
    "dropEvent",	//817
    "dropEvent#",	//818
    "edgeColor",	//819
    "edgeColumn",	//820
    "edgeMode",	//821
    "editor",	//822
    "enabledChange",	//823
    "endRecording",	//824
    "endUndoAction",	//825
    "ensureCursorVisible",	//826
    "ensureLineVisible",	//827
    "ensureLineVisible$",	//828
    "enterEvent",	//829
    "eolFill",	//830
    "eolFill$",	//831
    "eolFillChanged",	//832
    "eolFillChanged$$",	//833
    "eolMode",	//834
    "eolVisibility",	//835
    "event",	//836
    "event#",	//837
    "eventFilter",	//838
    "fillIndicatorRange",	//839
    "fillIndicatorRange$$$$$",	//840
    "findFirst",	//841
    "findFirst$$$$$",	//842
    "findFirst$$$$$$",	//843
    "findFirst$$$$$$$",	//844
    "findFirst$$$$$$$$",	//845
    "findFirst$$$$$$$$$",	//846
    "findNext",	//847
    "firstVisibleLine",	//848
    "focusInEvent",	//849
    "focusInEvent#",	//850
    "focusNextPrevChild",	//851
    "focusNextPrevChild$",	//852
    "focusOutEvent",	//853
    "focusOutEvent#",	//854
    "foldAll",	//855
    "foldAll$",	//856
    "foldAtBegin",	//857
    "foldAtElse",	//858
    "foldAtParenthesis",	//859
    "foldComments",	//860
    "foldCompact",	//861
    "foldDirectives",	//862
    "foldLine",	//863
    "foldLine$",	//864
    "foldPODBlocks",	//865
    "foldPackages",	//866
    "foldPreprocessor",	//867
    "foldQuotes",	//868
    "foldScriptComments",	//869
    "foldScriptHeredocs",	//870
    "folding",	//871
    "font",	//872
    "font$",	//873
    "fontChange",	//874
    "fontChanged",	//875
    "fontChanged#$",	//876
    "formatPage",	//877
    "formatPage#$#$",	//878
    "fromMimeData",	//879
    "fromMimeData#",	//880
    "getCursorPosition",	//881
    "getCursorPosition$$",	//882
    "getSelection",	//883
    "getSelection$$$$",	//884
    "hasSelectedText",	//885
    "heightForWidth",	//886
    "hideEvent",	//887
    "hotspot",	//888
    "indent",	//889
    "indent$",	//890
    "indentation",	//891
    "indentation$",	//892
    "indentationGuideView",	//893
    "indentationGuides",	//894
    "indentationWarning",	//895
    "indentationWidth",	//896
    "indentationsUseTabs",	//897
    "indicatorClicked",	//898
    "indicatorClicked$$$",	//899
    "indicatorDefine",	//900
    "indicatorDefine$",	//901
    "indicatorDefine$$",	//902
    "indicatorDrawUnder",	//903
    "indicatorDrawUnder$",	//904
    "indicatorReleased",	//905
    "indicatorReleased$$$",	//906
    "inputMethodEvent",	//907
    "inputMethodEvent#",	//908
    "inputMethodQuery",	//909
    "insert",	//910
    "insert$",	//911
    "insertAt",	//912
    "insertAt$$$",	//913
    "installedAPIFiles",	//914
    "isCallTipActive",	//915
    "isListActive",	//916
    "isModified",	//917
    "isPrepared",	//918
    "isPrepared$",	//919
    "isReadOnly",	//920
    "isRedoAvailable",	//921
    "isUndoAvailable",	//922
    "isUtf8",	//923
    "isWordCharacter",	//924
    "isWordCharacter$",	//925
    "key",	//926
    "keyPressEvent",	//927
    "keyPressEvent#",	//928
    "keyReleaseEvent",	//929
    "keywords",	//930
    "keywords$",	//931
    "language",	//932
    "languageChange",	//933
    "leaveEvent",	//934
    "length",	//935
    "level",	//936
    "lexer",	//937
    "lexerId",	//938
    "lineAt",	//939
    "lineAt#",	//940
    "lineIndexFromPosition",	//941
    "lineIndexFromPosition$$$",	//942
    "lineLength",	//943
    "lineLength$",	//944
    "lines",	//945
    "linesChanged",	//946
    "load",	//947
    "load$",	//948
    "loadPrepared",	//949
    "loadPrepared$",	//950
    "magnification",	//951
    "marginClicked",	//952
    "marginClicked$$$",	//953
    "marginLineNumbers",	//954
    "marginLineNumbers$",	//955
    "marginMarkerMask",	//956
    "marginMarkerMask$",	//957
    "marginSensitivity",	//958
    "marginSensitivity$",	//959
    "marginType",	//960
    "marginType$",	//961
    "marginWidth",	//962
    "marginWidth$",	//963
    "markerAdd",	//964
    "markerAdd$$",	//965
    "markerDefine",	//966
    "markerDefine#",	//967
    "markerDefine#$",	//968
    "markerDefine$",	//969
    "markerDefine$$",	//970
    "markerDelete",	//971
    "markerDelete$",	//972
    "markerDelete$$",	//973
    "markerDeleteAll",	//974
    "markerDeleteAll$",	//975
    "markerDeleteHandle",	//976
    "markerDeleteHandle$",	//977
    "markerFindNext",	//978
    "markerFindNext$$",	//979
    "markerFindPrevious",	//980
    "markerFindPrevious$$",	//981
    "markerLine",	//982
    "markerLine$",	//983
    "markersAtLine",	//984
    "markersAtLine$",	//985
    "metaObject",	//986
    "metric",	//987
    "minimumSizeHint",	//988
    "modificationAttempted",	//989
    "modificationChanged",	//990
    "modificationChanged$",	//991
    "mouseDoubleClickEvent",	//992
    "mouseDoubleClickEvent#",	//993
    "mouseMoveEvent",	//994
    "mouseMoveEvent#",	//995
    "mousePressEvent",	//996
    "mousePressEvent#",	//997
    "mouseReleaseEvent",	//998
    "mouseReleaseEvent#",	//999
    "moveEvent",	//1000
    "moveToMatchingBrace",	//1001
    "operator=",	//1002
    "operator=#",	//1003
    "paintEngine",	//1004
    "paintEvent",	//1005
    "paintEvent#",	//1006
    "paletteChange",	//1007
    "paper",	//1008
    "paper$",	//1009
    "paperChanged",	//1010
    "paperChanged#$",	//1011
    "paste",	//1012
    "play",	//1013
    "pool",	//1014
    "positionFromLineIndex",	//1015
    "positionFromLineIndex$$",	//1016
    "prepare",	//1017
    "printRange",	//1018
    "printRange#",	//1019
    "printRange#$",	//1020
    "printRange#$$",	//1021
    "propertyChanged",	//1022
    "propertyChanged$$",	//1023
    "qt_metacall",	//1024
    "qt_metacall$$?",	//1025
    "qt_metacast",	//1026
    "qt_metacast$",	//1027
    "read",	//1028
    "read#",	//1029
    "readProperties",	//1030
    "readProperties#$",	//1031
    "readSettings",	//1032
    "readSettings#",	//1033
    "readSettings#$",	//1034
    "recolor",	//1035
    "recolor$",	//1036
    "recolor$$",	//1037
    "redo",	//1038
    "refresh",	//1039
    "refreshProperties",	//1040
    "registerImage",	//1041
    "registerImage$#",	//1042
    "remove",	//1043
    "remove$",	//1044
    "removeSelectedText",	//1045
    "replace",	//1046
    "replace$",	//1047
    "resetFoldMarginColors",	//1048
    "resetSelectionBackgroundColor",	//1049
    "resetSelectionForegroundColor",	//1050
    "resizeEvent",	//1051
    "resizeEvent#",	//1052
    "save",	//1053
    "savePrepared",	//1054
    "savePrepared$",	//1055
    "scriptsStyled",	//1056
    "scrollContentsBy",	//1057
    "scrollContentsBy$$",	//1058
    "selectAll",	//1059
    "selectAll$",	//1060
    "selectToMatchingBrace",	//1061
    "selectedText",	//1062
    "selectionChanged",	//1063
    "selectionToEol",	//1064
    "setAPIs",	//1065
    "setAPIs#",	//1066
    "setAlternateKey",	//1067
    "setAlternateKey$",	//1068
    "setAnnotationDisplay",	//1069
    "setAnnotationDisplay$",	//1070
    "setAutoCompletionCaseSensitivity",	//1071
    "setAutoCompletionCaseSensitivity$",	//1072
    "setAutoCompletionFillups",	//1073
    "setAutoCompletionFillups$",	//1074
    "setAutoCompletionFillupsEnabled",	//1075
    "setAutoCompletionFillupsEnabled$",	//1076
    "setAutoCompletionReplaceWord",	//1077
    "setAutoCompletionReplaceWord$",	//1078
    "setAutoCompletionShowSingle",	//1079
    "setAutoCompletionShowSingle$",	//1080
    "setAutoCompletionSource",	//1081
    "setAutoCompletionSource$",	//1082
    "setAutoCompletionThreshold",	//1083
    "setAutoCompletionThreshold$",	//1084
    "setAutoCompletionWordSeparators",	//1085
    "setAutoCompletionWordSeparators?",	//1086
    "setAutoIndent",	//1087
    "setAutoIndent$",	//1088
    "setAutoIndentStyle",	//1089
    "setAutoIndentStyle$",	//1090
    "setBackslashEscapes",	//1091
    "setBackslashEscapes$",	//1092
    "setBackspaceUnindents",	//1093
    "setBackspaceUnindents$",	//1094
    "setBraceMatching",	//1095
    "setBraceMatching$",	//1096
    "setCallTipsBackgroundColor",	//1097
    "setCallTipsBackgroundColor#",	//1098
    "setCallTipsForegroundColor",	//1099
    "setCallTipsForegroundColor#",	//1100
    "setCallTipsHighlightColor",	//1101
    "setCallTipsHighlightColor#",	//1102
    "setCallTipsStyle",	//1103
    "setCallTipsStyle$",	//1104
    "setCallTipsVisible",	//1105
    "setCallTipsVisible$",	//1106
    "setCaretForegroundColor",	//1107
    "setCaretForegroundColor#",	//1108
    "setCaretLineBackgroundColor",	//1109
    "setCaretLineBackgroundColor#",	//1110
    "setCaretLineVisible",	//1111
    "setCaretLineVisible$",	//1112
    "setCaretWidth",	//1113
    "setCaretWidth$",	//1114
    "setCaseSensitiveTags",	//1115
    "setCaseSensitiveTags$",	//1116
    "setChangeable",	//1117
    "setChangeable$",	//1118
    "setColor",	//1119
    "setColor#",	//1120
    "setColor#$",	//1121
    "setCursorPosition",	//1122
    "setCursorPosition$$",	//1123
    "setDefaultColor",	//1124
    "setDefaultColor#",	//1125
    "setDefaultFont",	//1126
    "setDefaultFont#",	//1127
    "setDefaultPaper",	//1128
    "setDefaultPaper#",	//1129
    "setDescription",	//1130
    "setDescription$",	//1131
    "setDocument",	//1132
    "setDocument#",	//1133
    "setDollarsAllowed",	//1134
    "setDollarsAllowed$",	//1135
    "setEdgeColor",	//1136
    "setEdgeColor#",	//1137
    "setEdgeColumn",	//1138
    "setEdgeColumn$",	//1139
    "setEdgeMode",	//1140
    "setEdgeMode$",	//1141
    "setEditor",	//1142
    "setEditor#",	//1143
    "setEolFill",	//1144
    "setEolFill$",	//1145
    "setEolFill$$",	//1146
    "setEolMode",	//1147
    "setEolMode$",	//1148
    "setEolVisibility",	//1149
    "setEolVisibility$",	//1150
    "setFoldAtBegin",	//1151
    "setFoldAtBegin$",	//1152
    "setFoldAtElse",	//1153
    "setFoldAtElse$",	//1154
    "setFoldAtParenthesis",	//1155
    "setFoldAtParenthesis$",	//1156
    "setFoldComments",	//1157
    "setFoldComments$",	//1158
    "setFoldCompact",	//1159
    "setFoldCompact$",	//1160
    "setFoldDirectives",	//1161
    "setFoldDirectives$",	//1162
    "setFoldMarginColors",	//1163
    "setFoldMarginColors##",	//1164
    "setFoldPODBlocks",	//1165
    "setFoldPODBlocks$",	//1166
    "setFoldPackages",	//1167
    "setFoldPackages$",	//1168
    "setFoldPreprocessor",	//1169
    "setFoldPreprocessor$",	//1170
    "setFoldQuotes",	//1171
    "setFoldQuotes$",	//1172
    "setFoldScriptComments",	//1173
    "setFoldScriptComments$",	//1174
    "setFoldScriptHeredocs",	//1175
    "setFoldScriptHeredocs$",	//1176
    "setFolding",	//1177
    "setFolding$",	//1178
    "setFolding$$",	//1179
    "setFont",	//1180
    "setFont#",	//1181
    "setFont#$",	//1182
    "setHotspot",	//1183
    "setHotspot$",	//1184
    "setIndentation",	//1185
    "setIndentation$$",	//1186
    "setIndentationGuides",	//1187
    "setIndentationGuides$",	//1188
    "setIndentationGuidesBackgroundColor",	//1189
    "setIndentationGuidesBackgroundColor#",	//1190
    "setIndentationGuidesForegroundColor",	//1191
    "setIndentationGuidesForegroundColor#",	//1192
    "setIndentationWarning",	//1193
    "setIndentationWarning$",	//1194
    "setIndentationWidth",	//1195
    "setIndentationWidth$",	//1196
    "setIndentationsUseTabs",	//1197
    "setIndentationsUseTabs$",	//1198
    "setIndicatorDrawUnder",	//1199
    "setIndicatorDrawUnder$",	//1200
    "setIndicatorDrawUnder$$",	//1201
    "setIndicatorForegroundColor",	//1202
    "setIndicatorForegroundColor#",	//1203
    "setIndicatorForegroundColor#$",	//1204
    "setKey",	//1205
    "setKey$",	//1206
    "setLevel",	//1207
    "setLevel$",	//1208
    "setLexer",	//1209
    "setLexer#",	//1210
    "setMagnification",	//1211
    "setMagnification$",	//1212
    "setMarginLineNumbers",	//1213
    "setMarginLineNumbers$$",	//1214
    "setMarginMarkerMask",	//1215
    "setMarginMarkerMask$$",	//1216
    "setMarginSensitivity",	//1217
    "setMarginSensitivity$$",	//1218
    "setMarginText",	//1219
    "setMarginText$#",	//1220
    "setMarginText$$#",	//1221
    "setMarginText$$$",	//1222
    "setMarginText$?",	//1223
    "setMarginType",	//1224
    "setMarginType$$",	//1225
    "setMarginWidth",	//1226
    "setMarginWidth$$",	//1227
    "setMarginsBackgroundColor",	//1228
    "setMarginsBackgroundColor#",	//1229
    "setMarginsFont",	//1230
    "setMarginsFont#",	//1231
    "setMarginsForegroundColor",	//1232
    "setMarginsForegroundColor#",	//1233
    "setMarkerBackgroundColor",	//1234
    "setMarkerBackgroundColor#",	//1235
    "setMarkerBackgroundColor#$",	//1236
    "setMarkerForegroundColor",	//1237
    "setMarkerForegroundColor#",	//1238
    "setMarkerForegroundColor#$",	//1239
    "setMatchedBraceBackgroundColor",	//1240
    "setMatchedBraceBackgroundColor#",	//1241
    "setMatchedBraceForegroundColor",	//1242
    "setMatchedBraceForegroundColor#",	//1243
    "setModified",	//1244
    "setModified$",	//1245
    "setPaper",	//1246
    "setPaper#",	//1247
    "setPaper#$",	//1248
    "setReadOnly",	//1249
    "setReadOnly$",	//1250
    "setScriptsStyled",	//1251
    "setScriptsStyled$",	//1252
    "setSelection",	//1253
    "setSelection$$$$",	//1254
    "setSelectionBackgroundColor",	//1255
    "setSelectionBackgroundColor#",	//1256
    "setSelectionForegroundColor",	//1257
    "setSelectionForegroundColor#",	//1258
    "setSelectionToEol",	//1259
    "setSelectionToEol$",	//1260
    "setSmartHighlighting",	//1261
    "setSmartHighlighting$",	//1262
    "setStylePreprocessor",	//1263
    "setStylePreprocessor$",	//1264
    "setStyling",	//1265
    "setStyling$#",	//1266
    "setStyling$$",	//1267
    "setTabIndents",	//1268
    "setTabIndents$",	//1269
    "setTabWidth",	//1270
    "setTabWidth$",	//1271
    "setText",	//1272
    "setText$",	//1273
    "setTextCase",	//1274
    "setTextCase$",	//1275
    "setTokenize",	//1276
    "setTokenize$",	//1277
    "setUnmatchedBraceBackgroundColor",	//1278
    "setUnmatchedBraceBackgroundColor#",	//1279
    "setUnmatchedBraceForegroundColor",	//1280
    "setUnmatchedBraceForegroundColor#",	//1281
    "setUtf8",	//1282
    "setUtf8$",	//1283
    "setV2UnicodeAllowed",	//1284
    "setV2UnicodeAllowed$",	//1285
    "setV3BinaryOctalAllowed",	//1286
    "setV3BinaryOctalAllowed$",	//1287
    "setV3BytesAllowed",	//1288
    "setV3BytesAllowed$",	//1289
    "setVisible",	//1290
    "setVisible$",	//1291
    "setWhitespaceVisibility",	//1292
    "setWhitespaceVisibility$",	//1293
    "setWrapMode",	//1294
    "setWrapMode$",	//1295
    "setWrapVisualFlags",	//1296
    "setWrapVisualFlags$",	//1297
    "setWrapVisualFlags$$",	//1298
    "setWrapVisualFlags$$$",	//1299
    "showEvent",	//1300
    "showUserList",	//1301
    "showUserList$?",	//1302
    "sizeHint",	//1303
    "smartHighlighting",	//1304
    "standardCommands",	//1305
    "startRecording",	//1306
    "startStyling",	//1307
    "startStyling$",	//1308
    "startStyling$$",	//1309
    "staticMetaObject",	//1310
    "style",	//1311
    "styleBitsNeeded",	//1312
    "styleChange",	//1313
    "stylePreprocessor",	//1314
    "styleText",	//1315
    "styleText$$",	//1316
    "tabIndents",	//1317
    "tabWidth",	//1318
    "tabletEvent",	//1319
    "text",	//1320
    "text$",	//1321
    "textCase",	//1322
    "textChanged",	//1323
    "textHeight",	//1324
    "textHeight$",	//1325
    "timerEvent",	//1326
    "toMimeData",	//1327
    "toMimeData$",	//1328
    "tokenize",	//1329
    "tr",	//1330
    "tr$",	//1331
    "tr$$",	//1332
    "tr$$$",	//1333
    "trUtf8",	//1334
    "trUtf8$",	//1335
    "trUtf8$$",	//1336
    "trUtf8$$$",	//1337
    "undo",	//1338
    "unindent",	//1339
    "unindent$",	//1340
    "updateAutoCompletionList",	//1341
    "updateAutoCompletionList??",	//1342
    "userListActivated",	//1343
    "userListActivated$$",	//1344
    "v2UnicodeAllowed",	//1345
    "v3BinaryOctalAllowed",	//1346
    "v3BytesAllowed",	//1347
    "validKey",	//1348
    "validKey$",	//1349
    "viewportEvent",	//1350
    "visible",	//1351
    "wheelEvent",	//1352
    "whitespaceVisibility",	//1353
    "windowActivationChange",	//1354
    "wordAtPoint",	//1355
    "wordAtPoint#",	//1356
    "wordCharacters",	//1357
    "wrapMode",	//1358
    "write",	//1359
    "write#",	//1360
    "writeProperties",	//1361
    "writeProperties#$",	//1362
    "writeSettings",	//1363
    "writeSettings#",	//1364
    "writeSettings#$",	//1365
    "x11Event",	//1366
    "zoomIn",	//1367
    "zoomIn$",	//1368
    "zoomOut",	//1369
    "zoomOut$",	//1370
    "zoomTo",	//1371
    "zoomTo$",	//1372
    "~QsciAPIs",	//1373
    "~QsciAbstractAPIs",	//1374
    "~QsciCommand",	//1375
    "~QsciDocument",	//1376
    "~QsciLexer",	//1377
    "~QsciLexerBash",	//1378
    "~QsciLexerBatch",	//1379
    "~QsciLexerCMake",	//1380
    "~QsciLexerCPP",	//1381
    "~QsciLexerCSS",	//1382
    "~QsciLexerCSharp",	//1383
    "~QsciLexerCustom",	//1384
    "~QsciLexerD",	//1385
    "~QsciLexerDiff",	//1386
    "~QsciLexerFortran",	//1387
    "~QsciLexerFortran77",	//1388
    "~QsciLexerHTML",	//1389
    "~QsciLexerIDL",	//1390
    "~QsciLexerJava",	//1391
    "~QsciLexerJavaScript",	//1392
    "~QsciLexerLua",	//1393
    "~QsciLexerMakefile",	//1394
    "~QsciLexerPOV",	//1395
    "~QsciLexerPascal",	//1396
    "~QsciLexerPerl",	//1397
    "~QsciLexerPostScript",	//1398
    "~QsciLexerProperties",	//1399
    "~QsciLexerPython",	//1400
    "~QsciLexerRuby",	//1401
    "~QsciLexerSQL",	//1402
    "~QsciLexerTCL",	//1403
    "~QsciLexerTeX",	//1404
    "~QsciLexerVHDL",	//1405
    "~QsciLexerXML",	//1406
    "~QsciLexerYAML",	//1407
    "~QsciMacro",	//1408
    "~QsciPrinter",	//1409
    "~QsciScintilla",	//1410
    "~QsciScintillaBase",	//1411
    "~QsciStyle",	//1412
    "~QsciStyledText",	//1413
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 988, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 836, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 180, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1350, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 180, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1352, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 763, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {16, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {16, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {16, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {16, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {25, 836, 1, 1, Smoke::mf_virtual, 180, 0},	//17 QObject::event(QEvent*)
    {25, 838, 5, 2, Smoke::mf_virtual, 180, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {25, 1326, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {25, 765, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {25, 793, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {25, 783, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {25, 808, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {32, 807, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//24 QPrinter::devType() const
    {32, 1004, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//25 QPrinter::paintEngine() const
    {32, 987, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 4},	//27 QPrinter::ScreenResolution (enum)
    {32, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 5},	//28 QPrinter::PrinterResolution (enum)
    {32, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 6},	//29 QPrinter::HighResolution (enum)
    {44, 807, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//30 QWidget::devType() const
    {44, 1290, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {44, 886, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//32 QWidget::heightForWidth(int) const
    {44, 1004, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//33 QWidget::paintEngine() const
    {44, 929, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {44, 829, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {44, 934, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {44, 1000, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {44, 777, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {44, 1319, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {44, 705, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {44, 1300, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {44, 887, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {44, 1366, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 180, 0},	//43 QWidget::x11Event(_XEvent*)
    {44, 987, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {44, 909, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 44, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {44, 1313, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {44, 823, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {44, 1007, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {44, 874, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {44, 1354, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {44, 933, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {45, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//52 QsciAPIs::metaObject() const
    {45, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {45, 1330, 44, 2, Smoke::mf_static, 37, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {45, 1334, 44, 2, Smoke::mf_static, 37, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {45, 1330, 47, 3, Smoke::mf_static, 37, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {45, 1334, 47, 3, Smoke::mf_static, 37, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {45, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 346, 55, 1, Smoke::mf_ctor, 47, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {45, 706, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {45, 766, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {45, 947, 57, 1, 0, 180, 11},	//62 QsciAPIs::load(const QString&)
    {45, 1043, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {45, 1017, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {45, 760, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {45, 803, 0, 0, Smoke::mf_const, 37, 15},	//66 QsciAPIs::defaultPreparedName() const
    {45, 918, 57, 1, Smoke::mf_const, 180, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {45, 949, 57, 1, 0, 180, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {45, 1054, 57, 1, Smoke::mf_const, 180, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {45, 1341, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {45, 732, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {45, 753, 62, 4, Smoke::mf_virtual, 38, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {45, 836, 1, 1, Smoke::mf_virtual, 180, 22},	//73 QsciAPIs::event(QEvent*)
    {45, 914, 0, 0, Smoke::mf_const, 38, 23},	//74 QsciAPIs::installedAPIFiles() const
    {45, 719, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {45, 721, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {45, 720, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {45, 1330, 12, 1, Smoke::mf_static, 37, 27},	//78 QsciAPIs::tr(const char*)
    {45, 1334, 12, 1, Smoke::mf_static, 37, 28},	//79 QsciAPIs::trUtf8(const char*)
    {45, 918, 0, 0, Smoke::mf_const, 180, 29},	//80 QsciAPIs::isPrepared() const
    {45, 949, 0, 0, 0, 180, 30},	//81 QsciAPIs::loadPrepared()
    {45, 1054, 0, 0, Smoke::mf_const, 180, 31},	//82 QsciAPIs::savePrepared() const
    {45, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 32},	//83 QsciAPIs::staticMetaObject() const
    {45, 1373, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {46, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//85 QsciAbstractAPIs::metaObject() const
    {46, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {46, 1330, 44, 2, Smoke::mf_static, 37, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {46, 1334, 44, 2, Smoke::mf_static, 37, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {46, 1330, 47, 3, Smoke::mf_static, 37, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {46, 1334, 47, 3, Smoke::mf_static, 37, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {46, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 348, 55, 1, Smoke::mf_ctor, 48, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {46, 937, 0, 0, Smoke::mf_const, 53, 9},	//93 QsciAbstractAPIs::lexer() const
    {46, 1341, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {46, 732, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {46, 753, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {46, 1330, 12, 1, Smoke::mf_static, 37, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {46, 1334, 12, 1, Smoke::mf_static, 37, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {46, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {46, 1374, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {47, 1205, 18, 1, 0, 0, 1},	//101 QsciCommand::setKey(int)
    {47, 1067, 18, 1, 0, 0, 2},	//102 QsciCommand::setAlternateKey(int)
    {47, 926, 0, 0, Smoke::mf_const, 202, 3},	//103 QsciCommand::key() const
    {47, 708, 0, 0, Smoke::mf_const, 202, 4},	//104 QsciCommand::alternateKey() const
    {47, 1348, 18, 1, Smoke::mf_static, 180, 5},	//105 QsciCommand::validKey(int)
    {47, 805, 0, 0, Smoke::mf_const, 37, 6},	//106 QsciCommand::description() const
    {47, 1375, 0, 0, Smoke::mf_dtor, 0, 7 },	//107 QsciCommand::~QsciCommand()
    {48, 1032, 67, 2, 0, 180, 1},	//108 QsciCommandSet::readSettings(QSettings&, const char*)
    {48, 1363, 67, 2, 0, 180, 2},	//109 QsciCommandSet::writeSettings(QSettings&, const char*)
    {48, 782, 0, 0, 0, 18, 3},	//110 QsciCommandSet::commands()
    {48, 773, 0, 0, 0, 0, 4},	//111 QsciCommandSet::clearKeys()
    {48, 767, 0, 0, 0, 0, 5},	//112 QsciCommandSet::clearAlternateKeys()
    {48, 1032, 70, 1, 0, 180, 6},	//113 QsciCommandSet::readSettings(QSettings&)
    {48, 1363, 70, 1, 0, 180, 7},	//114 QsciCommandSet::writeSettings(QSettings&)
    {49, 350, 0, 0, Smoke::mf_ctor, 52, 1},	//115 QsciDocument::QsciDocument()
    {49, 350, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//116 QsciDocument::QsciDocument(const QsciDocument&)
    {49, 1002, 72, 1, 0, 51, 3},	//117 QsciDocument::operator=(const QsciDocument&)
    {49, 1376, 0, 0, Smoke::mf_dtor, 0, 4 },	//118 QsciDocument::~QsciDocument()
    {50, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//119 QsciLexer::metaObject() const
    {50, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//120 QsciLexer::qt_metacast(const char*)
    {50, 1330, 44, 2, Smoke::mf_static, 37, 3},	//121 QsciLexer::tr(const char*, const char*)
    {50, 1334, 44, 2, Smoke::mf_static, 37, 4},	//122 QsciLexer::trUtf8(const char*, const char*)
    {50, 1330, 47, 3, Smoke::mf_static, 37, 5},	//123 QsciLexer::tr(const char*, const char*, int)
    {50, 1334, 47, 3, Smoke::mf_static, 37, 6},	//124 QsciLexer::trUtf8(const char*, const char*, int)
    {50, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//125 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {50, 352, 74, 1, Smoke::mf_ctor, 53, 8},	//126 QsciLexer::QsciLexer(QObject*)
    {50, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 200, 9},	//127 QsciLexer::language() const [pure virtual]
    {50, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//128 QsciLexer::lexer() const
    {50, 938, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//129 QsciLexer::lexerId() const
    {50, 722, 0, 0, Smoke::mf_const, 48, 12},	//130 QsciLexer::apis() const
    {50, 729, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//131 QsciLexer::autoCompletionFillups() const
    {50, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 14},	//132 QsciLexer::autoCompletionWordSeparators() const
    {50, 739, 0, 0, 0, 202, 15},	//133 QsciLexer::autoIndentStyle()
    {50, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//134 QsciLexer::blockEnd(int*) const
    {50, 745, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 17},	//135 QsciLexer::blockLookback() const
    {50, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 18},	//136 QsciLexer::blockStart(int*) const
    {50, 748, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 19},	//137 QsciLexer::blockStartKeyword(int*) const
    {50, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 20},	//138 QsciLexer::braceStyle() const
    {50, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 21},	//139 QsciLexer::caseSensitive() const
    {50, 778, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//140 QsciLexer::color(int) const
    {50, 830, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 23},	//141 QsciLexer::eolFill(int) const
    {50, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//142 QsciLexer::font(int) const
    {50, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 25},	//143 QsciLexer::indentationGuideView() const
    {50, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 26},	//144 QsciLexer::keywords(int) const
    {50, 804, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 27},	//145 QsciLexer::defaultStyle() const
    {50, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 28},	//146 QsciLexer::description(int) const [pure virtual]
    {50, 1008, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//147 QsciLexer::paper(int) const
    {50, 795, 0, 0, Smoke::mf_const, 5, 30},	//148 QsciLexer::defaultColor() const
    {50, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//149 QsciLexer::defaultColor(int) const
    {50, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 32},	//150 QsciLexer::defaultEolFill(int) const
    {50, 799, 0, 0, Smoke::mf_const, 13, 33},	//151 QsciLexer::defaultFont() const
    {50, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//152 QsciLexer::defaultFont(int) const
    {50, 801, 0, 0, Smoke::mf_const, 5, 35},	//153 QsciLexer::defaultPaper() const
    {50, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//154 QsciLexer::defaultPaper(int) const
    {50, 822, 0, 0, Smoke::mf_const, 87, 37},	//155 QsciLexer::editor() const
    {50, 1065, 78, 1, 0, 0, 38},	//156 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {50, 1124, 80, 1, 0, 0, 39},	//157 QsciLexer::setDefaultColor(const QColor&)
    {50, 1126, 42, 1, 0, 0, 40},	//158 QsciLexer::setDefaultFont(const QFont&)
    {50, 1128, 80, 1, 0, 0, 41},	//159 QsciLexer::setDefaultPaper(const QColor&)
    {50, 1142, 82, 1, Smoke::mf_virtual, 0, 42},	//160 QsciLexer::setEditor(QsciScintilla*)
    {50, 1032, 67, 2, 0, 180, 43},	//161 QsciLexer::readSettings(QSettings&, const char*)
    {50, 1040, 0, 0, Smoke::mf_virtual, 0, 44},	//162 QsciLexer::refreshProperties()
    {50, 1312, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 45},	//163 QsciLexer::styleBitsNeeded() const
    {50, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 46},	//164 QsciLexer::wordCharacters() const
    {50, 1363, 67, 2, Smoke::mf_const, 180, 47},	//165 QsciLexer::writeSettings(QSettings&, const char*) const
    {50, 1089, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//166 QsciLexer::setAutoIndentStyle(int)
    {50, 1119, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//167 QsciLexer::setColor(const QColor&, int)
    {50, 1144, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//168 QsciLexer::setEolFill(bool, int)
    {50, 1180, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//169 QsciLexer::setFont(const QFont&, int)
    {50, 1246, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//170 QsciLexer::setPaper(const QColor&, int)
    {50, 780, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//171 QsciLexer::colorChanged(const QColor&, int)
    {50, 832, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//172 QsciLexer::eolFillChanged(bool, int)
    {50, 875, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//173 QsciLexer::fontChanged(const QFont&, int)
    {50, 1010, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//174 QsciLexer::paperChanged(const QColor&, int)
    {50, 1022, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//175 QsciLexer::propertyChanged(const char*, const char*)
    {50, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 58},	//176 QsciLexer::readProperties(QSettings&, const QString&)
    {50, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 59},	//177 QsciLexer::writeProperties(QSettings&, const QString&) const
    {50, 1330, 12, 1, Smoke::mf_static, 37, 60},	//178 QsciLexer::tr(const char*)
    {50, 1334, 12, 1, Smoke::mf_static, 37, 61},	//179 QsciLexer::trUtf8(const char*)
    {50, 352, 0, 0, Smoke::mf_ctor, 53, 62},	//180 QsciLexer::QsciLexer()
    {50, 743, 0, 0, Smoke::mf_const, 200, 63},	//181 QsciLexer::blockEnd() const
    {50, 746, 0, 0, Smoke::mf_const, 200, 64},	//182 QsciLexer::blockStart() const
    {50, 748, 0, 0, Smoke::mf_const, 200, 65},	//183 QsciLexer::blockStartKeyword() const
    {50, 1032, 70, 1, 0, 180, 66},	//184 QsciLexer::readSettings(QSettings&)
    {50, 1363, 70, 1, Smoke::mf_const, 180, 67},	//185 QsciLexer::writeSettings(QSettings&) const
    {50, 1119, 80, 1, Smoke::mf_slot, 0, 68},	//186 QsciLexer::setColor(const QColor&)
    {50, 1144, 16, 1, Smoke::mf_slot, 0, 69},	//187 QsciLexer::setEolFill(bool)
    {50, 1180, 42, 1, Smoke::mf_slot, 0, 70},	//188 QsciLexer::setFont(const QFont&)
    {50, 1246, 80, 1, Smoke::mf_slot, 0, 71},	//189 QsciLexer::setPaper(const QColor&)
    {50, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 72},	//190 QsciLexer::staticMetaObject() const
    {50, 1377, 0, 0, Smoke::mf_dtor, 0, 73 },	//191 QsciLexer::~QsciLexer()
    {51, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//192 QsciLexerBash::metaObject() const
    {51, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//193 QsciLexerBash::qt_metacast(const char*)
    {51, 1330, 44, 2, Smoke::mf_static, 37, 3},	//194 QsciLexerBash::tr(const char*, const char*)
    {51, 1334, 44, 2, Smoke::mf_static, 37, 4},	//195 QsciLexerBash::trUtf8(const char*, const char*)
    {51, 1330, 47, 3, Smoke::mf_static, 37, 5},	//196 QsciLexerBash::tr(const char*, const char*, int)
    {51, 1334, 47, 3, Smoke::mf_static, 37, 6},	//197 QsciLexerBash::trUtf8(const char*, const char*, int)
    {51, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//198 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {51, 354, 74, 1, Smoke::mf_ctor, 54, 8},	//199 QsciLexerBash::QsciLexerBash(QObject*)
    {51, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//200 QsciLexerBash::language() const
    {51, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//201 QsciLexerBash::lexer() const
    {51, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//202 QsciLexerBash::braceStyle() const
    {51, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//203 QsciLexerBash::wordCharacters() const
    {51, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//204 QsciLexerBash::defaultColor(int) const
    {51, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 14},	//205 QsciLexerBash::defaultEolFill(int) const
    {51, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//206 QsciLexerBash::defaultFont(int) const
    {51, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//207 QsciLexerBash::defaultPaper(int) const
    {51, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 17},	//208 QsciLexerBash::keywords(int) const
    {51, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//209 QsciLexerBash::description(int) const
    {51, 1040, 0, 0, Smoke::mf_virtual, 0, 19},	//210 QsciLexerBash::refreshProperties()
    {51, 860, 0, 0, Smoke::mf_const, 180, 20},	//211 QsciLexerBash::foldComments() const
    {51, 861, 0, 0, Smoke::mf_const, 180, 21},	//212 QsciLexerBash::foldCompact() const
    {51, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//213 QsciLexerBash::setFoldComments(bool)
    {51, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//214 QsciLexerBash::setFoldCompact(bool)
    {51, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 24},	//215 QsciLexerBash::readProperties(QSettings&, const QString&)
    {51, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 25},	//216 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {51, 1330, 12, 1, Smoke::mf_static, 37, 26},	//217 QsciLexerBash::tr(const char*)
    {51, 1334, 12, 1, Smoke::mf_static, 37, 27},	//218 QsciLexerBash::trUtf8(const char*)
    {51, 354, 0, 0, Smoke::mf_ctor, 54, 28},	//219 QsciLexerBash::QsciLexerBash()
    {51, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 29},	//220 QsciLexerBash::staticMetaObject() const
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//221 QsciLexerBash::Default (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//222 QsciLexerBash::Error (enum)
    {51, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//223 QsciLexerBash::Comment (enum)
    {51, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//224 QsciLexerBash::Number (enum)
    {51, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//225 QsciLexerBash::Keyword (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//226 QsciLexerBash::DoubleQuotedString (enum)
    {51, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//227 QsciLexerBash::SingleQuotedString (enum)
    {51, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//228 QsciLexerBash::Operator (enum)
    {51, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//229 QsciLexerBash::Identifier (enum)
    {51, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//230 QsciLexerBash::Scalar (enum)
    {51, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//231 QsciLexerBash::ParameterExpansion (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//232 QsciLexerBash::Backticks (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//233 QsciLexerBash::HereDocumentDelimiter (enum)
    {51, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//234 QsciLexerBash::SingleQuotedHereDocument (enum)
    {51, 1378, 0, 0, Smoke::mf_dtor, 0, 44 },	//235 QsciLexerBash::~QsciLexerBash()
    {52, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//236 QsciLexerBatch::metaObject() const
    {52, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//237 QsciLexerBatch::qt_metacast(const char*)
    {52, 1330, 44, 2, Smoke::mf_static, 37, 3},	//238 QsciLexerBatch::tr(const char*, const char*)
    {52, 1334, 44, 2, Smoke::mf_static, 37, 4},	//239 QsciLexerBatch::trUtf8(const char*, const char*)
    {52, 1330, 47, 3, Smoke::mf_static, 37, 5},	//240 QsciLexerBatch::tr(const char*, const char*, int)
    {52, 1334, 47, 3, Smoke::mf_static, 37, 6},	//241 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {52, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//242 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {52, 356, 74, 1, Smoke::mf_ctor, 55, 8},	//243 QsciLexerBatch::QsciLexerBatch(QObject*)
    {52, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//244 QsciLexerBatch::language() const
    {52, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//245 QsciLexerBatch::lexer() const
    {52, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//246 QsciLexerBatch::wordCharacters() const
    {52, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 12},	//247 QsciLexerBatch::caseSensitive() const
    {52, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//248 QsciLexerBatch::defaultColor(int) const
    {52, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 14},	//249 QsciLexerBatch::defaultEolFill(int) const
    {52, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//250 QsciLexerBatch::defaultFont(int) const
    {52, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//251 QsciLexerBatch::defaultPaper(int) const
    {52, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 17},	//252 QsciLexerBatch::keywords(int) const
    {52, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//253 QsciLexerBatch::description(int) const
    {52, 1330, 12, 1, Smoke::mf_static, 37, 19},	//254 QsciLexerBatch::tr(const char*)
    {52, 1334, 12, 1, Smoke::mf_static, 37, 20},	//255 QsciLexerBatch::trUtf8(const char*)
    {52, 356, 0, 0, Smoke::mf_ctor, 55, 21},	//256 QsciLexerBatch::QsciLexerBatch()
    {52, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 22},	//257 QsciLexerBatch::staticMetaObject() const
    {52, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 23},	//258 QsciLexerBatch::Default (enum)
    {52, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 24},	//259 QsciLexerBatch::Comment (enum)
    {52, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//260 QsciLexerBatch::Keyword (enum)
    {52, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//261 QsciLexerBatch::Label (enum)
    {52, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//262 QsciLexerBatch::HideCommandChar (enum)
    {52, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//263 QsciLexerBatch::ExternalCommand (enum)
    {52, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//264 QsciLexerBatch::Variable (enum)
    {52, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//265 QsciLexerBatch::Operator (enum)
    {52, 1379, 0, 0, Smoke::mf_dtor, 0, 31 },	//266 QsciLexerBatch::~QsciLexerBatch()
    {53, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//267 QsciLexerCMake::metaObject() const
    {53, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//268 QsciLexerCMake::qt_metacast(const char*)
    {53, 1330, 44, 2, Smoke::mf_static, 37, 3},	//269 QsciLexerCMake::tr(const char*, const char*)
    {53, 1334, 44, 2, Smoke::mf_static, 37, 4},	//270 QsciLexerCMake::trUtf8(const char*, const char*)
    {53, 1330, 47, 3, Smoke::mf_static, 37, 5},	//271 QsciLexerCMake::tr(const char*, const char*, int)
    {53, 1334, 47, 3, Smoke::mf_static, 37, 6},	//272 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {53, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//273 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {53, 358, 74, 1, Smoke::mf_ctor, 56, 8},	//274 QsciLexerCMake::QsciLexerCMake(QObject*)
    {53, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//275 QsciLexerCMake::language() const
    {53, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//276 QsciLexerCMake::lexer() const
    {53, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//277 QsciLexerCMake::defaultColor(int) const
    {53, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//278 QsciLexerCMake::defaultFont(int) const
    {53, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//279 QsciLexerCMake::defaultPaper(int) const
    {53, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//280 QsciLexerCMake::keywords(int) const
    {53, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//281 QsciLexerCMake::description(int) const
    {53, 1040, 0, 0, Smoke::mf_virtual, 0, 16},	//282 QsciLexerCMake::refreshProperties()
    {53, 858, 0, 0, Smoke::mf_const, 180, 17},	//283 QsciLexerCMake::foldAtElse() const
    {53, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//284 QsciLexerCMake::setFoldAtElse(bool)
    {53, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 19},	//285 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {53, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 20},	//286 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {53, 1330, 12, 1, Smoke::mf_static, 37, 21},	//287 QsciLexerCMake::tr(const char*)
    {53, 1334, 12, 1, Smoke::mf_static, 37, 22},	//288 QsciLexerCMake::trUtf8(const char*)
    {53, 358, 0, 0, Smoke::mf_ctor, 56, 23},	//289 QsciLexerCMake::QsciLexerCMake()
    {53, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 24},	//290 QsciLexerCMake::staticMetaObject() const
    {53, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//291 QsciLexerCMake::Default (enum)
    {53, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//292 QsciLexerCMake::Comment (enum)
    {53, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//293 QsciLexerCMake::String (enum)
    {53, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//294 QsciLexerCMake::StringLeftQuote (enum)
    {53, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//295 QsciLexerCMake::StringRightQuote (enum)
    {53, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//296 QsciLexerCMake::Function (enum)
    {53, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//297 QsciLexerCMake::Variable (enum)
    {53, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//298 QsciLexerCMake::Label (enum)
    {53, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//299 QsciLexerCMake::KeywordSet3 (enum)
    {53, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//300 QsciLexerCMake::BlockWhile (enum)
    {53, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//301 QsciLexerCMake::BlockForeach (enum)
    {53, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//302 QsciLexerCMake::BlockIf (enum)
    {53, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//303 QsciLexerCMake::BlockMacro (enum)
    {53, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//304 QsciLexerCMake::StringVariable (enum)
    {53, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//305 QsciLexerCMake::Number (enum)
    {53, 1380, 0, 0, Smoke::mf_dtor, 0, 40 },	//306 QsciLexerCMake::~QsciLexerCMake()
    {54, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//307 QsciLexerCPP::metaObject() const
    {54, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//308 QsciLexerCPP::qt_metacast(const char*)
    {54, 1330, 44, 2, Smoke::mf_static, 37, 3},	//309 QsciLexerCPP::tr(const char*, const char*)
    {54, 1334, 44, 2, Smoke::mf_static, 37, 4},	//310 QsciLexerCPP::trUtf8(const char*, const char*)
    {54, 1330, 47, 3, Smoke::mf_static, 37, 5},	//311 QsciLexerCPP::tr(const char*, const char*, int)
    {54, 1334, 47, 3, Smoke::mf_static, 37, 6},	//312 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {54, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//313 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {54, 360, 96, 2, Smoke::mf_ctor, 57, 8},	//314 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {54, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//315 QsciLexerCPP::language() const
    {54, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//316 QsciLexerCPP::lexer() const
    {54, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//317 QsciLexerCPP::autoCompletionWordSeparators() const
    {54, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//318 QsciLexerCPP::blockEnd(int*) const
    {54, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//319 QsciLexerCPP::blockStart(int*) const
    {54, 748, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//320 QsciLexerCPP::blockStartKeyword(int*) const
    {54, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 15},	//321 QsciLexerCPP::braceStyle() const
    {54, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//322 QsciLexerCPP::wordCharacters() const
    {54, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//323 QsciLexerCPP::defaultColor(int) const
    {54, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 18},	//324 QsciLexerCPP::defaultEolFill(int) const
    {54, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//325 QsciLexerCPP::defaultFont(int) const
    {54, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//326 QsciLexerCPP::defaultPaper(int) const
    {54, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 21},	//327 QsciLexerCPP::keywords(int) const
    {54, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//328 QsciLexerCPP::description(int) const
    {54, 1040, 0, 0, Smoke::mf_virtual, 0, 23},	//329 QsciLexerCPP::refreshProperties()
    {54, 858, 0, 0, Smoke::mf_const, 180, 24},	//330 QsciLexerCPP::foldAtElse() const
    {54, 860, 0, 0, Smoke::mf_const, 180, 25},	//331 QsciLexerCPP::foldComments() const
    {54, 861, 0, 0, Smoke::mf_const, 180, 26},	//332 QsciLexerCPP::foldCompact() const
    {54, 867, 0, 0, Smoke::mf_const, 180, 27},	//333 QsciLexerCPP::foldPreprocessor() const
    {54, 1314, 0, 0, Smoke::mf_const, 180, 28},	//334 QsciLexerCPP::stylePreprocessor() const
    {54, 1134, 16, 1, 0, 0, 29},	//335 QsciLexerCPP::setDollarsAllowed(bool)
    {54, 810, 0, 0, Smoke::mf_const, 180, 30},	//336 QsciLexerCPP::dollarsAllowed() const
    {54, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//337 QsciLexerCPP::setFoldAtElse(bool)
    {54, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//338 QsciLexerCPP::setFoldComments(bool)
    {54, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//339 QsciLexerCPP::setFoldCompact(bool)
    {54, 1169, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//340 QsciLexerCPP::setFoldPreprocessor(bool)
    {54, 1263, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//341 QsciLexerCPP::setStylePreprocessor(bool)
    {54, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 36},	//342 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {54, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 37},	//343 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {54, 1330, 12, 1, Smoke::mf_static, 37, 38},	//344 QsciLexerCPP::tr(const char*)
    {54, 1334, 12, 1, Smoke::mf_static, 37, 39},	//345 QsciLexerCPP::trUtf8(const char*)
    {54, 360, 0, 0, Smoke::mf_ctor, 57, 40},	//346 QsciLexerCPP::QsciLexerCPP()
    {54, 360, 74, 1, Smoke::mf_ctor, 57, 41},	//347 QsciLexerCPP::QsciLexerCPP(QObject*)
    {54, 743, 0, 0, Smoke::mf_const, 200, 42},	//348 QsciLexerCPP::blockEnd() const
    {54, 746, 0, 0, Smoke::mf_const, 200, 43},	//349 QsciLexerCPP::blockStart() const
    {54, 748, 0, 0, Smoke::mf_const, 200, 44},	//350 QsciLexerCPP::blockStartKeyword() const
    {54, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 45},	//351 QsciLexerCPP::staticMetaObject() const
    {54, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//352 QsciLexerCPP::Default (enum)
    {54, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//353 QsciLexerCPP::Comment (enum)
    {54, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//354 QsciLexerCPP::CommentLine (enum)
    {54, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//355 QsciLexerCPP::CommentDoc (enum)
    {54, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//356 QsciLexerCPP::Number (enum)
    {54, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//357 QsciLexerCPP::Keyword (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//358 QsciLexerCPP::DoubleQuotedString (enum)
    {54, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//359 QsciLexerCPP::SingleQuotedString (enum)
    {54, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//360 QsciLexerCPP::UUID (enum)
    {54, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//361 QsciLexerCPP::PreProcessor (enum)
    {54, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//362 QsciLexerCPP::Operator (enum)
    {54, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//363 QsciLexerCPP::Identifier (enum)
    {54, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 58},	//364 QsciLexerCPP::UnclosedString (enum)
    {54, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 59},	//365 QsciLexerCPP::VerbatimString (enum)
    {54, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 60},	//366 QsciLexerCPP::Regex (enum)
    {54, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 61},	//367 QsciLexerCPP::CommentLineDoc (enum)
    {54, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 62},	//368 QsciLexerCPP::KeywordSet2 (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 63},	//369 QsciLexerCPP::CommentDocKeyword (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 64},	//370 QsciLexerCPP::CommentDocKeywordError (enum)
    {54, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 65},	//371 QsciLexerCPP::GlobalClass (enum)
    {54, 1381, 0, 0, Smoke::mf_dtor, 0, 66 },	//372 QsciLexerCPP::~QsciLexerCPP()
    {55, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//373 QsciLexerCSS::metaObject() const
    {55, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//374 QsciLexerCSS::qt_metacast(const char*)
    {55, 1330, 44, 2, Smoke::mf_static, 37, 3},	//375 QsciLexerCSS::tr(const char*, const char*)
    {55, 1334, 44, 2, Smoke::mf_static, 37, 4},	//376 QsciLexerCSS::trUtf8(const char*, const char*)
    {55, 1330, 47, 3, Smoke::mf_static, 37, 5},	//377 QsciLexerCSS::tr(const char*, const char*, int)
    {55, 1334, 47, 3, Smoke::mf_static, 37, 6},	//378 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {55, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//379 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {55, 363, 74, 1, Smoke::mf_ctor, 58, 8},	//380 QsciLexerCSS::QsciLexerCSS(QObject*)
    {55, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//381 QsciLexerCSS::language() const
    {55, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//382 QsciLexerCSS::lexer() const
    {55, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//383 QsciLexerCSS::blockEnd(int*) const
    {55, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//384 QsciLexerCSS::blockStart(int*) const
    {55, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//385 QsciLexerCSS::wordCharacters() const
    {55, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//386 QsciLexerCSS::defaultColor(int) const
    {55, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//387 QsciLexerCSS::defaultFont(int) const
    {55, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//388 QsciLexerCSS::keywords(int) const
    {55, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//389 QsciLexerCSS::description(int) const
    {55, 1040, 0, 0, Smoke::mf_virtual, 0, 18},	//390 QsciLexerCSS::refreshProperties()
    {55, 860, 0, 0, Smoke::mf_const, 180, 19},	//391 QsciLexerCSS::foldComments() const
    {55, 861, 0, 0, Smoke::mf_const, 180, 20},	//392 QsciLexerCSS::foldCompact() const
    {55, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//393 QsciLexerCSS::setFoldComments(bool)
    {55, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//394 QsciLexerCSS::setFoldCompact(bool)
    {55, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 23},	//395 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {55, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 24},	//396 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {55, 1330, 12, 1, Smoke::mf_static, 37, 25},	//397 QsciLexerCSS::tr(const char*)
    {55, 1334, 12, 1, Smoke::mf_static, 37, 26},	//398 QsciLexerCSS::trUtf8(const char*)
    {55, 363, 0, 0, Smoke::mf_ctor, 58, 27},	//399 QsciLexerCSS::QsciLexerCSS()
    {55, 743, 0, 0, Smoke::mf_const, 200, 28},	//400 QsciLexerCSS::blockEnd() const
    {55, 746, 0, 0, Smoke::mf_const, 200, 29},	//401 QsciLexerCSS::blockStart() const
    {55, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 30},	//402 QsciLexerCSS::staticMetaObject() const
    {55, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//403 QsciLexerCSS::Default (enum)
    {55, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//404 QsciLexerCSS::Tag (enum)
    {55, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//405 QsciLexerCSS::ClassSelector (enum)
    {55, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//406 QsciLexerCSS::PseudoClass (enum)
    {55, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//407 QsciLexerCSS::UnknownPseudoClass (enum)
    {55, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//408 QsciLexerCSS::Operator (enum)
    {55, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//409 QsciLexerCSS::CSS1Property (enum)
    {55, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//410 QsciLexerCSS::UnknownProperty (enum)
    {55, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//411 QsciLexerCSS::Value (enum)
    {55, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//412 QsciLexerCSS::Comment (enum)
    {55, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//413 QsciLexerCSS::IDSelector (enum)
    {55, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//414 QsciLexerCSS::Important (enum)
    {55, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//415 QsciLexerCSS::AtRule (enum)
    {55, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//416 QsciLexerCSS::DoubleQuotedString (enum)
    {55, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//417 QsciLexerCSS::SingleQuotedString (enum)
    {55, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//418 QsciLexerCSS::CSS2Property (enum)
    {55, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//419 QsciLexerCSS::Attribute (enum)
    {55, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//420 QsciLexerCSS::CSS3Property (enum)
    {55, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//421 QsciLexerCSS::PseudoElement (enum)
    {55, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//422 QsciLexerCSS::ExtendedCSSProperty (enum)
    {55, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//423 QsciLexerCSS::ExtendedPseudoClass (enum)
    {55, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//424 QsciLexerCSS::ExtendedPseudoElement (enum)
    {55, 1382, 0, 0, Smoke::mf_dtor, 0, 53 },	//425 QsciLexerCSS::~QsciLexerCSS()
    {56, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//426 QsciLexerCSharp::metaObject() const
    {56, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//427 QsciLexerCSharp::qt_metacast(const char*)
    {56, 1330, 44, 2, Smoke::mf_static, 37, 3},	//428 QsciLexerCSharp::tr(const char*, const char*)
    {56, 1334, 44, 2, Smoke::mf_static, 37, 4},	//429 QsciLexerCSharp::trUtf8(const char*, const char*)
    {56, 1330, 47, 3, Smoke::mf_static, 37, 5},	//430 QsciLexerCSharp::tr(const char*, const char*, int)
    {56, 1334, 47, 3, Smoke::mf_static, 37, 6},	//431 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {56, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//432 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {56, 365, 74, 1, Smoke::mf_ctor, 59, 8},	//433 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {56, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//434 QsciLexerCSharp::language() const
    {56, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//435 QsciLexerCSharp::defaultColor(int) const
    {56, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 11},	//436 QsciLexerCSharp::defaultEolFill(int) const
    {56, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//437 QsciLexerCSharp::defaultFont(int) const
    {56, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//438 QsciLexerCSharp::defaultPaper(int) const
    {56, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//439 QsciLexerCSharp::keywords(int) const
    {56, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//440 QsciLexerCSharp::description(int) const
    {56, 1330, 12, 1, Smoke::mf_static, 37, 16},	//441 QsciLexerCSharp::tr(const char*)
    {56, 1334, 12, 1, Smoke::mf_static, 37, 17},	//442 QsciLexerCSharp::trUtf8(const char*)
    {56, 365, 0, 0, Smoke::mf_ctor, 59, 18},	//443 QsciLexerCSharp::QsciLexerCSharp()
    {56, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 19},	//444 QsciLexerCSharp::staticMetaObject() const
    {56, 1383, 0, 0, Smoke::mf_dtor, 0, 20 },	//445 QsciLexerCSharp::~QsciLexerCSharp()
    {57, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//446 QsciLexerCustom::metaObject() const
    {57, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//447 QsciLexerCustom::qt_metacast(const char*)
    {57, 1330, 44, 2, Smoke::mf_static, 37, 3},	//448 QsciLexerCustom::tr(const char*, const char*)
    {57, 1334, 44, 2, Smoke::mf_static, 37, 4},	//449 QsciLexerCustom::trUtf8(const char*, const char*)
    {57, 1330, 47, 3, Smoke::mf_static, 37, 5},	//450 QsciLexerCustom::tr(const char*, const char*, int)
    {57, 1334, 47, 3, Smoke::mf_static, 37, 6},	//451 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {57, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//452 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {57, 367, 74, 1, Smoke::mf_ctor, 60, 8},	//453 QsciLexerCustom::QsciLexerCustom(QObject*)
    {57, 1265, 99, 2, 0, 0, 9},	//454 QsciLexerCustom::setStyling(int, int)
    {57, 1265, 102, 2, 0, 0, 10},	//455 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {57, 1307, 99, 2, 0, 0, 11},	//456 QsciLexerCustom::startStyling(int, int)
    {57, 1315, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//457 QsciLexerCustom::styleText(int, int) [pure virtual]
    {57, 1142, 82, 1, Smoke::mf_virtual, 0, 13},	//458 QsciLexerCustom::setEditor(QsciScintilla*)
    {57, 1312, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 14},	//459 QsciLexerCustom::styleBitsNeeded() const
    {57, 1330, 12, 1, Smoke::mf_static, 37, 15},	//460 QsciLexerCustom::tr(const char*)
    {57, 1334, 12, 1, Smoke::mf_static, 37, 16},	//461 QsciLexerCustom::trUtf8(const char*)
    {57, 367, 0, 0, Smoke::mf_ctor, 60, 17},	//462 QsciLexerCustom::QsciLexerCustom()
    {57, 1307, 18, 1, 0, 0, 18},	//463 QsciLexerCustom::startStyling(int)
    {57, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 19},	//464 QsciLexerCustom::staticMetaObject() const
    {57, 1384, 0, 0, Smoke::mf_dtor, 0, 20 },	//465 QsciLexerCustom::~QsciLexerCustom()
    {58, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//466 QsciLexerD::metaObject() const
    {58, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//467 QsciLexerD::qt_metacast(const char*)
    {58, 1330, 44, 2, Smoke::mf_static, 37, 3},	//468 QsciLexerD::tr(const char*, const char*)
    {58, 1334, 44, 2, Smoke::mf_static, 37, 4},	//469 QsciLexerD::trUtf8(const char*, const char*)
    {58, 1330, 47, 3, Smoke::mf_static, 37, 5},	//470 QsciLexerD::tr(const char*, const char*, int)
    {58, 1334, 47, 3, Smoke::mf_static, 37, 6},	//471 QsciLexerD::trUtf8(const char*, const char*, int)
    {58, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//472 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {58, 369, 74, 1, Smoke::mf_ctor, 61, 8},	//473 QsciLexerD::QsciLexerD(QObject*)
    {58, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//474 QsciLexerD::language() const
    {58, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//475 QsciLexerD::lexer() const
    {58, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//476 QsciLexerD::autoCompletionWordSeparators() const
    {58, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//477 QsciLexerD::blockEnd(int*) const
    {58, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//478 QsciLexerD::blockStart(int*) const
    {58, 748, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//479 QsciLexerD::blockStartKeyword(int*) const
    {58, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 15},	//480 QsciLexerD::braceStyle() const
    {58, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//481 QsciLexerD::wordCharacters() const
    {58, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//482 QsciLexerD::defaultColor(int) const
    {58, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 18},	//483 QsciLexerD::defaultEolFill(int) const
    {58, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//484 QsciLexerD::defaultFont(int) const
    {58, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//485 QsciLexerD::defaultPaper(int) const
    {58, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 21},	//486 QsciLexerD::keywords(int) const
    {58, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//487 QsciLexerD::description(int) const
    {58, 1040, 0, 0, Smoke::mf_virtual, 0, 23},	//488 QsciLexerD::refreshProperties()
    {58, 858, 0, 0, Smoke::mf_const, 180, 24},	//489 QsciLexerD::foldAtElse() const
    {58, 860, 0, 0, Smoke::mf_const, 180, 25},	//490 QsciLexerD::foldComments() const
    {58, 861, 0, 0, Smoke::mf_const, 180, 26},	//491 QsciLexerD::foldCompact() const
    {58, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//492 QsciLexerD::setFoldAtElse(bool)
    {58, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//493 QsciLexerD::setFoldComments(bool)
    {58, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//494 QsciLexerD::setFoldCompact(bool)
    {58, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 30},	//495 QsciLexerD::readProperties(QSettings&, const QString&)
    {58, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 31},	//496 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {58, 1330, 12, 1, Smoke::mf_static, 37, 32},	//497 QsciLexerD::tr(const char*)
    {58, 1334, 12, 1, Smoke::mf_static, 37, 33},	//498 QsciLexerD::trUtf8(const char*)
    {58, 369, 0, 0, Smoke::mf_ctor, 61, 34},	//499 QsciLexerD::QsciLexerD()
    {58, 743, 0, 0, Smoke::mf_const, 200, 35},	//500 QsciLexerD::blockEnd() const
    {58, 746, 0, 0, Smoke::mf_const, 200, 36},	//501 QsciLexerD::blockStart() const
    {58, 748, 0, 0, Smoke::mf_const, 200, 37},	//502 QsciLexerD::blockStartKeyword() const
    {58, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 38},	//503 QsciLexerD::staticMetaObject() const
    {58, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//504 QsciLexerD::Default (enum)
    {58, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//505 QsciLexerD::Comment (enum)
    {58, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//506 QsciLexerD::CommentLine (enum)
    {58, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//507 QsciLexerD::CommentDoc (enum)
    {58, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//508 QsciLexerD::CommentNested (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//509 QsciLexerD::Number (enum)
    {58, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//510 QsciLexerD::Keyword (enum)
    {58, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//511 QsciLexerD::KeywordSecondary (enum)
    {58, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//512 QsciLexerD::KeywordDoc (enum)
    {58, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//513 QsciLexerD::Typedefs (enum)
    {58, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//514 QsciLexerD::String (enum)
    {58, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//515 QsciLexerD::UnclosedString (enum)
    {58, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//516 QsciLexerD::Character (enum)
    {58, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//517 QsciLexerD::Operator (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//518 QsciLexerD::Identifier (enum)
    {58, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//519 QsciLexerD::CommentLineDoc (enum)
    {58, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//520 QsciLexerD::CommentDocKeyword (enum)
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//521 QsciLexerD::CommentDocKeywordError (enum)
    {58, 1385, 0, 0, Smoke::mf_dtor, 0, 57 },	//522 QsciLexerD::~QsciLexerD()
    {59, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//523 QsciLexerDiff::metaObject() const
    {59, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//524 QsciLexerDiff::qt_metacast(const char*)
    {59, 1330, 44, 2, Smoke::mf_static, 37, 3},	//525 QsciLexerDiff::tr(const char*, const char*)
    {59, 1334, 44, 2, Smoke::mf_static, 37, 4},	//526 QsciLexerDiff::trUtf8(const char*, const char*)
    {59, 1330, 47, 3, Smoke::mf_static, 37, 5},	//527 QsciLexerDiff::tr(const char*, const char*, int)
    {59, 1334, 47, 3, Smoke::mf_static, 37, 6},	//528 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {59, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//529 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {59, 371, 74, 1, Smoke::mf_ctor, 62, 8},	//530 QsciLexerDiff::QsciLexerDiff(QObject*)
    {59, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//531 QsciLexerDiff::language() const
    {59, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//532 QsciLexerDiff::lexer() const
    {59, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//533 QsciLexerDiff::wordCharacters() const
    {59, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//534 QsciLexerDiff::defaultColor(int) const
    {59, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 13},	//535 QsciLexerDiff::description(int) const
    {59, 1330, 12, 1, Smoke::mf_static, 37, 14},	//536 QsciLexerDiff::tr(const char*)
    {59, 1334, 12, 1, Smoke::mf_static, 37, 15},	//537 QsciLexerDiff::trUtf8(const char*)
    {59, 371, 0, 0, Smoke::mf_ctor, 62, 16},	//538 QsciLexerDiff::QsciLexerDiff()
    {59, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 17},	//539 QsciLexerDiff::staticMetaObject() const
    {59, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 18},	//540 QsciLexerDiff::Default (enum)
    {59, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 19},	//541 QsciLexerDiff::Comment (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 20},	//542 QsciLexerDiff::Command (enum)
    {59, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 21},	//543 QsciLexerDiff::Header (enum)
    {59, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 22},	//544 QsciLexerDiff::Position (enum)
    {59, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 23},	//545 QsciLexerDiff::LineRemoved (enum)
    {59, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 24},	//546 QsciLexerDiff::LineAdded (enum)
    {59, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//547 QsciLexerDiff::LineChanged (enum)
    {59, 1386, 0, 0, Smoke::mf_dtor, 0, 26 },	//548 QsciLexerDiff::~QsciLexerDiff()
    {60, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//549 QsciLexerFortran::metaObject() const
    {60, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//550 QsciLexerFortran::qt_metacast(const char*)
    {60, 1330, 44, 2, Smoke::mf_static, 37, 3},	//551 QsciLexerFortran::tr(const char*, const char*)
    {60, 1334, 44, 2, Smoke::mf_static, 37, 4},	//552 QsciLexerFortran::trUtf8(const char*, const char*)
    {60, 1330, 47, 3, Smoke::mf_static, 37, 5},	//553 QsciLexerFortran::tr(const char*, const char*, int)
    {60, 1334, 47, 3, Smoke::mf_static, 37, 6},	//554 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {60, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//555 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {60, 373, 74, 1, Smoke::mf_ctor, 63, 8},	//556 QsciLexerFortran::QsciLexerFortran(QObject*)
    {60, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//557 QsciLexerFortran::language() const
    {60, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//558 QsciLexerFortran::lexer() const
    {60, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//559 QsciLexerFortran::keywords(int) const
    {60, 1330, 12, 1, Smoke::mf_static, 37, 12},	//560 QsciLexerFortran::tr(const char*)
    {60, 1334, 12, 1, Smoke::mf_static, 37, 13},	//561 QsciLexerFortran::trUtf8(const char*)
    {60, 373, 0, 0, Smoke::mf_ctor, 63, 14},	//562 QsciLexerFortran::QsciLexerFortran()
    {60, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 15},	//563 QsciLexerFortran::staticMetaObject() const
    {60, 1387, 0, 0, Smoke::mf_dtor, 0, 16 },	//564 QsciLexerFortran::~QsciLexerFortran()
    {61, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//565 QsciLexerFortran77::metaObject() const
    {61, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//566 QsciLexerFortran77::qt_metacast(const char*)
    {61, 1330, 44, 2, Smoke::mf_static, 37, 3},	//567 QsciLexerFortran77::tr(const char*, const char*)
    {61, 1334, 44, 2, Smoke::mf_static, 37, 4},	//568 QsciLexerFortran77::trUtf8(const char*, const char*)
    {61, 1330, 47, 3, Smoke::mf_static, 37, 5},	//569 QsciLexerFortran77::tr(const char*, const char*, int)
    {61, 1334, 47, 3, Smoke::mf_static, 37, 6},	//570 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {61, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//571 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {61, 375, 74, 1, Smoke::mf_ctor, 64, 8},	//572 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {61, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//573 QsciLexerFortran77::language() const
    {61, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//574 QsciLexerFortran77::lexer() const
    {61, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//575 QsciLexerFortran77::braceStyle() const
    {61, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//576 QsciLexerFortran77::defaultColor(int) const
    {61, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//577 QsciLexerFortran77::defaultEolFill(int) const
    {61, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//578 QsciLexerFortran77::defaultFont(int) const
    {61, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//579 QsciLexerFortran77::defaultPaper(int) const
    {61, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//580 QsciLexerFortran77::keywords(int) const
    {61, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//581 QsciLexerFortran77::description(int) const
    {61, 1040, 0, 0, Smoke::mf_virtual, 0, 18},	//582 QsciLexerFortran77::refreshProperties()
    {61, 861, 0, 0, Smoke::mf_const, 180, 19},	//583 QsciLexerFortran77::foldCompact() const
    {61, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//584 QsciLexerFortran77::setFoldCompact(bool)
    {61, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 21},	//585 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {61, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 22},	//586 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {61, 1330, 12, 1, Smoke::mf_static, 37, 23},	//587 QsciLexerFortran77::tr(const char*)
    {61, 1334, 12, 1, Smoke::mf_static, 37, 24},	//588 QsciLexerFortran77::trUtf8(const char*)
    {61, 375, 0, 0, Smoke::mf_ctor, 64, 25},	//589 QsciLexerFortran77::QsciLexerFortran77()
    {61, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 26},	//590 QsciLexerFortran77::staticMetaObject() const
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//591 QsciLexerFortran77::Default (enum)
    {61, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//592 QsciLexerFortran77::Comment (enum)
    {61, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//593 QsciLexerFortran77::Number (enum)
    {61, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//594 QsciLexerFortran77::SingleQuotedString (enum)
    {61, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//595 QsciLexerFortran77::DoubleQuotedString (enum)
    {61, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//596 QsciLexerFortran77::UnclosedString (enum)
    {61, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//597 QsciLexerFortran77::Operator (enum)
    {61, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//598 QsciLexerFortran77::Identifier (enum)
    {61, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//599 QsciLexerFortran77::Keyword (enum)
    {61, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//600 QsciLexerFortran77::IntrinsicFunction (enum)
    {61, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//601 QsciLexerFortran77::ExtendedFunction (enum)
    {61, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//602 QsciLexerFortran77::PreProcessor (enum)
    {61, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//603 QsciLexerFortran77::DottedOperator (enum)
    {61, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//604 QsciLexerFortran77::Label (enum)
    {61, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//605 QsciLexerFortran77::Continuation (enum)
    {61, 1388, 0, 0, Smoke::mf_dtor, 0, 42 },	//606 QsciLexerFortran77::~QsciLexerFortran77()
    {62, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//607 QsciLexerHTML::metaObject() const
    {62, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//608 QsciLexerHTML::qt_metacast(const char*)
    {62, 1330, 44, 2, Smoke::mf_static, 37, 3},	//609 QsciLexerHTML::tr(const char*, const char*)
    {62, 1334, 44, 2, Smoke::mf_static, 37, 4},	//610 QsciLexerHTML::trUtf8(const char*, const char*)
    {62, 1330, 47, 3, Smoke::mf_static, 37, 5},	//611 QsciLexerHTML::tr(const char*, const char*, int)
    {62, 1334, 47, 3, Smoke::mf_static, 37, 6},	//612 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {62, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//613 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {62, 377, 74, 1, Smoke::mf_ctor, 65, 8},	//614 QsciLexerHTML::QsciLexerHTML(QObject*)
    {62, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//615 QsciLexerHTML::language() const
    {62, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//616 QsciLexerHTML::lexer() const
    {62, 729, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//617 QsciLexerHTML::autoCompletionFillups() const
    {62, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//618 QsciLexerHTML::wordCharacters() const
    {62, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//619 QsciLexerHTML::defaultColor(int) const
    {62, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 14},	//620 QsciLexerHTML::defaultEolFill(int) const
    {62, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//621 QsciLexerHTML::defaultFont(int) const
    {62, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//622 QsciLexerHTML::defaultPaper(int) const
    {62, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 17},	//623 QsciLexerHTML::keywords(int) const
    {62, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//624 QsciLexerHTML::description(int) const
    {62, 1040, 0, 0, Smoke::mf_virtual, 0, 19},	//625 QsciLexerHTML::refreshProperties()
    {62, 861, 0, 0, Smoke::mf_const, 180, 20},	//626 QsciLexerHTML::foldCompact() const
    {62, 867, 0, 0, Smoke::mf_const, 180, 21},	//627 QsciLexerHTML::foldPreprocessor() const
    {62, 762, 0, 0, Smoke::mf_const, 180, 22},	//628 QsciLexerHTML::caseSensitiveTags() const
    {62, 1173, 16, 1, 0, 0, 23},	//629 QsciLexerHTML::setFoldScriptComments(bool)
    {62, 869, 0, 0, Smoke::mf_const, 180, 24},	//630 QsciLexerHTML::foldScriptComments() const
    {62, 1175, 16, 1, 0, 0, 25},	//631 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {62, 870, 0, 0, Smoke::mf_const, 180, 26},	//632 QsciLexerHTML::foldScriptHeredocs() const
    {62, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//633 QsciLexerHTML::setFoldCompact(bool)
    {62, 1169, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//634 QsciLexerHTML::setFoldPreprocessor(bool)
    {62, 1115, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//635 QsciLexerHTML::setCaseSensitiveTags(bool)
    {62, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 30},	//636 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {62, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 31},	//637 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {62, 1330, 12, 1, Smoke::mf_static, 37, 32},	//638 QsciLexerHTML::tr(const char*)
    {62, 1334, 12, 1, Smoke::mf_static, 37, 33},	//639 QsciLexerHTML::trUtf8(const char*)
    {62, 377, 0, 0, Smoke::mf_ctor, 65, 34},	//640 QsciLexerHTML::QsciLexerHTML()
    {62, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 35},	//641 QsciLexerHTML::staticMetaObject() const
    {62, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//642 QsciLexerHTML::Default (enum)
    {62, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//643 QsciLexerHTML::Tag (enum)
    {62, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//644 QsciLexerHTML::UnknownTag (enum)
    {62, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//645 QsciLexerHTML::Attribute (enum)
    {62, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//646 QsciLexerHTML::UnknownAttribute (enum)
    {62, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//647 QsciLexerHTML::HTMLNumber (enum)
    {62, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//648 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {62, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//649 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {62, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//650 QsciLexerHTML::OtherInTag (enum)
    {62, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//651 QsciLexerHTML::HTMLComment (enum)
    {62, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//652 QsciLexerHTML::Entity (enum)
    {62, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//653 QsciLexerHTML::XMLTagEnd (enum)
    {62, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//654 QsciLexerHTML::XMLStart (enum)
    {62, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//655 QsciLexerHTML::XMLEnd (enum)
    {62, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//656 QsciLexerHTML::Script (enum)
    {62, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//657 QsciLexerHTML::ASPAtStart (enum)
    {62, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//658 QsciLexerHTML::ASPStart (enum)
    {62, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//659 QsciLexerHTML::CDATA (enum)
    {62, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//660 QsciLexerHTML::PHPStart (enum)
    {62, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//661 QsciLexerHTML::HTMLValue (enum)
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//662 QsciLexerHTML::ASPXCComment (enum)
    {62, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//663 QsciLexerHTML::SGMLDefault (enum)
    {62, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 58},	//664 QsciLexerHTML::SGMLCommand (enum)
    {62, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 59},	//665 QsciLexerHTML::SGMLParameter (enum)
    {62, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 60},	//666 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {62, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 61},	//667 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {62, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 62},	//668 QsciLexerHTML::SGMLError (enum)
    {62, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 63},	//669 QsciLexerHTML::SGMLSpecial (enum)
    {62, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 64},	//670 QsciLexerHTML::SGMLEntity (enum)
    {62, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 65},	//671 QsciLexerHTML::SGMLComment (enum)
    {62, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 66},	//672 QsciLexerHTML::SGMLParameterComment (enum)
    {62, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 67},	//673 QsciLexerHTML::SGMLBlockDefault (enum)
    {62, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 68},	//674 QsciLexerHTML::JavaScriptStart (enum)
    {62, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 69},	//675 QsciLexerHTML::JavaScriptDefault (enum)
    {62, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 70},	//676 QsciLexerHTML::JavaScriptComment (enum)
    {62, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 71},	//677 QsciLexerHTML::JavaScriptCommentLine (enum)
    {62, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 72},	//678 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {62, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 73},	//679 QsciLexerHTML::JavaScriptNumber (enum)
    {62, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 74},	//680 QsciLexerHTML::JavaScriptWord (enum)
    {62, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 75},	//681 QsciLexerHTML::JavaScriptKeyword (enum)
    {62, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 76},	//682 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {62, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 77},	//683 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {62, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 78},	//684 QsciLexerHTML::JavaScriptSymbol (enum)
    {62, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 79},	//685 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {62, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 80},	//686 QsciLexerHTML::JavaScriptRegex (enum)
    {62, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 81},	//687 QsciLexerHTML::ASPJavaScriptStart (enum)
    {62, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 82},	//688 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 83},	//689 QsciLexerHTML::ASPJavaScriptComment (enum)
    {62, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 84},	//690 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {62, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 85},	//691 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {62, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 86},	//692 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 87},	//693 QsciLexerHTML::ASPJavaScriptWord (enum)
    {62, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 88},	//694 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {62, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 89},	//695 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {62, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 90},	//696 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {62, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 91},	//697 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 92},	//698 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {62, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 93},	//699 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {62, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 94},	//700 QsciLexerHTML::VBScriptStart (enum)
    {62, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 95},	//701 QsciLexerHTML::VBScriptDefault (enum)
    {62, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 96},	//702 QsciLexerHTML::VBScriptComment (enum)
    {62, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 97},	//703 QsciLexerHTML::VBScriptNumber (enum)
    {62, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 98},	//704 QsciLexerHTML::VBScriptKeyword (enum)
    {62, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 99},	//705 QsciLexerHTML::VBScriptString (enum)
    {62, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 100},	//706 QsciLexerHTML::VBScriptIdentifier (enum)
    {62, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 101},	//707 QsciLexerHTML::VBScriptUnclosedString (enum)
    {62, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 102},	//708 QsciLexerHTML::ASPVBScriptStart (enum)
    {62, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 103},	//709 QsciLexerHTML::ASPVBScriptDefault (enum)
    {62, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 104},	//710 QsciLexerHTML::ASPVBScriptComment (enum)
    {62, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 105},	//711 QsciLexerHTML::ASPVBScriptNumber (enum)
    {62, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 106},	//712 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {62, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 107},	//713 QsciLexerHTML::ASPVBScriptString (enum)
    {62, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 108},	//714 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 109},	//715 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {62, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 110},	//716 QsciLexerHTML::PythonStart (enum)
    {62, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 111},	//717 QsciLexerHTML::PythonDefault (enum)
    {62, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 112},	//718 QsciLexerHTML::PythonComment (enum)
    {62, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 113},	//719 QsciLexerHTML::PythonNumber (enum)
    {62, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 114},	//720 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {62, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 115},	//721 QsciLexerHTML::PythonSingleQuotedString (enum)
    {62, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 116},	//722 QsciLexerHTML::PythonKeyword (enum)
    {62, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 117},	//723 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {62, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 118},	//724 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {62, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 119},	//725 QsciLexerHTML::PythonClassName (enum)
    {62, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 120},	//726 QsciLexerHTML::PythonFunctionMethodName (enum)
    {62, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 121},	//727 QsciLexerHTML::PythonOperator (enum)
    {62, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 122},	//728 QsciLexerHTML::PythonIdentifier (enum)
    {62, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 123},	//729 QsciLexerHTML::ASPPythonStart (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 124},	//730 QsciLexerHTML::ASPPythonDefault (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 125},	//731 QsciLexerHTML::ASPPythonComment (enum)
    {62, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 126},	//732 QsciLexerHTML::ASPPythonNumber (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 127},	//733 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {62, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 128},	//734 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {62, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 129},	//735 QsciLexerHTML::ASPPythonKeyword (enum)
    {62, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 130},	//736 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {62, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 131},	//737 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 132},	//738 QsciLexerHTML::ASPPythonClassName (enum)
    {62, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 133},	//739 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {62, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 134},	//740 QsciLexerHTML::ASPPythonOperator (enum)
    {62, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 135},	//741 QsciLexerHTML::ASPPythonIdentifier (enum)
    {62, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 136},	//742 QsciLexerHTML::PHPDefault (enum)
    {62, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 137},	//743 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {62, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 138},	//744 QsciLexerHTML::PHPSingleQuotedString (enum)
    {62, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 139},	//745 QsciLexerHTML::PHPKeyword (enum)
    {62, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 140},	//746 QsciLexerHTML::PHPNumber (enum)
    {62, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 141},	//747 QsciLexerHTML::PHPVariable (enum)
    {62, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 142},	//748 QsciLexerHTML::PHPComment (enum)
    {62, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 143},	//749 QsciLexerHTML::PHPCommentLine (enum)
    {62, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 144},	//750 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {62, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 145},	//751 QsciLexerHTML::PHPOperator (enum)
    {62, 1389, 0, 0, Smoke::mf_dtor, 0, 146 },	//752 QsciLexerHTML::~QsciLexerHTML()
    {63, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//753 QsciLexerIDL::metaObject() const
    {63, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//754 QsciLexerIDL::qt_metacast(const char*)
    {63, 1330, 44, 2, Smoke::mf_static, 37, 3},	//755 QsciLexerIDL::tr(const char*, const char*)
    {63, 1334, 44, 2, Smoke::mf_static, 37, 4},	//756 QsciLexerIDL::trUtf8(const char*, const char*)
    {63, 1330, 47, 3, Smoke::mf_static, 37, 5},	//757 QsciLexerIDL::tr(const char*, const char*, int)
    {63, 1334, 47, 3, Smoke::mf_static, 37, 6},	//758 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {63, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//759 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {63, 379, 74, 1, Smoke::mf_ctor, 66, 8},	//760 QsciLexerIDL::QsciLexerIDL(QObject*)
    {63, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//761 QsciLexerIDL::language() const
    {63, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//762 QsciLexerIDL::defaultColor(int) const
    {63, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//763 QsciLexerIDL::keywords(int) const
    {63, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 12},	//764 QsciLexerIDL::description(int) const
    {63, 1330, 12, 1, Smoke::mf_static, 37, 13},	//765 QsciLexerIDL::tr(const char*)
    {63, 1334, 12, 1, Smoke::mf_static, 37, 14},	//766 QsciLexerIDL::trUtf8(const char*)
    {63, 379, 0, 0, Smoke::mf_ctor, 66, 15},	//767 QsciLexerIDL::QsciLexerIDL()
    {63, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 16},	//768 QsciLexerIDL::staticMetaObject() const
    {63, 1390, 0, 0, Smoke::mf_dtor, 0, 17 },	//769 QsciLexerIDL::~QsciLexerIDL()
    {64, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//770 QsciLexerJava::metaObject() const
    {64, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//771 QsciLexerJava::qt_metacast(const char*)
    {64, 1330, 44, 2, Smoke::mf_static, 37, 3},	//772 QsciLexerJava::tr(const char*, const char*)
    {64, 1334, 44, 2, Smoke::mf_static, 37, 4},	//773 QsciLexerJava::trUtf8(const char*, const char*)
    {64, 1330, 47, 3, Smoke::mf_static, 37, 5},	//774 QsciLexerJava::tr(const char*, const char*, int)
    {64, 1334, 47, 3, Smoke::mf_static, 37, 6},	//775 QsciLexerJava::trUtf8(const char*, const char*, int)
    {64, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//776 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {64, 381, 74, 1, Smoke::mf_ctor, 67, 8},	//777 QsciLexerJava::QsciLexerJava(QObject*)
    {64, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//778 QsciLexerJava::language() const
    {64, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//779 QsciLexerJava::keywords(int) const
    {64, 1330, 12, 1, Smoke::mf_static, 37, 11},	//780 QsciLexerJava::tr(const char*)
    {64, 1334, 12, 1, Smoke::mf_static, 37, 12},	//781 QsciLexerJava::trUtf8(const char*)
    {64, 381, 0, 0, Smoke::mf_ctor, 67, 13},	//782 QsciLexerJava::QsciLexerJava()
    {64, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 14},	//783 QsciLexerJava::staticMetaObject() const
    {64, 1391, 0, 0, Smoke::mf_dtor, 0, 15 },	//784 QsciLexerJava::~QsciLexerJava()
    {65, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//785 QsciLexerJavaScript::metaObject() const
    {65, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//786 QsciLexerJavaScript::qt_metacast(const char*)
    {65, 1330, 44, 2, Smoke::mf_static, 37, 3},	//787 QsciLexerJavaScript::tr(const char*, const char*)
    {65, 1334, 44, 2, Smoke::mf_static, 37, 4},	//788 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {65, 1330, 47, 3, Smoke::mf_static, 37, 5},	//789 QsciLexerJavaScript::tr(const char*, const char*, int)
    {65, 1334, 47, 3, Smoke::mf_static, 37, 6},	//790 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {65, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//791 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {65, 383, 74, 1, Smoke::mf_ctor, 68, 8},	//792 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {65, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//793 QsciLexerJavaScript::language() const
    {65, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//794 QsciLexerJavaScript::defaultColor(int) const
    {65, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 11},	//795 QsciLexerJavaScript::defaultEolFill(int) const
    {65, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//796 QsciLexerJavaScript::defaultFont(int) const
    {65, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//797 QsciLexerJavaScript::defaultPaper(int) const
    {65, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//798 QsciLexerJavaScript::keywords(int) const
    {65, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//799 QsciLexerJavaScript::description(int) const
    {65, 1330, 12, 1, Smoke::mf_static, 37, 16},	//800 QsciLexerJavaScript::tr(const char*)
    {65, 1334, 12, 1, Smoke::mf_static, 37, 17},	//801 QsciLexerJavaScript::trUtf8(const char*)
    {65, 383, 0, 0, Smoke::mf_ctor, 68, 18},	//802 QsciLexerJavaScript::QsciLexerJavaScript()
    {65, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 19},	//803 QsciLexerJavaScript::staticMetaObject() const
    {65, 1392, 0, 0, Smoke::mf_dtor, 0, 20 },	//804 QsciLexerJavaScript::~QsciLexerJavaScript()
    {66, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//805 QsciLexerLua::metaObject() const
    {66, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//806 QsciLexerLua::qt_metacast(const char*)
    {66, 1330, 44, 2, Smoke::mf_static, 37, 3},	//807 QsciLexerLua::tr(const char*, const char*)
    {66, 1334, 44, 2, Smoke::mf_static, 37, 4},	//808 QsciLexerLua::trUtf8(const char*, const char*)
    {66, 1330, 47, 3, Smoke::mf_static, 37, 5},	//809 QsciLexerLua::tr(const char*, const char*, int)
    {66, 1334, 47, 3, Smoke::mf_static, 37, 6},	//810 QsciLexerLua::trUtf8(const char*, const char*, int)
    {66, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//811 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {66, 385, 74, 1, Smoke::mf_ctor, 69, 8},	//812 QsciLexerLua::QsciLexerLua(QObject*)
    {66, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//813 QsciLexerLua::language() const
    {66, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//814 QsciLexerLua::lexer() const
    {66, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//815 QsciLexerLua::autoCompletionWordSeparators() const
    {66, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//816 QsciLexerLua::blockStart(int*) const
    {66, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 13},	//817 QsciLexerLua::braceStyle() const
    {66, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//818 QsciLexerLua::defaultColor(int) const
    {66, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 15},	//819 QsciLexerLua::defaultEolFill(int) const
    {66, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//820 QsciLexerLua::defaultFont(int) const
    {66, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//821 QsciLexerLua::defaultPaper(int) const
    {66, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 18},	//822 QsciLexerLua::keywords(int) const
    {66, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//823 QsciLexerLua::description(int) const
    {66, 1040, 0, 0, Smoke::mf_virtual, 0, 20},	//824 QsciLexerLua::refreshProperties()
    {66, 861, 0, 0, Smoke::mf_const, 180, 21},	//825 QsciLexerLua::foldCompact() const
    {66, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//826 QsciLexerLua::setFoldCompact(bool)
    {66, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 23},	//827 QsciLexerLua::readProperties(QSettings&, const QString&)
    {66, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 24},	//828 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {66, 1330, 12, 1, Smoke::mf_static, 37, 25},	//829 QsciLexerLua::tr(const char*)
    {66, 1334, 12, 1, Smoke::mf_static, 37, 26},	//830 QsciLexerLua::trUtf8(const char*)
    {66, 385, 0, 0, Smoke::mf_ctor, 69, 27},	//831 QsciLexerLua::QsciLexerLua()
    {66, 746, 0, 0, Smoke::mf_const, 200, 28},	//832 QsciLexerLua::blockStart() const
    {66, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 29},	//833 QsciLexerLua::staticMetaObject() const
    {66, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//834 QsciLexerLua::Default (enum)
    {66, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//835 QsciLexerLua::Comment (enum)
    {66, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//836 QsciLexerLua::LineComment (enum)
    {66, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//837 QsciLexerLua::Number (enum)
    {66, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//838 QsciLexerLua::Keyword (enum)
    {66, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//839 QsciLexerLua::String (enum)
    {66, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//840 QsciLexerLua::Character (enum)
    {66, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//841 QsciLexerLua::LiteralString (enum)
    {66, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//842 QsciLexerLua::Preprocessor (enum)
    {66, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//843 QsciLexerLua::Operator (enum)
    {66, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//844 QsciLexerLua::Identifier (enum)
    {66, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//845 QsciLexerLua::UnclosedString (enum)
    {66, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//846 QsciLexerLua::BasicFunctions (enum)
    {66, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//847 QsciLexerLua::StringTableMathsFunctions (enum)
    {66, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//848 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {66, 1393, 0, 0, Smoke::mf_dtor, 0, 45 },	//849 QsciLexerLua::~QsciLexerLua()
    {67, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//850 QsciLexerMakefile::metaObject() const
    {67, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//851 QsciLexerMakefile::qt_metacast(const char*)
    {67, 1330, 44, 2, Smoke::mf_static, 37, 3},	//852 QsciLexerMakefile::tr(const char*, const char*)
    {67, 1334, 44, 2, Smoke::mf_static, 37, 4},	//853 QsciLexerMakefile::trUtf8(const char*, const char*)
    {67, 1330, 47, 3, Smoke::mf_static, 37, 5},	//854 QsciLexerMakefile::tr(const char*, const char*, int)
    {67, 1334, 47, 3, Smoke::mf_static, 37, 6},	//855 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {67, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//856 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {67, 387, 74, 1, Smoke::mf_ctor, 70, 8},	//857 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {67, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//858 QsciLexerMakefile::language() const
    {67, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//859 QsciLexerMakefile::lexer() const
    {67, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//860 QsciLexerMakefile::wordCharacters() const
    {67, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//861 QsciLexerMakefile::defaultColor(int) const
    {67, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//862 QsciLexerMakefile::defaultEolFill(int) const
    {67, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//863 QsciLexerMakefile::defaultFont(int) const
    {67, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//864 QsciLexerMakefile::defaultPaper(int) const
    {67, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//865 QsciLexerMakefile::description(int) const
    {67, 1330, 12, 1, Smoke::mf_static, 37, 17},	//866 QsciLexerMakefile::tr(const char*)
    {67, 1334, 12, 1, Smoke::mf_static, 37, 18},	//867 QsciLexerMakefile::trUtf8(const char*)
    {67, 387, 0, 0, Smoke::mf_ctor, 70, 19},	//868 QsciLexerMakefile::QsciLexerMakefile()
    {67, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 20},	//869 QsciLexerMakefile::staticMetaObject() const
    {67, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 21},	//870 QsciLexerMakefile::Default (enum)
    {67, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 22},	//871 QsciLexerMakefile::Comment (enum)
    {67, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 23},	//872 QsciLexerMakefile::Preprocessor (enum)
    {67, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 24},	//873 QsciLexerMakefile::Variable (enum)
    {67, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//874 QsciLexerMakefile::Operator (enum)
    {67, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//875 QsciLexerMakefile::Target (enum)
    {67, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//876 QsciLexerMakefile::Error (enum)
    {67, 1394, 0, 0, Smoke::mf_dtor, 0, 28 },	//877 QsciLexerMakefile::~QsciLexerMakefile()
    {68, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//878 QsciLexerPOV::metaObject() const
    {68, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//879 QsciLexerPOV::qt_metacast(const char*)
    {68, 1330, 44, 2, Smoke::mf_static, 37, 3},	//880 QsciLexerPOV::tr(const char*, const char*)
    {68, 1334, 44, 2, Smoke::mf_static, 37, 4},	//881 QsciLexerPOV::trUtf8(const char*, const char*)
    {68, 1330, 47, 3, Smoke::mf_static, 37, 5},	//882 QsciLexerPOV::tr(const char*, const char*, int)
    {68, 1334, 47, 3, Smoke::mf_static, 37, 6},	//883 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {68, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//884 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {68, 389, 74, 1, Smoke::mf_ctor, 71, 8},	//885 QsciLexerPOV::QsciLexerPOV(QObject*)
    {68, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//886 QsciLexerPOV::language() const
    {68, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//887 QsciLexerPOV::lexer() const
    {68, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//888 QsciLexerPOV::braceStyle() const
    {68, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//889 QsciLexerPOV::wordCharacters() const
    {68, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//890 QsciLexerPOV::defaultColor(int) const
    {68, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 14},	//891 QsciLexerPOV::defaultEolFill(int) const
    {68, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//892 QsciLexerPOV::defaultFont(int) const
    {68, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//893 QsciLexerPOV::defaultPaper(int) const
    {68, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 17},	//894 QsciLexerPOV::keywords(int) const
    {68, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//895 QsciLexerPOV::description(int) const
    {68, 1040, 0, 0, Smoke::mf_virtual, 0, 19},	//896 QsciLexerPOV::refreshProperties()
    {68, 860, 0, 0, Smoke::mf_const, 180, 20},	//897 QsciLexerPOV::foldComments() const
    {68, 861, 0, 0, Smoke::mf_const, 180, 21},	//898 QsciLexerPOV::foldCompact() const
    {68, 862, 0, 0, Smoke::mf_const, 180, 22},	//899 QsciLexerPOV::foldDirectives() const
    {68, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//900 QsciLexerPOV::setFoldComments(bool)
    {68, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//901 QsciLexerPOV::setFoldCompact(bool)
    {68, 1161, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//902 QsciLexerPOV::setFoldDirectives(bool)
    {68, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 26},	//903 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {68, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 27},	//904 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {68, 1330, 12, 1, Smoke::mf_static, 37, 28},	//905 QsciLexerPOV::tr(const char*)
    {68, 1334, 12, 1, Smoke::mf_static, 37, 29},	//906 QsciLexerPOV::trUtf8(const char*)
    {68, 389, 0, 0, Smoke::mf_ctor, 71, 30},	//907 QsciLexerPOV::QsciLexerPOV()
    {68, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 31},	//908 QsciLexerPOV::staticMetaObject() const
    {68, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//909 QsciLexerPOV::Default (enum)
    {68, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//910 QsciLexerPOV::Comment (enum)
    {68, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//911 QsciLexerPOV::CommentLine (enum)
    {68, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//912 QsciLexerPOV::Number (enum)
    {68, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//913 QsciLexerPOV::Operator (enum)
    {68, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//914 QsciLexerPOV::Identifier (enum)
    {68, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//915 QsciLexerPOV::String (enum)
    {68, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//916 QsciLexerPOV::UnclosedString (enum)
    {68, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//917 QsciLexerPOV::Directive (enum)
    {68, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//918 QsciLexerPOV::BadDirective (enum)
    {68, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//919 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {68, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//920 QsciLexerPOV::TypesModifiersItems (enum)
    {68, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//921 QsciLexerPOV::PredefinedIdentifiers (enum)
    {68, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//922 QsciLexerPOV::PredefinedFunctions (enum)
    {68, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//923 QsciLexerPOV::KeywordSet6 (enum)
    {68, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//924 QsciLexerPOV::KeywordSet7 (enum)
    {68, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//925 QsciLexerPOV::KeywordSet8 (enum)
    {68, 1395, 0, 0, Smoke::mf_dtor, 0, 49 },	//926 QsciLexerPOV::~QsciLexerPOV()
    {69, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//927 QsciLexerPascal::metaObject() const
    {69, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//928 QsciLexerPascal::qt_metacast(const char*)
    {69, 1330, 44, 2, Smoke::mf_static, 37, 3},	//929 QsciLexerPascal::tr(const char*, const char*)
    {69, 1334, 44, 2, Smoke::mf_static, 37, 4},	//930 QsciLexerPascal::trUtf8(const char*, const char*)
    {69, 1330, 47, 3, Smoke::mf_static, 37, 5},	//931 QsciLexerPascal::tr(const char*, const char*, int)
    {69, 1334, 47, 3, Smoke::mf_static, 37, 6},	//932 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {69, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//933 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {69, 391, 74, 1, Smoke::mf_ctor, 72, 8},	//934 QsciLexerPascal::QsciLexerPascal(QObject*)
    {69, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//935 QsciLexerPascal::language() const
    {69, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//936 QsciLexerPascal::lexer() const
    {69, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//937 QsciLexerPascal::autoCompletionWordSeparators() const
    {69, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//938 QsciLexerPascal::blockEnd(int*) const
    {69, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//939 QsciLexerPascal::blockStart(int*) const
    {69, 748, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 14},	//940 QsciLexerPascal::blockStartKeyword(int*) const
    {69, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 15},	//941 QsciLexerPascal::braceStyle() const
    {69, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//942 QsciLexerPascal::defaultColor(int) const
    {69, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 17},	//943 QsciLexerPascal::defaultEolFill(int) const
    {69, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//944 QsciLexerPascal::defaultFont(int) const
    {69, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//945 QsciLexerPascal::defaultPaper(int) const
    {69, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 20},	//946 QsciLexerPascal::keywords(int) const
    {69, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//947 QsciLexerPascal::description(int) const
    {69, 1040, 0, 0, Smoke::mf_virtual, 0, 22},	//948 QsciLexerPascal::refreshProperties()
    {69, 860, 0, 0, Smoke::mf_const, 180, 23},	//949 QsciLexerPascal::foldComments() const
    {69, 861, 0, 0, Smoke::mf_const, 180, 24},	//950 QsciLexerPascal::foldCompact() const
    {69, 867, 0, 0, Smoke::mf_const, 180, 25},	//951 QsciLexerPascal::foldPreprocessor() const
    {69, 1261, 16, 1, 0, 0, 26},	//952 QsciLexerPascal::setSmartHighlighting(bool)
    {69, 1304, 0, 0, Smoke::mf_const, 180, 27},	//953 QsciLexerPascal::smartHighlighting() const
    {69, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//954 QsciLexerPascal::setFoldComments(bool)
    {69, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//955 QsciLexerPascal::setFoldCompact(bool)
    {69, 1169, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//956 QsciLexerPascal::setFoldPreprocessor(bool)
    {69, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 31},	//957 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {69, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 32},	//958 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {69, 1330, 12, 1, Smoke::mf_static, 37, 33},	//959 QsciLexerPascal::tr(const char*)
    {69, 1334, 12, 1, Smoke::mf_static, 37, 34},	//960 QsciLexerPascal::trUtf8(const char*)
    {69, 391, 0, 0, Smoke::mf_ctor, 72, 35},	//961 QsciLexerPascal::QsciLexerPascal()
    {69, 743, 0, 0, Smoke::mf_const, 200, 36},	//962 QsciLexerPascal::blockEnd() const
    {69, 746, 0, 0, Smoke::mf_const, 200, 37},	//963 QsciLexerPascal::blockStart() const
    {69, 748, 0, 0, Smoke::mf_const, 200, 38},	//964 QsciLexerPascal::blockStartKeyword() const
    {69, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 39},	//965 QsciLexerPascal::staticMetaObject() const
    {69, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//966 QsciLexerPascal::Default (enum)
    {69, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//967 QsciLexerPascal::Identifier (enum)
    {69, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//968 QsciLexerPascal::Comment (enum)
    {69, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//969 QsciLexerPascal::CommentParenthesis (enum)
    {69, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//970 QsciLexerPascal::CommentLine (enum)
    {69, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//971 QsciLexerPascal::PreProcessor (enum)
    {69, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//972 QsciLexerPascal::PreProcessorParenthesis (enum)
    {69, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//973 QsciLexerPascal::Number (enum)
    {69, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//974 QsciLexerPascal::HexNumber (enum)
    {69, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//975 QsciLexerPascal::Keyword (enum)
    {69, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//976 QsciLexerPascal::SingleQuotedString (enum)
    {69, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//977 QsciLexerPascal::UnclosedString (enum)
    {69, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//978 QsciLexerPascal::Character (enum)
    {69, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//979 QsciLexerPascal::Operator (enum)
    {69, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//980 QsciLexerPascal::Asm (enum)
    {69, 1396, 0, 0, Smoke::mf_dtor, 0, 55 },	//981 QsciLexerPascal::~QsciLexerPascal()
    {70, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//982 QsciLexerPerl::metaObject() const
    {70, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//983 QsciLexerPerl::qt_metacast(const char*)
    {70, 1330, 44, 2, Smoke::mf_static, 37, 3},	//984 QsciLexerPerl::tr(const char*, const char*)
    {70, 1334, 44, 2, Smoke::mf_static, 37, 4},	//985 QsciLexerPerl::trUtf8(const char*, const char*)
    {70, 1330, 47, 3, Smoke::mf_static, 37, 5},	//986 QsciLexerPerl::tr(const char*, const char*, int)
    {70, 1334, 47, 3, Smoke::mf_static, 37, 6},	//987 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {70, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//988 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {70, 393, 74, 1, Smoke::mf_ctor, 73, 8},	//989 QsciLexerPerl::QsciLexerPerl(QObject*)
    {70, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//990 QsciLexerPerl::language() const
    {70, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//991 QsciLexerPerl::lexer() const
    {70, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//992 QsciLexerPerl::autoCompletionWordSeparators() const
    {70, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 12},	//993 QsciLexerPerl::braceStyle() const
    {70, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//994 QsciLexerPerl::wordCharacters() const
    {70, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//995 QsciLexerPerl::defaultColor(int) const
    {70, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 15},	//996 QsciLexerPerl::defaultEolFill(int) const
    {70, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//997 QsciLexerPerl::defaultFont(int) const
    {70, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//998 QsciLexerPerl::defaultPaper(int) const
    {70, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 18},	//999 QsciLexerPerl::keywords(int) const
    {70, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//1000 QsciLexerPerl::description(int) const
    {70, 1040, 0, 0, Smoke::mf_virtual, 0, 20},	//1001 QsciLexerPerl::refreshProperties()
    {70, 860, 0, 0, Smoke::mf_const, 180, 21},	//1002 QsciLexerPerl::foldComments() const
    {70, 861, 0, 0, Smoke::mf_const, 180, 22},	//1003 QsciLexerPerl::foldCompact() const
    {70, 1167, 16, 1, 0, 0, 23},	//1004 QsciLexerPerl::setFoldPackages(bool)
    {70, 866, 0, 0, Smoke::mf_const, 180, 24},	//1005 QsciLexerPerl::foldPackages() const
    {70, 1165, 16, 1, 0, 0, 25},	//1006 QsciLexerPerl::setFoldPODBlocks(bool)
    {70, 865, 0, 0, Smoke::mf_const, 180, 26},	//1007 QsciLexerPerl::foldPODBlocks() const
    {70, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1008 QsciLexerPerl::setFoldComments(bool)
    {70, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1009 QsciLexerPerl::setFoldCompact(bool)
    {70, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 29},	//1010 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {70, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 30},	//1011 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {70, 1330, 12, 1, Smoke::mf_static, 37, 31},	//1012 QsciLexerPerl::tr(const char*)
    {70, 1334, 12, 1, Smoke::mf_static, 37, 32},	//1013 QsciLexerPerl::trUtf8(const char*)
    {70, 393, 0, 0, Smoke::mf_ctor, 73, 33},	//1014 QsciLexerPerl::QsciLexerPerl()
    {70, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 34},	//1015 QsciLexerPerl::staticMetaObject() const
    {70, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1016 QsciLexerPerl::Default (enum)
    {70, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1017 QsciLexerPerl::Error (enum)
    {70, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1018 QsciLexerPerl::Comment (enum)
    {70, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1019 QsciLexerPerl::POD (enum)
    {70, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1020 QsciLexerPerl::Number (enum)
    {70, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1021 QsciLexerPerl::Keyword (enum)
    {70, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1022 QsciLexerPerl::DoubleQuotedString (enum)
    {70, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1023 QsciLexerPerl::SingleQuotedString (enum)
    {70, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1024 QsciLexerPerl::Operator (enum)
    {70, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1025 QsciLexerPerl::Identifier (enum)
    {70, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1026 QsciLexerPerl::Scalar (enum)
    {70, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1027 QsciLexerPerl::Array (enum)
    {70, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1028 QsciLexerPerl::Hash (enum)
    {70, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1029 QsciLexerPerl::SymbolTable (enum)
    {70, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//1030 QsciLexerPerl::Regex (enum)
    {70, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//1031 QsciLexerPerl::Substitution (enum)
    {70, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//1032 QsciLexerPerl::Backticks (enum)
    {70, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//1033 QsciLexerPerl::DataSection (enum)
    {70, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//1034 QsciLexerPerl::HereDocumentDelimiter (enum)
    {70, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//1035 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {70, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//1036 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {70, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//1037 QsciLexerPerl::BacktickHereDocument (enum)
    {70, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//1038 QsciLexerPerl::QuotedStringQ (enum)
    {70, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 58},	//1039 QsciLexerPerl::QuotedStringQQ (enum)
    {70, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 59},	//1040 QsciLexerPerl::QuotedStringQX (enum)
    {70, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 60},	//1041 QsciLexerPerl::QuotedStringQR (enum)
    {70, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 61},	//1042 QsciLexerPerl::QuotedStringQW (enum)
    {70, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 62},	//1043 QsciLexerPerl::PODVerbatim (enum)
    {70, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 63},	//1044 QsciLexerPerl::SubroutinePrototype (enum)
    {70, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 64},	//1045 QsciLexerPerl::FormatIdentifier (enum)
    {70, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 65},	//1046 QsciLexerPerl::FormatBody (enum)
    {70, 1397, 0, 0, Smoke::mf_dtor, 0, 66 },	//1047 QsciLexerPerl::~QsciLexerPerl()
    {71, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1048 QsciLexerPostScript::metaObject() const
    {71, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1049 QsciLexerPostScript::qt_metacast(const char*)
    {71, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1050 QsciLexerPostScript::tr(const char*, const char*)
    {71, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1051 QsciLexerPostScript::trUtf8(const char*, const char*)
    {71, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1052 QsciLexerPostScript::tr(const char*, const char*, int)
    {71, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1053 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {71, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1054 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {71, 395, 74, 1, Smoke::mf_ctor, 74, 8},	//1055 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {71, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1056 QsciLexerPostScript::language() const
    {71, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1057 QsciLexerPostScript::lexer() const
    {71, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//1058 QsciLexerPostScript::braceStyle() const
    {71, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1059 QsciLexerPostScript::defaultColor(int) const
    {71, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1060 QsciLexerPostScript::defaultFont(int) const
    {71, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1061 QsciLexerPostScript::defaultPaper(int) const
    {71, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 15},	//1062 QsciLexerPostScript::keywords(int) const
    {71, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1063 QsciLexerPostScript::description(int) const
    {71, 1040, 0, 0, Smoke::mf_virtual, 0, 17},	//1064 QsciLexerPostScript::refreshProperties()
    {71, 1329, 0, 0, Smoke::mf_const, 180, 18},	//1065 QsciLexerPostScript::tokenize() const
    {71, 936, 0, 0, Smoke::mf_const, 202, 19},	//1066 QsciLexerPostScript::level() const
    {71, 861, 0, 0, Smoke::mf_const, 180, 20},	//1067 QsciLexerPostScript::foldCompact() const
    {71, 858, 0, 0, Smoke::mf_const, 180, 21},	//1068 QsciLexerPostScript::foldAtElse() const
    {71, 1276, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1069 QsciLexerPostScript::setTokenize(bool)
    {71, 1207, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1070 QsciLexerPostScript::setLevel(int)
    {71, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1071 QsciLexerPostScript::setFoldCompact(bool)
    {71, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1072 QsciLexerPostScript::setFoldAtElse(bool)
    {71, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 26},	//1073 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {71, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 27},	//1074 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {71, 1330, 12, 1, Smoke::mf_static, 37, 28},	//1075 QsciLexerPostScript::tr(const char*)
    {71, 1334, 12, 1, Smoke::mf_static, 37, 29},	//1076 QsciLexerPostScript::trUtf8(const char*)
    {71, 395, 0, 0, Smoke::mf_ctor, 74, 30},	//1077 QsciLexerPostScript::QsciLexerPostScript()
    {71, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 31},	//1078 QsciLexerPostScript::staticMetaObject() const
    {71, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//1079 QsciLexerPostScript::Default (enum)
    {71, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//1080 QsciLexerPostScript::Comment (enum)
    {71, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//1081 QsciLexerPostScript::DSCComment (enum)
    {71, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1082 QsciLexerPostScript::DSCCommentValue (enum)
    {71, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1083 QsciLexerPostScript::Number (enum)
    {71, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1084 QsciLexerPostScript::Name (enum)
    {71, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1085 QsciLexerPostScript::Keyword (enum)
    {71, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1086 QsciLexerPostScript::Literal (enum)
    {71, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1087 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {71, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1088 QsciLexerPostScript::ArrayParenthesis (enum)
    {71, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1089 QsciLexerPostScript::DictionaryParenthesis (enum)
    {71, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1090 QsciLexerPostScript::ProcedureParenthesis (enum)
    {71, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1091 QsciLexerPostScript::Text (enum)
    {71, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1092 QsciLexerPostScript::HexString (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1093 QsciLexerPostScript::Base85String (enum)
    {71, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1094 QsciLexerPostScript::BadStringCharacter (enum)
    {71, 1398, 0, 0, Smoke::mf_dtor, 0, 48 },	//1095 QsciLexerPostScript::~QsciLexerPostScript()
    {72, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1096 QsciLexerProperties::metaObject() const
    {72, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1097 QsciLexerProperties::qt_metacast(const char*)
    {72, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1098 QsciLexerProperties::tr(const char*, const char*)
    {72, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1099 QsciLexerProperties::trUtf8(const char*, const char*)
    {72, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1100 QsciLexerProperties::tr(const char*, const char*, int)
    {72, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1101 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {72, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1102 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {72, 397, 74, 1, Smoke::mf_ctor, 75, 8},	//1103 QsciLexerProperties::QsciLexerProperties(QObject*)
    {72, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1104 QsciLexerProperties::language() const
    {72, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1105 QsciLexerProperties::lexer() const
    {72, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//1106 QsciLexerProperties::wordCharacters() const
    {72, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1107 QsciLexerProperties::defaultColor(int) const
    {72, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//1108 QsciLexerProperties::defaultEolFill(int) const
    {72, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1109 QsciLexerProperties::defaultFont(int) const
    {72, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1110 QsciLexerProperties::defaultPaper(int) const
    {72, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1111 QsciLexerProperties::description(int) const
    {72, 1040, 0, 0, Smoke::mf_virtual, 0, 17},	//1112 QsciLexerProperties::refreshProperties()
    {72, 861, 0, 0, Smoke::mf_const, 180, 18},	//1113 QsciLexerProperties::foldCompact() const
    {72, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1114 QsciLexerProperties::setFoldCompact(bool)
    {72, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 20},	//1115 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {72, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 21},	//1116 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {72, 1330, 12, 1, Smoke::mf_static, 37, 22},	//1117 QsciLexerProperties::tr(const char*)
    {72, 1334, 12, 1, Smoke::mf_static, 37, 23},	//1118 QsciLexerProperties::trUtf8(const char*)
    {72, 397, 0, 0, Smoke::mf_ctor, 75, 24},	//1119 QsciLexerProperties::QsciLexerProperties()
    {72, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 25},	//1120 QsciLexerProperties::staticMetaObject() const
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//1121 QsciLexerProperties::Default (enum)
    {72, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//1122 QsciLexerProperties::Comment (enum)
    {72, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1123 QsciLexerProperties::Section (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//1124 QsciLexerProperties::Assignment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//1125 QsciLexerProperties::DefaultValue (enum)
    {72, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//1126 QsciLexerProperties::Key (enum)
    {72, 1399, 0, 0, Smoke::mf_dtor, 0, 32 },	//1127 QsciLexerProperties::~QsciLexerProperties()
    {73, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1128 QsciLexerPython::metaObject() const
    {73, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1129 QsciLexerPython::qt_metacast(const char*)
    {73, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1130 QsciLexerPython::tr(const char*, const char*)
    {73, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1131 QsciLexerPython::trUtf8(const char*, const char*)
    {73, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1132 QsciLexerPython::tr(const char*, const char*, int)
    {73, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1133 QsciLexerPython::trUtf8(const char*, const char*, int)
    {73, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1134 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {73, 399, 74, 1, Smoke::mf_ctor, 76, 8},	//1135 QsciLexerPython::QsciLexerPython(QObject*)
    {73, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1136 QsciLexerPython::language() const
    {73, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1137 QsciLexerPython::lexer() const
    {73, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1138 QsciLexerPython::autoCompletionWordSeparators() const
    {73, 745, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 12},	//1139 QsciLexerPython::blockLookback() const
    {73, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//1140 QsciLexerPython::blockStart(int*) const
    {73, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 14},	//1141 QsciLexerPython::braceStyle() const
    {73, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1142 QsciLexerPython::defaultColor(int) const
    {73, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 16},	//1143 QsciLexerPython::defaultEolFill(int) const
    {73, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1144 QsciLexerPython::defaultFont(int) const
    {73, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1145 QsciLexerPython::defaultPaper(int) const
    {73, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 19},	//1146 QsciLexerPython::indentationGuideView() const
    {73, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 20},	//1147 QsciLexerPython::keywords(int) const
    {73, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//1148 QsciLexerPython::description(int) const
    {73, 1040, 0, 0, Smoke::mf_virtual, 0, 22},	//1149 QsciLexerPython::refreshProperties()
    {73, 860, 0, 0, Smoke::mf_const, 180, 23},	//1150 QsciLexerPython::foldComments() const
    {73, 868, 0, 0, Smoke::mf_const, 180, 24},	//1151 QsciLexerPython::foldQuotes() const
    {73, 895, 0, 0, Smoke::mf_const, 77, 25},	//1152 QsciLexerPython::indentationWarning() const
    {73, 1284, 16, 1, 0, 0, 26},	//1153 QsciLexerPython::setV2UnicodeAllowed(bool)
    {73, 1345, 0, 0, Smoke::mf_const, 180, 27},	//1154 QsciLexerPython::v2UnicodeAllowed() const
    {73, 1286, 16, 1, 0, 0, 28},	//1155 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {73, 1346, 0, 0, Smoke::mf_const, 180, 29},	//1156 QsciLexerPython::v3BinaryOctalAllowed() const
    {73, 1288, 16, 1, 0, 0, 30},	//1157 QsciLexerPython::setV3BytesAllowed(bool)
    {73, 1347, 0, 0, Smoke::mf_const, 180, 31},	//1158 QsciLexerPython::v3BytesAllowed() const
    {73, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1159 QsciLexerPython::setFoldComments(bool)
    {73, 1171, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1160 QsciLexerPython::setFoldQuotes(bool)
    {73, 1193, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1161 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {73, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 35},	//1162 QsciLexerPython::readProperties(QSettings&, const QString&)
    {73, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 36},	//1163 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {73, 1330, 12, 1, Smoke::mf_static, 37, 37},	//1164 QsciLexerPython::tr(const char*)
    {73, 1334, 12, 1, Smoke::mf_static, 37, 38},	//1165 QsciLexerPython::trUtf8(const char*)
    {73, 399, 0, 0, Smoke::mf_ctor, 76, 39},	//1166 QsciLexerPython::QsciLexerPython()
    {73, 746, 0, 0, Smoke::mf_const, 200, 40},	//1167 QsciLexerPython::blockStart() const
    {73, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 41},	//1168 QsciLexerPython::staticMetaObject() const
    {73, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1169 QsciLexerPython::Default (enum)
    {73, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1170 QsciLexerPython::Comment (enum)
    {73, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1171 QsciLexerPython::Number (enum)
    {73, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1172 QsciLexerPython::DoubleQuotedString (enum)
    {73, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1173 QsciLexerPython::SingleQuotedString (enum)
    {73, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1174 QsciLexerPython::Keyword (enum)
    {73, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1175 QsciLexerPython::TripleSingleQuotedString (enum)
    {73, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//1176 QsciLexerPython::TripleDoubleQuotedString (enum)
    {73, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//1177 QsciLexerPython::ClassName (enum)
    {73, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//1178 QsciLexerPython::FunctionMethodName (enum)
    {73, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//1179 QsciLexerPython::Operator (enum)
    {73, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//1180 QsciLexerPython::Identifier (enum)
    {73, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//1181 QsciLexerPython::CommentBlock (enum)
    {73, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//1182 QsciLexerPython::UnclosedString (enum)
    {73, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//1183 QsciLexerPython::HighlightedIdentifier (enum)
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//1184 QsciLexerPython::Decorator (enum)
    {73, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 58},	//1185 QsciLexerPython::NoWarning (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 59},	//1186 QsciLexerPython::Inconsistent (enum)
    {73, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 60},	//1187 QsciLexerPython::TabsAfterSpaces (enum)
    {73, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 61},	//1188 QsciLexerPython::Spaces (enum)
    {73, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 62},	//1189 QsciLexerPython::Tabs (enum)
    {73, 1400, 0, 0, Smoke::mf_dtor, 0, 63 },	//1190 QsciLexerPython::~QsciLexerPython()
    {74, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1191 QsciLexerRuby::metaObject() const
    {74, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1192 QsciLexerRuby::qt_metacast(const char*)
    {74, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1193 QsciLexerRuby::tr(const char*, const char*)
    {74, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1194 QsciLexerRuby::trUtf8(const char*, const char*)
    {74, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1195 QsciLexerRuby::tr(const char*, const char*, int)
    {74, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1196 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {74, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1197 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {74, 401, 74, 1, Smoke::mf_ctor, 78, 8},	//1198 QsciLexerRuby::QsciLexerRuby(QObject*)
    {74, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1199 QsciLexerRuby::language() const
    {74, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1200 QsciLexerRuby::lexer() const
    {74, 743, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//1201 QsciLexerRuby::blockEnd(int*) const
    {74, 746, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 12},	//1202 QsciLexerRuby::blockStart(int*) const
    {74, 748, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//1203 QsciLexerRuby::blockStartKeyword(int*) const
    {74, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 14},	//1204 QsciLexerRuby::braceStyle() const
    {74, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1205 QsciLexerRuby::defaultColor(int) const
    {74, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 16},	//1206 QsciLexerRuby::defaultEolFill(int) const
    {74, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1207 QsciLexerRuby::defaultFont(int) const
    {74, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1208 QsciLexerRuby::defaultPaper(int) const
    {74, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 19},	//1209 QsciLexerRuby::keywords(int) const
    {74, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 20},	//1210 QsciLexerRuby::description(int) const
    {74, 1330, 12, 1, Smoke::mf_static, 37, 21},	//1211 QsciLexerRuby::tr(const char*)
    {74, 1334, 12, 1, Smoke::mf_static, 37, 22},	//1212 QsciLexerRuby::trUtf8(const char*)
    {74, 401, 0, 0, Smoke::mf_ctor, 78, 23},	//1213 QsciLexerRuby::QsciLexerRuby()
    {74, 743, 0, 0, Smoke::mf_const, 200, 24},	//1214 QsciLexerRuby::blockEnd() const
    {74, 746, 0, 0, Smoke::mf_const, 200, 25},	//1215 QsciLexerRuby::blockStart() const
    {74, 748, 0, 0, Smoke::mf_const, 200, 26},	//1216 QsciLexerRuby::blockStartKeyword() const
    {74, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 27},	//1217 QsciLexerRuby::staticMetaObject() const
    {74, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1218 QsciLexerRuby::Default (enum)
    {74, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//1219 QsciLexerRuby::Error (enum)
    {74, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//1220 QsciLexerRuby::Comment (enum)
    {74, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//1221 QsciLexerRuby::POD (enum)
    {74, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//1222 QsciLexerRuby::Number (enum)
    {74, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//1223 QsciLexerRuby::Keyword (enum)
    {74, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//1224 QsciLexerRuby::DoubleQuotedString (enum)
    {74, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1225 QsciLexerRuby::SingleQuotedString (enum)
    {74, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1226 QsciLexerRuby::ClassName (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1227 QsciLexerRuby::FunctionMethodName (enum)
    {74, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1228 QsciLexerRuby::Operator (enum)
    {74, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1229 QsciLexerRuby::Identifier (enum)
    {74, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1230 QsciLexerRuby::Regex (enum)
    {74, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1231 QsciLexerRuby::Global (enum)
    {74, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1232 QsciLexerRuby::Symbol (enum)
    {74, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1233 QsciLexerRuby::ModuleName (enum)
    {74, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1234 QsciLexerRuby::InstanceVariable (enum)
    {74, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1235 QsciLexerRuby::ClassVariable (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1236 QsciLexerRuby::Backticks (enum)
    {74, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1237 QsciLexerRuby::DataSection (enum)
    {74, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1238 QsciLexerRuby::HereDocumentDelimiter (enum)
    {74, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//1239 QsciLexerRuby::HereDocument (enum)
    {74, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//1240 QsciLexerRuby::PercentStringq (enum)
    {74, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 51},	//1241 QsciLexerRuby::PercentStringQ (enum)
    {74, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//1242 QsciLexerRuby::PercentStringx (enum)
    {74, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//1243 QsciLexerRuby::PercentStringr (enum)
    {74, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//1244 QsciLexerRuby::PercentStringw (enum)
    {74, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//1245 QsciLexerRuby::DemotedKeyword (enum)
    {74, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//1246 QsciLexerRuby::Stdin (enum)
    {74, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//1247 QsciLexerRuby::Stdout (enum)
    {74, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 58},	//1248 QsciLexerRuby::Stderr (enum)
    {74, 1401, 0, 0, Smoke::mf_dtor, 0, 59 },	//1249 QsciLexerRuby::~QsciLexerRuby()
    {75, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1250 QsciLexerSQL::metaObject() const
    {75, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1251 QsciLexerSQL::qt_metacast(const char*)
    {75, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1252 QsciLexerSQL::tr(const char*, const char*)
    {75, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1253 QsciLexerSQL::trUtf8(const char*, const char*)
    {75, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1254 QsciLexerSQL::tr(const char*, const char*, int)
    {75, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1255 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {75, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1256 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 403, 74, 1, Smoke::mf_ctor, 79, 8},	//1257 QsciLexerSQL::QsciLexerSQL(QObject*)
    {75, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1258 QsciLexerSQL::language() const
    {75, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1259 QsciLexerSQL::lexer() const
    {75, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//1260 QsciLexerSQL::braceStyle() const
    {75, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1261 QsciLexerSQL::defaultColor(int) const
    {75, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//1262 QsciLexerSQL::defaultEolFill(int) const
    {75, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1263 QsciLexerSQL::defaultFont(int) const
    {75, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1264 QsciLexerSQL::defaultPaper(int) const
    {75, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//1265 QsciLexerSQL::keywords(int) const
    {75, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1266 QsciLexerSQL::description(int) const
    {75, 1040, 0, 0, Smoke::mf_virtual, 0, 18},	//1267 QsciLexerSQL::refreshProperties()
    {75, 860, 0, 0, Smoke::mf_const, 180, 19},	//1268 QsciLexerSQL::foldComments() const
    {75, 861, 0, 0, Smoke::mf_const, 180, 20},	//1269 QsciLexerSQL::foldCompact() const
    {75, 740, 0, 0, Smoke::mf_const, 180, 21},	//1270 QsciLexerSQL::backslashEscapes() const
    {75, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1271 QsciLexerSQL::setFoldComments(bool)
    {75, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1272 QsciLexerSQL::setFoldCompact(bool)
    {75, 1091, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1273 QsciLexerSQL::setBackslashEscapes(bool)
    {75, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 25},	//1274 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {75, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 26},	//1275 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {75, 1330, 12, 1, Smoke::mf_static, 37, 27},	//1276 QsciLexerSQL::tr(const char*)
    {75, 1334, 12, 1, Smoke::mf_static, 37, 28},	//1277 QsciLexerSQL::trUtf8(const char*)
    {75, 403, 0, 0, Smoke::mf_ctor, 79, 29},	//1278 QsciLexerSQL::QsciLexerSQL()
    {75, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 30},	//1279 QsciLexerSQL::staticMetaObject() const
    {75, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//1280 QsciLexerSQL::Default (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//1281 QsciLexerSQL::Comment (enum)
    {75, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//1282 QsciLexerSQL::CommentLine (enum)
    {75, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//1283 QsciLexerSQL::CommentDoc (enum)
    {75, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1284 QsciLexerSQL::Number (enum)
    {75, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1285 QsciLexerSQL::Keyword (enum)
    {75, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1286 QsciLexerSQL::DoubleQuotedString (enum)
    {75, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1287 QsciLexerSQL::SingleQuotedString (enum)
    {75, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1288 QsciLexerSQL::PlusKeyword (enum)
    {75, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1289 QsciLexerSQL::PlusPrompt (enum)
    {75, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1290 QsciLexerSQL::Operator (enum)
    {75, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1291 QsciLexerSQL::Identifier (enum)
    {75, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1292 QsciLexerSQL::PlusComment (enum)
    {75, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1293 QsciLexerSQL::CommentLineHash (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1294 QsciLexerSQL::CommentDocKeyword (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1295 QsciLexerSQL::CommentDocKeywordError (enum)
    {75, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1296 QsciLexerSQL::KeywordSet5 (enum)
    {75, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1297 QsciLexerSQL::KeywordSet6 (enum)
    {75, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//1298 QsciLexerSQL::KeywordSet7 (enum)
    {75, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 50},	//1299 QsciLexerSQL::KeywordSet8 (enum)
    {75, 1402, 0, 0, Smoke::mf_dtor, 0, 51 },	//1300 QsciLexerSQL::~QsciLexerSQL()
    {76, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1301 QsciLexerTCL::metaObject() const
    {76, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1302 QsciLexerTCL::qt_metacast(const char*)
    {76, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1303 QsciLexerTCL::tr(const char*, const char*)
    {76, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1304 QsciLexerTCL::trUtf8(const char*, const char*)
    {76, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1305 QsciLexerTCL::tr(const char*, const char*, int)
    {76, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1306 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {76, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1307 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 405, 74, 1, Smoke::mf_ctor, 80, 8},	//1308 QsciLexerTCL::QsciLexerTCL(QObject*)
    {76, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1309 QsciLexerTCL::language() const
    {76, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1310 QsciLexerTCL::lexer() const
    {76, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//1311 QsciLexerTCL::braceStyle() const
    {76, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1312 QsciLexerTCL::defaultColor(int) const
    {76, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//1313 QsciLexerTCL::defaultEolFill(int) const
    {76, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1314 QsciLexerTCL::defaultFont(int) const
    {76, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1315 QsciLexerTCL::defaultPaper(int) const
    {76, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//1316 QsciLexerTCL::keywords(int) const
    {76, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1317 QsciLexerTCL::description(int) const
    {76, 1040, 0, 0, Smoke::mf_virtual, 0, 18},	//1318 QsciLexerTCL::refreshProperties()
    {76, 861, 0, 0, Smoke::mf_const, 180, 19},	//1319 QsciLexerTCL::foldCompact() const
    {76, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1320 QsciLexerTCL::setFoldCompact(bool)
    {76, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 21},	//1321 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {76, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 22},	//1322 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {76, 1330, 12, 1, Smoke::mf_static, 37, 23},	//1323 QsciLexerTCL::tr(const char*)
    {76, 1334, 12, 1, Smoke::mf_static, 37, 24},	//1324 QsciLexerTCL::trUtf8(const char*)
    {76, 405, 0, 0, Smoke::mf_ctor, 80, 25},	//1325 QsciLexerTCL::QsciLexerTCL()
    {76, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 26},	//1326 QsciLexerTCL::staticMetaObject() const
    {76, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//1327 QsciLexerTCL::Default (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1328 QsciLexerTCL::Comment (enum)
    {76, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//1329 QsciLexerTCL::CommentLine (enum)
    {76, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//1330 QsciLexerTCL::Number (enum)
    {76, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//1331 QsciLexerTCL::QuotedKeyword (enum)
    {76, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//1332 QsciLexerTCL::QuotedString (enum)
    {76, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//1333 QsciLexerTCL::Operator (enum)
    {76, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//1334 QsciLexerTCL::Identifier (enum)
    {76, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1335 QsciLexerTCL::Substitution (enum)
    {76, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1336 QsciLexerTCL::SubstitutionBrace (enum)
    {76, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1337 QsciLexerTCL::Modifier (enum)
    {76, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1338 QsciLexerTCL::ExpandKeyword (enum)
    {76, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1339 QsciLexerTCL::TCLKeyword (enum)
    {76, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1340 QsciLexerTCL::TkKeyword (enum)
    {76, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1341 QsciLexerTCL::ITCLKeyword (enum)
    {76, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1342 QsciLexerTCL::TkCommand (enum)
    {76, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1343 QsciLexerTCL::KeywordSet6 (enum)
    {76, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1344 QsciLexerTCL::KeywordSet7 (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1345 QsciLexerTCL::KeywordSet8 (enum)
    {76, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1346 QsciLexerTCL::KeywordSet9 (enum)
    {76, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1347 QsciLexerTCL::CommentBox (enum)
    {76, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1348 QsciLexerTCL::CommentBlock (enum)
    {76, 1403, 0, 0, Smoke::mf_dtor, 0, 49 },	//1349 QsciLexerTCL::~QsciLexerTCL()
    {77, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1350 QsciLexerTeX::metaObject() const
    {77, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1351 QsciLexerTeX::qt_metacast(const char*)
    {77, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1352 QsciLexerTeX::tr(const char*, const char*)
    {77, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1353 QsciLexerTeX::trUtf8(const char*, const char*)
    {77, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1354 QsciLexerTeX::tr(const char*, const char*, int)
    {77, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1355 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {77, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1356 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {77, 407, 74, 1, Smoke::mf_ctor, 81, 8},	//1357 QsciLexerTeX::QsciLexerTeX(QObject*)
    {77, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1358 QsciLexerTeX::language() const
    {77, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1359 QsciLexerTeX::lexer() const
    {77, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 11},	//1360 QsciLexerTeX::wordCharacters() const
    {77, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1361 QsciLexerTeX::defaultColor(int) const
    {77, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 13},	//1362 QsciLexerTeX::keywords(int) const
    {77, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//1363 QsciLexerTeX::description(int) const
    {77, 1330, 12, 1, Smoke::mf_static, 37, 15},	//1364 QsciLexerTeX::tr(const char*)
    {77, 1334, 12, 1, Smoke::mf_static, 37, 16},	//1365 QsciLexerTeX::trUtf8(const char*)
    {77, 407, 0, 0, Smoke::mf_ctor, 81, 17},	//1366 QsciLexerTeX::QsciLexerTeX()
    {77, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 18},	//1367 QsciLexerTeX::staticMetaObject() const
    {77, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 19},	//1368 QsciLexerTeX::Default (enum)
    {77, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 20},	//1369 QsciLexerTeX::Special (enum)
    {77, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 21},	//1370 QsciLexerTeX::Group (enum)
    {77, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 22},	//1371 QsciLexerTeX::Symbol (enum)
    {77, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 23},	//1372 QsciLexerTeX::Command (enum)
    {77, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 24},	//1373 QsciLexerTeX::Text (enum)
    {77, 1404, 0, 0, Smoke::mf_dtor, 0, 25 },	//1374 QsciLexerTeX::~QsciLexerTeX()
    {78, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1375 QsciLexerVHDL::metaObject() const
    {78, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1376 QsciLexerVHDL::qt_metacast(const char*)
    {78, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1377 QsciLexerVHDL::tr(const char*, const char*)
    {78, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1378 QsciLexerVHDL::trUtf8(const char*, const char*)
    {78, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1379 QsciLexerVHDL::tr(const char*, const char*, int)
    {78, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1380 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {78, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1381 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 409, 74, 1, Smoke::mf_ctor, 82, 8},	//1382 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {78, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1383 QsciLexerVHDL::language() const
    {78, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1384 QsciLexerVHDL::lexer() const
    {78, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 11},	//1385 QsciLexerVHDL::braceStyle() const
    {78, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1386 QsciLexerVHDL::defaultColor(int) const
    {78, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//1387 QsciLexerVHDL::defaultEolFill(int) const
    {78, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1388 QsciLexerVHDL::defaultFont(int) const
    {78, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1389 QsciLexerVHDL::defaultPaper(int) const
    {78, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 16},	//1390 QsciLexerVHDL::keywords(int) const
    {78, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1391 QsciLexerVHDL::description(int) const
    {78, 1040, 0, 0, Smoke::mf_virtual, 0, 18},	//1392 QsciLexerVHDL::refreshProperties()
    {78, 860, 0, 0, Smoke::mf_const, 180, 19},	//1393 QsciLexerVHDL::foldComments() const
    {78, 861, 0, 0, Smoke::mf_const, 180, 20},	//1394 QsciLexerVHDL::foldCompact() const
    {78, 858, 0, 0, Smoke::mf_const, 180, 21},	//1395 QsciLexerVHDL::foldAtElse() const
    {78, 857, 0, 0, Smoke::mf_const, 180, 22},	//1396 QsciLexerVHDL::foldAtBegin() const
    {78, 859, 0, 0, Smoke::mf_const, 180, 23},	//1397 QsciLexerVHDL::foldAtParenthesis() const
    {78, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1398 QsciLexerVHDL::setFoldComments(bool)
    {78, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1399 QsciLexerVHDL::setFoldCompact(bool)
    {78, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1400 QsciLexerVHDL::setFoldAtElse(bool)
    {78, 1151, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1401 QsciLexerVHDL::setFoldAtBegin(bool)
    {78, 1155, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1402 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {78, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 29},	//1403 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {78, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 30},	//1404 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {78, 1330, 12, 1, Smoke::mf_static, 37, 31},	//1405 QsciLexerVHDL::tr(const char*)
    {78, 1334, 12, 1, Smoke::mf_static, 37, 32},	//1406 QsciLexerVHDL::trUtf8(const char*)
    {78, 409, 0, 0, Smoke::mf_ctor, 82, 33},	//1407 QsciLexerVHDL::QsciLexerVHDL()
    {78, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 34},	//1408 QsciLexerVHDL::staticMetaObject() const
    {78, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1409 QsciLexerVHDL::Default (enum)
    {78, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//1410 QsciLexerVHDL::Comment (enum)
    {78, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//1411 QsciLexerVHDL::CommentLine (enum)
    {78, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//1412 QsciLexerVHDL::Number (enum)
    {78, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//1413 QsciLexerVHDL::String (enum)
    {78, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//1414 QsciLexerVHDL::Operator (enum)
    {78, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//1415 QsciLexerVHDL::Identifier (enum)
    {78, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 42},	//1416 QsciLexerVHDL::UnclosedString (enum)
    {78, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 43},	//1417 QsciLexerVHDL::Keyword (enum)
    {78, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 44},	//1418 QsciLexerVHDL::StandardOperator (enum)
    {78, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 45},	//1419 QsciLexerVHDL::Attribute (enum)
    {78, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 46},	//1420 QsciLexerVHDL::StandardFunction (enum)
    {78, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 47},	//1421 QsciLexerVHDL::StandardPackage (enum)
    {78, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 48},	//1422 QsciLexerVHDL::StandardType (enum)
    {78, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 49},	//1423 QsciLexerVHDL::KeywordSet7 (enum)
    {78, 1405, 0, 0, Smoke::mf_dtor, 0, 50 },	//1424 QsciLexerVHDL::~QsciLexerVHDL()
    {79, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1425 QsciLexerXML::metaObject() const
    {79, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1426 QsciLexerXML::qt_metacast(const char*)
    {79, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1427 QsciLexerXML::tr(const char*, const char*)
    {79, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1428 QsciLexerXML::trUtf8(const char*, const char*)
    {79, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1429 QsciLexerXML::tr(const char*, const char*, int)
    {79, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1430 QsciLexerXML::trUtf8(const char*, const char*, int)
    {79, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1431 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 411, 74, 1, Smoke::mf_ctor, 83, 8},	//1432 QsciLexerXML::QsciLexerXML(QObject*)
    {79, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1433 QsciLexerXML::language() const
    {79, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1434 QsciLexerXML::lexer() const
    {79, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1435 QsciLexerXML::defaultColor(int) const
    {79, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 12},	//1436 QsciLexerXML::defaultEolFill(int) const
    {79, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1437 QsciLexerXML::defaultFont(int) const
    {79, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1438 QsciLexerXML::defaultPaper(int) const
    {79, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 15},	//1439 QsciLexerXML::keywords(int) const
    {79, 1040, 0, 0, Smoke::mf_virtual, 0, 16},	//1440 QsciLexerXML::refreshProperties()
    {79, 1251, 16, 1, 0, 0, 17},	//1441 QsciLexerXML::setScriptsStyled(bool)
    {79, 1056, 0, 0, Smoke::mf_const, 180, 18},	//1442 QsciLexerXML::scriptsStyled() const
    {79, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 19},	//1443 QsciLexerXML::readProperties(QSettings&, const QString&)
    {79, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 20},	//1444 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {79, 1330, 12, 1, Smoke::mf_static, 37, 21},	//1445 QsciLexerXML::tr(const char*)
    {79, 1334, 12, 1, Smoke::mf_static, 37, 22},	//1446 QsciLexerXML::trUtf8(const char*)
    {79, 411, 0, 0, Smoke::mf_ctor, 83, 23},	//1447 QsciLexerXML::QsciLexerXML()
    {79, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 24},	//1448 QsciLexerXML::staticMetaObject() const
    {79, 1406, 0, 0, Smoke::mf_dtor, 0, 25 },	//1449 QsciLexerXML::~QsciLexerXML()
    {80, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1450 QsciLexerYAML::metaObject() const
    {80, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1451 QsciLexerYAML::qt_metacast(const char*)
    {80, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1452 QsciLexerYAML::tr(const char*, const char*)
    {80, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1453 QsciLexerYAML::trUtf8(const char*, const char*)
    {80, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1454 QsciLexerYAML::tr(const char*, const char*, int)
    {80, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1455 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {80, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1456 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 413, 74, 1, Smoke::mf_ctor, 84, 8},	//1457 QsciLexerYAML::QsciLexerYAML(QObject*)
    {80, 932, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 9},	//1458 QsciLexerYAML::language() const
    {80, 937, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 10},	//1459 QsciLexerYAML::lexer() const
    {80, 795, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1460 QsciLexerYAML::defaultColor(int) const
    {80, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 12},	//1461 QsciLexerYAML::defaultEolFill(int) const
    {80, 799, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1462 QsciLexerYAML::defaultFont(int) const
    {80, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1463 QsciLexerYAML::defaultPaper(int) const
    {80, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 15},	//1464 QsciLexerYAML::keywords(int) const
    {80, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1465 QsciLexerYAML::description(int) const
    {80, 1040, 0, 0, Smoke::mf_virtual, 0, 17},	//1466 QsciLexerYAML::refreshProperties()
    {80, 860, 0, 0, Smoke::mf_const, 180, 18},	//1467 QsciLexerYAML::foldComments() const
    {80, 1157, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1468 QsciLexerYAML::setFoldComments(bool)
    {80, 1030, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 180, 20},	//1469 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {80, 1361, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 21},	//1470 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {80, 1330, 12, 1, Smoke::mf_static, 37, 22},	//1471 QsciLexerYAML::tr(const char*)
    {80, 1334, 12, 1, Smoke::mf_static, 37, 23},	//1472 QsciLexerYAML::trUtf8(const char*)
    {80, 413, 0, 0, Smoke::mf_ctor, 84, 24},	//1473 QsciLexerYAML::QsciLexerYAML()
    {80, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 25},	//1474 QsciLexerYAML::staticMetaObject() const
    {80, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//1475 QsciLexerYAML::Default (enum)
    {80, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//1476 QsciLexerYAML::Comment (enum)
    {80, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1477 QsciLexerYAML::Identifier (enum)
    {80, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 29},	//1478 QsciLexerYAML::Keyword (enum)
    {80, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 30},	//1479 QsciLexerYAML::Number (enum)
    {80, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 31},	//1480 QsciLexerYAML::Reference (enum)
    {80, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 32},	//1481 QsciLexerYAML::DocumentDelimiter (enum)
    {80, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 33},	//1482 QsciLexerYAML::TextBlockMarker (enum)
    {80, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 34},	//1483 QsciLexerYAML::SyntaxErrorMarker (enum)
    {80, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//1484 QsciLexerYAML::Operator (enum)
    {80, 1407, 0, 0, Smoke::mf_dtor, 0, 36 },	//1485 QsciLexerYAML::~QsciLexerYAML()
    {81, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1486 QsciMacro::metaObject() const
    {81, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1487 QsciMacro::qt_metacast(const char*)
    {81, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1488 QsciMacro::tr(const char*, const char*)
    {81, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1489 QsciMacro::trUtf8(const char*, const char*)
    {81, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1490 QsciMacro::tr(const char*, const char*, int)
    {81, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1491 QsciMacro::trUtf8(const char*, const char*, int)
    {81, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1492 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {81, 415, 82, 1, Smoke::mf_ctor, 85, 8},	//1493 QsciMacro::QsciMacro(QsciScintilla*)
    {81, 415, 107, 2, Smoke::mf_ctor, 85, 9},	//1494 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {81, 766, 0, 0, 0, 0, 10},	//1495 QsciMacro::clear()
    {81, 947, 57, 1, 0, 180, 11},	//1496 QsciMacro::load(const QString&)
    {81, 1053, 0, 0, Smoke::mf_const, 37, 12},	//1497 QsciMacro::save() const
    {81, 1013, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1498 QsciMacro::play()
    {81, 1306, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1499 QsciMacro::startRecording()
    {81, 824, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1500 QsciMacro::endRecording()
    {81, 1330, 12, 1, Smoke::mf_static, 37, 16},	//1501 QsciMacro::tr(const char*)
    {81, 1334, 12, 1, Smoke::mf_static, 37, 17},	//1502 QsciMacro::trUtf8(const char*)
    {81, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 18},	//1503 QsciMacro::staticMetaObject() const
    {81, 1408, 0, 0, Smoke::mf_dtor, 0, 19 },	//1504 QsciMacro::~QsciMacro()
    {82, 418, 110, 1, Smoke::mf_ctor, 86, 1},	//1505 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {82, 877, 112, 4, Smoke::mf_virtual, 0, 2},	//1506 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {82, 951, 0, 0, Smoke::mf_const, 202, 3},	//1507 QsciPrinter::magnification() const
    {82, 1211, 18, 1, Smoke::mf_virtual, 0, 4},	//1508 QsciPrinter::setMagnification(int)
    {82, 1018, 117, 3, Smoke::mf_virtual, 202, 5},	//1509 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {82, 1358, 0, 0, Smoke::mf_const, 100, 6},	//1510 QsciPrinter::wrapMode() const
    {82, 1294, 121, 1, Smoke::mf_virtual, 0, 7},	//1511 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {82, 418, 0, 0, Smoke::mf_ctor, 86, 8},	//1512 QsciPrinter::QsciPrinter()
    {82, 1018, 123, 1, 0, 202, 9},	//1513 QsciPrinter::printRange(QsciScintillaBase*)
    {82, 1018, 125, 2, 0, 202, 10},	//1514 QsciPrinter::printRange(QsciScintillaBase*, int)
    {82, 1409, 0, 0, Smoke::mf_dtor, 0, 11 },	//1515 QsciPrinter::~QsciPrinter()
    {83, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1516 QsciScintilla::metaObject() const
    {83, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1517 QsciScintilla::qt_metacast(const char*)
    {83, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1518 QsciScintilla::tr(const char*, const char*)
    {83, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1519 QsciScintilla::trUtf8(const char*, const char*)
    {83, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1520 QsciScintilla::tr(const char*, const char*, int)
    {83, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1521 QsciScintilla::trUtf8(const char*, const char*, int)
    {83, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1522 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {83, 420, 128, 1, Smoke::mf_ctor, 87, 8},	//1523 QsciScintilla::QsciScintilla(QWidget*)
    {83, 717, 130, 3, Smoke::mf_virtual, 38, 9},	//1524 QsciScintilla::apiContext(int, int&, int&)
    {83, 709, 134, 3, 0, 0, 10},	//1525 QsciScintilla::annotate(int, const QString&, int)
    {83, 709, 138, 3, 0, 0, 11},	//1526 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {83, 709, 142, 2, 0, 0, 12},	//1527 QsciScintilla::annotate(int, const QsciStyledText&)
    {83, 709, 145, 2, 0, 0, 13},	//1528 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {83, 714, 18, 1, Smoke::mf_const, 37, 14},	//1529 QsciScintilla::annotation(int) const
    {83, 716, 0, 0, Smoke::mf_const, 88, 15},	//1530 QsciScintilla::annotationDisplay() const
    {83, 768, 18, 1, 0, 0, 16},	//1531 QsciScintilla::clearAnnotations(int)
    {83, 728, 0, 0, Smoke::mf_const, 180, 17},	//1532 QsciScintilla::autoCompletionCaseSensitivity() const
    {83, 730, 0, 0, Smoke::mf_const, 180, 18},	//1533 QsciScintilla::autoCompletionFillupsEnabled() const
    {83, 731, 0, 0, Smoke::mf_const, 180, 19},	//1534 QsciScintilla::autoCompletionReplaceWord() const
    {83, 734, 0, 0, Smoke::mf_const, 180, 20},	//1535 QsciScintilla::autoCompletionShowSingle() const
    {83, 735, 0, 0, Smoke::mf_const, 89, 21},	//1536 QsciScintilla::autoCompletionSource() const
    {83, 736, 0, 0, Smoke::mf_const, 202, 22},	//1537 QsciScintilla::autoCompletionThreshold() const
    {83, 738, 0, 0, Smoke::mf_const, 180, 23},	//1538 QsciScintilla::autoIndent() const
    {83, 741, 0, 0, Smoke::mf_const, 180, 24},	//1539 QsciScintilla::backspaceUnindents() const
    {83, 742, 0, 0, 0, 0, 25},	//1540 QsciScintilla::beginUndoAction()
    {83, 750, 0, 0, Smoke::mf_const, 90, 26},	//1541 QsciScintilla::braceMatching() const
    {83, 755, 0, 0, Smoke::mf_const, 91, 27},	//1542 QsciScintilla::callTipsStyle() const
    {83, 756, 0, 0, Smoke::mf_const, 202, 28},	//1543 QsciScintilla::callTipsVisible() const
    {83, 759, 0, 0, 0, 0, 29},	//1544 QsciScintilla::cancelList()
    {83, 761, 0, 0, Smoke::mf_const, 180, 30},	//1545 QsciScintilla::caseSensitive() const
    {83, 770, 0, 0, 0, 0, 31},	//1546 QsciScintilla::clearFolds()
    {83, 771, 148, 5, 0, 0, 32},	//1547 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {83, 776, 0, 0, 0, 0, 33},	//1548 QsciScintilla::clearRegisteredImages()
    {83, 778, 0, 0, Smoke::mf_const, 5, 34},	//1549 QsciScintilla::color() const
    {83, 786, 154, 1, 0, 0, 35},	//1550 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {83, 809, 0, 0, Smoke::mf_const, 50, 36},	//1551 QsciScintilla::document() const
    {83, 825, 0, 0, 0, 0, 37},	//1552 QsciScintilla::endUndoAction()
    {83, 819, 0, 0, Smoke::mf_const, 5, 38},	//1553 QsciScintilla::edgeColor() const
    {83, 820, 0, 0, Smoke::mf_const, 202, 39},	//1554 QsciScintilla::edgeColumn() const
    {83, 821, 0, 0, Smoke::mf_const, 92, 40},	//1555 QsciScintilla::edgeMode() const
    {83, 1180, 42, 1, 0, 0, 41},	//1556 QsciScintilla::setFont(const QFont&)
    {83, 834, 0, 0, Smoke::mf_const, 93, 42},	//1557 QsciScintilla::eolMode() const
    {83, 835, 0, 0, Smoke::mf_const, 180, 43},	//1558 QsciScintilla::eolVisibility() const
    {83, 839, 148, 5, 0, 0, 44},	//1559 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {83, 841, 156, 9, Smoke::mf_virtual, 180, 45},	//1560 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {83, 847, 0, 0, Smoke::mf_virtual, 180, 46},	//1561 QsciScintilla::findNext()
    {83, 848, 0, 0, Smoke::mf_const, 202, 47},	//1562 QsciScintilla::firstVisibleLine() const
    {83, 871, 0, 0, Smoke::mf_const, 94, 48},	//1563 QsciScintilla::folding() const
    {83, 881, 166, 2, Smoke::mf_const, 0, 49},	//1564 QsciScintilla::getCursorPosition(int*, int*) const
    {83, 883, 169, 4, Smoke::mf_const, 0, 50},	//1565 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {83, 885, 0, 0, Smoke::mf_const, 180, 51},	//1566 QsciScintilla::hasSelectedText() const
    {83, 891, 18, 1, Smoke::mf_const, 202, 52},	//1567 QsciScintilla::indentation(int) const
    {83, 894, 0, 0, Smoke::mf_const, 180, 53},	//1568 QsciScintilla::indentationGuides() const
    {83, 897, 0, 0, Smoke::mf_const, 180, 54},	//1569 QsciScintilla::indentationsUseTabs() const
    {83, 896, 0, 0, Smoke::mf_const, 202, 55},	//1570 QsciScintilla::indentationWidth() const
    {83, 900, 174, 2, 0, 202, 56},	//1571 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {83, 903, 18, 1, Smoke::mf_const, 180, 57},	//1572 QsciScintilla::indicatorDrawUnder(int) const
    {83, 915, 0, 0, Smoke::mf_const, 180, 58},	//1573 QsciScintilla::isCallTipActive() const
    {83, 916, 0, 0, Smoke::mf_const, 180, 59},	//1574 QsciScintilla::isListActive() const
    {83, 917, 0, 0, Smoke::mf_const, 180, 60},	//1575 QsciScintilla::isModified() const
    {83, 920, 0, 0, Smoke::mf_const, 180, 61},	//1576 QsciScintilla::isReadOnly() const
    {83, 921, 0, 0, Smoke::mf_const, 180, 62},	//1577 QsciScintilla::isRedoAvailable() const
    {83, 922, 0, 0, Smoke::mf_const, 180, 63},	//1578 QsciScintilla::isUndoAvailable() const
    {83, 923, 0, 0, Smoke::mf_const, 180, 64},	//1579 QsciScintilla::isUtf8() const
    {83, 924, 177, 1, Smoke::mf_const, 180, 65},	//1580 QsciScintilla::isWordCharacter(char) const
    {83, 939, 179, 1, Smoke::mf_const, 202, 66},	//1581 QsciScintilla::lineAt(const QPoint&) const
    {83, 941, 181, 3, Smoke::mf_const, 0, 67},	//1582 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {83, 943, 18, 1, Smoke::mf_const, 202, 68},	//1583 QsciScintilla::lineLength(int) const
    {83, 945, 0, 0, Smoke::mf_const, 202, 69},	//1584 QsciScintilla::lines() const
    {83, 935, 0, 0, Smoke::mf_const, 202, 70},	//1585 QsciScintilla::length() const
    {83, 937, 0, 0, Smoke::mf_const, 53, 71},	//1586 QsciScintilla::lexer() const
    {83, 954, 18, 1, Smoke::mf_const, 180, 72},	//1587 QsciScintilla::marginLineNumbers(int) const
    {83, 956, 18, 1, Smoke::mf_const, 202, 73},	//1588 QsciScintilla::marginMarkerMask(int) const
    {83, 958, 18, 1, Smoke::mf_const, 180, 74},	//1589 QsciScintilla::marginSensitivity(int) const
    {83, 960, 18, 1, Smoke::mf_const, 97, 75},	//1590 QsciScintilla::marginType(int) const
    {83, 962, 18, 1, Smoke::mf_const, 202, 76},	//1591 QsciScintilla::marginWidth(int) const
    {83, 966, 185, 2, 0, 202, 77},	//1592 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {83, 966, 188, 2, 0, 202, 78},	//1593 QsciScintilla::markerDefine(char, int)
    {83, 966, 191, 2, 0, 202, 79},	//1594 QsciScintilla::markerDefine(const QPixmap&, int)
    {83, 964, 99, 2, 0, 202, 80},	//1595 QsciScintilla::markerAdd(int, int)
    {83, 984, 18, 1, Smoke::mf_const, 206, 81},	//1596 QsciScintilla::markersAtLine(int) const
    {83, 971, 99, 2, 0, 0, 82},	//1597 QsciScintilla::markerDelete(int, int)
    {83, 974, 18, 1, 0, 0, 83},	//1598 QsciScintilla::markerDeleteAll(int)
    {83, 976, 18, 1, 0, 0, 84},	//1599 QsciScintilla::markerDeleteHandle(int)
    {83, 982, 18, 1, Smoke::mf_const, 202, 85},	//1600 QsciScintilla::markerLine(int) const
    {83, 978, 194, 2, Smoke::mf_const, 202, 86},	//1601 QsciScintilla::markerFindNext(int, unsigned int) const
    {83, 980, 194, 2, Smoke::mf_const, 202, 87},	//1602 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {83, 1008, 0, 0, Smoke::mf_const, 5, 88},	//1603 QsciScintilla::paper() const
    {83, 1015, 99, 2, Smoke::mf_const, 202, 89},	//1604 QsciScintilla::positionFromLineIndex(int, int) const
    {83, 1028, 197, 1, 0, 180, 90},	//1605 QsciScintilla::read(QIODevice*)
    {83, 1035, 99, 2, Smoke::mf_virtual, 0, 91},	//1606 QsciScintilla::recolor(int, int)
    {83, 1041, 199, 2, 0, 0, 92},	//1607 QsciScintilla::registerImage(int, const QPixmap&)
    {83, 1046, 57, 1, Smoke::mf_virtual, 0, 93},	//1608 QsciScintilla::replace(const QString&)
    {83, 1048, 0, 0, 0, 0, 94},	//1609 QsciScintilla::resetFoldMarginColors()
    {83, 1163, 202, 2, 0, 0, 95},	//1610 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {83, 1069, 205, 1, 0, 0, 96},	//1611 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {83, 1075, 16, 1, 0, 0, 97},	//1612 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {83, 1073, 12, 1, 0, 0, 98},	//1613 QsciScintilla::setAutoCompletionFillups(const char*)
    {83, 1085, 207, 1, 0, 0, 99},	//1614 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {83, 1097, 80, 1, 0, 0, 100},	//1615 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {83, 1099, 80, 1, 0, 0, 101},	//1616 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {83, 1101, 80, 1, 0, 0, 102},	//1617 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {83, 1103, 209, 1, 0, 0, 103},	//1618 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {83, 1105, 18, 1, 0, 0, 104},	//1619 QsciScintilla::setCallTipsVisible(int)
    {83, 1132, 72, 1, 0, 0, 105},	//1620 QsciScintilla::setDocument(const QsciDocument&)
    {83, 1136, 80, 1, 0, 0, 106},	//1621 QsciScintilla::setEdgeColor(const QColor&)
    {83, 1138, 18, 1, 0, 0, 107},	//1622 QsciScintilla::setEdgeColumn(int)
    {83, 1140, 211, 1, 0, 0, 108},	//1623 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {83, 1199, 87, 2, 0, 0, 109},	//1624 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {83, 1202, 84, 2, 0, 0, 110},	//1625 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {83, 1219, 134, 3, 0, 0, 111},	//1626 QsciScintilla::setMarginText(int, const QString&, int)
    {83, 1219, 138, 3, 0, 0, 112},	//1627 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {83, 1219, 142, 2, 0, 0, 113},	//1628 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {83, 1219, 145, 2, 0, 0, 114},	//1629 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {83, 1224, 213, 2, 0, 0, 115},	//1630 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {83, 774, 18, 1, 0, 0, 116},	//1631 QsciScintilla::clearMarginText(int)
    {83, 1234, 84, 2, 0, 0, 117},	//1632 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {83, 1237, 84, 2, 0, 0, 118},	//1633 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {83, 1240, 80, 1, 0, 0, 119},	//1634 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {83, 1242, 80, 1, 0, 0, 120},	//1635 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {83, 1278, 80, 1, 0, 0, 121},	//1636 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {83, 1280, 80, 1, 0, 0, 122},	//1637 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {83, 1296, 216, 3, 0, 0, 123},	//1638 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {83, 1062, 0, 0, Smoke::mf_const, 37, 124},	//1639 QsciScintilla::selectedText() const
    {83, 1064, 0, 0, Smoke::mf_const, 180, 125},	//1640 QsciScintilla::selectionToEol() const
    {83, 1259, 16, 1, 0, 0, 126},	//1641 QsciScintilla::setSelectionToEol(bool)
    {83, 1301, 220, 2, 0, 0, 127},	//1642 QsciScintilla::showUserList(int, const QStringList&)
    {83, 1305, 0, 0, Smoke::mf_const, 49, 128},	//1643 QsciScintilla::standardCommands() const
    {83, 1317, 0, 0, Smoke::mf_const, 180, 129},	//1644 QsciScintilla::tabIndents() const
    {83, 1318, 0, 0, Smoke::mf_const, 202, 130},	//1645 QsciScintilla::tabWidth() const
    {83, 1320, 0, 0, Smoke::mf_const, 37, 131},	//1646 QsciScintilla::text() const
    {83, 1320, 18, 1, Smoke::mf_const, 37, 132},	//1647 QsciScintilla::text(int) const
    {83, 1324, 18, 1, Smoke::mf_const, 202, 133},	//1648 QsciScintilla::textHeight(int) const
    {83, 1353, 0, 0, Smoke::mf_const, 99, 134},	//1649 QsciScintilla::whitespaceVisibility() const
    {83, 1355, 179, 1, Smoke::mf_const, 37, 135},	//1650 QsciScintilla::wordAtPoint(const QPoint&) const
    {83, 1357, 0, 0, Smoke::mf_const, 200, 136},	//1651 QsciScintilla::wordCharacters() const
    {83, 1358, 0, 0, Smoke::mf_const, 100, 137},	//1652 QsciScintilla::wrapMode() const
    {83, 1359, 197, 1, Smoke::mf_const, 180, 138},	//1653 QsciScintilla::write(QIODevice*) const
    {83, 723, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1654 QsciScintilla::append(const QString&)
    {83, 726, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1655 QsciScintilla::autoCompleteFromAll()
    {83, 725, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1656 QsciScintilla::autoCompleteFromAPIs()
    {83, 727, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1657 QsciScintilla::autoCompleteFromDocument()
    {83, 752, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1658 QsciScintilla::callTip()
    {83, 766, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1659 QsciScintilla::clear()
    {83, 788, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1660 QsciScintilla::copy()
    {83, 794, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1661 QsciScintilla::cut()
    {83, 826, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1662 QsciScintilla::ensureCursorVisible()
    {83, 827, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1663 QsciScintilla::ensureLineVisible(int)
    {83, 855, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1664 QsciScintilla::foldAll(bool)
    {83, 863, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1665 QsciScintilla::foldLine(int)
    {83, 889, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1666 QsciScintilla::indent(int)
    {83, 910, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1667 QsciScintilla::insert(const QString&)
    {83, 912, 223, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1668 QsciScintilla::insertAt(const QString&, int, int)
    {83, 1001, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1669 QsciScintilla::moveToMatchingBrace()
    {83, 1012, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1670 QsciScintilla::paste()
    {83, 1038, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1671 QsciScintilla::redo()
    {83, 1045, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1672 QsciScintilla::removeSelectedText()
    {83, 1049, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1673 QsciScintilla::resetSelectionBackgroundColor()
    {83, 1050, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1674 QsciScintilla::resetSelectionForegroundColor()
    {83, 1059, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1675 QsciScintilla::selectAll(bool)
    {83, 1061, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1676 QsciScintilla::selectToMatchingBrace()
    {83, 1071, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1677 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {83, 1077, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1678 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {83, 1079, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1679 QsciScintilla::setAutoCompletionShowSingle(bool)
    {83, 1081, 227, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1680 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {83, 1083, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1681 QsciScintilla::setAutoCompletionThreshold(int)
    {83, 1087, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1682 QsciScintilla::setAutoIndent(bool)
    {83, 1095, 229, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1683 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {83, 1093, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1684 QsciScintilla::setBackspaceUnindents(bool)
    {83, 1107, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1685 QsciScintilla::setCaretForegroundColor(const QColor&)
    {83, 1109, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1686 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {83, 1111, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1687 QsciScintilla::setCaretLineVisible(bool)
    {83, 1113, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1688 QsciScintilla::setCaretWidth(int)
    {83, 1119, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1689 QsciScintilla::setColor(const QColor&)
    {83, 1122, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1690 QsciScintilla::setCursorPosition(int, int)
    {83, 1147, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1691 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {83, 1149, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1692 QsciScintilla::setEolVisibility(bool)
    {83, 1177, 231, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1693 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {83, 1185, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1694 QsciScintilla::setIndentation(int, int)
    {83, 1187, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1695 QsciScintilla::setIndentationGuides(bool)
    {83, 1189, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1696 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {83, 1191, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1697 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {83, 1197, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1698 QsciScintilla::setIndentationsUseTabs(bool)
    {83, 1195, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1699 QsciScintilla::setIndentationWidth(int)
    {83, 1209, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1700 QsciScintilla::setLexer(QsciLexer*)
    {83, 1228, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1701 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {83, 1230, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1702 QsciScintilla::setMarginsFont(const QFont&)
    {83, 1232, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1703 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {83, 1213, 234, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1704 QsciScintilla::setMarginLineNumbers(int, bool)
    {83, 1215, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1705 QsciScintilla::setMarginMarkerMask(int, int)
    {83, 1217, 234, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1706 QsciScintilla::setMarginSensitivity(int, bool)
    {83, 1226, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1707 QsciScintilla::setMarginWidth(int, int)
    {83, 1226, 237, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1708 QsciScintilla::setMarginWidth(int, const QString&)
    {83, 1244, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1709 QsciScintilla::setModified(bool)
    {83, 1246, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1710 QsciScintilla::setPaper(const QColor&)
    {83, 1249, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1711 QsciScintilla::setReadOnly(bool)
    {83, 1253, 240, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1712 QsciScintilla::setSelection(int, int, int, int)
    {83, 1255, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1713 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {83, 1257, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1714 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {83, 1268, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1715 QsciScintilla::setTabIndents(bool)
    {83, 1270, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1716 QsciScintilla::setTabWidth(int)
    {83, 1272, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1717 QsciScintilla::setText(const QString&)
    {83, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1718 QsciScintilla::setUtf8(bool)
    {83, 1292, 245, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1719 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {83, 1294, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1720 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {83, 1338, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1721 QsciScintilla::undo()
    {83, 1339, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1722 QsciScintilla::unindent(int)
    {83, 1367, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1723 QsciScintilla::zoomIn(int)
    {83, 1367, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1724 QsciScintilla::zoomIn()
    {83, 1369, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1725 QsciScintilla::zoomOut(int)
    {83, 1369, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1726 QsciScintilla::zoomOut()
    {83, 1371, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1727 QsciScintilla::zoomTo(int)
    {83, 791, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1728 QsciScintilla::cursorPositionChanged(int, int)
    {83, 789, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1729 QsciScintilla::copyAvailable(bool)
    {83, 898, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1730 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {83, 905, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 216},	//1731 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {83, 946, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 217},	//1732 QsciScintilla::linesChanged()
    {83, 952, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 218},	//1733 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {83, 989, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 219},	//1734 QsciScintilla::modificationAttempted()
    {83, 990, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 220},	//1735 QsciScintilla::modificationChanged(bool)
    {83, 1063, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 221},	//1736 QsciScintilla::selectionChanged()
    {83, 1323, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 222},	//1737 QsciScintilla::textChanged()
    {83, 1343, 237, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 223},	//1738 QsciScintilla::userListActivated(int, const QString&)
    {83, 1330, 12, 1, Smoke::mf_static, 37, 224},	//1739 QsciScintilla::tr(const char*)
    {83, 1334, 12, 1, Smoke::mf_static, 37, 225},	//1740 QsciScintilla::trUtf8(const char*)
    {83, 420, 0, 0, Smoke::mf_ctor, 87, 226},	//1741 QsciScintilla::QsciScintilla()
    {83, 768, 0, 0, 0, 0, 227},	//1742 QsciScintilla::clearAnnotations()
    {83, 841, 251, 5, 0, 180, 228},	//1743 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {83, 841, 257, 6, 0, 180, 229},	//1744 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {83, 841, 264, 7, 0, 180, 230},	//1745 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {83, 841, 272, 8, 0, 180, 231},	//1746 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {83, 900, 281, 1, 0, 202, 232},	//1747 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {83, 966, 283, 1, 0, 202, 233},	//1748 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {83, 966, 177, 1, 0, 202, 234},	//1749 QsciScintilla::markerDefine(char)
    {83, 966, 285, 1, 0, 202, 235},	//1750 QsciScintilla::markerDefine(const QPixmap&)
    {83, 971, 18, 1, 0, 0, 236},	//1751 QsciScintilla::markerDelete(int)
    {83, 974, 0, 0, 0, 0, 237},	//1752 QsciScintilla::markerDeleteAll()
    {83, 1035, 0, 0, 0, 0, 238},	//1753 QsciScintilla::recolor()
    {83, 1035, 18, 1, 0, 0, 239},	//1754 QsciScintilla::recolor(int)
    {83, 1199, 16, 1, 0, 0, 240},	//1755 QsciScintilla::setIndicatorDrawUnder(bool)
    {83, 1202, 80, 1, 0, 0, 241},	//1756 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {83, 774, 0, 0, 0, 0, 242},	//1757 QsciScintilla::clearMarginText()
    {83, 1234, 80, 1, 0, 0, 243},	//1758 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {83, 1237, 80, 1, 0, 0, 244},	//1759 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {83, 1296, 287, 1, 0, 0, 245},	//1760 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {83, 1296, 289, 2, 0, 0, 246},	//1761 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {83, 855, 0, 0, Smoke::mf_slot, 0, 247},	//1762 QsciScintilla::foldAll()
    {83, 1059, 0, 0, Smoke::mf_slot, 0, 248},	//1763 QsciScintilla::selectAll()
    {83, 1177, 292, 1, Smoke::mf_slot, 0, 249},	//1764 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {83, 1209, 0, 0, Smoke::mf_slot, 0, 250},	//1765 QsciScintilla::setLexer()
    {83, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 251},	//1766 QsciScintilla::staticMetaObject() const
    {83, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 252},	//1767 QsciScintilla::AiMaintain (enum)
    {83, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 253},	//1768 QsciScintilla::AiOpening (enum)
    {83, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 254},	//1769 QsciScintilla::AiClosing (enum)
    {83, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 255},	//1770 QsciScintilla::AnnotationHidden (enum)
    {83, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 256},	//1771 QsciScintilla::AnnotationStandard (enum)
    {83, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 257},	//1772 QsciScintilla::AnnotationBoxed (enum)
    {83, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 258},	//1773 QsciScintilla::AcsNone (enum)
    {83, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 259},	//1774 QsciScintilla::AcsAll (enum)
    {83, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 260},	//1775 QsciScintilla::AcsDocument (enum)
    {83, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 261},	//1776 QsciScintilla::AcsAPIs (enum)
    {83, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 262},	//1777 QsciScintilla::NoBraceMatch (enum)
    {83, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 263},	//1778 QsciScintilla::StrictBraceMatch (enum)
    {83, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 264},	//1779 QsciScintilla::SloppyBraceMatch (enum)
    {83, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 265},	//1780 QsciScintilla::CallTipsNone (enum)
    {83, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 266},	//1781 QsciScintilla::CallTipsNoContext (enum)
    {83, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 267},	//1782 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {83, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 268},	//1783 QsciScintilla::CallTipsContext (enum)
    {83, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 269},	//1784 QsciScintilla::EdgeNone (enum)
    {83, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 270},	//1785 QsciScintilla::EdgeLine (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 271},	//1786 QsciScintilla::EdgeBackground (enum)
    {83, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 272},	//1787 QsciScintilla::EolWindows (enum)
    {83, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 273},	//1788 QsciScintilla::EolUnix (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 274},	//1789 QsciScintilla::EolMac (enum)
    {83, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 275},	//1790 QsciScintilla::NoFoldStyle (enum)
    {83, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 276},	//1791 QsciScintilla::PlainFoldStyle (enum)
    {83, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 277},	//1792 QsciScintilla::CircledFoldStyle (enum)
    {83, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 278},	//1793 QsciScintilla::BoxedFoldStyle (enum)
    {83, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 279},	//1794 QsciScintilla::CircledTreeFoldStyle (enum)
    {83, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 280},	//1795 QsciScintilla::BoxedTreeFoldStyle (enum)
    {83, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 281},	//1796 QsciScintilla::PlainIndicator (enum)
    {83, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 282},	//1797 QsciScintilla::SquiggleIndicator (enum)
    {83, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 283},	//1798 QsciScintilla::TTIndicator (enum)
    {83, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 284},	//1799 QsciScintilla::DiagonalIndicator (enum)
    {83, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 285},	//1800 QsciScintilla::StrikeIndicator (enum)
    {83, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 286},	//1801 QsciScintilla::HiddenIndicator (enum)
    {83, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 287},	//1802 QsciScintilla::BoxIndicator (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 288},	//1803 QsciScintilla::RoundBoxIndicator (enum)
    {83, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 289},	//1804 QsciScintilla::SymbolMargin (enum)
    {83, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 290},	//1805 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {83, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 291},	//1806 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {83, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 292},	//1807 QsciScintilla::NumberMargin (enum)
    {83, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 293},	//1808 QsciScintilla::TextMargin (enum)
    {83, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1809 QsciScintilla::TextMarginRightJustified (enum)
    {83, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 295},	//1810 QsciScintilla::Circle (enum)
    {83, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 296},	//1811 QsciScintilla::Rectangle (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 297},	//1812 QsciScintilla::RightTriangle (enum)
    {83, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 298},	//1813 QsciScintilla::SmallRectangle (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 299},	//1814 QsciScintilla::RightArrow (enum)
    {83, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 300},	//1815 QsciScintilla::Invisible (enum)
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 301},	//1816 QsciScintilla::DownTriangle (enum)
    {83, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 302},	//1817 QsciScintilla::Minus (enum)
    {83, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//1818 QsciScintilla::Plus (enum)
    {83, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 304},	//1819 QsciScintilla::VerticalLine (enum)
    {83, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 305},	//1820 QsciScintilla::BottomLeftCorner (enum)
    {83, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 306},	//1821 QsciScintilla::LeftSideSplitter (enum)
    {83, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 307},	//1822 QsciScintilla::BoxedPlus (enum)
    {83, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 308},	//1823 QsciScintilla::BoxedPlusConnected (enum)
    {83, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//1824 QsciScintilla::BoxedMinus (enum)
    {83, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//1825 QsciScintilla::BoxedMinusConnected (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//1826 QsciScintilla::RoundedBottomLeftCorner (enum)
    {83, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//1827 QsciScintilla::LeftSideRoundedSplitter (enum)
    {83, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 313},	//1828 QsciScintilla::CircledPlus (enum)
    {83, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 314},	//1829 QsciScintilla::CircledPlusConnected (enum)
    {83, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 315},	//1830 QsciScintilla::CircledMinus (enum)
    {83, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 316},	//1831 QsciScintilla::CircledMinusConnected (enum)
    {83, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 317},	//1832 QsciScintilla::Background (enum)
    {83, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 318},	//1833 QsciScintilla::ThreeDots (enum)
    {83, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 319},	//1834 QsciScintilla::ThreeRightArrows (enum)
    {83, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 320},	//1835 QsciScintilla::WsInvisible (enum)
    {83, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 321},	//1836 QsciScintilla::WsVisible (enum)
    {83, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 322},	//1837 QsciScintilla::WsVisibleAfterIndent (enum)
    {83, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 323},	//1838 QsciScintilla::WrapNone (enum)
    {83, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 324},	//1839 QsciScintilla::WrapWord (enum)
    {83, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 325},	//1840 QsciScintilla::WrapCharacter (enum)
    {83, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 326},	//1841 QsciScintilla::WrapFlagNone (enum)
    {83, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 327},	//1842 QsciScintilla::WrapFlagByText (enum)
    {83, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 328},	//1843 QsciScintilla::WrapFlagByBorder (enum)
    {83, 1410, 0, 0, Smoke::mf_dtor, 0, 329 },	//1844 QsciScintilla::~QsciScintilla()
    {84, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 1},	//1845 QsciScintillaBase::metaObject() const
    {84, 1026, 12, 1, Smoke::mf_virtual, 208, 2},	//1846 QsciScintillaBase::qt_metacast(const char*)
    {84, 1330, 44, 2, Smoke::mf_static, 37, 3},	//1847 QsciScintillaBase::tr(const char*, const char*)
    {84, 1334, 44, 2, Smoke::mf_static, 37, 4},	//1848 QsciScintillaBase::trUtf8(const char*, const char*)
    {84, 1330, 47, 3, Smoke::mf_static, 37, 5},	//1849 QsciScintillaBase::tr(const char*, const char*, int)
    {84, 1334, 47, 3, Smoke::mf_static, 37, 6},	//1850 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {84, 1024, 51, 3, Smoke::mf_virtual, 202, 7},	//1851 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {84, 422, 128, 1, Smoke::mf_ctor, 102, 8},	//1852 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {84, 1014, 0, 0, Smoke::mf_static, 102, 9},	//1853 QsciScintillaBase::pool()
    {84, 607, 294, 3, Smoke::mf_const, 205, 10},	//1854 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {84, 607, 298, 3, Smoke::mf_const, 205, 11},	//1855 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {84, 607, 302, 3, Smoke::mf_const, 205, 12},	//1856 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {84, 607, 306, 2, Smoke::mf_const, 205, 13},	//1857 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {84, 607, 309, 3, Smoke::mf_const, 205, 14},	//1858 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {84, 607, 313, 2, Smoke::mf_const, 205, 15},	//1859 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {84, 607, 316, 2, Smoke::mf_const, 205, 16},	//1860 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {84, 607, 319, 4, Smoke::mf_const, 205, 17},	//1861 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {84, 607, 324, 3, Smoke::mf_const, 205, 18},	//1862 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {84, 607, 328, 2, Smoke::mf_const, 205, 19},	//1863 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {84, 607, 331, 6, Smoke::mf_const, 205, 20},	//1864 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {84, 607, 338, 3, Smoke::mf_const, 205, 21},	//1865 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {84, 615, 342, 1, Smoke::mf_const, 208, 22},	//1866 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {84, 339, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1867 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {84, 551, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1868 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {84, 552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1869 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {84, 553, 344, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1870 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {84, 453, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1871 QsciScintillaBase::SCEN_CHANGE()
    {84, 555, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1872 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {84, 557, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1873 QsciScintillaBase::SCN_CHARADDED(int)
    {84, 559, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1874 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {84, 561, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1875 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {84, 563, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1876 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {84, 565, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1877 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {84, 567, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1878 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {84, 569, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1879 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {84, 571, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1880 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {84, 573, 298, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1881 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {84, 575, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1882 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {84, 577, 351, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1883 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {84, 579, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1884 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {84, 580, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1885 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {84, 582, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1886 QsciScintillaBase::SCN_PAINTED()
    {84, 583, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1887 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {84, 584, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1888 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {84, 585, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1889 QsciScintillaBase::SCN_STYLENEEDED(int)
    {84, 587, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1890 QsciScintillaBase::SCN_UPDATEUI()
    {84, 588, 344, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1891 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {84, 590, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1892 QsciScintillaBase::SCN_ZOOM()
    {84, 757, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 49},	//1893 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {84, 879, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 37, 50},	//1894 QsciScintillaBase::fromMimeData(const QMimeData*) const
    {84, 1327, 57, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 21, 51},	//1895 QsciScintillaBase::toMimeData(const QString&) const
    {84, 784, 364, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1896 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {84, 811, 366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1897 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {84, 813, 368, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1898 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {84, 815, 370, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1899 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {84, 817, 372, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1900 QsciScintillaBase::dropEvent(QDropEvent*)
    {84, 849, 374, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1901 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {84, 853, 374, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1902 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {84, 851, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 180, 59},	//1903 QsciScintillaBase::focusNextPrevChild(bool)
    {84, 927, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1904 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {84, 907, 376, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1905 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {84, 992, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1906 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {84, 994, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1907 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {84, 996, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1908 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {84, 998, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1909 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {84, 1005, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//1910 QsciScintillaBase::paintEvent(QPaintEvent*)
    {84, 1051, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//1911 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {84, 1057, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//1912 QsciScintillaBase::scrollContentsBy(int, int)
    {84, 1330, 12, 1, Smoke::mf_static, 37, 69},	//1913 QsciScintillaBase::tr(const char*)
    {84, 1334, 12, 1, Smoke::mf_static, 37, 70},	//1914 QsciScintillaBase::trUtf8(const char*)
    {84, 422, 0, 0, Smoke::mf_ctor, 102, 71},	//1915 QsciScintillaBase::QsciScintillaBase()
    {84, 607, 342, 1, Smoke::mf_const, 205, 72},	//1916 QsciScintillaBase::SendScintilla(unsigned int) const
    {84, 607, 384, 2, Smoke::mf_const, 205, 73},	//1917 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {84, 1310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 186, 74},	//1918 QsciScintillaBase::staticMetaObject() const
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 75},	//1919 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 76},	//1920 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 77},	//1921 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 78},	//1922 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 79},	//1923 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 80},	//1924 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 81},	//1925 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 82},	//1926 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 83},	//1927 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 84},	//1928 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 85},	//1929 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 86},	//1930 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 87},	//1931 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 88},	//1932 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 89},	//1933 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 90},	//1934 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 91},	//1935 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 92},	//1936 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 93},	//1937 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 94},	//1938 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 95},	//1939 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 96},	//1940 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 97},	//1941 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 98},	//1942 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 99},	//1943 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 100},	//1944 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 101},	//1945 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 102},	//1946 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 103},	//1947 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 104},	//1948 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 105},	//1949 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 106},	//1950 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 107},	//1951 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 108},	//1952 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 109},	//1953 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 110},	//1954 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 111},	//1955 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 112},	//1956 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 113},	//1957 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 114},	//1958 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 115},	//1959 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 116},	//1960 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 117},	//1961 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 118},	//1962 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 119},	//1963 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 120},	//1964 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 121},	//1965 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 122},	//1966 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 123},	//1967 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 124},	//1968 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 125},	//1969 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 126},	//1970 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 127},	//1971 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 128},	//1972 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 129},	//1973 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 130},	//1974 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 131},	//1975 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 132},	//1976 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 133},	//1977 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 134},	//1978 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 135},	//1979 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 136},	//1980 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 137},	//1981 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 138},	//1982 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 139},	//1983 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 140},	//1984 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 141},	//1985 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 142},	//1986 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 143},	//1987 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 144},	//1988 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 145},	//1989 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 146},	//1990 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 147},	//1991 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 148},	//1992 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 149},	//1993 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 150},	//1994 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 151},	//1995 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 152},	//1996 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 153},	//1997 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 154},	//1998 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 155},	//1999 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 156},	//2000 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 157},	//2001 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 158},	//2002 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 159},	//2003 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 160},	//2004 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 161},	//2005 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 162},	//2006 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 163},	//2007 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 164},	//2008 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 165},	//2009 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 166},	//2010 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 167},	//2011 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 168},	//2012 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 169},	//2013 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 170},	//2014 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 171},	//2015 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 172},	//2016 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 173},	//2017 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 174},	//2018 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 175},	//2019 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 176},	//2020 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 177},	//2021 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 178},	//2022 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 179},	//2023 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 180},	//2024 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 181},	//2025 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 182},	//2026 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 183},	//2027 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 184},	//2028 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 185},	//2029 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 186},	//2030 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 187},	//2031 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 188},	//2032 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 189},	//2033 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 190},	//2034 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 191},	//2035 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 192},	//2036 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 193},	//2037 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 194},	//2038 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 195},	//2039 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 196},	//2040 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 197},	//2041 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 198},	//2042 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 199},	//2043 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 200},	//2044 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 201},	//2045 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 202},	//2046 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 203},	//2047 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 204},	//2048 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 205},	//2049 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 206},	//2050 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 207},	//2051 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 208},	//2052 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 209},	//2053 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 210},	//2054 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 211},	//2055 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 212},	//2056 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 213},	//2057 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 214},	//2058 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 215},	//2059 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 216},	//2060 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 217},	//2061 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 218},	//2062 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 219},	//2063 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 220},	//2064 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 221},	//2065 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 222},	//2066 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 223},	//2067 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 224},	//2068 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 225},	//2069 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 226},	//2070 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 227},	//2071 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 228},	//2072 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 229},	//2073 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 230},	//2074 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 231},	//2075 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 232},	//2076 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 233},	//2077 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 234},	//2078 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 235},	//2079 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 236},	//2080 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 237},	//2081 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 238},	//2082 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 239},	//2083 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 240},	//2084 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 241},	//2085 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 242},	//2086 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 243},	//2087 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 244},	//2088 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 245},	//2089 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 246},	//2090 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 247},	//2091 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 248},	//2092 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 249},	//2093 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 250},	//2094 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 251},	//2095 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 252},	//2096 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 253},	//2097 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 254},	//2098 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 255},	//2099 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 256},	//2100 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 257},	//2101 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 258},	//2102 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 259},	//2103 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 260},	//2104 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 261},	//2105 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 262},	//2106 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 263},	//2107 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 264},	//2108 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 265},	//2109 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 266},	//2110 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 267},	//2111 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 268},	//2112 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 269},	//2113 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 270},	//2114 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 271},	//2115 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 272},	//2116 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 273},	//2117 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 274},	//2118 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 275},	//2119 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 276},	//2120 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 277},	//2121 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 278},	//2122 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 279},	//2123 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 280},	//2124 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 281},	//2125 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 282},	//2126 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 283},	//2127 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 284},	//2128 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 285},	//2129 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 286},	//2130 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 287},	//2131 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 288},	//2132 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 289},	//2133 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 290},	//2134 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 291},	//2135 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 292},	//2136 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 293},	//2137 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 294},	//2138 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 295},	//2139 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 296},	//2140 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 297},	//2141 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 298},	//2142 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 299},	//2143 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 300},	//2144 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 301},	//2145 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 302},	//2146 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 303},	//2147 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 304},	//2148 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 305},	//2149 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 306},	//2150 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 307},	//2151 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 308},	//2152 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 309},	//2153 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 310},	//2154 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 311},	//2155 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 312},	//2156 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 313},	//2157 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 314},	//2158 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 315},	//2159 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 316},	//2160 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 317},	//2161 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 318},	//2162 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 319},	//2163 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 320},	//2164 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 321},	//2165 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 322},	//2166 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 323},	//2167 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 324},	//2168 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 325},	//2169 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 326},	//2170 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 327},	//2171 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 328},	//2172 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 329},	//2173 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 330},	//2174 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 331},	//2175 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 332},	//2176 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 333},	//2177 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 334},	//2178 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 335},	//2179 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 336},	//2180 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 337},	//2181 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 338},	//2182 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 339},	//2183 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 340},	//2184 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 341},	//2185 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 342},	//2186 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 343},	//2187 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 344},	//2188 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 345},	//2189 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 346},	//2190 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 347},	//2191 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 348},	//2192 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 349},	//2193 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 350},	//2194 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 351},	//2195 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 352},	//2196 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 353},	//2197 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 354},	//2198 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 355},	//2199 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 356},	//2200 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 357},	//2201 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 358},	//2202 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 359},	//2203 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 360},	//2204 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 361},	//2205 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 362},	//2206 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 363},	//2207 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 364},	//2208 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 365},	//2209 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 366},	//2210 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 367},	//2211 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 368},	//2212 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 369},	//2213 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 370},	//2214 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 371},	//2215 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 372},	//2216 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 373},	//2217 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 374},	//2218 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 375},	//2219 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 376},	//2220 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 377},	//2221 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 378},	//2222 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 379},	//2223 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 380},	//2224 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 381},	//2225 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 382},	//2226 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 383},	//2227 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 384},	//2228 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 385},	//2229 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 386},	//2230 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 387},	//2231 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 388},	//2232 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 389},	//2233 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 390},	//2234 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 391},	//2235 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 392},	//2236 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 393},	//2237 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 394},	//2238 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 395},	//2239 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 396},	//2240 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 397},	//2241 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 398},	//2242 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 399},	//2243 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 400},	//2244 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 401},	//2245 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 402},	//2246 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 403},	//2247 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 404},	//2248 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 405},	//2249 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 406},	//2250 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 407},	//2251 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 408},	//2252 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 409},	//2253 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 410},	//2254 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 411},	//2255 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 412},	//2256 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 413},	//2257 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 414},	//2258 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 415},	//2259 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 416},	//2260 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 417},	//2261 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 418},	//2262 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 419},	//2263 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 420},	//2264 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 421},	//2265 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 422},	//2266 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 423},	//2267 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 424},	//2268 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 425},	//2269 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 426},	//2270 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 427},	//2271 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 428},	//2272 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 429},	//2273 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 430},	//2274 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 431},	//2275 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 432},	//2276 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 433},	//2277 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 434},	//2278 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 435},	//2279 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 436},	//2280 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 437},	//2281 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 438},	//2282 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 439},	//2283 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 440},	//2284 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 441},	//2285 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 442},	//2286 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 443},	//2287 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 444},	//2288 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 445},	//2289 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 446},	//2290 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 447},	//2291 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 448},	//2292 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 449},	//2293 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 450},	//2294 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 451},	//2295 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 452},	//2296 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 453},	//2297 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 454},	//2298 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 455},	//2299 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 456},	//2300 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 457},	//2301 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 458},	//2302 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 459},	//2303 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 460},	//2304 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 461},	//2305 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 462},	//2306 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 463},	//2307 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 464},	//2308 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 465},	//2309 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 466},	//2310 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 467},	//2311 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 468},	//2312 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 469},	//2313 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 470},	//2314 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 471},	//2315 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 472},	//2316 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 473},	//2317 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 474},	//2318 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 475},	//2319 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 476},	//2320 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 477},	//2321 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 478},	//2322 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 479},	//2323 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 480},	//2324 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 481},	//2325 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 482},	//2326 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 483},	//2327 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 484},	//2328 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 485},	//2329 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 486},	//2330 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 487},	//2331 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 488},	//2332 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 489},	//2333 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 490},	//2334 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 491},	//2335 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 492},	//2336 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 493},	//2337 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 494},	//2338 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 495},	//2339 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 496},	//2340 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 497},	//2341 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 498},	//2342 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 499},	//2343 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 500},	//2344 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 501},	//2345 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 502},	//2346 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 503},	//2347 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 504},	//2348 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 505},	//2349 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 506},	//2350 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 507},	//2351 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 508},	//2352 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 509},	//2353 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 510},	//2354 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 511},	//2355 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 512},	//2356 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 513},	//2357 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 514},	//2358 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 515},	//2359 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 516},	//2360 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 517},	//2361 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 518},	//2362 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 519},	//2363 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 520},	//2364 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 521},	//2365 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 522},	//2366 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 523},	//2367 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 524},	//2368 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 525},	//2369 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 526},	//2370 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 527},	//2371 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 528},	//2372 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 529},	//2373 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 530},	//2374 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 531},	//2375 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 532},	//2376 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 533},	//2377 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 534},	//2378 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 535},	//2379 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 536},	//2380 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 537},	//2381 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 538},	//2382 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 539},	//2383 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 540},	//2384 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 541},	//2385 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 542},	//2386 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 543},	//2387 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 544},	//2388 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 545},	//2389 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 546},	//2390 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 547},	//2391 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 548},	//2392 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 549},	//2393 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 550},	//2394 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 551},	//2395 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 552},	//2396 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 553},	//2397 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 554},	//2398 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 555},	//2399 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 556},	//2400 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 557},	//2401 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 558},	//2402 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 559},	//2403 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 560},	//2404 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 561},	//2405 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 562},	//2406 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 563},	//2407 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 564},	//2408 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 565},	//2409 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 566},	//2410 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 567},	//2411 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 568},	//2412 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 569},	//2413 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 570},	//2414 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 571},	//2415 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 572},	//2416 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 573},	//2417 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 574},	//2418 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 575},	//2419 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 576},	//2420 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 577},	//2421 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 578},	//2422 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 579},	//2423 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 580},	//2424 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 581},	//2425 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 582},	//2426 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 583},	//2427 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 584},	//2428 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 585},	//2429 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 586},	//2430 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 587},	//2431 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 588},	//2432 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 589},	//2433 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 590},	//2434 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 591},	//2435 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 592},	//2436 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 593},	//2437 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 594},	//2438 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 595},	//2439 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 596},	//2440 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 597},	//2441 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 598},	//2442 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 599},	//2443 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 600},	//2444 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 601},	//2445 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 602},	//2446 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 603},	//2447 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 604},	//2448 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 605},	//2449 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 606},	//2450 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 607},	//2451 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 608},	//2452 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 609},	//2453 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 610},	//2454 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 611},	//2455 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 612},	//2456 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 613},	//2457 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 614},	//2458 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 615},	//2459 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 616},	//2460 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 617},	//2461 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 618},	//2462 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 619},	//2463 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 620},	//2464 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 621},	//2465 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 622},	//2466 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 623},	//2467 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 624},	//2468 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 625},	//2469 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 626},	//2470 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 627},	//2471 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 628},	//2472 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 629},	//2473 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 630},	//2474 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 631},	//2475 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 632},	//2476 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 633},	//2477 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 634},	//2478 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 635},	//2479 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 636},	//2480 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 637},	//2481 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 638},	//2482 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 639},	//2483 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 640},	//2484 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 641},	//2485 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 642},	//2486 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 643},	//2487 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 644},	//2488 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 645},	//2489 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 646},	//2490 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 647},	//2491 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 648},	//2492 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 649},	//2493 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 650},	//2494 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 651},	//2495 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 652},	//2496 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 653},	//2497 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 654},	//2498 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 655},	//2499 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 656},	//2500 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 657},	//2501 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 658},	//2502 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 659},	//2503 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 660},	//2504 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 661},	//2505 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 662},	//2506 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 663},	//2507 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 664},	//2508 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 665},	//2509 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 666},	//2510 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 667},	//2511 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 668},	//2512 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 669},	//2513 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 670},	//2514 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 671},	//2515 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 672},	//2516 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 673},	//2517 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 674},	//2518 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 675},	//2519 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 676},	//2520 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 677},	//2521 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 678},	//2522 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 679},	//2523 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 680},	//2524 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 681},	//2525 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 682},	//2526 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 683},	//2527 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 684},	//2528 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 685},	//2529 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 686},	//2530 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 687},	//2531 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 688},	//2532 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 689},	//2533 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 690},	//2534 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 691},	//2535 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 692},	//2536 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 693},	//2537 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 694},	//2538 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 695},	//2539 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 696},	//2540 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 697},	//2541 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 698},	//2542 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 699},	//2543 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 700},	//2544 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 701},	//2545 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 702},	//2546 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 703},	//2547 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 704},	//2548 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 705},	//2549 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 706},	//2550 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 707},	//2551 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 708},	//2552 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 709},	//2553 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 710},	//2554 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 711},	//2555 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 712},	//2556 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 713},	//2557 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 714},	//2558 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 715},	//2559 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 716},	//2560 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 717},	//2561 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 718},	//2562 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 719},	//2563 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 720},	//2564 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 721},	//2565 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 722},	//2566 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 723},	//2567 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 724},	//2568 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 725},	//2569 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 726},	//2570 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 727},	//2571 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 728},	//2572 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 729},	//2573 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 730},	//2574 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 731},	//2575 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 732},	//2576 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 733},	//2577 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 734},	//2578 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 735},	//2579 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 736},	//2580 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 737},	//2581 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 738},	//2582 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 739},	//2583 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 740},	//2584 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 741},	//2585 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 742},	//2586 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 743},	//2587 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 744},	//2588 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 745},	//2589 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 746},	//2590 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 747},	//2591 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 748},	//2592 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 749},	//2593 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 750},	//2594 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 751},	//2595 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 752},	//2596 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 753},	//2597 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 754},	//2598 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 755},	//2599 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 756},	//2600 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 757},	//2601 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 758},	//2602 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 759},	//2603 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 760},	//2604 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 761},	//2605 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 762},	//2606 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 763},	//2607 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 764},	//2608 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 765},	//2609 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 766},	//2610 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 767},	//2611 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 768},	//2612 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 769},	//2613 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 770},	//2614 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 771},	//2615 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 772},	//2616 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 773},	//2617 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 774},	//2618 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 775},	//2619 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 776},	//2620 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 777},	//2621 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 778},	//2622 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 779},	//2623 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 780},	//2624 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 781},	//2625 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 782},	//2626 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 783},	//2627 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 784},	//2628 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 785},	//2629 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 786},	//2630 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 787},	//2631 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 788},	//2632 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 789},	//2633 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 790},	//2634 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 791},	//2635 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 792},	//2636 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 793},	//2637 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 794},	//2638 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 795},	//2639 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 796},	//2640 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 797},	//2641 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 798},	//2642 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 799},	//2643 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 800},	//2644 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 801},	//2645 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 802},	//2646 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 803},	//2647 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 804},	//2648 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 805},	//2649 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 806},	//2650 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 807},	//2651 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 808},	//2652 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 809},	//2653 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 810},	//2654 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 811},	//2655 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 812},	//2656 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 813},	//2657 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 814},	//2658 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 815},	//2659 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 816},	//2660 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 817},	//2661 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 818},	//2662 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 819},	//2663 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 820},	//2664 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 821},	//2665 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 822},	//2666 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 823},	//2667 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 824},	//2668 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 825},	//2669 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 826},	//2670 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 827},	//2671 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 828},	//2672 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 829},	//2673 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 830},	//2674 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 831},	//2675 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 832},	//2676 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 833},	//2677 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 834},	//2678 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 835},	//2679 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 836},	//2680 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 837},	//2681 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 838},	//2682 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 839},	//2683 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 840},	//2684 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 841},	//2685 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 842},	//2686 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 843},	//2687 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 844},	//2688 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 845},	//2689 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 846},	//2690 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 847},	//2691 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 848},	//2692 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 849},	//2693 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 850},	//2694 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 851},	//2695 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 852},	//2696 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 853},	//2697 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 854},	//2698 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 855},	//2699 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 856},	//2700 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 857},	//2701 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 858},	//2702 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 859},	//2703 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 860},	//2704 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 861},	//2705 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 862},	//2706 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 863},	//2707 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 864},	//2708 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 865},	//2709 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 866},	//2710 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 867},	//2711 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 868},	//2712 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 869},	//2713 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 870},	//2714 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 871},	//2715 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 872},	//2716 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 873},	//2717 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 874},	//2718 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 875},	//2719 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 876},	//2720 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 877},	//2721 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 878},	//2722 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 879},	//2723 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 880},	//2724 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 881},	//2725 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 882},	//2726 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 883},	//2727 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 884},	//2728 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 885},	//2729 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 886},	//2730 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 887},	//2731 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 888},	//2732 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 889},	//2733 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 890},	//2734 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 891},	//2735 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 892},	//2736 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 893},	//2737 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 894},	//2738 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 895},	//2739 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 896},	//2740 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 897},	//2741 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 898},	//2742 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 899},	//2743 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 900},	//2744 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 901},	//2745 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 902},	//2746 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 903},	//2747 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 904},	//2748 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 905},	//2749 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 906},	//2750 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 907},	//2751 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 908},	//2752 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 909},	//2753 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 910},	//2754 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 911},	//2755 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 912},	//2756 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 913},	//2757 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 914},	//2758 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 915},	//2759 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 916},	//2760 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 917},	//2761 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 918},	//2762 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 919},	//2763 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 920},	//2764 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 921},	//2765 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 922},	//2766 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 923},	//2767 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 924},	//2768 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 925},	//2769 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 926},	//2770 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 927},	//2771 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 928},	//2772 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 929},	//2773 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 930},	//2774 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 931},	//2775 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 932},	//2776 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 933},	//2777 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 934},	//2778 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 935},	//2779 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 936},	//2780 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 937},	//2781 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 938},	//2782 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 939},	//2783 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 940},	//2784 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 941},	//2785 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 942},	//2786 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 943},	//2787 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 944},	//2788 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 945},	//2789 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 946},	//2790 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 947},	//2791 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 948},	//2792 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 949},	//2793 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 950},	//2794 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 951},	//2795 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 952},	//2796 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 953},	//2797 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 954},	//2798 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 955},	//2799 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 956},	//2800 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 957},	//2801 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 958},	//2802 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 959},	//2803 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 960},	//2804 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 961},	//2805 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 962},	//2806 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 963},	//2807 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 964},	//2808 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 965},	//2809 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 966},	//2810 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 967},	//2811 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 968},	//2812 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 969},	//2813 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 970},	//2814 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 971},	//2815 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 972},	//2816 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 973},	//2817 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 974},	//2818 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 975},	//2819 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 976},	//2820 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 977},	//2821 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 978},	//2822 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 979},	//2823 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 980},	//2824 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 981},	//2825 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 982},	//2826 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 983},	//2827 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 984},	//2828 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 985},	//2829 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 986},	//2830 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 987},	//2831 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 988},	//2832 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 989},	//2833 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 990},	//2834 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 991},	//2835 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 992},	//2836 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 993},	//2837 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 994},	//2838 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 995},	//2839 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 996},	//2840 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 997},	//2841 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 998},	//2842 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 999},	//2843 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1000},	//2844 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1001},	//2845 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1002},	//2846 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1003},	//2847 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1004},	//2848 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1005},	//2849 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1006},	//2850 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1007},	//2851 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1008},	//2852 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1009},	//2853 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1010},	//2854 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1011},	//2855 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1012},	//2856 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1013},	//2857 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1014},	//2858 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1015},	//2859 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1016},	//2860 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1017},	//2861 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1018},	//2862 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1019},	//2863 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1020},	//2864 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1021},	//2865 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1022},	//2866 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1023},	//2867 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1024},	//2868 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1025},	//2869 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1026},	//2870 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1027},	//2871 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1028},	//2872 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1029},	//2873 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1030},	//2874 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1031},	//2875 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1032},	//2876 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1033},	//2877 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1034},	//2878 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1035},	//2879 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1036},	//2880 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1037},	//2881 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1038},	//2882 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1039},	//2883 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1040},	//2884 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1041},	//2885 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1042},	//2886 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1043},	//2887 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1044},	//2888 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1045},	//2889 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1046},	//2890 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1047},	//2891 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1048},	//2892 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1049},	//2893 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1050},	//2894 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1051},	//2895 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1052},	//2896 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1053},	//2897 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1054},	//2898 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1055},	//2899 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1056},	//2900 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1057},	//2901 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1058},	//2902 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1059},	//2903 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1060},	//2904 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1061},	//2905 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1062},	//2906 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1063},	//2907 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1064},	//2908 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1065},	//2909 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1066},	//2910 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1067},	//2911 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1068},	//2912 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1069},	//2913 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1070},	//2914 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1071},	//2915 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1072},	//2916 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1073},	//2917 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1074},	//2918 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1075},	//2919 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1076},	//2920 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1077},	//2921 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1078},	//2922 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1079},	//2923 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1080},	//2924 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1081},	//2925 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1082},	//2926 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1083},	//2927 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1084},	//2928 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1085},	//2929 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1086},	//2930 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1087},	//2931 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1088},	//2932 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1089},	//2933 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1090},	//2934 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1091},	//2935 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1092},	//2936 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1093},	//2937 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1094},	//2938 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1095},	//2939 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1096},	//2940 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1097},	//2941 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1098},	//2942 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1099},	//2943 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1100},	//2944 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1101},	//2945 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1102},	//2946 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1103},	//2947 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1104},	//2948 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1105},	//2949 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1106},	//2950 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1107},	//2951 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1108},	//2952 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1109},	//2953 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1110},	//2954 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1111},	//2955 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1112},	//2956 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1113},	//2957 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1114},	//2958 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1115},	//2959 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1116},	//2960 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1117},	//2961 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1118},	//2962 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1119},	//2963 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1120},	//2964 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1121},	//2965 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1122},	//2966 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1123},	//2967 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1124},	//2968 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1125},	//2969 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1126},	//2970 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1127},	//2971 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1128},	//2972 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1129},	//2973 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1130},	//2974 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1131},	//2975 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1132},	//2976 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1133},	//2977 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1134},	//2978 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1135},	//2979 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1136},	//2980 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1137},	//2981 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1138},	//2982 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1139},	//2983 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1140},	//2984 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1141},	//2985 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1142},	//2986 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1143},	//2987 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1144},	//2988 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1145},	//2989 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1146},	//2990 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1147},	//2991 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1148},	//2992 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1149},	//2993 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1150},	//2994 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1151},	//2995 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1152},	//2996 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1153},	//2997 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1154},	//2998 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1155},	//2999 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1156},	//3000 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1157},	//3001 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1158},	//3002 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1159},	//3003 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1160},	//3004 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1161},	//3005 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1162},	//3006 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1163},	//3007 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1164},	//3008 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1165},	//3009 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1166},	//3010 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1167},	//3011 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1168},	//3012 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1169},	//3013 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1170},	//3014 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1171},	//3015 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1172},	//3016 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1173},	//3017 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1174},	//3018 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1175},	//3019 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1176},	//3020 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1177},	//3021 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1178},	//3022 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1179},	//3023 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1180},	//3024 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1181},	//3025 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1182},	//3026 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1183},	//3027 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1184},	//3028 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1185},	//3029 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1186},	//3030 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1187},	//3031 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1188},	//3032 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1189},	//3033 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1190},	//3034 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1191},	//3035 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1192},	//3036 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1193},	//3037 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1194},	//3038 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1195},	//3039 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1196},	//3040 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1197},	//3041 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1198},	//3042 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1199},	//3043 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1200},	//3044 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1201},	//3045 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1202},	//3046 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1203},	//3047 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1204},	//3048 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1205},	//3049 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1206},	//3050 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1207},	//3051 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1208},	//3052 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1209},	//3053 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1210},	//3054 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1211},	//3055 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1212},	//3056 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1213},	//3057 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1214},	//3058 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1215},	//3059 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1216},	//3060 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1217},	//3061 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1218},	//3062 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1219},	//3063 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1220},	//3064 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1221},	//3065 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1222},	//3066 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1223},	//3067 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1224},	//3068 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1225},	//3069 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1226},	//3070 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1227},	//3071 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1228},	//3072 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1229},	//3073 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1230},	//3074 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1231},	//3075 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1232},	//3076 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1233},	//3077 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1234},	//3078 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1235},	//3079 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1236},	//3080 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1237},	//3081 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1238},	//3082 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1239},	//3083 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1240},	//3084 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1241},	//3085 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1242},	//3086 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1243},	//3087 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1244},	//3088 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1245},	//3089 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1246},	//3090 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1247},	//3091 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1248},	//3092 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1249},	//3093 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1250},	//3094 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1251},	//3095 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1252},	//3096 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1253},	//3097 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1254},	//3098 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1255},	//3099 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1256},	//3100 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1257},	//3101 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1258},	//3102 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1259},	//3103 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1260},	//3104 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1261},	//3105 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1262},	//3106 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1263},	//3107 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1264},	//3108 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1265},	//3109 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1266},	//3110 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1267},	//3111 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1268},	//3112 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1269},	//3113 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1270},	//3114 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1271},	//3115 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1272},	//3116 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1273},	//3117 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1274},	//3118 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1275},	//3119 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1276},	//3120 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1277},	//3121 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1278},	//3122 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1279},	//3123 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1280},	//3124 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1281},	//3125 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1282},	//3126 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1283},	//3127 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1284},	//3128 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1285},	//3129 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1286},	//3130 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1287},	//3131 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1288},	//3132 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1289},	//3133 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1290},	//3134 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1291},	//3135 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1292},	//3136 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1293},	//3137 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1294},	//3138 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1295},	//3139 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1296},	//3140 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1297},	//3141 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1298},	//3142 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1299},	//3143 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1300},	//3144 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1301},	//3145 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1302},	//3146 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1303},	//3147 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1304},	//3148 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1305},	//3149 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1306},	//3150 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1307},	//3151 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1308},	//3152 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1309},	//3153 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1310},	//3154 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1311},	//3155 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1312},	//3156 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1313},	//3157 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1314},	//3158 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1315},	//3159 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1316},	//3160 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1317},	//3161 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1318},	//3162 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1319},	//3163 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1320},	//3164 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1321},	//3165 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1322},	//3166 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1323},	//3167 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1324},	//3168 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1325},	//3169 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1326},	//3170 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1327},	//3171 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1328},	//3172 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1329},	//3173 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1330},	//3174 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1331},	//3175 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1332},	//3176 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1333},	//3177 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1334},	//3178 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1335},	//3179 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1336},	//3180 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1337},	//3181 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1338},	//3182 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1339},	//3183 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1340},	//3184 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1341},	//3185 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1342},	//3186 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1343},	//3187 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1344},	//3188 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1345},	//3189 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1346},	//3190 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1347},	//3191 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1348},	//3192 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1349},	//3193 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1350},	//3194 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1351},	//3195 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1352},	//3196 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1353},	//3197 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1354},	//3198 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1355},	//3199 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1356},	//3200 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1357},	//3201 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1358},	//3202 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1359},	//3203 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1360},	//3204 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1361},	//3205 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1362},	//3206 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1363},	//3207 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1364},	//3208 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1365},	//3209 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1366},	//3210 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1367},	//3211 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1368},	//3212 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1369},	//3213 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1370},	//3214 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1371},	//3215 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1372},	//3216 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1373},	//3217 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1374},	//3218 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1375},	//3219 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1376},	//3220 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1377},	//3221 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1378},	//3222 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1379},	//3223 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1380},	//3224 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1381},	//3225 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1382},	//3226 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1383},	//3227 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1384},	//3228 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1385},	//3229 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1386},	//3230 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1387},	//3231 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1388},	//3232 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1389},	//3233 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1390},	//3234 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1391},	//3235 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1392},	//3236 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1393},	//3237 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1394},	//3238 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1395},	//3239 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1396},	//3240 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1397},	//3241 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1398},	//3242 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1399},	//3243 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1400},	//3244 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1401},	//3245 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1402},	//3246 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1403},	//3247 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1404},	//3248 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1405},	//3249 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1406},	//3250 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1407},	//3251 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1408},	//3252 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1409},	//3253 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1410},	//3254 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1411},	//3255 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1412},	//3256 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1413},	//3257 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1414},	//3258 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1415},	//3259 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1416},	//3260 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1417},	//3261 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1418},	//3262 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1419},	//3263 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1420},	//3264 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1421},	//3265 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1422},	//3266 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1423},	//3267 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1424},	//3268 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1425},	//3269 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1426},	//3270 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1427},	//3271 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1428},	//3272 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1429},	//3273 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1430},	//3274 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1431},	//3275 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1432},	//3276 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1433},	//3277 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1434},	//3278 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1435},	//3279 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1436},	//3280 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1437},	//3281 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1438},	//3282 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1439},	//3283 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1440},	//3284 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1441},	//3285 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1442},	//3286 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1443},	//3287 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1444},	//3288 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1445},	//3289 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1446},	//3290 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1447},	//3291 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1448},	//3292 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1449},	//3293 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1450},	//3294 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1451},	//3295 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1452},	//3296 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1453},	//3297 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1454},	//3298 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1455},	//3299 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1456},	//3300 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1457},	//3301 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1458},	//3302 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1459},	//3303 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1460},	//3304 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1461},	//3305 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1462},	//3306 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1463},	//3307 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1464},	//3308 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1465},	//3309 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1466},	//3310 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1467},	//3311 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1468},	//3312 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1469},	//3313 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1470},	//3314 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1471},	//3315 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1472},	//3316 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1473},	//3317 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1474},	//3318 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1475},	//3319 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1476},	//3320 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1477},	//3321 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1478},	//3322 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1479},	//3323 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1480},	//3324 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1481},	//3325 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1482},	//3326 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1483},	//3327 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1484},	//3328 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1485},	//3329 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1486},	//3330 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1487},	//3331 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1488},	//3332 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1489},	//3333 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1490},	//3334 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1491},	//3335 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1492},	//3336 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1493},	//3337 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1494},	//3338 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1495},	//3339 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1496},	//3340 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1497},	//3341 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1498},	//3342 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1499},	//3343 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1500},	//3344 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1501},	//3345 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1502},	//3346 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1503},	//3347 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1504},	//3348 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1505},	//3349 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1506},	//3350 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1507},	//3351 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1508},	//3352 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1509},	//3353 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1510},	//3354 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1511},	//3355 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1512},	//3356 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1513},	//3357 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1514},	//3358 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1515},	//3359 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1516},	//3360 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1517},	//3361 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1518},	//3362 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1519},	//3363 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1520},	//3364 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1521},	//3365 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1522},	//3366 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1523},	//3367 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1524},	//3368 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1525},	//3369 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1526},	//3370 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1527},	//3371 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1528},	//3372 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1529},	//3373 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1530},	//3374 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1531},	//3375 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1532},	//3376 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1533},	//3377 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1534},	//3378 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1535},	//3379 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1536},	//3380 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1537},	//3381 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1538},	//3382 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1539},	//3383 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1540},	//3384 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1541},	//3385 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1542},	//3386 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1543},	//3387 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1544},	//3388 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1545},	//3389 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1546},	//3390 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1547},	//3391 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1548},	//3392 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1549},	//3393 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1550},	//3394 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1551},	//3395 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1552},	//3396 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1553},	//3397 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1554},	//3398 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1555},	//3399 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1556},	//3400 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1557},	//3401 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1558},	//3402 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1559},	//3403 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1560},	//3404 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1561},	//3405 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1562},	//3406 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1563},	//3407 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1564},	//3408 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1565},	//3409 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1566},	//3410 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1567},	//3411 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1568},	//3412 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1569},	//3413 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1570},	//3414 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1571},	//3415 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1572},	//3416 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1573},	//3417 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1574},	//3418 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1575},	//3419 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1576},	//3420 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1577},	//3421 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1578},	//3422 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1579},	//3423 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1580},	//3424 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1581},	//3425 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1582},	//3426 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1583},	//3427 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1584},	//3428 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1585},	//3429 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1586},	//3430 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1587},	//3431 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1588},	//3432 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1589},	//3433 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1590},	//3434 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1591},	//3435 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1592},	//3436 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1593},	//3437 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1594},	//3438 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1595},	//3439 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1596},	//3440 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1597},	//3441 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1598},	//3442 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1599},	//3443 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1600},	//3444 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1601},	//3445 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1602},	//3446 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1603},	//3447 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1604},	//3448 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1605},	//3449 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1606},	//3450 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1607},	//3451 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1608},	//3452 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1609},	//3453 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1610},	//3454 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1611},	//3455 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1612},	//3456 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1613},	//3457 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1614},	//3458 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1615},	//3459 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1616},	//3460 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1617},	//3461 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1618},	//3462 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1619},	//3463 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1620},	//3464 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1621},	//3465 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1622},	//3466 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1623},	//3467 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1624},	//3468 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1625},	//3469 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1626},	//3470 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1627},	//3471 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1628},	//3472 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1629},	//3473 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1630},	//3474 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1631},	//3475 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1632},	//3476 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1633},	//3477 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1634},	//3478 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1635},	//3479 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1636},	//3480 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1637},	//3481 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1638},	//3482 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1639},	//3483 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1640},	//3484 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1641},	//3485 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1642},	//3486 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1643},	//3487 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1644},	//3488 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1645},	//3489 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1646},	//3490 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1647},	//3491 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1648},	//3492 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1649},	//3493 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1650},	//3494 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1651},	//3495 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1652},	//3496 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1653},	//3497 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1654},	//3498 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1655},	//3499 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1656},	//3500 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1657},	//3501 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1658},	//3502 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1659},	//3503 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1660},	//3504 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1661},	//3505 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1662},	//3506 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1663},	//3507 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1664},	//3508 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1665},	//3509 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1666},	//3510 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1667},	//3511 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1668},	//3512 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1669},	//3513 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1670},	//3514 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1671},	//3515 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1672},	//3516 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1673},	//3517 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1674},	//3518 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1675},	//3519 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1676},	//3520 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1677},	//3521 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1678},	//3522 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1679},	//3523 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1680},	//3524 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1681},	//3525 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1682},	//3526 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1683},	//3527 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1684},	//3528 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1685},	//3529 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1686},	//3530 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1687},	//3531 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1688},	//3532 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1689},	//3533 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1690},	//3534 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1691},	//3535 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1692},	//3536 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1693},	//3537 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1694},	//3538 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1695},	//3539 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1696},	//3540 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1697},	//3541 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1698},	//3542 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1699},	//3543 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1700},	//3544 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1701},	//3545 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1702},	//3546 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1703},	//3547 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1704},	//3548 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1705},	//3549 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1706},	//3550 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1707},	//3551 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1708},	//3552 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1709},	//3553 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1710},	//3554 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1711},	//3555 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1712},	//3556 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1713},	//3557 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1714},	//3558 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1715},	//3559 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1716},	//3560 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1717},	//3561 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1718},	//3562 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1719},	//3563 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1720},	//3564 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1721},	//3565 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1722},	//3566 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1723},	//3567 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1724},	//3568 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1725},	//3569 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1726},	//3570 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1727},	//3571 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1728},	//3572 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1729},	//3573 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1730},	//3574 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1731},	//3575 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1732},	//3576 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1733},	//3577 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1734},	//3578 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1735},	//3579 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1736},	//3580 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1737},	//3581 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1738},	//3582 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1739},	//3583 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1740},	//3584 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1741},	//3585 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1742},	//3586 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1743},	//3587 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1744},	//3588 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1745},	//3589 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1746},	//3590 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1747},	//3591 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1748},	//3592 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1749},	//3593 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1750},	//3594 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1751},	//3595 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1752},	//3596 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1753},	//3597 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1754},	//3598 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1755},	//3599 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1756},	//3600 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1757},	//3601 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1758},	//3602 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1759},	//3603 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1760},	//3604 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1761},	//3605 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1762},	//3606 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1763},	//3607 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1764},	//3608 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1765},	//3609 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1766},	//3610 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1767},	//3611 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1768},	//3612 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1769},	//3613 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1770},	//3614 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1771},	//3615 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1772},	//3616 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1773},	//3617 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1774},	//3618 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1775},	//3619 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1776},	//3620 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1777},	//3621 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1778},	//3622 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1779},	//3623 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1780},	//3624 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1781},	//3625 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1782},	//3626 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1783},	//3627 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1784},	//3628 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1785},	//3629 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1786},	//3630 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1787},	//3631 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1788},	//3632 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1789},	//3633 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1790},	//3634 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1791},	//3635 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1792},	//3636 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1793},	//3637 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1794},	//3638 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1795},	//3639 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1796},	//3640 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1797},	//3641 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1798},	//3642 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1799},	//3643 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1800},	//3644 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1801},	//3645 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1802},	//3646 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1803},	//3647 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1804},	//3648 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1805},	//3649 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1806},	//3650 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1807},	//3651 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1808},	//3652 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1809},	//3653 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1810},	//3654 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1811},	//3655 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1812},	//3656 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1813},	//3657 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1814},	//3658 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1815},	//3659 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1816},	//3660 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1817},	//3661 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1818},	//3662 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1819},	//3663 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1820},	//3664 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1821},	//3665 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1822},	//3666 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1823},	//3667 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1824},	//3668 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1825},	//3669 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1826},	//3670 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1827},	//3671 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1828},	//3672 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1829},	//3673 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1830},	//3674 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1831},	//3675 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1832},	//3676 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1833},	//3677 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1834},	//3678 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1835},	//3679 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1836},	//3680 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1837},	//3681 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1838},	//3682 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1839},	//3683 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1840},	//3684 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1841},	//3685 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1842},	//3686 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1843},	//3687 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1844},	//3688 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1845},	//3689 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1846},	//3690 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1847},	//3691 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1848},	//3692 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1849},	//3693 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1850},	//3694 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1851},	//3695 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1852},	//3696 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1853},	//3697 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1854},	//3698 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1855},	//3699 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1856},	//3700 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1857},	//3701 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1858},	//3702 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1859},	//3703 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1860},	//3704 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1861},	//3705 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1862},	//3706 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1863},	//3707 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1864},	//3708 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1865},	//3709 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1866},	//3710 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1867},	//3711 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1868},	//3712 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1869},	//3713 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1870},	//3714 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1871},	//3715 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1872},	//3716 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1873},	//3717 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1874},	//3718 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1875},	//3719 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1876},	//3720 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1877},	//3721 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1878},	//3722 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1879},	//3723 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1880},	//3724 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1881},	//3725 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1882},	//3726 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1883},	//3727 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1884},	//3728 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1885},	//3729 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1886},	//3730 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1887},	//3731 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1888},	//3732 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1889},	//3733 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1890},	//3734 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1891},	//3735 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1892},	//3736 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1893},	//3737 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1894},	//3738 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1895},	//3739 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1896},	//3740 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1897},	//3741 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1898},	//3742 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1899},	//3743 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1900},	//3744 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1901},	//3745 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1902},	//3746 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1903},	//3747 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1904},	//3748 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1905},	//3749 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1906},	//3750 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1907},	//3751 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1908},	//3752 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1909},	//3753 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1910},	//3754 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1911},	//3755 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1912},	//3756 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1913},	//3757 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1914},	//3758 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1915},	//3759 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1916},	//3760 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1917},	//3761 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1918},	//3762 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1919},	//3763 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1920},	//3764 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1921},	//3765 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1922},	//3766 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1923},	//3767 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1924},	//3768 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1925},	//3769 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1926},	//3770 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1927},	//3771 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1928},	//3772 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1929},	//3773 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1930},	//3774 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1931},	//3775 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1932},	//3776 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1933},	//3777 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1934},	//3778 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1935},	//3779 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1936},	//3780 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1937},	//3781 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1938},	//3782 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1939},	//3783 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1940},	//3784 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1941},	//3785 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1942},	//3786 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1943},	//3787 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1944},	//3788 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1945},	//3789 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1946},	//3790 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1947},	//3791 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1948},	//3792 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1949},	//3793 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1950},	//3794 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1951},	//3795 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1952},	//3796 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1953},	//3797 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1954},	//3798 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1955},	//3799 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1956},	//3800 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1957},	//3801 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1958},	//3802 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1959},	//3803 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1960},	//3804 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1961},	//3805 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1962},	//3806 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1963},	//3807 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1964},	//3808 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1965},	//3809 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1966},	//3810 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1967},	//3811 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1968},	//3812 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1969},	//3813 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1970},	//3814 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1971},	//3815 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1972},	//3816 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1973},	//3817 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1974},	//3818 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1975},	//3819 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1976},	//3820 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1977},	//3821 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1978},	//3822 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1979},	//3823 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1980},	//3824 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1981},	//3825 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1982},	//3826 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1983},	//3827 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1984},	//3828 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1985},	//3829 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1986},	//3830 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1987},	//3831 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1988},	//3832 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1989},	//3833 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1990},	//3834 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1991},	//3835 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1992},	//3836 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1993},	//3837 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1994},	//3838 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1995},	//3839 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1996},	//3840 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1997},	//3841 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1998},	//3842 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 1999},	//3843 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2000},	//3844 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2001},	//3845 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2002},	//3846 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2003},	//3847 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2004},	//3848 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2005},	//3849 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2006},	//3850 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2007},	//3851 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2008},	//3852 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2009},	//3853 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2010},	//3854 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2011},	//3855 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2012},	//3856 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2013},	//3857 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2014},	//3858 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2015},	//3859 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2016},	//3860 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2017},	//3861 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2018},	//3862 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2019},	//3863 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2020},	//3864 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2021},	//3865 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2022},	//3866 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2023},	//3867 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2024},	//3868 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2025},	//3869 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2026},	//3870 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2027},	//3871 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2028},	//3872 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2029},	//3873 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2030},	//3874 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2031},	//3875 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2032},	//3876 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2033},	//3877 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2034},	//3878 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2035},	//3879 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2036},	//3880 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2037},	//3881 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2038},	//3882 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2039},	//3883 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2040},	//3884 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2041},	//3885 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2042},	//3886 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2043},	//3887 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2044},	//3888 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2045},	//3889 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2046},	//3890 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2047},	//3891 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2048},	//3892 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2049},	//3893 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2050},	//3894 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2051},	//3895 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2052},	//3896 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2053},	//3897 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2054},	//3898 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2055},	//3899 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2056},	//3900 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2057},	//3901 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2058},	//3902 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2059},	//3903 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2060},	//3904 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2061},	//3905 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2062},	//3906 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2063},	//3907 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2064},	//3908 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2065},	//3909 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2066},	//3910 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2067},	//3911 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2068},	//3912 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2069},	//3913 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2070},	//3914 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2071},	//3915 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2072},	//3916 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2073},	//3917 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2074},	//3918 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2075},	//3919 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2076},	//3920 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2077},	//3921 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2078},	//3922 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2079},	//3923 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2080},	//3924 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2081},	//3925 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2082},	//3926 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2083},	//3927 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2084},	//3928 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2085},	//3929 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2086},	//3930 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2087},	//3931 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2088},	//3932 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2089},	//3933 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2090},	//3934 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2091},	//3935 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2092},	//3936 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2093},	//3937 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2094},	//3938 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2095},	//3939 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2096},	//3940 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2097},	//3941 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2098},	//3942 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2099},	//3943 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2100},	//3944 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2101},	//3945 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2102},	//3946 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2103},	//3947 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2104},	//3948 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2105},	//3949 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2106},	//3950 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2107},	//3951 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2108},	//3952 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2109},	//3953 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2110},	//3954 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2111},	//3955 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2112},	//3956 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2113},	//3957 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2114},	//3958 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2115},	//3959 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2116},	//3960 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2117},	//3961 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2118},	//3962 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2119},	//3963 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2120},	//3964 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2121},	//3965 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2122},	//3966 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2123},	//3967 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2124},	//3968 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2125},	//3969 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2126},	//3970 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2127},	//3971 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2128},	//3972 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2129},	//3973 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2130},	//3974 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2131},	//3975 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2132},	//3976 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2133},	//3977 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2134},	//3978 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2135},	//3979 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2136},	//3980 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2137},	//3981 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2138},	//3982 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2139},	//3983 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2140},	//3984 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2141},	//3985 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2142},	//3986 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2143},	//3987 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2144},	//3988 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2145},	//3989 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2146},	//3990 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2147},	//3991 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2148},	//3992 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2149},	//3993 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2150},	//3994 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2151},	//3995 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2152},	//3996 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2153},	//3997 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2154},	//3998 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2155},	//3999 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2156},	//4000 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2157},	//4001 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2158},	//4002 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2159},	//4003 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2160},	//4004 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2161},	//4005 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2162},	//4006 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2163},	//4007 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2164},	//4008 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2165},	//4009 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2166},	//4010 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2167},	//4011 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2168},	//4012 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2169},	//4013 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2170},	//4014 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2171},	//4015 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2172},	//4016 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2173},	//4017 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2174},	//4018 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2175},	//4019 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2176},	//4020 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2177},	//4021 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2178},	//4022 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2179},	//4023 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2180},	//4024 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2181},	//4025 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2182},	//4026 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2183},	//4027 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2184},	//4028 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2185},	//4029 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2186},	//4030 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2187},	//4031 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2188},	//4032 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2189},	//4033 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2190},	//4034 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2191},	//4035 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2192},	//4036 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2193},	//4037 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2194},	//4038 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2195},	//4039 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2196},	//4040 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2197},	//4041 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2198},	//4042 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2199},	//4043 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2200},	//4044 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2201},	//4045 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2202},	//4046 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2203},	//4047 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2204},	//4048 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2205},	//4049 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2206},	//4050 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2207},	//4051 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2208},	//4052 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2209},	//4053 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2210},	//4054 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2211},	//4055 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2212},	//4056 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2213},	//4057 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2214},	//4058 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2215},	//4059 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2216},	//4060 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2217},	//4061 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2218},	//4062 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2219},	//4063 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2220},	//4064 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2221},	//4065 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2222},	//4066 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2223},	//4067 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2224},	//4068 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2225},	//4069 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2226},	//4070 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2227},	//4071 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2228},	//4072 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2229},	//4073 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2230},	//4074 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2231},	//4075 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2232},	//4076 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2233},	//4077 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2234},	//4078 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2235},	//4079 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2236},	//4080 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2237},	//4081 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2238},	//4082 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2239},	//4083 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2240},	//4084 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2241},	//4085 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2242},	//4086 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2243},	//4087 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2244},	//4088 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2245},	//4089 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2246},	//4090 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2247},	//4091 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2248},	//4092 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2249},	//4093 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2250},	//4094 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2251},	//4095 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2252},	//4096 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2253},	//4097 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2254},	//4098 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2255},	//4099 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2256},	//4100 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2257},	//4101 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2258},	//4102 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2259},	//4103 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2260},	//4104 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2261},	//4105 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2262},	//4106 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2263},	//4107 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2264},	//4108 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2265},	//4109 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2266},	//4110 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2267},	//4111 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2268},	//4112 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2269},	//4113 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2270},	//4114 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2271},	//4115 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2272},	//4116 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2273},	//4117 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2274},	//4118 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2275},	//4119 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2276},	//4120 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2277},	//4121 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2278},	//4122 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2279},	//4123 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2280},	//4124 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2281},	//4125 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2282},	//4126 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2283},	//4127 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2284},	//4128 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2285},	//4129 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2286},	//4130 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2287},	//4131 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2288},	//4132 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2289},	//4133 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2290},	//4134 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2291},	//4135 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2292},	//4136 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2293},	//4137 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2294},	//4138 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2295},	//4139 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2296},	//4140 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2297},	//4141 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2298},	//4142 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2299},	//4143 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2300},	//4144 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2301},	//4145 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2302},	//4146 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2303},	//4147 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2304},	//4148 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2305},	//4149 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2306},	//4150 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2307},	//4151 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2308},	//4152 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2309},	//4153 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2310},	//4154 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2311},	//4155 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2312},	//4156 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2313},	//4157 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2314},	//4158 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2315},	//4159 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2316},	//4160 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2317},	//4161 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2318},	//4162 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2319},	//4163 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2320},	//4164 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2321},	//4165 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2322},	//4166 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2323},	//4167 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2324},	//4168 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2325},	//4169 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2326},	//4170 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2327},	//4171 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2328},	//4172 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2329},	//4173 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2330},	//4174 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2331},	//4175 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2332},	//4176 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2333},	//4177 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2334},	//4178 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2335},	//4179 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2336},	//4180 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2337},	//4181 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2338},	//4182 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2339},	//4183 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2340},	//4184 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2341},	//4185 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2342},	//4186 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2343},	//4187 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2344},	//4188 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2345},	//4189 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2346},	//4190 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2347},	//4191 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2348},	//4192 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2349},	//4193 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2350},	//4194 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2351},	//4195 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2352},	//4196 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2353},	//4197 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2354},	//4198 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2355},	//4199 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2356},	//4200 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2357},	//4201 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2358},	//4202 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2359},	//4203 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2360},	//4204 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2361},	//4205 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2362},	//4206 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2363},	//4207 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2364},	//4208 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2365},	//4209 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2366},	//4210 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2367},	//4211 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2368},	//4212 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2369},	//4213 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2370},	//4214 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2371},	//4215 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2372},	//4216 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2373},	//4217 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2374},	//4218 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2375},	//4219 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2376},	//4220 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2377},	//4221 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2378},	//4222 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2379},	//4223 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2380},	//4224 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2381},	//4225 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2382},	//4226 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2383},	//4227 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2384},	//4228 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2385},	//4229 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2386},	//4230 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2387},	//4231 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2388},	//4232 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2389},	//4233 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2390},	//4234 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2391},	//4235 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2392},	//4236 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2393},	//4237 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2394},	//4238 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2395},	//4239 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2396},	//4240 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2397},	//4241 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2398},	//4242 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2399},	//4243 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2400},	//4244 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2401},	//4245 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2402},	//4246 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2403},	//4247 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2404},	//4248 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2405},	//4249 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2406},	//4250 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2407},	//4251 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2408},	//4252 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2409},	//4253 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2410},	//4254 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2411},	//4255 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2412},	//4256 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2413},	//4257 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2414},	//4258 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2415},	//4259 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2416},	//4260 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2417},	//4261 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2418},	//4262 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2419},	//4263 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2420},	//4264 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2421},	//4265 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2422},	//4266 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2423},	//4267 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2424},	//4268 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2425},	//4269 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2426},	//4270 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2427},	//4271 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2428},	//4272 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2429},	//4273 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2430},	//4274 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2431},	//4275 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2432},	//4276 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2433},	//4277 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2434},	//4278 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2435},	//4279 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2436},	//4280 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2437},	//4281 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2438},	//4282 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2439},	//4283 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2440},	//4284 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2441},	//4285 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2442},	//4286 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2443},	//4287 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2444},	//4288 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2445},	//4289 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2446},	//4290 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2447},	//4291 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2448},	//4292 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2449},	//4293 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2450},	//4294 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2451},	//4295 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2452},	//4296 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2453},	//4297 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2454},	//4298 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2455},	//4299 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2456},	//4300 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2457},	//4301 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2458},	//4302 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2459},	//4303 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2460},	//4304 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2461},	//4305 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2462},	//4306 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2463},	//4307 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2464},	//4308 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2465},	//4309 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2466},	//4310 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2467},	//4311 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2468},	//4312 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2469},	//4313 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2470},	//4314 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2471},	//4315 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2472},	//4316 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2473},	//4317 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2474},	//4318 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2475},	//4319 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2476},	//4320 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2477},	//4321 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2478},	//4322 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2479},	//4323 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2480},	//4324 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2481},	//4325 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2482},	//4326 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2483},	//4327 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2484},	//4328 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2485},	//4329 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2486},	//4330 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2487},	//4331 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2488},	//4332 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2489},	//4333 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2490},	//4334 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2491},	//4335 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2492},	//4336 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2493},	//4337 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2494},	//4338 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2495},	//4339 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2496},	//4340 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2497},	//4341 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2498},	//4342 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2499},	//4343 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2500},	//4344 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2501},	//4345 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2502},	//4346 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2503},	//4347 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2504},	//4348 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2505},	//4349 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2506},	//4350 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2507},	//4351 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2508},	//4352 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2509},	//4353 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2510},	//4354 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2511},	//4355 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2512},	//4356 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2513},	//4357 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2514},	//4358 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2515},	//4359 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2516},	//4360 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2517},	//4361 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2518},	//4362 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2519},	//4363 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2520},	//4364 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2521},	//4365 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2522},	//4366 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2523},	//4367 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2524},	//4368 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2525},	//4369 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2526},	//4370 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2527},	//4371 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2528},	//4372 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2529},	//4373 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2530},	//4374 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2531},	//4375 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2532},	//4376 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2533},	//4377 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2534},	//4378 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2535},	//4379 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2536},	//4380 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2537},	//4381 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2538},	//4382 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2539},	//4383 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2540},	//4384 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2541},	//4385 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2542},	//4386 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2543},	//4387 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2544},	//4388 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2545},	//4389 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2546},	//4390 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2547},	//4391 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2548},	//4392 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2549},	//4393 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2550},	//4394 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2551},	//4395 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2552},	//4396 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2553},	//4397 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2554},	//4398 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2555},	//4399 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2556},	//4400 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2557},	//4401 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2558},	//4402 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2559},	//4403 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2560},	//4404 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2561},	//4405 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2562},	//4406 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2563},	//4407 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2564},	//4408 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2565},	//4409 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2566},	//4410 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2567},	//4411 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2568},	//4412 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2569},	//4413 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2570},	//4414 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2571},	//4415 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2572},	//4416 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2573},	//4417 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2574},	//4418 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2575},	//4419 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2576},	//4420 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2577},	//4421 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2578},	//4422 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2579},	//4423 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2580},	//4424 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2581},	//4425 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2582},	//4426 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2583},	//4427 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2584},	//4428 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2585},	//4429 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2586},	//4430 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2587},	//4431 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2588},	//4432 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2589},	//4433 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2590},	//4434 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2591},	//4435 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2592},	//4436 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2593},	//4437 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2594},	//4438 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2595},	//4439 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2596},	//4440 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2597},	//4441 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2598},	//4442 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2599},	//4443 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2600},	//4444 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2601},	//4445 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2602},	//4446 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2603},	//4447 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2604},	//4448 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2605},	//4449 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2606},	//4450 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2607},	//4451 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2608},	//4452 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2609},	//4453 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2610},	//4454 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2611},	//4455 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2612},	//4456 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2613},	//4457 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2614},	//4458 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2615},	//4459 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2616},	//4460 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2617},	//4461 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2618},	//4462 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2619},	//4463 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2620},	//4464 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2621},	//4465 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2622},	//4466 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2623},	//4467 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2624},	//4468 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2625},	//4469 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2626},	//4470 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2627},	//4471 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2628},	//4472 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2629},	//4473 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2630},	//4474 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2631},	//4475 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2632},	//4476 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2633},	//4477 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2634},	//4478 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2635},	//4479 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2636},	//4480 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2637},	//4481 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2638},	//4482 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2639},	//4483 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2640},	//4484 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2641},	//4485 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2642},	//4486 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2643},	//4487 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2644},	//4488 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2645},	//4489 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2646},	//4490 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2647},	//4491 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2648},	//4492 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2649},	//4493 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2650},	//4494 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2651},	//4495 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2652},	//4496 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2653},	//4497 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2654},	//4498 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2655},	//4499 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2656},	//4500 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2657},	//4501 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2658},	//4502 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2659},	//4503 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2660},	//4504 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2661},	//4505 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2662},	//4506 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2663},	//4507 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2664},	//4508 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2665},	//4509 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2666},	//4510 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2667},	//4511 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2668},	//4512 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2669},	//4513 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2670},	//4514 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2671},	//4515 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2672},	//4516 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2673},	//4517 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2674},	//4518 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2675},	//4519 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2676},	//4520 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2677},	//4521 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2678},	//4522 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2679},	//4523 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2680},	//4524 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2681},	//4525 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2682},	//4526 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2683},	//4527 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2684},	//4528 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2685},	//4529 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2686},	//4530 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2687},	//4531 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2688},	//4532 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2689},	//4533 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2690},	//4534 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2691},	//4535 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2692},	//4536 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2693},	//4537 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2694},	//4538 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2695},	//4539 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2696},	//4540 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2697},	//4541 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2698},	//4542 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2699},	//4543 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2700},	//4544 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2701},	//4545 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2702},	//4546 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2703},	//4547 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2704},	//4548 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2705},	//4549 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2706},	//4550 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2707},	//4551 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2708},	//4552 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2709},	//4553 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2710},	//4554 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2711},	//4555 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2712},	//4556 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2713},	//4557 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2714},	//4558 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2715},	//4559 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2716},	//4560 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2717},	//4561 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2718},	//4562 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2719},	//4563 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2720},	//4564 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2721},	//4565 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2722},	//4566 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2723},	//4567 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2724},	//4568 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2725},	//4569 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2726},	//4570 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2727},	//4571 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2728},	//4572 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2729},	//4573 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2730},	//4574 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2731},	//4575 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2732},	//4576 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2733},	//4577 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2734},	//4578 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2735},	//4579 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2736},	//4580 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2737},	//4581 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2738},	//4582 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2739},	//4583 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2740},	//4584 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2741},	//4585 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2742},	//4586 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2743},	//4587 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2744},	//4588 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2745},	//4589 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2746},	//4590 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2747},	//4591 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2748},	//4592 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2749},	//4593 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2750},	//4594 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2751},	//4595 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2752},	//4596 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2753},	//4597 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2754},	//4598 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2755},	//4599 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2756},	//4600 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2757},	//4601 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2758},	//4602 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2759},	//4603 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2760},	//4604 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2761},	//4605 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2762},	//4606 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2763},	//4607 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2764},	//4608 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2765},	//4609 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2766},	//4610 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2767},	//4611 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2768},	//4612 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2769},	//4613 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2770},	//4614 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2771},	//4615 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2772},	//4616 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2773},	//4617 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2774},	//4618 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2775},	//4619 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2776},	//4620 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2777},	//4621 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2778},	//4622 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2779},	//4623 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2780},	//4624 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2781},	//4625 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2782},	//4626 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2783},	//4627 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2784},	//4628 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2785},	//4629 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2786},	//4630 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2787},	//4631 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2788},	//4632 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2789},	//4633 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2790},	//4634 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2791},	//4635 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2792},	//4636 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2793},	//4637 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2794},	//4638 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2795},	//4639 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2796},	//4640 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2797},	//4641 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2798},	//4642 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2799},	//4643 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2800},	//4644 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2801},	//4645 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2802},	//4646 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2803},	//4647 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2804},	//4648 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2805},	//4649 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2806},	//4650 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2807},	//4651 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2808},	//4652 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2809},	//4653 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2810},	//4654 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2811},	//4655 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2812},	//4656 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2813},	//4657 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2814},	//4658 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2815},	//4659 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2816},	//4660 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2817},	//4661 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2818},	//4662 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2819},	//4663 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2820},	//4664 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2821},	//4665 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2822},	//4666 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2823},	//4667 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2824},	//4668 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2825},	//4669 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2826},	//4670 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2827},	//4671 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2828},	//4672 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2829},	//4673 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2830},	//4674 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2831},	//4675 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2832},	//4676 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2833},	//4677 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2834},	//4678 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2835},	//4679 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2836},	//4680 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2837},	//4681 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2838},	//4682 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2839},	//4683 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2840},	//4684 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2841},	//4685 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2842},	//4686 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2843},	//4687 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2844},	//4688 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2845},	//4689 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2846},	//4690 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2847},	//4691 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2848},	//4692 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2849},	//4693 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2850},	//4694 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2851},	//4695 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2852},	//4696 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2853},	//4697 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2854},	//4698 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2855},	//4699 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2856},	//4700 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2857},	//4701 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2858},	//4702 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2859},	//4703 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2860},	//4704 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2861},	//4705 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2862},	//4706 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2863},	//4707 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2864},	//4708 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2865},	//4709 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2866},	//4710 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2867},	//4711 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2868},	//4712 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2869},	//4713 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2870},	//4714 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2871},	//4715 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2872},	//4716 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2873},	//4717 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2874},	//4718 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2875},	//4719 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2876},	//4720 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2877},	//4721 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2878},	//4722 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2879},	//4723 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2880},	//4724 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2881},	//4725 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2882},	//4726 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2883},	//4727 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2884},	//4728 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2885},	//4729 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2886},	//4730 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2887},	//4731 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2888},	//4732 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2889},	//4733 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2890},	//4734 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2891},	//4735 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2892},	//4736 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2893},	//4737 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2894},	//4738 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2895},	//4739 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2896},	//4740 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2897},	//4741 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2898},	//4742 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2899},	//4743 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2900},	//4744 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2901},	//4745 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2902},	//4746 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2903},	//4747 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2904},	//4748 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2905},	//4749 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2906},	//4750 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2907},	//4751 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2908},	//4752 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2909},	//4753 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2910},	//4754 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2911},	//4755 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2912},	//4756 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2913},	//4757 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2914},	//4758 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2915},	//4759 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2916},	//4760 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2917},	//4761 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2918},	//4762 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2919},	//4763 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2920},	//4764 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2921},	//4765 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2922},	//4766 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2923},	//4767 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2924},	//4768 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2925},	//4769 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2926},	//4770 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2927},	//4771 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2928},	//4772 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2929},	//4773 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2930},	//4774 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2931},	//4775 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2932},	//4776 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2933},	//4777 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2934},	//4778 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2935},	//4779 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2936},	//4780 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2937},	//4781 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2938},	//4782 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2939},	//4783 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2940},	//4784 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2941},	//4785 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2942},	//4786 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2943},	//4787 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2944},	//4788 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2945},	//4789 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2946},	//4790 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2947},	//4791 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2948},	//4792 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2949},	//4793 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2950},	//4794 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2951},	//4795 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2952},	//4796 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2953},	//4797 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2954},	//4798 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2955},	//4799 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2956},	//4800 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2957},	//4801 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2958},	//4802 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2959},	//4803 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2960},	//4804 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2961},	//4805 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2962},	//4806 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2963},	//4807 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2964},	//4808 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2965},	//4809 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2966},	//4810 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2967},	//4811 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2968},	//4812 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2969},	//4813 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2970},	//4814 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2971},	//4815 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2972},	//4816 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2973},	//4817 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2974},	//4818 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2975},	//4819 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2976},	//4820 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2977},	//4821 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2978},	//4822 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2979},	//4823 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2980},	//4824 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2981},	//4825 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2982},	//4826 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2983},	//4827 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2984},	//4828 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2985},	//4829 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2986},	//4830 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2987},	//4831 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2988},	//4832 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2989},	//4833 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2990},	//4834 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2991},	//4835 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2992},	//4836 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2993},	//4837 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2994},	//4838 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2995},	//4839 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2996},	//4840 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2997},	//4841 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2998},	//4842 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 2999},	//4843 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3000},	//4844 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3001},	//4845 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3002},	//4846 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3003},	//4847 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3004},	//4848 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3005},	//4849 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3006},	//4850 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3007},	//4851 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3008},	//4852 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3009},	//4853 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3010},	//4854 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3011},	//4855 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3012},	//4856 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3013},	//4857 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3014},	//4858 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3015},	//4859 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3016},	//4860 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3017},	//4861 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3018},	//4862 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3019},	//4863 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3020},	//4864 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3021},	//4865 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3022},	//4866 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3023},	//4867 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3024},	//4868 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3025},	//4869 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3026},	//4870 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3027},	//4871 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3028},	//4872 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3029},	//4873 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3030},	//4874 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3031},	//4875 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3032},	//4876 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3033},	//4877 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3034},	//4878 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3035},	//4879 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3036},	//4880 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3037},	//4881 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3038},	//4882 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3039},	//4883 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3040},	//4884 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3041},	//4885 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3042},	//4886 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3043},	//4887 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3044},	//4888 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3045},	//4889 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3046},	//4890 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3047},	//4891 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3048},	//4892 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3049},	//4893 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3050},	//4894 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3051},	//4895 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3052},	//4896 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3053},	//4897 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3054},	//4898 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3055},	//4899 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3056},	//4900 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3057},	//4901 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3058},	//4902 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3059},	//4903 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3060},	//4904 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3061},	//4905 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3062},	//4906 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3063},	//4907 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3064},	//4908 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3065},	//4909 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3066},	//4910 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3067},	//4911 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3068},	//4912 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3069},	//4913 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3070},	//4914 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3071},	//4915 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3072},	//4916 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3073},	//4917 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3074},	//4918 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3075},	//4919 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3076},	//4920 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3077},	//4921 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3078},	//4922 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3079},	//4923 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3080},	//4924 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3081},	//4925 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3082},	//4926 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3083},	//4927 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3084},	//4928 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3085},	//4929 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3086},	//4930 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3087},	//4931 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3088},	//4932 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3089},	//4933 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3090},	//4934 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3091},	//4935 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3092},	//4936 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3093},	//4937 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3094},	//4938 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3095},	//4939 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3096},	//4940 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3097},	//4941 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3098},	//4942 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3099},	//4943 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3100},	//4944 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3101},	//4945 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3102},	//4946 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3103},	//4947 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3104},	//4948 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3105},	//4949 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3106},	//4950 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3107},	//4951 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3108},	//4952 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3109},	//4953 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3110},	//4954 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3111},	//4955 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3112},	//4956 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3113},	//4957 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3114},	//4958 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3115},	//4959 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3116},	//4960 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3117},	//4961 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3118},	//4962 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3119},	//4963 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3120},	//4964 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3121},	//4965 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3122},	//4966 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3123},	//4967 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3124},	//4968 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3125},	//4969 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3126},	//4970 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3127},	//4971 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3128},	//4972 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3129},	//4973 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3130},	//4974 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3131},	//4975 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3132},	//4976 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3133},	//4977 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3134},	//4978 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3135},	//4979 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3136},	//4980 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3137},	//4981 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3138},	//4982 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3139},	//4983 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3140},	//4984 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3141},	//4985 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3142},	//4986 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3143},	//4987 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3144},	//4988 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3145},	//4989 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3146},	//4990 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3147},	//4991 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3148},	//4992 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3149},	//4993 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3150},	//4994 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3151},	//4995 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3152},	//4996 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3153},	//4997 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3154},	//4998 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3155},	//4999 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3156},	//5000 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3157},	//5001 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3158},	//5002 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3159},	//5003 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3160},	//5004 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3161},	//5005 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3162},	//5006 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3163},	//5007 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3164},	//5008 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3165},	//5009 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3166},	//5010 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3167},	//5011 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3168},	//5012 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3169},	//5013 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3170},	//5014 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3171},	//5015 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3172},	//5016 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3173},	//5017 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3174},	//5018 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3175},	//5019 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3176},	//5020 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3177},	//5021 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3178},	//5022 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3179},	//5023 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3180},	//5024 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3181},	//5025 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3182},	//5026 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3183},	//5027 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3184},	//5028 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3185},	//5029 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3186},	//5030 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3187},	//5031 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3188},	//5032 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3189},	//5033 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3190},	//5034 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3191},	//5035 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3192},	//5036 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3193},	//5037 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3194},	//5038 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3195},	//5039 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3196},	//5040 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3197},	//5041 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3198},	//5042 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3199},	//5043 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3200},	//5044 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3201},	//5045 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3202},	//5046 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3203},	//5047 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3204},	//5048 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3205},	//5049 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3206},	//5050 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3207},	//5051 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3208},	//5052 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3209},	//5053 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3210},	//5054 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3211},	//5055 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3212},	//5056 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3213},	//5057 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3214},	//5058 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3215},	//5059 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3216},	//5060 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3217},	//5061 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3218},	//5062 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3219},	//5063 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3220},	//5064 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3221},	//5065 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3222},	//5066 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3223},	//5067 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3224},	//5068 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3225},	//5069 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3226},	//5070 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3227},	//5071 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3228},	//5072 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3229},	//5073 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3230},	//5074 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3231},	//5075 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3232},	//5076 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3233},	//5077 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3234},	//5078 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3235},	//5079 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3236},	//5080 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3237},	//5081 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3238},	//5082 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3239},	//5083 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3240},	//5084 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3241},	//5085 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3242},	//5086 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3243},	//5087 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3244},	//5088 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3245},	//5089 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3246},	//5090 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3247},	//5091 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3248},	//5092 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3249},	//5093 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3250},	//5094 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3251},	//5095 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3252},	//5096 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3253},	//5097 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3254},	//5098 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3255},	//5099 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3256},	//5100 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3257},	//5101 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3258},	//5102 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3259},	//5103 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3260},	//5104 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3261},	//5105 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3262},	//5106 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3263},	//5107 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3264},	//5108 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3265},	//5109 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3266},	//5110 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3267},	//5111 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3268},	//5112 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3269},	//5113 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3270},	//5114 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3271},	//5115 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3272},	//5116 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3273},	//5117 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3274},	//5118 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3275},	//5119 QsciScintillaBase::SCLEX_SML (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3276},	//5120 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3277},	//5121 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3278},	//5122 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3279},	//5123 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3280},	//5124 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3281},	//5125 QsciScintillaBase::SCLEX_XML (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3282},	//5126 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3283},	//5127 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3284},	//5128 QsciScintillaBase::SCLEX_VB (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3285},	//5129 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3286},	//5130 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3287},	//5131 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3288},	//5132 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3289},	//5133 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3290},	//5134 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3291},	//5135 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3292},	//5136 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3293},	//5137 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3294},	//5138 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3295},	//5139 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3296},	//5140 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3297},	//5141 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3298},	//5142 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3299},	//5143 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3300},	//5144 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3301},	//5145 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3302},	//5146 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3303},	//5147 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3304},	//5148 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3305},	//5149 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3306},	//5150 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3307},	//5151 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3308},	//5152 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3309},	//5153 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3310},	//5154 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3311},	//5155 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3312},	//5156 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3313},	//5157 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3314},	//5158 QsciScintillaBase::SCLEX_POV (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3315},	//5159 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3316},	//5160 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3317},	//5161 QsciScintillaBase::SCLEX_PS (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3318},	//5162 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3319},	//5163 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3320},	//5164 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3321},	//5165 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3322},	//5166 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3323},	//5167 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3324},	//5168 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3325},	//5169 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3326},	//5170 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3327},	//5171 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3328},	//5172 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3329},	//5173 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3330},	//5174 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3331},	//5175 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3332},	//5176 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3333},	//5177 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3334},	//5178 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3335},	//5179 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3336},	//5180 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3337},	//5181 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3338},	//5182 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3339},	//5183 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3340},	//5184 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3341},	//5185 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3342},	//5186 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3343},	//5187 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3344},	//5188 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3345},	//5189 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3346},	//5190 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3347},	//5191 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3348},	//5192 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3349},	//5193 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3350},	//5194 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3351},	//5195 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3352},	//5196 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3353},	//5197 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3354},	//5198 QsciScintillaBase::SCLEX_D (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3355},	//5199 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3356},	//5200 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3357},	//5201 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3358},	//5202 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3359},	//5203 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3360},	//5204 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3361},	//5205 QsciScintillaBase::SCLEX_R (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3362},	//5206 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3363},	//5207 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3364},	//5208 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3365},	//5209 QsciScintillaBase::SCLEX_PO (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3366},	//5210 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3367},	//5211 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3368},	//5212 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3369},	//5213 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3370},	//5214 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3371},	//5215 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3372},	//5216 QsciScintillaBase::SCLEX_SML (enum)
    {84, 1411, 0, 0, Smoke::mf_dtor, 0, 3373 },	//5217 QsciScintillaBase::~QsciScintillaBase()
    {85, 424, 18, 1, Smoke::mf_ctor, 103, 1},	//5218 QsciStyle::QsciStyle(int)
    {85, 424, 387, 6, Smoke::mf_ctor, 103, 2},	//5219 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {85, 1311, 0, 0, Smoke::mf_const, 202, 3},	//5220 QsciStyle::style() const
    {85, 1130, 57, 1, 0, 0, 4},	//5221 QsciStyle::setDescription(const QString&)
    {85, 805, 0, 0, Smoke::mf_const, 37, 5},	//5222 QsciStyle::description() const
    {85, 1119, 80, 1, 0, 0, 6},	//5223 QsciStyle::setColor(const QColor&)
    {85, 778, 0, 0, Smoke::mf_const, 5, 7},	//5224 QsciStyle::color() const
    {85, 1246, 80, 1, 0, 0, 8},	//5225 QsciStyle::setPaper(const QColor&)
    {85, 1008, 0, 0, Smoke::mf_const, 5, 9},	//5226 QsciStyle::paper() const
    {85, 1180, 42, 1, 0, 0, 10},	//5227 QsciStyle::setFont(const QFont&)
    {85, 872, 0, 0, Smoke::mf_const, 13, 11},	//5228 QsciStyle::font() const
    {85, 1144, 16, 1, 0, 0, 12},	//5229 QsciStyle::setEolFill(bool)
    {85, 830, 0, 0, Smoke::mf_const, 180, 13},	//5230 QsciStyle::eolFill() const
    {85, 1274, 394, 1, 0, 0, 14},	//5231 QsciStyle::setTextCase(QsciStyle::TextCase)
    {85, 1322, 0, 0, Smoke::mf_const, 104, 15},	//5232 QsciStyle::textCase() const
    {85, 1290, 16, 1, 0, 0, 16},	//5233 QsciStyle::setVisible(bool)
    {85, 1351, 0, 0, Smoke::mf_const, 180, 17},	//5234 QsciStyle::visible() const
    {85, 1117, 16, 1, 0, 0, 18},	//5235 QsciStyle::setChangeable(bool)
    {85, 764, 0, 0, Smoke::mf_const, 180, 19},	//5236 QsciStyle::changeable() const
    {85, 1183, 16, 1, 0, 0, 20},	//5237 QsciStyle::setHotspot(bool)
    {85, 888, 0, 0, Smoke::mf_const, 180, 21},	//5238 QsciStyle::hotspot() const
    {85, 1039, 0, 0, 0, 0, 22},	//5239 QsciStyle::refresh()
    {85, 424, 396, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 23},	//5240 QsciStyle::QsciStyle(const QsciStyle&)
    {85, 424, 0, 0, Smoke::mf_ctor, 103, 24},	//5241 QsciStyle::QsciStyle()
    {85, 424, 398, 5, Smoke::mf_ctor, 103, 25},	//5242 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {85, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//5243 QsciStyle::OriginalCase (enum)
    {85, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//5244 QsciStyle::UpperCase (enum)
    {85, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 28},	//5245 QsciStyle::LowerCase (enum)
    {85, 1412, 0, 0, Smoke::mf_dtor, 0, 29 },	//5246 QsciStyle::~QsciStyle()
    {86, 429, 404, 2, Smoke::mf_ctor, 105, 1},	//5247 QsciStyledText::QsciStyledText(const QString&, int)
    {86, 429, 407, 2, Smoke::mf_ctor, 105, 2},	//5248 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {86, 1320, 0, 0, Smoke::mf_const, 194, 3},	//5249 QsciStyledText::text() const
    {86, 1311, 0, 0, Smoke::mf_const, 202, 4},	//5250 QsciStyledText::style() const
    {86, 429, 410, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 5},	//5251 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {86, 1413, 0, 0, Smoke::mf_dtor, 0, 6 },	//5252 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    5203,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    5139,  // QsciScintillaBase::SCLEX_ADA
    0,
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    5180,  // QsciScintillaBase::SCLEX_APDL
    0,
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    5153,  // QsciScintillaBase::SCLEX_ASM
    0,
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    5182,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    5148,  // QsciScintillaBase::SCLEX_ASP
    0,
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5204,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    5179,  // QsciScintillaBase::SCLEX_AU3
    0,
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    5138,  // QsciScintillaBase::SCLEX_AVE
    0,
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    5150,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    5181,  // QsciScintillaBase::SCLEX_BASH
    0,
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    5132,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5185,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    5146,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    5184,  // QsciScintillaBase::SCLEX_CAML
    0,
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    5164,  // QsciScintillaBase::SCLEX_CLW
    0,
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5165,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    5199,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    5211,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    5136,  // QsciScintillaBase::SCLEX_CONF
    0,
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    5120,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    5123,  // QsciScintillaBase::SCLEX_CPP
    0,
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5154,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    5193,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    5157,  // QsciScintillaBase::SCLEX_CSS
    0,
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    5198,  // QsciScintillaBase::SCLEX_D
    0,
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    5135,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    5142,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    5143,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    5172,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    5130,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    5160,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    5156,  // QsciScintillaBase::SCLEX_F77
    0,
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5192,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    5171,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    5155,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    5194,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    5200,  // QsciScintillaBase::SCLEX_GAP
    0,
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    5177,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    5187,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    5124,  // QsciScintillaBase::SCLEX_HTML
    0,
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    5195,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    5176,  // QsciScintillaBase::SCLEX_KIX
    0,
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    5133,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    5140,  // QsciScintillaBase::SCLEX_LISP
    0,
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    5166,  // QsciScintillaBase::SCLEX_LOT
    0,
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    5159,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    5134,  // QsciScintillaBase::SCLEX_LUA
    0,
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    5206,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    5131,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    5151,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    5169,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    5163,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    5174,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    5208,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    5215,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5145,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    5162,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    5121,  // QsciScintillaBase::SCLEX_NULL
    0,
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    5173,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    5196,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    5137,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    5126,  // QsciScintillaBase::SCLEX_PERL
    0,
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    5149,  // QsciScintillaBase::SCLEX_PHP
    0,
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5188,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    5201,  // QsciScintillaBase::SCLEX_PLM
    0,
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    5209,  // QsciScintillaBase::SCLEX_PO
    0,
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    5158,  // QsciScintillaBase::SCLEX_POV
    0,
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    5170,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    5214,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    5207,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    5202,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    5129,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    5161,  // QsciScintillaBase::SCLEX_PS
    0,
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    5186,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    5122,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    5205,  // QsciScintillaBase::SCLEX_R
    0,
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    5190,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    5141,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5152,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    5191,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    5216,  // QsciScintillaBase::SCLEX_SML
    0,
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    5213,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    5178,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    5197,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    5127,  // QsciScintillaBase::SCLEX_SQL
    0,
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    5212,  // QsciScintillaBase::SCLEX_TACL
    0,
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    5189,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    5210,  // QsciScintillaBase::SCLEX_TAL
    0,
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    5144,  // QsciScintillaBase::SCLEX_TCL
    0,
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    5168,  // QsciScintillaBase::SCLEX_TEX
    0,
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    5128,  // QsciScintillaBase::SCLEX_VB
    0,
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5147,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    5175,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    5183,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    5125,  // QsciScintillaBase::SCLEX_XML
    0,
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    5167,  // QsciScintillaBase::SCLEX_YAML
    0,
    1857,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1859,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1860,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1917,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1862,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1865,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1854,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1855,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1856,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1858,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1748,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1749,  // QsciScintilla::markerDefine(char)
    0,
    1592,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1593,  // QsciScintilla::markerDefine(char, int)
    0,
    1707,  // QsciScintilla::setMarginWidth(int, int)
    1708,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 341, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 342, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 343, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 344, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 345, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 433, 14},	// QGlobalSpace::QtCriticalMsg
    {16, 434, 12},	// QGlobalSpace::QtDebugMsg
    {16, 435, 15},	// QGlobalSpace::QtFatalMsg
    {16, 436, 16},	// QGlobalSpace::QtSystemMsg
    {16, 437, 13},	// QGlobalSpace::QtWarningMsg
    {45, 347, 59},	// QsciAPIs::QsciAPIs#
    {45, 707, 60},	// QsciAPIs::add$
    {45, 719, 75},	// QsciAPIs::apiPreparationCancelled
    {45, 720, 77},	// QsciAPIs::apiPreparationFinished
    {45, 721, 76},	// QsciAPIs::apiPreparationStarted
    {45, 733, 71},	// QsciAPIs::autoCompletionSelected$
    {45, 754, 72},	// QsciAPIs::callTips?$$?
    {45, 760, 65},	// QsciAPIs::cancelPreparation
    {45, 766, 61},	// QsciAPIs::clear
    {45, 803, 66},	// QsciAPIs::defaultPreparedName
    {45, 837, 73},	// QsciAPIs::event#
    {45, 914, 74},	// QsciAPIs::installedAPIFiles
    {45, 918, 80},	// QsciAPIs::isPrepared
    {45, 919, 67},	// QsciAPIs::isPrepared$
    {45, 948, 62},	// QsciAPIs::load$
    {45, 949, 81},	// QsciAPIs::loadPrepared
    {45, 950, 68},	// QsciAPIs::loadPrepared$
    {45, 986, 52},	// QsciAPIs::metaObject
    {45, 1017, 64},	// QsciAPIs::prepare
    {45, 1025, 58},	// QsciAPIs::qt_metacall$$?
    {45, 1027, 53},	// QsciAPIs::qt_metacast$
    {45, 1044, 63},	// QsciAPIs::remove$
    {45, 1054, 82},	// QsciAPIs::savePrepared
    {45, 1055, 69},	// QsciAPIs::savePrepared$
    {45, 1310, 83},	// QsciAPIs::staticMetaObject
    {45, 1331, 78},	// QsciAPIs::tr$
    {45, 1332, 54},	// QsciAPIs::tr$$
    {45, 1333, 56},	// QsciAPIs::tr$$$
    {45, 1335, 79},	// QsciAPIs::trUtf8$
    {45, 1336, 55},	// QsciAPIs::trUtf8$$
    {45, 1337, 57},	// QsciAPIs::trUtf8$$$
    {45, 1342, 70},	// QsciAPIs::updateAutoCompletionList??
    {45, 1373, 84},	// QsciAPIs::~QsciAPIs
    {46, 349, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {46, 733, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {46, 754, 96},	// QsciAbstractAPIs::callTips?$$?
    {46, 937, 93},	// QsciAbstractAPIs::lexer
    {46, 986, 85},	// QsciAbstractAPIs::metaObject
    {46, 1025, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {46, 1027, 86},	// QsciAbstractAPIs::qt_metacast$
    {46, 1310, 99},	// QsciAbstractAPIs::staticMetaObject
    {46, 1331, 97},	// QsciAbstractAPIs::tr$
    {46, 1332, 87},	// QsciAbstractAPIs::tr$$
    {46, 1333, 89},	// QsciAbstractAPIs::tr$$$
    {46, 1335, 98},	// QsciAbstractAPIs::trUtf8$
    {46, 1336, 88},	// QsciAbstractAPIs::trUtf8$$
    {46, 1337, 90},	// QsciAbstractAPIs::trUtf8$$$
    {46, 1342, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {46, 1374, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {47, 708, 104},	// QsciCommand::alternateKey
    {47, 805, 106},	// QsciCommand::description
    {47, 926, 103},	// QsciCommand::key
    {47, 1068, 102},	// QsciCommand::setAlternateKey$
    {47, 1206, 101},	// QsciCommand::setKey$
    {47, 1349, 105},	// QsciCommand::validKey$
    {47, 1375, 107},	// QsciCommand::~QsciCommand
    {48, 767, 112},	// QsciCommandSet::clearAlternateKeys
    {48, 773, 111},	// QsciCommandSet::clearKeys
    {48, 782, 110},	// QsciCommandSet::commands
    {48, 1033, 113},	// QsciCommandSet::readSettings#
    {48, 1034, 108},	// QsciCommandSet::readSettings#$
    {48, 1364, 114},	// QsciCommandSet::writeSettings#
    {48, 1365, 109},	// QsciCommandSet::writeSettings#$
    {49, 350, 115},	// QsciDocument::QsciDocument
    {49, 351, 116},	// QsciDocument::QsciDocument#
    {49, 1003, 117},	// QsciDocument::operator=#
    {49, 1376, 118},	// QsciDocument::~QsciDocument
    {50, 352, 180},	// QsciLexer::QsciLexer
    {50, 353, 126},	// QsciLexer::QsciLexer#
    {50, 722, 130},	// QsciLexer::apis
    {50, 729, 131},	// QsciLexer::autoCompletionFillups
    {50, 737, 132},	// QsciLexer::autoCompletionWordSeparators
    {50, 739, 133},	// QsciLexer::autoIndentStyle
    {50, 743, 181},	// QsciLexer::blockEnd
    {50, 744, 134},	// QsciLexer::blockEnd$
    {50, 745, 135},	// QsciLexer::blockLookback
    {50, 746, 182},	// QsciLexer::blockStart
    {50, 747, 136},	// QsciLexer::blockStart$
    {50, 748, 183},	// QsciLexer::blockStartKeyword
    {50, 749, 137},	// QsciLexer::blockStartKeyword$
    {50, 751, 138},	// QsciLexer::braceStyle
    {50, 761, 139},	// QsciLexer::caseSensitive
    {50, 779, 140},	// QsciLexer::color$
    {50, 781, 171},	// QsciLexer::colorChanged#$
    {50, 795, 148},	// QsciLexer::defaultColor
    {50, 796, 149},	// QsciLexer::defaultColor$
    {50, 798, 150},	// QsciLexer::defaultEolFill$
    {50, 799, 151},	// QsciLexer::defaultFont
    {50, 800, 152},	// QsciLexer::defaultFont$
    {50, 801, 153},	// QsciLexer::defaultPaper
    {50, 802, 154},	// QsciLexer::defaultPaper$
    {50, 804, 145},	// QsciLexer::defaultStyle
    {50, 806, 146},	// QsciLexer::description$
    {50, 822, 155},	// QsciLexer::editor
    {50, 831, 141},	// QsciLexer::eolFill$
    {50, 833, 172},	// QsciLexer::eolFillChanged$$
    {50, 873, 142},	// QsciLexer::font$
    {50, 876, 173},	// QsciLexer::fontChanged#$
    {50, 893, 143},	// QsciLexer::indentationGuideView
    {50, 931, 144},	// QsciLexer::keywords$
    {50, 932, 127},	// QsciLexer::language
    {50, 937, 128},	// QsciLexer::lexer
    {50, 938, 129},	// QsciLexer::lexerId
    {50, 986, 119},	// QsciLexer::metaObject
    {50, 1009, 147},	// QsciLexer::paper$
    {50, 1011, 174},	// QsciLexer::paperChanged#$
    {50, 1023, 175},	// QsciLexer::propertyChanged$$
    {50, 1025, 125},	// QsciLexer::qt_metacall$$?
    {50, 1027, 120},	// QsciLexer::qt_metacast$
    {50, 1031, 176},	// QsciLexer::readProperties#$
    {50, 1033, 184},	// QsciLexer::readSettings#
    {50, 1034, 161},	// QsciLexer::readSettings#$
    {50, 1040, 162},	// QsciLexer::refreshProperties
    {50, 1066, 156},	// QsciLexer::setAPIs#
    {50, 1090, 166},	// QsciLexer::setAutoIndentStyle$
    {50, 1120, 186},	// QsciLexer::setColor#
    {50, 1121, 167},	// QsciLexer::setColor#$
    {50, 1125, 157},	// QsciLexer::setDefaultColor#
    {50, 1127, 158},	// QsciLexer::setDefaultFont#
    {50, 1129, 159},	// QsciLexer::setDefaultPaper#
    {50, 1143, 160},	// QsciLexer::setEditor#
    {50, 1145, 187},	// QsciLexer::setEolFill$
    {50, 1146, 168},	// QsciLexer::setEolFill$$
    {50, 1181, 188},	// QsciLexer::setFont#
    {50, 1182, 169},	// QsciLexer::setFont#$
    {50, 1247, 189},	// QsciLexer::setPaper#
    {50, 1248, 170},	// QsciLexer::setPaper#$
    {50, 1310, 190},	// QsciLexer::staticMetaObject
    {50, 1312, 163},	// QsciLexer::styleBitsNeeded
    {50, 1331, 178},	// QsciLexer::tr$
    {50, 1332, 121},	// QsciLexer::tr$$
    {50, 1333, 123},	// QsciLexer::tr$$$
    {50, 1335, 179},	// QsciLexer::trUtf8$
    {50, 1336, 122},	// QsciLexer::trUtf8$$
    {50, 1337, 124},	// QsciLexer::trUtf8$$$
    {50, 1357, 164},	// QsciLexer::wordCharacters
    {50, 1362, 177},	// QsciLexer::writeProperties#$
    {50, 1364, 185},	// QsciLexer::writeSettings#
    {50, 1365, 165},	// QsciLexer::writeSettings#$
    {50, 1377, 191},	// QsciLexer::~QsciLexer
    {51, 81, 232},	// QsciLexerBash::Backticks
    {51, 124, 223},	// QsciLexerBash::Comment
    {51, 144, 221},	// QsciLexerBash::Default
    {51, 155, 226},	// QsciLexerBash::DoubleQuotedString
    {51, 172, 222},	// QsciLexerBash::Error
    {51, 200, 233},	// QsciLexerBash::HereDocumentDelimiter
    {51, 209, 229},	// QsciLexerBash::Identifier
    {51, 233, 225},	// QsciLexerBash::Keyword
    {51, 276, 224},	// QsciLexerBash::Number
    {51, 280, 228},	// QsciLexerBash::Operator
    {51, 298, 231},	// QsciLexerBash::ParameterExpansion
    {51, 354, 219},	// QsciLexerBash::QsciLexerBash
    {51, 355, 199},	// QsciLexerBash::QsciLexerBash#
    {51, 602, 230},	// QsciLexerBash::Scalar
    {51, 619, 234},	// QsciLexerBash::SingleQuotedHereDocument
    {51, 620, 227},	// QsciLexerBash::SingleQuotedString
    {51, 751, 202},	// QsciLexerBash::braceStyle
    {51, 796, 204},	// QsciLexerBash::defaultColor$
    {51, 798, 205},	// QsciLexerBash::defaultEolFill$
    {51, 800, 206},	// QsciLexerBash::defaultFont$
    {51, 802, 207},	// QsciLexerBash::defaultPaper$
    {51, 806, 209},	// QsciLexerBash::description$
    {51, 860, 211},	// QsciLexerBash::foldComments
    {51, 861, 212},	// QsciLexerBash::foldCompact
    {51, 931, 208},	// QsciLexerBash::keywords$
    {51, 932, 200},	// QsciLexerBash::language
    {51, 937, 201},	// QsciLexerBash::lexer
    {51, 986, 192},	// QsciLexerBash::metaObject
    {51, 1025, 198},	// QsciLexerBash::qt_metacall$$?
    {51, 1027, 193},	// QsciLexerBash::qt_metacast$
    {51, 1031, 215},	// QsciLexerBash::readProperties#$
    {51, 1040, 210},	// QsciLexerBash::refreshProperties
    {51, 1158, 213},	// QsciLexerBash::setFoldComments$
    {51, 1160, 214},	// QsciLexerBash::setFoldCompact$
    {51, 1310, 220},	// QsciLexerBash::staticMetaObject
    {51, 1331, 217},	// QsciLexerBash::tr$
    {51, 1332, 194},	// QsciLexerBash::tr$$
    {51, 1333, 196},	// QsciLexerBash::tr$$$
    {51, 1335, 218},	// QsciLexerBash::trUtf8$
    {51, 1336, 195},	// QsciLexerBash::trUtf8$$
    {51, 1337, 197},	// QsciLexerBash::trUtf8$$$
    {51, 1357, 203},	// QsciLexerBash::wordCharacters
    {51, 1362, 216},	// QsciLexerBash::writeProperties#$
    {51, 1378, 235},	// QsciLexerBash::~QsciLexerBash
    {52, 124, 259},	// QsciLexerBatch::Comment
    {52, 144, 258},	// QsciLexerBatch::Default
    {52, 179, 263},	// QsciLexerBatch::ExternalCommand
    {52, 204, 262},	// QsciLexerBatch::HideCommandChar
    {52, 233, 260},	// QsciLexerBatch::Keyword
    {52, 243, 261},	// QsciLexerBatch::Label
    {52, 280, 265},	// QsciLexerBatch::Operator
    {52, 356, 256},	// QsciLexerBatch::QsciLexerBatch
    {52, 357, 243},	// QsciLexerBatch::QsciLexerBatch#
    {52, 689, 264},	// QsciLexerBatch::Variable
    {52, 761, 247},	// QsciLexerBatch::caseSensitive
    {52, 796, 248},	// QsciLexerBatch::defaultColor$
    {52, 798, 249},	// QsciLexerBatch::defaultEolFill$
    {52, 800, 250},	// QsciLexerBatch::defaultFont$
    {52, 802, 251},	// QsciLexerBatch::defaultPaper$
    {52, 806, 253},	// QsciLexerBatch::description$
    {52, 931, 252},	// QsciLexerBatch::keywords$
    {52, 932, 244},	// QsciLexerBatch::language
    {52, 937, 245},	// QsciLexerBatch::lexer
    {52, 986, 236},	// QsciLexerBatch::metaObject
    {52, 1025, 242},	// QsciLexerBatch::qt_metacall$$?
    {52, 1027, 237},	// QsciLexerBatch::qt_metacast$
    {52, 1310, 257},	// QsciLexerBatch::staticMetaObject
    {52, 1331, 254},	// QsciLexerBatch::tr$
    {52, 1332, 238},	// QsciLexerBatch::tr$$
    {52, 1333, 240},	// QsciLexerBatch::tr$$$
    {52, 1335, 255},	// QsciLexerBatch::trUtf8$
    {52, 1336, 239},	// QsciLexerBatch::trUtf8$$
    {52, 1337, 241},	// QsciLexerBatch::trUtf8$$$
    {52, 1357, 246},	// QsciLexerBatch::wordCharacters
    {52, 1379, 266},	// QsciLexerBatch::~QsciLexerBatch
    {53, 86, 301},	// QsciLexerCMake::BlockForeach
    {53, 87, 302},	// QsciLexerCMake::BlockIf
    {53, 88, 303},	// QsciLexerCMake::BlockMacro
    {53, 89, 300},	// QsciLexerCMake::BlockWhile
    {53, 124, 292},	// QsciLexerCMake::Comment
    {53, 144, 291},	// QsciLexerCMake::Default
    {53, 185, 296},	// QsciLexerCMake::Function
    {53, 237, 299},	// QsciLexerCMake::KeywordSet3
    {53, 243, 298},	// QsciLexerCMake::Label
    {53, 276, 305},	// QsciLexerCMake::Number
    {53, 358, 289},	// QsciLexerCMake::QsciLexerCMake
    {53, 359, 274},	// QsciLexerCMake::QsciLexerCMake#
    {53, 636, 293},	// QsciLexerCMake::String
    {53, 637, 294},	// QsciLexerCMake::StringLeftQuote
    {53, 638, 295},	// QsciLexerCMake::StringRightQuote
    {53, 640, 304},	// QsciLexerCMake::StringVariable
    {53, 689, 297},	// QsciLexerCMake::Variable
    {53, 796, 277},	// QsciLexerCMake::defaultColor$
    {53, 800, 278},	// QsciLexerCMake::defaultFont$
    {53, 802, 279},	// QsciLexerCMake::defaultPaper$
    {53, 806, 281},	// QsciLexerCMake::description$
    {53, 858, 283},	// QsciLexerCMake::foldAtElse
    {53, 931, 280},	// QsciLexerCMake::keywords$
    {53, 932, 275},	// QsciLexerCMake::language
    {53, 937, 276},	// QsciLexerCMake::lexer
    {53, 986, 267},	// QsciLexerCMake::metaObject
    {53, 1025, 273},	// QsciLexerCMake::qt_metacall$$?
    {53, 1027, 268},	// QsciLexerCMake::qt_metacast$
    {53, 1031, 285},	// QsciLexerCMake::readProperties#$
    {53, 1040, 282},	// QsciLexerCMake::refreshProperties
    {53, 1154, 284},	// QsciLexerCMake::setFoldAtElse$
    {53, 1310, 290},	// QsciLexerCMake::staticMetaObject
    {53, 1331, 287},	// QsciLexerCMake::tr$
    {53, 1332, 269},	// QsciLexerCMake::tr$$
    {53, 1333, 271},	// QsciLexerCMake::tr$$$
    {53, 1335, 288},	// QsciLexerCMake::trUtf8$
    {53, 1336, 270},	// QsciLexerCMake::trUtf8$$
    {53, 1337, 272},	// QsciLexerCMake::trUtf8$$$
    {53, 1362, 286},	// QsciLexerCMake::writeProperties#$
    {53, 1380, 306},	// QsciLexerCMake::~QsciLexerCMake
    {54, 124, 353},	// QsciLexerCPP::Comment
    {54, 127, 355},	// QsciLexerCPP::CommentDoc
    {54, 128, 369},	// QsciLexerCPP::CommentDocKeyword
    {54, 129, 370},	// QsciLexerCPP::CommentDocKeywordError
    {54, 130, 354},	// QsciLexerCPP::CommentLine
    {54, 131, 367},	// QsciLexerCPP::CommentLineDoc
    {54, 144, 352},	// QsciLexerCPP::Default
    {54, 155, 358},	// QsciLexerCPP::DoubleQuotedString
    {54, 188, 371},	// QsciLexerCPP::GlobalClass
    {54, 209, 363},	// QsciLexerCPP::Identifier
    {54, 233, 357},	// QsciLexerCPP::Keyword
    {54, 236, 368},	// QsciLexerCPP::KeywordSet2
    {54, 276, 356},	// QsciLexerCPP::Number
    {54, 280, 362},	// QsciLexerCPP::Operator
    {54, 317, 361},	// QsciLexerCPP::PreProcessor
    {54, 360, 346},	// QsciLexerCPP::QsciLexerCPP
    {54, 361, 347},	// QsciLexerCPP::QsciLexerCPP#
    {54, 362, 314},	// QsciLexerCPP::QsciLexerCPP#$
    {54, 448, 366},	// QsciLexerCPP::Regex
    {54, 620, 359},	// QsciLexerCPP::SingleQuotedString
    {54, 672, 360},	// QsciLexerCPP::UUID
    {54, 673, 364},	// QsciLexerCPP::UnclosedString
    {54, 690, 365},	// QsciLexerCPP::VerbatimString
    {54, 737, 317},	// QsciLexerCPP::autoCompletionWordSeparators
    {54, 743, 348},	// QsciLexerCPP::blockEnd
    {54, 744, 318},	// QsciLexerCPP::blockEnd$
    {54, 746, 349},	// QsciLexerCPP::blockStart
    {54, 747, 319},	// QsciLexerCPP::blockStart$
    {54, 748, 350},	// QsciLexerCPP::blockStartKeyword
    {54, 749, 320},	// QsciLexerCPP::blockStartKeyword$
    {54, 751, 321},	// QsciLexerCPP::braceStyle
    {54, 796, 323},	// QsciLexerCPP::defaultColor$
    {54, 798, 324},	// QsciLexerCPP::defaultEolFill$
    {54, 800, 325},	// QsciLexerCPP::defaultFont$
    {54, 802, 326},	// QsciLexerCPP::defaultPaper$
    {54, 806, 328},	// QsciLexerCPP::description$
    {54, 810, 336},	// QsciLexerCPP::dollarsAllowed
    {54, 858, 330},	// QsciLexerCPP::foldAtElse
    {54, 860, 331},	// QsciLexerCPP::foldComments
    {54, 861, 332},	// QsciLexerCPP::foldCompact
    {54, 867, 333},	// QsciLexerCPP::foldPreprocessor
    {54, 931, 327},	// QsciLexerCPP::keywords$
    {54, 932, 315},	// QsciLexerCPP::language
    {54, 937, 316},	// QsciLexerCPP::lexer
    {54, 986, 307},	// QsciLexerCPP::metaObject
    {54, 1025, 313},	// QsciLexerCPP::qt_metacall$$?
    {54, 1027, 308},	// QsciLexerCPP::qt_metacast$
    {54, 1031, 342},	// QsciLexerCPP::readProperties#$
    {54, 1040, 329},	// QsciLexerCPP::refreshProperties
    {54, 1135, 335},	// QsciLexerCPP::setDollarsAllowed$
    {54, 1154, 337},	// QsciLexerCPP::setFoldAtElse$
    {54, 1158, 338},	// QsciLexerCPP::setFoldComments$
    {54, 1160, 339},	// QsciLexerCPP::setFoldCompact$
    {54, 1170, 340},	// QsciLexerCPP::setFoldPreprocessor$
    {54, 1264, 341},	// QsciLexerCPP::setStylePreprocessor$
    {54, 1310, 351},	// QsciLexerCPP::staticMetaObject
    {54, 1314, 334},	// QsciLexerCPP::stylePreprocessor
    {54, 1331, 344},	// QsciLexerCPP::tr$
    {54, 1332, 309},	// QsciLexerCPP::tr$$
    {54, 1333, 311},	// QsciLexerCPP::tr$$$
    {54, 1335, 345},	// QsciLexerCPP::trUtf8$
    {54, 1336, 310},	// QsciLexerCPP::trUtf8$$
    {54, 1337, 312},	// QsciLexerCPP::trUtf8$$$
    {54, 1357, 322},	// QsciLexerCPP::wordCharacters
    {54, 1362, 343},	// QsciLexerCPP::writeProperties#$
    {54, 1381, 372},	// QsciLexerCPP::~QsciLexerCPP
    {55, 65, 415},	// QsciLexerCSS::AtRule
    {55, 66, 419},	// QsciLexerCSS::Attribute
    {55, 101, 409},	// QsciLexerCSS::CSS1Property
    {55, 102, 418},	// QsciLexerCSS::CSS2Property
    {55, 103, 420},	// QsciLexerCSS::CSS3Property
    {55, 119, 405},	// QsciLexerCSS::ClassSelector
    {55, 124, 412},	// QsciLexerCSS::Comment
    {55, 144, 403},	// QsciLexerCSS::Default
    {55, 155, 416},	// QsciLexerCSS::DoubleQuotedString
    {55, 175, 422},	// QsciLexerCSS::ExtendedCSSProperty
    {55, 177, 423},	// QsciLexerCSS::ExtendedPseudoClass
    {55, 178, 424},	// QsciLexerCSS::ExtendedPseudoElement
    {55, 207, 413},	// QsciLexerCSS::IDSelector
    {55, 213, 414},	// QsciLexerCSS::Important
    {55, 280, 408},	// QsciLexerCSS::Operator
    {55, 324, 406},	// QsciLexerCSS::PseudoClass
    {55, 325, 421},	// QsciLexerCSS::PseudoElement
    {55, 363, 399},	// QsciLexerCSS::QsciLexerCSS
    {55, 364, 380},	// QsciLexerCSS::QsciLexerCSS#
    {55, 620, 417},	// QsciLexerCSS::SingleQuotedString
    {55, 657, 404},	// QsciLexerCSS::Tag
    {55, 675, 410},	// QsciLexerCSS::UnknownProperty
    {55, 676, 407},	// QsciLexerCSS::UnknownPseudoClass
    {55, 688, 411},	// QsciLexerCSS::Value
    {55, 743, 400},	// QsciLexerCSS::blockEnd
    {55, 744, 383},	// QsciLexerCSS::blockEnd$
    {55, 746, 401},	// QsciLexerCSS::blockStart
    {55, 747, 384},	// QsciLexerCSS::blockStart$
    {55, 796, 386},	// QsciLexerCSS::defaultColor$
    {55, 800, 387},	// QsciLexerCSS::defaultFont$
    {55, 806, 389},	// QsciLexerCSS::description$
    {55, 860, 391},	// QsciLexerCSS::foldComments
    {55, 861, 392},	// QsciLexerCSS::foldCompact
    {55, 931, 388},	// QsciLexerCSS::keywords$
    {55, 932, 381},	// QsciLexerCSS::language
    {55, 937, 382},	// QsciLexerCSS::lexer
    {55, 986, 373},	// QsciLexerCSS::metaObject
    {55, 1025, 379},	// QsciLexerCSS::qt_metacall$$?
    {55, 1027, 374},	// QsciLexerCSS::qt_metacast$
    {55, 1031, 395},	// QsciLexerCSS::readProperties#$
    {55, 1040, 390},	// QsciLexerCSS::refreshProperties
    {55, 1158, 393},	// QsciLexerCSS::setFoldComments$
    {55, 1160, 394},	// QsciLexerCSS::setFoldCompact$
    {55, 1310, 402},	// QsciLexerCSS::staticMetaObject
    {55, 1331, 397},	// QsciLexerCSS::tr$
    {55, 1332, 375},	// QsciLexerCSS::tr$$
    {55, 1333, 377},	// QsciLexerCSS::tr$$$
    {55, 1335, 398},	// QsciLexerCSS::trUtf8$
    {55, 1336, 376},	// QsciLexerCSS::trUtf8$$
    {55, 1337, 378},	// QsciLexerCSS::trUtf8$$$
    {55, 1357, 385},	// QsciLexerCSS::wordCharacters
    {55, 1362, 396},	// QsciLexerCSS::writeProperties#$
    {55, 1382, 425},	// QsciLexerCSS::~QsciLexerCSS
    {56, 365, 443},	// QsciLexerCSharp::QsciLexerCSharp
    {56, 366, 433},	// QsciLexerCSharp::QsciLexerCSharp#
    {56, 796, 435},	// QsciLexerCSharp::defaultColor$
    {56, 798, 436},	// QsciLexerCSharp::defaultEolFill$
    {56, 800, 437},	// QsciLexerCSharp::defaultFont$
    {56, 802, 438},	// QsciLexerCSharp::defaultPaper$
    {56, 806, 440},	// QsciLexerCSharp::description$
    {56, 931, 439},	// QsciLexerCSharp::keywords$
    {56, 932, 434},	// QsciLexerCSharp::language
    {56, 986, 426},	// QsciLexerCSharp::metaObject
    {56, 1025, 432},	// QsciLexerCSharp::qt_metacall$$?
    {56, 1027, 427},	// QsciLexerCSharp::qt_metacast$
    {56, 1310, 444},	// QsciLexerCSharp::staticMetaObject
    {56, 1331, 441},	// QsciLexerCSharp::tr$
    {56, 1332, 428},	// QsciLexerCSharp::tr$$
    {56, 1333, 430},	// QsciLexerCSharp::tr$$$
    {56, 1335, 442},	// QsciLexerCSharp::trUtf8$
    {56, 1336, 429},	// QsciLexerCSharp::trUtf8$$
    {56, 1337, 431},	// QsciLexerCSharp::trUtf8$$$
    {56, 1383, 445},	// QsciLexerCSharp::~QsciLexerCSharp
    {57, 367, 462},	// QsciLexerCustom::QsciLexerCustom
    {57, 368, 453},	// QsciLexerCustom::QsciLexerCustom#
    {57, 986, 446},	// QsciLexerCustom::metaObject
    {57, 1025, 452},	// QsciLexerCustom::qt_metacall$$?
    {57, 1027, 447},	// QsciLexerCustom::qt_metacast$
    {57, 1143, 458},	// QsciLexerCustom::setEditor#
    {57, 1266, 455},	// QsciLexerCustom::setStyling$#
    {57, 1267, 454},	// QsciLexerCustom::setStyling$$
    {57, 1308, 463},	// QsciLexerCustom::startStyling$
    {57, 1309, 456},	// QsciLexerCustom::startStyling$$
    {57, 1310, 464},	// QsciLexerCustom::staticMetaObject
    {57, 1312, 459},	// QsciLexerCustom::styleBitsNeeded
    {57, 1316, 457},	// QsciLexerCustom::styleText$$
    {57, 1331, 460},	// QsciLexerCustom::tr$
    {57, 1332, 448},	// QsciLexerCustom::tr$$
    {57, 1333, 450},	// QsciLexerCustom::tr$$$
    {57, 1335, 461},	// QsciLexerCustom::trUtf8$
    {57, 1336, 449},	// QsciLexerCustom::trUtf8$$
    {57, 1337, 451},	// QsciLexerCustom::trUtf8$$$
    {57, 1384, 465},	// QsciLexerCustom::~QsciLexerCustom
    {58, 109, 516},	// QsciLexerD::Character
    {58, 124, 505},	// QsciLexerD::Comment
    {58, 127, 507},	// QsciLexerD::CommentDoc
    {58, 128, 520},	// QsciLexerD::CommentDocKeyword
    {58, 129, 521},	// QsciLexerD::CommentDocKeywordError
    {58, 130, 506},	// QsciLexerD::CommentLine
    {58, 131, 519},	// QsciLexerD::CommentLineDoc
    {58, 133, 508},	// QsciLexerD::CommentNested
    {58, 144, 504},	// QsciLexerD::Default
    {58, 209, 518},	// QsciLexerD::Identifier
    {58, 233, 510},	// QsciLexerD::Keyword
    {58, 234, 512},	// QsciLexerD::KeywordDoc
    {58, 235, 511},	// QsciLexerD::KeywordSecondary
    {58, 276, 509},	// QsciLexerD::Number
    {58, 280, 517},	// QsciLexerD::Operator
    {58, 369, 499},	// QsciLexerD::QsciLexerD
    {58, 370, 473},	// QsciLexerD::QsciLexerD#
    {58, 636, 514},	// QsciLexerD::String
    {58, 670, 513},	// QsciLexerD::Typedefs
    {58, 673, 515},	// QsciLexerD::UnclosedString
    {58, 737, 476},	// QsciLexerD::autoCompletionWordSeparators
    {58, 743, 500},	// QsciLexerD::blockEnd
    {58, 744, 477},	// QsciLexerD::blockEnd$
    {58, 746, 501},	// QsciLexerD::blockStart
    {58, 747, 478},	// QsciLexerD::blockStart$
    {58, 748, 502},	// QsciLexerD::blockStartKeyword
    {58, 749, 479},	// QsciLexerD::blockStartKeyword$
    {58, 751, 480},	// QsciLexerD::braceStyle
    {58, 796, 482},	// QsciLexerD::defaultColor$
    {58, 798, 483},	// QsciLexerD::defaultEolFill$
    {58, 800, 484},	// QsciLexerD::defaultFont$
    {58, 802, 485},	// QsciLexerD::defaultPaper$
    {58, 806, 487},	// QsciLexerD::description$
    {58, 858, 489},	// QsciLexerD::foldAtElse
    {58, 860, 490},	// QsciLexerD::foldComments
    {58, 861, 491},	// QsciLexerD::foldCompact
    {58, 931, 486},	// QsciLexerD::keywords$
    {58, 932, 474},	// QsciLexerD::language
    {58, 937, 475},	// QsciLexerD::lexer
    {58, 986, 466},	// QsciLexerD::metaObject
    {58, 1025, 472},	// QsciLexerD::qt_metacall$$?
    {58, 1027, 467},	// QsciLexerD::qt_metacast$
    {58, 1031, 495},	// QsciLexerD::readProperties#$
    {58, 1040, 488},	// QsciLexerD::refreshProperties
    {58, 1154, 492},	// QsciLexerD::setFoldAtElse$
    {58, 1158, 493},	// QsciLexerD::setFoldComments$
    {58, 1160, 494},	// QsciLexerD::setFoldCompact$
    {58, 1310, 503},	// QsciLexerD::staticMetaObject
    {58, 1331, 497},	// QsciLexerD::tr$
    {58, 1332, 468},	// QsciLexerD::tr$$
    {58, 1333, 470},	// QsciLexerD::tr$$$
    {58, 1335, 498},	// QsciLexerD::trUtf8$
    {58, 1336, 469},	// QsciLexerD::trUtf8$$
    {58, 1337, 471},	// QsciLexerD::trUtf8$$$
    {58, 1357, 481},	// QsciLexerD::wordCharacters
    {58, 1362, 496},	// QsciLexerD::writeProperties#$
    {58, 1385, 522},	// QsciLexerD::~QsciLexerD
    {59, 123, 542},	// QsciLexerDiff::Command
    {59, 124, 541},	// QsciLexerDiff::Comment
    {59, 144, 540},	// QsciLexerDiff::Default
    {59, 198, 543},	// QsciLexerDiff::Header
    {59, 253, 546},	// QsciLexerDiff::LineAdded
    {59, 254, 547},	// QsciLexerDiff::LineChanged
    {59, 256, 545},	// QsciLexerDiff::LineRemoved
    {59, 315, 544},	// QsciLexerDiff::Position
    {59, 371, 538},	// QsciLexerDiff::QsciLexerDiff
    {59, 372, 530},	// QsciLexerDiff::QsciLexerDiff#
    {59, 796, 534},	// QsciLexerDiff::defaultColor$
    {59, 806, 535},	// QsciLexerDiff::description$
    {59, 932, 531},	// QsciLexerDiff::language
    {59, 937, 532},	// QsciLexerDiff::lexer
    {59, 986, 523},	// QsciLexerDiff::metaObject
    {59, 1025, 529},	// QsciLexerDiff::qt_metacall$$?
    {59, 1027, 524},	// QsciLexerDiff::qt_metacast$
    {59, 1310, 539},	// QsciLexerDiff::staticMetaObject
    {59, 1331, 536},	// QsciLexerDiff::tr$
    {59, 1332, 525},	// QsciLexerDiff::tr$$
    {59, 1333, 527},	// QsciLexerDiff::tr$$$
    {59, 1335, 537},	// QsciLexerDiff::trUtf8$
    {59, 1336, 526},	// QsciLexerDiff::trUtf8$$
    {59, 1337, 528},	// QsciLexerDiff::trUtf8$$$
    {59, 1357, 533},	// QsciLexerDiff::wordCharacters
    {59, 1386, 548},	// QsciLexerDiff::~QsciLexerDiff
    {60, 373, 562},	// QsciLexerFortran::QsciLexerFortran
    {60, 374, 556},	// QsciLexerFortran::QsciLexerFortran#
    {60, 931, 559},	// QsciLexerFortran::keywords$
    {60, 932, 557},	// QsciLexerFortran::language
    {60, 937, 558},	// QsciLexerFortran::lexer
    {60, 986, 549},	// QsciLexerFortran::metaObject
    {60, 1025, 555},	// QsciLexerFortran::qt_metacall$$?
    {60, 1027, 550},	// QsciLexerFortran::qt_metacast$
    {60, 1310, 563},	// QsciLexerFortran::staticMetaObject
    {60, 1331, 560},	// QsciLexerFortran::tr$
    {60, 1332, 551},	// QsciLexerFortran::tr$$
    {60, 1333, 553},	// QsciLexerFortran::tr$$$
    {60, 1335, 561},	// QsciLexerFortran::trUtf8$
    {60, 1336, 552},	// QsciLexerFortran::trUtf8$$
    {60, 1337, 554},	// QsciLexerFortran::trUtf8$$$
    {60, 1387, 564},	// QsciLexerFortran::~QsciLexerFortran
    {61, 124, 592},	// QsciLexerFortran77::Comment
    {61, 135, 605},	// QsciLexerFortran77::Continuation
    {61, 144, 591},	// QsciLexerFortran77::Default
    {61, 153, 603},	// QsciLexerFortran77::DottedOperator
    {61, 155, 595},	// QsciLexerFortran77::DoubleQuotedString
    {61, 176, 601},	// QsciLexerFortran77::ExtendedFunction
    {61, 209, 598},	// QsciLexerFortran77::Identifier
    {61, 217, 600},	// QsciLexerFortran77::IntrinsicFunction
    {61, 233, 599},	// QsciLexerFortran77::Keyword
    {61, 243, 604},	// QsciLexerFortran77::Label
    {61, 276, 593},	// QsciLexerFortran77::Number
    {61, 280, 597},	// QsciLexerFortran77::Operator
    {61, 317, 602},	// QsciLexerFortran77::PreProcessor
    {61, 375, 589},	// QsciLexerFortran77::QsciLexerFortran77
    {61, 376, 572},	// QsciLexerFortran77::QsciLexerFortran77#
    {61, 620, 594},	// QsciLexerFortran77::SingleQuotedString
    {61, 673, 596},	// QsciLexerFortran77::UnclosedString
    {61, 751, 575},	// QsciLexerFortran77::braceStyle
    {61, 796, 576},	// QsciLexerFortran77::defaultColor$
    {61, 798, 577},	// QsciLexerFortran77::defaultEolFill$
    {61, 800, 578},	// QsciLexerFortran77::defaultFont$
    {61, 802, 579},	// QsciLexerFortran77::defaultPaper$
    {61, 806, 581},	// QsciLexerFortran77::description$
    {61, 861, 583},	// QsciLexerFortran77::foldCompact
    {61, 931, 580},	// QsciLexerFortran77::keywords$
    {61, 932, 573},	// QsciLexerFortran77::language
    {61, 937, 574},	// QsciLexerFortran77::lexer
    {61, 986, 565},	// QsciLexerFortran77::metaObject
    {61, 1025, 571},	// QsciLexerFortran77::qt_metacall$$?
    {61, 1027, 566},	// QsciLexerFortran77::qt_metacast$
    {61, 1031, 585},	// QsciLexerFortran77::readProperties#$
    {61, 1040, 582},	// QsciLexerFortran77::refreshProperties
    {61, 1160, 584},	// QsciLexerFortran77::setFoldCompact$
    {61, 1310, 590},	// QsciLexerFortran77::staticMetaObject
    {61, 1331, 587},	// QsciLexerFortran77::tr$
    {61, 1332, 567},	// QsciLexerFortran77::tr$$
    {61, 1333, 569},	// QsciLexerFortran77::tr$$$
    {61, 1335, 588},	// QsciLexerFortran77::trUtf8$
    {61, 1336, 568},	// QsciLexerFortran77::trUtf8$$
    {61, 1337, 570},	// QsciLexerFortran77::trUtf8$$$
    {61, 1362, 586},	// QsciLexerFortran77::writeProperties#$
    {61, 1388, 606},	// QsciLexerFortran77::~QsciLexerFortran77
    {62, 11, 657},	// QsciLexerHTML::ASPAtStart
    {62, 12, 689},	// QsciLexerHTML::ASPJavaScriptComment
    {62, 13, 691},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {62, 14, 690},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {62, 15, 688},	// QsciLexerHTML::ASPJavaScriptDefault
    {62, 16, 695},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {62, 17, 694},	// QsciLexerHTML::ASPJavaScriptKeyword
    {62, 18, 692},	// QsciLexerHTML::ASPJavaScriptNumber
    {62, 19, 699},	// QsciLexerHTML::ASPJavaScriptRegex
    {62, 20, 696},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {62, 21, 687},	// QsciLexerHTML::ASPJavaScriptStart
    {62, 22, 697},	// QsciLexerHTML::ASPJavaScriptSymbol
    {62, 23, 698},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {62, 24, 693},	// QsciLexerHTML::ASPJavaScriptWord
    {62, 25, 738},	// QsciLexerHTML::ASPPythonClassName
    {62, 26, 731},	// QsciLexerHTML::ASPPythonComment
    {62, 27, 730},	// QsciLexerHTML::ASPPythonDefault
    {62, 28, 733},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {62, 29, 739},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {62, 30, 741},	// QsciLexerHTML::ASPPythonIdentifier
    {62, 31, 735},	// QsciLexerHTML::ASPPythonKeyword
    {62, 32, 732},	// QsciLexerHTML::ASPPythonNumber
    {62, 33, 740},	// QsciLexerHTML::ASPPythonOperator
    {62, 34, 734},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {62, 35, 729},	// QsciLexerHTML::ASPPythonStart
    {62, 36, 737},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {62, 37, 736},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {62, 38, 658},	// QsciLexerHTML::ASPStart
    {62, 39, 710},	// QsciLexerHTML::ASPVBScriptComment
    {62, 40, 709},	// QsciLexerHTML::ASPVBScriptDefault
    {62, 41, 714},	// QsciLexerHTML::ASPVBScriptIdentifier
    {62, 42, 712},	// QsciLexerHTML::ASPVBScriptKeyword
    {62, 43, 711},	// QsciLexerHTML::ASPVBScriptNumber
    {62, 44, 708},	// QsciLexerHTML::ASPVBScriptStart
    {62, 45, 713},	// QsciLexerHTML::ASPVBScriptString
    {62, 46, 715},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {62, 47, 662},	// QsciLexerHTML::ASPXCComment
    {62, 66, 645},	// QsciLexerHTML::Attribute
    {62, 100, 659},	// QsciLexerHTML::CDATA
    {62, 144, 642},	// QsciLexerHTML::Default
    {62, 166, 652},	// QsciLexerHTML::Entity
    {62, 192, 651},	// QsciLexerHTML::HTMLComment
    {62, 193, 648},	// QsciLexerHTML::HTMLDoubleQuotedString
    {62, 194, 647},	// QsciLexerHTML::HTMLNumber
    {62, 195, 649},	// QsciLexerHTML::HTMLSingleQuotedString
    {62, 196, 661},	// QsciLexerHTML::HTMLValue
    {62, 219, 676},	// QsciLexerHTML::JavaScriptComment
    {62, 220, 678},	// QsciLexerHTML::JavaScriptCommentDoc
    {62, 221, 677},	// QsciLexerHTML::JavaScriptCommentLine
    {62, 222, 675},	// QsciLexerHTML::JavaScriptDefault
    {62, 223, 682},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {62, 224, 681},	// QsciLexerHTML::JavaScriptKeyword
    {62, 225, 679},	// QsciLexerHTML::JavaScriptNumber
    {62, 226, 686},	// QsciLexerHTML::JavaScriptRegex
    {62, 227, 683},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {62, 228, 674},	// QsciLexerHTML::JavaScriptStart
    {62, 229, 684},	// QsciLexerHTML::JavaScriptSymbol
    {62, 230, 685},	// QsciLexerHTML::JavaScriptUnclosedString
    {62, 231, 680},	// QsciLexerHTML::JavaScriptWord
    {62, 282, 650},	// QsciLexerHTML::OtherInTag
    {62, 283, 748},	// QsciLexerHTML::PHPComment
    {62, 284, 749},	// QsciLexerHTML::PHPCommentLine
    {62, 285, 742},	// QsciLexerHTML::PHPDefault
    {62, 286, 743},	// QsciLexerHTML::PHPDoubleQuotedString
    {62, 287, 750},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {62, 288, 745},	// QsciLexerHTML::PHPKeyword
    {62, 289, 746},	// QsciLexerHTML::PHPNumber
    {62, 290, 751},	// QsciLexerHTML::PHPOperator
    {62, 291, 744},	// QsciLexerHTML::PHPSingleQuotedString
    {62, 292, 660},	// QsciLexerHTML::PHPStart
    {62, 293, 747},	// QsciLexerHTML::PHPVariable
    {62, 326, 725},	// QsciLexerHTML::PythonClassName
    {62, 327, 718},	// QsciLexerHTML::PythonComment
    {62, 328, 717},	// QsciLexerHTML::PythonDefault
    {62, 329, 720},	// QsciLexerHTML::PythonDoubleQuotedString
    {62, 330, 726},	// QsciLexerHTML::PythonFunctionMethodName
    {62, 331, 728},	// QsciLexerHTML::PythonIdentifier
    {62, 332, 722},	// QsciLexerHTML::PythonKeyword
    {62, 333, 719},	// QsciLexerHTML::PythonNumber
    {62, 334, 727},	// QsciLexerHTML::PythonOperator
    {62, 335, 721},	// QsciLexerHTML::PythonSingleQuotedString
    {62, 336, 716},	// QsciLexerHTML::PythonStart
    {62, 337, 724},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {62, 338, 723},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {62, 377, 640},	// QsciLexerHTML::QsciLexerHTML
    {62, 378, 614},	// QsciLexerHTML::QsciLexerHTML#
    {62, 591, 673},	// QsciLexerHTML::SGMLBlockDefault
    {62, 592, 664},	// QsciLexerHTML::SGMLCommand
    {62, 593, 671},	// QsciLexerHTML::SGMLComment
    {62, 594, 663},	// QsciLexerHTML::SGMLDefault
    {62, 595, 666},	// QsciLexerHTML::SGMLDoubleQuotedString
    {62, 596, 670},	// QsciLexerHTML::SGMLEntity
    {62, 597, 668},	// QsciLexerHTML::SGMLError
    {62, 598, 665},	// QsciLexerHTML::SGMLParameter
    {62, 599, 672},	// QsciLexerHTML::SGMLParameterComment
    {62, 600, 667},	// QsciLexerHTML::SGMLSingleQuotedString
    {62, 601, 669},	// QsciLexerHTML::SGMLSpecial
    {62, 604, 656},	// QsciLexerHTML::Script
    {62, 657, 643},	// QsciLexerHTML::Tag
    {62, 674, 646},	// QsciLexerHTML::UnknownAttribute
    {62, 677, 644},	// QsciLexerHTML::UnknownTag
    {62, 679, 702},	// QsciLexerHTML::VBScriptComment
    {62, 680, 701},	// QsciLexerHTML::VBScriptDefault
    {62, 681, 706},	// QsciLexerHTML::VBScriptIdentifier
    {62, 682, 704},	// QsciLexerHTML::VBScriptKeyword
    {62, 683, 703},	// QsciLexerHTML::VBScriptNumber
    {62, 684, 700},	// QsciLexerHTML::VBScriptStart
    {62, 685, 705},	// QsciLexerHTML::VBScriptString
    {62, 686, 707},	// QsciLexerHTML::VBScriptUnclosedString
    {62, 702, 655},	// QsciLexerHTML::XMLEnd
    {62, 703, 654},	// QsciLexerHTML::XMLStart
    {62, 704, 653},	// QsciLexerHTML::XMLTagEnd
    {62, 729, 617},	// QsciLexerHTML::autoCompletionFillups
    {62, 762, 628},	// QsciLexerHTML::caseSensitiveTags
    {62, 796, 619},	// QsciLexerHTML::defaultColor$
    {62, 798, 620},	// QsciLexerHTML::defaultEolFill$
    {62, 800, 621},	// QsciLexerHTML::defaultFont$
    {62, 802, 622},	// QsciLexerHTML::defaultPaper$
    {62, 806, 624},	// QsciLexerHTML::description$
    {62, 861, 626},	// QsciLexerHTML::foldCompact
    {62, 867, 627},	// QsciLexerHTML::foldPreprocessor
    {62, 869, 630},	// QsciLexerHTML::foldScriptComments
    {62, 870, 632},	// QsciLexerHTML::foldScriptHeredocs
    {62, 931, 623},	// QsciLexerHTML::keywords$
    {62, 932, 615},	// QsciLexerHTML::language
    {62, 937, 616},	// QsciLexerHTML::lexer
    {62, 986, 607},	// QsciLexerHTML::metaObject
    {62, 1025, 613},	// QsciLexerHTML::qt_metacall$$?
    {62, 1027, 608},	// QsciLexerHTML::qt_metacast$
    {62, 1031, 636},	// QsciLexerHTML::readProperties#$
    {62, 1040, 625},	// QsciLexerHTML::refreshProperties
    {62, 1116, 635},	// QsciLexerHTML::setCaseSensitiveTags$
    {62, 1160, 633},	// QsciLexerHTML::setFoldCompact$
    {62, 1170, 634},	// QsciLexerHTML::setFoldPreprocessor$
    {62, 1174, 629},	// QsciLexerHTML::setFoldScriptComments$
    {62, 1176, 631},	// QsciLexerHTML::setFoldScriptHeredocs$
    {62, 1310, 641},	// QsciLexerHTML::staticMetaObject
    {62, 1331, 638},	// QsciLexerHTML::tr$
    {62, 1332, 609},	// QsciLexerHTML::tr$$
    {62, 1333, 611},	// QsciLexerHTML::tr$$$
    {62, 1335, 639},	// QsciLexerHTML::trUtf8$
    {62, 1336, 610},	// QsciLexerHTML::trUtf8$$
    {62, 1337, 612},	// QsciLexerHTML::trUtf8$$$
    {62, 1357, 618},	// QsciLexerHTML::wordCharacters
    {62, 1362, 637},	// QsciLexerHTML::writeProperties#$
    {62, 1389, 752},	// QsciLexerHTML::~QsciLexerHTML
    {63, 379, 767},	// QsciLexerIDL::QsciLexerIDL
    {63, 380, 760},	// QsciLexerIDL::QsciLexerIDL#
    {63, 796, 762},	// QsciLexerIDL::defaultColor$
    {63, 806, 764},	// QsciLexerIDL::description$
    {63, 931, 763},	// QsciLexerIDL::keywords$
    {63, 932, 761},	// QsciLexerIDL::language
    {63, 986, 753},	// QsciLexerIDL::metaObject
    {63, 1025, 759},	// QsciLexerIDL::qt_metacall$$?
    {63, 1027, 754},	// QsciLexerIDL::qt_metacast$
    {63, 1310, 768},	// QsciLexerIDL::staticMetaObject
    {63, 1331, 765},	// QsciLexerIDL::tr$
    {63, 1332, 755},	// QsciLexerIDL::tr$$
    {63, 1333, 757},	// QsciLexerIDL::tr$$$
    {63, 1335, 766},	// QsciLexerIDL::trUtf8$
    {63, 1336, 756},	// QsciLexerIDL::trUtf8$$
    {63, 1337, 758},	// QsciLexerIDL::trUtf8$$$
    {63, 1390, 769},	// QsciLexerIDL::~QsciLexerIDL
    {64, 381, 782},	// QsciLexerJava::QsciLexerJava
    {64, 382, 777},	// QsciLexerJava::QsciLexerJava#
    {64, 931, 779},	// QsciLexerJava::keywords$
    {64, 932, 778},	// QsciLexerJava::language
    {64, 986, 770},	// QsciLexerJava::metaObject
    {64, 1025, 776},	// QsciLexerJava::qt_metacall$$?
    {64, 1027, 771},	// QsciLexerJava::qt_metacast$
    {64, 1310, 783},	// QsciLexerJava::staticMetaObject
    {64, 1331, 780},	// QsciLexerJava::tr$
    {64, 1332, 772},	// QsciLexerJava::tr$$
    {64, 1333, 774},	// QsciLexerJava::tr$$$
    {64, 1335, 781},	// QsciLexerJava::trUtf8$
    {64, 1336, 773},	// QsciLexerJava::trUtf8$$
    {64, 1337, 775},	// QsciLexerJava::trUtf8$$$
    {64, 1391, 784},	// QsciLexerJava::~QsciLexerJava
    {65, 383, 802},	// QsciLexerJavaScript::QsciLexerJavaScript
    {65, 384, 792},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {65, 796, 794},	// QsciLexerJavaScript::defaultColor$
    {65, 798, 795},	// QsciLexerJavaScript::defaultEolFill$
    {65, 800, 796},	// QsciLexerJavaScript::defaultFont$
    {65, 802, 797},	// QsciLexerJavaScript::defaultPaper$
    {65, 806, 799},	// QsciLexerJavaScript::description$
    {65, 931, 798},	// QsciLexerJavaScript::keywords$
    {65, 932, 793},	// QsciLexerJavaScript::language
    {65, 986, 785},	// QsciLexerJavaScript::metaObject
    {65, 1025, 791},	// QsciLexerJavaScript::qt_metacall$$?
    {65, 1027, 786},	// QsciLexerJavaScript::qt_metacast$
    {65, 1310, 803},	// QsciLexerJavaScript::staticMetaObject
    {65, 1331, 800},	// QsciLexerJavaScript::tr$
    {65, 1332, 787},	// QsciLexerJavaScript::tr$$
    {65, 1333, 789},	// QsciLexerJavaScript::tr$$$
    {65, 1335, 801},	// QsciLexerJavaScript::trUtf8$
    {65, 1336, 788},	// QsciLexerJavaScript::trUtf8$$
    {65, 1337, 790},	// QsciLexerJavaScript::trUtf8$$$
    {65, 1392, 804},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {66, 85, 846},	// QsciLexerLua::BasicFunctions
    {66, 109, 840},	// QsciLexerLua::Character
    {66, 124, 835},	// QsciLexerLua::Comment
    {66, 136, 848},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {66, 144, 834},	// QsciLexerLua::Default
    {66, 209, 844},	// QsciLexerLua::Identifier
    {66, 233, 838},	// QsciLexerLua::Keyword
    {66, 255, 836},	// QsciLexerLua::LineComment
    {66, 258, 841},	// QsciLexerLua::LiteralString
    {66, 276, 837},	// QsciLexerLua::Number
    {66, 280, 843},	// QsciLexerLua::Operator
    {66, 321, 842},	// QsciLexerLua::Preprocessor
    {66, 385, 831},	// QsciLexerLua::QsciLexerLua
    {66, 386, 812},	// QsciLexerLua::QsciLexerLua#
    {66, 636, 839},	// QsciLexerLua::String
    {66, 639, 847},	// QsciLexerLua::StringTableMathsFunctions
    {66, 673, 845},	// QsciLexerLua::UnclosedString
    {66, 737, 815},	// QsciLexerLua::autoCompletionWordSeparators
    {66, 746, 832},	// QsciLexerLua::blockStart
    {66, 747, 816},	// QsciLexerLua::blockStart$
    {66, 751, 817},	// QsciLexerLua::braceStyle
    {66, 796, 818},	// QsciLexerLua::defaultColor$
    {66, 798, 819},	// QsciLexerLua::defaultEolFill$
    {66, 800, 820},	// QsciLexerLua::defaultFont$
    {66, 802, 821},	// QsciLexerLua::defaultPaper$
    {66, 806, 823},	// QsciLexerLua::description$
    {66, 861, 825},	// QsciLexerLua::foldCompact
    {66, 931, 822},	// QsciLexerLua::keywords$
    {66, 932, 813},	// QsciLexerLua::language
    {66, 937, 814},	// QsciLexerLua::lexer
    {66, 986, 805},	// QsciLexerLua::metaObject
    {66, 1025, 811},	// QsciLexerLua::qt_metacall$$?
    {66, 1027, 806},	// QsciLexerLua::qt_metacast$
    {66, 1031, 827},	// QsciLexerLua::readProperties#$
    {66, 1040, 824},	// QsciLexerLua::refreshProperties
    {66, 1160, 826},	// QsciLexerLua::setFoldCompact$
    {66, 1310, 833},	// QsciLexerLua::staticMetaObject
    {66, 1331, 829},	// QsciLexerLua::tr$
    {66, 1332, 807},	// QsciLexerLua::tr$$
    {66, 1333, 809},	// QsciLexerLua::tr$$$
    {66, 1335, 830},	// QsciLexerLua::trUtf8$
    {66, 1336, 808},	// QsciLexerLua::trUtf8$$
    {66, 1337, 810},	// QsciLexerLua::trUtf8$$$
    {66, 1362, 828},	// QsciLexerLua::writeProperties#$
    {66, 1393, 849},	// QsciLexerLua::~QsciLexerLua
    {67, 124, 871},	// QsciLexerMakefile::Comment
    {67, 144, 870},	// QsciLexerMakefile::Default
    {67, 172, 876},	// QsciLexerMakefile::Error
    {67, 280, 874},	// QsciLexerMakefile::Operator
    {67, 321, 872},	// QsciLexerMakefile::Preprocessor
    {67, 387, 868},	// QsciLexerMakefile::QsciLexerMakefile
    {67, 388, 857},	// QsciLexerMakefile::QsciLexerMakefile#
    {67, 658, 875},	// QsciLexerMakefile::Target
    {67, 689, 873},	// QsciLexerMakefile::Variable
    {67, 796, 861},	// QsciLexerMakefile::defaultColor$
    {67, 798, 862},	// QsciLexerMakefile::defaultEolFill$
    {67, 800, 863},	// QsciLexerMakefile::defaultFont$
    {67, 802, 864},	// QsciLexerMakefile::defaultPaper$
    {67, 806, 865},	// QsciLexerMakefile::description$
    {67, 932, 858},	// QsciLexerMakefile::language
    {67, 937, 859},	// QsciLexerMakefile::lexer
    {67, 986, 850},	// QsciLexerMakefile::metaObject
    {67, 1025, 856},	// QsciLexerMakefile::qt_metacall$$?
    {67, 1027, 851},	// QsciLexerMakefile::qt_metacast$
    {67, 1310, 869},	// QsciLexerMakefile::staticMetaObject
    {67, 1331, 866},	// QsciLexerMakefile::tr$
    {67, 1332, 852},	// QsciLexerMakefile::tr$$
    {67, 1333, 854},	// QsciLexerMakefile::tr$$$
    {67, 1335, 867},	// QsciLexerMakefile::trUtf8$
    {67, 1336, 853},	// QsciLexerMakefile::trUtf8$$
    {67, 1337, 855},	// QsciLexerMakefile::trUtf8$$$
    {67, 1357, 860},	// QsciLexerMakefile::wordCharacters
    {67, 1394, 877},	// QsciLexerMakefile::~QsciLexerMakefile
    {68, 82, 918},	// QsciLexerPOV::BadDirective
    {68, 124, 910},	// QsciLexerPOV::Comment
    {68, 130, 911},	// QsciLexerPOV::CommentLine
    {68, 144, 909},	// QsciLexerPOV::Default
    {68, 151, 917},	// QsciLexerPOV::Directive
    {68, 209, 914},	// QsciLexerPOV::Identifier
    {68, 239, 923},	// QsciLexerPOV::KeywordSet6
    {68, 240, 924},	// QsciLexerPOV::KeywordSet7
    {68, 241, 925},	// QsciLexerPOV::KeywordSet8
    {68, 276, 912},	// QsciLexerPOV::Number
    {68, 278, 919},	// QsciLexerPOV::ObjectsCSGAppearance
    {68, 280, 913},	// QsciLexerPOV::Operator
    {68, 319, 922},	// QsciLexerPOV::PredefinedFunctions
    {68, 320, 921},	// QsciLexerPOV::PredefinedIdentifiers
    {68, 389, 907},	// QsciLexerPOV::QsciLexerPOV
    {68, 390, 885},	// QsciLexerPOV::QsciLexerPOV#
    {68, 636, 915},	// QsciLexerPOV::String
    {68, 671, 920},	// QsciLexerPOV::TypesModifiersItems
    {68, 673, 916},	// QsciLexerPOV::UnclosedString
    {68, 751, 888},	// QsciLexerPOV::braceStyle
    {68, 796, 890},	// QsciLexerPOV::defaultColor$
    {68, 798, 891},	// QsciLexerPOV::defaultEolFill$
    {68, 800, 892},	// QsciLexerPOV::defaultFont$
    {68, 802, 893},	// QsciLexerPOV::defaultPaper$
    {68, 806, 895},	// QsciLexerPOV::description$
    {68, 860, 897},	// QsciLexerPOV::foldComments
    {68, 861, 898},	// QsciLexerPOV::foldCompact
    {68, 862, 899},	// QsciLexerPOV::foldDirectives
    {68, 931, 894},	// QsciLexerPOV::keywords$
    {68, 932, 886},	// QsciLexerPOV::language
    {68, 937, 887},	// QsciLexerPOV::lexer
    {68, 986, 878},	// QsciLexerPOV::metaObject
    {68, 1025, 884},	// QsciLexerPOV::qt_metacall$$?
    {68, 1027, 879},	// QsciLexerPOV::qt_metacast$
    {68, 1031, 903},	// QsciLexerPOV::readProperties#$
    {68, 1040, 896},	// QsciLexerPOV::refreshProperties
    {68, 1158, 900},	// QsciLexerPOV::setFoldComments$
    {68, 1160, 901},	// QsciLexerPOV::setFoldCompact$
    {68, 1162, 902},	// QsciLexerPOV::setFoldDirectives$
    {68, 1310, 908},	// QsciLexerPOV::staticMetaObject
    {68, 1331, 905},	// QsciLexerPOV::tr$
    {68, 1332, 880},	// QsciLexerPOV::tr$$
    {68, 1333, 882},	// QsciLexerPOV::tr$$$
    {68, 1335, 906},	// QsciLexerPOV::trUtf8$
    {68, 1336, 881},	// QsciLexerPOV::trUtf8$$
    {68, 1337, 883},	// QsciLexerPOV::trUtf8$$$
    {68, 1357, 889},	// QsciLexerPOV::wordCharacters
    {68, 1362, 904},	// QsciLexerPOV::writeProperties#$
    {68, 1395, 926},	// QsciLexerPOV::~QsciLexerPOV
    {69, 63, 980},	// QsciLexerPascal::Asm
    {69, 109, 978},	// QsciLexerPascal::Character
    {69, 124, 968},	// QsciLexerPascal::Comment
    {69, 130, 970},	// QsciLexerPascal::CommentLine
    {69, 134, 969},	// QsciLexerPascal::CommentParenthesis
    {69, 144, 966},	// QsciLexerPascal::Default
    {69, 201, 974},	// QsciLexerPascal::HexNumber
    {69, 209, 967},	// QsciLexerPascal::Identifier
    {69, 233, 975},	// QsciLexerPascal::Keyword
    {69, 276, 973},	// QsciLexerPascal::Number
    {69, 280, 979},	// QsciLexerPascal::Operator
    {69, 317, 971},	// QsciLexerPascal::PreProcessor
    {69, 318, 972},	// QsciLexerPascal::PreProcessorParenthesis
    {69, 391, 961},	// QsciLexerPascal::QsciLexerPascal
    {69, 392, 934},	// QsciLexerPascal::QsciLexerPascal#
    {69, 620, 976},	// QsciLexerPascal::SingleQuotedString
    {69, 673, 977},	// QsciLexerPascal::UnclosedString
    {69, 737, 937},	// QsciLexerPascal::autoCompletionWordSeparators
    {69, 743, 962},	// QsciLexerPascal::blockEnd
    {69, 744, 938},	// QsciLexerPascal::blockEnd$
    {69, 746, 963},	// QsciLexerPascal::blockStart
    {69, 747, 939},	// QsciLexerPascal::blockStart$
    {69, 748, 964},	// QsciLexerPascal::blockStartKeyword
    {69, 749, 940},	// QsciLexerPascal::blockStartKeyword$
    {69, 751, 941},	// QsciLexerPascal::braceStyle
    {69, 796, 942},	// QsciLexerPascal::defaultColor$
    {69, 798, 943},	// QsciLexerPascal::defaultEolFill$
    {69, 800, 944},	// QsciLexerPascal::defaultFont$
    {69, 802, 945},	// QsciLexerPascal::defaultPaper$
    {69, 806, 947},	// QsciLexerPascal::description$
    {69, 860, 949},	// QsciLexerPascal::foldComments
    {69, 861, 950},	// QsciLexerPascal::foldCompact
    {69, 867, 951},	// QsciLexerPascal::foldPreprocessor
    {69, 931, 946},	// QsciLexerPascal::keywords$
    {69, 932, 935},	// QsciLexerPascal::language
    {69, 937, 936},	// QsciLexerPascal::lexer
    {69, 986, 927},	// QsciLexerPascal::metaObject
    {69, 1025, 933},	// QsciLexerPascal::qt_metacall$$?
    {69, 1027, 928},	// QsciLexerPascal::qt_metacast$
    {69, 1031, 957},	// QsciLexerPascal::readProperties#$
    {69, 1040, 948},	// QsciLexerPascal::refreshProperties
    {69, 1158, 954},	// QsciLexerPascal::setFoldComments$
    {69, 1160, 955},	// QsciLexerPascal::setFoldCompact$
    {69, 1170, 956},	// QsciLexerPascal::setFoldPreprocessor$
    {69, 1262, 952},	// QsciLexerPascal::setSmartHighlighting$
    {69, 1304, 953},	// QsciLexerPascal::smartHighlighting
    {69, 1310, 965},	// QsciLexerPascal::staticMetaObject
    {69, 1331, 959},	// QsciLexerPascal::tr$
    {69, 1332, 929},	// QsciLexerPascal::tr$$
    {69, 1333, 931},	// QsciLexerPascal::tr$$$
    {69, 1335, 960},	// QsciLexerPascal::trUtf8$
    {69, 1336, 930},	// QsciLexerPascal::trUtf8$$
    {69, 1337, 932},	// QsciLexerPascal::trUtf8$$$
    {69, 1362, 958},	// QsciLexerPascal::writeProperties#$
    {69, 1396, 981},	// QsciLexerPascal::~QsciLexerPascal
    {70, 61, 1027},	// QsciLexerPerl::Array
    {70, 80, 1037},	// QsciLexerPerl::BacktickHereDocument
    {70, 81, 1032},	// QsciLexerPerl::Backticks
    {70, 124, 1018},	// QsciLexerPerl::Comment
    {70, 142, 1033},	// QsciLexerPerl::DataSection
    {70, 144, 1016},	// QsciLexerPerl::Default
    {70, 154, 1036},	// QsciLexerPerl::DoubleQuotedHereDocument
    {70, 155, 1022},	// QsciLexerPerl::DoubleQuotedString
    {70, 172, 1017},	// QsciLexerPerl::Error
    {70, 183, 1046},	// QsciLexerPerl::FormatBody
    {70, 184, 1045},	// QsciLexerPerl::FormatIdentifier
    {70, 197, 1028},	// QsciLexerPerl::Hash
    {70, 200, 1034},	// QsciLexerPerl::HereDocumentDelimiter
    {70, 209, 1025},	// QsciLexerPerl::Identifier
    {70, 233, 1021},	// QsciLexerPerl::Keyword
    {70, 276, 1020},	// QsciLexerPerl::Number
    {70, 280, 1024},	// QsciLexerPerl::Operator
    {70, 294, 1019},	// QsciLexerPerl::POD
    {70, 295, 1043},	// QsciLexerPerl::PODVerbatim
    {70, 393, 1014},	// QsciLexerPerl::QsciLexerPerl
    {70, 394, 989},	// QsciLexerPerl::QsciLexerPerl#
    {70, 440, 1038},	// QsciLexerPerl::QuotedStringQ
    {70, 441, 1039},	// QsciLexerPerl::QuotedStringQQ
    {70, 442, 1041},	// QsciLexerPerl::QuotedStringQR
    {70, 443, 1042},	// QsciLexerPerl::QuotedStringQW
    {70, 444, 1040},	// QsciLexerPerl::QuotedStringQX
    {70, 448, 1030},	// QsciLexerPerl::Regex
    {70, 602, 1026},	// QsciLexerPerl::Scalar
    {70, 619, 1035},	// QsciLexerPerl::SingleQuotedHereDocument
    {70, 620, 1023},	// QsciLexerPerl::SingleQuotedString
    {70, 642, 1044},	// QsciLexerPerl::SubroutinePrototype
    {70, 643, 1031},	// QsciLexerPerl::Substitution
    {70, 650, 1029},	// QsciLexerPerl::SymbolTable
    {70, 737, 992},	// QsciLexerPerl::autoCompletionWordSeparators
    {70, 751, 993},	// QsciLexerPerl::braceStyle
    {70, 796, 995},	// QsciLexerPerl::defaultColor$
    {70, 798, 996},	// QsciLexerPerl::defaultEolFill$
    {70, 800, 997},	// QsciLexerPerl::defaultFont$
    {70, 802, 998},	// QsciLexerPerl::defaultPaper$
    {70, 806, 1000},	// QsciLexerPerl::description$
    {70, 860, 1002},	// QsciLexerPerl::foldComments
    {70, 861, 1003},	// QsciLexerPerl::foldCompact
    {70, 865, 1007},	// QsciLexerPerl::foldPODBlocks
    {70, 866, 1005},	// QsciLexerPerl::foldPackages
    {70, 931, 999},	// QsciLexerPerl::keywords$
    {70, 932, 990},	// QsciLexerPerl::language
    {70, 937, 991},	// QsciLexerPerl::lexer
    {70, 986, 982},	// QsciLexerPerl::metaObject
    {70, 1025, 988},	// QsciLexerPerl::qt_metacall$$?
    {70, 1027, 983},	// QsciLexerPerl::qt_metacast$
    {70, 1031, 1010},	// QsciLexerPerl::readProperties#$
    {70, 1040, 1001},	// QsciLexerPerl::refreshProperties
    {70, 1158, 1008},	// QsciLexerPerl::setFoldComments$
    {70, 1160, 1009},	// QsciLexerPerl::setFoldCompact$
    {70, 1166, 1006},	// QsciLexerPerl::setFoldPODBlocks$
    {70, 1168, 1004},	// QsciLexerPerl::setFoldPackages$
    {70, 1310, 1015},	// QsciLexerPerl::staticMetaObject
    {70, 1331, 1012},	// QsciLexerPerl::tr$
    {70, 1332, 984},	// QsciLexerPerl::tr$$
    {70, 1333, 986},	// QsciLexerPerl::tr$$$
    {70, 1335, 1013},	// QsciLexerPerl::trUtf8$
    {70, 1336, 985},	// QsciLexerPerl::trUtf8$$
    {70, 1337, 987},	// QsciLexerPerl::trUtf8$$$
    {70, 1357, 994},	// QsciLexerPerl::wordCharacters
    {70, 1362, 1011},	// QsciLexerPerl::writeProperties#$
    {70, 1397, 1047},	// QsciLexerPerl::~QsciLexerPerl
    {71, 62, 1088},	// QsciLexerPostScript::ArrayParenthesis
    {71, 83, 1094},	// QsciLexerPostScript::BadStringCharacter
    {71, 84, 1093},	// QsciLexerPostScript::Base85String
    {71, 124, 1080},	// QsciLexerPostScript::Comment
    {71, 140, 1081},	// QsciLexerPostScript::DSCComment
    {71, 141, 1082},	// QsciLexerPostScript::DSCCommentValue
    {71, 144, 1079},	// QsciLexerPostScript::Default
    {71, 149, 1089},	// QsciLexerPostScript::DictionaryParenthesis
    {71, 202, 1092},	// QsciLexerPostScript::HexString
    {71, 212, 1087},	// QsciLexerPostScript::ImmediateEvalLiteral
    {71, 233, 1085},	// QsciLexerPostScript::Keyword
    {71, 257, 1086},	// QsciLexerPostScript::Literal
    {71, 270, 1084},	// QsciLexerPostScript::Name
    {71, 276, 1083},	// QsciLexerPostScript::Number
    {71, 323, 1090},	// QsciLexerPostScript::ProcedureParenthesis
    {71, 395, 1077},	// QsciLexerPostScript::QsciLexerPostScript
    {71, 396, 1055},	// QsciLexerPostScript::QsciLexerPostScript#
    {71, 659, 1091},	// QsciLexerPostScript::Text
    {71, 751, 1058},	// QsciLexerPostScript::braceStyle
    {71, 796, 1059},	// QsciLexerPostScript::defaultColor$
    {71, 800, 1060},	// QsciLexerPostScript::defaultFont$
    {71, 802, 1061},	// QsciLexerPostScript::defaultPaper$
    {71, 806, 1063},	// QsciLexerPostScript::description$
    {71, 858, 1068},	// QsciLexerPostScript::foldAtElse
    {71, 861, 1067},	// QsciLexerPostScript::foldCompact
    {71, 931, 1062},	// QsciLexerPostScript::keywords$
    {71, 932, 1056},	// QsciLexerPostScript::language
    {71, 936, 1066},	// QsciLexerPostScript::level
    {71, 937, 1057},	// QsciLexerPostScript::lexer
    {71, 986, 1048},	// QsciLexerPostScript::metaObject
    {71, 1025, 1054},	// QsciLexerPostScript::qt_metacall$$?
    {71, 1027, 1049},	// QsciLexerPostScript::qt_metacast$
    {71, 1031, 1073},	// QsciLexerPostScript::readProperties#$
    {71, 1040, 1064},	// QsciLexerPostScript::refreshProperties
    {71, 1154, 1072},	// QsciLexerPostScript::setFoldAtElse$
    {71, 1160, 1071},	// QsciLexerPostScript::setFoldCompact$
    {71, 1208, 1070},	// QsciLexerPostScript::setLevel$
    {71, 1277, 1069},	// QsciLexerPostScript::setTokenize$
    {71, 1310, 1078},	// QsciLexerPostScript::staticMetaObject
    {71, 1329, 1065},	// QsciLexerPostScript::tokenize
    {71, 1331, 1075},	// QsciLexerPostScript::tr$
    {71, 1332, 1050},	// QsciLexerPostScript::tr$$
    {71, 1333, 1052},	// QsciLexerPostScript::tr$$$
    {71, 1335, 1076},	// QsciLexerPostScript::trUtf8$
    {71, 1336, 1051},	// QsciLexerPostScript::trUtf8$$
    {71, 1337, 1053},	// QsciLexerPostScript::trUtf8$$$
    {71, 1362, 1074},	// QsciLexerPostScript::writeProperties#$
    {71, 1398, 1095},	// QsciLexerPostScript::~QsciLexerPostScript
    {72, 64, 1124},	// QsciLexerProperties::Assignment
    {72, 124, 1122},	// QsciLexerProperties::Comment
    {72, 144, 1121},	// QsciLexerProperties::Default
    {72, 145, 1125},	// QsciLexerProperties::DefaultValue
    {72, 232, 1126},	// QsciLexerProperties::Key
    {72, 397, 1119},	// QsciLexerProperties::QsciLexerProperties
    {72, 398, 1103},	// QsciLexerProperties::QsciLexerProperties#
    {72, 605, 1123},	// QsciLexerProperties::Section
    {72, 796, 1107},	// QsciLexerProperties::defaultColor$
    {72, 798, 1108},	// QsciLexerProperties::defaultEolFill$
    {72, 800, 1109},	// QsciLexerProperties::defaultFont$
    {72, 802, 1110},	// QsciLexerProperties::defaultPaper$
    {72, 806, 1111},	// QsciLexerProperties::description$
    {72, 861, 1113},	// QsciLexerProperties::foldCompact
    {72, 932, 1104},	// QsciLexerProperties::language
    {72, 937, 1105},	// QsciLexerProperties::lexer
    {72, 986, 1096},	// QsciLexerProperties::metaObject
    {72, 1025, 1102},	// QsciLexerProperties::qt_metacall$$?
    {72, 1027, 1097},	// QsciLexerProperties::qt_metacast$
    {72, 1031, 1115},	// QsciLexerProperties::readProperties#$
    {72, 1040, 1112},	// QsciLexerProperties::refreshProperties
    {72, 1160, 1114},	// QsciLexerProperties::setFoldCompact$
    {72, 1310, 1120},	// QsciLexerProperties::staticMetaObject
    {72, 1331, 1117},	// QsciLexerProperties::tr$
    {72, 1332, 1098},	// QsciLexerProperties::tr$$
    {72, 1333, 1100},	// QsciLexerProperties::tr$$$
    {72, 1335, 1118},	// QsciLexerProperties::trUtf8$
    {72, 1336, 1099},	// QsciLexerProperties::trUtf8$$
    {72, 1337, 1101},	// QsciLexerProperties::trUtf8$$$
    {72, 1357, 1106},	// QsciLexerProperties::wordCharacters
    {72, 1362, 1116},	// QsciLexerProperties::writeProperties#$
    {72, 1399, 1127},	// QsciLexerProperties::~QsciLexerProperties
    {73, 118, 1177},	// QsciLexerPython::ClassName
    {73, 124, 1170},	// QsciLexerPython::Comment
    {73, 125, 1181},	// QsciLexerPython::CommentBlock
    {73, 143, 1184},	// QsciLexerPython::Decorator
    {73, 144, 1169},	// QsciLexerPython::Default
    {73, 155, 1172},	// QsciLexerPython::DoubleQuotedString
    {73, 186, 1178},	// QsciLexerPython::FunctionMethodName
    {73, 206, 1183},	// QsciLexerPython::HighlightedIdentifier
    {73, 209, 1180},	// QsciLexerPython::Identifier
    {73, 215, 1186},	// QsciLexerPython::Inconsistent
    {73, 233, 1174},	// QsciLexerPython::Keyword
    {73, 275, 1185},	// QsciLexerPython::NoWarning
    {73, 276, 1171},	// QsciLexerPython::Number
    {73, 280, 1179},	// QsciLexerPython::Operator
    {73, 399, 1166},	// QsciLexerPython::QsciLexerPython
    {73, 400, 1135},	// QsciLexerPython::QsciLexerPython#
    {73, 620, 1173},	// QsciLexerPython::SingleQuotedString
    {73, 624, 1188},	// QsciLexerPython::Spaces
    {73, 655, 1189},	// QsciLexerPython::Tabs
    {73, 656, 1187},	// QsciLexerPython::TabsAfterSpaces
    {73, 668, 1176},	// QsciLexerPython::TripleDoubleQuotedString
    {73, 669, 1175},	// QsciLexerPython::TripleSingleQuotedString
    {73, 673, 1182},	// QsciLexerPython::UnclosedString
    {73, 737, 1138},	// QsciLexerPython::autoCompletionWordSeparators
    {73, 745, 1139},	// QsciLexerPython::blockLookback
    {73, 746, 1167},	// QsciLexerPython::blockStart
    {73, 747, 1140},	// QsciLexerPython::blockStart$
    {73, 751, 1141},	// QsciLexerPython::braceStyle
    {73, 796, 1142},	// QsciLexerPython::defaultColor$
    {73, 798, 1143},	// QsciLexerPython::defaultEolFill$
    {73, 800, 1144},	// QsciLexerPython::defaultFont$
    {73, 802, 1145},	// QsciLexerPython::defaultPaper$
    {73, 806, 1148},	// QsciLexerPython::description$
    {73, 860, 1150},	// QsciLexerPython::foldComments
    {73, 868, 1151},	// QsciLexerPython::foldQuotes
    {73, 893, 1146},	// QsciLexerPython::indentationGuideView
    {73, 895, 1152},	// QsciLexerPython::indentationWarning
    {73, 931, 1147},	// QsciLexerPython::keywords$
    {73, 932, 1136},	// QsciLexerPython::language
    {73, 937, 1137},	// QsciLexerPython::lexer
    {73, 986, 1128},	// QsciLexerPython::metaObject
    {73, 1025, 1134},	// QsciLexerPython::qt_metacall$$?
    {73, 1027, 1129},	// QsciLexerPython::qt_metacast$
    {73, 1031, 1162},	// QsciLexerPython::readProperties#$
    {73, 1040, 1149},	// QsciLexerPython::refreshProperties
    {73, 1158, 1159},	// QsciLexerPython::setFoldComments$
    {73, 1172, 1160},	// QsciLexerPython::setFoldQuotes$
    {73, 1194, 1161},	// QsciLexerPython::setIndentationWarning$
    {73, 1285, 1153},	// QsciLexerPython::setV2UnicodeAllowed$
    {73, 1287, 1155},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {73, 1289, 1157},	// QsciLexerPython::setV3BytesAllowed$
    {73, 1310, 1168},	// QsciLexerPython::staticMetaObject
    {73, 1331, 1164},	// QsciLexerPython::tr$
    {73, 1332, 1130},	// QsciLexerPython::tr$$
    {73, 1333, 1132},	// QsciLexerPython::tr$$$
    {73, 1335, 1165},	// QsciLexerPython::trUtf8$
    {73, 1336, 1131},	// QsciLexerPython::trUtf8$$
    {73, 1337, 1133},	// QsciLexerPython::trUtf8$$$
    {73, 1345, 1154},	// QsciLexerPython::v2UnicodeAllowed
    {73, 1346, 1156},	// QsciLexerPython::v3BinaryOctalAllowed
    {73, 1347, 1158},	// QsciLexerPython::v3BytesAllowed
    {73, 1362, 1163},	// QsciLexerPython::writeProperties#$
    {73, 1400, 1190},	// QsciLexerPython::~QsciLexerPython
    {74, 81, 1236},	// QsciLexerRuby::Backticks
    {74, 118, 1226},	// QsciLexerRuby::ClassName
    {74, 120, 1235},	// QsciLexerRuby::ClassVariable
    {74, 124, 1220},	// QsciLexerRuby::Comment
    {74, 142, 1237},	// QsciLexerRuby::DataSection
    {74, 144, 1218},	// QsciLexerRuby::Default
    {74, 146, 1245},	// QsciLexerRuby::DemotedKeyword
    {74, 155, 1224},	// QsciLexerRuby::DoubleQuotedString
    {74, 172, 1219},	// QsciLexerRuby::Error
    {74, 186, 1227},	// QsciLexerRuby::FunctionMethodName
    {74, 187, 1231},	// QsciLexerRuby::Global
    {74, 199, 1239},	// QsciLexerRuby::HereDocument
    {74, 200, 1238},	// QsciLexerRuby::HereDocumentDelimiter
    {74, 209, 1229},	// QsciLexerRuby::Identifier
    {74, 216, 1234},	// QsciLexerRuby::InstanceVariable
    {74, 233, 1223},	// QsciLexerRuby::Keyword
    {74, 267, 1233},	// QsciLexerRuby::ModuleName
    {74, 276, 1222},	// QsciLexerRuby::Number
    {74, 280, 1228},	// QsciLexerRuby::Operator
    {74, 294, 1221},	// QsciLexerRuby::POD
    {74, 300, 1241},	// QsciLexerRuby::PercentStringQ
    {74, 301, 1240},	// QsciLexerRuby::PercentStringq
    {74, 302, 1243},	// QsciLexerRuby::PercentStringr
    {74, 303, 1244},	// QsciLexerRuby::PercentStringw
    {74, 304, 1242},	// QsciLexerRuby::PercentStringx
    {74, 401, 1213},	// QsciLexerRuby::QsciLexerRuby
    {74, 402, 1198},	// QsciLexerRuby::QsciLexerRuby#
    {74, 448, 1230},	// QsciLexerRuby::Regex
    {74, 620, 1225},	// QsciLexerRuby::SingleQuotedString
    {74, 631, 1248},	// QsciLexerRuby::Stderr
    {74, 632, 1246},	// QsciLexerRuby::Stdin
    {74, 633, 1247},	// QsciLexerRuby::Stdout
    {74, 646, 1232},	// QsciLexerRuby::Symbol
    {74, 743, 1214},	// QsciLexerRuby::blockEnd
    {74, 744, 1201},	// QsciLexerRuby::blockEnd$
    {74, 746, 1215},	// QsciLexerRuby::blockStart
    {74, 747, 1202},	// QsciLexerRuby::blockStart$
    {74, 748, 1216},	// QsciLexerRuby::blockStartKeyword
    {74, 749, 1203},	// QsciLexerRuby::blockStartKeyword$
    {74, 751, 1204},	// QsciLexerRuby::braceStyle
    {74, 796, 1205},	// QsciLexerRuby::defaultColor$
    {74, 798, 1206},	// QsciLexerRuby::defaultEolFill$
    {74, 800, 1207},	// QsciLexerRuby::defaultFont$
    {74, 802, 1208},	// QsciLexerRuby::defaultPaper$
    {74, 806, 1210},	// QsciLexerRuby::description$
    {74, 931, 1209},	// QsciLexerRuby::keywords$
    {74, 932, 1199},	// QsciLexerRuby::language
    {74, 937, 1200},	// QsciLexerRuby::lexer
    {74, 986, 1191},	// QsciLexerRuby::metaObject
    {74, 1025, 1197},	// QsciLexerRuby::qt_metacall$$?
    {74, 1027, 1192},	// QsciLexerRuby::qt_metacast$
    {74, 1310, 1217},	// QsciLexerRuby::staticMetaObject
    {74, 1331, 1211},	// QsciLexerRuby::tr$
    {74, 1332, 1193},	// QsciLexerRuby::tr$$
    {74, 1333, 1195},	// QsciLexerRuby::tr$$$
    {74, 1335, 1212},	// QsciLexerRuby::trUtf8$
    {74, 1336, 1194},	// QsciLexerRuby::trUtf8$$
    {74, 1337, 1196},	// QsciLexerRuby::trUtf8$$$
    {74, 1401, 1249},	// QsciLexerRuby::~QsciLexerRuby
    {75, 124, 1281},	// QsciLexerSQL::Comment
    {75, 127, 1283},	// QsciLexerSQL::CommentDoc
    {75, 128, 1294},	// QsciLexerSQL::CommentDocKeyword
    {75, 129, 1295},	// QsciLexerSQL::CommentDocKeywordError
    {75, 130, 1282},	// QsciLexerSQL::CommentLine
    {75, 132, 1293},	// QsciLexerSQL::CommentLineHash
    {75, 144, 1280},	// QsciLexerSQL::Default
    {75, 155, 1286},	// QsciLexerSQL::DoubleQuotedString
    {75, 209, 1291},	// QsciLexerSQL::Identifier
    {75, 233, 1285},	// QsciLexerSQL::Keyword
    {75, 238, 1296},	// QsciLexerSQL::KeywordSet5
    {75, 239, 1297},	// QsciLexerSQL::KeywordSet6
    {75, 240, 1298},	// QsciLexerSQL::KeywordSet7
    {75, 241, 1299},	// QsciLexerSQL::KeywordSet8
    {75, 276, 1284},	// QsciLexerSQL::Number
    {75, 280, 1290},	// QsciLexerSQL::Operator
    {75, 310, 1292},	// QsciLexerSQL::PlusComment
    {75, 311, 1288},	// QsciLexerSQL::PlusKeyword
    {75, 312, 1289},	// QsciLexerSQL::PlusPrompt
    {75, 403, 1278},	// QsciLexerSQL::QsciLexerSQL
    {75, 404, 1257},	// QsciLexerSQL::QsciLexerSQL#
    {75, 620, 1287},	// QsciLexerSQL::SingleQuotedString
    {75, 740, 1270},	// QsciLexerSQL::backslashEscapes
    {75, 751, 1260},	// QsciLexerSQL::braceStyle
    {75, 796, 1261},	// QsciLexerSQL::defaultColor$
    {75, 798, 1262},	// QsciLexerSQL::defaultEolFill$
    {75, 800, 1263},	// QsciLexerSQL::defaultFont$
    {75, 802, 1264},	// QsciLexerSQL::defaultPaper$
    {75, 806, 1266},	// QsciLexerSQL::description$
    {75, 860, 1268},	// QsciLexerSQL::foldComments
    {75, 861, 1269},	// QsciLexerSQL::foldCompact
    {75, 931, 1265},	// QsciLexerSQL::keywords$
    {75, 932, 1258},	// QsciLexerSQL::language
    {75, 937, 1259},	// QsciLexerSQL::lexer
    {75, 986, 1250},	// QsciLexerSQL::metaObject
    {75, 1025, 1256},	// QsciLexerSQL::qt_metacall$$?
    {75, 1027, 1251},	// QsciLexerSQL::qt_metacast$
    {75, 1031, 1274},	// QsciLexerSQL::readProperties#$
    {75, 1040, 1267},	// QsciLexerSQL::refreshProperties
    {75, 1092, 1273},	// QsciLexerSQL::setBackslashEscapes$
    {75, 1158, 1271},	// QsciLexerSQL::setFoldComments$
    {75, 1160, 1272},	// QsciLexerSQL::setFoldCompact$
    {75, 1310, 1279},	// QsciLexerSQL::staticMetaObject
    {75, 1331, 1276},	// QsciLexerSQL::tr$
    {75, 1332, 1252},	// QsciLexerSQL::tr$$
    {75, 1333, 1254},	// QsciLexerSQL::tr$$$
    {75, 1335, 1277},	// QsciLexerSQL::trUtf8$
    {75, 1336, 1253},	// QsciLexerSQL::trUtf8$$
    {75, 1337, 1255},	// QsciLexerSQL::trUtf8$$$
    {75, 1362, 1275},	// QsciLexerSQL::writeProperties#$
    {75, 1402, 1300},	// QsciLexerSQL::~QsciLexerSQL
    {76, 124, 1328},	// QsciLexerTCL::Comment
    {76, 125, 1348},	// QsciLexerTCL::CommentBlock
    {76, 126, 1347},	// QsciLexerTCL::CommentBox
    {76, 130, 1329},	// QsciLexerTCL::CommentLine
    {76, 144, 1327},	// QsciLexerTCL::Default
    {76, 174, 1338},	// QsciLexerTCL::ExpandKeyword
    {76, 208, 1341},	// QsciLexerTCL::ITCLKeyword
    {76, 209, 1334},	// QsciLexerTCL::Identifier
    {76, 239, 1343},	// QsciLexerTCL::KeywordSet6
    {76, 240, 1344},	// QsciLexerTCL::KeywordSet7
    {76, 241, 1345},	// QsciLexerTCL::KeywordSet8
    {76, 242, 1346},	// QsciLexerTCL::KeywordSet9
    {76, 266, 1337},	// QsciLexerTCL::Modifier
    {76, 276, 1330},	// QsciLexerTCL::Number
    {76, 280, 1333},	// QsciLexerTCL::Operator
    {76, 405, 1325},	// QsciLexerTCL::QsciLexerTCL
    {76, 406, 1308},	// QsciLexerTCL::QsciLexerTCL#
    {76, 438, 1331},	// QsciLexerTCL::QuotedKeyword
    {76, 439, 1332},	// QsciLexerTCL::QuotedString
    {76, 643, 1335},	// QsciLexerTCL::Substitution
    {76, 644, 1336},	// QsciLexerTCL::SubstitutionBrace
    {76, 652, 1339},	// QsciLexerTCL::TCLKeyword
    {76, 665, 1342},	// QsciLexerTCL::TkCommand
    {76, 666, 1340},	// QsciLexerTCL::TkKeyword
    {76, 751, 1311},	// QsciLexerTCL::braceStyle
    {76, 796, 1312},	// QsciLexerTCL::defaultColor$
    {76, 798, 1313},	// QsciLexerTCL::defaultEolFill$
    {76, 800, 1314},	// QsciLexerTCL::defaultFont$
    {76, 802, 1315},	// QsciLexerTCL::defaultPaper$
    {76, 806, 1317},	// QsciLexerTCL::description$
    {76, 861, 1319},	// QsciLexerTCL::foldCompact
    {76, 931, 1316},	// QsciLexerTCL::keywords$
    {76, 932, 1309},	// QsciLexerTCL::language
    {76, 937, 1310},	// QsciLexerTCL::lexer
    {76, 986, 1301},	// QsciLexerTCL::metaObject
    {76, 1025, 1307},	// QsciLexerTCL::qt_metacall$$?
    {76, 1027, 1302},	// QsciLexerTCL::qt_metacast$
    {76, 1031, 1321},	// QsciLexerTCL::readProperties#$
    {76, 1040, 1318},	// QsciLexerTCL::refreshProperties
    {76, 1160, 1320},	// QsciLexerTCL::setFoldCompact$
    {76, 1310, 1326},	// QsciLexerTCL::staticMetaObject
    {76, 1331, 1323},	// QsciLexerTCL::tr$
    {76, 1332, 1303},	// QsciLexerTCL::tr$$
    {76, 1333, 1305},	// QsciLexerTCL::tr$$$
    {76, 1335, 1324},	// QsciLexerTCL::trUtf8$
    {76, 1336, 1304},	// QsciLexerTCL::trUtf8$$
    {76, 1337, 1306},	// QsciLexerTCL::trUtf8$$$
    {76, 1362, 1322},	// QsciLexerTCL::writeProperties#$
    {76, 1403, 1349},	// QsciLexerTCL::~QsciLexerTCL
    {77, 123, 1372},	// QsciLexerTeX::Command
    {77, 144, 1368},	// QsciLexerTeX::Default
    {77, 190, 1370},	// QsciLexerTeX::Group
    {77, 407, 1366},	// QsciLexerTeX::QsciLexerTeX
    {77, 408, 1357},	// QsciLexerTeX::QsciLexerTeX#
    {77, 625, 1369},	// QsciLexerTeX::Special
    {77, 646, 1371},	// QsciLexerTeX::Symbol
    {77, 659, 1373},	// QsciLexerTeX::Text
    {77, 796, 1361},	// QsciLexerTeX::defaultColor$
    {77, 806, 1363},	// QsciLexerTeX::description$
    {77, 931, 1362},	// QsciLexerTeX::keywords$
    {77, 932, 1358},	// QsciLexerTeX::language
    {77, 937, 1359},	// QsciLexerTeX::lexer
    {77, 986, 1350},	// QsciLexerTeX::metaObject
    {77, 1025, 1356},	// QsciLexerTeX::qt_metacall$$?
    {77, 1027, 1351},	// QsciLexerTeX::qt_metacast$
    {77, 1310, 1367},	// QsciLexerTeX::staticMetaObject
    {77, 1331, 1364},	// QsciLexerTeX::tr$
    {77, 1332, 1352},	// QsciLexerTeX::tr$$
    {77, 1333, 1354},	// QsciLexerTeX::tr$$$
    {77, 1335, 1365},	// QsciLexerTeX::trUtf8$
    {77, 1336, 1353},	// QsciLexerTeX::trUtf8$$
    {77, 1337, 1355},	// QsciLexerTeX::trUtf8$$$
    {77, 1357, 1360},	// QsciLexerTeX::wordCharacters
    {77, 1404, 1374},	// QsciLexerTeX::~QsciLexerTeX
    {78, 66, 1419},	// QsciLexerVHDL::Attribute
    {78, 124, 1410},	// QsciLexerVHDL::Comment
    {78, 130, 1411},	// QsciLexerVHDL::CommentLine
    {78, 144, 1409},	// QsciLexerVHDL::Default
    {78, 209, 1415},	// QsciLexerVHDL::Identifier
    {78, 233, 1417},	// QsciLexerVHDL::Keyword
    {78, 240, 1423},	// QsciLexerVHDL::KeywordSet7
    {78, 276, 1412},	// QsciLexerVHDL::Number
    {78, 280, 1414},	// QsciLexerVHDL::Operator
    {78, 409, 1407},	// QsciLexerVHDL::QsciLexerVHDL
    {78, 410, 1382},	// QsciLexerVHDL::QsciLexerVHDL#
    {78, 627, 1420},	// QsciLexerVHDL::StandardFunction
    {78, 628, 1418},	// QsciLexerVHDL::StandardOperator
    {78, 629, 1421},	// QsciLexerVHDL::StandardPackage
    {78, 630, 1422},	// QsciLexerVHDL::StandardType
    {78, 636, 1413},	// QsciLexerVHDL::String
    {78, 673, 1416},	// QsciLexerVHDL::UnclosedString
    {78, 751, 1385},	// QsciLexerVHDL::braceStyle
    {78, 796, 1386},	// QsciLexerVHDL::defaultColor$
    {78, 798, 1387},	// QsciLexerVHDL::defaultEolFill$
    {78, 800, 1388},	// QsciLexerVHDL::defaultFont$
    {78, 802, 1389},	// QsciLexerVHDL::defaultPaper$
    {78, 806, 1391},	// QsciLexerVHDL::description$
    {78, 857, 1396},	// QsciLexerVHDL::foldAtBegin
    {78, 858, 1395},	// QsciLexerVHDL::foldAtElse
    {78, 859, 1397},	// QsciLexerVHDL::foldAtParenthesis
    {78, 860, 1393},	// QsciLexerVHDL::foldComments
    {78, 861, 1394},	// QsciLexerVHDL::foldCompact
    {78, 931, 1390},	// QsciLexerVHDL::keywords$
    {78, 932, 1383},	// QsciLexerVHDL::language
    {78, 937, 1384},	// QsciLexerVHDL::lexer
    {78, 986, 1375},	// QsciLexerVHDL::metaObject
    {78, 1025, 1381},	// QsciLexerVHDL::qt_metacall$$?
    {78, 1027, 1376},	// QsciLexerVHDL::qt_metacast$
    {78, 1031, 1403},	// QsciLexerVHDL::readProperties#$
    {78, 1040, 1392},	// QsciLexerVHDL::refreshProperties
    {78, 1152, 1401},	// QsciLexerVHDL::setFoldAtBegin$
    {78, 1154, 1400},	// QsciLexerVHDL::setFoldAtElse$
    {78, 1156, 1402},	// QsciLexerVHDL::setFoldAtParenthesis$
    {78, 1158, 1398},	// QsciLexerVHDL::setFoldComments$
    {78, 1160, 1399},	// QsciLexerVHDL::setFoldCompact$
    {78, 1310, 1408},	// QsciLexerVHDL::staticMetaObject
    {78, 1331, 1405},	// QsciLexerVHDL::tr$
    {78, 1332, 1377},	// QsciLexerVHDL::tr$$
    {78, 1333, 1379},	// QsciLexerVHDL::tr$$$
    {78, 1335, 1406},	// QsciLexerVHDL::trUtf8$
    {78, 1336, 1378},	// QsciLexerVHDL::trUtf8$$
    {78, 1337, 1380},	// QsciLexerVHDL::trUtf8$$$
    {78, 1362, 1404},	// QsciLexerVHDL::writeProperties#$
    {78, 1405, 1424},	// QsciLexerVHDL::~QsciLexerVHDL
    {79, 411, 1447},	// QsciLexerXML::QsciLexerXML
    {79, 412, 1432},	// QsciLexerXML::QsciLexerXML#
    {79, 796, 1435},	// QsciLexerXML::defaultColor$
    {79, 798, 1436},	// QsciLexerXML::defaultEolFill$
    {79, 800, 1437},	// QsciLexerXML::defaultFont$
    {79, 802, 1438},	// QsciLexerXML::defaultPaper$
    {79, 931, 1439},	// QsciLexerXML::keywords$
    {79, 932, 1433},	// QsciLexerXML::language
    {79, 937, 1434},	// QsciLexerXML::lexer
    {79, 986, 1425},	// QsciLexerXML::metaObject
    {79, 1025, 1431},	// QsciLexerXML::qt_metacall$$?
    {79, 1027, 1426},	// QsciLexerXML::qt_metacast$
    {79, 1031, 1443},	// QsciLexerXML::readProperties#$
    {79, 1040, 1440},	// QsciLexerXML::refreshProperties
    {79, 1056, 1442},	// QsciLexerXML::scriptsStyled
    {79, 1252, 1441},	// QsciLexerXML::setScriptsStyled$
    {79, 1310, 1448},	// QsciLexerXML::staticMetaObject
    {79, 1331, 1445},	// QsciLexerXML::tr$
    {79, 1332, 1427},	// QsciLexerXML::tr$$
    {79, 1333, 1429},	// QsciLexerXML::tr$$$
    {79, 1335, 1446},	// QsciLexerXML::trUtf8$
    {79, 1336, 1428},	// QsciLexerXML::trUtf8$$
    {79, 1337, 1430},	// QsciLexerXML::trUtf8$$$
    {79, 1362, 1444},	// QsciLexerXML::writeProperties#$
    {79, 1406, 1449},	// QsciLexerXML::~QsciLexerXML
    {80, 124, 1476},	// QsciLexerYAML::Comment
    {80, 144, 1475},	// QsciLexerYAML::Default
    {80, 152, 1481},	// QsciLexerYAML::DocumentDelimiter
    {80, 209, 1477},	// QsciLexerYAML::Identifier
    {80, 233, 1478},	// QsciLexerYAML::Keyword
    {80, 276, 1479},	// QsciLexerYAML::Number
    {80, 280, 1484},	// QsciLexerYAML::Operator
    {80, 413, 1473},	// QsciLexerYAML::QsciLexerYAML
    {80, 414, 1457},	// QsciLexerYAML::QsciLexerYAML#
    {80, 447, 1480},	// QsciLexerYAML::Reference
    {80, 651, 1483},	// QsciLexerYAML::SyntaxErrorMarker
    {80, 660, 1482},	// QsciLexerYAML::TextBlockMarker
    {80, 796, 1460},	// QsciLexerYAML::defaultColor$
    {80, 798, 1461},	// QsciLexerYAML::defaultEolFill$
    {80, 800, 1462},	// QsciLexerYAML::defaultFont$
    {80, 802, 1463},	// QsciLexerYAML::defaultPaper$
    {80, 806, 1465},	// QsciLexerYAML::description$
    {80, 860, 1467},	// QsciLexerYAML::foldComments
    {80, 931, 1464},	// QsciLexerYAML::keywords$
    {80, 932, 1458},	// QsciLexerYAML::language
    {80, 937, 1459},	// QsciLexerYAML::lexer
    {80, 986, 1450},	// QsciLexerYAML::metaObject
    {80, 1025, 1456},	// QsciLexerYAML::qt_metacall$$?
    {80, 1027, 1451},	// QsciLexerYAML::qt_metacast$
    {80, 1031, 1469},	// QsciLexerYAML::readProperties#$
    {80, 1040, 1466},	// QsciLexerYAML::refreshProperties
    {80, 1158, 1468},	// QsciLexerYAML::setFoldComments$
    {80, 1310, 1474},	// QsciLexerYAML::staticMetaObject
    {80, 1331, 1471},	// QsciLexerYAML::tr$
    {80, 1332, 1452},	// QsciLexerYAML::tr$$
    {80, 1333, 1454},	// QsciLexerYAML::tr$$$
    {80, 1335, 1472},	// QsciLexerYAML::trUtf8$
    {80, 1336, 1453},	// QsciLexerYAML::trUtf8$$
    {80, 1337, 1455},	// QsciLexerYAML::trUtf8$$$
    {80, 1362, 1470},	// QsciLexerYAML::writeProperties#$
    {80, 1407, 1485},	// QsciLexerYAML::~QsciLexerYAML
    {81, 416, 1493},	// QsciMacro::QsciMacro#
    {81, 417, 1494},	// QsciMacro::QsciMacro$#
    {81, 766, 1495},	// QsciMacro::clear
    {81, 824, 1500},	// QsciMacro::endRecording
    {81, 948, 1496},	// QsciMacro::load$
    {81, 986, 1486},	// QsciMacro::metaObject
    {81, 1013, 1498},	// QsciMacro::play
    {81, 1025, 1492},	// QsciMacro::qt_metacall$$?
    {81, 1027, 1487},	// QsciMacro::qt_metacast$
    {81, 1053, 1497},	// QsciMacro::save
    {81, 1306, 1499},	// QsciMacro::startRecording
    {81, 1310, 1503},	// QsciMacro::staticMetaObject
    {81, 1331, 1501},	// QsciMacro::tr$
    {81, 1332, 1488},	// QsciMacro::tr$$
    {81, 1333, 1490},	// QsciMacro::tr$$$
    {81, 1335, 1502},	// QsciMacro::trUtf8$
    {81, 1336, 1489},	// QsciMacro::trUtf8$$
    {81, 1337, 1491},	// QsciMacro::trUtf8$$$
    {81, 1408, 1504},	// QsciMacro::~QsciMacro
    {82, 418, 1512},	// QsciPrinter::QsciPrinter
    {82, 419, 1505},	// QsciPrinter::QsciPrinter$
    {82, 878, 1506},	// QsciPrinter::formatPage#$#$
    {82, 951, 1507},	// QsciPrinter::magnification
    {82, 1019, 1513},	// QsciPrinter::printRange#
    {82, 1020, 1514},	// QsciPrinter::printRange#$
    {82, 1021, 1509},	// QsciPrinter::printRange#$$
    {82, 1212, 1508},	// QsciPrinter::setMagnification$
    {82, 1295, 1511},	// QsciPrinter::setWrapMode$
    {82, 1358, 1510},	// QsciPrinter::wrapMode
    {82, 1409, 1515},	// QsciPrinter::~QsciPrinter
    {83, 49, 1776},	// QsciScintilla::AcsAPIs
    {83, 50, 1774},	// QsciScintilla::AcsAll
    {83, 51, 1775},	// QsciScintilla::AcsDocument
    {83, 52, 1773},	// QsciScintilla::AcsNone
    {83, 54, 1769},	// QsciScintilla::AiClosing
    {83, 55, 1767},	// QsciScintilla::AiMaintain
    {83, 56, 1768},	// QsciScintilla::AiOpening
    {83, 58, 1772},	// QsciScintilla::AnnotationBoxed
    {83, 59, 1770},	// QsciScintilla::AnnotationHidden
    {83, 60, 1771},	// QsciScintilla::AnnotationStandard
    {83, 79, 1832},	// QsciScintilla::Background
    {83, 90, 1820},	// QsciScintilla::BottomLeftCorner
    {83, 92, 1802},	// QsciScintilla::BoxIndicator
    {83, 93, 1793},	// QsciScintilla::BoxedFoldStyle
    {83, 94, 1824},	// QsciScintilla::BoxedMinus
    {83, 95, 1825},	// QsciScintilla::BoxedMinusConnected
    {83, 96, 1822},	// QsciScintilla::BoxedPlus
    {83, 97, 1823},	// QsciScintilla::BoxedPlusConnected
    {83, 98, 1795},	// QsciScintilla::BoxedTreeFoldStyle
    {83, 104, 1783},	// QsciScintilla::CallTipsContext
    {83, 105, 1782},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {83, 106, 1781},	// QsciScintilla::CallTipsNoContext
    {83, 107, 1780},	// QsciScintilla::CallTipsNone
    {83, 111, 1810},	// QsciScintilla::Circle
    {83, 112, 1792},	// QsciScintilla::CircledFoldStyle
    {83, 113, 1830},	// QsciScintilla::CircledMinus
    {83, 114, 1831},	// QsciScintilla::CircledMinusConnected
    {83, 115, 1828},	// QsciScintilla::CircledPlus
    {83, 116, 1829},	// QsciScintilla::CircledPlusConnected
    {83, 117, 1794},	// QsciScintilla::CircledTreeFoldStyle
    {83, 148, 1799},	// QsciScintilla::DiagonalIndicator
    {83, 156, 1816},	// QsciScintilla::DownTriangle
    {83, 163, 1786},	// QsciScintilla::EdgeBackground
    {83, 164, 1785},	// QsciScintilla::EdgeLine
    {83, 165, 1784},	// QsciScintilla::EdgeNone
    {83, 169, 1789},	// QsciScintilla::EolMac
    {83, 170, 1788},	// QsciScintilla::EolUnix
    {83, 171, 1787},	// QsciScintilla::EolWindows
    {83, 203, 1801},	// QsciScintilla::HiddenIndicator
    {83, 218, 1815},	// QsciScintilla::Invisible
    {83, 249, 1827},	// QsciScintilla::LeftSideRoundedSplitter
    {83, 250, 1821},	// QsciScintilla::LeftSideSplitter
    {83, 265, 1817},	// QsciScintilla::Minus
    {83, 272, 1777},	// QsciScintilla::NoBraceMatch
    {83, 273, 1790},	// QsciScintilla::NoFoldStyle
    {83, 277, 1807},	// QsciScintilla::NumberMargin
    {83, 307, 1791},	// QsciScintilla::PlainFoldStyle
    {83, 308, 1796},	// QsciScintilla::PlainIndicator
    {83, 309, 1818},	// QsciScintilla::Plus
    {83, 420, 1741},	// QsciScintilla::QsciScintilla
    {83, 421, 1523},	// QsciScintilla::QsciScintilla#
    {83, 446, 1811},	// QsciScintilla::Rectangle
    {83, 449, 1814},	// QsciScintilla::RightArrow
    {83, 450, 1812},	// QsciScintilla::RightTriangle
    {83, 451, 1803},	// QsciScintilla::RoundBoxIndicator
    {83, 452, 1826},	// QsciScintilla::RoundedBottomLeftCorner
    {83, 621, 1779},	// QsciScintilla::SloppyBraceMatch
    {83, 623, 1813},	// QsciScintilla::SmallRectangle
    {83, 626, 1797},	// QsciScintilla::SquiggleIndicator
    {83, 634, 1778},	// QsciScintilla::StrictBraceMatch
    {83, 635, 1800},	// QsciScintilla::StrikeIndicator
    {83, 647, 1804},	// QsciScintilla::SymbolMargin
    {83, 648, 1806},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {83, 649, 1805},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {83, 653, 1798},	// QsciScintilla::TTIndicator
    {83, 661, 1808},	// QsciScintilla::TextMargin
    {83, 662, 1809},	// QsciScintilla::TextMarginRightJustified
    {83, 663, 1833},	// QsciScintilla::ThreeDots
    {83, 664, 1834},	// QsciScintilla::ThreeRightArrows
    {83, 691, 1819},	// QsciScintilla::VerticalLine
    {83, 693, 1840},	// QsciScintilla::WrapCharacter
    {83, 694, 1843},	// QsciScintilla::WrapFlagByBorder
    {83, 695, 1842},	// QsciScintilla::WrapFlagByText
    {83, 696, 1841},	// QsciScintilla::WrapFlagNone
    {83, 697, 1838},	// QsciScintilla::WrapNone
    {83, 698, 1839},	// QsciScintilla::WrapWord
    {83, 699, 1835},	// QsciScintilla::WsInvisible
    {83, 700, 1836},	// QsciScintilla::WsVisible
    {83, 701, 1837},	// QsciScintilla::WsVisibleAfterIndent
    {83, 710, 1527},	// QsciScintilla::annotate$#
    {83, 711, 1526},	// QsciScintilla::annotate$$#
    {83, 712, 1525},	// QsciScintilla::annotate$$$
    {83, 713, 1528},	// QsciScintilla::annotate$?
    {83, 715, 1529},	// QsciScintilla::annotation$
    {83, 716, 1530},	// QsciScintilla::annotationDisplay
    {83, 718, 1524},	// QsciScintilla::apiContext$$$
    {83, 724, 1654},	// QsciScintilla::append$
    {83, 725, 1656},	// QsciScintilla::autoCompleteFromAPIs
    {83, 726, 1655},	// QsciScintilla::autoCompleteFromAll
    {83, 727, 1657},	// QsciScintilla::autoCompleteFromDocument
    {83, 728, 1532},	// QsciScintilla::autoCompletionCaseSensitivity
    {83, 730, 1533},	// QsciScintilla::autoCompletionFillupsEnabled
    {83, 731, 1534},	// QsciScintilla::autoCompletionReplaceWord
    {83, 734, 1535},	// QsciScintilla::autoCompletionShowSingle
    {83, 735, 1536},	// QsciScintilla::autoCompletionSource
    {83, 736, 1537},	// QsciScintilla::autoCompletionThreshold
    {83, 738, 1538},	// QsciScintilla::autoIndent
    {83, 741, 1539},	// QsciScintilla::backspaceUnindents
    {83, 742, 1540},	// QsciScintilla::beginUndoAction
    {83, 750, 1541},	// QsciScintilla::braceMatching
    {83, 752, 1658},	// QsciScintilla::callTip
    {83, 755, 1542},	// QsciScintilla::callTipsStyle
    {83, 756, 1543},	// QsciScintilla::callTipsVisible
    {83, 759, 1544},	// QsciScintilla::cancelList
    {83, 761, 1545},	// QsciScintilla::caseSensitive
    {83, 766, 1659},	// QsciScintilla::clear
    {83, 768, 1742},	// QsciScintilla::clearAnnotations
    {83, 769, 1531},	// QsciScintilla::clearAnnotations$
    {83, 770, 1546},	// QsciScintilla::clearFolds
    {83, 772, 1547},	// QsciScintilla::clearIndicatorRange$$$$$
    {83, 774, 1757},	// QsciScintilla::clearMarginText
    {83, 775, 1631},	// QsciScintilla::clearMarginText$
    {83, 776, 1548},	// QsciScintilla::clearRegisteredImages
    {83, 778, 1549},	// QsciScintilla::color
    {83, 787, 1550},	// QsciScintilla::convertEols$
    {83, 788, 1660},	// QsciScintilla::copy
    {83, 790, 1729},	// QsciScintilla::copyAvailable$
    {83, 792, 1728},	// QsciScintilla::cursorPositionChanged$$
    {83, 794, 1661},	// QsciScintilla::cut
    {83, 809, 1551},	// QsciScintilla::document
    {83, 819, 1553},	// QsciScintilla::edgeColor
    {83, 820, 1554},	// QsciScintilla::edgeColumn
    {83, 821, 1555},	// QsciScintilla::edgeMode
    {83, 825, 1552},	// QsciScintilla::endUndoAction
    {83, 826, 1662},	// QsciScintilla::ensureCursorVisible
    {83, 828, 1663},	// QsciScintilla::ensureLineVisible$
    {83, 834, 1557},	// QsciScintilla::eolMode
    {83, 835, 1558},	// QsciScintilla::eolVisibility
    {83, 840, 1559},	// QsciScintilla::fillIndicatorRange$$$$$
    {83, 842, 1743},	// QsciScintilla::findFirst$$$$$
    {83, 843, 1744},	// QsciScintilla::findFirst$$$$$$
    {83, 844, 1745},	// QsciScintilla::findFirst$$$$$$$
    {83, 845, 1746},	// QsciScintilla::findFirst$$$$$$$$
    {83, 846, 1560},	// QsciScintilla::findFirst$$$$$$$$$
    {83, 847, 1561},	// QsciScintilla::findNext
    {83, 848, 1562},	// QsciScintilla::firstVisibleLine
    {83, 855, 1762},	// QsciScintilla::foldAll
    {83, 856, 1664},	// QsciScintilla::foldAll$
    {83, 864, 1665},	// QsciScintilla::foldLine$
    {83, 871, 1563},	// QsciScintilla::folding
    {83, 882, 1564},	// QsciScintilla::getCursorPosition$$
    {83, 884, 1565},	// QsciScintilla::getSelection$$$$
    {83, 885, 1566},	// QsciScintilla::hasSelectedText
    {83, 890, 1666},	// QsciScintilla::indent$
    {83, 892, 1567},	// QsciScintilla::indentation$
    {83, 894, 1568},	// QsciScintilla::indentationGuides
    {83, 896, 1570},	// QsciScintilla::indentationWidth
    {83, 897, 1569},	// QsciScintilla::indentationsUseTabs
    {83, 899, 1730},	// QsciScintilla::indicatorClicked$$$
    {83, 901, 1747},	// QsciScintilla::indicatorDefine$
    {83, 902, 1571},	// QsciScintilla::indicatorDefine$$
    {83, 904, 1572},	// QsciScintilla::indicatorDrawUnder$
    {83, 906, 1731},	// QsciScintilla::indicatorReleased$$$
    {83, 911, 1667},	// QsciScintilla::insert$
    {83, 913, 1668},	// QsciScintilla::insertAt$$$
    {83, 915, 1573},	// QsciScintilla::isCallTipActive
    {83, 916, 1574},	// QsciScintilla::isListActive
    {83, 917, 1575},	// QsciScintilla::isModified
    {83, 920, 1576},	// QsciScintilla::isReadOnly
    {83, 921, 1577},	// QsciScintilla::isRedoAvailable
    {83, 922, 1578},	// QsciScintilla::isUndoAvailable
    {83, 923, 1579},	// QsciScintilla::isUtf8
    {83, 925, 1580},	// QsciScintilla::isWordCharacter$
    {83, 935, 1585},	// QsciScintilla::length
    {83, 937, 1586},	// QsciScintilla::lexer
    {83, 940, 1581},	// QsciScintilla::lineAt#
    {83, 942, 1582},	// QsciScintilla::lineIndexFromPosition$$$
    {83, 944, 1583},	// QsciScintilla::lineLength$
    {83, 945, 1584},	// QsciScintilla::lines
    {83, 946, 1732},	// QsciScintilla::linesChanged
    {83, 953, 1733},	// QsciScintilla::marginClicked$$$
    {83, 955, 1587},	// QsciScintilla::marginLineNumbers$
    {83, 957, 1588},	// QsciScintilla::marginMarkerMask$
    {83, 959, 1589},	// QsciScintilla::marginSensitivity$
    {83, 961, 1590},	// QsciScintilla::marginType$
    {83, 963, 1591},	// QsciScintilla::marginWidth$
    {83, 965, 1595},	// QsciScintilla::markerAdd$$
    {83, 967, 1750},	// QsciScintilla::markerDefine#
    {83, 968, 1594},	// QsciScintilla::markerDefine#$
    {83, 969, -3409},	// QsciScintilla::markerDefine$
    {83, 970, -3412},	// QsciScintilla::markerDefine$$
    {83, 972, 1751},	// QsciScintilla::markerDelete$
    {83, 973, 1597},	// QsciScintilla::markerDelete$$
    {83, 974, 1752},	// QsciScintilla::markerDeleteAll
    {83, 975, 1598},	// QsciScintilla::markerDeleteAll$
    {83, 977, 1599},	// QsciScintilla::markerDeleteHandle$
    {83, 979, 1601},	// QsciScintilla::markerFindNext$$
    {83, 981, 1602},	// QsciScintilla::markerFindPrevious$$
    {83, 983, 1600},	// QsciScintilla::markerLine$
    {83, 985, 1596},	// QsciScintilla::markersAtLine$
    {83, 986, 1516},	// QsciScintilla::metaObject
    {83, 989, 1734},	// QsciScintilla::modificationAttempted
    {83, 991, 1735},	// QsciScintilla::modificationChanged$
    {83, 1001, 1669},	// QsciScintilla::moveToMatchingBrace
    {83, 1008, 1603},	// QsciScintilla::paper
    {83, 1012, 1670},	// QsciScintilla::paste
    {83, 1016, 1604},	// QsciScintilla::positionFromLineIndex$$
    {83, 1025, 1522},	// QsciScintilla::qt_metacall$$?
    {83, 1027, 1517},	// QsciScintilla::qt_metacast$
    {83, 1029, 1605},	// QsciScintilla::read#
    {83, 1035, 1753},	// QsciScintilla::recolor
    {83, 1036, 1754},	// QsciScintilla::recolor$
    {83, 1037, 1606},	// QsciScintilla::recolor$$
    {83, 1038, 1671},	// QsciScintilla::redo
    {83, 1042, 1607},	// QsciScintilla::registerImage$#
    {83, 1045, 1672},	// QsciScintilla::removeSelectedText
    {83, 1047, 1608},	// QsciScintilla::replace$
    {83, 1048, 1609},	// QsciScintilla::resetFoldMarginColors
    {83, 1049, 1673},	// QsciScintilla::resetSelectionBackgroundColor
    {83, 1050, 1674},	// QsciScintilla::resetSelectionForegroundColor
    {83, 1059, 1763},	// QsciScintilla::selectAll
    {83, 1060, 1675},	// QsciScintilla::selectAll$
    {83, 1061, 1676},	// QsciScintilla::selectToMatchingBrace
    {83, 1062, 1639},	// QsciScintilla::selectedText
    {83, 1063, 1736},	// QsciScintilla::selectionChanged
    {83, 1064, 1640},	// QsciScintilla::selectionToEol
    {83, 1070, 1611},	// QsciScintilla::setAnnotationDisplay$
    {83, 1072, 1677},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {83, 1074, 1613},	// QsciScintilla::setAutoCompletionFillups$
    {83, 1076, 1612},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {83, 1078, 1678},	// QsciScintilla::setAutoCompletionReplaceWord$
    {83, 1080, 1679},	// QsciScintilla::setAutoCompletionShowSingle$
    {83, 1082, 1680},	// QsciScintilla::setAutoCompletionSource$
    {83, 1084, 1681},	// QsciScintilla::setAutoCompletionThreshold$
    {83, 1086, 1614},	// QsciScintilla::setAutoCompletionWordSeparators?
    {83, 1088, 1682},	// QsciScintilla::setAutoIndent$
    {83, 1094, 1684},	// QsciScintilla::setBackspaceUnindents$
    {83, 1096, 1683},	// QsciScintilla::setBraceMatching$
    {83, 1098, 1615},	// QsciScintilla::setCallTipsBackgroundColor#
    {83, 1100, 1616},	// QsciScintilla::setCallTipsForegroundColor#
    {83, 1102, 1617},	// QsciScintilla::setCallTipsHighlightColor#
    {83, 1104, 1618},	// QsciScintilla::setCallTipsStyle$
    {83, 1106, 1619},	// QsciScintilla::setCallTipsVisible$
    {83, 1108, 1685},	// QsciScintilla::setCaretForegroundColor#
    {83, 1110, 1686},	// QsciScintilla::setCaretLineBackgroundColor#
    {83, 1112, 1687},	// QsciScintilla::setCaretLineVisible$
    {83, 1114, 1688},	// QsciScintilla::setCaretWidth$
    {83, 1120, 1689},	// QsciScintilla::setColor#
    {83, 1123, 1690},	// QsciScintilla::setCursorPosition$$
    {83, 1133, 1620},	// QsciScintilla::setDocument#
    {83, 1137, 1621},	// QsciScintilla::setEdgeColor#
    {83, 1139, 1622},	// QsciScintilla::setEdgeColumn$
    {83, 1141, 1623},	// QsciScintilla::setEdgeMode$
    {83, 1148, 1691},	// QsciScintilla::setEolMode$
    {83, 1150, 1692},	// QsciScintilla::setEolVisibility$
    {83, 1164, 1610},	// QsciScintilla::setFoldMarginColors##
    {83, 1178, 1764},	// QsciScintilla::setFolding$
    {83, 1179, 1693},	// QsciScintilla::setFolding$$
    {83, 1181, 1556},	// QsciScintilla::setFont#
    {83, 1186, 1694},	// QsciScintilla::setIndentation$$
    {83, 1188, 1695},	// QsciScintilla::setIndentationGuides$
    {83, 1190, 1696},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {83, 1192, 1697},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {83, 1196, 1699},	// QsciScintilla::setIndentationWidth$
    {83, 1198, 1698},	// QsciScintilla::setIndentationsUseTabs$
    {83, 1200, 1755},	// QsciScintilla::setIndicatorDrawUnder$
    {83, 1201, 1624},	// QsciScintilla::setIndicatorDrawUnder$$
    {83, 1203, 1756},	// QsciScintilla::setIndicatorForegroundColor#
    {83, 1204, 1625},	// QsciScintilla::setIndicatorForegroundColor#$
    {83, 1209, 1765},	// QsciScintilla::setLexer
    {83, 1210, 1700},	// QsciScintilla::setLexer#
    {83, 1214, 1704},	// QsciScintilla::setMarginLineNumbers$$
    {83, 1216, 1705},	// QsciScintilla::setMarginMarkerMask$$
    {83, 1218, 1706},	// QsciScintilla::setMarginSensitivity$$
    {83, 1220, 1628},	// QsciScintilla::setMarginText$#
    {83, 1221, 1627},	// QsciScintilla::setMarginText$$#
    {83, 1222, 1626},	// QsciScintilla::setMarginText$$$
    {83, 1223, 1629},	// QsciScintilla::setMarginText$?
    {83, 1225, 1630},	// QsciScintilla::setMarginType$$
    {83, 1227, -3415},	// QsciScintilla::setMarginWidth$$
    {83, 1229, 1701},	// QsciScintilla::setMarginsBackgroundColor#
    {83, 1231, 1702},	// QsciScintilla::setMarginsFont#
    {83, 1233, 1703},	// QsciScintilla::setMarginsForegroundColor#
    {83, 1235, 1758},	// QsciScintilla::setMarkerBackgroundColor#
    {83, 1236, 1632},	// QsciScintilla::setMarkerBackgroundColor#$
    {83, 1238, 1759},	// QsciScintilla::setMarkerForegroundColor#
    {83, 1239, 1633},	// QsciScintilla::setMarkerForegroundColor#$
    {83, 1241, 1634},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {83, 1243, 1635},	// QsciScintilla::setMatchedBraceForegroundColor#
    {83, 1245, 1709},	// QsciScintilla::setModified$
    {83, 1247, 1710},	// QsciScintilla::setPaper#
    {83, 1250, 1711},	// QsciScintilla::setReadOnly$
    {83, 1254, 1712},	// QsciScintilla::setSelection$$$$
    {83, 1256, 1713},	// QsciScintilla::setSelectionBackgroundColor#
    {83, 1258, 1714},	// QsciScintilla::setSelectionForegroundColor#
    {83, 1260, 1641},	// QsciScintilla::setSelectionToEol$
    {83, 1269, 1715},	// QsciScintilla::setTabIndents$
    {83, 1271, 1716},	// QsciScintilla::setTabWidth$
    {83, 1273, 1717},	// QsciScintilla::setText$
    {83, 1279, 1636},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {83, 1281, 1637},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {83, 1283, 1718},	// QsciScintilla::setUtf8$
    {83, 1293, 1719},	// QsciScintilla::setWhitespaceVisibility$
    {83, 1295, 1720},	// QsciScintilla::setWrapMode$
    {83, 1297, 1760},	// QsciScintilla::setWrapVisualFlags$
    {83, 1298, 1761},	// QsciScintilla::setWrapVisualFlags$$
    {83, 1299, 1638},	// QsciScintilla::setWrapVisualFlags$$$
    {83, 1302, 1642},	// QsciScintilla::showUserList$?
    {83, 1305, 1643},	// QsciScintilla::standardCommands
    {83, 1310, 1766},	// QsciScintilla::staticMetaObject
    {83, 1317, 1644},	// QsciScintilla::tabIndents
    {83, 1318, 1645},	// QsciScintilla::tabWidth
    {83, 1320, 1646},	// QsciScintilla::text
    {83, 1321, 1647},	// QsciScintilla::text$
    {83, 1323, 1737},	// QsciScintilla::textChanged
    {83, 1325, 1648},	// QsciScintilla::textHeight$
    {83, 1331, 1739},	// QsciScintilla::tr$
    {83, 1332, 1518},	// QsciScintilla::tr$$
    {83, 1333, 1520},	// QsciScintilla::tr$$$
    {83, 1335, 1740},	// QsciScintilla::trUtf8$
    {83, 1336, 1519},	// QsciScintilla::trUtf8$$
    {83, 1337, 1521},	// QsciScintilla::trUtf8$$$
    {83, 1338, 1721},	// QsciScintilla::undo
    {83, 1340, 1722},	// QsciScintilla::unindent$
    {83, 1344, 1738},	// QsciScintilla::userListActivated$$
    {83, 1353, 1649},	// QsciScintilla::whitespaceVisibility
    {83, 1356, 1650},	// QsciScintilla::wordAtPoint#
    {83, 1357, 1651},	// QsciScintilla::wordCharacters
    {83, 1358, 1652},	// QsciScintilla::wrapMode
    {83, 1360, 1653},	// QsciScintilla::write#
    {83, 1367, 1724},	// QsciScintilla::zoomIn
    {83, 1368, 1723},	// QsciScintilla::zoomIn$
    {83, 1369, 1726},	// QsciScintilla::zoomOut
    {83, 1370, 1725},	// QsciScintilla::zoomOut$
    {83, 1372, 1727},	// QsciScintilla::zoomTo$
    {83, 1410, 1844},	// QsciScintilla::~QsciScintilla
    {84, 340, 1867},	// QsciScintillaBase::QSCN_SELCHANGED$
    {84, 422, 1915},	// QsciScintillaBase::QsciScintillaBase
    {84, 423, 1852},	// QsciScintillaBase::QsciScintillaBase#
    {84, 453, 1871},	// QsciScintillaBase::SCEN_CHANGE
    {84, 454, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {84, 455, -36},	// QsciScintillaBase::SCLEX_ADA
    {84, 456, -71},	// QsciScintillaBase::SCLEX_APDL
    {84, 457, -106},	// QsciScintillaBase::SCLEX_ASM
    {84, 458, -141},	// QsciScintillaBase::SCLEX_ASN1
    {84, 459, -176},	// QsciScintillaBase::SCLEX_ASP
    {84, 460, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {84, 461, -246},	// QsciScintillaBase::SCLEX_AU3
    {84, 462, -281},	// QsciScintillaBase::SCLEX_AVE
    {84, 463, -316},	// QsciScintillaBase::SCLEX_BAAN
    {84, 464, -351},	// QsciScintillaBase::SCLEX_BASH
    {84, 465, -386},	// QsciScintillaBase::SCLEX_BATCH
    {84, 466, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {84, 467, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {84, 468, -491},	// QsciScintillaBase::SCLEX_CAML
    {84, 469, -526},	// QsciScintillaBase::SCLEX_CLW
    {84, 470, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {84, 471, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {84, 472, -631},	// QsciScintillaBase::SCLEX_COBOL
    {84, 473, -666},	// QsciScintillaBase::SCLEX_CONF
    {84, 474, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {84, 475, -736},	// QsciScintillaBase::SCLEX_CPP
    {84, 476, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {84, 477, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {84, 478, -841},	// QsciScintillaBase::SCLEX_CSS
    {84, 479, -876},	// QsciScintillaBase::SCLEX_D
    {84, 480, -911},	// QsciScintillaBase::SCLEX_DIFF
    {84, 481, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {84, 482, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {84, 483, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {84, 484, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {84, 485, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {84, 486, -1121},	// QsciScintillaBase::SCLEX_F77
    {84, 487, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {84, 488, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {84, 489, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {84, 490, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {84, 491, -1296},	// QsciScintillaBase::SCLEX_GAP
    {84, 492, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {84, 493, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {84, 494, -1401},	// QsciScintillaBase::SCLEX_HTML
    {84, 495, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {84, 496, -1471},	// QsciScintillaBase::SCLEX_KIX
    {84, 497, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {84, 498, -1541},	// QsciScintillaBase::SCLEX_LISP
    {84, 499, -1576},	// QsciScintillaBase::SCLEX_LOT
    {84, 500, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {84, 501, -1646},	// QsciScintillaBase::SCLEX_LUA
    {84, 502, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {84, 503, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {84, 504, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {84, 505, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {84, 506, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {84, 507, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {84, 508, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {84, 509, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {84, 510, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {84, 511, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {84, 512, -2031},	// QsciScintillaBase::SCLEX_NULL
    {84, 513, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {84, 514, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {84, 515, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {84, 516, -2171},	// QsciScintillaBase::SCLEX_PERL
    {84, 517, -2206},	// QsciScintillaBase::SCLEX_PHP
    {84, 518, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {84, 519, -2276},	// QsciScintillaBase::SCLEX_PLM
    {84, 520, -2311},	// QsciScintillaBase::SCLEX_PO
    {84, 521, -2346},	// QsciScintillaBase::SCLEX_POV
    {84, 522, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {84, 523, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {84, 524, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {84, 525, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {84, 526, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {84, 527, -2556},	// QsciScintillaBase::SCLEX_PS
    {84, 528, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {84, 529, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {84, 530, -2661},	// QsciScintillaBase::SCLEX_R
    {84, 531, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {84, 532, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {84, 533, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {84, 534, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {84, 535, -2836},	// QsciScintillaBase::SCLEX_SML
    {84, 536, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {84, 537, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {84, 538, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {84, 539, -2976},	// QsciScintillaBase::SCLEX_SQL
    {84, 540, -3011},	// QsciScintillaBase::SCLEX_TACL
    {84, 541, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {84, 542, -3081},	// QsciScintillaBase::SCLEX_TAL
    {84, 543, -3116},	// QsciScintillaBase::SCLEX_TCL
    {84, 544, -3151},	// QsciScintillaBase::SCLEX_TEX
    {84, 545, -3186},	// QsciScintillaBase::SCLEX_VB
    {84, 546, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {84, 547, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {84, 548, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {84, 549, -3326},	// QsciScintillaBase::SCLEX_XML
    {84, 550, -3361},	// QsciScintillaBase::SCLEX_YAML
    {84, 551, 1868},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {84, 552, 1869},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {84, 554, 1870},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {84, 556, 1872},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {84, 558, 1873},	// QsciScintillaBase::SCN_CHARADDED$
    {84, 560, 1874},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {84, 562, 1875},	// QsciScintillaBase::SCN_DWELLEND$$$
    {84, 564, 1876},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {84, 566, 1877},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {84, 568, 1878},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {84, 570, 1879},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {84, 572, 1880},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {84, 574, 1881},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {84, 576, 1882},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {84, 578, 1883},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {84, 579, 1884},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {84, 581, 1885},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {84, 582, 1886},	// QsciScintillaBase::SCN_PAINTED
    {84, 583, 1887},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {84, 584, 1888},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {84, 586, 1889},	// QsciScintillaBase::SCN_STYLENEEDED$
    {84, 587, 1890},	// QsciScintillaBase::SCN_UPDATEUI
    {84, 589, 1891},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {84, 590, 1892},	// QsciScintillaBase::SCN_ZOOM
    {84, 608, 1916},	// QsciScintillaBase::SendScintilla$
    {84, 609, 1863},	// QsciScintillaBase::SendScintilla$#
    {84, 610, -3396},	// QsciScintillaBase::SendScintilla$$
    {84, 611, -3401},	// QsciScintillaBase::SendScintilla$$#
    {84, 612, 1864},	// QsciScintillaBase::SendScintilla$$##$$
    {84, 613, -3404},	// QsciScintillaBase::SendScintilla$$$
    {84, 614, 1861},	// QsciScintillaBase::SendScintilla$$$$
    {84, 616, 1866},	// QsciScintillaBase::SendScintillaPtrResult$
    {84, 758, 1893},	// QsciScintillaBase::canInsertFromMimeData#
    {84, 785, 1896},	// QsciScintillaBase::contextMenuEvent#
    {84, 812, 1897},	// QsciScintillaBase::dragEnterEvent#
    {84, 814, 1898},	// QsciScintillaBase::dragLeaveEvent#
    {84, 816, 1899},	// QsciScintillaBase::dragMoveEvent#
    {84, 818, 1900},	// QsciScintillaBase::dropEvent#
    {84, 850, 1901},	// QsciScintillaBase::focusInEvent#
    {84, 852, 1903},	// QsciScintillaBase::focusNextPrevChild$
    {84, 854, 1902},	// QsciScintillaBase::focusOutEvent#
    {84, 880, 1894},	// QsciScintillaBase::fromMimeData#
    {84, 908, 1905},	// QsciScintillaBase::inputMethodEvent#
    {84, 928, 1904},	// QsciScintillaBase::keyPressEvent#
    {84, 986, 1845},	// QsciScintillaBase::metaObject
    {84, 993, 1906},	// QsciScintillaBase::mouseDoubleClickEvent#
    {84, 995, 1907},	// QsciScintillaBase::mouseMoveEvent#
    {84, 997, 1908},	// QsciScintillaBase::mousePressEvent#
    {84, 999, 1909},	// QsciScintillaBase::mouseReleaseEvent#
    {84, 1006, 1910},	// QsciScintillaBase::paintEvent#
    {84, 1014, 1853},	// QsciScintillaBase::pool
    {84, 1025, 1851},	// QsciScintillaBase::qt_metacall$$?
    {84, 1027, 1846},	// QsciScintillaBase::qt_metacast$
    {84, 1052, 1911},	// QsciScintillaBase::resizeEvent#
    {84, 1058, 1912},	// QsciScintillaBase::scrollContentsBy$$
    {84, 1310, 1918},	// QsciScintillaBase::staticMetaObject
    {84, 1328, 1895},	// QsciScintillaBase::toMimeData$
    {84, 1331, 1913},	// QsciScintillaBase::tr$
    {84, 1332, 1847},	// QsciScintillaBase::tr$$
    {84, 1333, 1849},	// QsciScintillaBase::tr$$$
    {84, 1335, 1914},	// QsciScintillaBase::trUtf8$
    {84, 1336, 1848},	// QsciScintillaBase::trUtf8$$
    {84, 1337, 1850},	// QsciScintillaBase::trUtf8$$$
    {84, 1411, 5217},	// QsciScintillaBase::~QsciScintillaBase
    {85, 260, 5245},	// QsciStyle::LowerCase
    {85, 281, 5243},	// QsciStyle::OriginalCase
    {85, 424, 5241},	// QsciStyle::QsciStyle
    {85, 425, 5240},	// QsciStyle::QsciStyle#
    {85, 426, 5218},	// QsciStyle::QsciStyle$
    {85, 427, 5242},	// QsciStyle::QsciStyle$$###
    {85, 428, 5219},	// QsciStyle::QsciStyle$$###$
    {85, 678, 5244},	// QsciStyle::UpperCase
    {85, 764, 5236},	// QsciStyle::changeable
    {85, 778, 5224},	// QsciStyle::color
    {85, 805, 5222},	// QsciStyle::description
    {85, 830, 5230},	// QsciStyle::eolFill
    {85, 872, 5228},	// QsciStyle::font
    {85, 888, 5238},	// QsciStyle::hotspot
    {85, 1008, 5226},	// QsciStyle::paper
    {85, 1039, 5239},	// QsciStyle::refresh
    {85, 1118, 5235},	// QsciStyle::setChangeable$
    {85, 1120, 5223},	// QsciStyle::setColor#
    {85, 1131, 5221},	// QsciStyle::setDescription$
    {85, 1145, 5229},	// QsciStyle::setEolFill$
    {85, 1181, 5227},	// QsciStyle::setFont#
    {85, 1184, 5237},	// QsciStyle::setHotspot$
    {85, 1247, 5225},	// QsciStyle::setPaper#
    {85, 1275, 5231},	// QsciStyle::setTextCase$
    {85, 1291, 5233},	// QsciStyle::setVisible$
    {85, 1311, 5220},	// QsciStyle::style
    {85, 1322, 5232},	// QsciStyle::textCase
    {85, 1351, 5234},	// QsciStyle::visible
    {85, 1412, 5246},	// QsciStyle::~QsciStyle
    {86, 430, 5251},	// QsciStyledText::QsciStyledText#
    {86, 431, 5248},	// QsciStyledText::QsciStyledText$#
    {86, 432, 5247},	// QsciStyledText::QsciStyledText$$
    {86, 1311, 5250},	// QsciStyledText::style
    {86, 1320, 5249},	// QsciStyledText::text
    {86, 1413, 5252},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 86,
        __smokeqsci::methods, 5253,
        __smokeqsci::methodMaps, 2001,
        __smokeqsci::methodNames, 1413,
        __smokeqsci::types, 210,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
