#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 37: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 37: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 17: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QColor
      switch(to) {
        case 9: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 10:   //QCursor
      switch(to) {
        case 10: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 11:   //QDataStream
      switch(to) {
        case 11: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 12:   //QDate
      switch(to) {
        case 12: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 13:   //QDateTime
      switch(to) {
        case 13: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 14:   //QDebug
      switch(to) {
        case 14: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 15:   //QDir
      switch(to) {
        case 15: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 16:   //QEasingCurve
      switch(to) {
        case 16: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 17:   //QEvent
      switch(to) {
        case 17: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QFactoryInterface
      switch(to) {
        case 18: return (void*)(QFactoryInterface*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 19:   //QFont
      switch(to) {
        case 19: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 21:   //QHashDummyValue
      switch(to) {
        case 21: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 22:   //QIcon
      switch(to) {
        case 22: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 23:   //QImage
      switch(to) {
        case 23: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 24:   //QIncompatibleFlag
      switch(to) {
        case 24: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 25:   //QItemDelegate
      switch(to) {
        case 37: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 25: return (void*)(QItemDelegate*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 26:   //QItemSelectionRange
      switch(to) {
        case 26: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 27:   //QKeySequence
      switch(to) {
        case 27: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocale
      switch(to) {
        case 31: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 32:   //QMargins
      switch(to) {
        case 32: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 33:   //QMatrix
      switch(to) {
        case 33: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QMimeData
      switch(to) {
        case 37: return (void*)(QObject*)(QMimeData*)xptr;
        case 35: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QObject
      switch(to) {
        case 37: return (void*)(QObject*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 56: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 38:   //QPainter
      switch(to) {
        case 38: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 39:   //QPainterPath
      switch(to) {
        case 39: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 40:   //QPalette
      switch(to) {
        case 40: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPixmap
      switch(to) {
        case 42: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QPolygon
      switch(to) {
        case 45: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 46:   //QPolygonF
      switch(to) {
        case 46: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QRegion
      switch(to) {
        case 50: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 51:   //QSize
      switch(to) {
        case 51: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 52:   //QSizeF
      switch(to) {
        case 52: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 53:   //QSizePolicy
      switch(to) {
        case 53: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 55:   //QSqlDatabase
      switch(to) {
        case 55: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 56:   //QSqlDriver
      switch(to) {
        case 37: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 56: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 57:   //QSqlDriverCreatorBase
      switch(to) {
        case 57: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 58:   //QSqlDriverFactoryInterface
      switch(to) {
        case 18: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 59:   //QSqlDriverPlugin
      switch(to) {
        case 37: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 18: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 60:   //QSqlError
      switch(to) {
        case 60: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 61:   //QSqlField
      switch(to) {
        case 61: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 62:   //QSqlIndex
      switch(to) {
        case 65: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 62: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 63:   //QSqlQuery
      switch(to) {
        case 63: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 64:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlRecord
      switch(to) {
        case 65: return (void*)(QSqlRecord*)xptr;
        case 62: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlRelation
      switch(to) {
        case 66: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlRelationalDelegate
      switch(to) {
        case 25: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 37: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlRelationalTableModel
      switch(to) {
        case 70: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlResult
      switch(to) {
        case 69: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlTableModel
      switch(to) {
        case 64: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 71:   //QString::Null
      switch(to) {
        case 71: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 72:   //QStringRef
      switch(to) {
        case 72: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 73:   //QStyleOption
      switch(to) {
        case 73: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 74:   //QStyleOptionViewItem
      switch(to) {
        case 73: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 74: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 75:   //QTextStream
      switch(to) {
        case 75: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 76:   //QTextStreamManipulator
      switch(to) {
        case 76: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 77:   //QTime
      switch(to) {
        case 77: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 78:   //QTimerEvent
      switch(to) {
        case 17: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 78: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTransform
      switch(to) {
        case 79: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 80:   //QUrl
      switch(to) {
        case 80: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 81:   //QUuid
      switch(to) {
        case 81: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //QWidget
      switch(to) {
        case 37: return (void*)(QObject*)(QWidget*)xptr;
        case 84: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    37, 0,	// 1: QObject
    18, 0,	// 3: QFactoryInterface
    37, 58, 0,	// 5: QObject, QSqlDriverFactoryInterface
    65, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    25, 0,	// 12: QItemDelegate
    70, 0,	// 14: QSqlTableModel
    64, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QColor", true, 0, 0, 0, 0, 0 },	//9
    { "QCursor", true, 0, 0, 0, 0, 0 },	//10
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//11
    { "QDate", true, 0, 0, 0, 0, 0 },	//12
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//13
    { "QDebug", true, 0, 0, 0, 0, 0 },	//14
    { "QDir", true, 0, 0, 0, 0, 0 },	//15
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//16
    { "QEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//18
    { "QFont", true, 0, 0, 0, 0, 0 },	//19
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//20
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//21
    { "QIcon", true, 0, 0, 0, 0, 0 },	//22
    { "QImage", true, 0, 0, 0, 0, 0 },	//23
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//24
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//25
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//26
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocale", true, 0, 0, 0, 0, 0 },	//31
    { "QMargins", true, 0, 0, 0, 0, 0 },	//32
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QObject", true, 0, 0, 0, 0, 0 },	//37
    { "QPainter", true, 0, 0, 0, 0, 0 },	//38
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//39
    { "QPalette", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//45
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QRegion", true, 0, 0, 0, 0, 0 },	//50
    { "QSize", true, 0, 0, 0, 0, 0 },	//51
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//52
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//53
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//54
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//55
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//56
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//57
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//58
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//59
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//60
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//61
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//62
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//63
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//64
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//65
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//66
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//67
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//68
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//69
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//70
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//71
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//72
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//73
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//74
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//75
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//76
    { "QTime", true, 0, 0, 0, 0, 0 },	//77
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTransform", true, 0, 0, 0, 0, 0 },	//79
    { "QUrl", true, 0, 0, 0, 0, 0 },	//80
    { "QUuid", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "QWidget", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//7
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//9
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//10
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//11
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QColor&", 9, Smoke::t_class|Smoke::tf_ref },	//14
    { "QCursor&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "QDataStream&", 11, Smoke::t_class|Smoke::tf_ref },	//16
    { "QDate&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDateTime&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDebug", 14, Smoke::t_class|Smoke::tf_stack },	//19
    { "QDir::Filter", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDir::SortFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QEasingCurve&", 16, Smoke::t_class|Smoke::tf_ref },	//23
    { "QEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFont&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QIcon&", 22, Smoke::t_class|Smoke::tf_ref },	//73
    { "QImage&", 23, Smoke::t_class|Smoke::tf_ref },	//74
    { "QIncompatibleFlag", 24, Smoke::t_class|Smoke::tf_stack },	//75
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QKeySequence&", 27, Smoke::t_class|Smoke::tf_ref },	//77
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QLine", 29, Smoke::t_class|Smoke::tf_stack },	//79
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//80
    { "QLineF", 30, Smoke::t_class|Smoke::tf_stack },	//81
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//82
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//84
    { "QLocale&", 31, Smoke::t_class|Smoke::tf_ref },	//85
    { "QLocale::NumberOption", 31, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QMatrix&", 33, Smoke::t_class|Smoke::tf_ref },	//89
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QMimeData*", 35, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QModelIndex", 36, Smoke::t_class|Smoke::tf_stack },	//92
    { "QObject*", 37, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QObject*(*)()", 37, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QPainter*", 38, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QPainterPath", 39, Smoke::t_class|Smoke::tf_stack },	//96
    { "QPainterPath&", 39, Smoke::t_class|Smoke::tf_ref },	//97
    { "QPalette&", 40, Smoke::t_class|Smoke::tf_ref },	//98
    { "QPixmap&", 42, Smoke::t_class|Smoke::tf_ref },	//99
    { "QPoint", 43, Smoke::t_class|Smoke::tf_stack },	//100
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//101
    { "QPointF", 44, Smoke::t_class|Smoke::tf_stack },	//102
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPolygon", 45, Smoke::t_class|Smoke::tf_stack },	//104
    { "QPolygon&", 45, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPolygonF", 46, Smoke::t_class|Smoke::tf_stack },	//106
    { "QPolygonF&", 46, Smoke::t_class|Smoke::tf_ref },	//107
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//110
    { "QRegion", 50, Smoke::t_class|Smoke::tf_stack },	//111
    { "QRegion&", 50, Smoke::t_class|Smoke::tf_ref },	//112
    { "QSize", 51, Smoke::t_class|Smoke::tf_stack },	//113
    { "QSize&", 51, Smoke::t_class|Smoke::tf_ref },	//114
    { "QSizeF&", 52, Smoke::t_class|Smoke::tf_ref },	//115
    { "QSizePolicy&", 53, Smoke::t_class|Smoke::tf_ref },	//116
    { "QSizePolicy::ControlType", 53, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QSql::Location", 54, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QSql::NumericalPrecisionPolicy", 54, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QSql::ParamTypeFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QSql::TableType", 54, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QSqlDatabase", 55, Smoke::t_class|Smoke::tf_stack },	//122
    { "QSqlDatabase&", 55, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSqlDatabase*", 55, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QSqlDriver*", 56, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QSqlDriver::DriverFeature", 56, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QSqlDriver::IdentifierType", 56, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QSqlDriver::StatementType", 56, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QSqlDriverCreatorBase*", 57, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QSqlDriverFactoryInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QSqlDriverPlugin*", 59, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QSqlError", 60, Smoke::t_class|Smoke::tf_stack },	//132
    { "QSqlError&", 60, Smoke::t_class|Smoke::tf_ref },	//133
    { "QSqlError*", 60, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QSqlError::ErrorType", 60, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QSqlField", 61, Smoke::t_class|Smoke::tf_stack },	//136
    { "QSqlField&", 61, Smoke::t_class|Smoke::tf_ref },	//137
    { "QSqlField*", 61, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QSqlField::RequiredStatus", 61, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QSqlIndex", 62, Smoke::t_class|Smoke::tf_stack },	//140
    { "QSqlIndex&", 62, Smoke::t_class|Smoke::tf_ref },	//141
    { "QSqlIndex*", 62, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QSqlQuery", 63, Smoke::t_class|Smoke::tf_stack },	//143
    { "QSqlQuery&", 63, Smoke::t_class|Smoke::tf_ref },	//144
    { "QSqlQuery*", 63, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QSqlQuery::BatchExecutionMode", 63, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QSqlQueryModel*", 64, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QSqlRecord", 65, Smoke::t_class|Smoke::tf_stack },	//148
    { "QSqlRecord&", 65, Smoke::t_class|Smoke::tf_ref },	//149
    { "QSqlRecord*", 65, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QSqlRelation", 66, Smoke::t_class|Smoke::tf_stack },	//151
    { "QSqlRelation*", 66, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QSqlRelationalDelegate*", 67, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QSqlRelationalTableModel*", 68, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QSqlResult*", 69, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QSqlResult::BindingSyntax", 69, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QSqlResult::VirtualHookOperation", 69, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QSqlTableModel*", 70, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QSqlTableModel::EditStrategy", 70, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//161
    { "QString::Null", 71, Smoke::t_class|Smoke::tf_stack },	//162
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//165
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//166
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QTextStream&", 75, Smoke::t_class|Smoke::tf_ref },	//177
    { "QTextStream&(*)(QTextStream&)", 75, Smoke::t_class|Smoke::tf_ref },	//178
    { "QTextStream::NumberFlag", 75, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QTextStreamManipulator", 76, Smoke::t_class|Smoke::tf_stack },	//180
    { "QTime&", 77, Smoke::t_class|Smoke::tf_ref },	//181
    { "QTimerEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QTransform", 79, Smoke::t_class|Smoke::tf_stack },	//183
    { "QTransform&", 79, Smoke::t_class|Smoke::tf_ref },	//184
    { "QUrl&", 80, Smoke::t_class|Smoke::tf_ref },	//185
    { "QUrl::FormattingOption", 80, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QUuid&", 81, Smoke::t_class|Smoke::tf_ref },	//187
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//188
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//189
    { "QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//191
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//192
    { "QWidget*", 84, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QWidget::RenderFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtMsgType", 20, Smoke::t_enum|Smoke::tf_stack },	//268
    { "__codecvt_result", 20, Smoke::t_enum|Smoke::tf_stack },	//269
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//271
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//272
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//273
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QColor&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QCursor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QDate&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QDateTime&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QDir&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QEasingCurve&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QFont&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QHashDummyValue&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QIcon&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QImage&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QItemSelectionRange&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QKeySequence&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QLocale&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QMargins&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QMatrix&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//300
    { "const QMimeData*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const QPainterPath&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QPalette&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QPixmap&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//308
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//310
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QPolygon&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QPolygonF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const QRegion&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QSize", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//319
    { "const QSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QSizeF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//321
    { "const QSizeF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QSizePolicy&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QSqlDatabase&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QSqlDriver*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//325
    { "const QSqlDriverCreatorBase&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QSqlDriverFactoryInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QSqlError&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QSqlField&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QSqlIndex&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QSqlQuery&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QSqlRecord&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QSqlRelation&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QSqlResult*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//334
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//335
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//338
    { "const QStringRef&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QStyleOption&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QStyleOption::OptionType&", 73, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QStyleOptionViewItem&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QTransform&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QUrl&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QUuid&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//348
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//350
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//351
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//352
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//353
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//354
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//355
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//356
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//357
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//359
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//360
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//361
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//362
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//363
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//364
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//365
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//366
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//367
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//370
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//371
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//372
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//373
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    302, 347, 355, 0,	//1  const QModelIndex&, const QVariant&, int
    302, 0,	//5  const QModelIndex&
    302, 296, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    294, 0,	//10  const QList<QModelIndex>&
    355, 355, 302, 0,	//12  int, int, const QModelIndex&
    355, 248, 0,	//16  int, Qt::SortOrder
    302, 355, 347, 355, 63, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    301, 216, 355, 355, 302, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    339, 339, 0,	//31  const QStringRef&, const QStringRef&
    366, 0,	//34  unsigned long long
    353, 0,	//36  double
    176, 355, 0,	//38  QTextCodec::ConversionFlag, int
    225, 355, 0,	//41  Qt::ImageConversionFlag, int
    350, 364, 0,	//44  const char*, unsigned int
    371, 352, 361, 0,	//47  void*, const void*, size_t
    350, 291, 0,	//51  const char*, const QLatin1String&
    19, 35, 0,	//54  QDebug, QFlags<QIODevice::OpenModeFlag>
    16, 73, 0,	//57  QDataStream&, QIcon&
    311, 298, 0,	//60  const QPointF&, const QMatrix&
    339, 336, 0,	//63  const QStringRef&, const QString&
    320, 320, 0,	//66  const QSize&, const QSize&
    16, 290, 0,	//69  QDataStream&, const QKeySequence&
    350, 277, 0,	//72  const char*, const QByteArray&
    169, 169, 0,	//75  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    26, 34, 0,	//78  QFile::Permission, QFlags<QFile::Permission>
    336, 350, 0,	//81  const QString&, const char*
    311, 311, 0,	//84  const QPointF&, const QPointF&
    16, 313, 0,	//87  QDataStream&, const QPolygonF&
    353, 353, 0,	//90  double, double
    16, 115, 0,	//93  QDataStream&, QSizeF&
    277, 350, 0,	//96  const QByteArray&, const char*
    354, 0,	//99  float
    350, 0,	//101  const char*
    360, 0,	//103  signed char
    336, 339, 0,	//105  const QString&, const QStringRef&
    11, 0,	//108  QChar
    16, 318, 0,	//110  QDataStream&, const QRegion&
    168, 43, 0,	//113  QStyle::SubControl, QFlags<QStyle::SubControl>
    19, 275, 0,	//116  QDebug, const QBrush&
    339, 291, 0,	//119  const QStringRef&, const QLatin1String&
    11, 11, 0,	//122  QChar, QChar
    258, 258, 0,	//125  Qt::TouchPointState, Qt::TouchPointState
    345, 0,	//128  const QUrl&
    277, 0,	//130  const QByteArray&
    194, 355, 0,	//132  QWidget::RenderFlag, int
    16, 305, 0,	//135  QDataStream&, const QPalette&
    19, 345, 0,	//138  QDebug, const QUrl&
    16, 14, 0,	//141  QDataStream&, QColor&
    162, 336, 0,	//144  QString::Null, const QString&
    194, 54, 0,	//147  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    255, 255, 0,	//150  Qt::ToolBarArea, Qt::ToolBarArea
    350, 350, 0,	//153  const char*, const char*
    86, 86, 0,	//156  QLocale::NumberOption, QLocale::NumberOption
    265, 265, 0,	//159  Qt::WindowType, Qt::WindowType
    353, 322, 0,	//162  double, const QSizeF&
    20, 355, 0,	//165  QDir::Filter, int
    168, 168, 0,	//168  QStyle::SubControl, QStyle::SubControl
    309, 309, 0,	//171  const QPoint&, const QPoint&
    16, 315, 0,	//174  QDataStream&, const QRectF&
    233, 355, 0,	//177  Qt::KeyboardModifier, int
    252, 66, 0,	//180  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    344, 353, 0,	//183  const QTransform&, double
    3, 28, 0,	//186  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    272, 0,	//189  char
    179, 52, 0,	//191  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    19, 297, 0,	//194  QDebug, const QMargins&
    186, 355, 0,	//197  QUrl::FormattingOption, int
    26, 355, 0,	//200  QFile::Permission, int
    309, 353, 0,	//203  const QPoint&, double
    16, 344, 0,	//206  QDataStream&, const QTransform&
    22, 32, 0,	//209  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    336, 277, 0,	//212  const QString&, const QByteArray&
    322, 322, 0,	//215  const QSizeF&, const QSizeF&
    19, 311, 0,	//218  QDebug, const QPointF&
    16, 307, 0,	//221  QDataStream&, const QPixmap&
    233, 62, 0,	//224  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    19, 293, 0,	//227  QDebug, const QLineF&
    364, 0,	//230  unsigned int
    19, 282, 0,	//232  QDebug, const QDateTime&
    350, 336, 0,	//235  const char*, const QString&
    355, 355, 355, 0,	//238  int, int, int
    186, 186, 0,	//242  QUrl::FormattingOption, QUrl::FormattingOption
    258, 68, 0,	//245  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    225, 225, 0,	//248  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    355, 0,	//251  int
    3, 3, 0,	//253  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    86, 355, 0,	//256  QLocale::NumberOption, int
    291, 291, 0,	//259  const QLatin1String&, const QLatin1String&
    351, 355, 0,	//262  const unsigned char*, int
    350, 350, 364, 0,	//265  const char*, const char*, unsigned int
    291, 339, 0,	//269  const QLatin1String&, const QStringRef&
    171, 171, 0,	//272  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    289, 0,	//275  const QItemSelectionRange&
    216, 216, 0,	//277  Qt::DropAction, Qt::DropAction
    19, 309, 0,	//280  QDebug, const QPoint&
    16, 85, 0,	//283  QDataStream&, QLocale&
    336, 11, 0,	//286  const QString&, QChar
    162, 162, 0,	//289  QString::Null, QString::Null
    351, 363, 355, 0,	//292  const unsigned char*, unsigned char*, int
    19, 329, 0,	//296  QDebug, const QSqlField&
    170, 45, 0,	//299  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    176, 176, 0,	//302  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    240, 240, 0,	//305  Qt::Orientation, Qt::Orientation
    371, 361, 361, 361, 0,	//308  void*, size_t, size_t, size_t
    16, 98, 0,	//313  QDataStream&, QPalette&
    16, 280, 0,	//316  QDataStream&, const QCursor&
    277, 336, 0,	//319  const QByteArray&, const QString&
    255, 67, 0,	//322  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    314, 314, 0,	//325  const QRect&, const QRect&
    25, 33, 0,	//328  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    274, 274, 0,	//331  const QBitArray&, const QBitArray&
    277, 277, 0,	//334  const QByteArray&, const QByteArray&
    371, 361, 0,	//337  void*, size_t
    336, 0,	//340  const QString&
    16, 298, 0,	//342  QDataStream&, const QMatrix&
    16, 295, 0,	//345  QDataStream&, const QLocale&
    19, 284, 0,	//348  QDebug, const QEasingCurve&
    370, 0,	//351  void(*)(QtMsgType,const char*)
    175, 50, 0,	//353  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    16, 18, 0,	//356  QDataStream&, QDateTime&
    7, 7, 0,	//359  QBool, QBool
    350, 339, 0,	//362  const char*, const QStringRef&
    255, 355, 0,	//365  Qt::ToolBarArea, int
    292, 344, 0,	//368  const QLine&, const QTransform&
    19, 313, 0,	//371  QDebug, const QPolygonF&
    227, 355, 0,	//374  Qt::InputMethodHint, int
    11, 336, 0,	//377  QChar, const QString&
    172, 47, 0,	//380  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    163, 355, 0,	//383  QString::SectionFlag, int
    78, 355, 0,	//386  QLibrary::LoadHint, int
    16, 185, 0,	//389  QDataStream&, QUrl&
    350, 350, 355, 0,	//392  const char*, const char*, int
    358, 0,	//396  long long
    336, 162, 0,	//398  const QString&, QString::Null
    344, 344, 0,	//401  const QTransform&, const QTransform&
    16, 8, 0,	//404  QDataStream&, QBrush&
    1, 355, 0,	//407  QAbstractFileEngine::FileFlag, int
    176, 51, 0,	//410  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    336, 272, 0,	//413  const QString&, char
    304, 298, 0,	//416  const QPainterPath&, const QMatrix&
    227, 60, 0,	//419  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    16, 116, 0,	//422  QDataStream&, QSizePolicy&
    265, 70, 0,	//425  Qt::WindowType, QFlags<Qt::WindowType>
    238, 238, 0,	//428  Qt::MouseButton, Qt::MouseButton
    273, 350, 0,	//431  char*, const char*
    318, 298, 0,	//434  const QRegion&, const QMatrix&
    195, 195, 0,	//437  Qt::AlignmentFlag, Qt::AlignmentFlag
    309, 0,	//440  const QPoint&
    216, 355, 0,	//442  Qt::DropAction, int
    16, 343, 0,	//445  QDataStream&, const QTime&
    21, 355, 0,	//448  QDir::SortFlag, int
    297, 297, 0,	//451  const QMargins&, const QMargins&
    16, 304, 0,	//454  QDataStream&, const QPainterPath&
    94, 0,	//457  QObject*(*)()
    19, 289, 0,	//459  QDebug, const QItemSelectionRange&
    19, 290, 0,	//462  QDebug, const QKeySequence&
    236, 236, 0,	//465  Qt::MatchFlag, Qt::MatchFlag
    361, 0,	//468  size_t
    214, 56, 0,	//470  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    16, 165, 0,	//473  QDataStream&, QStringList&
    173, 173, 0,	//476  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    76, 36, 0,	//479  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    19, 348, 0,	//482  QDebug, const QVariant::Type
    214, 355, 0,	//485  Qt::DockWidgetArea, int
    16, 275, 0,	//488  QDataStream&, const QBrush&
    356, 0,	//491  long
    367, 0,	//493  unsigned short
    16, 82, 0,	//495  QDataStream&, QLineF&
    16, 288, 0,	//498  QDataStream&, const QImage&
    26, 26, 0,	//501  QFile::Permission, QFile::Permission
    272, 336, 0,	//504  char, const QString&
    16, 114, 0,	//507  QDataStream&, QSize&
    16, 77, 0,	//510  QDataStream&, QKeySequence&
    172, 172, 0,	//513  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    306, 0,	//516  const QPersistentModelIndex&
    19, 318, 0,	//518  QDebug, const QRegion&
    16, 287, 0,	//521  QDataStream&, const QIcon&
    16, 336, 0,	//524  QDataStream&, const QString&
    16, 282, 0,	//527  QDataStream&, const QDateTime&
    303, 336, 299, 0,	//530  const QObject*, const QString&, const QMetaObject&
    163, 163, 0,	//534  QString::SectionFlag, QString::SectionFlag
    170, 170, 0,	//537  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    311, 353, 0,	//540  const QPointF&, double
    271, 7, 0,	//543  bool, QBool
    76, 76, 0,	//546  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    273, 350, 364, 0,	//549  char*, const char*, unsigned int
    173, 48, 0,	//553  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    172, 355, 0,	//556  QStyleOptionTab::CornerWidget, int
    16, 309, 0,	//559  QDataStream&, const QPoint&
    16, 189, 0,	//562  QDataStream&, QVariant&
    238, 355, 0,	//565  Qt::MouseButton, int
    16, 74, 0,	//568  QDataStream&, QImage&
    311, 0,	//571  const QPointF&
    19, 340, 0,	//573  QDebug, const QStyleOption&
    19, 306, 0,	//576  QDebug, const QPersistentModelIndex&
    313, 298, 0,	//579  const QPolygonF&, const QMatrix&
    350, 350, 350, 355, 0,	//582  const char*, const char*, const char*, int
    19, 328, 0,	//587  QDebug, const QSqlError&
    240, 65, 0,	//590  Qt::Orientation, QFlags<Qt::Orientation>
    298, 298, 0,	//593  const QMatrix&, const QMatrix&
    25, 355, 0,	//596  QEventLoop::ProcessEventsFlag, int
    315, 315, 0,	//599  const QRectF&, const QRectF&
    371, 361, 361, 270, 0,	//602  void*, size_t, size_t, __compar_fn_t
    355, 355, 355, 355, 0,	//607  int, int, int, int
    16, 184, 0,	//612  QDataStream&, QTransform&
    225, 59, 0,	//615  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    16, 337, 0,	//618  QDataStream&, const QStringList&
    277, 272, 0,	//621  const QByteArray&, char
    22, 22, 0,	//624  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    20, 30, 0,	//627  QDir::Filter, QFlags<QDir::Filter>
    16, 101, 0,	//630  QDataStream&, QPoint&
    322, 353, 0,	//633  const QSizeF&, double
    16, 281, 0,	//636  QDataStream&, const QDate&
    175, 355, 0,	//639  QStyleOptionViewItemV2::ViewItemFeature, int
    369, 0,	//642  void(*)()
    351, 355, 355, 0,	//644  const unsigned char*, int, int
    117, 117, 0,	//648  QSizePolicy::ControlType, QSizePolicy::ControlType
    16, 292, 0,	//651  QDataStream&, const QLine&
    16, 89, 0,	//654  QDataStream&, QMatrix&
    16, 161, 0,	//657  QDataStream&, QString&
    167, 167, 0,	//660  QStyle::StateFlag, QStyle::StateFlag
    170, 355, 0,	//663  QStyleOptionFrameV2::FrameFeature, int
    371, 0,	//666  void*
    293, 298, 0,	//668  const QLineF&, const QMatrix&
    120, 355, 0,	//671  QSql::ParamTypeFlag, int
    230, 355, 0,	//674  Qt::ItemFlag, int
    19, 283, 0,	//677  QDebug, const QDir&
    177, 178, 0,	//680  QTextStream&, QTextStream&(*)(QTextStream&)
    19, 302, 0,	//683  QDebug, const QModelIndex&
    25, 25, 0,	//686  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    274, 0,	//689  const QBitArray&
    19, 343, 0,	//691  QDebug, const QTime&
    177, 180, 0,	//694  QTextStream&, QTextStreamManipulator
    221, 58, 0,	//697  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    339, 350, 0,	//700  const QStringRef&, const char*
    174, 355, 0,	//703  QStyleOptionToolButton::ToolButtonFeature, int
    117, 39, 0,	//706  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    194, 194, 0,	//709  QWidget::RenderFlag, QWidget::RenderFlag
    16, 6, 0,	//712  QDataStream&, QBitArray&
    16, 105, 0,	//715  QDataStream&, QPolygon&
    16, 112, 0,	//718  QDataStream&, QRegion&
    4, 4, 0,	//721  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    16, 323, 0,	//724  QDataStream&, const QSizePolicy&
    174, 174, 0,	//727  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    361, 361, 0,	//730  size_t, size_t
    309, 344, 0,	//733  const QPoint&, const QTransform&
    19, 322, 0,	//736  QDebug, const QSizeF&
    221, 355, 0,	//739  Qt::GestureFlag, int
    272, 277, 0,	//742  char, const QByteArray&
    167, 355, 0,	//745  QStyle::StateFlag, int
    16, 347, 0,	//748  QDataStream&, const QVariant&
    174, 49, 0,	//751  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    19, 347, 0,	//754  QDebug, const QVariant&
    264, 355, 0,	//757  Qt::WindowState, int
    16, 181, 0,	//760  QDataStream&, QTime&
    16, 99, 0,	//763  QDataStream&, QPixmap&
    19, 30, 0,	//766  QDebug, QFlags<QDir::Filter>
    233, 233, 0,	//769  Qt::KeyboardModifier, Qt::KeyboardModifier
    353, 311, 0,	//772  double, const QPointF&
    16, 23, 0,	//775  QDataStream&, QEasingCurve&
    216, 57, 0,	//778  Qt::DropAction, QFlags<Qt::DropAction>
    318, 344, 0,	//781  const QRegion&, const QTransform&
    320, 353, 0,	//784  const QSize&, double
    19, 281, 0,	//787  QDebug, const QDate&
    304, 344, 0,	//790  const QPainterPath&, const QTransform&
    20, 20, 0,	//793  QDir::Filter, QDir::Filter
    273, 361, 350, 368, 0,	//796  char*, size_t, const char*, va_list
    353, 309, 0,	//801  double, const QPoint&
    313, 344, 0,	//804  const QPolygonF&, const QTransform&
    371, 355, 361, 0,	//807  void*, int, size_t
    16, 293, 0,	//811  QDataStream&, const QLineF&
    350, 355, 0,	//814  const char*, int
    359, 0,	//817  short
    72, 72, 0,	//819  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    214, 214, 0,	//822  Qt::DockWidgetArea, Qt::DockWidgetArea
    21, 31, 0,	//825  QDir::SortFlag, QFlags<QDir::SortFlag>
    354, 354, 0,	//828  float, float
    347, 349, 0,	//831  const QVariant&, const QVariantComparisonHelper&
    78, 78, 0,	//834  QLibrary::LoadHint, QLibrary::LoadHint
    357, 355, 273, 0,	//837  long double, int, char*
    171, 46, 0,	//841  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    22, 355, 0,	//844  QDirIterator::IteratorFlag, int
    227, 227, 0,	//847  Qt::InputMethodHint, Qt::InputMethodHint
    120, 40, 0,	//850  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    16, 97, 0,	//853  QDataStream&, QPainterPath&
    19, 292, 0,	//856  QDebug, const QLine&
    252, 252, 0,	//859  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    258, 355, 0,	//862  Qt::TouchPointState, int
    19, 344, 0,	//865  QDebug, const QTransform&
    277, 355, 0,	//868  const QByteArray&, int
    19, 312, 0,	//871  QDebug, const QPolygon&
    186, 53, 0,	//874  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 355, 0,	//877  QAbstractSpinBox::StepEnabledFlag, int
    117, 355, 0,	//880  QSizePolicy::ControlType, int
    252, 355, 0,	//883  Qt::TextInteractionFlag, int
    264, 264, 0,	//886  Qt::WindowState, Qt::WindowState
    1, 27, 0,	//889  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    16, 279, 0,	//892  QDataStream&, const QColor&
    16, 277, 0,	//895  QDataStream&, const QByteArray&
    16, 284, 0,	//898  QDataStream&, const QEasingCurve&
    292, 298, 0,	//901  const QLine&, const QMatrix&
    16, 345, 0,	//904  QDataStream&, const QUrl&
    19, 314, 0,	//907  QDebug, const QRect&
    19, 285, 0,	//910  QDebug, const QFont&
    21, 21, 0,	//913  QDir::SortFlag, QDir::SortFlag
    179, 355, 0,	//916  QTextStream::NumberFlag, int
    16, 108, 0,	//919  QDataStream&, QRect&
    16, 320, 0,	//922  QDataStream&, const QSize&
    16, 278, 0,	//925  QDataStream&, const QChar&
    167, 42, 0,	//928  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    195, 355, 0,	//931  Qt::AlignmentFlag, int
    16, 316, 0,	//934  QDataStream&, const QRegExp&
    19, 315, 0,	//937  QDebug, const QRectF&
    264, 69, 0,	//940  Qt::WindowState, QFlags<Qt::WindowState>
    230, 230, 0,	//943  Qt::ItemFlag, Qt::ItemFlag
    16, 187, 0,	//946  QDataStream&, QUuid&
    16, 71, 0,	//949  QDataStream&, QFont&
    16, 107, 0,	//952  QDataStream&, QPolygonF&
    173, 355, 0,	//955  QStyleOptionToolBar::ToolBarFeature, int
    16, 191, 0,	//958  QDataStream&, QVariant::Type&
    120, 120, 0,	//961  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    347, 190, 371, 0,	//964  const QVariant&, QVariant::Type, void*
    19, 42, 0,	//968  QDebug, QFlags<QStyle::StateFlag>
    3, 355, 0,	//971  QAbstractItemView::EditTrigger, int
    309, 298, 0,	//974  const QPoint&, const QMatrix&
    303, 336, 317, 299, 84, 0,	//977  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    286, 286, 0,	//983  const QHashDummyValue&, const QHashDummyValue&
    16, 103, 0,	//986  QDataStream&, QPointF&
    240, 355, 0,	//989  Qt::Orientation, int
    175, 175, 0,	//992  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    221, 221, 0,	//995  Qt::GestureFlag, Qt::GestureFlag
    72, 35, 0,	//998  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    16, 285, 0,	//1001  QDataStream&, const QFont&
    312, 344, 0,	//1004  const QPolygon&, const QTransform&
    353, 320, 0,	//1007  double, const QSize&
    76, 355, 0,	//1010  QItemSelectionModel::SelectionFlag, int
    7, 271, 0,	//1013  QBool, bool
    16, 80, 0,	//1016  QDataStream&, QLine&
    19, 320, 0,	//1019  QDebug, const QSize&
    168, 355, 0,	//1022  QStyle::SubControl, int
    19, 324, 0,	//1025  QDebug, const QSqlDatabase&
    179, 179, 0,	//1028  QTextStream::NumberFlag, QTextStream::NumberFlag
    293, 344, 0,	//1031  const QLineF&, const QTransform&
    238, 64, 0,	//1034  Qt::MouseButton, QFlags<Qt::MouseButton>
    16, 348, 0,	//1037  QDataStream&, const QVariant::Type
    171, 355, 0,	//1040  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    230, 61, 0,	//1043  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    311, 344, 0,	//1046  const QPointF&, const QTransform&
    19, 279, 0,	//1049  QDebug, const QColor&
    19, 298, 0,	//1052  QDebug, const QMatrix&
    16, 346, 0,	//1055  QDataStream&, const QUuid&
    78, 37, 0,	//1058  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    265, 355, 0,	//1061  Qt::WindowType, int
    169, 355, 0,	//1064  QStyleOptionButton::ButtonFeature, int
    16, 109, 0,	//1067  QDataStream&, QRectF&
    169, 44, 0,	//1070  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    16, 15, 0,	//1073  QDataStream&, QCursor&
    16, 314, 0,	//1076  QDataStream&, const QRect&
    236, 63, 0,	//1079  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    195, 55, 0,	//1082  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    16, 12, 0,	//1085  QDataStream&, QChar&
    16, 110, 0,	//1088  QDataStream&, QRegExp&
    365, 0,	//1091  unsigned long
    16, 311, 0,	//1093  QDataStream&, const QPointF&
    16, 322, 0,	//1096  QDataStream&, const QSizeF&
    86, 38, 0,	//1099  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    163, 41, 0,	//1102  QString::SectionFlag, QFlags<QString::SectionFlag>
    336, 336, 0,	//1105  const QString&, const QString&
    1, 1, 0,	//1108  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    268, 350, 0,	//1111  QtMsgType, const char*
    19, 304, 0,	//1114  QDebug, const QPainterPath&
    19, 332, 0,	//1117  QDebug, const QSqlRecord&
    339, 0,	//1120  const QStringRef&
    72, 355, 0,	//1122  QIODevice::OpenModeFlag, int
    4, 29, 0,	//1125  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    362, 0,	//1128  unsigned char
    16, 10, 0,	//1130  QDataStream&, QByteArray&
    312, 298, 0,	//1133  const QPolygon&, const QMatrix&
    19, 341, 0,	//1136  QDebug, const QStyleOption::OptionType&
    19, 303, 0,	//1139  QDebug, const QObject*
    236, 355, 0,	//1142  Qt::MatchFlag, int
    16, 312, 0,	//1145  QDataStream&, const QPolygon&
    16, 17, 0,	//1148  QDataStream&, QDate&
    16, 274, 0,	//1151  QDataStream&, const QBitArray&
    90, 355, 372, 0,	//1154  QMetaObject::Call, int, void**
    95, 342, 302, 0,	//1158  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    342, 302, 0,	//1162  const QStyleOptionViewItem&, const QModelIndex&
    193, 342, 302, 0,	//1165  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    95, 342, 314, 336, 0,	//1169  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    95, 342, 314, 307, 0,	//1174  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    95, 342, 314, 0,	//1179  QPainter*, const QStyleOptionViewItem&, const QRect&
    95, 342, 314, 205, 0,	//1183  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    93, 24, 0,	//1188  QObject*, QEvent*
    24, 2, 342, 302, 0,	//1191  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    24, 0,	//1196  QEvent*
    182, 0,	//1198  QTimerEvent*
    13, 0,	//1200  QChildEvent*
    324, 0,	//1202  const QSqlDatabase&
    121, 0,	//1204  QSql::TableType
    119, 0,	//1206  QSql::NumericalPrecisionPolicy
    125, 336, 0,	//1208  QSqlDriver*, const QString&
    324, 336, 0,	//1211  const QSqlDatabase&, const QString&
    336, 271, 0,	//1214  const QString&, bool
    336, 129, 0,	//1217  const QString&, QSqlDriverCreatorBase*
    125, 0,	//1220  QSqlDriver*
    93, 0,	//1222  QObject*
    329, 271, 0,	//1224  const QSqlField&, bool
    336, 127, 0,	//1227  const QString&, QSqlDriver::IdentifierType
    128, 336, 332, 271, 0,	//1230  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    126, 0,	//1235  QSqlDriver::DriverFeature
    336, 336, 336, 336, 355, 336, 0,	//1237  const QString&, const QString&, const QString&, const QString&, int, const QString&
    271, 0,	//1244  bool
    328, 0,	//1246  const QSqlError&
    329, 0,	//1248  const QSqlField&
    336, 336, 336, 0,	//1250  const QString&, const QString&, const QString&
    336, 336, 336, 336, 0,	//1254  const QString&, const QString&, const QString&, const QString&
    336, 336, 336, 336, 355, 0,	//1259  const QString&, const QString&, const QString&, const QString&, int
    326, 0,	//1265  const QSqlDriverCreatorBase&
    327, 0,	//1267  const QSqlDriverFactoryInterface&
    336, 336, 135, 355, 0,	//1269  const QString&, const QString&, QSqlError::ErrorType, int
    135, 0,	//1274  QSqlError::ErrorType
    336, 336, 135, 0,	//1276  const QString&, const QString&, QSqlError::ErrorType
    336, 190, 0,	//1280  const QString&, QVariant::Type
    347, 0,	//1283  const QVariant&
    190, 0,	//1285  QVariant::Type
    139, 0,	//1287  QSqlField::RequiredStatus
    330, 0,	//1289  const QSqlIndex&
    355, 271, 0,	//1291  int, bool
    155, 0,	//1294  QSqlResult*
    336, 122, 0,	//1296  const QString&, QSqlDatabase
    122, 0,	//1299  QSqlDatabase
    331, 0,	//1301  const QSqlQuery&
    146, 0,	//1303  QSqlQuery::BatchExecutionMode
    336, 347, 40, 0,	//1305  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    355, 347, 40, 0,	//1309  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    347, 40, 0,	//1313  const QVariant&, QFlags<QSql::ParamTypeFlag>
    336, 347, 0,	//1316  const QString&, const QVariant&
    355, 347, 0,	//1319  int, const QVariant&
    302, 355, 0,	//1322  const QModelIndex&, int
    355, 240, 355, 0,	//1325  int, Qt::Orientation, int
    355, 240, 347, 355, 0,	//1329  int, Qt::Orientation, const QVariant&, int
    336, 324, 0,	//1334  const QString&, const QSqlDatabase&
    355, 240, 0,	//1337  int, Qt::Orientation
    355, 240, 347, 0,	//1340  int, Qt::Orientation, const QVariant&
    355, 355, 0,	//1344  int, int
    332, 0,	//1347  const QSqlRecord&
    355, 329, 0,	//1349  int, const QSqlField&
    333, 0,	//1352  const QSqlRelation&
    193, 302, 0,	//1354  QWidget*, const QModelIndex&
    193, 2, 302, 0,	//1357  QWidget*, QAbstractItemModel*, const QModelIndex&
    93, 122, 0,	//1361  QObject*, QSqlDatabase
    355, 333, 0,	//1364  int, const QSqlRelation&
    355, 332, 0,	//1367  int, const QSqlRecord&
    302, 347, 0,	//1370  const QModelIndex&, const QVariant&
    325, 0,	//1373  const QSqlDriver*
    355, 371, 0,	//1375  int, void*
    159, 0,	//1378  QSqlTableModel::EditStrategy
    355, 149, 0,	//1380  int, QSqlRecord&
    149, 0,	//1383  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LowPrecisionDouble",	//19
    "LowPrecisionInt32",	//20
    "LowPrecisionInt64",	//21
    "LowPrecisionNumbers",	//22
    "MultipleResultSets",	//23
    "NamedBinding",	//24
    "NamedPlaceholders",	//25
    "NextResult",	//26
    "NoError",	//27
    "OnFieldChange",	//28
    "OnManualSubmit",	//29
    "OnRowChange",	//30
    "Optional",	//31
    "Out",	//32
    "PositionalBinding",	//33
    "PositionalPlaceholders",	//34
    "PreparedQueries",	//35
    "QSqlDatabase",	//36
    "QSqlDatabase#",	//37
    "QSqlDatabase$",	//38
    "QSqlDriver",	//39
    "QSqlDriver#",	//40
    "QSqlDriverCreatorBase",	//41
    "QSqlDriverCreatorBase#",	//42
    "QSqlDriverFactoryInterface",	//43
    "QSqlDriverFactoryInterface#",	//44
    "QSqlDriverPlugin",	//45
    "QSqlDriverPlugin#",	//46
    "QSqlError",	//47
    "QSqlError#",	//48
    "QSqlError$",	//49
    "QSqlError$$",	//50
    "QSqlError$$$",	//51
    "QSqlError$$$$",	//52
    "QSqlField",	//53
    "QSqlField#",	//54
    "QSqlField$",	//55
    "QSqlField$$",	//56
    "QSqlIndex",	//57
    "QSqlIndex#",	//58
    "QSqlIndex$",	//59
    "QSqlIndex$$",	//60
    "QSqlQuery",	//61
    "QSqlQuery#",	//62
    "QSqlQuery$",	//63
    "QSqlQuery$#",	//64
    "QSqlQueryModel",	//65
    "QSqlQueryModel#",	//66
    "QSqlRecord",	//67
    "QSqlRecord#",	//68
    "QSqlRelation",	//69
    "QSqlRelation#",	//70
    "QSqlRelation$$$",	//71
    "QSqlRelationalDelegate",	//72
    "QSqlRelationalDelegate#",	//73
    "QSqlRelationalTableModel",	//74
    "QSqlRelationalTableModel#",	//75
    "QSqlRelationalTableModel##",	//76
    "QSqlResult",	//77
    "QSqlResult#",	//78
    "QSqlTableModel",	//79
    "QSqlTableModel#",	//80
    "QSqlTableModel##",	//81
    "QtCriticalMsg",	//82
    "QtDebugMsg",	//83
    "QtFatalMsg",	//84
    "QtSystemMsg",	//85
    "QtWarningMsg",	//86
    "QuerySize",	//87
    "Required",	//88
    "SelectStatement",	//89
    "SetNumericalPrecision",	//90
    "SimpleLocking",	//91
    "StatementError",	//92
    "SystemTables",	//93
    "TableName",	//94
    "Tables",	//95
    "TransactionError",	//96
    "Transactions",	//97
    "Unicode",	//98
    "Unknown",	//99
    "UnknownError",	//100
    "UpdateStatement",	//101
    "ValuesAsColumns",	//102
    "ValuesAsRows",	//103
    "Views",	//104
    "WhereStatement",	//105
    "_ISalnum",	//106
    "_ISalpha",	//107
    "_ISblank",	//108
    "_IScntrl",	//109
    "_ISdigit",	//110
    "_ISgraph",	//111
    "_ISlower",	//112
    "_ISprint",	//113
    "_ISpunct",	//114
    "_ISspace",	//115
    "_ISupper",	//116
    "_ISxdigit",	//117
    "__codecvt_error",	//118
    "__codecvt_noconv",	//119
    "__codecvt_ok",	//120
    "__codecvt_partial",	//121
    "addBindValue",	//122
    "addBindValue#",	//123
    "addBindValue#$",	//124
    "addDatabase",	//125
    "addDatabase#",	//126
    "addDatabase#$",	//127
    "addDatabase$",	//128
    "addDatabase$$",	//129
    "append",	//130
    "append#",	//131
    "append#$",	//132
    "at",	//133
    "beforeDelete",	//134
    "beforeDelete$",	//135
    "beforeInsert",	//136
    "beforeInsert#",	//137
    "beforeUpdate",	//138
    "beforeUpdate$#",	//139
    "beginTransaction",	//140
    "bindValue",	//141
    "bindValue$#",	//142
    "bindValue$#$",	//143
    "bindValueType",	//144
    "bindValueType$",	//145
    "bindingSyntax",	//146
    "boundValue",	//147
    "boundValue$",	//148
    "boundValueCount",	//149
    "boundValueName",	//150
    "boundValueName$",	//151
    "boundValues",	//152
    "buddy",	//153
    "canFetchMore",	//154
    "canFetchMore#",	//155
    "childEvent",	//156
    "clear",	//157
    "clearValues",	//158
    "cloneDatabase",	//159
    "cloneDatabase#$",	//160
    "close",	//161
    "columnCount",	//162
    "columnCount#",	//163
    "commit",	//164
    "commitTransaction",	//165
    "connectNotify",	//166
    "connectOptions",	//167
    "connectionName",	//168
    "connectionNames",	//169
    "contains",	//170
    "contains$",	//171
    "count",	//172
    "create",	//173
    "create$",	//174
    "createEditor",	//175
    "createEditor###",	//176
    "createObject",	//177
    "createResult",	//178
    "cursorName",	//179
    "customEvent",	//180
    "data",	//181
    "data#",	//182
    "data#$",	//183
    "data$",	//184
    "database",	//185
    "database$",	//186
    "database$$",	//187
    "databaseName",	//188
    "databaseText",	//189
    "defaultConnection",	//190
    "defaultValue",	//191
    "deleteRowFromTable",	//192
    "deleteRowFromTable$",	//193
    "detachFromResultSet",	//194
    "disconnectNotify",	//195
    "displayColumn",	//196
    "drawCheck",	//197
    "drawDecoration",	//198
    "drawDisplay",	//199
    "drawFocus",	//200
    "driver",	//201
    "driverName",	//202
    "driverText",	//203
    "drivers",	//204
    "dropMimeData",	//205
    "editStrategy",	//206
    "editorEvent",	//207
    "escapeIdentifier",	//208
    "escapeIdentifier$$",	//209
    "event",	//210
    "eventFilter",	//211
    "exec",	//212
    "exec$",	//213
    "execBatch",	//214
    "execBatch$",	//215
    "executedQuery",	//216
    "fetch",	//217
    "fetch$",	//218
    "fetchFirst",	//219
    "fetchLast",	//220
    "fetchMore",	//221
    "fetchMore#",	//222
    "fetchNext",	//223
    "fetchPrevious",	//224
    "field",	//225
    "field$",	//226
    "fieldIndex",	//227
    "fieldIndex$",	//228
    "fieldName",	//229
    "fieldName$",	//230
    "filter",	//231
    "finish",	//232
    "first",	//233
    "flags",	//234
    "flags#",	//235
    "formatValue",	//236
    "formatValue#",	//237
    "formatValue#$",	//238
    "handle",	//239
    "hasFeature",	//240
    "hasFeature$",	//241
    "hasOutValues",	//242
    "headerData",	//243
    "headerData$$",	//244
    "headerData$$$",	//245
    "hostName",	//246
    "index",	//247
    "indexColumn",	//248
    "indexInQuery",	//249
    "indexInQuery#",	//250
    "indexOf",	//251
    "indexOf$",	//252
    "insert",	//253
    "insert$#",	//254
    "insertColumns",	//255
    "insertColumns$$",	//256
    "insertColumns$$#",	//257
    "insertRecord",	//258
    "insertRecord$#",	//259
    "insertRowIntoTable",	//260
    "insertRowIntoTable#",	//261
    "insertRows",	//262
    "insertRows$$",	//263
    "insertRows$$#",	//264
    "isActive",	//265
    "isAutoValue",	//266
    "isDescending",	//267
    "isDescending$",	//268
    "isDirty",	//269
    "isDirty#",	//270
    "isDriverAvailable",	//271
    "isDriverAvailable$",	//272
    "isEmpty",	//273
    "isForwardOnly",	//274
    "isGenerated",	//275
    "isGenerated$",	//276
    "isIdentifierEscaped",	//277
    "isIdentifierEscaped$$",	//278
    "isIdentifierEscapedImplementation",	//279
    "isIdentifierEscapedImplementation$$",	//280
    "isNull",	//281
    "isNull$",	//282
    "isOpen",	//283
    "isOpenError",	//284
    "isReadOnly",	//285
    "isSelect",	//286
    "isValid",	//287
    "itemData",	//288
    "keys",	//289
    "last",	//290
    "lastError",	//291
    "lastInsertId",	//292
    "lastQuery",	//293
    "length",	//294
    "match",	//295
    "metaObject",	//296
    "mimeData",	//297
    "mimeTypes",	//298
    "name",	//299
    "next",	//300
    "nextResult",	//301
    "notification",	//302
    "notification$",	//303
    "numRowsAffected",	//304
    "number",	//305
    "numericalPrecisionPolicy",	//306
    "open",	//307
    "open$",	//308
    "open$$",	//309
    "open$$$",	//310
    "open$$$$",	//311
    "open$$$$$",	//312
    "open$$$$$$",	//313
    "operator!=",	//314
    "operator!=#",	//315
    "operator!=##",	//316
    "operator!=#$",	//317
    "operator!=$#",	//318
    "operator!=$$",	//319
    "operator&",	//320
    "operator&##",	//321
    "operator*",	//322
    "operator*##",	//323
    "operator*#$",	//324
    "operator*$#",	//325
    "operator+",	//326
    "operator+##",	//327
    "operator+#$",	//328
    "operator+$#",	//329
    "operator+$$",	//330
    "operator-",	//331
    "operator-#",	//332
    "operator-##",	//333
    "operator-#$",	//334
    "operator/",	//335
    "operator/#$",	//336
    "operator<",	//337
    "operator<##",	//338
    "operator<#$",	//339
    "operator<$#",	//340
    "operator<$$",	//341
    "operator<<",	//342
    "operator<<##",	//343
    "operator<<#$",	//344
    "operator<<#?",	//345
    "operator<=",	//346
    "operator<=##",	//347
    "operator<=#$",	//348
    "operator<=$#",	//349
    "operator<=$$",	//350
    "operator=",	//351
    "operator=#",	//352
    "operator==",	//353
    "operator==#",	//354
    "operator==##",	//355
    "operator==#$",	//356
    "operator==$#",	//357
    "operator==$$",	//358
    "operator>",	//359
    "operator>##",	//360
    "operator>#$",	//361
    "operator>$#",	//362
    "operator>$$",	//363
    "operator>=",	//364
    "operator>=##",	//365
    "operator>=#$",	//366
    "operator>=$#",	//367
    "operator>=$$",	//368
    "operator>>",	//369
    "operator>>##",	//370
    "operator>>#$",	//371
    "operator>>#?",	//372
    "operator^",	//373
    "operator^##",	//374
    "operator|",	//375
    "operator|##",	//376
    "operator|$$",	//377
    "orderByClause",	//378
    "paint",	//379
    "password",	//380
    "port",	//381
    "precision",	//382
    "prepare",	//383
    "prepare$",	//384
    "previous",	//385
    "primaryIndex",	//386
    "primaryIndex$",	//387
    "primaryKey",	//388
    "primeInsert",	//389
    "primeInsert$#",	//390
    "qAcos",	//391
    "qAcos$",	//392
    "qAddPostRoutine",	//393
    "qAddPostRoutine$",	//394
    "qAlpha",	//395
    "qAlpha$",	//396
    "qAppName",	//397
    "qAsin",	//398
    "qAsin$",	//399
    "qAtan",	//400
    "qAtan$",	//401
    "qAtan2",	//402
    "qAtan2$$",	//403
    "qBadAlloc",	//404
    "qBlue",	//405
    "qBlue$",	//406
    "qCeil",	//407
    "qCeil$",	//408
    "qChecksum",	//409
    "qChecksum$$",	//410
    "qCompress",	//411
    "qCompress#",	//412
    "qCompress#$",	//413
    "qCompress$$",	//414
    "qCompress$$$",	//415
    "qCos",	//416
    "qCos$",	//417
    "qCritical",	//418
    "qDebug",	//419
    "qExp",	//420
    "qExp$",	//421
    "qFabs",	//422
    "qFabs$",	//423
    "qFastCos",	//424
    "qFastCos$",	//425
    "qFastSin",	//426
    "qFastSin$",	//427
    "qFlagLocation",	//428
    "qFlagLocation$",	//429
    "qFloor",	//430
    "qFloor$",	//431
    "qFree",	//432
    "qFree$",	//433
    "qFreeAligned",	//434
    "qFreeAligned$",	//435
    "qFuzzyCompare",	//436
    "qFuzzyCompare##",	//437
    "qFuzzyCompare$$",	//438
    "qFuzzyIsNull",	//439
    "qFuzzyIsNull$",	//440
    "qGray",	//441
    "qGray$",	//442
    "qGray$$$",	//443
    "qGreen",	//444
    "qGreen$",	//445
    "qHash",	//446
    "qHash#",	//447
    "qHash$",	//448
    "qInf",	//449
    "qInstallMsgHandler",	//450
    "qInstallMsgHandler$",	//451
    "qIntCast",	//452
    "qIntCast$",	//453
    "qIsFinite",	//454
    "qIsFinite$",	//455
    "qIsGray",	//456
    "qIsGray$",	//457
    "qIsInf",	//458
    "qIsInf$",	//459
    "qIsNaN",	//460
    "qIsNaN$",	//461
    "qIsNull",	//462
    "qIsNull$",	//463
    "qLn",	//464
    "qLn$",	//465
    "qMalloc",	//466
    "qMalloc$",	//467
    "qMallocAligned",	//468
    "qMallocAligned$$",	//469
    "qMemCopy",	//470
    "qMemCopy$$$",	//471
    "qMemSet",	//472
    "qMemSet$$$",	//473
    "qPow",	//474
    "qPow$$",	//475
    "qQNaN",	//476
    "qRealloc",	//477
    "qRealloc$$",	//478
    "qReallocAligned",	//479
    "qReallocAligned$$$$",	//480
    "qRed",	//481
    "qRed$",	//482
    "qRegisterStaticPluginInstanceFunction",	//483
    "qRegisterStaticPluginInstanceFunction#",	//484
    "qRemovePostRoutine",	//485
    "qRemovePostRoutine$",	//486
    "qRgb",	//487
    "qRgb$$$",	//488
    "qRgba",	//489
    "qRgba$$$$",	//490
    "qRound",	//491
    "qRound$",	//492
    "qRound64",	//493
    "qRound64$",	//494
    "qSNaN",	//495
    "qSetFieldWidth",	//496
    "qSetFieldWidth$",	//497
    "qSetPadChar",	//498
    "qSetPadChar#",	//499
    "qSetRealNumberPrecision",	//500
    "qSetRealNumberPrecision$",	//501
    "qSharedBuild",	//502
    "qSin",	//503
    "qSin$",	//504
    "qSqrt",	//505
    "qSqrt$",	//506
    "qStringComparisonHelper",	//507
    "qStringComparisonHelper#$",	//508
    "qStringComparisonHelper$$",	//509
    "qTan",	//510
    "qTan$",	//511
    "qUncompress",	//512
    "qUncompress#",	//513
    "qUncompress$$",	//514
    "qVersion",	//515
    "qWarning",	//516
    "qbswap_helper",	//517
    "qbswap_helper$$$",	//518
    "qgcvt",	//519
    "qgcvt$$$",	//520
    "qgetenv",	//521
    "qgetenv$",	//522
    "qputenv",	//523
    "qputenv$#",	//524
    "qrand",	//525
    "qsort",	//526
    "qsort$$$?",	//527
    "qsrand",	//528
    "qsrand$",	//529
    "qstrcmp",	//530
    "qstrcmp##",	//531
    "qstrcmp#$",	//532
    "qstrcmp$#",	//533
    "qstrcmp$$",	//534
    "qstrcpy",	//535
    "qstrcpy$$",	//536
    "qstrdup",	//537
    "qstrdup$",	//538
    "qstricmp",	//539
    "qstricmp$$",	//540
    "qstrlen",	//541
    "qstrlen$",	//542
    "qstrncmp",	//543
    "qstrncmp$$$",	//544
    "qstrncpy",	//545
    "qstrncpy$$$",	//546
    "qstrnicmp",	//547
    "qstrnicmp$$$",	//548
    "qstrnlen",	//549
    "qstrnlen$$",	//550
    "qtTrId",	//551
    "qtTrId$",	//552
    "qtTrId$$",	//553
    "qt_assert",	//554
    "qt_assert$$$",	//555
    "qt_assert_x",	//556
    "qt_assert_x$$$$",	//557
    "qt_check_pointer",	//558
    "qt_check_pointer$$",	//559
    "qt_error_string",	//560
    "qt_error_string$",	//561
    "qt_message_output",	//562
    "qt_message_output$$",	//563
    "qt_metacall",	//564
    "qt_metacall$$?",	//565
    "qt_metacast",	//566
    "qt_metacast$",	//567
    "qt_noop",	//568
    "qt_qFindChild_helper",	//569
    "qt_qFindChild_helper#$#",	//570
    "qt_qFindChildren_helper",	//571
    "qt_qFindChildren_helper#$##?",	//572
    "query",	//573
    "queryChange",	//574
    "qvariant_cast_helper",	//575
    "qvariant_cast_helper#$$",	//576
    "qvsnprintf",	//577
    "qvsnprintf$$$?",	//578
    "record",	//579
    "record$",	//580
    "registerSqlDriver",	//581
    "registerSqlDriver$#",	//582
    "relation",	//583
    "relation$",	//584
    "relationModel",	//585
    "relationModel$",	//586
    "remove",	//587
    "remove$",	//588
    "removeColumns",	//589
    "removeColumns$$",	//590
    "removeColumns$$#",	//591
    "removeDatabase",	//592
    "removeDatabase$",	//593
    "removeRows",	//594
    "removeRows$$",	//595
    "removeRows$$#",	//596
    "replace",	//597
    "replace$#",	//598
    "requiredStatus",	//599
    "reset",	//600
    "reset$",	//601
    "result",	//602
    "revert",	//603
    "revertAll",	//604
    "revertRow",	//605
    "revertRow$",	//606
    "rollback",	//607
    "rollbackTransaction",	//608
    "rowCount",	//609
    "rowCount#",	//610
    "savePrepare",	//611
    "savePrepare$",	//612
    "seek",	//613
    "seek$",	//614
    "seek$$",	//615
    "select",	//616
    "selectStatement",	//617
    "setActive",	//618
    "setActive$",	//619
    "setAt",	//620
    "setAt$",	//621
    "setAutoValue",	//622
    "setAutoValue$",	//623
    "setConnectOptions",	//624
    "setConnectOptions$",	//625
    "setCursorName",	//626
    "setCursorName$",	//627
    "setData",	//628
    "setData##",	//629
    "setData##$",	//630
    "setDatabaseName",	//631
    "setDatabaseName$",	//632
    "setDatabaseText",	//633
    "setDatabaseText$",	//634
    "setDefaultConnection",	//635
    "setDefaultConnection$",	//636
    "setDefaultValue",	//637
    "setDefaultValue#",	//638
    "setDescending",	//639
    "setDescending$$",	//640
    "setDriverText",	//641
    "setDriverText$",	//642
    "setEditStrategy",	//643
    "setEditStrategy$",	//644
    "setEditorData",	//645
    "setEditorData##",	//646
    "setFilter",	//647
    "setFilter$",	//648
    "setForwardOnly",	//649
    "setForwardOnly$",	//650
    "setGenerated",	//651
    "setGenerated$",	//652
    "setGenerated$$",	//653
    "setHeaderData",	//654
    "setHeaderData$$#",	//655
    "setHeaderData$$#$",	//656
    "setHostName",	//657
    "setHostName$",	//658
    "setItemData",	//659
    "setLastError",	//660
    "setLastError#",	//661
    "setLength",	//662
    "setLength$",	//663
    "setModelData",	//664
    "setModelData###",	//665
    "setName",	//666
    "setName$",	//667
    "setNull",	//668
    "setNull$",	//669
    "setNumber",	//670
    "setNumber$",	//671
    "setNumericalPrecisionPolicy",	//672
    "setNumericalPrecisionPolicy$",	//673
    "setOpen",	//674
    "setOpen$",	//675
    "setOpenError",	//676
    "setOpenError$",	//677
    "setPassword",	//678
    "setPassword$",	//679
    "setPort",	//680
    "setPort$",	//681
    "setPrecision",	//682
    "setPrecision$",	//683
    "setPrimaryKey",	//684
    "setPrimaryKey#",	//685
    "setQuery",	//686
    "setQuery#",	//687
    "setQuery$",	//688
    "setQuery$#",	//689
    "setReadOnly",	//690
    "setReadOnly$",	//691
    "setRecord",	//692
    "setRecord$#",	//693
    "setRelation",	//694
    "setRelation$#",	//695
    "setRequired",	//696
    "setRequired$",	//697
    "setRequiredStatus",	//698
    "setRequiredStatus$",	//699
    "setSelect",	//700
    "setSelect$",	//701
    "setSort",	//702
    "setSort$$",	//703
    "setSqlType",	//704
    "setSqlType$",	//705
    "setTable",	//706
    "setTable$",	//707
    "setType",	//708
    "setType$",	//709
    "setUserName",	//710
    "setUserName$",	//711
    "setValue",	//712
    "setValue#",	//713
    "setValue$#",	//714
    "size",	//715
    "sizeHint",	//716
    "sort",	//717
    "sort$$",	//718
    "span",	//719
    "sqlStatement",	//720
    "sqlStatement$$#$",	//721
    "staticMetaObject",	//722
    "stripDelimiters",	//723
    "stripDelimiters$$",	//724
    "stripDelimitersImplementation",	//725
    "stripDelimitersImplementation$$",	//726
    "submit",	//727
    "submitAll",	//728
    "subscribeToNotification",	//729
    "subscribeToNotification$",	//730
    "subscribeToNotificationImplementation",	//731
    "subscribeToNotificationImplementation$",	//732
    "subscribedToNotifications",	//733
    "subscribedToNotificationsImplementation",	//734
    "supportedDropActions",	//735
    "tableName",	//736
    "tables",	//737
    "tables$",	//738
    "text",	//739
    "timerEvent",	//740
    "tr",	//741
    "tr$",	//742
    "tr$$",	//743
    "tr$$$",	//744
    "trUtf8",	//745
    "trUtf8$",	//746
    "trUtf8$$",	//747
    "trUtf8$$$",	//748
    "transaction",	//749
    "type",	//750
    "typeID",	//751
    "unsubscribeFromNotification",	//752
    "unsubscribeFromNotification$",	//753
    "unsubscribeFromNotificationImplementation",	//754
    "unsubscribeFromNotificationImplementation$",	//755
    "updateEditorGeometry",	//756
    "updateRowInTable",	//757
    "updateRowInTable$#",	//758
    "userName",	//759
    "value",	//760
    "value$",	//761
    "virtual_hook",	//762
    "virtual_hook$$",	//763
    "~QSqlDatabase",	//764
    "~QSqlDriver",	//765
    "~QSqlDriverCreatorBase",	//766
    "~QSqlDriverFactoryInterface",	//767
    "~QSqlDriverPlugin",	//768
    "~QSqlError",	//769
    "~QSqlField",	//770
    "~QSqlIndex",	//771
    "~QSqlQuery",	//772
    "~QSqlQueryModel",	//773
    "~QSqlRecord",	//774
    "~QSqlRelation",	//775
    "~QSqlRelationalDelegate",	//776
    "~QSqlRelationalTableModel",	//777
    "~QSqlResult",	//778
    "~QSqlTableModel",	//779
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 628, 1, 3, Smoke::mf_virtual, 271, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 288, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 659, 7, 2, Smoke::mf_virtual, 271, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 297, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 91, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 262, 12, 3, Smoke::mf_virtual, 271, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 594, 12, 3, Smoke::mf_virtual, 271, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 234, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 717, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 153, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 295, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 719, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 727, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 271, 0},	//14 QAbstractItemModel::submit()
    {1, 603, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 247, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 205, 25, 5, Smoke::mf_virtual, 271, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {18, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {20, 364, 31, 2, Smoke::mf_static, 271, 1},	//19 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {20, 446, 34, 1, Smoke::mf_static, 364, 2},	//20 QGlobalSpace::qHash(unsigned long long)
    {20, 458, 36, 1, Smoke::mf_static, 271, 3},	//21 QGlobalSpace::qIsInf(double)
    {20, 375, 38, 2, Smoke::mf_static, 75, 4},	//22 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {20, 375, 41, 2, Smoke::mf_static, 75, 5},	//23 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {20, 549, 44, 2, Smoke::mf_static, 364, 6},	//24 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {20, 470, 47, 3, Smoke::mf_static, 371, 7},	//25 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {20, 568, 0, 0, Smoke::mf_static, 0, 8},	//26 QGlobalSpace::qt_noop()
    {20, 353, 51, 2, Smoke::mf_static, 271, 9},	//27 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {20, 342, 54, 2, Smoke::mf_static, 19, 10},	//28 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {20, 369, 57, 2, Smoke::mf_static, 16, 11},	//29 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {20, 322, 60, 2, Smoke::mf_static, 102, 12},	//30 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {20, 353, 63, 2, Smoke::mf_static, 271, 13},	//31 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {20, 353, 66, 2, Smoke::mf_static, 271, 14},	//32 QGlobalSpace::operator==(const QSize&, const QSize&)
    {20, 342, 69, 2, Smoke::mf_static, 16, 15},	//33 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {20, 326, 72, 2, Smoke::mf_static, 276, 16},	//34 QGlobalSpace::operator+(const char*, const QByteArray&)
    {20, 375, 75, 2, Smoke::mf_static, 44, 17},	//35 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {20, 375, 78, 2, Smoke::mf_static, 34, 18},	//36 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {20, 507, 81, 2, Smoke::mf_static, 271, 19},	//37 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {20, 530, 72, 2, Smoke::mf_static, 355, 20},	//38 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {20, 353, 84, 2, Smoke::mf_static, 271, 21},	//39 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {20, 342, 87, 2, Smoke::mf_static, 16, 22},	//40 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {20, 402, 90, 2, Smoke::mf_static, 353, 23},	//41 QGlobalSpace::qAtan2(double, double)
    {20, 369, 93, 2, Smoke::mf_static, 16, 24},	//42 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {20, 364, 96, 2, Smoke::mf_static, 271, 25},	//43 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {20, 458, 99, 1, Smoke::mf_static, 271, 26},	//44 QGlobalSpace::qIsInf(float)
    {20, 521, 101, 1, Smoke::mf_static, 9, 27},	//45 QGlobalSpace::qgetenv(const char*)
    {20, 446, 103, 1, Smoke::mf_static, 364, 28},	//46 QGlobalSpace::qHash(signed char)
    {20, 353, 105, 2, Smoke::mf_static, 271, 29},	//47 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {20, 359, 72, 2, Smoke::mf_static, 271, 30},	//48 QGlobalSpace::operator>(const char*, const QByteArray&)
    {20, 452, 36, 1, Smoke::mf_static, 355, 31},	//49 QGlobalSpace::qIntCast(double)
    {20, 498, 108, 1, Smoke::mf_static, 180, 32},	//50 QGlobalSpace::qSetPadChar(QChar)
    {20, 342, 110, 2, Smoke::mf_static, 16, 33},	//51 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {20, 375, 113, 2, Smoke::mf_static, 43, 34},	//52 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {20, 342, 116, 2, Smoke::mf_static, 19, 35},	//53 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {20, 353, 119, 2, Smoke::mf_static, 271, 36},	//54 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {20, 353, 122, 2, Smoke::mf_static, 271, 37},	//55 QGlobalSpace::operator==(QChar, QChar)
    {20, 375, 125, 2, Smoke::mf_static, 68, 38},	//56 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {20, 446, 128, 1, Smoke::mf_static, 364, 39},	//57 QGlobalSpace::qHash(const QUrl&)
    {20, 446, 130, 1, Smoke::mf_static, 364, 40},	//58 QGlobalSpace::qHash(const QByteArray&)
    {20, 375, 132, 2, Smoke::mf_static, 75, 41},	//59 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {20, 342, 135, 2, Smoke::mf_static, 16, 42},	//60 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {20, 342, 138, 2, Smoke::mf_static, 19, 43},	//61 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {20, 369, 141, 2, Smoke::mf_static, 16, 44},	//62 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {20, 337, 122, 2, Smoke::mf_static, 271, 45},	//63 QGlobalSpace::operator<(QChar, QChar)
    {20, 364, 122, 2, Smoke::mf_static, 271, 46},	//64 QGlobalSpace::operator>=(QChar, QChar)
    {20, 314, 144, 2, Smoke::mf_static, 271, 47},	//65 QGlobalSpace::operator!=(QString::Null, const QString&)
    {20, 337, 72, 2, Smoke::mf_static, 271, 48},	//66 QGlobalSpace::operator<(const char*, const QByteArray&)
    {20, 375, 147, 2, Smoke::mf_static, 54, 49},	//67 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {20, 375, 150, 2, Smoke::mf_static, 67, 50},	//68 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {20, 530, 153, 2, Smoke::mf_static, 355, 51},	//69 QGlobalSpace::qstrcmp(const char*, const char*)
    {20, 416, 36, 1, Smoke::mf_static, 353, 52},	//70 QGlobalSpace::qCos(double)
    {20, 375, 156, 2, Smoke::mf_static, 38, 53},	//71 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {20, 359, 122, 2, Smoke::mf_static, 271, 54},	//72 QGlobalSpace::operator>(QChar, QChar)
    {20, 375, 159, 2, Smoke::mf_static, 70, 55},	//73 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {20, 322, 162, 2, Smoke::mf_static, 321, 56},	//74 QGlobalSpace::operator*(double, const QSizeF&)
    {20, 502, 0, 0, Smoke::mf_static, 271, 57},	//75 QGlobalSpace::qSharedBuild()
    {20, 375, 165, 2, Smoke::mf_static, 75, 58},	//76 QGlobalSpace::operator|(QDir::Filter, int)
    {20, 375, 168, 2, Smoke::mf_static, 43, 59},	//77 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {20, 314, 31, 2, Smoke::mf_static, 271, 60},	//78 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {20, 331, 171, 2, Smoke::mf_static, 308, 61},	//79 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {20, 342, 174, 2, Smoke::mf_static, 16, 62},	//80 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {20, 375, 177, 2, Smoke::mf_static, 75, 63},	//81 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {20, 375, 180, 2, Smoke::mf_static, 66, 64},	//82 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {20, 331, 183, 2, Smoke::mf_static, 183, 65},	//83 QGlobalSpace::operator-(const QTransform&, double)
    {20, 375, 186, 2, Smoke::mf_static, 28, 66},	//84 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {20, 446, 189, 1, Smoke::mf_static, 364, 67},	//85 QGlobalSpace::qHash(char)
    {20, 314, 63, 2, Smoke::mf_static, 271, 68},	//86 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {20, 375, 191, 2, Smoke::mf_static, 52, 69},	//87 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {20, 342, 194, 2, Smoke::mf_static, 19, 70},	//88 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {20, 375, 197, 2, Smoke::mf_static, 75, 71},	//89 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {20, 375, 200, 2, Smoke::mf_static, 75, 72},	//90 QGlobalSpace::operator|(QFile::Permission, int)
    {20, 335, 203, 2, Smoke::mf_static, 308, 73},	//91 QGlobalSpace::operator/(const QPoint&, double)
    {20, 326, 171, 2, Smoke::mf_static, 308, 74},	//92 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {20, 342, 206, 2, Smoke::mf_static, 16, 75},	//93 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {20, 375, 209, 2, Smoke::mf_static, 32, 76},	//94 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {20, 326, 212, 2, Smoke::mf_static, 335, 77},	//95 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {20, 331, 215, 2, Smoke::mf_static, 321, 78},	//96 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {20, 342, 218, 2, Smoke::mf_static, 19, 79},	//97 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {20, 454, 36, 1, Smoke::mf_static, 271, 80},	//98 QGlobalSpace::qIsFinite(double)
    {20, 314, 96, 2, Smoke::mf_static, 271, 81},	//99 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {20, 342, 221, 2, Smoke::mf_static, 16, 82},	//100 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {20, 375, 224, 2, Smoke::mf_static, 62, 83},	//101 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {20, 342, 227, 2, Smoke::mf_static, 19, 84},	//102 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {20, 395, 230, 1, Smoke::mf_static, 355, 85},	//103 QGlobalSpace::qAlpha(unsigned int)
    {20, 342, 232, 2, Smoke::mf_static, 19, 86},	//104 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {20, 337, 235, 2, Smoke::mf_static, 271, 87},	//105 QGlobalSpace::operator<(const char*, const QString&)
    {20, 441, 238, 3, Smoke::mf_static, 355, 88},	//106 QGlobalSpace::qGray(int, int, int)
    {20, 375, 242, 2, Smoke::mf_static, 53, 89},	//107 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {20, 326, 66, 2, Smoke::mf_static, 319, 90},	//108 QGlobalSpace::operator+(const QSize&, const QSize&)
    {20, 375, 245, 2, Smoke::mf_static, 68, 91},	//109 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {20, 375, 248, 2, Smoke::mf_static, 59, 92},	//110 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {20, 560, 251, 1, Smoke::mf_static, 160, 93},	//111 QGlobalSpace::qt_error_string(int)
    {20, 560, 0, 0, Smoke::mf_static, 160, 94},	//112 QGlobalSpace::qt_error_string()
    {20, 326, 215, 2, Smoke::mf_static, 321, 95},	//113 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {20, 375, 253, 2, Smoke::mf_static, 28, 96},	//114 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {20, 375, 256, 2, Smoke::mf_static, 75, 97},	//115 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {20, 337, 259, 2, Smoke::mf_static, 271, 98},	//116 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {20, 512, 262, 2, Smoke::mf_static, 9, 99},	//117 QGlobalSpace::qUncompress(const unsigned char*, int)
    {20, 543, 265, 3, Smoke::mf_static, 355, 100},	//118 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {20, 510, 36, 1, Smoke::mf_static, 353, 101},	//119 QGlobalSpace::qTan(double)
    {20, 359, 51, 2, Smoke::mf_static, 271, 102},	//120 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {20, 314, 269, 2, Smoke::mf_static, 271, 103},	//121 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {20, 496, 251, 1, Smoke::mf_static, 180, 104},	//122 QGlobalSpace::qSetFieldWidth(int)
    {20, 375, 272, 2, Smoke::mf_static, 46, 105},	//123 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {20, 446, 275, 1, Smoke::mf_static, 364, 106},	//124 QGlobalSpace::qHash(const QItemSelectionRange&)
    {20, 375, 277, 2, Smoke::mf_static, 57, 107},	//125 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {20, 481, 230, 1, Smoke::mf_static, 355, 108},	//126 QGlobalSpace::qRed(unsigned int)
    {20, 322, 183, 2, Smoke::mf_static, 183, 109},	//127 QGlobalSpace::operator*(const QTransform&, double)
    {20, 430, 36, 1, Smoke::mf_static, 355, 110},	//128 QGlobalSpace::qFloor(double)
    {20, 342, 280, 2, Smoke::mf_static, 19, 111},	//129 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {20, 369, 283, 2, Smoke::mf_static, 16, 112},	//130 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {20, 454, 99, 1, Smoke::mf_static, 271, 113},	//131 QGlobalSpace::qIsFinite(float)
    {20, 326, 286, 2, Smoke::mf_static, 335, 114},	//132 QGlobalSpace::operator+(const QString&, QChar)
    {20, 314, 289, 2, Smoke::mf_static, 271, 115},	//133 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {20, 517, 292, 3, Smoke::mf_static, 0, 116},	//134 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {20, 326, 96, 2, Smoke::mf_static, 276, 117},	//135 QGlobalSpace::operator+(const QByteArray&, const char*)
    {20, 342, 296, 2, Smoke::mf_static, 19, 118},	//136 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {20, 375, 299, 2, Smoke::mf_static, 45, 119},	//137 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {20, 375, 302, 2, Smoke::mf_static, 51, 120},	//138 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {20, 326, 81, 2, Smoke::mf_static, 335, 121},	//139 QGlobalSpace::operator+(const QString&, const char*)
    {20, 359, 259, 2, Smoke::mf_static, 271, 122},	//140 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {20, 375, 305, 2, Smoke::mf_static, 65, 123},	//141 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {20, 479, 308, 4, Smoke::mf_static, 371, 124},	//142 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {20, 369, 313, 2, Smoke::mf_static, 16, 125},	//143 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {20, 342, 316, 2, Smoke::mf_static, 16, 126},	//144 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {20, 326, 319, 2, Smoke::mf_static, 335, 127},	//145 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {20, 446, 230, 1, Smoke::mf_static, 364, 128},	//146 QGlobalSpace::qHash(unsigned int)
    {20, 375, 322, 2, Smoke::mf_static, 67, 129},	//147 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {20, 446, 108, 1, Smoke::mf_static, 364, 130},	//148 QGlobalSpace::qHash(QChar)
    {20, 346, 96, 2, Smoke::mf_static, 271, 131},	//149 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {20, 452, 99, 1, Smoke::mf_static, 355, 132},	//150 QGlobalSpace::qIntCast(float)
    {20, 353, 325, 2, Smoke::mf_static, 271, 133},	//151 QGlobalSpace::operator==(const QRect&, const QRect&)
    {20, 375, 328, 2, Smoke::mf_static, 33, 134},	//152 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {20, 373, 331, 2, Smoke::mf_static, 5, 135},	//153 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {20, 359, 334, 2, Smoke::mf_static, 271, 136},	//154 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {20, 477, 337, 2, Smoke::mf_static, 371, 137},	//155 QGlobalSpace::qRealloc(void*, size_t)
    {20, 446, 340, 1, Smoke::mf_static, 364, 138},	//156 QGlobalSpace::qHash(const QString&)
    {20, 346, 259, 2, Smoke::mf_static, 271, 139},	//157 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {20, 342, 342, 2, Smoke::mf_static, 16, 140},	//158 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {20, 342, 345, 2, Smoke::mf_static, 16, 141},	//159 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {20, 342, 348, 2, Smoke::mf_static, 19, 142},	//160 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {20, 493, 36, 1, Smoke::mf_static, 358, 143},	//161 QGlobalSpace::qRound64(double)
    {20, 450, 351, 1, Smoke::mf_static, 370, 144},	//162 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {20, 505, 36, 1, Smoke::mf_static, 353, 145},	//163 QGlobalSpace::qSqrt(double)
    {20, 446, 5, 1, Smoke::mf_static, 364, 146},	//164 QGlobalSpace::qHash(const QModelIndex&)
    {20, 424, 36, 1, Smoke::mf_static, 353, 147},	//165 QGlobalSpace::qFastCos(double)
    {20, 375, 353, 2, Smoke::mf_static, 50, 148},	//166 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {20, 369, 356, 2, Smoke::mf_static, 16, 149},	//167 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {20, 353, 359, 2, Smoke::mf_static, 271, 150},	//168 QGlobalSpace::operator==(QBool, QBool)
    {20, 353, 362, 2, Smoke::mf_static, 271, 151},	//169 QGlobalSpace::operator==(const char*, const QStringRef&)
    {20, 375, 365, 2, Smoke::mf_static, 75, 152},	//170 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {20, 314, 235, 2, Smoke::mf_static, 271, 153},	//171 QGlobalSpace::operator!=(const char*, const QString&)
    {20, 460, 99, 1, Smoke::mf_static, 271, 154},	//172 QGlobalSpace::qIsNaN(float)
    {20, 346, 334, 2, Smoke::mf_static, 271, 155},	//173 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {20, 428, 101, 1, Smoke::mf_static, 350, 156},	//174 QGlobalSpace::qFlagLocation(const char*)
    {20, 326, 183, 2, Smoke::mf_static, 183, 157},	//175 QGlobalSpace::operator+(const QTransform&, double)
    {20, 322, 368, 2, Smoke::mf_static, 79, 158},	//176 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {20, 342, 371, 2, Smoke::mf_static, 19, 159},	//177 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {20, 375, 374, 2, Smoke::mf_static, 75, 160},	//178 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {20, 460, 36, 1, Smoke::mf_static, 271, 161},	//179 QGlobalSpace::qIsNaN(double)
    {20, 441, 230, 1, Smoke::mf_static, 355, 162},	//180 QGlobalSpace::qGray(unsigned int)
    {20, 326, 377, 2, Smoke::mf_static, 335, 163},	//181 QGlobalSpace::operator+(QChar, const QString&)
    {20, 375, 380, 2, Smoke::mf_static, 47, 164},	//182 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {20, 375, 383, 2, Smoke::mf_static, 75, 165},	//183 QGlobalSpace::operator|(QString::SectionFlag, int)
    {20, 375, 386, 2, Smoke::mf_static, 75, 166},	//184 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {20, 369, 389, 2, Smoke::mf_static, 16, 167},	//185 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {20, 554, 392, 3, Smoke::mf_static, 0, 168},	//186 QGlobalSpace::qt_assert(const char*, const char*, int)
    {20, 446, 396, 1, Smoke::mf_static, 364, 169},	//187 QGlobalSpace::qHash(long long)
    {20, 314, 398, 2, Smoke::mf_static, 271, 170},	//188 QGlobalSpace::operator!=(const QString&, QString::Null)
    {20, 436, 401, 2, Smoke::mf_static, 271, 171},	//189 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {20, 369, 404, 2, Smoke::mf_static, 16, 172},	//190 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {20, 375, 407, 2, Smoke::mf_static, 75, 173},	//191 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {20, 487, 238, 3, Smoke::mf_static, 364, 174},	//192 QGlobalSpace::qRgb(int, int, int)
    {20, 375, 410, 2, Smoke::mf_static, 51, 175},	//193 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {20, 326, 413, 2, Smoke::mf_static, 335, 176},	//194 QGlobalSpace::operator+(const QString&, char)
    {20, 314, 119, 2, Smoke::mf_static, 271, 177},	//195 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {20, 322, 416, 2, Smoke::mf_static, 96, 178},	//196 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {20, 331, 84, 2, Smoke::mf_static, 310, 179},	//197 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {20, 353, 289, 2, Smoke::mf_static, 271, 180},	//198 QGlobalSpace::operator==(QString::Null, QString::Null)
    {20, 375, 419, 2, Smoke::mf_static, 60, 181},	//199 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {20, 369, 422, 2, Smoke::mf_static, 16, 182},	//200 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {20, 337, 334, 2, Smoke::mf_static, 271, 183},	//201 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {20, 375, 425, 2, Smoke::mf_static, 70, 184},	//202 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {20, 439, 99, 1, Smoke::mf_static, 271, 185},	//203 QGlobalSpace::qFuzzyIsNull(float)
    {20, 375, 428, 2, Smoke::mf_static, 64, 186},	//204 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {20, 535, 431, 2, Smoke::mf_static, 273, 187},	//205 QGlobalSpace::qstrcpy(char*, const char*)
    {20, 446, 251, 1, Smoke::mf_static, 364, 188},	//206 QGlobalSpace::qHash(int)
    {20, 326, 84, 2, Smoke::mf_static, 310, 189},	//207 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {20, 322, 434, 2, Smoke::mf_static, 111, 190},	//208 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {20, 375, 437, 2, Smoke::mf_static, 55, 191},	//209 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {20, 353, 215, 2, Smoke::mf_static, 271, 192},	//210 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {20, 331, 440, 1, Smoke::mf_static, 308, 193},	//211 QGlobalSpace::operator-(const QPoint&)
    {20, 375, 442, 2, Smoke::mf_static, 75, 194},	//212 QGlobalSpace::operator|(Qt::DropAction, int)
    {20, 342, 445, 2, Smoke::mf_static, 16, 195},	//213 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {20, 375, 448, 2, Smoke::mf_static, 75, 196},	//214 QGlobalSpace::operator|(QDir::SortFlag, int)
    {20, 420, 36, 1, Smoke::mf_static, 353, 197},	//215 QGlobalSpace::qExp(double)
    {20, 500, 251, 1, Smoke::mf_static, 180, 198},	//216 QGlobalSpace::qSetRealNumberPrecision(int)
    {20, 353, 451, 2, Smoke::mf_static, 271, 199},	//217 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {20, 464, 36, 1, Smoke::mf_static, 353, 200},	//218 QGlobalSpace::qLn(double)
    {20, 342, 454, 2, Smoke::mf_static, 16, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {20, 314, 215, 2, Smoke::mf_static, 271, 202},	//220 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {20, 483, 457, 1, Smoke::mf_static, 0, 203},	//221 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {20, 342, 459, 2, Smoke::mf_static, 19, 204},	//222 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {20, 342, 462, 2, Smoke::mf_static, 19, 205},	//223 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {20, 409, 44, 2, Smoke::mf_static, 367, 206},	//224 QGlobalSpace::qChecksum(const char*, unsigned int)
    {20, 375, 465, 2, Smoke::mf_static, 63, 207},	//225 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {20, 466, 468, 1, Smoke::mf_static, 371, 208},	//226 QGlobalSpace::qMalloc(size_t)
    {20, 476, 0, 0, Smoke::mf_static, 353, 209},	//227 QGlobalSpace::qQNaN()
    {20, 375, 470, 2, Smoke::mf_static, 56, 210},	//228 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {20, 369, 473, 2, Smoke::mf_static, 16, 211},	//229 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {20, 523, 72, 2, Smoke::mf_static, 271, 212},	//230 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {20, 375, 476, 2, Smoke::mf_static, 48, 213},	//231 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {20, 375, 479, 2, Smoke::mf_static, 36, 214},	//232 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {20, 342, 482, 2, Smoke::mf_static, 19, 215},	//233 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {20, 375, 485, 2, Smoke::mf_static, 75, 216},	//234 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {20, 405, 230, 1, Smoke::mf_static, 355, 217},	//235 QGlobalSpace::qBlue(unsigned int)
    {20, 342, 488, 2, Smoke::mf_static, 16, 218},	//236 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {20, 528, 230, 1, Smoke::mf_static, 0, 219},	//237 QGlobalSpace::qsrand(unsigned int)
    {20, 446, 491, 1, Smoke::mf_static, 364, 220},	//238 QGlobalSpace::qHash(long)
    {20, 359, 31, 2, Smoke::mf_static, 271, 221},	//239 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {20, 446, 493, 1, Smoke::mf_static, 364, 222},	//240 QGlobalSpace::qHash(unsigned short)
    {20, 369, 495, 2, Smoke::mf_static, 16, 223},	//241 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {20, 314, 84, 2, Smoke::mf_static, 271, 224},	//242 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {20, 342, 498, 2, Smoke::mf_static, 16, 225},	//243 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {20, 375, 501, 2, Smoke::mf_static, 34, 226},	//244 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {20, 547, 265, 3, Smoke::mf_static, 355, 227},	//245 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {20, 326, 504, 2, Smoke::mf_static, 335, 228},	//246 QGlobalSpace::operator+(char, const QString&)
    {20, 369, 507, 2, Smoke::mf_static, 16, 229},	//247 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {20, 353, 144, 2, Smoke::mf_static, 271, 230},	//248 QGlobalSpace::operator==(QString::Null, const QString&)
    {20, 369, 510, 2, Smoke::mf_static, 16, 231},	//249 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {20, 353, 269, 2, Smoke::mf_static, 271, 232},	//250 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {20, 375, 513, 2, Smoke::mf_static, 47, 233},	//251 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {20, 326, 334, 2, Smoke::mf_static, 276, 234},	//252 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {20, 446, 516, 1, Smoke::mf_static, 364, 235},	//253 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {20, 359, 235, 2, Smoke::mf_static, 271, 236},	//254 QGlobalSpace::operator>(const char*, const QString&)
    {20, 342, 518, 2, Smoke::mf_static, 19, 237},	//255 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {20, 342, 521, 2, Smoke::mf_static, 16, 238},	//256 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {20, 342, 524, 2, Smoke::mf_static, 16, 239},	//257 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {20, 342, 527, 2, Smoke::mf_static, 16, 240},	//258 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {20, 569, 530, 3, Smoke::mf_static, 93, 241},	//259 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {20, 375, 534, 2, Smoke::mf_static, 41, 242},	//260 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {20, 375, 537, 2, Smoke::mf_static, 45, 243},	//261 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {20, 335, 540, 2, Smoke::mf_static, 310, 244},	//262 QGlobalSpace::operator/(const QPointF&, double)
    {20, 314, 543, 2, Smoke::mf_static, 271, 245},	//263 QGlobalSpace::operator!=(bool, QBool)
    {20, 353, 259, 2, Smoke::mf_static, 271, 246},	//264 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {20, 375, 546, 2, Smoke::mf_static, 36, 247},	//265 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {20, 545, 549, 3, Smoke::mf_static, 273, 248},	//266 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {20, 512, 130, 1, Smoke::mf_static, 9, 249},	//267 QGlobalSpace::qUncompress(const QByteArray&)
    {20, 375, 553, 2, Smoke::mf_static, 48, 250},	//268 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {20, 335, 183, 2, Smoke::mf_static, 183, 251},	//269 QGlobalSpace::operator/(const QTransform&, double)
    {20, 375, 556, 2, Smoke::mf_static, 75, 252},	//270 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {20, 342, 559, 2, Smoke::mf_static, 16, 253},	//271 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {20, 369, 562, 2, Smoke::mf_static, 16, 254},	//272 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {20, 375, 565, 2, Smoke::mf_static, 75, 255},	//273 QGlobalSpace::operator|(Qt::MouseButton, int)
    {20, 369, 568, 2, Smoke::mf_static, 16, 256},	//274 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {20, 331, 571, 1, Smoke::mf_static, 310, 257},	//275 QGlobalSpace::operator-(const QPointF&)
    {20, 342, 573, 2, Smoke::mf_static, 19, 258},	//276 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {20, 353, 543, 2, Smoke::mf_static, 271, 259},	//277 QGlobalSpace::operator==(bool, QBool)
    {20, 525, 0, 0, Smoke::mf_static, 355, 260},	//278 QGlobalSpace::qrand()
    {20, 342, 576, 2, Smoke::mf_static, 19, 261},	//279 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {20, 322, 579, 2, Smoke::mf_static, 106, 262},	//280 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {20, 556, 582, 4, Smoke::mf_static, 0, 263},	//281 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {20, 320, 331, 2, Smoke::mf_static, 5, 264},	//282 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {20, 364, 72, 2, Smoke::mf_static, 271, 265},	//283 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {20, 342, 587, 2, Smoke::mf_static, 19, 266},	//284 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {20, 375, 590, 2, Smoke::mf_static, 65, 267},	//285 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {20, 436, 593, 2, Smoke::mf_static, 271, 268},	//286 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {20, 375, 596, 2, Smoke::mf_static, 75, 269},	//287 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {20, 314, 599, 2, Smoke::mf_static, 271, 270},	//288 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {20, 526, 602, 4, Smoke::mf_static, 0, 271},	//289 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {20, 489, 607, 4, Smoke::mf_static, 364, 272},	//290 QGlobalSpace::qRgba(int, int, int, int)
    {20, 418, 0, 0, Smoke::mf_static, 19, 273},	//291 QGlobalSpace::qCritical()
    {20, 369, 612, 2, Smoke::mf_static, 16, 274},	//292 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {20, 375, 615, 2, Smoke::mf_static, 59, 275},	//293 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {20, 314, 72, 2, Smoke::mf_static, 271, 276},	//294 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {20, 314, 171, 2, Smoke::mf_static, 271, 277},	//295 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {20, 337, 51, 2, Smoke::mf_static, 271, 278},	//296 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {20, 353, 599, 2, Smoke::mf_static, 271, 279},	//297 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {20, 342, 618, 2, Smoke::mf_static, 16, 280},	//298 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {20, 326, 621, 2, Smoke::mf_static, 276, 281},	//299 QGlobalSpace::operator+(const QByteArray&, char)
    {20, 375, 624, 2, Smoke::mf_static, 32, 282},	//300 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {20, 375, 627, 2, Smoke::mf_static, 30, 283},	//301 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {20, 369, 630, 2, Smoke::mf_static, 16, 284},	//302 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {20, 335, 633, 2, Smoke::mf_static, 321, 285},	//303 QGlobalSpace::operator/(const QSizeF&, double)
    {20, 364, 259, 2, Smoke::mf_static, 271, 286},	//304 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {20, 342, 636, 2, Smoke::mf_static, 16, 287},	//305 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {20, 375, 639, 2, Smoke::mf_static, 75, 288},	//306 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {20, 353, 171, 2, Smoke::mf_static, 271, 289},	//307 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {20, 393, 642, 1, Smoke::mf_static, 0, 290},	//308 QGlobalSpace::qAddPostRoutine(void(*)())
    {20, 411, 644, 3, Smoke::mf_static, 9, 291},	//309 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {20, 411, 262, 2, Smoke::mf_static, 9, 292},	//310 QGlobalSpace::qCompress(const unsigned char*, int)
    {20, 375, 648, 2, Smoke::mf_static, 39, 293},	//311 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {20, 346, 72, 2, Smoke::mf_static, 271, 294},	//312 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {20, 426, 36, 1, Smoke::mf_static, 353, 295},	//313 QGlobalSpace::qFastSin(double)
    {20, 346, 31, 2, Smoke::mf_static, 271, 296},	//314 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {20, 342, 651, 2, Smoke::mf_static, 16, 297},	//315 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {20, 369, 654, 2, Smoke::mf_static, 16, 298},	//316 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {20, 369, 657, 2, Smoke::mf_static, 16, 299},	//317 QGlobalSpace::operator>>(QDataStream&, QString&)
    {20, 397, 0, 0, Smoke::mf_static, 160, 300},	//318 QGlobalSpace::qAppName()
    {20, 515, 0, 0, Smoke::mf_static, 350, 301},	//319 QGlobalSpace::qVersion()
    {20, 375, 660, 2, Smoke::mf_static, 42, 302},	//320 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {20, 375, 663, 2, Smoke::mf_static, 75, 303},	//321 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {20, 432, 666, 1, Smoke::mf_static, 0, 304},	//322 QGlobalSpace::qFree(void*)
    {20, 322, 668, 2, Smoke::mf_static, 81, 305},	//323 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {20, 375, 671, 2, Smoke::mf_static, 75, 306},	//324 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {20, 375, 674, 2, Smoke::mf_static, 75, 307},	//325 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {20, 434, 666, 1, Smoke::mf_static, 0, 308},	//326 QGlobalSpace::qFreeAligned(void*)
    {20, 353, 398, 2, Smoke::mf_static, 271, 309},	//327 QGlobalSpace::operator==(const QString&, QString::Null)
    {20, 342, 677, 2, Smoke::mf_static, 19, 310},	//328 QGlobalSpace::operator<<(QDebug, const QDir&)
    {20, 342, 680, 2, Smoke::mf_static, 177, 311},	//329 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {20, 337, 96, 2, Smoke::mf_static, 271, 312},	//330 QGlobalSpace::operator<(const QByteArray&, const char*)
    {20, 342, 683, 2, Smoke::mf_static, 19, 313},	//331 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {20, 375, 686, 2, Smoke::mf_static, 33, 314},	//332 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {20, 446, 689, 1, Smoke::mf_static, 364, 315},	//333 QGlobalSpace::qHash(const QBitArray&)
    {20, 342, 691, 2, Smoke::mf_static, 19, 316},	//334 QGlobalSpace::operator<<(QDebug, const QTime&)
    {20, 342, 694, 2, Smoke::mf_static, 177, 317},	//335 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {20, 407, 36, 1, Smoke::mf_static, 355, 318},	//336 QGlobalSpace::qCeil(double)
    {20, 314, 122, 2, Smoke::mf_static, 271, 319},	//337 QGlobalSpace::operator!=(QChar, QChar)
    {20, 375, 697, 2, Smoke::mf_static, 58, 320},	//338 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {20, 507, 700, 2, Smoke::mf_static, 271, 321},	//339 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {20, 537, 101, 1, Smoke::mf_static, 273, 322},	//340 QGlobalSpace::qstrdup(const char*)
    {20, 375, 703, 2, Smoke::mf_static, 75, 323},	//341 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {20, 375, 706, 2, Smoke::mf_static, 39, 324},	//342 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {20, 375, 709, 2, Smoke::mf_static, 54, 325},	//343 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {20, 369, 712, 2, Smoke::mf_static, 16, 326},	//344 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {20, 369, 715, 2, Smoke::mf_static, 16, 327},	//345 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {20, 346, 235, 2, Smoke::mf_static, 271, 328},	//346 QGlobalSpace::operator<=(const char*, const QString&)
    {20, 314, 362, 2, Smoke::mf_static, 271, 329},	//347 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {20, 369, 718, 2, Smoke::mf_static, 16, 330},	//348 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {20, 375, 721, 2, Smoke::mf_static, 29, 331},	//349 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {20, 342, 724, 2, Smoke::mf_static, 16, 332},	//350 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {20, 375, 727, 2, Smoke::mf_static, 49, 333},	//351 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {20, 419, 0, 0, Smoke::mf_static, 19, 334},	//352 QGlobalSpace::qDebug()
    {20, 468, 730, 2, Smoke::mf_static, 371, 335},	//353 QGlobalSpace::qMallocAligned(size_t, size_t)
    {20, 322, 733, 2, Smoke::mf_static, 100, 336},	//354 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {20, 314, 700, 2, Smoke::mf_static, 271, 337},	//355 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {20, 444, 230, 1, Smoke::mf_static, 355, 338},	//356 QGlobalSpace::qGreen(unsigned int)
    {20, 474, 90, 2, Smoke::mf_static, 353, 339},	//357 QGlobalSpace::qPow(double, double)
    {20, 346, 51, 2, Smoke::mf_static, 271, 340},	//358 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {20, 342, 736, 2, Smoke::mf_static, 19, 341},	//359 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {20, 375, 739, 2, Smoke::mf_static, 75, 342},	//360 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {20, 369, 680, 2, Smoke::mf_static, 177, 343},	//361 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {20, 326, 742, 2, Smoke::mf_static, 276, 344},	//362 QGlobalSpace::operator+(char, const QByteArray&)
    {20, 375, 745, 2, Smoke::mf_static, 75, 345},	//363 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {20, 353, 72, 2, Smoke::mf_static, 271, 346},	//364 QGlobalSpace::operator==(const char*, const QByteArray&)
    {20, 342, 748, 2, Smoke::mf_static, 16, 347},	//365 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {20, 375, 751, 2, Smoke::mf_static, 49, 348},	//366 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {20, 331, 66, 2, Smoke::mf_static, 319, 349},	//367 QGlobalSpace::operator-(const QSize&, const QSize&)
    {20, 342, 754, 2, Smoke::mf_static, 19, 350},	//368 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {20, 326, 235, 2, Smoke::mf_static, 335, 351},	//369 QGlobalSpace::operator+(const char*, const QString&)
    {20, 375, 757, 2, Smoke::mf_static, 75, 352},	//370 QGlobalSpace::operator|(Qt::WindowState, int)
    {20, 369, 760, 2, Smoke::mf_static, 16, 353},	//371 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {20, 369, 763, 2, Smoke::mf_static, 16, 354},	//372 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {20, 314, 451, 2, Smoke::mf_static, 271, 355},	//373 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {20, 342, 766, 2, Smoke::mf_static, 19, 356},	//374 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {20, 375, 769, 2, Smoke::mf_static, 62, 357},	//375 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {20, 322, 772, 2, Smoke::mf_static, 310, 358},	//376 QGlobalSpace::operator*(double, const QPointF&)
    {20, 369, 775, 2, Smoke::mf_static, 16, 359},	//377 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {20, 375, 778, 2, Smoke::mf_static, 57, 360},	//378 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {20, 322, 781, 2, Smoke::mf_static, 111, 361},	//379 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {20, 353, 31, 2, Smoke::mf_static, 271, 362},	//380 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {20, 322, 784, 2, Smoke::mf_static, 319, 363},	//381 QGlobalSpace::operator*(const QSize&, double)
    {20, 342, 787, 2, Smoke::mf_static, 19, 364},	//382 QGlobalSpace::operator<<(QDebug, const QDate&)
    {20, 322, 790, 2, Smoke::mf_static, 96, 365},	//383 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {20, 375, 793, 2, Smoke::mf_static, 30, 366},	//384 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {20, 577, 796, 4, Smoke::mf_static, 355, 367},	//385 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {20, 322, 801, 2, Smoke::mf_static, 308, 368},	//386 QGlobalSpace::operator*(double, const QPoint&)
    {20, 322, 804, 2, Smoke::mf_static, 106, 369},	//387 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {20, 472, 807, 3, Smoke::mf_static, 371, 370},	//388 QGlobalSpace::qMemSet(void*, int, size_t)
    {20, 342, 811, 2, Smoke::mf_static, 16, 371},	//389 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {20, 558, 814, 2, Smoke::mf_static, 0, 372},	//390 QGlobalSpace::qt_check_pointer(const char*, int)
    {20, 446, 817, 1, Smoke::mf_static, 364, 373},	//391 QGlobalSpace::qHash(short)
    {20, 375, 819, 2, Smoke::mf_static, 35, 374},	//392 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {20, 422, 36, 1, Smoke::mf_static, 353, 375},	//393 QGlobalSpace::qFabs(double)
    {20, 375, 822, 2, Smoke::mf_static, 56, 376},	//394 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {20, 375, 825, 2, Smoke::mf_static, 31, 377},	//395 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {20, 530, 334, 2, Smoke::mf_static, 355, 378},	//396 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {20, 436, 828, 2, Smoke::mf_static, 271, 379},	//397 QGlobalSpace::qFuzzyCompare(float, float)
    {20, 353, 831, 2, Smoke::mf_static, 271, 380},	//398 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {20, 375, 834, 2, Smoke::mf_static, 37, 381},	//399 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {20, 519, 837, 3, Smoke::mf_static, 273, 382},	//400 QGlobalSpace::qgcvt(long double, int, char*)
    {20, 375, 841, 2, Smoke::mf_static, 46, 383},	//401 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {20, 391, 36, 1, Smoke::mf_static, 353, 384},	//402 QGlobalSpace::qAcos(double)
    {20, 375, 844, 2, Smoke::mf_static, 75, 385},	//403 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {20, 375, 847, 2, Smoke::mf_static, 60, 386},	//404 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {20, 364, 334, 2, Smoke::mf_static, 271, 387},	//405 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {20, 375, 850, 2, Smoke::mf_static, 40, 388},	//406 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {20, 369, 853, 2, Smoke::mf_static, 16, 389},	//407 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {20, 404, 0, 0, Smoke::mf_static, 0, 390},	//408 QGlobalSpace::qBadAlloc()
    {20, 342, 856, 2, Smoke::mf_static, 19, 391},	//409 QGlobalSpace::operator<<(QDebug, const QLine&)
    {20, 375, 859, 2, Smoke::mf_static, 66, 392},	//410 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {20, 375, 862, 2, Smoke::mf_static, 75, 393},	//411 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {20, 342, 865, 2, Smoke::mf_static, 19, 394},	//412 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {20, 439, 36, 1, Smoke::mf_static, 271, 395},	//413 QGlobalSpace::qFuzzyIsNull(double)
    {20, 411, 868, 2, Smoke::mf_static, 9, 396},	//414 QGlobalSpace::qCompress(const QByteArray&, int)
    {20, 411, 130, 1, Smoke::mf_static, 9, 397},	//415 QGlobalSpace::qCompress(const QByteArray&)
    {20, 342, 871, 2, Smoke::mf_static, 19, 398},	//416 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {20, 375, 874, 2, Smoke::mf_static, 53, 399},	//417 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {20, 375, 877, 2, Smoke::mf_static, 75, 400},	//418 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {20, 375, 880, 2, Smoke::mf_static, 75, 401},	//419 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {20, 375, 883, 2, Smoke::mf_static, 75, 402},	//420 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {20, 375, 886, 2, Smoke::mf_static, 69, 403},	//421 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {20, 375, 889, 2, Smoke::mf_static, 27, 404},	//422 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {20, 342, 892, 2, Smoke::mf_static, 16, 405},	//423 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {20, 342, 895, 2, Smoke::mf_static, 16, 406},	//424 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {20, 342, 898, 2, Smoke::mf_static, 16, 407},	//425 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {20, 322, 901, 2, Smoke::mf_static, 79, 408},	//426 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {20, 342, 904, 2, Smoke::mf_static, 16, 409},	//427 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {20, 398, 36, 1, Smoke::mf_static, 353, 410},	//428 QGlobalSpace::qAsin(double)
    {20, 342, 907, 2, Smoke::mf_static, 19, 411},	//429 QGlobalSpace::operator<<(QDebug, const QRect&)
    {20, 342, 910, 2, Smoke::mf_static, 19, 412},	//430 QGlobalSpace::operator<<(QDebug, const QFont&)
    {20, 375, 913, 2, Smoke::mf_static, 31, 413},	//431 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {20, 314, 325, 2, Smoke::mf_static, 271, 414},	//432 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {20, 503, 36, 1, Smoke::mf_static, 353, 415},	//433 QGlobalSpace::qSin(double)
    {20, 375, 916, 2, Smoke::mf_static, 75, 416},	//434 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {20, 353, 334, 2, Smoke::mf_static, 271, 417},	//435 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {20, 369, 919, 2, Smoke::mf_static, 16, 418},	//436 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {20, 375, 331, 2, Smoke::mf_static, 5, 419},	//437 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {20, 342, 922, 2, Smoke::mf_static, 16, 420},	//438 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {20, 342, 925, 2, Smoke::mf_static, 16, 421},	//439 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {20, 375, 928, 2, Smoke::mf_static, 42, 422},	//440 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {20, 375, 931, 2, Smoke::mf_static, 75, 423},	//441 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {20, 342, 934, 2, Smoke::mf_static, 16, 424},	//442 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {20, 551, 814, 2, Smoke::mf_static, 160, 425},	//443 QGlobalSpace::qtTrId(const char*, int)
    {20, 551, 101, 1, Smoke::mf_static, 160, 426},	//444 QGlobalSpace::qtTrId(const char*)
    {20, 342, 937, 2, Smoke::mf_static, 19, 427},	//445 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {20, 346, 122, 2, Smoke::mf_static, 271, 428},	//446 QGlobalSpace::operator<=(QChar, QChar)
    {20, 375, 940, 2, Smoke::mf_static, 69, 429},	//447 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {20, 456, 230, 1, Smoke::mf_static, 271, 430},	//448 QGlobalSpace::qIsGray(unsigned int)
    {20, 314, 831, 2, Smoke::mf_static, 271, 431},	//449 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {20, 375, 943, 2, Smoke::mf_static, 61, 432},	//450 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {20, 369, 946, 2, Smoke::mf_static, 16, 433},	//451 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {20, 369, 949, 2, Smoke::mf_static, 16, 434},	//452 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {20, 369, 952, 2, Smoke::mf_static, 16, 435},	//453 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {20, 375, 955, 2, Smoke::mf_static, 75, 436},	//454 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {20, 369, 958, 2, Smoke::mf_static, 16, 437},	//455 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {20, 375, 961, 2, Smoke::mf_static, 40, 438},	//456 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {20, 575, 964, 3, Smoke::mf_static, 271, 439},	//457 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {20, 342, 968, 2, Smoke::mf_static, 19, 440},	//458 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {20, 375, 971, 2, Smoke::mf_static, 75, 441},	//459 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {20, 335, 784, 2, Smoke::mf_static, 319, 442},	//460 QGlobalSpace::operator/(const QSize&, double)
    {20, 322, 974, 2, Smoke::mf_static, 100, 443},	//461 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {20, 462, 99, 1, Smoke::mf_static, 271, 444},	//462 QGlobalSpace::qIsNull(float)
    {20, 571, 977, 5, Smoke::mf_static, 0, 445},	//463 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {20, 353, 983, 2, Smoke::mf_static, 271, 446},	//464 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {20, 400, 36, 1, Smoke::mf_static, 353, 447},	//465 QGlobalSpace::qAtan(double)
    {20, 369, 986, 2, Smoke::mf_static, 16, 448},	//466 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {20, 375, 989, 2, Smoke::mf_static, 75, 449},	//467 QGlobalSpace::operator|(Qt::Orientation, int)
    {20, 375, 992, 2, Smoke::mf_static, 50, 450},	//468 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {20, 436, 90, 2, Smoke::mf_static, 271, 451},	//469 QGlobalSpace::qFuzzyCompare(double, double)
    {20, 314, 51, 2, Smoke::mf_static, 271, 452},	//470 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {20, 322, 203, 2, Smoke::mf_static, 308, 453},	//471 QGlobalSpace::operator*(const QPoint&, double)
    {20, 375, 995, 2, Smoke::mf_static, 58, 454},	//472 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {20, 375, 998, 2, Smoke::mf_static, 35, 455},	//473 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {20, 495, 0, 0, Smoke::mf_static, 353, 456},	//474 QGlobalSpace::qSNaN()
    {20, 353, 96, 2, Smoke::mf_static, 271, 457},	//475 QGlobalSpace::operator==(const QByteArray&, const char*)
    {20, 342, 1001, 2, Smoke::mf_static, 16, 458},	//476 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {20, 322, 633, 2, Smoke::mf_static, 321, 459},	//477 QGlobalSpace::operator*(const QSizeF&, double)
    {20, 353, 700, 2, Smoke::mf_static, 271, 460},	//478 QGlobalSpace::operator==(const QStringRef&, const char*)
    {20, 322, 1004, 2, Smoke::mf_static, 104, 461},	//479 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {20, 322, 1007, 2, Smoke::mf_static, 319, 462},	//480 QGlobalSpace::operator*(double, const QSize&)
    {20, 375, 1010, 2, Smoke::mf_static, 75, 463},	//481 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {20, 337, 31, 2, Smoke::mf_static, 271, 464},	//482 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {20, 314, 1013, 2, Smoke::mf_static, 271, 465},	//483 QGlobalSpace::operator!=(QBool, bool)
    {20, 314, 66, 2, Smoke::mf_static, 271, 466},	//484 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {20, 369, 1016, 2, Smoke::mf_static, 16, 467},	//485 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {20, 342, 1019, 2, Smoke::mf_static, 19, 468},	//486 QGlobalSpace::operator<<(QDebug, const QSize&)
    {20, 314, 259, 2, Smoke::mf_static, 271, 469},	//487 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {20, 375, 1022, 2, Smoke::mf_static, 75, 470},	//488 QGlobalSpace::operator|(QStyle::SubControl, int)
    {20, 342, 1025, 2, Smoke::mf_static, 19, 471},	//489 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {20, 375, 1028, 2, Smoke::mf_static, 52, 472},	//490 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {20, 322, 1031, 2, Smoke::mf_static, 81, 473},	//491 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {20, 322, 540, 2, Smoke::mf_static, 310, 474},	//492 QGlobalSpace::operator*(const QPointF&, double)
    {20, 539, 153, 2, Smoke::mf_static, 355, 475},	//493 QGlobalSpace::qstricmp(const char*, const char*)
    {20, 375, 1034, 2, Smoke::mf_static, 64, 476},	//494 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {20, 314, 105, 2, Smoke::mf_static, 271, 477},	//495 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {20, 491, 36, 1, Smoke::mf_static, 355, 478},	//496 QGlobalSpace::qRound(double)
    {20, 449, 0, 0, Smoke::mf_static, 353, 479},	//497 QGlobalSpace::qInf()
    {20, 342, 1037, 2, Smoke::mf_static, 16, 480},	//498 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {20, 375, 1040, 2, Smoke::mf_static, 75, 481},	//499 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {20, 375, 1043, 2, Smoke::mf_static, 61, 482},	//500 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {20, 322, 1046, 2, Smoke::mf_static, 102, 483},	//501 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {20, 342, 1049, 2, Smoke::mf_static, 19, 484},	//502 QGlobalSpace::operator<<(QDebug, const QColor&)
    {20, 342, 1052, 2, Smoke::mf_static, 19, 485},	//503 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {20, 342, 1055, 2, Smoke::mf_static, 16, 486},	//504 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {20, 375, 1058, 2, Smoke::mf_static, 37, 487},	//505 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {20, 375, 1061, 2, Smoke::mf_static, 75, 488},	//506 QGlobalSpace::operator|(Qt::WindowType, int)
    {20, 530, 96, 2, Smoke::mf_static, 355, 489},	//507 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {20, 375, 1064, 2, Smoke::mf_static, 75, 490},	//508 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {20, 485, 642, 1, Smoke::mf_static, 0, 491},	//509 QGlobalSpace::qRemovePostRoutine(void(*)())
    {20, 369, 1067, 2, Smoke::mf_static, 16, 492},	//510 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {20, 375, 1070, 2, Smoke::mf_static, 44, 493},	//511 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {20, 369, 1073, 2, Smoke::mf_static, 16, 494},	//512 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {20, 342, 1076, 2, Smoke::mf_static, 16, 495},	//513 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {20, 375, 1079, 2, Smoke::mf_static, 63, 496},	//514 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {20, 375, 1082, 2, Smoke::mf_static, 55, 497},	//515 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {20, 516, 0, 0, Smoke::mf_static, 19, 498},	//516 QGlobalSpace::qWarning()
    {20, 541, 101, 1, Smoke::mf_static, 364, 499},	//517 QGlobalSpace::qstrlen(const char*)
    {20, 353, 1013, 2, Smoke::mf_static, 271, 500},	//518 QGlobalSpace::operator==(QBool, bool)
    {20, 369, 1085, 2, Smoke::mf_static, 16, 501},	//519 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {20, 369, 1088, 2, Smoke::mf_static, 16, 502},	//520 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {20, 446, 1091, 1, Smoke::mf_static, 364, 503},	//521 QGlobalSpace::qHash(unsigned long)
    {20, 342, 1093, 2, Smoke::mf_static, 16, 504},	//522 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {20, 342, 1096, 2, Smoke::mf_static, 16, 505},	//523 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {20, 375, 1099, 2, Smoke::mf_static, 38, 506},	//524 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {20, 353, 235, 2, Smoke::mf_static, 271, 507},	//525 QGlobalSpace::operator==(const char*, const QString&)
    {20, 375, 1102, 2, Smoke::mf_static, 41, 508},	//526 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {20, 326, 1105, 2, Smoke::mf_static, 335, 509},	//527 QGlobalSpace::operator+(const QString&, const QString&)
    {20, 314, 359, 2, Smoke::mf_static, 271, 510},	//528 QGlobalSpace::operator!=(QBool, QBool)
    {20, 375, 1108, 2, Smoke::mf_static, 27, 511},	//529 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {20, 562, 1111, 2, Smoke::mf_static, 0, 512},	//530 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {20, 342, 1114, 2, Smoke::mf_static, 19, 513},	//531 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {20, 342, 1117, 2, Smoke::mf_static, 19, 514},	//532 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {20, 364, 235, 2, Smoke::mf_static, 271, 515},	//533 QGlobalSpace::operator>=(const char*, const QString&)
    {20, 446, 1120, 1, Smoke::mf_static, 364, 516},	//534 QGlobalSpace::qHash(const QStringRef&)
    {20, 462, 36, 1, Smoke::mf_static, 271, 517},	//535 QGlobalSpace::qIsNull(double)
    {20, 375, 1122, 2, Smoke::mf_static, 75, 518},	//536 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {20, 375, 1125, 2, Smoke::mf_static, 29, 519},	//537 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {20, 364, 51, 2, Smoke::mf_static, 271, 520},	//538 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {20, 359, 96, 2, Smoke::mf_static, 271, 521},	//539 QGlobalSpace::operator>(const QByteArray&, const char*)
    {20, 446, 1128, 1, Smoke::mf_static, 364, 522},	//540 QGlobalSpace::qHash(unsigned char)
    {20, 369, 1130, 2, Smoke::mf_static, 16, 523},	//541 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {20, 322, 1133, 2, Smoke::mf_static, 104, 524},	//542 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {20, 342, 1136, 2, Smoke::mf_static, 19, 525},	//543 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {20, 342, 1139, 2, Smoke::mf_static, 19, 526},	//544 QGlobalSpace::operator<<(QDebug, const QObject*)
    {20, 375, 1142, 2, Smoke::mf_static, 75, 527},	//545 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {20, 314, 334, 2, Smoke::mf_static, 271, 528},	//546 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {20, 342, 1145, 2, Smoke::mf_static, 16, 529},	//547 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {20, 369, 1148, 2, Smoke::mf_static, 16, 530},	//548 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {20, 342, 1151, 2, Smoke::mf_static, 16, 531},	//549 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {20, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 532},	//550 QGlobalSpace::_ISupper (enum)
    {20, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 533},	//551 QGlobalSpace::_ISlower (enum)
    {20, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 534},	//552 QGlobalSpace::_ISalpha (enum)
    {20, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 535},	//553 QGlobalSpace::_ISdigit (enum)
    {20, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 536},	//554 QGlobalSpace::_ISxdigit (enum)
    {20, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 537},	//555 QGlobalSpace::_ISspace (enum)
    {20, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 538},	//556 QGlobalSpace::_ISprint (enum)
    {20, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 539},	//557 QGlobalSpace::_ISgraph (enum)
    {20, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 540},	//558 QGlobalSpace::_ISblank (enum)
    {20, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 541},	//559 QGlobalSpace::_IScntrl (enum)
    {20, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 542},	//560 QGlobalSpace::_ISpunct (enum)
    {20, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 543},	//561 QGlobalSpace::_ISalnum (enum)
    {20, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 544},	//562 QGlobalSpace::QtDebugMsg (enum)
    {20, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 545},	//563 QGlobalSpace::QtWarningMsg (enum)
    {20, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 546},	//564 QGlobalSpace::QtCriticalMsg (enum)
    {20, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 547},	//565 QGlobalSpace::QtFatalMsg (enum)
    {20, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 548},	//566 QGlobalSpace::QtSystemMsg (enum)
    {20, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 549},	//567 QGlobalSpace::__codecvt_ok (enum)
    {20, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 550},	//568 QGlobalSpace::__codecvt_partial (enum)
    {20, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 551},	//569 QGlobalSpace::__codecvt_error (enum)
    {20, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 552},	//570 QGlobalSpace::__codecvt_noconv (enum)
    {25, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 0},	//571 QItemDelegate::metaObject() const
    {25, 566, 101, 1, Smoke::mf_virtual, 371, 0},	//572 QItemDelegate::qt_metacast(const char*)
    {25, 564, 1154, 3, Smoke::mf_virtual, 355, 0},	//573 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {25, 379, 1158, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//574 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 716, 1162, 2, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//575 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 756, 1165, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//576 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 199, 1169, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {25, 198, 1174, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {25, 200, 1179, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {25, 197, 1183, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {25, 211, 1188, 2, Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//581 QItemDelegate::eventFilter(QObject*, QEvent*)
    {25, 207, 1191, 4, Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//582 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {37, 210, 1196, 1, Smoke::mf_virtual, 271, 0},	//583 QObject::event(QEvent*)
    {37, 211, 1188, 2, Smoke::mf_virtual, 271, 0},	//584 QObject::eventFilter(QObject*, QEvent*)
    {37, 740, 1198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QObject::timerEvent(QTimerEvent*)
    {37, 156, 1200, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QObject::childEvent(QChildEvent*)
    {37, 180, 1196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QObject::customEvent(QEvent*)
    {37, 166, 101, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QObject::connectNotify(const char*)
    {37, 195, 101, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QObject::disconnectNotify(const char*)
    {54, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 1},	//590 QSql::LowPrecisionInt32 (enum)
    {54, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 2},	//591 QSql::LowPrecisionInt64 (enum)
    {54, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 3},	//592 QSql::LowPrecisionDouble (enum)
    {54, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 4},	//593 QSql::HighPrecision (enum)
    {54, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 5},	//594 QSql::Tables (enum)
    {54, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 6},	//595 QSql::SystemTables (enum)
    {54, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 7},	//596 QSql::Views (enum)
    {54, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 8},	//597 QSql::AllTables (enum)
    {54, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 9},	//598 QSql::In (enum)
    {54, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 10},	//599 QSql::Out (enum)
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 11},	//600 QSql::InOut (enum)
    {54, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 12},	//601 QSql::Binary (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 13},	//602 QSql::BeforeFirstRow (enum)
    {54, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 14},	//603 QSql::AfterLastRow (enum)
    {55, 36, 0, 0, Smoke::mf_ctor, 124, 1},	//604 QSqlDatabase::QSqlDatabase()
    {55, 36, 1202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//605 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {55, 351, 1202, 1, 0, 123, 3},	//606 QSqlDatabase::operator=(const QSqlDatabase&)
    {55, 307, 0, 0, 0, 271, 4},	//607 QSqlDatabase::open()
    {55, 307, 1105, 2, 0, 271, 5},	//608 QSqlDatabase::open(const QString&, const QString&)
    {55, 161, 0, 0, 0, 0, 6},	//609 QSqlDatabase::close()
    {55, 283, 0, 0, Smoke::mf_const, 271, 7},	//610 QSqlDatabase::isOpen() const
    {55, 284, 0, 0, Smoke::mf_const, 271, 8},	//611 QSqlDatabase::isOpenError() const
    {55, 737, 1204, 1, Smoke::mf_const, 164, 9},	//612 QSqlDatabase::tables(QSql::TableType) const
    {55, 386, 340, 1, Smoke::mf_const, 140, 10},	//613 QSqlDatabase::primaryIndex(const QString&) const
    {55, 579, 340, 1, Smoke::mf_const, 148, 11},	//614 QSqlDatabase::record(const QString&) const
    {55, 212, 340, 1, Smoke::mf_const, 143, 12},	//615 QSqlDatabase::exec(const QString&) const
    {55, 291, 0, 0, Smoke::mf_const, 132, 13},	//616 QSqlDatabase::lastError() const
    {55, 287, 0, 0, Smoke::mf_const, 271, 14},	//617 QSqlDatabase::isValid() const
    {55, 749, 0, 0, 0, 271, 15},	//618 QSqlDatabase::transaction()
    {55, 164, 0, 0, 0, 271, 16},	//619 QSqlDatabase::commit()
    {55, 607, 0, 0, 0, 271, 17},	//620 QSqlDatabase::rollback()
    {55, 631, 340, 1, 0, 0, 18},	//621 QSqlDatabase::setDatabaseName(const QString&)
    {55, 710, 340, 1, 0, 0, 19},	//622 QSqlDatabase::setUserName(const QString&)
    {55, 678, 340, 1, 0, 0, 20},	//623 QSqlDatabase::setPassword(const QString&)
    {55, 657, 340, 1, 0, 0, 21},	//624 QSqlDatabase::setHostName(const QString&)
    {55, 680, 251, 1, 0, 0, 22},	//625 QSqlDatabase::setPort(int)
    {55, 624, 340, 1, 0, 0, 23},	//626 QSqlDatabase::setConnectOptions(const QString&)
    {55, 188, 0, 0, Smoke::mf_const, 160, 24},	//627 QSqlDatabase::databaseName() const
    {55, 759, 0, 0, Smoke::mf_const, 160, 25},	//628 QSqlDatabase::userName() const
    {55, 380, 0, 0, Smoke::mf_const, 160, 26},	//629 QSqlDatabase::password() const
    {55, 246, 0, 0, Smoke::mf_const, 160, 27},	//630 QSqlDatabase::hostName() const
    {55, 202, 0, 0, Smoke::mf_const, 160, 28},	//631 QSqlDatabase::driverName() const
    {55, 381, 0, 0, Smoke::mf_const, 355, 29},	//632 QSqlDatabase::port() const
    {55, 167, 0, 0, Smoke::mf_const, 160, 30},	//633 QSqlDatabase::connectOptions() const
    {55, 168, 0, 0, Smoke::mf_const, 160, 31},	//634 QSqlDatabase::connectionName() const
    {55, 672, 1206, 1, 0, 0, 32},	//635 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {55, 306, 0, 0, Smoke::mf_const, 119, 33},	//636 QSqlDatabase::numericalPrecisionPolicy() const
    {55, 201, 0, 0, Smoke::mf_const, 125, 34},	//637 QSqlDatabase::driver() const
    {55, 125, 1105, 2, Smoke::mf_static, 122, 35},	//638 QSqlDatabase::addDatabase(const QString&, const QString&)
    {55, 125, 1208, 2, Smoke::mf_static, 122, 36},	//639 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {55, 159, 1211, 2, Smoke::mf_static, 122, 37},	//640 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {55, 185, 1214, 2, Smoke::mf_static, 122, 38},	//641 QSqlDatabase::database(const QString&, bool)
    {55, 592, 340, 1, Smoke::mf_static, 0, 39},	//642 QSqlDatabase::removeDatabase(const QString&)
    {55, 170, 340, 1, Smoke::mf_static, 271, 40},	//643 QSqlDatabase::contains(const QString&)
    {55, 204, 0, 0, Smoke::mf_static, 164, 41},	//644 QSqlDatabase::drivers()
    {55, 169, 0, 0, Smoke::mf_static, 164, 42},	//645 QSqlDatabase::connectionNames()
    {55, 581, 1217, 2, Smoke::mf_static, 0, 43},	//646 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {55, 271, 340, 1, Smoke::mf_static, 271, 44},	//647 QSqlDatabase::isDriverAvailable(const QString&)
    {55, 36, 340, 1, Smoke::mf_ctor|Smoke::mf_protected, 124, 45},	//648 QSqlDatabase::QSqlDatabase(const QString&)
    {55, 36, 1220, 1, Smoke::mf_ctor|Smoke::mf_protected, 124, 46},	//649 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {55, 737, 0, 0, Smoke::mf_const, 164, 47},	//650 QSqlDatabase::tables() const
    {55, 212, 0, 0, Smoke::mf_const, 143, 48},	//651 QSqlDatabase::exec() const
    {55, 624, 0, 0, 0, 0, 49},	//652 QSqlDatabase::setConnectOptions()
    {55, 125, 340, 1, Smoke::mf_static, 122, 50},	//653 QSqlDatabase::addDatabase(const QString&)
    {55, 125, 1220, 1, Smoke::mf_static, 122, 51},	//654 QSqlDatabase::addDatabase(QSqlDriver*)
    {55, 185, 0, 0, Smoke::mf_static, 122, 52},	//655 QSqlDatabase::database()
    {55, 185, 340, 1, Smoke::mf_static, 122, 53},	//656 QSqlDatabase::database(const QString&)
    {55, 170, 0, 0, Smoke::mf_static, 271, 54},	//657 QSqlDatabase::contains()
    {55, 190, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 350, 55},	//658 QSqlDatabase::defaultConnection() const
    {55, 635, 101, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//659 QSqlDatabase::setDefaultConnection(const char*)
    {55, 764, 0, 0, Smoke::mf_dtor, 0, 57 },	//660 QSqlDatabase::~QSqlDatabase()
    {56, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 1},	//661 QSqlDriver::metaObject() const
    {56, 566, 101, 1, Smoke::mf_virtual, 371, 2},	//662 QSqlDriver::qt_metacast(const char*)
    {56, 741, 153, 2, Smoke::mf_static, 160, 3},	//663 QSqlDriver::tr(const char*, const char*)
    {56, 745, 153, 2, Smoke::mf_static, 160, 4},	//664 QSqlDriver::trUtf8(const char*, const char*)
    {56, 741, 392, 3, Smoke::mf_static, 160, 5},	//665 QSqlDriver::tr(const char*, const char*, int)
    {56, 745, 392, 3, Smoke::mf_static, 160, 6},	//666 QSqlDriver::trUtf8(const char*, const char*, int)
    {56, 564, 1154, 3, Smoke::mf_virtual, 355, 7},	//667 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {56, 39, 1222, 1, Smoke::mf_ctor, 125, 8},	//668 QSqlDriver::QSqlDriver(QObject*)
    {56, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 9},	//669 QSqlDriver::isOpen() const
    {56, 284, 0, 0, Smoke::mf_const, 271, 10},	//670 QSqlDriver::isOpenError() const
    {56, 140, 0, 0, Smoke::mf_virtual, 271, 11},	//671 QSqlDriver::beginTransaction()
    {56, 165, 0, 0, Smoke::mf_virtual, 271, 12},	//672 QSqlDriver::commitTransaction()
    {56, 608, 0, 0, Smoke::mf_virtual, 271, 13},	//673 QSqlDriver::rollbackTransaction()
    {56, 737, 1204, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 14},	//674 QSqlDriver::tables(QSql::TableType) const
    {56, 386, 340, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 15},	//675 QSqlDriver::primaryIndex(const QString&) const
    {56, 579, 340, 1, Smoke::mf_const|Smoke::mf_virtual, 148, 16},	//676 QSqlDriver::record(const QString&) const
    {56, 236, 1224, 2, Smoke::mf_const|Smoke::mf_virtual, 160, 17},	//677 QSqlDriver::formatValue(const QSqlField&, bool) const
    {56, 208, 1227, 2, Smoke::mf_const|Smoke::mf_virtual, 160, 18},	//678 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {56, 720, 1230, 4, Smoke::mf_const|Smoke::mf_virtual, 160, 19},	//679 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {56, 291, 0, 0, Smoke::mf_const, 132, 20},	//680 QSqlDriver::lastError() const
    {56, 239, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 21},	//681 QSqlDriver::handle() const
    {56, 240, 1235, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 22},	//682 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {56, 161, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//683 QSqlDriver::close() [pure virtual]
    {56, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 24},	//684 QSqlDriver::createResult() const [pure virtual]
    {56, 307, 1237, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 25},	//685 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {56, 729, 340, 1, 0, 271, 26},	//686 QSqlDriver::subscribeToNotification(const QString&)
    {56, 752, 340, 1, 0, 271, 27},	//687 QSqlDriver::unsubscribeFromNotification(const QString&)
    {56, 733, 0, 0, Smoke::mf_const, 164, 28},	//688 QSqlDriver::subscribedToNotifications() const
    {56, 277, 1227, 2, Smoke::mf_const, 271, 29},	//689 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {56, 723, 1227, 2, Smoke::mf_const, 160, 30},	//690 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {56, 672, 1206, 1, 0, 0, 31},	//691 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {56, 306, 0, 0, Smoke::mf_const, 119, 32},	//692 QSqlDriver::numericalPrecisionPolicy() const
    {56, 302, 340, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//693 QSqlDriver::notification(const QString&)
    {56, 674, 1244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//694 QSqlDriver::setOpen(bool)
    {56, 676, 1244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//695 QSqlDriver::setOpenError(bool)
    {56, 660, 1246, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//696 QSqlDriver::setLastError(const QSqlError&)
    {56, 731, 340, 1, Smoke::mf_protected|Smoke::mf_slot, 271, 37},	//697 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {56, 754, 340, 1, Smoke::mf_protected|Smoke::mf_slot, 271, 38},	//698 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {56, 734, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 164, 39},	//699 QSqlDriver::subscribedToNotificationsImplementation() const
    {56, 279, 1227, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 271, 40},	//700 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {56, 725, 1227, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 160, 41},	//701 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {56, 741, 101, 1, Smoke::mf_static, 160, 42},	//702 QSqlDriver::tr(const char*)
    {56, 745, 101, 1, Smoke::mf_static, 160, 43},	//703 QSqlDriver::trUtf8(const char*)
    {56, 39, 0, 0, Smoke::mf_ctor, 125, 44},	//704 QSqlDriver::QSqlDriver()
    {56, 236, 1248, 1, Smoke::mf_const, 160, 45},	//705 QSqlDriver::formatValue(const QSqlField&) const
    {56, 307, 340, 1, 0, 271, 46},	//706 QSqlDriver::open(const QString&)
    {56, 307, 1105, 2, 0, 271, 47},	//707 QSqlDriver::open(const QString&, const QString&)
    {56, 307, 1250, 3, 0, 271, 48},	//708 QSqlDriver::open(const QString&, const QString&, const QString&)
    {56, 307, 1254, 4, 0, 271, 49},	//709 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {56, 307, 1259, 5, 0, 271, 50},	//710 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {56, 722, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 299, 51},	//711 QSqlDriver::staticMetaObject() const
    {56, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//712 QSqlDriver::Transactions (enum)
    {56, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 53},	//713 QSqlDriver::QuerySize (enum)
    {56, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 54},	//714 QSqlDriver::BLOB (enum)
    {56, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 55},	//715 QSqlDriver::Unicode (enum)
    {56, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 56},	//716 QSqlDriver::PreparedQueries (enum)
    {56, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 57},	//717 QSqlDriver::NamedPlaceholders (enum)
    {56, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 58},	//718 QSqlDriver::PositionalPlaceholders (enum)
    {56, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 59},	//719 QSqlDriver::LastInsertId (enum)
    {56, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 60},	//720 QSqlDriver::BatchOperations (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 61},	//721 QSqlDriver::SimpleLocking (enum)
    {56, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 62},	//722 QSqlDriver::LowPrecisionNumbers (enum)
    {56, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//723 QSqlDriver::EventNotifications (enum)
    {56, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//724 QSqlDriver::FinishQuery (enum)
    {56, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//725 QSqlDriver::MultipleResultSets (enum)
    {56, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 66},	//726 QSqlDriver::WhereStatement (enum)
    {56, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 67},	//727 QSqlDriver::SelectStatement (enum)
    {56, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 68},	//728 QSqlDriver::UpdateStatement (enum)
    {56, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 69},	//729 QSqlDriver::InsertStatement (enum)
    {56, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 70},	//730 QSqlDriver::DeleteStatement (enum)
    {56, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//731 QSqlDriver::FieldName (enum)
    {56, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 72},	//732 QSqlDriver::TableName (enum)
    {56, 765, 0, 0, Smoke::mf_dtor, 0, 73 },	//733 QSqlDriver::~QSqlDriver()
    {57, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 1},	//734 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {57, 41, 0, 0, Smoke::mf_ctor, 129, 2},	//735 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {57, 41, 1265, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 3},	//736 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {57, 766, 0, 0, Smoke::mf_dtor, 0, 4 },	//737 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {58, 173, 340, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 1},	//738 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {58, 43, 0, 0, Smoke::mf_ctor, 130, 2},	//739 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {58, 43, 1267, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 3},	//740 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {58, 767, 0, 0, Smoke::mf_dtor, 0, 4 },	//741 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {59, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 1},	//742 QSqlDriverPlugin::metaObject() const
    {59, 566, 101, 1, Smoke::mf_virtual, 371, 2},	//743 QSqlDriverPlugin::qt_metacast(const char*)
    {59, 741, 153, 2, Smoke::mf_static, 160, 3},	//744 QSqlDriverPlugin::tr(const char*, const char*)
    {59, 745, 153, 2, Smoke::mf_static, 160, 4},	//745 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {59, 741, 392, 3, Smoke::mf_static, 160, 5},	//746 QSqlDriverPlugin::tr(const char*, const char*, int)
    {59, 745, 392, 3, Smoke::mf_static, 160, 6},	//747 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {59, 564, 1154, 3, Smoke::mf_virtual, 355, 7},	//748 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {59, 45, 1222, 1, Smoke::mf_ctor, 131, 8},	//749 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {59, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 9},	//750 QSqlDriverPlugin::keys() const [pure virtual]
    {59, 173, 340, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 10},	//751 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {59, 741, 101, 1, Smoke::mf_static, 160, 11},	//752 QSqlDriverPlugin::tr(const char*)
    {59, 745, 101, 1, Smoke::mf_static, 160, 12},	//753 QSqlDriverPlugin::trUtf8(const char*)
    {59, 45, 0, 0, Smoke::mf_ctor, 131, 13},	//754 QSqlDriverPlugin::QSqlDriverPlugin()
    {59, 722, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 299, 14},	//755 QSqlDriverPlugin::staticMetaObject() const
    {59, 768, 0, 0, Smoke::mf_dtor, 0, 15 },	//756 QSqlDriverPlugin::~QSqlDriverPlugin()
    {60, 47, 1269, 4, Smoke::mf_ctor, 134, 1},	//757 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {60, 47, 1246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//758 QSqlError::QSqlError(const QSqlError&)
    {60, 351, 1246, 1, 0, 133, 3},	//759 QSqlError::operator=(const QSqlError&)
    {60, 203, 0, 0, Smoke::mf_const, 160, 4},	//760 QSqlError::driverText() const
    {60, 641, 340, 1, 0, 0, 5},	//761 QSqlError::setDriverText(const QString&)
    {60, 189, 0, 0, Smoke::mf_const, 160, 6},	//762 QSqlError::databaseText() const
    {60, 633, 340, 1, 0, 0, 7},	//763 QSqlError::setDatabaseText(const QString&)
    {60, 750, 0, 0, Smoke::mf_const, 135, 8},	//764 QSqlError::type() const
    {60, 708, 1274, 1, 0, 0, 9},	//765 QSqlError::setType(QSqlError::ErrorType)
    {60, 305, 0, 0, Smoke::mf_const, 355, 10},	//766 QSqlError::number() const
    {60, 670, 251, 1, 0, 0, 11},	//767 QSqlError::setNumber(int)
    {60, 739, 0, 0, Smoke::mf_const, 160, 12},	//768 QSqlError::text() const
    {60, 287, 0, 0, Smoke::mf_const, 271, 13},	//769 QSqlError::isValid() const
    {60, 47, 0, 0, Smoke::mf_ctor, 134, 14},	//770 QSqlError::QSqlError()
    {60, 47, 340, 1, Smoke::mf_ctor, 134, 15},	//771 QSqlError::QSqlError(const QString&)
    {60, 47, 1105, 2, Smoke::mf_ctor, 134, 16},	//772 QSqlError::QSqlError(const QString&, const QString&)
    {60, 47, 1276, 3, Smoke::mf_ctor, 134, 17},	//773 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//774 QSqlError::NoError (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//775 QSqlError::ConnectionError (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 20},	//776 QSqlError::StatementError (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 21},	//777 QSqlError::TransactionError (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 22},	//778 QSqlError::UnknownError (enum)
    {60, 769, 0, 0, Smoke::mf_dtor, 0, 23 },	//779 QSqlError::~QSqlError()
    {61, 53, 1280, 2, Smoke::mf_ctor, 138, 1},	//780 QSqlField::QSqlField(const QString&, QVariant::Type)
    {61, 53, 1248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//781 QSqlField::QSqlField(const QSqlField&)
    {61, 351, 1248, 1, 0, 137, 3},	//782 QSqlField::operator=(const QSqlField&)
    {61, 353, 1248, 1, Smoke::mf_const, 271, 4},	//783 QSqlField::operator==(const QSqlField&) const
    {61, 314, 1248, 1, Smoke::mf_const, 271, 5},	//784 QSqlField::operator!=(const QSqlField&) const
    {61, 712, 1283, 1, 0, 0, 6},	//785 QSqlField::setValue(const QVariant&)
    {61, 760, 0, 0, Smoke::mf_const, 188, 7},	//786 QSqlField::value() const
    {61, 666, 340, 1, 0, 0, 8},	//787 QSqlField::setName(const QString&)
    {61, 299, 0, 0, Smoke::mf_const, 160, 9},	//788 QSqlField::name() const
    {61, 281, 0, 0, Smoke::mf_const, 271, 10},	//789 QSqlField::isNull() const
    {61, 690, 1244, 1, 0, 0, 11},	//790 QSqlField::setReadOnly(bool)
    {61, 285, 0, 0, Smoke::mf_const, 271, 12},	//791 QSqlField::isReadOnly() const
    {61, 157, 0, 0, 0, 0, 13},	//792 QSqlField::clear()
    {61, 750, 0, 0, Smoke::mf_const, 190, 14},	//793 QSqlField::type() const
    {61, 266, 0, 0, Smoke::mf_const, 271, 15},	//794 QSqlField::isAutoValue() const
    {61, 708, 1285, 1, 0, 0, 16},	//795 QSqlField::setType(QVariant::Type)
    {61, 698, 1287, 1, 0, 0, 17},	//796 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {61, 696, 1244, 1, 0, 0, 18},	//797 QSqlField::setRequired(bool)
    {61, 662, 251, 1, 0, 0, 19},	//798 QSqlField::setLength(int)
    {61, 682, 251, 1, 0, 0, 20},	//799 QSqlField::setPrecision(int)
    {61, 637, 1283, 1, 0, 0, 21},	//800 QSqlField::setDefaultValue(const QVariant&)
    {61, 704, 251, 1, 0, 0, 22},	//801 QSqlField::setSqlType(int)
    {61, 651, 1244, 1, 0, 0, 23},	//802 QSqlField::setGenerated(bool)
    {61, 622, 1244, 1, 0, 0, 24},	//803 QSqlField::setAutoValue(bool)
    {61, 599, 0, 0, Smoke::mf_const, 139, 25},	//804 QSqlField::requiredStatus() const
    {61, 294, 0, 0, Smoke::mf_const, 355, 26},	//805 QSqlField::length() const
    {61, 382, 0, 0, Smoke::mf_const, 355, 27},	//806 QSqlField::precision() const
    {61, 191, 0, 0, Smoke::mf_const, 188, 28},	//807 QSqlField::defaultValue() const
    {61, 751, 0, 0, Smoke::mf_const, 355, 29},	//808 QSqlField::typeID() const
    {61, 275, 0, 0, Smoke::mf_const, 271, 30},	//809 QSqlField::isGenerated() const
    {61, 287, 0, 0, Smoke::mf_const, 271, 31},	//810 QSqlField::isValid() const
    {61, 53, 0, 0, Smoke::mf_ctor, 138, 32},	//811 QSqlField::QSqlField()
    {61, 53, 340, 1, Smoke::mf_ctor, 138, 33},	//812 QSqlField::QSqlField(const QString&)
    {61, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 34},	//813 QSqlField::Unknown (enum)
    {61, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 35},	//814 QSqlField::Optional (enum)
    {61, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 36},	//815 QSqlField::Required (enum)
    {61, 770, 0, 0, Smoke::mf_dtor, 0, 37 },	//816 QSqlField::~QSqlField()
    {62, 57, 1105, 2, Smoke::mf_ctor, 142, 1},	//817 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {62, 57, 1289, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//818 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {62, 351, 1289, 1, 0, 141, 3},	//819 QSqlIndex::operator=(const QSqlIndex&)
    {62, 626, 340, 1, 0, 0, 4},	//820 QSqlIndex::setCursorName(const QString&)
    {62, 179, 0, 0, Smoke::mf_const, 160, 5},	//821 QSqlIndex::cursorName() const
    {62, 666, 340, 1, 0, 0, 6},	//822 QSqlIndex::setName(const QString&)
    {62, 299, 0, 0, Smoke::mf_const, 160, 7},	//823 QSqlIndex::name() const
    {62, 130, 1248, 1, 0, 0, 8},	//824 QSqlIndex::append(const QSqlField&)
    {62, 130, 1224, 2, 0, 0, 9},	//825 QSqlIndex::append(const QSqlField&, bool)
    {62, 267, 251, 1, Smoke::mf_const, 271, 10},	//826 QSqlIndex::isDescending(int) const
    {62, 639, 1291, 2, 0, 0, 11},	//827 QSqlIndex::setDescending(int, bool)
    {62, 57, 0, 0, Smoke::mf_ctor, 142, 12},	//828 QSqlIndex::QSqlIndex()
    {62, 57, 340, 1, Smoke::mf_ctor, 142, 13},	//829 QSqlIndex::QSqlIndex(const QString&)
    {62, 771, 0, 0, Smoke::mf_dtor, 0, 14 },	//830 QSqlIndex::~QSqlIndex()
    {63, 61, 1294, 1, Smoke::mf_ctor, 145, 1},	//831 QSqlQuery::QSqlQuery(QSqlResult*)
    {63, 61, 1296, 2, Smoke::mf_ctor, 145, 2},	//832 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {63, 61, 1299, 1, Smoke::mf_ctor, 145, 3},	//833 QSqlQuery::QSqlQuery(QSqlDatabase)
    {63, 61, 1301, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 4},	//834 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {63, 351, 1301, 1, 0, 144, 5},	//835 QSqlQuery::operator=(const QSqlQuery&)
    {63, 287, 0, 0, Smoke::mf_const, 271, 6},	//836 QSqlQuery::isValid() const
    {63, 265, 0, 0, Smoke::mf_const, 271, 7},	//837 QSqlQuery::isActive() const
    {63, 281, 251, 1, Smoke::mf_const, 271, 8},	//838 QSqlQuery::isNull(int) const
    {63, 133, 0, 0, Smoke::mf_const, 355, 9},	//839 QSqlQuery::at() const
    {63, 293, 0, 0, Smoke::mf_const, 160, 10},	//840 QSqlQuery::lastQuery() const
    {63, 304, 0, 0, Smoke::mf_const, 355, 11},	//841 QSqlQuery::numRowsAffected() const
    {63, 291, 0, 0, Smoke::mf_const, 132, 12},	//842 QSqlQuery::lastError() const
    {63, 286, 0, 0, Smoke::mf_const, 271, 13},	//843 QSqlQuery::isSelect() const
    {63, 715, 0, 0, Smoke::mf_const, 355, 14},	//844 QSqlQuery::size() const
    {63, 201, 0, 0, Smoke::mf_const, 325, 15},	//845 QSqlQuery::driver() const
    {63, 602, 0, 0, Smoke::mf_const, 334, 16},	//846 QSqlQuery::result() const
    {63, 274, 0, 0, Smoke::mf_const, 271, 17},	//847 QSqlQuery::isForwardOnly() const
    {63, 579, 0, 0, Smoke::mf_const, 148, 18},	//848 QSqlQuery::record() const
    {63, 649, 1244, 1, 0, 0, 19},	//849 QSqlQuery::setForwardOnly(bool)
    {63, 212, 340, 1, 0, 271, 20},	//850 QSqlQuery::exec(const QString&)
    {63, 760, 251, 1, Smoke::mf_const, 188, 21},	//851 QSqlQuery::value(int) const
    {63, 672, 1206, 1, 0, 0, 22},	//852 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {63, 306, 0, 0, Smoke::mf_const, 119, 23},	//853 QSqlQuery::numericalPrecisionPolicy() const
    {63, 613, 1291, 2, 0, 271, 24},	//854 QSqlQuery::seek(int, bool)
    {63, 300, 0, 0, 0, 271, 25},	//855 QSqlQuery::next()
    {63, 385, 0, 0, 0, 271, 26},	//856 QSqlQuery::previous()
    {63, 233, 0, 0, 0, 271, 27},	//857 QSqlQuery::first()
    {63, 290, 0, 0, 0, 271, 28},	//858 QSqlQuery::last()
    {63, 157, 0, 0, 0, 0, 29},	//859 QSqlQuery::clear()
    {63, 212, 0, 0, 0, 271, 30},	//860 QSqlQuery::exec()
    {63, 214, 1303, 1, 0, 271, 31},	//861 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {63, 383, 340, 1, 0, 271, 32},	//862 QSqlQuery::prepare(const QString&)
    {63, 141, 1305, 3, 0, 0, 33},	//863 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 141, 1309, 3, 0, 0, 34},	//864 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 122, 1313, 2, 0, 0, 35},	//865 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 147, 340, 1, Smoke::mf_const, 188, 36},	//866 QSqlQuery::boundValue(const QString&) const
    {63, 147, 251, 1, Smoke::mf_const, 188, 37},	//867 QSqlQuery::boundValue(int) const
    {63, 152, 0, 0, Smoke::mf_const, 87, 38},	//868 QSqlQuery::boundValues() const
    {63, 216, 0, 0, Smoke::mf_const, 160, 39},	//869 QSqlQuery::executedQuery() const
    {63, 292, 0, 0, Smoke::mf_const, 188, 40},	//870 QSqlQuery::lastInsertId() const
    {63, 232, 0, 0, 0, 0, 41},	//871 QSqlQuery::finish()
    {63, 301, 0, 0, 0, 271, 42},	//872 QSqlQuery::nextResult()
    {63, 61, 0, 0, Smoke::mf_ctor, 145, 43},	//873 QSqlQuery::QSqlQuery()
    {63, 61, 340, 1, Smoke::mf_ctor, 145, 44},	//874 QSqlQuery::QSqlQuery(const QString&)
    {63, 613, 251, 1, 0, 271, 45},	//875 QSqlQuery::seek(int)
    {63, 214, 0, 0, 0, 271, 46},	//876 QSqlQuery::execBatch()
    {63, 141, 1316, 2, 0, 0, 47},	//877 QSqlQuery::bindValue(const QString&, const QVariant&)
    {63, 141, 1319, 2, 0, 0, 48},	//878 QSqlQuery::bindValue(int, const QVariant&)
    {63, 122, 1283, 1, 0, 0, 49},	//879 QSqlQuery::addBindValue(const QVariant&)
    {63, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 50},	//880 QSqlQuery::ValuesAsRows (enum)
    {63, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 51},	//881 QSqlQuery::ValuesAsColumns (enum)
    {63, 772, 0, 0, Smoke::mf_dtor, 0, 52 },	//882 QSqlQuery::~QSqlQuery()
    {64, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 1},	//883 QSqlQueryModel::metaObject() const
    {64, 566, 101, 1, Smoke::mf_virtual, 371, 2},	//884 QSqlQueryModel::qt_metacast(const char*)
    {64, 741, 153, 2, Smoke::mf_static, 160, 3},	//885 QSqlQueryModel::tr(const char*, const char*)
    {64, 745, 153, 2, Smoke::mf_static, 160, 4},	//886 QSqlQueryModel::trUtf8(const char*, const char*)
    {64, 741, 392, 3, Smoke::mf_static, 160, 5},	//887 QSqlQueryModel::tr(const char*, const char*, int)
    {64, 745, 392, 3, Smoke::mf_static, 160, 6},	//888 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {64, 564, 1154, 3, Smoke::mf_virtual, 355, 7},	//889 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {64, 65, 1222, 1, Smoke::mf_ctor, 147, 8},	//890 QSqlQueryModel::QSqlQueryModel(QObject*)
    {64, 609, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 355, 9},	//891 QSqlQueryModel::rowCount(const QModelIndex&) const
    {64, 162, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 355, 10},	//892 QSqlQueryModel::columnCount(const QModelIndex&) const
    {64, 579, 251, 1, Smoke::mf_const, 148, 11},	//893 QSqlQueryModel::record(int) const
    {64, 579, 0, 0, Smoke::mf_const, 148, 12},	//894 QSqlQueryModel::record() const
    {64, 181, 1322, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 13},	//895 QSqlQueryModel::data(const QModelIndex&, int) const
    {64, 243, 1325, 3, Smoke::mf_const|Smoke::mf_virtual, 188, 14},	//896 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {64, 654, 1329, 4, Smoke::mf_virtual, 271, 15},	//897 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {64, 255, 12, 3, Smoke::mf_virtual, 271, 16},	//898 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {64, 589, 12, 3, Smoke::mf_virtual, 271, 17},	//899 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {64, 686, 1301, 1, 0, 0, 18},	//900 QSqlQueryModel::setQuery(const QSqlQuery&)
    {64, 686, 1334, 2, 0, 0, 19},	//901 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {64, 573, 0, 0, Smoke::mf_const, 143, 20},	//902 QSqlQueryModel::query() const
    {64, 157, 0, 0, Smoke::mf_virtual, 0, 21},	//903 QSqlQueryModel::clear()
    {64, 291, 0, 0, Smoke::mf_const, 132, 22},	//904 QSqlQueryModel::lastError() const
    {64, 221, 5, 1, Smoke::mf_virtual, 0, 23},	//905 QSqlQueryModel::fetchMore(const QModelIndex&)
    {64, 154, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 271, 24},	//906 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {64, 574, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//907 QSqlQueryModel::queryChange()
    {64, 249, 5, 1, Smoke::mf_const|Smoke::mf_protected, 92, 26},	//908 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {64, 660, 1246, 1, Smoke::mf_protected, 0, 27},	//909 QSqlQueryModel::setLastError(const QSqlError&)
    {64, 741, 101, 1, Smoke::mf_static, 160, 28},	//910 QSqlQueryModel::tr(const char*)
    {64, 745, 101, 1, Smoke::mf_static, 160, 29},	//911 QSqlQueryModel::trUtf8(const char*)
    {64, 65, 0, 0, Smoke::mf_ctor, 147, 30},	//912 QSqlQueryModel::QSqlQueryModel()
    {64, 609, 0, 0, Smoke::mf_const, 355, 31},	//913 QSqlQueryModel::rowCount() const
    {64, 162, 0, 0, Smoke::mf_const, 355, 32},	//914 QSqlQueryModel::columnCount() const
    {64, 181, 5, 1, Smoke::mf_const, 188, 33},	//915 QSqlQueryModel::data(const QModelIndex&) const
    {64, 243, 1337, 2, Smoke::mf_const, 188, 34},	//916 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {64, 654, 1340, 3, 0, 271, 35},	//917 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {64, 255, 1344, 2, 0, 271, 36},	//918 QSqlQueryModel::insertColumns(int, int)
    {64, 589, 1344, 2, 0, 271, 37},	//919 QSqlQueryModel::removeColumns(int, int)
    {64, 686, 340, 1, 0, 0, 38},	//920 QSqlQueryModel::setQuery(const QString&)
    {64, 221, 0, 0, 0, 0, 39},	//921 QSqlQueryModel::fetchMore()
    {64, 154, 0, 0, Smoke::mf_const, 271, 40},	//922 QSqlQueryModel::canFetchMore() const
    {64, 722, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 299, 41},	//923 QSqlQueryModel::staticMetaObject() const
    {64, 773, 0, 0, Smoke::mf_dtor, 0, 42 },	//924 QSqlQueryModel::~QSqlQueryModel()
    {65, 67, 0, 0, Smoke::mf_ctor, 150, 1},	//925 QSqlRecord::QSqlRecord()
    {65, 67, 1347, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//926 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {65, 351, 1347, 1, 0, 149, 3},	//927 QSqlRecord::operator=(const QSqlRecord&)
    {65, 353, 1347, 1, Smoke::mf_const, 271, 4},	//928 QSqlRecord::operator==(const QSqlRecord&) const
    {65, 314, 1347, 1, Smoke::mf_const, 271, 5},	//929 QSqlRecord::operator!=(const QSqlRecord&) const
    {65, 760, 251, 1, Smoke::mf_const, 188, 6},	//930 QSqlRecord::value(int) const
    {65, 760, 340, 1, Smoke::mf_const, 188, 7},	//931 QSqlRecord::value(const QString&) const
    {65, 712, 1319, 2, 0, 0, 8},	//932 QSqlRecord::setValue(int, const QVariant&)
    {65, 712, 1316, 2, 0, 0, 9},	//933 QSqlRecord::setValue(const QString&, const QVariant&)
    {65, 668, 251, 1, 0, 0, 10},	//934 QSqlRecord::setNull(int)
    {65, 668, 340, 1, 0, 0, 11},	//935 QSqlRecord::setNull(const QString&)
    {65, 281, 251, 1, Smoke::mf_const, 271, 12},	//936 QSqlRecord::isNull(int) const
    {65, 281, 340, 1, Smoke::mf_const, 271, 13},	//937 QSqlRecord::isNull(const QString&) const
    {65, 251, 340, 1, Smoke::mf_const, 355, 14},	//938 QSqlRecord::indexOf(const QString&) const
    {65, 229, 251, 1, Smoke::mf_const, 160, 15},	//939 QSqlRecord::fieldName(int) const
    {65, 225, 251, 1, Smoke::mf_const, 136, 16},	//940 QSqlRecord::field(int) const
    {65, 225, 340, 1, Smoke::mf_const, 136, 17},	//941 QSqlRecord::field(const QString&) const
    {65, 275, 251, 1, Smoke::mf_const, 271, 18},	//942 QSqlRecord::isGenerated(int) const
    {65, 275, 340, 1, Smoke::mf_const, 271, 19},	//943 QSqlRecord::isGenerated(const QString&) const
    {65, 651, 1214, 2, 0, 0, 20},	//944 QSqlRecord::setGenerated(const QString&, bool)
    {65, 651, 1291, 2, 0, 0, 21},	//945 QSqlRecord::setGenerated(int, bool)
    {65, 130, 1248, 1, 0, 0, 22},	//946 QSqlRecord::append(const QSqlField&)
    {65, 597, 1349, 2, 0, 0, 23},	//947 QSqlRecord::replace(int, const QSqlField&)
    {65, 253, 1349, 2, 0, 0, 24},	//948 QSqlRecord::insert(int, const QSqlField&)
    {65, 587, 251, 1, 0, 0, 25},	//949 QSqlRecord::remove(int)
    {65, 273, 0, 0, Smoke::mf_const, 271, 26},	//950 QSqlRecord::isEmpty() const
    {65, 170, 340, 1, Smoke::mf_const, 271, 27},	//951 QSqlRecord::contains(const QString&) const
    {65, 157, 0, 0, 0, 0, 28},	//952 QSqlRecord::clear()
    {65, 158, 0, 0, 0, 0, 29},	//953 QSqlRecord::clearValues()
    {65, 172, 0, 0, Smoke::mf_const, 355, 30},	//954 QSqlRecord::count() const
    {65, 774, 0, 0, Smoke::mf_dtor, 0, 31 },	//955 QSqlRecord::~QSqlRecord()
    {66, 69, 0, 0, Smoke::mf_ctor, 152, 1},	//956 QSqlRelation::QSqlRelation()
    {66, 69, 1250, 3, Smoke::mf_ctor, 152, 2},	//957 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {66, 736, 0, 0, Smoke::mf_const, 160, 3},	//958 QSqlRelation::tableName() const
    {66, 248, 0, 0, Smoke::mf_const, 160, 4},	//959 QSqlRelation::indexColumn() const
    {66, 196, 0, 0, Smoke::mf_const, 160, 5},	//960 QSqlRelation::displayColumn() const
    {66, 287, 0, 0, Smoke::mf_const, 271, 6},	//961 QSqlRelation::isValid() const
    {66, 69, 1352, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 7},	//962 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {66, 775, 0, 0, Smoke::mf_dtor, 0, 8 },	//963 QSqlRelation::~QSqlRelation()
    {67, 72, 1222, 1, Smoke::mf_ctor|Smoke::mf_explicit, 153, 1},	//964 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {67, 175, 1165, 3, Smoke::mf_const|Smoke::mf_virtual, 193, 2},	//965 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {67, 645, 1354, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//966 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {67, 664, 1357, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//967 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {67, 72, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 153, 5},	//968 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {67, 776, 0, 0, Smoke::mf_dtor, 0, 6 },	//969 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {68, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 1},	//970 QSqlRelationalTableModel::metaObject() const
    {68, 566, 101, 1, Smoke::mf_virtual, 371, 2},	//971 QSqlRelationalTableModel::qt_metacast(const char*)
    {68, 741, 153, 2, Smoke::mf_static, 160, 3},	//972 QSqlRelationalTableModel::tr(const char*, const char*)
    {68, 745, 153, 2, Smoke::mf_static, 160, 4},	//973 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {68, 741, 392, 3, Smoke::mf_static, 160, 5},	//974 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {68, 745, 392, 3, Smoke::mf_static, 160, 6},	//975 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {68, 564, 1154, 3, Smoke::mf_virtual, 355, 7},	//976 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {68, 74, 1361, 2, Smoke::mf_ctor, 154, 8},	//977 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {68, 181, 1322, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 9},	//978 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {68, 628, 1, 3, Smoke::mf_virtual, 271, 10},	//979 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {68, 589, 12, 3, Smoke::mf_virtual, 271, 11},	//980 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {68, 157, 0, 0, Smoke::mf_virtual, 0, 12},	//981 QSqlRelationalTableModel::clear()
    {68, 616, 0, 0, Smoke::mf_virtual, 271, 13},	//982 QSqlRelationalTableModel::select()
    {68, 706, 340, 1, Smoke::mf_virtual, 0, 14},	//983 QSqlRelationalTableModel::setTable(const QString&)
    {68, 694, 1364, 2, Smoke::mf_virtual, 0, 15},	//984 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {68, 583, 251, 1, Smoke::mf_const, 151, 16},	//985 QSqlRelationalTableModel::relation(int) const
    {68, 585, 251, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 17},	//986 QSqlRelationalTableModel::relationModel(int) const
    {68, 605, 251, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//987 QSqlRelationalTableModel::revertRow(int)
    {68, 617, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 19},	//988 QSqlRelationalTableModel::selectStatement() const
    {68, 757, 1367, 2, Smoke::mf_protected|Smoke::mf_virtual, 271, 20},	//989 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {68, 260, 1347, 1, Smoke::mf_protected|Smoke::mf_virtual, 271, 21},	//990 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {68, 378, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 22},	//991 QSqlRelationalTableModel::orderByClause() const
    {68, 741, 101, 1, Smoke::mf_static, 160, 23},	//992 QSqlRelationalTableModel::tr(const char*)
    {68, 745, 101, 1, Smoke::mf_static, 160, 24},	//993 QSqlRelationalTableModel::trUtf8(const char*)
    {68, 74, 0, 0, Smoke::mf_ctor, 154, 25},	//994 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {68, 74, 1222, 1, Smoke::mf_ctor, 154, 26},	//995 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {68, 181, 5, 1, Smoke::mf_const, 188, 27},	//996 QSqlRelationalTableModel::data(const QModelIndex&) const
    {68, 628, 1370, 2, 0, 271, 28},	//997 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {68, 589, 1344, 2, 0, 271, 29},	//998 QSqlRelationalTableModel::removeColumns(int, int)
    {68, 722, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 299, 30},	//999 QSqlRelationalTableModel::staticMetaObject() const
    {68, 777, 0, 0, Smoke::mf_dtor, 0, 31 },	//1000 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {69, 239, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 1},	//1001 QSqlResult::handle() const
    {69, 77, 1373, 1, Smoke::mf_ctor|Smoke::mf_protected, 155, 2},	//1002 QSqlResult::QSqlResult(const QSqlDriver*)
    {69, 133, 0, 0, Smoke::mf_const|Smoke::mf_protected, 355, 3},	//1003 QSqlResult::at() const
    {69, 293, 0, 0, Smoke::mf_const|Smoke::mf_protected, 160, 4},	//1004 QSqlResult::lastQuery() const
    {69, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected, 132, 5},	//1005 QSqlResult::lastError() const
    {69, 287, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 6},	//1006 QSqlResult::isValid() const
    {69, 265, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 7},	//1007 QSqlResult::isActive() const
    {69, 286, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 8},	//1008 QSqlResult::isSelect() const
    {69, 274, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 9},	//1009 QSqlResult::isForwardOnly() const
    {69, 201, 0, 0, Smoke::mf_const|Smoke::mf_protected, 325, 10},	//1010 QSqlResult::driver() const
    {69, 620, 251, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1011 QSqlResult::setAt(int)
    {69, 618, 1244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1012 QSqlResult::setActive(bool)
    {69, 660, 1246, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1013 QSqlResult::setLastError(const QSqlError&)
    {69, 686, 340, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1014 QSqlResult::setQuery(const QString&)
    {69, 700, 1244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1015 QSqlResult::setSelect(bool)
    {69, 649, 1244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1016 QSqlResult::setForwardOnly(bool)
    {69, 212, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 271, 17},	//1017 QSqlResult::exec()
    {69, 383, 340, 1, Smoke::mf_protected|Smoke::mf_virtual, 271, 18},	//1018 QSqlResult::prepare(const QString&)
    {69, 611, 340, 1, Smoke::mf_protected|Smoke::mf_virtual, 271, 19},	//1019 QSqlResult::savePrepare(const QString&)
    {69, 141, 1309, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1020 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 141, 1305, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1021 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 122, 1313, 2, Smoke::mf_protected, 0, 22},	//1022 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 147, 340, 1, Smoke::mf_const|Smoke::mf_protected, 188, 23},	//1023 QSqlResult::boundValue(const QString&) const
    {69, 147, 251, 1, Smoke::mf_const|Smoke::mf_protected, 188, 24},	//1024 QSqlResult::boundValue(int) const
    {69, 144, 340, 1, Smoke::mf_const|Smoke::mf_protected, 40, 25},	//1025 QSqlResult::bindValueType(const QString&) const
    {69, 144, 251, 1, Smoke::mf_const|Smoke::mf_protected, 40, 26},	//1026 QSqlResult::bindValueType(int) const
    {69, 149, 0, 0, Smoke::mf_const|Smoke::mf_protected, 355, 27},	//1027 QSqlResult::boundValueCount() const
    {69, 152, 0, 0, Smoke::mf_const|Smoke::mf_protected, 192, 28},	//1028 QSqlResult::boundValues() const
    {69, 216, 0, 0, Smoke::mf_const|Smoke::mf_protected, 160, 29},	//1029 QSqlResult::executedQuery() const
    {69, 150, 251, 1, Smoke::mf_const|Smoke::mf_protected, 160, 30},	//1030 QSqlResult::boundValueName(int) const
    {69, 157, 0, 0, Smoke::mf_protected, 0, 31},	//1031 QSqlResult::clear()
    {69, 242, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 32},	//1032 QSqlResult::hasOutValues() const
    {69, 146, 0, 0, Smoke::mf_const|Smoke::mf_protected, 156, 33},	//1033 QSqlResult::bindingSyntax() const
    {69, 181, 251, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 188, 34},	//1034 QSqlResult::data(int) [pure virtual]
    {69, 281, 251, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 35},	//1035 QSqlResult::isNull(int) [pure virtual]
    {69, 600, 340, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 36},	//1036 QSqlResult::reset(const QString&) [pure virtual]
    {69, 217, 251, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 37},	//1037 QSqlResult::fetch(int) [pure virtual]
    {69, 223, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 271, 38},	//1038 QSqlResult::fetchNext()
    {69, 224, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 271, 39},	//1039 QSqlResult::fetchPrevious()
    {69, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 40},	//1040 QSqlResult::fetchFirst() [pure virtual]
    {69, 220, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 41},	//1041 QSqlResult::fetchLast() [pure virtual]
    {69, 715, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 355, 42},	//1042 QSqlResult::size() [pure virtual]
    {69, 304, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 355, 43},	//1043 QSqlResult::numRowsAffected() [pure virtual]
    {69, 579, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 148, 44},	//1044 QSqlResult::record() const
    {69, 292, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 188, 45},	//1045 QSqlResult::lastInsertId() const
    {69, 762, 1375, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1046 QSqlResult::virtual_hook(int, void*)
    {69, 214, 1244, 1, Smoke::mf_protected, 271, 47},	//1047 QSqlResult::execBatch(bool)
    {69, 194, 0, 0, Smoke::mf_protected, 0, 48},	//1048 QSqlResult::detachFromResultSet()
    {69, 672, 1206, 1, Smoke::mf_protected, 0, 49},	//1049 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {69, 306, 0, 0, Smoke::mf_const|Smoke::mf_protected, 119, 50},	//1050 QSqlResult::numericalPrecisionPolicy() const
    {69, 301, 0, 0, Smoke::mf_protected, 271, 51},	//1051 QSqlResult::nextResult()
    {69, 214, 0, 0, Smoke::mf_protected, 271, 52},	//1052 QSqlResult::execBatch()
    {69, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 53},	//1053 QSqlResult::PositionalBinding (enum)
    {69, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 54},	//1054 QSqlResult::NamedBinding (enum)
    {69, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 55},	//1055 QSqlResult::BatchOperation (enum)
    {69, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 56},	//1056 QSqlResult::DetachFromResultSet (enum)
    {69, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 57},	//1057 QSqlResult::SetNumericalPrecision (enum)
    {69, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 58},	//1058 QSqlResult::NextResult (enum)
    {69, 778, 0, 0, Smoke::mf_dtor, 0, 59 },	//1059 QSqlResult::~QSqlResult()
    {70, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 1},	//1060 QSqlTableModel::metaObject() const
    {70, 566, 101, 1, Smoke::mf_virtual, 371, 2},	//1061 QSqlTableModel::qt_metacast(const char*)
    {70, 741, 153, 2, Smoke::mf_static, 160, 3},	//1062 QSqlTableModel::tr(const char*, const char*)
    {70, 745, 153, 2, Smoke::mf_static, 160, 4},	//1063 QSqlTableModel::trUtf8(const char*, const char*)
    {70, 741, 392, 3, Smoke::mf_static, 160, 5},	//1064 QSqlTableModel::tr(const char*, const char*, int)
    {70, 745, 392, 3, Smoke::mf_static, 160, 6},	//1065 QSqlTableModel::trUtf8(const char*, const char*, int)
    {70, 564, 1154, 3, Smoke::mf_virtual, 355, 7},	//1066 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {70, 79, 1361, 2, Smoke::mf_ctor, 158, 8},	//1067 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {70, 616, 0, 0, Smoke::mf_virtual, 271, 9},	//1068 QSqlTableModel::select()
    {70, 706, 340, 1, Smoke::mf_virtual, 0, 10},	//1069 QSqlTableModel::setTable(const QString&)
    {70, 736, 0, 0, Smoke::mf_const, 160, 11},	//1070 QSqlTableModel::tableName() const
    {70, 234, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 12},	//1071 QSqlTableModel::flags(const QModelIndex&) const
    {70, 181, 1322, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 13},	//1072 QSqlTableModel::data(const QModelIndex&, int) const
    {70, 628, 1, 3, Smoke::mf_virtual, 271, 14},	//1073 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 243, 1325, 3, Smoke::mf_const|Smoke::mf_virtual, 188, 15},	//1074 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {70, 269, 5, 1, Smoke::mf_const, 271, 16},	//1075 QSqlTableModel::isDirty(const QModelIndex&) const
    {70, 157, 0, 0, Smoke::mf_virtual, 0, 17},	//1076 QSqlTableModel::clear()
    {70, 643, 1378, 1, Smoke::mf_virtual, 0, 18},	//1077 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {70, 206, 0, 0, Smoke::mf_const, 159, 19},	//1078 QSqlTableModel::editStrategy() const
    {70, 388, 0, 0, Smoke::mf_const, 140, 20},	//1079 QSqlTableModel::primaryKey() const
    {70, 185, 0, 0, Smoke::mf_const, 122, 21},	//1080 QSqlTableModel::database() const
    {70, 227, 340, 1, Smoke::mf_const, 355, 22},	//1081 QSqlTableModel::fieldIndex(const QString&) const
    {70, 717, 16, 2, Smoke::mf_virtual, 0, 23},	//1082 QSqlTableModel::sort(int, Qt::SortOrder)
    {70, 702, 16, 2, Smoke::mf_virtual, 0, 24},	//1083 QSqlTableModel::setSort(int, Qt::SortOrder)
    {70, 231, 0, 0, Smoke::mf_const, 160, 25},	//1084 QSqlTableModel::filter() const
    {70, 647, 340, 1, Smoke::mf_virtual, 0, 26},	//1085 QSqlTableModel::setFilter(const QString&)
    {70, 609, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 355, 27},	//1086 QSqlTableModel::rowCount(const QModelIndex&) const
    {70, 589, 12, 3, Smoke::mf_virtual, 271, 28},	//1087 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {70, 594, 12, 3, Smoke::mf_virtual, 271, 29},	//1088 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {70, 262, 12, 3, Smoke::mf_virtual, 271, 30},	//1089 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {70, 258, 1367, 2, 0, 271, 31},	//1090 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {70, 692, 1367, 2, 0, 271, 32},	//1091 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {70, 605, 251, 1, Smoke::mf_virtual, 0, 33},	//1092 QSqlTableModel::revertRow(int)
    {70, 727, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 271, 34},	//1093 QSqlTableModel::submit()
    {70, 603, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1094 QSqlTableModel::revert()
    {70, 728, 0, 0, Smoke::mf_slot, 271, 36},	//1095 QSqlTableModel::submitAll()
    {70, 604, 0, 0, Smoke::mf_slot, 0, 37},	//1096 QSqlTableModel::revertAll()
    {70, 389, 1380, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1097 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {70, 136, 1383, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1098 QSqlTableModel::beforeInsert(QSqlRecord&)
    {70, 138, 1380, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1099 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {70, 134, 251, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1100 QSqlTableModel::beforeDelete(int)
    {70, 757, 1367, 2, Smoke::mf_protected|Smoke::mf_virtual, 271, 42},	//1101 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {70, 260, 1347, 1, Smoke::mf_protected|Smoke::mf_virtual, 271, 43},	//1102 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {70, 192, 251, 1, Smoke::mf_protected|Smoke::mf_virtual, 271, 44},	//1103 QSqlTableModel::deleteRowFromTable(int)
    {70, 378, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 45},	//1104 QSqlTableModel::orderByClause() const
    {70, 617, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 46},	//1105 QSqlTableModel::selectStatement() const
    {70, 684, 1289, 1, Smoke::mf_protected, 0, 47},	//1106 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {70, 686, 1301, 1, Smoke::mf_protected, 0, 48},	//1107 QSqlTableModel::setQuery(const QSqlQuery&)
    {70, 249, 5, 1, Smoke::mf_const|Smoke::mf_protected, 92, 49},	//1108 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {70, 741, 101, 1, Smoke::mf_static, 160, 50},	//1109 QSqlTableModel::tr(const char*)
    {70, 745, 101, 1, Smoke::mf_static, 160, 51},	//1110 QSqlTableModel::trUtf8(const char*)
    {70, 79, 0, 0, Smoke::mf_ctor, 158, 52},	//1111 QSqlTableModel::QSqlTableModel()
    {70, 79, 1222, 1, Smoke::mf_ctor, 158, 53},	//1112 QSqlTableModel::QSqlTableModel(QObject*)
    {70, 181, 5, 1, Smoke::mf_const, 188, 54},	//1113 QSqlTableModel::data(const QModelIndex&) const
    {70, 628, 1370, 2, 0, 271, 55},	//1114 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {70, 243, 1337, 2, Smoke::mf_const, 188, 56},	//1115 QSqlTableModel::headerData(int, Qt::Orientation) const
    {70, 609, 0, 0, Smoke::mf_const, 355, 57},	//1116 QSqlTableModel::rowCount() const
    {70, 589, 1344, 2, 0, 271, 58},	//1117 QSqlTableModel::removeColumns(int, int)
    {70, 594, 1344, 2, 0, 271, 59},	//1118 QSqlTableModel::removeRows(int, int)
    {70, 262, 1344, 2, 0, 271, 60},	//1119 QSqlTableModel::insertRows(int, int)
    {70, 722, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 299, 61},	//1120 QSqlTableModel::staticMetaObject() const
    {70, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//1121 QSqlTableModel::OnFieldChange (enum)
    {70, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//1122 QSqlTableModel::OnRowChange (enum)
    {70, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 64},	//1123 QSqlTableModel::OnManualSubmit (enum)
    {70, 779, 0, 0, Smoke::mf_dtor, 0, 65 },	//1124 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    78,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    121,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    133,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    195,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    220,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    242,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    288,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    295,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    337,  // QGlobalSpace::operator!=(QChar, QChar)
    373,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    432,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    449,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    484,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    487,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    528,  // QGlobalSpace::operator!=(QBool, QBool)
    546,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    65,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    86,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    99,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    355,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    483,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    188,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    263,  // QGlobalSpace::operator!=(bool, QBool)
    294,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    347,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    470,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    495,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    30,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    176,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    196,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    208,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    280,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    323,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    354,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    379,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    383,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    387,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    426,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    461,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    479,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    491,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    501,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    542,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    127,  // QGlobalSpace::operator*(const QTransform&, double)
    381,  // QGlobalSpace::operator*(const QSize&, double)
    471,  // QGlobalSpace::operator*(const QPoint&, double)
    477,  // QGlobalSpace::operator*(const QSizeF&, double)
    492,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    74,  // QGlobalSpace::operator*(double, const QSizeF&)
    376,  // QGlobalSpace::operator*(double, const QPointF&)
    386,  // QGlobalSpace::operator*(double, const QPoint&)
    480,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    92,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    108,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    113,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    207,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    252,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    135,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    145,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    175,  // QGlobalSpace::operator+(const QTransform&, double)
    181,  // QGlobalSpace::operator+(QChar, const QString&)
    299,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    34,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    95,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    132,  // QGlobalSpace::operator+(const QString&, QChar)
    362,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    139,  // QGlobalSpace::operator+(const QString&, const char*)
    194,  // QGlobalSpace::operator+(const QString&, char)
    246,  // QGlobalSpace::operator+(char, const QString&)
    369,  // QGlobalSpace::operator+(const char*, const QString&)
    527,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    211,  // QGlobalSpace::operator-(const QPoint&)
    275,  // QGlobalSpace::operator-(const QPointF&)
    0,
    79,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    96,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    197,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    367,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    91,  // QGlobalSpace::operator/(const QPoint&, double)
    262,  // QGlobalSpace::operator/(const QPointF&, double)
    269,  // QGlobalSpace::operator/(const QTransform&, double)
    303,  // QGlobalSpace::operator/(const QSizeF&, double)
    460,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    63,  // QGlobalSpace::operator<(QChar, QChar)
    116,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    201,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    482,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    66,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    296,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    33,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    40,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    51,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    53,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    60,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    61,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    80,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    88,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    93,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    97,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    100,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    102,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    104,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    129,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    136,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    144,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    158,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    159,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    160,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    177,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    213,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    222,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    223,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    236,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    243,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    255,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    256,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    258,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    271,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    276,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    279,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    284,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    315,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    328,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    329,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    331,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    334,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    335,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    359,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    368,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    382,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    389,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    409,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    412,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    416,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    423,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    424,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    429,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    430,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    439,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    442,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    445,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    486,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    489,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    502,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    503,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    504,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    513,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    522,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    523,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    531,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    532,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    544,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    549,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    28,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    233,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    257,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    374,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    458,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    498,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    543,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    157,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    173,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    314,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    446,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    312,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    358,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    32,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    39,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    54,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    55,  // QGlobalSpace::operator==(QChar, QChar)
    151,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    168,  // QGlobalSpace::operator==(QBool, QBool)
    198,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    210,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    217,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    250,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    264,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    297,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    307,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    380,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    398,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    435,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    464,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    31,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    248,  // QGlobalSpace::operator==(QString::Null, const QString&)
    475,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    478,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    518,  // QGlobalSpace::operator==(QBool, bool)
    0,
    27,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    47,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    169,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    277,  // QGlobalSpace::operator==(bool, QBool)
    327,  // QGlobalSpace::operator==(const QString&, QString::Null)
    364,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    72,  // QGlobalSpace::operator>(QChar, QChar)
    140,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    154,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    239,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    48,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    120,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    19,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    64,  // QGlobalSpace::operator>=(QChar, QChar)
    304,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    405,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    283,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    538,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    29,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    42,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    62,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    130,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    143,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    167,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    185,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    190,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    247,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    249,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    272,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    274,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    292,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    302,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    316,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    344,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    345,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    348,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    361,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    371,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    372,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    377,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    407,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    451,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    452,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    453,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    466,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    512,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    519,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    520,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    541,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    317,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    22,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    23,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    35,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    36,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    52,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    56,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    59,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    67,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    68,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    71,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    73,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    76,  // QGlobalSpace::operator|(QDir::Filter, int)
    77,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    81,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    82,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    84,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    87,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    89,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    90,  // QGlobalSpace::operator|(QFile::Permission, int)
    94,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    101,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    107,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    109,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    110,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    114,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    115,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    123,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    125,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    137,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    138,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    141,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    147,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    152,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    166,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    170,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    178,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    182,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    183,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    184,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    191,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    193,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    199,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    202,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    204,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    209,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    212,  // QGlobalSpace::operator|(Qt::DropAction, int)
    214,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    225,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    228,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    231,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    232,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    234,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    244,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    251,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    260,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    261,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    265,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    268,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    270,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    273,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    285,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    287,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    293,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    300,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    301,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    306,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    311,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    320,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    321,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    324,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    325,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    332,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    338,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    341,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    342,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    343,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    349,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    351,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    360,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    363,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    366,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    370,  // QGlobalSpace::operator|(Qt::WindowState, int)
    375,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    378,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    384,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    392,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    394,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    395,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    399,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    401,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    403,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    404,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    406,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    410,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    411,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    417,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    418,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    419,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    420,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    421,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    422,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    431,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    434,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    440,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    441,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    447,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    450,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    454,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    456,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    459,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    467,  // QGlobalSpace::operator|(Qt::Orientation, int)
    468,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    472,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    473,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    481,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    488,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    490,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    494,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    499,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    500,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    505,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    506,  // QGlobalSpace::operator|(Qt::WindowType, int)
    508,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    511,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    514,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    515,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    524,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    526,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    529,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    536,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    537,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    545,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    189,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    286,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    0,
    397,  // QGlobalSpace::qFuzzyCompare(float, float)
    469,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    203,  // QGlobalSpace::qFuzzyIsNull(float)
    413,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    57,  // QGlobalSpace::qHash(const QUrl&)
    58,  // QGlobalSpace::qHash(const QByteArray&)
    124,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    148,  // QGlobalSpace::qHash(QChar)
    164,  // QGlobalSpace::qHash(const QModelIndex&)
    253,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    333,  // QGlobalSpace::qHash(const QBitArray&)
    534,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    20,  // QGlobalSpace::qHash(unsigned long long)
    46,  // QGlobalSpace::qHash(signed char)
    85,  // QGlobalSpace::qHash(char)
    146,  // QGlobalSpace::qHash(unsigned int)
    156,  // QGlobalSpace::qHash(const QString&)
    187,  // QGlobalSpace::qHash(long long)
    206,  // QGlobalSpace::qHash(int)
    238,  // QGlobalSpace::qHash(long)
    240,  // QGlobalSpace::qHash(unsigned short)
    391,  // QGlobalSpace::qHash(short)
    521,  // QGlobalSpace::qHash(unsigned long)
    540,  // QGlobalSpace::qHash(unsigned char)
    0,
    49,  // QGlobalSpace::qIntCast(double)
    150,  // QGlobalSpace::qIntCast(float)
    0,
    98,  // QGlobalSpace::qIsFinite(double)
    131,  // QGlobalSpace::qIsFinite(float)
    0,
    21,  // QGlobalSpace::qIsInf(double)
    44,  // QGlobalSpace::qIsInf(float)
    0,
    172,  // QGlobalSpace::qIsNaN(float)
    179,  // QGlobalSpace::qIsNaN(double)
    0,
    462,  // QGlobalSpace::qIsNull(float)
    535,  // QGlobalSpace::qIsNull(double)
    0,
    831,  // QSqlQuery::QSqlQuery(QSqlResult*)
    833,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    834,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    877,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    878,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    863,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    864,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    866,  // QSqlQuery::boundValue(const QString&) const
    867,  // QSqlQuery::boundValue(int) const
    0,
    940,  // QSqlRecord::field(int) const
    941,  // QSqlRecord::field(const QString&) const
    0,
    942,  // QSqlRecord::isGenerated(int) const
    943,  // QSqlRecord::isGenerated(const QString&) const
    0,
    936,  // QSqlRecord::isNull(int) const
    937,  // QSqlRecord::isNull(const QString&) const
    0,
    944,  // QSqlRecord::setGenerated(const QString&, bool)
    945,  // QSqlRecord::setGenerated(int, bool)
    0,
    934,  // QSqlRecord::setNull(int)
    935,  // QSqlRecord::setNull(const QString&)
    0,
    932,  // QSqlRecord::setValue(int, const QVariant&)
    933,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    930,  // QSqlRecord::value(int) const
    931,  // QSqlRecord::value(const QString&) const
    0,
    1020,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1021,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1025,  // QSqlResult::bindValueType(const QString&) const
    1026,  // QSqlResult::bindValueType(int) const
    0,
    1023,  // QSqlResult::boundValue(const QString&) const
    1024,  // QSqlResult::boundValue(int) const
    0,
    605,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    649,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {20, 82, 564},	// QGlobalSpace::QtCriticalMsg
    {20, 83, 562},	// QGlobalSpace::QtDebugMsg
    {20, 84, 565},	// QGlobalSpace::QtFatalMsg
    {20, 85, 566},	// QGlobalSpace::QtSystemMsg
    {20, 86, 563},	// QGlobalSpace::QtWarningMsg
    {20, 106, 561},	// QGlobalSpace::_ISalnum
    {20, 107, 552},	// QGlobalSpace::_ISalpha
    {20, 108, 558},	// QGlobalSpace::_ISblank
    {20, 109, 559},	// QGlobalSpace::_IScntrl
    {20, 110, 553},	// QGlobalSpace::_ISdigit
    {20, 111, 557},	// QGlobalSpace::_ISgraph
    {20, 112, 551},	// QGlobalSpace::_ISlower
    {20, 113, 556},	// QGlobalSpace::_ISprint
    {20, 114, 560},	// QGlobalSpace::_ISpunct
    {20, 115, 555},	// QGlobalSpace::_ISspace
    {20, 116, 550},	// QGlobalSpace::_ISupper
    {20, 117, 554},	// QGlobalSpace::_ISxdigit
    {20, 118, 569},	// QGlobalSpace::__codecvt_error
    {20, 119, 570},	// QGlobalSpace::__codecvt_noconv
    {20, 120, 567},	// QGlobalSpace::__codecvt_ok
    {20, 121, 568},	// QGlobalSpace::__codecvt_partial
    {20, 316, -1},	// QGlobalSpace::operator!=##
    {20, 317, -18},	// QGlobalSpace::operator!=#$
    {20, 318, -24},	// QGlobalSpace::operator!=$#
    {20, 319, 171},	// QGlobalSpace::operator!=$$
    {20, 321, 282},	// QGlobalSpace::operator&##
    {20, 323, -31},	// QGlobalSpace::operator*##
    {20, 324, -48},	// QGlobalSpace::operator*#$
    {20, 325, -54},	// QGlobalSpace::operator*$#
    {20, 327, -59},	// QGlobalSpace::operator+##
    {20, 328, -65},	// QGlobalSpace::operator+#$
    {20, 329, -71},	// QGlobalSpace::operator+$#
    {20, 330, -76},	// QGlobalSpace::operator+$$
    {20, 332, -82},	// QGlobalSpace::operator-#
    {20, 333, -85},	// QGlobalSpace::operator-##
    {20, 334, 83},	// QGlobalSpace::operator-#$
    {20, 336, -90},	// QGlobalSpace::operator/#$
    {20, 338, -96},	// QGlobalSpace::operator<##
    {20, 339, 330},	// QGlobalSpace::operator<#$
    {20, 340, -101},	// QGlobalSpace::operator<$#
    {20, 341, 105},	// QGlobalSpace::operator<$$
    {20, 343, -104},	// QGlobalSpace::operator<<##
    {20, 344, -178},	// QGlobalSpace::operator<<#$
    {20, 345, 298},	// QGlobalSpace::operator<<#?
    {20, 347, -186},	// QGlobalSpace::operator<=##
    {20, 348, 149},	// QGlobalSpace::operator<=#$
    {20, 349, -191},	// QGlobalSpace::operator<=$#
    {20, 350, 346},	// QGlobalSpace::operator<=$$
    {20, 355, -194},	// QGlobalSpace::operator==##
    {20, 356, -212},	// QGlobalSpace::operator==#$
    {20, 357, -218},	// QGlobalSpace::operator==$#
    {20, 358, 525},	// QGlobalSpace::operator==$$
    {20, 360, -225},	// QGlobalSpace::operator>##
    {20, 361, 539},	// QGlobalSpace::operator>#$
    {20, 362, -230},	// QGlobalSpace::operator>$#
    {20, 363, 254},	// QGlobalSpace::operator>$$
    {20, 365, -233},	// QGlobalSpace::operator>=##
    {20, 366, 43},	// QGlobalSpace::operator>=#$
    {20, 367, -238},	// QGlobalSpace::operator>=$#
    {20, 368, 533},	// QGlobalSpace::operator>=$$
    {20, 370, -241},	// QGlobalSpace::operator>>##
    {20, 371, -279},	// QGlobalSpace::operator>>#$
    {20, 372, 229},	// QGlobalSpace::operator>>#?
    {20, 374, 153},	// QGlobalSpace::operator^##
    {20, 376, 437},	// QGlobalSpace::operator|##
    {20, 377, -282},	// QGlobalSpace::operator|$$
    {20, 392, 402},	// QGlobalSpace::qAcos$
    {20, 394, 308},	// QGlobalSpace::qAddPostRoutine$
    {20, 396, 103},	// QGlobalSpace::qAlpha$
    {20, 397, 318},	// QGlobalSpace::qAppName
    {20, 399, 428},	// QGlobalSpace::qAsin$
    {20, 401, 465},	// QGlobalSpace::qAtan$
    {20, 403, 41},	// QGlobalSpace::qAtan2$$
    {20, 404, 408},	// QGlobalSpace::qBadAlloc
    {20, 406, 235},	// QGlobalSpace::qBlue$
    {20, 408, 336},	// QGlobalSpace::qCeil$
    {20, 410, 224},	// QGlobalSpace::qChecksum$$
    {20, 412, 415},	// QGlobalSpace::qCompress#
    {20, 413, 414},	// QGlobalSpace::qCompress#$
    {20, 414, 310},	// QGlobalSpace::qCompress$$
    {20, 415, 309},	// QGlobalSpace::qCompress$$$
    {20, 417, 70},	// QGlobalSpace::qCos$
    {20, 418, 291},	// QGlobalSpace::qCritical
    {20, 419, 352},	// QGlobalSpace::qDebug
    {20, 421, 215},	// QGlobalSpace::qExp$
    {20, 423, 393},	// QGlobalSpace::qFabs$
    {20, 425, 165},	// QGlobalSpace::qFastCos$
    {20, 427, 313},	// QGlobalSpace::qFastSin$
    {20, 429, 174},	// QGlobalSpace::qFlagLocation$
    {20, 431, 128},	// QGlobalSpace::qFloor$
    {20, 433, 322},	// QGlobalSpace::qFree$
    {20, 435, 326},	// QGlobalSpace::qFreeAligned$
    {20, 437, -415},	// QGlobalSpace::qFuzzyCompare##
    {20, 438, -418},	// QGlobalSpace::qFuzzyCompare$$
    {20, 440, -421},	// QGlobalSpace::qFuzzyIsNull$
    {20, 442, 180},	// QGlobalSpace::qGray$
    {20, 443, 106},	// QGlobalSpace::qGray$$$
    {20, 445, 356},	// QGlobalSpace::qGreen$
    {20, 447, -424},	// QGlobalSpace::qHash#
    {20, 448, -433},	// QGlobalSpace::qHash$
    {20, 449, 497},	// QGlobalSpace::qInf
    {20, 451, 162},	// QGlobalSpace::qInstallMsgHandler$
    {20, 453, -446},	// QGlobalSpace::qIntCast$
    {20, 455, -449},	// QGlobalSpace::qIsFinite$
    {20, 457, 448},	// QGlobalSpace::qIsGray$
    {20, 459, -452},	// QGlobalSpace::qIsInf$
    {20, 461, -455},	// QGlobalSpace::qIsNaN$
    {20, 463, -458},	// QGlobalSpace::qIsNull$
    {20, 465, 218},	// QGlobalSpace::qLn$
    {20, 467, 226},	// QGlobalSpace::qMalloc$
    {20, 469, 353},	// QGlobalSpace::qMallocAligned$$
    {20, 471, 25},	// QGlobalSpace::qMemCopy$$$
    {20, 473, 388},	// QGlobalSpace::qMemSet$$$
    {20, 475, 357},	// QGlobalSpace::qPow$$
    {20, 476, 227},	// QGlobalSpace::qQNaN
    {20, 478, 155},	// QGlobalSpace::qRealloc$$
    {20, 480, 142},	// QGlobalSpace::qReallocAligned$$$$
    {20, 482, 126},	// QGlobalSpace::qRed$
    {20, 484, 221},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {20, 486, 509},	// QGlobalSpace::qRemovePostRoutine$
    {20, 488, 192},	// QGlobalSpace::qRgb$$$
    {20, 490, 290},	// QGlobalSpace::qRgba$$$$
    {20, 492, 496},	// QGlobalSpace::qRound$
    {20, 494, 161},	// QGlobalSpace::qRound64$
    {20, 495, 474},	// QGlobalSpace::qSNaN
    {20, 497, 122},	// QGlobalSpace::qSetFieldWidth$
    {20, 499, 50},	// QGlobalSpace::qSetPadChar#
    {20, 501, 216},	// QGlobalSpace::qSetRealNumberPrecision$
    {20, 502, 75},	// QGlobalSpace::qSharedBuild
    {20, 504, 433},	// QGlobalSpace::qSin$
    {20, 506, 163},	// QGlobalSpace::qSqrt$
    {20, 508, 339},	// QGlobalSpace::qStringComparisonHelper#$
    {20, 509, 37},	// QGlobalSpace::qStringComparisonHelper$$
    {20, 511, 119},	// QGlobalSpace::qTan$
    {20, 513, 267},	// QGlobalSpace::qUncompress#
    {20, 514, 117},	// QGlobalSpace::qUncompress$$
    {20, 515, 319},	// QGlobalSpace::qVersion
    {20, 516, 516},	// QGlobalSpace::qWarning
    {20, 518, 134},	// QGlobalSpace::qbswap_helper$$$
    {20, 520, 400},	// QGlobalSpace::qgcvt$$$
    {20, 522, 45},	// QGlobalSpace::qgetenv$
    {20, 524, 230},	// QGlobalSpace::qputenv$#
    {20, 525, 278},	// QGlobalSpace::qrand
    {20, 527, 289},	// QGlobalSpace::qsort$$$?
    {20, 529, 237},	// QGlobalSpace::qsrand$
    {20, 531, 396},	// QGlobalSpace::qstrcmp##
    {20, 532, 507},	// QGlobalSpace::qstrcmp#$
    {20, 533, 38},	// QGlobalSpace::qstrcmp$#
    {20, 534, 69},	// QGlobalSpace::qstrcmp$$
    {20, 536, 205},	// QGlobalSpace::qstrcpy$$
    {20, 538, 340},	// QGlobalSpace::qstrdup$
    {20, 540, 493},	// QGlobalSpace::qstricmp$$
    {20, 542, 517},	// QGlobalSpace::qstrlen$
    {20, 544, 118},	// QGlobalSpace::qstrncmp$$$
    {20, 546, 266},	// QGlobalSpace::qstrncpy$$$
    {20, 548, 245},	// QGlobalSpace::qstrnicmp$$$
    {20, 550, 24},	// QGlobalSpace::qstrnlen$$
    {20, 552, 444},	// QGlobalSpace::qtTrId$
    {20, 553, 443},	// QGlobalSpace::qtTrId$$
    {20, 555, 186},	// QGlobalSpace::qt_assert$$$
    {20, 557, 281},	// QGlobalSpace::qt_assert_x$$$$
    {20, 559, 390},	// QGlobalSpace::qt_check_pointer$$
    {20, 560, 112},	// QGlobalSpace::qt_error_string
    {20, 561, 111},	// QGlobalSpace::qt_error_string$
    {20, 563, 530},	// QGlobalSpace::qt_message_output$$
    {20, 568, 26},	// QGlobalSpace::qt_noop
    {20, 570, 259},	// QGlobalSpace::qt_qFindChild_helper#$#
    {20, 572, 463},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {20, 576, 457},	// QGlobalSpace::qvariant_cast_helper#$$
    {20, 578, 385},	// QGlobalSpace::qvsnprintf$$$?
    {54, 1, 603},	// QSql::AfterLastRow
    {54, 2, 597},	// QSql::AllTables
    {54, 6, 602},	// QSql::BeforeFirstRow
    {54, 7, 601},	// QSql::Binary
    {54, 14, 593},	// QSql::HighPrecision
    {54, 15, 598},	// QSql::In
    {54, 16, 600},	// QSql::InOut
    {54, 19, 592},	// QSql::LowPrecisionDouble
    {54, 20, 590},	// QSql::LowPrecisionInt32
    {54, 21, 591},	// QSql::LowPrecisionInt64
    {54, 32, 599},	// QSql::Out
    {54, 93, 595},	// QSql::SystemTables
    {54, 95, 594},	// QSql::Tables
    {54, 104, 596},	// QSql::Views
    {55, 36, 604},	// QSqlDatabase::QSqlDatabase
    {55, 37, -504},	// QSqlDatabase::QSqlDatabase#
    {55, 38, 648},	// QSqlDatabase::QSqlDatabase$
    {55, 126, 654},	// QSqlDatabase::addDatabase#
    {55, 127, 639},	// QSqlDatabase::addDatabase#$
    {55, 128, 653},	// QSqlDatabase::addDatabase$
    {55, 129, 638},	// QSqlDatabase::addDatabase$$
    {55, 160, 640},	// QSqlDatabase::cloneDatabase#$
    {55, 161, 609},	// QSqlDatabase::close
    {55, 164, 619},	// QSqlDatabase::commit
    {55, 167, 633},	// QSqlDatabase::connectOptions
    {55, 168, 634},	// QSqlDatabase::connectionName
    {55, 169, 645},	// QSqlDatabase::connectionNames
    {55, 170, 657},	// QSqlDatabase::contains
    {55, 171, 643},	// QSqlDatabase::contains$
    {55, 185, 655},	// QSqlDatabase::database
    {55, 186, 656},	// QSqlDatabase::database$
    {55, 187, 641},	// QSqlDatabase::database$$
    {55, 188, 627},	// QSqlDatabase::databaseName
    {55, 190, 658},	// QSqlDatabase::defaultConnection
    {55, 201, 637},	// QSqlDatabase::driver
    {55, 202, 631},	// QSqlDatabase::driverName
    {55, 204, 644},	// QSqlDatabase::drivers
    {55, 212, 651},	// QSqlDatabase::exec
    {55, 213, 615},	// QSqlDatabase::exec$
    {55, 246, 630},	// QSqlDatabase::hostName
    {55, 272, 647},	// QSqlDatabase::isDriverAvailable$
    {55, 283, 610},	// QSqlDatabase::isOpen
    {55, 284, 611},	// QSqlDatabase::isOpenError
    {55, 287, 617},	// QSqlDatabase::isValid
    {55, 291, 616},	// QSqlDatabase::lastError
    {55, 306, 636},	// QSqlDatabase::numericalPrecisionPolicy
    {55, 307, 607},	// QSqlDatabase::open
    {55, 309, 608},	// QSqlDatabase::open$$
    {55, 352, 606},	// QSqlDatabase::operator=#
    {55, 380, 629},	// QSqlDatabase::password
    {55, 381, 632},	// QSqlDatabase::port
    {55, 387, 613},	// QSqlDatabase::primaryIndex$
    {55, 580, 614},	// QSqlDatabase::record$
    {55, 582, 646},	// QSqlDatabase::registerSqlDriver$#
    {55, 593, 642},	// QSqlDatabase::removeDatabase$
    {55, 607, 620},	// QSqlDatabase::rollback
    {55, 624, 652},	// QSqlDatabase::setConnectOptions
    {55, 625, 626},	// QSqlDatabase::setConnectOptions$
    {55, 632, 621},	// QSqlDatabase::setDatabaseName$
    {55, 636, 659},	// QSqlDatabase::setDefaultConnection$
    {55, 658, 624},	// QSqlDatabase::setHostName$
    {55, 673, 635},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {55, 679, 623},	// QSqlDatabase::setPassword$
    {55, 681, 625},	// QSqlDatabase::setPort$
    {55, 711, 622},	// QSqlDatabase::setUserName$
    {55, 737, 650},	// QSqlDatabase::tables
    {55, 738, 612},	// QSqlDatabase::tables$
    {55, 749, 618},	// QSqlDatabase::transaction
    {55, 759, 628},	// QSqlDatabase::userName
    {55, 764, 660},	// QSqlDatabase::~QSqlDatabase
    {56, 3, 714},	// QSqlDriver::BLOB
    {56, 5, 720},	// QSqlDriver::BatchOperations
    {56, 9, 730},	// QSqlDriver::DeleteStatement
    {56, 11, 723},	// QSqlDriver::EventNotifications
    {56, 12, 731},	// QSqlDriver::FieldName
    {56, 13, 724},	// QSqlDriver::FinishQuery
    {56, 17, 729},	// QSqlDriver::InsertStatement
    {56, 18, 719},	// QSqlDriver::LastInsertId
    {56, 22, 722},	// QSqlDriver::LowPrecisionNumbers
    {56, 23, 725},	// QSqlDriver::MultipleResultSets
    {56, 25, 717},	// QSqlDriver::NamedPlaceholders
    {56, 34, 718},	// QSqlDriver::PositionalPlaceholders
    {56, 35, 716},	// QSqlDriver::PreparedQueries
    {56, 39, 704},	// QSqlDriver::QSqlDriver
    {56, 40, 668},	// QSqlDriver::QSqlDriver#
    {56, 87, 713},	// QSqlDriver::QuerySize
    {56, 89, 727},	// QSqlDriver::SelectStatement
    {56, 91, 721},	// QSqlDriver::SimpleLocking
    {56, 94, 732},	// QSqlDriver::TableName
    {56, 97, 712},	// QSqlDriver::Transactions
    {56, 98, 715},	// QSqlDriver::Unicode
    {56, 101, 728},	// QSqlDriver::UpdateStatement
    {56, 105, 726},	// QSqlDriver::WhereStatement
    {56, 140, 671},	// QSqlDriver::beginTransaction
    {56, 161, 683},	// QSqlDriver::close
    {56, 165, 672},	// QSqlDriver::commitTransaction
    {56, 178, 684},	// QSqlDriver::createResult
    {56, 209, 678},	// QSqlDriver::escapeIdentifier$$
    {56, 237, 705},	// QSqlDriver::formatValue#
    {56, 238, 677},	// QSqlDriver::formatValue#$
    {56, 239, 681},	// QSqlDriver::handle
    {56, 241, 682},	// QSqlDriver::hasFeature$
    {56, 278, 689},	// QSqlDriver::isIdentifierEscaped$$
    {56, 280, 700},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {56, 283, 669},	// QSqlDriver::isOpen
    {56, 284, 670},	// QSqlDriver::isOpenError
    {56, 291, 680},	// QSqlDriver::lastError
    {56, 296, 661},	// QSqlDriver::metaObject
    {56, 303, 693},	// QSqlDriver::notification$
    {56, 306, 692},	// QSqlDriver::numericalPrecisionPolicy
    {56, 308, 706},	// QSqlDriver::open$
    {56, 309, 707},	// QSqlDriver::open$$
    {56, 310, 708},	// QSqlDriver::open$$$
    {56, 311, 709},	// QSqlDriver::open$$$$
    {56, 312, 710},	// QSqlDriver::open$$$$$
    {56, 313, 685},	// QSqlDriver::open$$$$$$
    {56, 387, 675},	// QSqlDriver::primaryIndex$
    {56, 565, 667},	// QSqlDriver::qt_metacall$$?
    {56, 567, 662},	// QSqlDriver::qt_metacast$
    {56, 580, 676},	// QSqlDriver::record$
    {56, 608, 673},	// QSqlDriver::rollbackTransaction
    {56, 661, 696},	// QSqlDriver::setLastError#
    {56, 673, 691},	// QSqlDriver::setNumericalPrecisionPolicy$
    {56, 675, 694},	// QSqlDriver::setOpen$
    {56, 677, 695},	// QSqlDriver::setOpenError$
    {56, 721, 679},	// QSqlDriver::sqlStatement$$#$
    {56, 722, 711},	// QSqlDriver::staticMetaObject
    {56, 724, 690},	// QSqlDriver::stripDelimiters$$
    {56, 726, 701},	// QSqlDriver::stripDelimitersImplementation$$
    {56, 730, 686},	// QSqlDriver::subscribeToNotification$
    {56, 732, 697},	// QSqlDriver::subscribeToNotificationImplementation$
    {56, 733, 688},	// QSqlDriver::subscribedToNotifications
    {56, 734, 699},	// QSqlDriver::subscribedToNotificationsImplementation
    {56, 738, 674},	// QSqlDriver::tables$
    {56, 742, 702},	// QSqlDriver::tr$
    {56, 743, 663},	// QSqlDriver::tr$$
    {56, 744, 665},	// QSqlDriver::tr$$$
    {56, 746, 703},	// QSqlDriver::trUtf8$
    {56, 747, 664},	// QSqlDriver::trUtf8$$
    {56, 748, 666},	// QSqlDriver::trUtf8$$$
    {56, 753, 687},	// QSqlDriver::unsubscribeFromNotification$
    {56, 755, 698},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {56, 765, 733},	// QSqlDriver::~QSqlDriver
    {57, 41, 735},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {57, 42, 736},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {57, 177, 734},	// QSqlDriverCreatorBase::createObject
    {57, 766, 737},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {58, 43, 739},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {58, 44, 740},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {58, 174, 738},	// QSqlDriverFactoryInterface::create$
    {58, 767, 741},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {59, 45, 754},	// QSqlDriverPlugin::QSqlDriverPlugin
    {59, 46, 749},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {59, 174, 751},	// QSqlDriverPlugin::create$
    {59, 289, 750},	// QSqlDriverPlugin::keys
    {59, 296, 742},	// QSqlDriverPlugin::metaObject
    {59, 565, 748},	// QSqlDriverPlugin::qt_metacall$$?
    {59, 567, 743},	// QSqlDriverPlugin::qt_metacast$
    {59, 722, 755},	// QSqlDriverPlugin::staticMetaObject
    {59, 742, 752},	// QSqlDriverPlugin::tr$
    {59, 743, 744},	// QSqlDriverPlugin::tr$$
    {59, 744, 746},	// QSqlDriverPlugin::tr$$$
    {59, 746, 753},	// QSqlDriverPlugin::trUtf8$
    {59, 747, 745},	// QSqlDriverPlugin::trUtf8$$
    {59, 748, 747},	// QSqlDriverPlugin::trUtf8$$$
    {59, 768, 756},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {60, 8, 775},	// QSqlError::ConnectionError
    {60, 27, 774},	// QSqlError::NoError
    {60, 47, 770},	// QSqlError::QSqlError
    {60, 48, 758},	// QSqlError::QSqlError#
    {60, 49, 771},	// QSqlError::QSqlError$
    {60, 50, 772},	// QSqlError::QSqlError$$
    {60, 51, 773},	// QSqlError::QSqlError$$$
    {60, 52, 757},	// QSqlError::QSqlError$$$$
    {60, 92, 776},	// QSqlError::StatementError
    {60, 96, 777},	// QSqlError::TransactionError
    {60, 100, 778},	// QSqlError::UnknownError
    {60, 189, 762},	// QSqlError::databaseText
    {60, 203, 760},	// QSqlError::driverText
    {60, 287, 769},	// QSqlError::isValid
    {60, 305, 766},	// QSqlError::number
    {60, 352, 759},	// QSqlError::operator=#
    {60, 634, 763},	// QSqlError::setDatabaseText$
    {60, 642, 761},	// QSqlError::setDriverText$
    {60, 671, 767},	// QSqlError::setNumber$
    {60, 709, 765},	// QSqlError::setType$
    {60, 739, 768},	// QSqlError::text
    {60, 750, 764},	// QSqlError::type
    {60, 769, 779},	// QSqlError::~QSqlError
    {61, 31, 814},	// QSqlField::Optional
    {61, 53, 811},	// QSqlField::QSqlField
    {61, 54, 781},	// QSqlField::QSqlField#
    {61, 55, 812},	// QSqlField::QSqlField$
    {61, 56, 780},	// QSqlField::QSqlField$$
    {61, 88, 815},	// QSqlField::Required
    {61, 99, 813},	// QSqlField::Unknown
    {61, 157, 792},	// QSqlField::clear
    {61, 191, 807},	// QSqlField::defaultValue
    {61, 266, 794},	// QSqlField::isAutoValue
    {61, 275, 809},	// QSqlField::isGenerated
    {61, 281, 789},	// QSqlField::isNull
    {61, 285, 791},	// QSqlField::isReadOnly
    {61, 287, 810},	// QSqlField::isValid
    {61, 294, 805},	// QSqlField::length
    {61, 299, 788},	// QSqlField::name
    {61, 315, 784},	// QSqlField::operator!=#
    {61, 352, 782},	// QSqlField::operator=#
    {61, 354, 783},	// QSqlField::operator==#
    {61, 382, 806},	// QSqlField::precision
    {61, 599, 804},	// QSqlField::requiredStatus
    {61, 623, 803},	// QSqlField::setAutoValue$
    {61, 638, 800},	// QSqlField::setDefaultValue#
    {61, 652, 802},	// QSqlField::setGenerated$
    {61, 663, 798},	// QSqlField::setLength$
    {61, 667, 787},	// QSqlField::setName$
    {61, 683, 799},	// QSqlField::setPrecision$
    {61, 691, 790},	// QSqlField::setReadOnly$
    {61, 697, 797},	// QSqlField::setRequired$
    {61, 699, 796},	// QSqlField::setRequiredStatus$
    {61, 705, 801},	// QSqlField::setSqlType$
    {61, 709, 795},	// QSqlField::setType$
    {61, 713, 785},	// QSqlField::setValue#
    {61, 750, 793},	// QSqlField::type
    {61, 751, 808},	// QSqlField::typeID
    {61, 760, 786},	// QSqlField::value
    {61, 770, 816},	// QSqlField::~QSqlField
    {62, 57, 828},	// QSqlIndex::QSqlIndex
    {62, 58, 818},	// QSqlIndex::QSqlIndex#
    {62, 59, 829},	// QSqlIndex::QSqlIndex$
    {62, 60, 817},	// QSqlIndex::QSqlIndex$$
    {62, 131, 824},	// QSqlIndex::append#
    {62, 132, 825},	// QSqlIndex::append#$
    {62, 179, 821},	// QSqlIndex::cursorName
    {62, 268, 826},	// QSqlIndex::isDescending$
    {62, 299, 823},	// QSqlIndex::name
    {62, 352, 819},	// QSqlIndex::operator=#
    {62, 627, 820},	// QSqlIndex::setCursorName$
    {62, 640, 827},	// QSqlIndex::setDescending$$
    {62, 667, 822},	// QSqlIndex::setName$
    {62, 771, 830},	// QSqlIndex::~QSqlIndex
    {63, 61, 873},	// QSqlQuery::QSqlQuery
    {63, 62, -461},	// QSqlQuery::QSqlQuery#
    {63, 63, 874},	// QSqlQuery::QSqlQuery$
    {63, 64, 832},	// QSqlQuery::QSqlQuery$#
    {63, 102, 881},	// QSqlQuery::ValuesAsColumns
    {63, 103, 880},	// QSqlQuery::ValuesAsRows
    {63, 123, 879},	// QSqlQuery::addBindValue#
    {63, 124, 865},	// QSqlQuery::addBindValue#$
    {63, 133, 839},	// QSqlQuery::at
    {63, 142, -465},	// QSqlQuery::bindValue$#
    {63, 143, -468},	// QSqlQuery::bindValue$#$
    {63, 148, -471},	// QSqlQuery::boundValue$
    {63, 152, 868},	// QSqlQuery::boundValues
    {63, 157, 859},	// QSqlQuery::clear
    {63, 201, 845},	// QSqlQuery::driver
    {63, 212, 860},	// QSqlQuery::exec
    {63, 213, 850},	// QSqlQuery::exec$
    {63, 214, 876},	// QSqlQuery::execBatch
    {63, 215, 861},	// QSqlQuery::execBatch$
    {63, 216, 869},	// QSqlQuery::executedQuery
    {63, 232, 871},	// QSqlQuery::finish
    {63, 233, 857},	// QSqlQuery::first
    {63, 265, 837},	// QSqlQuery::isActive
    {63, 274, 847},	// QSqlQuery::isForwardOnly
    {63, 282, 838},	// QSqlQuery::isNull$
    {63, 286, 843},	// QSqlQuery::isSelect
    {63, 287, 836},	// QSqlQuery::isValid
    {63, 290, 858},	// QSqlQuery::last
    {63, 291, 842},	// QSqlQuery::lastError
    {63, 292, 870},	// QSqlQuery::lastInsertId
    {63, 293, 840},	// QSqlQuery::lastQuery
    {63, 300, 855},	// QSqlQuery::next
    {63, 301, 872},	// QSqlQuery::nextResult
    {63, 304, 841},	// QSqlQuery::numRowsAffected
    {63, 306, 853},	// QSqlQuery::numericalPrecisionPolicy
    {63, 352, 835},	// QSqlQuery::operator=#
    {63, 384, 862},	// QSqlQuery::prepare$
    {63, 385, 856},	// QSqlQuery::previous
    {63, 579, 848},	// QSqlQuery::record
    {63, 602, 846},	// QSqlQuery::result
    {63, 614, 875},	// QSqlQuery::seek$
    {63, 615, 854},	// QSqlQuery::seek$$
    {63, 650, 849},	// QSqlQuery::setForwardOnly$
    {63, 673, 852},	// QSqlQuery::setNumericalPrecisionPolicy$
    {63, 715, 844},	// QSqlQuery::size
    {63, 761, 851},	// QSqlQuery::value$
    {63, 772, 882},	// QSqlQuery::~QSqlQuery
    {64, 65, 912},	// QSqlQueryModel::QSqlQueryModel
    {64, 66, 890},	// QSqlQueryModel::QSqlQueryModel#
    {64, 154, 922},	// QSqlQueryModel::canFetchMore
    {64, 155, 906},	// QSqlQueryModel::canFetchMore#
    {64, 157, 903},	// QSqlQueryModel::clear
    {64, 162, 914},	// QSqlQueryModel::columnCount
    {64, 163, 892},	// QSqlQueryModel::columnCount#
    {64, 182, 915},	// QSqlQueryModel::data#
    {64, 183, 895},	// QSqlQueryModel::data#$
    {64, 221, 921},	// QSqlQueryModel::fetchMore
    {64, 222, 905},	// QSqlQueryModel::fetchMore#
    {64, 244, 916},	// QSqlQueryModel::headerData$$
    {64, 245, 896},	// QSqlQueryModel::headerData$$$
    {64, 250, 908},	// QSqlQueryModel::indexInQuery#
    {64, 256, 918},	// QSqlQueryModel::insertColumns$$
    {64, 257, 898},	// QSqlQueryModel::insertColumns$$#
    {64, 291, 904},	// QSqlQueryModel::lastError
    {64, 296, 883},	// QSqlQueryModel::metaObject
    {64, 565, 889},	// QSqlQueryModel::qt_metacall$$?
    {64, 567, 884},	// QSqlQueryModel::qt_metacast$
    {64, 573, 902},	// QSqlQueryModel::query
    {64, 574, 907},	// QSqlQueryModel::queryChange
    {64, 579, 894},	// QSqlQueryModel::record
    {64, 580, 893},	// QSqlQueryModel::record$
    {64, 590, 919},	// QSqlQueryModel::removeColumns$$
    {64, 591, 899},	// QSqlQueryModel::removeColumns$$#
    {64, 609, 913},	// QSqlQueryModel::rowCount
    {64, 610, 891},	// QSqlQueryModel::rowCount#
    {64, 655, 917},	// QSqlQueryModel::setHeaderData$$#
    {64, 656, 897},	// QSqlQueryModel::setHeaderData$$#$
    {64, 661, 909},	// QSqlQueryModel::setLastError#
    {64, 687, 900},	// QSqlQueryModel::setQuery#
    {64, 688, 920},	// QSqlQueryModel::setQuery$
    {64, 689, 901},	// QSqlQueryModel::setQuery$#
    {64, 722, 923},	// QSqlQueryModel::staticMetaObject
    {64, 742, 910},	// QSqlQueryModel::tr$
    {64, 743, 885},	// QSqlQueryModel::tr$$
    {64, 744, 887},	// QSqlQueryModel::tr$$$
    {64, 746, 911},	// QSqlQueryModel::trUtf8$
    {64, 747, 886},	// QSqlQueryModel::trUtf8$$
    {64, 748, 888},	// QSqlQueryModel::trUtf8$$$
    {64, 773, 924},	// QSqlQueryModel::~QSqlQueryModel
    {65, 67, 925},	// QSqlRecord::QSqlRecord
    {65, 68, 926},	// QSqlRecord::QSqlRecord#
    {65, 131, 946},	// QSqlRecord::append#
    {65, 157, 952},	// QSqlRecord::clear
    {65, 158, 953},	// QSqlRecord::clearValues
    {65, 171, 951},	// QSqlRecord::contains$
    {65, 172, 954},	// QSqlRecord::count
    {65, 226, -474},	// QSqlRecord::field$
    {65, 230, 939},	// QSqlRecord::fieldName$
    {65, 252, 938},	// QSqlRecord::indexOf$
    {65, 254, 948},	// QSqlRecord::insert$#
    {65, 273, 950},	// QSqlRecord::isEmpty
    {65, 276, -477},	// QSqlRecord::isGenerated$
    {65, 282, -480},	// QSqlRecord::isNull$
    {65, 315, 929},	// QSqlRecord::operator!=#
    {65, 352, 927},	// QSqlRecord::operator=#
    {65, 354, 928},	// QSqlRecord::operator==#
    {65, 588, 949},	// QSqlRecord::remove$
    {65, 598, 947},	// QSqlRecord::replace$#
    {65, 653, -483},	// QSqlRecord::setGenerated$$
    {65, 669, -486},	// QSqlRecord::setNull$
    {65, 714, -489},	// QSqlRecord::setValue$#
    {65, 761, -492},	// QSqlRecord::value$
    {65, 774, 955},	// QSqlRecord::~QSqlRecord
    {66, 69, 956},	// QSqlRelation::QSqlRelation
    {66, 70, 962},	// QSqlRelation::QSqlRelation#
    {66, 71, 957},	// QSqlRelation::QSqlRelation$$$
    {66, 196, 960},	// QSqlRelation::displayColumn
    {66, 248, 959},	// QSqlRelation::indexColumn
    {66, 287, 961},	// QSqlRelation::isValid
    {66, 736, 958},	// QSqlRelation::tableName
    {66, 775, 963},	// QSqlRelation::~QSqlRelation
    {67, 72, 968},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {67, 73, 964},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {67, 176, 965},	// QSqlRelationalDelegate::createEditor###
    {67, 646, 966},	// QSqlRelationalDelegate::setEditorData##
    {67, 665, 967},	// QSqlRelationalDelegate::setModelData###
    {67, 776, 969},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {68, 74, 994},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {68, 75, 995},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {68, 76, 977},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {68, 157, 981},	// QSqlRelationalTableModel::clear
    {68, 182, 996},	// QSqlRelationalTableModel::data#
    {68, 183, 978},	// QSqlRelationalTableModel::data#$
    {68, 261, 990},	// QSqlRelationalTableModel::insertRowIntoTable#
    {68, 296, 970},	// QSqlRelationalTableModel::metaObject
    {68, 378, 991},	// QSqlRelationalTableModel::orderByClause
    {68, 565, 976},	// QSqlRelationalTableModel::qt_metacall$$?
    {68, 567, 971},	// QSqlRelationalTableModel::qt_metacast$
    {68, 584, 985},	// QSqlRelationalTableModel::relation$
    {68, 586, 986},	// QSqlRelationalTableModel::relationModel$
    {68, 590, 998},	// QSqlRelationalTableModel::removeColumns$$
    {68, 591, 980},	// QSqlRelationalTableModel::removeColumns$$#
    {68, 606, 987},	// QSqlRelationalTableModel::revertRow$
    {68, 616, 982},	// QSqlRelationalTableModel::select
    {68, 617, 988},	// QSqlRelationalTableModel::selectStatement
    {68, 629, 997},	// QSqlRelationalTableModel::setData##
    {68, 630, 979},	// QSqlRelationalTableModel::setData##$
    {68, 695, 984},	// QSqlRelationalTableModel::setRelation$#
    {68, 707, 983},	// QSqlRelationalTableModel::setTable$
    {68, 722, 999},	// QSqlRelationalTableModel::staticMetaObject
    {68, 742, 992},	// QSqlRelationalTableModel::tr$
    {68, 743, 972},	// QSqlRelationalTableModel::tr$$
    {68, 744, 974},	// QSqlRelationalTableModel::tr$$$
    {68, 746, 993},	// QSqlRelationalTableModel::trUtf8$
    {68, 747, 973},	// QSqlRelationalTableModel::trUtf8$$
    {68, 748, 975},	// QSqlRelationalTableModel::trUtf8$$$
    {68, 758, 989},	// QSqlRelationalTableModel::updateRowInTable$#
    {68, 777, 1000},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {69, 4, 1055},	// QSqlResult::BatchOperation
    {69, 10, 1056},	// QSqlResult::DetachFromResultSet
    {69, 24, 1054},	// QSqlResult::NamedBinding
    {69, 26, 1058},	// QSqlResult::NextResult
    {69, 33, 1053},	// QSqlResult::PositionalBinding
    {69, 78, 1002},	// QSqlResult::QSqlResult#
    {69, 90, 1057},	// QSqlResult::SetNumericalPrecision
    {69, 124, 1022},	// QSqlResult::addBindValue#$
    {69, 133, 1003},	// QSqlResult::at
    {69, 143, -495},	// QSqlResult::bindValue$#$
    {69, 145, -498},	// QSqlResult::bindValueType$
    {69, 146, 1033},	// QSqlResult::bindingSyntax
    {69, 148, -501},	// QSqlResult::boundValue$
    {69, 149, 1027},	// QSqlResult::boundValueCount
    {69, 151, 1030},	// QSqlResult::boundValueName$
    {69, 152, 1028},	// QSqlResult::boundValues
    {69, 157, 1031},	// QSqlResult::clear
    {69, 184, 1034},	// QSqlResult::data$
    {69, 194, 1048},	// QSqlResult::detachFromResultSet
    {69, 201, 1010},	// QSqlResult::driver
    {69, 212, 1017},	// QSqlResult::exec
    {69, 214, 1052},	// QSqlResult::execBatch
    {69, 215, 1047},	// QSqlResult::execBatch$
    {69, 216, 1029},	// QSqlResult::executedQuery
    {69, 218, 1037},	// QSqlResult::fetch$
    {69, 219, 1040},	// QSqlResult::fetchFirst
    {69, 220, 1041},	// QSqlResult::fetchLast
    {69, 223, 1038},	// QSqlResult::fetchNext
    {69, 224, 1039},	// QSqlResult::fetchPrevious
    {69, 239, 1001},	// QSqlResult::handle
    {69, 242, 1032},	// QSqlResult::hasOutValues
    {69, 265, 1007},	// QSqlResult::isActive
    {69, 274, 1009},	// QSqlResult::isForwardOnly
    {69, 282, 1035},	// QSqlResult::isNull$
    {69, 286, 1008},	// QSqlResult::isSelect
    {69, 287, 1006},	// QSqlResult::isValid
    {69, 291, 1005},	// QSqlResult::lastError
    {69, 292, 1045},	// QSqlResult::lastInsertId
    {69, 293, 1004},	// QSqlResult::lastQuery
    {69, 301, 1051},	// QSqlResult::nextResult
    {69, 304, 1043},	// QSqlResult::numRowsAffected
    {69, 306, 1050},	// QSqlResult::numericalPrecisionPolicy
    {69, 384, 1018},	// QSqlResult::prepare$
    {69, 579, 1044},	// QSqlResult::record
    {69, 601, 1036},	// QSqlResult::reset$
    {69, 612, 1019},	// QSqlResult::savePrepare$
    {69, 619, 1012},	// QSqlResult::setActive$
    {69, 621, 1011},	// QSqlResult::setAt$
    {69, 650, 1016},	// QSqlResult::setForwardOnly$
    {69, 661, 1013},	// QSqlResult::setLastError#
    {69, 673, 1049},	// QSqlResult::setNumericalPrecisionPolicy$
    {69, 688, 1014},	// QSqlResult::setQuery$
    {69, 701, 1015},	// QSqlResult::setSelect$
    {69, 715, 1042},	// QSqlResult::size
    {69, 763, 1046},	// QSqlResult::virtual_hook$$
    {69, 778, 1059},	// QSqlResult::~QSqlResult
    {70, 28, 1121},	// QSqlTableModel::OnFieldChange
    {70, 29, 1123},	// QSqlTableModel::OnManualSubmit
    {70, 30, 1122},	// QSqlTableModel::OnRowChange
    {70, 79, 1111},	// QSqlTableModel::QSqlTableModel
    {70, 80, 1112},	// QSqlTableModel::QSqlTableModel#
    {70, 81, 1067},	// QSqlTableModel::QSqlTableModel##
    {70, 135, 1100},	// QSqlTableModel::beforeDelete$
    {70, 137, 1098},	// QSqlTableModel::beforeInsert#
    {70, 139, 1099},	// QSqlTableModel::beforeUpdate$#
    {70, 157, 1076},	// QSqlTableModel::clear
    {70, 182, 1113},	// QSqlTableModel::data#
    {70, 183, 1072},	// QSqlTableModel::data#$
    {70, 185, 1080},	// QSqlTableModel::database
    {70, 193, 1103},	// QSqlTableModel::deleteRowFromTable$
    {70, 206, 1078},	// QSqlTableModel::editStrategy
    {70, 228, 1081},	// QSqlTableModel::fieldIndex$
    {70, 231, 1084},	// QSqlTableModel::filter
    {70, 235, 1071},	// QSqlTableModel::flags#
    {70, 244, 1115},	// QSqlTableModel::headerData$$
    {70, 245, 1074},	// QSqlTableModel::headerData$$$
    {70, 250, 1108},	// QSqlTableModel::indexInQuery#
    {70, 259, 1090},	// QSqlTableModel::insertRecord$#
    {70, 261, 1102},	// QSqlTableModel::insertRowIntoTable#
    {70, 263, 1119},	// QSqlTableModel::insertRows$$
    {70, 264, 1089},	// QSqlTableModel::insertRows$$#
    {70, 270, 1075},	// QSqlTableModel::isDirty#
    {70, 296, 1060},	// QSqlTableModel::metaObject
    {70, 378, 1104},	// QSqlTableModel::orderByClause
    {70, 388, 1079},	// QSqlTableModel::primaryKey
    {70, 390, 1097},	// QSqlTableModel::primeInsert$#
    {70, 565, 1066},	// QSqlTableModel::qt_metacall$$?
    {70, 567, 1061},	// QSqlTableModel::qt_metacast$
    {70, 590, 1117},	// QSqlTableModel::removeColumns$$
    {70, 591, 1087},	// QSqlTableModel::removeColumns$$#
    {70, 595, 1118},	// QSqlTableModel::removeRows$$
    {70, 596, 1088},	// QSqlTableModel::removeRows$$#
    {70, 603, 1094},	// QSqlTableModel::revert
    {70, 604, 1096},	// QSqlTableModel::revertAll
    {70, 606, 1092},	// QSqlTableModel::revertRow$
    {70, 609, 1116},	// QSqlTableModel::rowCount
    {70, 610, 1086},	// QSqlTableModel::rowCount#
    {70, 616, 1068},	// QSqlTableModel::select
    {70, 617, 1105},	// QSqlTableModel::selectStatement
    {70, 629, 1114},	// QSqlTableModel::setData##
    {70, 630, 1073},	// QSqlTableModel::setData##$
    {70, 644, 1077},	// QSqlTableModel::setEditStrategy$
    {70, 648, 1085},	// QSqlTableModel::setFilter$
    {70, 685, 1106},	// QSqlTableModel::setPrimaryKey#
    {70, 687, 1107},	// QSqlTableModel::setQuery#
    {70, 693, 1091},	// QSqlTableModel::setRecord$#
    {70, 703, 1083},	// QSqlTableModel::setSort$$
    {70, 707, 1069},	// QSqlTableModel::setTable$
    {70, 718, 1082},	// QSqlTableModel::sort$$
    {70, 722, 1120},	// QSqlTableModel::staticMetaObject
    {70, 727, 1093},	// QSqlTableModel::submit
    {70, 728, 1095},	// QSqlTableModel::submitAll
    {70, 736, 1070},	// QSqlTableModel::tableName
    {70, 742, 1109},	// QSqlTableModel::tr$
    {70, 743, 1062},	// QSqlTableModel::tr$$
    {70, 744, 1064},	// QSqlTableModel::tr$$$
    {70, 746, 1110},	// QSqlTableModel::trUtf8$
    {70, 747, 1063},	// QSqlTableModel::trUtf8$$
    {70, 748, 1065},	// QSqlTableModel::trUtf8$$$
    {70, 758, 1101},	// QSqlTableModel::updateRowInTable$#
    {70, 779, 1124},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 84,
        __smokeqtsql::methods, 1125,
        __smokeqtsql::methodMaps, 690,
        __smokeqtsql::methodNames, 779,
        __smokeqtsql::types, 373,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
