#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 79:   //std::bidirectional_iterator_tag
      switch(to) {
        case 79: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 80:   //std::random_access_iterator_tag
      switch(to) {
        case 80: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//79
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//50
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//54
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//61
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//64
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//65
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//66
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//70
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//71
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//72
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//73
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//75
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//76
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//79
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//80
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//82
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//83
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//92
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//93
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//121
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//204
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//206
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//207
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//209
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//225
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//229
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//252
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//253
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//254
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "std::bidirectional_iterator_tag", 79, Smoke::t_class|Smoke::tf_stack },	//256
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "std::random_access_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//258
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//260
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//261
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//262
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    39, 14, 0,	//3  QObject*, QEvent*
    68, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    250, 0,	//10  const char*
    228, 0,	//12  const QWebDatabase&
    230, 0,	//14  const QWebElement&
    223, 0,	//16  const QString&
    223, 223, 0,	//18  const QString&, const QString&
    223, 223, 223, 0,	//21  const QString&, const QString&, const QString&
    223, 78, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    43, 0,	//28  QPainter*
    230, 223, 0,	//30  const QWebElement&, const QString&
    231, 0,	//33  const QWebElementCollection&
    253, 0,	//35  int
    232, 253, 0,	//37  const QWebElementCollection*, int
    233, 0,	//40  const QWebElementCollection::const_iterator&
    82, 0,	//42  QWebElementCollection::const_iterator
    234, 0,	//44  const QWebElementCollection::iterator&
    85, 0,	//46  QWebElementCollection::iterator
    250, 250, 0,	//48  const char*, const char*
    250, 250, 253, 0,	//51  const char*, const char*, int
    32, 253, 261, 0,	//55  QMetaObject::Call, int, void**
    226, 0,	//59  const QUrl&
    215, 37, 210, 0,	//61  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    223, 226, 0,	//65  const QString&, const QUrl&
    210, 223, 226, 0,	//68  const QByteArray&, const QString&, const QUrl&
    223, 39, 0,	//72  const QString&, QObject*
    223, 39, 52, 0,	//75  const QString&, QObject*, QScriptEngine::ValueOwnership
    177, 0,	//79  Qt::Orientation
    177, 181, 0,	//81  Qt::Orientation, Qt::ScrollBarPolicy
    177, 253, 0,	//84  Qt::Orientation, int
    253, 253, 0,	//87  int, int
    218, 0,	//90  const QPoint&
    43, 221, 0,	//92  QPainter*, const QRegion&
    43, 89, 221, 0,	//95  QPainter*, QWebFrame::RenderLayer, const QRegion&
    252, 0,	//99  double
    48, 0,	//101  QPrinter*
    222, 0,	//103  const QSize&
    209, 0,	//105  bool
    215, 0,	//107  const QNetworkRequest&
    215, 37, 0,	//109  const QNetworkRequest&, QNetworkAccessManager::Operation
    210, 0,	//112  const QByteArray&
    210, 223, 0,	//114  const QByteArray&, const QString&
    43, 89, 0,	//117  QPainter*, QWebFrame::RenderLayer
    235, 0,	//120  const QWebHistoryItem&
    39, 0,	//122  QObject*
    91, 0,	//124  QWebHistoryInterface*
    227, 0,	//126  const QVariant&
    236, 0,	//128  const QWebHitTestResult&
    131, 0,	//130  QWidget*
    99, 0,	//132  QWebPage*
    51, 0,	//134  QResizeEvent*
    53, 0,	//136  QShowEvent*
    19, 0,	//138  QHideEvent*
    6, 0,	//140  QCloseEvent*
    36, 0,	//142  QNetworkAccessManager*
    114, 0,	//144  QWebPluginFactory*
    111, 0,	//146  QWebPage::WebAction
    111, 209, 0,	//148  QWebPage::WebAction, bool
    165, 0,	//151  Qt::InputMethodQuery
    223, 16, 0,	//153  const QString&, QFlags<QWebPage::FindFlag>
    109, 0,	//156  QWebPage::LinkDelegationPolicy
    216, 0,	//158  const QPalette&
    7, 0,	//160  QContextMenuEvent*
    105, 242, 107, 0,	//162  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    105, 0,	//166  QWebPage::Extension
    88, 0,	//168  QWebFrame*
    219, 0,	//170  const QRect&
    253, 253, 219, 0,	//172  int, int, const QRect&
    38, 0,	//176  QNetworkReply*
    88, 60, 0,	//178  QWebFrame*, QString
    88, 94, 0,	//181  QWebFrame*, QWebHistoryItem*
    112, 0,	//184  QWebPage::WebWindowType
    223, 226, 224, 224, 0,	//186  const QString&, const QUrl&, const QStringList&, const QStringList&
    88, 215, 110, 0,	//191  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    88, 223, 0,	//195  QWebFrame*, const QString&
    88, 223, 223, 62, 0,	//198  QWebFrame*, const QString&, const QString&, QString*
    223, 253, 223, 0,	//203  const QString&, int, const QString&
    105, 242, 0,	//207  QWebPage::Extension, const QWebPage::ExtensionOption*
    237, 0,	//210  const QWebPage::ChooseMultipleFilesExtensionOption&
    224, 0,	//212  const QStringList&
    238, 0,	//214  const QWebPage::ChooseMultipleFilesExtensionReturn&
    239, 0,	//216  const QWebPage::ErrorPageExtensionOption&
    102, 0,	//218  QWebPage::ErrorDomain
    240, 0,	//220  const QWebPage::ErrorPageExtensionReturn&
    241, 0,	//222  const QWebPage::ExtensionOption&
    243, 0,	//224  const QWebPage::ExtensionReturn&
    115, 245, 117, 0,	//226  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//230  QWebPluginFactory::Extension
    115, 245, 0,	//232  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    244, 0,	//235  const QWebPluginFactory::ExtensionOption&
    246, 0,	//237  const QWebPluginFactory::ExtensionReturn&
    247, 0,	//239  const QWebPluginFactory::MimeType&
    248, 0,	//241  const QWebPluginFactory::Plugin&
    212, 0,	//243  const QList<QWebPluginFactory::MimeType>&
    255, 0,	//245  long long
    249, 0,	//247  const QWebSecurityOrigin&
    124, 223, 0,	//249  QWebSettings::FontFamily, const QString&
    124, 0,	//252  QWebSettings::FontFamily
    125, 253, 0,	//254  QWebSettings::FontSize, int
    125, 0,	//257  QWebSettings::FontSize
    126, 209, 0,	//259  QWebSettings::WebAttribute, bool
    126, 0,	//262  QWebSettings::WebAttribute
    127, 217, 0,	//264  QWebSettings::WebGraphic, const QPixmap&
    127, 0,	//267  QWebSettings::WebGraphic
    253, 253, 253, 0,	//269  int, int, int
    15, 0,	//273  QFlags<QPainter::RenderHint>
    44, 209, 0,	//275  QPainter::RenderHint, bool
    42, 0,	//278  QPaintEvent*
    33, 0,	//280  QMouseEvent*
    130, 0,	//282  QWheelEvent*
    23, 0,	//284  QKeyEvent*
    9, 0,	//286  QDragEnterEvent*
    10, 0,	//288  QDragLeaveEvent*
    11, 0,	//290  QDragMoveEvent*
    13, 0,	//292  QDropEvent*
    18, 0,	//294  QFocusEvent*
    22, 0,	//296  QInputMethodEvent*
    44, 0,	//298  QPainter::RenderHint
    34, 0,	//300  QMoveEvent*
    67, 0,	//302  QTabletEvent*
    2, 0,	//304  QActionEvent*
    207, 0,	//306  _XEvent*
    40, 0,	//308  QPaintDevice::PaintDeviceMetric
    66, 0,	//310  QStyle&
    211, 0,	//312  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyLinkToClipboard",	//19
    "CursiveFont",	//20
    "Cut",	//21
    "DefaultFixedFontSize",	//22
    "DefaultFontSize",	//23
    "DefaultFrameIconGraphic",	//24
    "DelegateAllLinks",	//25
    "DelegateExternalLinks",	//26
    "DeleteButtonGraphic",	//27
    "DeleteEndOfWord",	//28
    "DeleteStartOfWord",	//29
    "DeveloperExtrasEnabled",	//30
    "DnsPrefetchEnabled",	//31
    "DontDelegateLinks",	//32
    "DownloadImageToDisk",	//33
    "DownloadLinkToDisk",	//34
    "DrawChildren",	//35
    "DrawWindowBackground",	//36
    "ErrorPageExtension",	//37
    "ErrorPageExtensionOption",	//38
    "ErrorPageExtensionOption#",	//39
    "ErrorPageExtensionReturn",	//40
    "ErrorPageExtensionReturn#",	//41
    "ExtensionOption",	//42
    "ExtensionOption#",	//43
    "ExtensionReturn",	//44
    "ExtensionReturn#",	//45
    "FantasyFont",	//46
    "FindBackward",	//47
    "FindCaseSensitively",	//48
    "FindWrapsAroundDocument",	//49
    "FixedFont",	//50
    "Forward",	//51
    "FrameFlatteningEnabled",	//52
    "HighlightAllOccurrences",	//53
    "Http",	//54
    "IgnoreMask",	//55
    "Indent",	//56
    "InlineStyle",	//57
    "InsertLineSeparator",	//58
    "InsertOrderedList",	//59
    "InsertParagraphSeparator",	//60
    "InsertUnorderedList",	//61
    "InspectElement",	//62
    "JavaEnabled",	//63
    "JavascriptCanAccessClipboard",	//64
    "JavascriptCanOpenWindows",	//65
    "JavascriptEnabled",	//66
    "LinksIncludedInFocusChain",	//67
    "LocalContentCanAccessFileUrls",	//68
    "LocalContentCanAccessRemoteUrls",	//69
    "LocalStorageDatabaseEnabled",	//70
    "LocalStorageEnabled",	//71
    "MimeType",	//72
    "MimeType#",	//73
    "MinimumFontSize",	//74
    "MinimumLogicalFontSize",	//75
    "MissingImageGraphic",	//76
    "MissingPluginGraphic",	//77
    "MoveToEndOfBlock",	//78
    "MoveToEndOfDocument",	//79
    "MoveToEndOfLine",	//80
    "MoveToNextChar",	//81
    "MoveToNextLine",	//82
    "MoveToNextWord",	//83
    "MoveToPreviousChar",	//84
    "MoveToPreviousLine",	//85
    "MoveToPreviousWord",	//86
    "MoveToStartOfBlock",	//87
    "MoveToStartOfDocument",	//88
    "MoveToStartOfLine",	//89
    "NavigationTypeBackOrForward",	//90
    "NavigationTypeFormResubmitted",	//91
    "NavigationTypeFormSubmitted",	//92
    "NavigationTypeLinkClicked",	//93
    "NavigationTypeOther",	//94
    "NavigationTypeReload",	//95
    "NoWebAction",	//96
    "OfflineStorageDatabaseEnabled",	//97
    "OfflineWebApplicationCacheEnabled",	//98
    "OpenFrameInNewWindow",	//99
    "OpenImageInNewWindow",	//100
    "OpenLink",	//101
    "OpenLinkInNewWindow",	//102
    "Outdent",	//103
    "PanIconLayer",	//104
    "Paste",	//105
    "PasteAndMatchStyle",	//106
    "Plugin",	//107
    "Plugin#",	//108
    "PluginsEnabled",	//109
    "PrintElementBackgrounds",	//110
    "PrivateBrowsingEnabled",	//111
    "QWebDatabase",	//112
    "QWebDatabase#",	//113
    "QWebElement",	//114
    "QWebElement#",	//115
    "QWebElementCollection",	//116
    "QWebElementCollection#",	//117
    "QWebElementCollection#$",	//118
    "QWebHistoryInterface",	//119
    "QWebHistoryInterface#",	//120
    "QWebHistoryItem",	//121
    "QWebHistoryItem#",	//122
    "QWebHitTestResult",	//123
    "QWebHitTestResult#",	//124
    "QWebInspector",	//125
    "QWebInspector#",	//126
    "QWebPage",	//127
    "QWebPage#",	//128
    "QWebPluginFactory",	//129
    "QWebPluginFactory#",	//130
    "QWebSecurityOrigin",	//131
    "QWebSecurityOrigin#",	//132
    "QWebView",	//133
    "QWebView#",	//134
    "QtCriticalMsg",	//135
    "QtDebugMsg",	//136
    "QtFatalMsg",	//137
    "QtNetwork",	//138
    "QtSystemMsg",	//139
    "QtWarningMsg",	//140
    "Redo",	//141
    "Reload",	//142
    "ReloadAndBypassCache",	//143
    "RemoveFormat",	//144
    "SansSerifFont",	//145
    "ScrollBarLayer",	//146
    "SelectAll",	//147
    "SelectEndOfBlock",	//148
    "SelectEndOfDocument",	//149
    "SelectEndOfLine",	//150
    "SelectNextChar",	//151
    "SelectNextLine",	//152
    "SelectNextWord",	//153
    "SelectPreviousChar",	//154
    "SelectPreviousLine",	//155
    "SelectPreviousWord",	//156
    "SelectStartOfBlock",	//157
    "SelectStartOfDocument",	//158
    "SelectStartOfLine",	//159
    "SerifFont",	//160
    "SetTextDirectionDefault",	//161
    "SetTextDirectionLeftToRight",	//162
    "SetTextDirectionRightToLeft",	//163
    "SiteSpecificQuirksEnabled",	//164
    "SpatialNavigationEnabled",	//165
    "StandardFont",	//166
    "Stop",	//167
    "StopScheduledPageRefresh",	//168
    "TextAreaSizeGripCornerGraphic",	//169
    "TiledBackingStoreEnabled",	//170
    "ToggleBold",	//171
    "ToggleItalic",	//172
    "ToggleStrikethrough",	//173
    "ToggleSubscript",	//174
    "ToggleSuperscript",	//175
    "ToggleUnderline",	//176
    "Undo",	//177
    "WebActionCount",	//178
    "WebBrowserWindow",	//179
    "WebKit",	//180
    "WebModalDialog",	//181
    "XSSAuditingEnabled",	//182
    "ZoomTextOnly",	//183
    "_ISalnum",	//184
    "_ISalpha",	//185
    "_ISblank",	//186
    "_IScntrl",	//187
    "_ISdigit",	//188
    "_ISgraph",	//189
    "_ISlower",	//190
    "_ISprint",	//191
    "_ISpunct",	//192
    "_ISspace",	//193
    "_ISupper",	//194
    "_ISxdigit",	//195
    "__codecvt_error",	//196
    "__codecvt_noconv",	//197
    "__codecvt_ok",	//198
    "__codecvt_partial",	//199
    "acceptNavigationRequest",	//200
    "acceptNavigationRequest##$",	//201
    "action",	//202
    "action$",	//203
    "actionEvent",	//204
    "addClass",	//205
    "addClass$",	//206
    "addHistoryEntry",	//207
    "addHistoryEntry$",	//208
    "addLocalScheme",	//209
    "addLocalScheme$",	//210
    "addToJavaScriptWindowObject",	//211
    "addToJavaScriptWindowObject$#",	//212
    "addToJavaScriptWindowObject$#$",	//213
    "allOrigins",	//214
    "alternateText",	//215
    "append",	//216
    "append#",	//217
    "appendInside",	//218
    "appendInside#",	//219
    "appendInside$",	//220
    "appendOutside",	//221
    "appendOutside#",	//222
    "appendOutside$",	//223
    "at",	//224
    "at$",	//225
    "attribute",	//226
    "attribute$",	//227
    "attribute$$",	//228
    "attributeNS",	//229
    "attributeNS$$",	//230
    "attributeNS$$$",	//231
    "attributeNames",	//232
    "attributeNames$",	//233
    "back",	//234
    "backItem",	//235
    "backItems",	//236
    "backItems$",	//237
    "baseUrl",	//238
    "begin",	//239
    "boundingRect",	//240
    "bytesReceived",	//241
    "canGoBack",	//242
    "canGoForward",	//243
    "changeEvent",	//244
    "changeEvent#",	//245
    "childEvent",	//246
    "childFrames",	//247
    "chooseFile",	//248
    "chooseFile#$",	//249
    "classes",	//250
    "clear",	//251
    "clearIconDatabase",	//252
    "clearMemoryCaches",	//253
    "clone",	//254
    "closeEvent",	//255
    "closeEvent#",	//256
    "connectNotify",	//257
    "constBegin",	//258
    "constEnd",	//259
    "const_iterator",	//260
    "const_iterator#",	//261
    "const_iterator#$",	//262
    "content",	//263
    "contentType",	//264
    "contentsChanged",	//265
    "contentsSize",	//266
    "contentsSizeChanged",	//267
    "contentsSizeChanged#",	//268
    "contextMenuEvent",	//269
    "contextMenuEvent#",	//270
    "count",	//271
    "create",	//272
    "create$#??",	//273
    "createPlugin",	//274
    "createPlugin$#??",	//275
    "createStandardContextMenu",	//276
    "createWindow",	//277
    "createWindow$",	//278
    "currentFrame",	//279
    "currentItem",	//280
    "currentItemIndex",	//281
    "customEvent",	//282
    "databaseQuota",	//283
    "databaseQuotaExceeded",	//284
    "databaseQuotaExceeded#$",	//285
    "databaseUsage",	//286
    "databases",	//287
    "defaultInterface",	//288
    "defaultTextEncoding",	//289
    "description",	//290
    "devType",	//291
    "disconnectNotify",	//292
    "displayName",	//293
    "document",	//294
    "documentElement",	//295
    "domain",	//296
    "downloadRequested",	//297
    "downloadRequested#",	//298
    "dragEnterEvent",	//299
    "dragEnterEvent#",	//300
    "dragLeaveEvent",	//301
    "dragLeaveEvent#",	//302
    "dragMoveEvent",	//303
    "dragMoveEvent#",	//304
    "dropEvent",	//305
    "dropEvent#",	//306
    "element",	//307
    "enablePersistentStorage",	//308
    "enablePersistentStorage$",	//309
    "enabledChange",	//310
    "encloseContentsWith",	//311
    "encloseContentsWith#",	//312
    "encloseContentsWith$",	//313
    "encloseWith",	//314
    "encloseWith#",	//315
    "encloseWith$",	//316
    "enclosingBlockElement",	//317
    "encoding",	//318
    "end",	//319
    "enterEvent",	//320
    "error",	//321
    "errorString",	//322
    "evaluateJavaScript",	//323
    "evaluateJavaScript$",	//324
    "event",	//325
    "event#",	//326
    "eventFilter",	//327
    "expectedSize",	//328
    "extension",	//329
    "extension$",	//330
    "extension$#",	//331
    "extension$##",	//332
    "fileExtensions",	//333
    "fileName",	//334
    "fileNames",	//335
    "findAll",	//336
    "findAll$",	//337
    "findAllElements",	//338
    "findAllElements$",	//339
    "findFirst",	//340
    "findFirst$",	//341
    "findFirstElement",	//342
    "findFirstElement$",	//343
    "findText",	//344
    "findText$",	//345
    "findText$$",	//346
    "first",	//347
    "firstChild",	//348
    "focusInEvent",	//349
    "focusInEvent#",	//350
    "focusNextPrevChild",	//351
    "focusNextPrevChild$",	//352
    "focusOutEvent",	//353
    "focusOutEvent#",	//354
    "fontChange",	//355
    "fontFamily",	//356
    "fontFamily$",	//357
    "fontSize",	//358
    "fontSize$",	//359
    "forward",	//360
    "forwardItem",	//361
    "forwardItems",	//362
    "forwardItems$",	//363
    "forwardUnsupportedContent",	//364
    "frame",	//365
    "frameAt",	//366
    "frameAt#",	//367
    "frameCreated",	//368
    "frameCreated#",	//369
    "frameName",	//370
    "geometry",	//371
    "geometryChangeRequested",	//372
    "geometryChangeRequested#",	//373
    "globalSettings",	//374
    "goToItem",	//375
    "goToItem#",	//376
    "handle",	//377
    "hasAttribute",	//378
    "hasAttribute$",	//379
    "hasAttributeNS",	//380
    "hasAttributeNS$$",	//381
    "hasAttributes",	//382
    "hasClass",	//383
    "hasClass$",	//384
    "hasFocus",	//385
    "heightForWidth",	//386
    "hideEvent",	//387
    "hideEvent#",	//388
    "history",	//389
    "historyContains",	//390
    "historyContains$",	//391
    "hitTestContent",	//392
    "hitTestContent#",	//393
    "host",	//394
    "icon",	//395
    "iconChanged",	//396
    "iconDatabasePath",	//397
    "iconForUrl",	//398
    "iconForUrl#",	//399
    "imageUrl",	//400
    "initialLayoutCompleted",	//401
    "inputMethodEvent",	//402
    "inputMethodEvent#",	//403
    "inputMethodQuery",	//404
    "inputMethodQuery$",	//405
    "isContentEditable",	//406
    "isContentSelected",	//407
    "isModified",	//408
    "isNull",	//409
    "isValid",	//410
    "itemAt",	//411
    "itemAt$",	//412
    "items",	//413
    "iterator",	//414
    "iterator#",	//415
    "iterator#$",	//416
    "javaScriptAlert",	//417
    "javaScriptAlert#$",	//418
    "javaScriptConfirm",	//419
    "javaScriptConfirm#$",	//420
    "javaScriptConsoleMessage",	//421
    "javaScriptConsoleMessage$$$",	//422
    "javaScriptPrompt",	//423
    "javaScriptPrompt#$$$",	//424
    "javaScriptWindowObjectCleared",	//425
    "keyPressEvent",	//426
    "keyPressEvent#",	//427
    "keyReleaseEvent",	//428
    "keyReleaseEvent#",	//429
    "languageChange",	//430
    "last",	//431
    "lastChild",	//432
    "lastVisited",	//433
    "leaveEvent",	//434
    "linkClicked",	//435
    "linkClicked#",	//436
    "linkDelegationPolicy",	//437
    "linkElement",	//438
    "linkHovered",	//439
    "linkHovered$$$",	//440
    "linkTargetFrame",	//441
    "linkText",	//442
    "linkTitle",	//443
    "linkUrl",	//444
    "load",	//445
    "load#",	//446
    "load#$",	//447
    "load#$#",	//448
    "loadFinished",	//449
    "loadFinished$",	//450
    "loadProgress",	//451
    "loadProgress$",	//452
    "loadStarted",	//453
    "localName",	//454
    "localSchemes",	//455
    "localStoragePath",	//456
    "mainFrame",	//457
    "maximumItemCount",	//458
    "maximumPagesInCache",	//459
    "menuBarVisibilityChangeRequested",	//460
    "menuBarVisibilityChangeRequested$",	//461
    "metaData",	//462
    "metaObject",	//463
    "metric",	//464
    "microFocusChanged",	//465
    "mimeTypes",	//466
    "minimumSizeHint",	//467
    "mouseDoubleClickEvent",	//468
    "mouseDoubleClickEvent#",	//469
    "mouseMoveEvent",	//470
    "mouseMoveEvent#",	//471
    "mousePressEvent",	//472
    "mousePressEvent#",	//473
    "mouseReleaseEvent",	//474
    "mouseReleaseEvent#",	//475
    "moveEvent",	//476
    "name",	//477
    "namespaceUri",	//478
    "networkAccessManager",	//479
    "nextSibling",	//480
    "offlineStorageDefaultQuota",	//481
    "offlineStoragePath",	//482
    "offlineWebApplicationCachePath",	//483
    "offlineWebApplicationCacheQuota",	//484
    "operator!=",	//485
    "operator!=#",	//486
    "operator*",	//487
    "operator+",	//488
    "operator+#",	//489
    "operator+$",	//490
    "operator++",	//491
    "operator++$",	//492
    "operator+=",	//493
    "operator+=#",	//494
    "operator+=$",	//495
    "operator-",	//496
    "operator-#",	//497
    "operator-$",	//498
    "operator--",	//499
    "operator--$",	//500
    "operator-=",	//501
    "operator-=$",	//502
    "operator<",	//503
    "operator<#",	//504
    "operator<=",	//505
    "operator<=#",	//506
    "operator=",	//507
    "operator=#",	//508
    "operator==",	//509
    "operator==#",	//510
    "operator>",	//511
    "operator>#",	//512
    "operator>=",	//513
    "operator>=#",	//514
    "operator[]",	//515
    "operator[]$",	//516
    "origin",	//517
    "originalUrl",	//518
    "page",	//519
    "pageAction",	//520
    "pageAction$",	//521
    "pageChanged",	//522
    "paintEngine",	//523
    "paintEvent",	//524
    "paintEvent#",	//525
    "palette",	//526
    "paletteChange",	//527
    "parent",	//528
    "parentFrame",	//529
    "pixmap",	//530
    "pluginFactory",	//531
    "plugins",	//532
    "port",	//533
    "pos",	//534
    "preferredContentsSize",	//535
    "prefix",	//536
    "prependInside",	//537
    "prependInside#",	//538
    "prependInside$",	//539
    "prependOutside",	//540
    "prependOutside#",	//541
    "prependOutside$",	//542
    "previousSibling",	//543
    "print",	//544
    "print#",	//545
    "printRequested",	//546
    "printRequested#",	//547
    "provisionalLoad",	//548
    "qt_metacall",	//549
    "qt_metacall$$?",	//550
    "qt_metacast",	//551
    "qt_metacast$",	//552
    "refreshPlugins",	//553
    "reload",	//554
    "removeAllChildren",	//555
    "removeAllDatabases",	//556
    "removeAttribute",	//557
    "removeAttribute$",	//558
    "removeAttributeNS",	//559
    "removeAttributeNS$$",	//560
    "removeClass",	//561
    "removeClass$",	//562
    "removeDatabase",	//563
    "removeDatabase#",	//564
    "removeFromDocument",	//565
    "removeLocalScheme",	//566
    "removeLocalScheme$",	//567
    "render",	//568
    "render#",	//569
    "render##",	//570
    "render#$",	//571
    "render#$#",	//572
    "renderHints",	//573
    "renderTreeDump",	//574
    "repaintRequested",	//575
    "repaintRequested#",	//576
    "replace",	//577
    "replace#",	//578
    "replace$",	//579
    "requestedUrl",	//580
    "resetAttribute",	//581
    "resetAttribute$",	//582
    "resetFontFamily",	//583
    "resetFontFamily$",	//584
    "resetFontSize",	//585
    "resetFontSize$",	//586
    "resizeEvent",	//587
    "resizeEvent#",	//588
    "restoreFrameStateRequested",	//589
    "restoreFrameStateRequested#",	//590
    "saveFrameStateRequested",	//591
    "saveFrameStateRequested##",	//592
    "scheme",	//593
    "scroll",	//594
    "scroll$$",	//595
    "scrollBarGeometry",	//596
    "scrollBarGeometry$",	//597
    "scrollBarMaximum",	//598
    "scrollBarMaximum$",	//599
    "scrollBarMinimum",	//600
    "scrollBarMinimum$",	//601
    "scrollBarPolicy",	//602
    "scrollBarPolicy$",	//603
    "scrollBarValue",	//604
    "scrollBarValue$",	//605
    "scrollPosition",	//606
    "scrollRequested",	//607
    "scrollRequested$$#",	//608
    "scrollToAnchor",	//609
    "scrollToAnchor$",	//610
    "securityOrigin",	//611
    "selectedText",	//612
    "selectionChanged",	//613
    "setAttribute",	//614
    "setAttribute$$",	//615
    "setAttributeNS",	//616
    "setAttributeNS$$$",	//617
    "setBaseUrl",	//618
    "setBaseUrl#",	//619
    "setContent",	//620
    "setContent#",	//621
    "setContent#$",	//622
    "setContent#$#",	//623
    "setContentEditable",	//624
    "setContentEditable$",	//625
    "setContentType",	//626
    "setContentType$",	//627
    "setDatabaseQuota",	//628
    "setDatabaseQuota$",	//629
    "setDefaultInterface",	//630
    "setDefaultInterface#",	//631
    "setDefaultTextEncoding",	//632
    "setDefaultTextEncoding$",	//633
    "setDescription",	//634
    "setDescription$",	//635
    "setDomain",	//636
    "setDomain$",	//637
    "setEncoding",	//638
    "setEncoding$",	//639
    "setError",	//640
    "setError$",	//641
    "setErrorString",	//642
    "setErrorString$",	//643
    "setFileExtensions",	//644
    "setFileExtensions?",	//645
    "setFileNames",	//646
    "setFileNames?",	//647
    "setFocus",	//648
    "setFontFamily",	//649
    "setFontFamily$$",	//650
    "setFontSize",	//651
    "setFontSize$$",	//652
    "setForwardUnsupportedContent",	//653
    "setForwardUnsupportedContent$",	//654
    "setFrame",	//655
    "setFrame#",	//656
    "setHtml",	//657
    "setHtml$",	//658
    "setHtml$#",	//659
    "setIconDatabasePath",	//660
    "setIconDatabasePath$",	//661
    "setInnerXml",	//662
    "setInnerXml$",	//663
    "setLinkDelegationPolicy",	//664
    "setLinkDelegationPolicy$",	//665
    "setLocalStoragePath",	//666
    "setLocalStoragePath$",	//667
    "setMaximumItemCount",	//668
    "setMaximumItemCount$",	//669
    "setMaximumPagesInCache",	//670
    "setMaximumPagesInCache$",	//671
    "setMimeTypes",	//672
    "setMimeTypes?",	//673
    "setName",	//674
    "setName$",	//675
    "setNetworkAccessManager",	//676
    "setNetworkAccessManager#",	//677
    "setObjectCacheCapacities",	//678
    "setObjectCacheCapacities$$$",	//679
    "setOfflineStorageDefaultQuota",	//680
    "setOfflineStorageDefaultQuota$",	//681
    "setOfflineStoragePath",	//682
    "setOfflineStoragePath$",	//683
    "setOfflineWebApplicationCachePath",	//684
    "setOfflineWebApplicationCachePath$",	//685
    "setOfflineWebApplicationCacheQuota",	//686
    "setOfflineWebApplicationCacheQuota$",	//687
    "setOuterXml",	//688
    "setOuterXml$",	//689
    "setPage",	//690
    "setPage#",	//691
    "setPalette",	//692
    "setPalette#",	//693
    "setParentFrame",	//694
    "setParentFrame#",	//695
    "setPlainText",	//696
    "setPlainText$",	//697
    "setPluginFactory",	//698
    "setPluginFactory#",	//699
    "setPreferredContentsSize",	//700
    "setPreferredContentsSize#",	//701
    "setRenderHint",	//702
    "setRenderHint$",	//703
    "setRenderHint$$",	//704
    "setRenderHints",	//705
    "setRenderHints$",	//706
    "setScrollBarPolicy",	//707
    "setScrollBarPolicy$$",	//708
    "setScrollBarValue",	//709
    "setScrollBarValue$$",	//710
    "setScrollPosition",	//711
    "setScrollPosition#",	//712
    "setStyleProperty",	//713
    "setStyleProperty$$",	//714
    "setSuggestedFileNames",	//715
    "setSuggestedFileNames?",	//716
    "setTextSizeMultiplier",	//717
    "setTextSizeMultiplier$",	//718
    "setUrl",	//719
    "setUrl#",	//720
    "setUserData",	//721
    "setUserData#",	//722
    "setUserStyleSheetUrl",	//723
    "setUserStyleSheetUrl#",	//724
    "setView",	//725
    "setView#",	//726
    "setViewportSize",	//727
    "setViewportSize#",	//728
    "setVisible",	//729
    "setWebGraphic",	//730
    "setWebGraphic$#",	//731
    "setZoomFactor",	//732
    "setZoomFactor$",	//733
    "settings",	//734
    "shouldInterruptJavaScript",	//735
    "showEvent",	//736
    "showEvent#",	//737
    "size",	//738
    "sizeHint",	//739
    "staticMetaObject",	//740
    "statusBarMessage",	//741
    "statusBarMessage$",	//742
    "statusBarVisibilityChangeRequested",	//743
    "statusBarVisibilityChangeRequested$",	//744
    "stop",	//745
    "styleChange",	//746
    "styleProperty",	//747
    "styleProperty$$",	//748
    "suggestedFileNames",	//749
    "supportsExtension",	//750
    "supportsExtension$",	//751
    "swallowContextMenuEvent",	//752
    "swallowContextMenuEvent#",	//753
    "tabletEvent",	//754
    "tagName",	//755
    "takeFromDocument",	//756
    "testAttribute",	//757
    "testAttribute$",	//758
    "textSizeMultiplier",	//759
    "timerEvent",	//760
    "title",	//761
    "titleChanged",	//762
    "titleChanged$",	//763
    "toHtml",	//764
    "toInnerXml",	//765
    "toList",	//766
    "toOuterXml",	//767
    "toPlainText",	//768
    "toggleClass",	//769
    "toggleClass$",	//770
    "toolBarVisibilityChangeRequested",	//771
    "toolBarVisibilityChangeRequested$",	//772
    "totalBytes",	//773
    "tr",	//774
    "tr$",	//775
    "tr$$",	//776
    "tr$$$",	//777
    "trUtf8",	//778
    "trUtf8$",	//779
    "trUtf8$$",	//780
    "trUtf8$$$",	//781
    "triggerAction",	//782
    "triggerAction$",	//783
    "triggerAction$$",	//784
    "triggerPageAction",	//785
    "triggerPageAction$",	//786
    "triggerPageAction$$",	//787
    "undoStack",	//788
    "unsupportedContent",	//789
    "unsupportedContent#",	//790
    "updatePositionDependentActions",	//791
    "updatePositionDependentActions#",	//792
    "url",	//793
    "urlChanged",	//794
    "urlChanged#",	//795
    "userAgentForUrl",	//796
    "userAgentForUrl#",	//797
    "userData",	//798
    "userStyleSheetUrl",	//799
    "view",	//800
    "viewportSize",	//801
    "webFrame",	//802
    "webGraphic",	//803
    "webGraphic$",	//804
    "wheelEvent",	//805
    "wheelEvent#",	//806
    "windowActivationChange",	//807
    "windowCloseRequested",	//808
    "x11Event",	//809
    "zoomFactor",	//810
    "~ChooseMultipleFilesExtensionOption",	//811
    "~ChooseMultipleFilesExtensionReturn",	//812
    "~ErrorPageExtensionOption",	//813
    "~ErrorPageExtensionReturn",	//814
    "~ExtensionOption",	//815
    "~ExtensionReturn",	//816
    "~MimeType",	//817
    "~Plugin",	//818
    "~QWebDatabase",	//819
    "~QWebElement",	//820
    "~QWebElementCollection",	//821
    "~QWebHistoryInterface",	//822
    "~QWebHistoryItem",	//823
    "~QWebHitTestResult",	//824
    "~QWebInspector",	//825
    "~QWebPage",	//826
    "~QWebPluginFactory",	//827
    "~QWebSecurityOrigin",	//828
    "~QWebView",	//829
    "~const_iterator",	//830
    "~iterator",	//831
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 1},	//1 QGlobalSpace::_ISupper (enum)
    {16, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 2},	//2 QGlobalSpace::_ISlower (enum)
    {16, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 3},	//3 QGlobalSpace::_ISalpha (enum)
    {16, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 4},	//4 QGlobalSpace::_ISdigit (enum)
    {16, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 5},	//5 QGlobalSpace::_ISxdigit (enum)
    {16, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 6},	//6 QGlobalSpace::_ISspace (enum)
    {16, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 7},	//7 QGlobalSpace::_ISprint (enum)
    {16, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 8},	//8 QGlobalSpace::_ISgraph (enum)
    {16, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 9},	//9 QGlobalSpace::_ISblank (enum)
    {16, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 10},	//10 QGlobalSpace::_IScntrl (enum)
    {16, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 11},	//11 QGlobalSpace::_ISpunct (enum)
    {16, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 12},	//12 QGlobalSpace::_ISalnum (enum)
    {16, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 13},	//13 QGlobalSpace::QtDebugMsg (enum)
    {16, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 14},	//14 QGlobalSpace::QtWarningMsg (enum)
    {16, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 15},	//15 QGlobalSpace::QtCriticalMsg (enum)
    {16, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 16},	//16 QGlobalSpace::QtFatalMsg (enum)
    {16, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 17},	//17 QGlobalSpace::QtSystemMsg (enum)
    {16, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 18},	//18 QGlobalSpace::__codecvt_ok (enum)
    {16, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 19},	//19 QGlobalSpace::__codecvt_partial (enum)
    {16, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 20},	//20 QGlobalSpace::__codecvt_error (enum)
    {16, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 21},	//21 QGlobalSpace::__codecvt_noconv (enum)
    {29, 325, 1, 1, Smoke::mf_virtual, 209, 0},	//22 QObject::event(QEvent*)
    {29, 327, 3, 2, Smoke::mf_virtual, 209, 0},	//23 QObject::eventFilter(QObject*, QEvent*)
    {29, 760, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QObject::timerEvent(QTimerEvent*)
    {29, 246, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QObject::childEvent(QChildEvent*)
    {29, 282, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QObject::customEvent(QEvent*)
    {29, 257, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QObject::connectNotify(const char*)
    {29, 292, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QObject::disconnectNotify(const char*)
    {49, 112, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 1},	//29 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 507, 12, 1, 0, 73, 2},	//30 QWebDatabase::operator=(const QWebDatabase&)
    {49, 477, 0, 0, Smoke::mf_const, 60, 3},	//31 QWebDatabase::name() const
    {49, 293, 0, 0, Smoke::mf_const, 60, 4},	//32 QWebDatabase::displayName() const
    {49, 328, 0, 0, Smoke::mf_const, 255, 5},	//33 QWebDatabase::expectedSize() const
    {49, 738, 0, 0, Smoke::mf_const, 255, 6},	//34 QWebDatabase::size() const
    {49, 334, 0, 0, Smoke::mf_const, 60, 7},	//35 QWebDatabase::fileName() const
    {49, 517, 0, 0, Smoke::mf_const, 120, 8},	//36 QWebDatabase::origin() const
    {49, 563, 12, 1, Smoke::mf_static, 0, 9},	//37 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 556, 0, 0, Smoke::mf_static, 0, 10},	//38 QWebDatabase::removeAllDatabases()
    {49, 819, 0, 0, Smoke::mf_dtor, 0, 11 },	//39 QWebDatabase::~QWebDatabase()
    {50, 114, 0, 0, Smoke::mf_ctor, 77, 1},	//40 QWebElement::QWebElement()
    {50, 114, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//41 QWebElement::QWebElement(const QWebElement&)
    {50, 507, 14, 1, 0, 76, 3},	//42 QWebElement::operator=(const QWebElement&)
    {50, 509, 14, 1, Smoke::mf_const, 209, 4},	//43 QWebElement::operator==(const QWebElement&) const
    {50, 485, 14, 1, Smoke::mf_const, 209, 5},	//44 QWebElement::operator!=(const QWebElement&) const
    {50, 409, 0, 0, Smoke::mf_const, 209, 6},	//45 QWebElement::isNull() const
    {50, 336, 16, 1, Smoke::mf_const, 79, 7},	//46 QWebElement::findAll(const QString&) const
    {50, 340, 16, 1, Smoke::mf_const, 75, 8},	//47 QWebElement::findFirst(const QString&) const
    {50, 696, 16, 1, 0, 0, 9},	//48 QWebElement::setPlainText(const QString&)
    {50, 768, 0, 0, Smoke::mf_const, 60, 10},	//49 QWebElement::toPlainText() const
    {50, 688, 16, 1, 0, 0, 11},	//50 QWebElement::setOuterXml(const QString&)
    {50, 767, 0, 0, Smoke::mf_const, 60, 12},	//51 QWebElement::toOuterXml() const
    {50, 662, 16, 1, 0, 0, 13},	//52 QWebElement::setInnerXml(const QString&)
    {50, 765, 0, 0, Smoke::mf_const, 60, 14},	//53 QWebElement::toInnerXml() const
    {50, 614, 18, 2, 0, 0, 15},	//54 QWebElement::setAttribute(const QString&, const QString&)
    {50, 616, 21, 3, 0, 0, 16},	//55 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 226, 18, 2, Smoke::mf_const, 60, 17},	//56 QWebElement::attribute(const QString&, const QString&) const
    {50, 229, 21, 3, Smoke::mf_const, 60, 18},	//57 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 378, 16, 1, Smoke::mf_const, 209, 19},	//58 QWebElement::hasAttribute(const QString&) const
    {50, 380, 18, 2, Smoke::mf_const, 209, 20},	//59 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 557, 16, 1, 0, 0, 21},	//60 QWebElement::removeAttribute(const QString&)
    {50, 559, 18, 2, 0, 0, 22},	//61 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 382, 0, 0, Smoke::mf_const, 209, 23},	//62 QWebElement::hasAttributes() const
    {50, 232, 16, 1, Smoke::mf_const, 63, 24},	//63 QWebElement::attributeNames(const QString&) const
    {50, 250, 0, 0, Smoke::mf_const, 63, 25},	//64 QWebElement::classes() const
    {50, 383, 16, 1, Smoke::mf_const, 209, 26},	//65 QWebElement::hasClass(const QString&) const
    {50, 205, 16, 1, 0, 0, 27},	//66 QWebElement::addClass(const QString&)
    {50, 561, 16, 1, 0, 0, 28},	//67 QWebElement::removeClass(const QString&)
    {50, 769, 16, 1, 0, 0, 29},	//68 QWebElement::toggleClass(const QString&)
    {50, 385, 0, 0, Smoke::mf_const, 209, 30},	//69 QWebElement::hasFocus() const
    {50, 648, 0, 0, 0, 0, 31},	//70 QWebElement::setFocus()
    {50, 371, 0, 0, Smoke::mf_const, 49, 32},	//71 QWebElement::geometry() const
    {50, 755, 0, 0, Smoke::mf_const, 60, 33},	//72 QWebElement::tagName() const
    {50, 536, 0, 0, Smoke::mf_const, 60, 34},	//73 QWebElement::prefix() const
    {50, 454, 0, 0, Smoke::mf_const, 60, 35},	//74 QWebElement::localName() const
    {50, 478, 0, 0, Smoke::mf_const, 60, 36},	//75 QWebElement::namespaceUri() const
    {50, 528, 0, 0, Smoke::mf_const, 75, 37},	//76 QWebElement::parent() const
    {50, 348, 0, 0, Smoke::mf_const, 75, 38},	//77 QWebElement::firstChild() const
    {50, 432, 0, 0, Smoke::mf_const, 75, 39},	//78 QWebElement::lastChild() const
    {50, 480, 0, 0, Smoke::mf_const, 75, 40},	//79 QWebElement::nextSibling() const
    {50, 543, 0, 0, Smoke::mf_const, 75, 41},	//80 QWebElement::previousSibling() const
    {50, 294, 0, 0, Smoke::mf_const, 75, 42},	//81 QWebElement::document() const
    {50, 802, 0, 0, Smoke::mf_const, 88, 43},	//82 QWebElement::webFrame() const
    {50, 218, 16, 1, 0, 0, 44},	//83 QWebElement::appendInside(const QString&)
    {50, 218, 14, 1, 0, 0, 45},	//84 QWebElement::appendInside(const QWebElement&)
    {50, 537, 16, 1, 0, 0, 46},	//85 QWebElement::prependInside(const QString&)
    {50, 537, 14, 1, 0, 0, 47},	//86 QWebElement::prependInside(const QWebElement&)
    {50, 221, 16, 1, 0, 0, 48},	//87 QWebElement::appendOutside(const QString&)
    {50, 221, 14, 1, 0, 0, 49},	//88 QWebElement::appendOutside(const QWebElement&)
    {50, 540, 16, 1, 0, 0, 50},	//89 QWebElement::prependOutside(const QString&)
    {50, 540, 14, 1, 0, 0, 51},	//90 QWebElement::prependOutside(const QWebElement&)
    {50, 311, 14, 1, 0, 0, 52},	//91 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 311, 16, 1, 0, 0, 53},	//92 QWebElement::encloseContentsWith(const QString&)
    {50, 314, 16, 1, 0, 0, 54},	//93 QWebElement::encloseWith(const QString&)
    {50, 314, 14, 1, 0, 0, 55},	//94 QWebElement::encloseWith(const QWebElement&)
    {50, 577, 16, 1, 0, 0, 56},	//95 QWebElement::replace(const QString&)
    {50, 577, 14, 1, 0, 0, 57},	//96 QWebElement::replace(const QWebElement&)
    {50, 254, 0, 0, Smoke::mf_const, 75, 58},	//97 QWebElement::clone() const
    {50, 756, 0, 0, 0, 76, 59},	//98 QWebElement::takeFromDocument()
    {50, 565, 0, 0, 0, 0, 60},	//99 QWebElement::removeFromDocument()
    {50, 555, 0, 0, 0, 0, 61},	//100 QWebElement::removeAllChildren()
    {50, 323, 16, 1, 0, 72, 62},	//101 QWebElement::evaluateJavaScript(const QString&)
    {50, 747, 25, 2, Smoke::mf_const, 60, 63},	//102 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 713, 18, 2, 0, 0, 64},	//103 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 568, 28, 1, 0, 0, 65},	//104 QWebElement::render(QPainter*)
    {50, 226, 16, 1, Smoke::mf_const, 60, 66},	//105 QWebElement::attribute(const QString&) const
    {50, 229, 18, 2, Smoke::mf_const, 60, 67},	//106 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 232, 0, 0, Smoke::mf_const, 63, 68},	//107 QWebElement::attributeNames() const
    {50, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 69},	//108 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 70},	//109 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 71},	//110 QWebElement::ComputedStyle (enum)
    {50, 820, 0, 0, Smoke::mf_dtor, 0, 72 },	//111 QWebElement::~QWebElement()
    {51, 116, 0, 0, Smoke::mf_ctor, 81, 1},	//112 QWebElementCollection::QWebElementCollection()
    {51, 116, 30, 2, Smoke::mf_ctor, 81, 2},	//113 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 116, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 3},	//114 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 507, 33, 1, 0, 80, 4},	//115 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 488, 33, 1, Smoke::mf_const, 79, 5},	//116 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 493, 33, 1, 0, 80, 6},	//117 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 216, 33, 1, 0, 0, 7},	//118 QWebElementCollection::append(const QWebElementCollection&)
    {51, 271, 0, 0, Smoke::mf_const, 253, 8},	//119 QWebElementCollection::count() const
    {51, 224, 35, 1, Smoke::mf_const, 75, 9},	//120 QWebElementCollection::at(int) const
    {51, 515, 35, 1, Smoke::mf_const, 75, 10},	//121 QWebElementCollection::operator[](int) const
    {51, 347, 0, 0, Smoke::mf_const, 75, 11},	//122 QWebElementCollection::first() const
    {51, 431, 0, 0, Smoke::mf_const, 75, 12},	//123 QWebElementCollection::last() const
    {51, 766, 0, 0, Smoke::mf_const, 25, 13},	//124 QWebElementCollection::toList() const
    {51, 239, 0, 0, Smoke::mf_const, 82, 14},	//125 QWebElementCollection::begin() const
    {51, 319, 0, 0, Smoke::mf_const, 82, 15},	//126 QWebElementCollection::end() const
    {51, 258, 0, 0, Smoke::mf_const, 82, 16},	//127 QWebElementCollection::constBegin() const
    {51, 259, 0, 0, Smoke::mf_const, 82, 17},	//128 QWebElementCollection::constEnd() const
    {51, 239, 0, 0, 0, 85, 18},	//129 QWebElementCollection::begin()
    {51, 319, 0, 0, 0, 85, 19},	//130 QWebElementCollection::end()
    {51, 821, 0, 0, Smoke::mf_dtor, 0, 20 },	//131 QWebElementCollection::~QWebElementCollection()
    {52, 260, 37, 2, Smoke::mf_ctor, 84, 1},	//132 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 260, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//133 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 487, 0, 0, Smoke::mf_const, 229, 3},	//134 QWebElementCollection::const_iterator::operator*() const
    {52, 509, 40, 1, Smoke::mf_const, 209, 4},	//135 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 485, 40, 1, Smoke::mf_const, 209, 5},	//136 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 503, 40, 1, Smoke::mf_const, 209, 6},	//137 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 505, 40, 1, Smoke::mf_const, 209, 7},	//138 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 511, 40, 1, Smoke::mf_const, 209, 8},	//139 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 513, 40, 1, Smoke::mf_const, 209, 9},	//140 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 491, 0, 0, 0, 83, 10},	//141 QWebElementCollection::const_iterator::operator++()
    {52, 491, 35, 1, 0, 82, 11},	//142 QWebElementCollection::const_iterator::operator++(int)
    {52, 499, 0, 0, 0, 83, 12},	//143 QWebElementCollection::const_iterator::operator--()
    {52, 499, 35, 1, 0, 82, 13},	//144 QWebElementCollection::const_iterator::operator--(int)
    {52, 493, 35, 1, 0, 83, 14},	//145 QWebElementCollection::const_iterator::operator+=(int)
    {52, 501, 35, 1, 0, 83, 15},	//146 QWebElementCollection::const_iterator::operator-=(int)
    {52, 488, 35, 1, Smoke::mf_const, 82, 16},	//147 QWebElementCollection::const_iterator::operator+(int) const
    {52, 496, 35, 1, Smoke::mf_const, 82, 17},	//148 QWebElementCollection::const_iterator::operator-(int) const
    {52, 496, 42, 1, Smoke::mf_const, 253, 18},	//149 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 830, 0, 0, Smoke::mf_dtor, 0, 19 },	//150 QWebElementCollection::const_iterator::~const_iterator()
    {53, 414, 37, 2, Smoke::mf_ctor, 87, 1},	//151 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 414, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//152 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 487, 0, 0, Smoke::mf_const, 75, 3},	//153 QWebElementCollection::iterator::operator*() const
    {53, 509, 44, 1, Smoke::mf_const, 209, 4},	//154 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 485, 44, 1, Smoke::mf_const, 209, 5},	//155 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 503, 44, 1, Smoke::mf_const, 209, 6},	//156 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 505, 44, 1, Smoke::mf_const, 209, 7},	//157 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 511, 44, 1, Smoke::mf_const, 209, 8},	//158 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 513, 44, 1, Smoke::mf_const, 209, 9},	//159 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 491, 0, 0, 0, 86, 10},	//160 QWebElementCollection::iterator::operator++()
    {53, 491, 35, 1, 0, 85, 11},	//161 QWebElementCollection::iterator::operator++(int)
    {53, 499, 0, 0, 0, 86, 12},	//162 QWebElementCollection::iterator::operator--()
    {53, 499, 35, 1, 0, 85, 13},	//163 QWebElementCollection::iterator::operator--(int)
    {53, 493, 35, 1, 0, 86, 14},	//164 QWebElementCollection::iterator::operator+=(int)
    {53, 501, 35, 1, 0, 86, 15},	//165 QWebElementCollection::iterator::operator-=(int)
    {53, 488, 35, 1, Smoke::mf_const, 85, 16},	//166 QWebElementCollection::iterator::operator+(int) const
    {53, 496, 35, 1, Smoke::mf_const, 85, 17},	//167 QWebElementCollection::iterator::operator-(int) const
    {53, 496, 46, 1, Smoke::mf_const, 253, 18},	//168 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 831, 0, 0, Smoke::mf_dtor, 0, 19 },	//169 QWebElementCollection::iterator::~iterator()
    {54, 463, 0, 0, Smoke::mf_const, 214, 1},	//170 QWebFrame::metaObject() const
    {54, 551, 10, 1, 0, 260, 2},	//171 QWebFrame::qt_metacast(const char*)
    {54, 774, 48, 2, Smoke::mf_static, 60, 3},	//172 QWebFrame::tr(const char*, const char*)
    {54, 778, 48, 2, Smoke::mf_static, 60, 4},	//173 QWebFrame::trUtf8(const char*, const char*)
    {54, 774, 51, 3, Smoke::mf_static, 60, 5},	//174 QWebFrame::tr(const char*, const char*, int)
    {54, 778, 51, 3, Smoke::mf_static, 60, 6},	//175 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 549, 55, 3, 0, 253, 7},	//176 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 519, 0, 0, Smoke::mf_const, 99, 8},	//177 QWebFrame::page() const
    {54, 445, 59, 1, 0, 0, 9},	//178 QWebFrame::load(const QUrl&)
    {54, 445, 61, 3, 0, 0, 10},	//179 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 657, 65, 2, 0, 0, 11},	//180 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 620, 68, 3, 0, 0, 12},	//181 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 211, 72, 2, 0, 0, 13},	//182 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 211, 75, 3, 0, 0, 14},	//183 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 764, 0, 0, Smoke::mf_const, 60, 15},	//184 QWebFrame::toHtml() const
    {54, 768, 0, 0, Smoke::mf_const, 60, 16},	//185 QWebFrame::toPlainText() const
    {54, 574, 0, 0, Smoke::mf_const, 60, 17},	//186 QWebFrame::renderTreeDump() const
    {54, 761, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 18},	//187 QWebFrame::title() const
    {54, 719, 59, 1, Smoke::mf_property, 0, 19},	//188 QWebFrame::setUrl(const QUrl&)
    {54, 793, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 20},	//189 QWebFrame::url() const
    {54, 580, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 21},	//190 QWebFrame::requestedUrl() const
    {54, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 22},	//191 QWebFrame::baseUrl() const
    {54, 395, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//192 QWebFrame::icon() const
    {54, 462, 0, 0, Smoke::mf_const, 35, 24},	//193 QWebFrame::metaData() const
    {54, 370, 0, 0, Smoke::mf_const, 60, 25},	//194 QWebFrame::frameName() const
    {54, 529, 0, 0, Smoke::mf_const, 88, 26},	//195 QWebFrame::parentFrame() const
    {54, 247, 0, 0, Smoke::mf_const, 26, 27},	//196 QWebFrame::childFrames() const
    {54, 602, 79, 1, Smoke::mf_const, 181, 28},	//197 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 707, 81, 2, 0, 0, 29},	//198 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 709, 84, 2, 0, 0, 30},	//199 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 604, 79, 1, Smoke::mf_const, 253, 31},	//200 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 600, 79, 1, Smoke::mf_const, 253, 32},	//201 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 598, 79, 1, Smoke::mf_const, 253, 33},	//202 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 596, 79, 1, Smoke::mf_const, 49, 34},	//203 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 594, 87, 2, 0, 0, 35},	//204 QWebFrame::scroll(int, int)
    {54, 606, 0, 0, Smoke::mf_const|Smoke::mf_property, 47, 36},	//205 QWebFrame::scrollPosition() const
    {54, 711, 90, 1, Smoke::mf_property, 0, 37},	//206 QWebFrame::setScrollPosition(const QPoint&)
    {54, 609, 16, 1, 0, 0, 38},	//207 QWebFrame::scrollToAnchor(const QString&)
    {54, 568, 28, 1, 0, 0, 39},	//208 QWebFrame::render(QPainter*)
    {54, 568, 92, 2, 0, 0, 40},	//209 QWebFrame::render(QPainter*, const QRegion&)
    {54, 568, 95, 3, 0, 0, 41},	//210 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 717, 99, 1, 0, 0, 42},	//211 QWebFrame::setTextSizeMultiplier(double)
    {54, 759, 0, 0, Smoke::mf_const, 252, 43},	//212 QWebFrame::textSizeMultiplier() const
    {54, 810, 0, 0, Smoke::mf_const, 252, 44},	//213 QWebFrame::zoomFactor() const
    {54, 732, 99, 1, 0, 0, 45},	//214 QWebFrame::setZoomFactor(double)
    {54, 385, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 46},	//215 QWebFrame::hasFocus() const
    {54, 648, 0, 0, 0, 0, 47},	//216 QWebFrame::setFocus()
    {54, 534, 0, 0, Smoke::mf_const, 47, 48},	//217 QWebFrame::pos() const
    {54, 371, 0, 0, Smoke::mf_const, 49, 49},	//218 QWebFrame::geometry() const
    {54, 266, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 50},	//219 QWebFrame::contentsSize() const
    {54, 295, 0, 0, Smoke::mf_const, 75, 51},	//220 QWebFrame::documentElement() const
    {54, 338, 16, 1, Smoke::mf_const, 79, 52},	//221 QWebFrame::findAllElements(const QString&) const
    {54, 342, 16, 1, Smoke::mf_const, 75, 53},	//222 QWebFrame::findFirstElement(const QString&) const
    {54, 392, 90, 1, Smoke::mf_const, 95, 54},	//223 QWebFrame::hitTestContent(const QPoint&) const
    {54, 325, 1, 1, 0, 209, 55},	//224 QWebFrame::event(QEvent*)
    {54, 611, 0, 0, Smoke::mf_const, 120, 56},	//225 QWebFrame::securityOrigin() const
    {54, 323, 16, 1, Smoke::mf_slot, 72, 57},	//226 QWebFrame::evaluateJavaScript(const QString&)
    {54, 544, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//227 QWebFrame::print(QPrinter*) const
    {54, 425, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//228 QWebFrame::javaScriptWindowObjectCleared()
    {54, 548, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//229 QWebFrame::provisionalLoad()
    {54, 762, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//230 QWebFrame::titleChanged(const QString&)
    {54, 794, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//231 QWebFrame::urlChanged(const QUrl&)
    {54, 401, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//232 QWebFrame::initialLayoutCompleted()
    {54, 396, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//233 QWebFrame::iconChanged()
    {54, 267, 103, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//234 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 453, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//235 QWebFrame::loadStarted()
    {54, 449, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//236 QWebFrame::loadFinished(bool)
    {54, 522, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//237 QWebFrame::pageChanged()
    {54, 774, 10, 1, Smoke::mf_static, 60, 69},	//238 QWebFrame::tr(const char*)
    {54, 778, 10, 1, Smoke::mf_static, 60, 70},	//239 QWebFrame::trUtf8(const char*)
    {54, 445, 107, 1, 0, 0, 71},	//240 QWebFrame::load(const QNetworkRequest&)
    {54, 445, 109, 2, 0, 0, 72},	//241 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 657, 16, 1, 0, 0, 73},	//242 QWebFrame::setHtml(const QString&)
    {54, 620, 112, 1, 0, 0, 74},	//243 QWebFrame::setContent(const QByteArray&)
    {54, 620, 114, 2, 0, 0, 75},	//244 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 568, 117, 2, 0, 0, 76},	//245 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 77},	//246 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 78},	//247 QWebFrame::ContentsLayer (enum)
    {54, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 79},	//248 QWebFrame::ScrollBarLayer (enum)
    {54, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 80},	//249 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//250 QWebFrame::AllLayers (enum)
    {55, 251, 0, 0, 0, 0, 1},	//251 QWebHistory::clear()
    {55, 413, 0, 0, Smoke::mf_const, 27, 2},	//252 QWebHistory::items() const
    {55, 236, 35, 1, Smoke::mf_const, 27, 3},	//253 QWebHistory::backItems(int) const
    {55, 362, 35, 1, Smoke::mf_const, 27, 4},	//254 QWebHistory::forwardItems(int) const
    {55, 242, 0, 0, Smoke::mf_const, 209, 5},	//255 QWebHistory::canGoBack() const
    {55, 243, 0, 0, Smoke::mf_const, 209, 6},	//256 QWebHistory::canGoForward() const
    {55, 234, 0, 0, 0, 0, 7},	//257 QWebHistory::back()
    {55, 360, 0, 0, 0, 0, 8},	//258 QWebHistory::forward()
    {55, 375, 120, 1, 0, 0, 9},	//259 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 235, 0, 0, Smoke::mf_const, 92, 10},	//260 QWebHistory::backItem() const
    {55, 280, 0, 0, Smoke::mf_const, 92, 11},	//261 QWebHistory::currentItem() const
    {55, 361, 0, 0, Smoke::mf_const, 92, 12},	//262 QWebHistory::forwardItem() const
    {55, 411, 35, 1, Smoke::mf_const, 92, 13},	//263 QWebHistory::itemAt(int) const
    {55, 281, 0, 0, Smoke::mf_const, 253, 14},	//264 QWebHistory::currentItemIndex() const
    {55, 271, 0, 0, Smoke::mf_const, 253, 15},	//265 QWebHistory::count() const
    {55, 458, 0, 0, Smoke::mf_const, 253, 16},	//266 QWebHistory::maximumItemCount() const
    {55, 668, 35, 1, 0, 0, 17},	//267 QWebHistory::setMaximumItemCount(int)
    {56, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 1},	//268 QWebHistoryInterface::metaObject() const
    {56, 551, 10, 1, Smoke::mf_virtual, 260, 2},	//269 QWebHistoryInterface::qt_metacast(const char*)
    {56, 774, 48, 2, Smoke::mf_static, 60, 3},	//270 QWebHistoryInterface::tr(const char*, const char*)
    {56, 778, 48, 2, Smoke::mf_static, 60, 4},	//271 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 774, 51, 3, Smoke::mf_static, 60, 5},	//272 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 778, 51, 3, Smoke::mf_static, 60, 6},	//273 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 549, 55, 3, Smoke::mf_virtual, 253, 7},	//274 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 119, 122, 1, Smoke::mf_ctor, 91, 8},	//275 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 630, 124, 1, Smoke::mf_static, 0, 9},	//276 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 288, 0, 0, Smoke::mf_static, 91, 10},	//277 QWebHistoryInterface::defaultInterface()
    {56, 390, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 209, 11},	//278 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 207, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//279 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 774, 10, 1, Smoke::mf_static, 60, 13},	//280 QWebHistoryInterface::tr(const char*)
    {56, 778, 10, 1, Smoke::mf_static, 60, 14},	//281 QWebHistoryInterface::trUtf8(const char*)
    {56, 119, 0, 0, Smoke::mf_ctor, 91, 15},	//282 QWebHistoryInterface::QWebHistoryInterface()
    {56, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 16},	//283 QWebHistoryInterface::staticMetaObject() const
    {56, 822, 0, 0, Smoke::mf_dtor, 0, 17 },	//284 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 121, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 1},	//285 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 507, 120, 1, 0, 93, 2},	//286 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 518, 0, 0, Smoke::mf_const, 70, 3},	//287 QWebHistoryItem::originalUrl() const
    {57, 793, 0, 0, Smoke::mf_const, 70, 4},	//288 QWebHistoryItem::url() const
    {57, 761, 0, 0, Smoke::mf_const, 60, 5},	//289 QWebHistoryItem::title() const
    {57, 433, 0, 0, Smoke::mf_const, 8, 6},	//290 QWebHistoryItem::lastVisited() const
    {57, 395, 0, 0, Smoke::mf_const, 20, 7},	//291 QWebHistoryItem::icon() const
    {57, 798, 0, 0, Smoke::mf_const, 72, 8},	//292 QWebHistoryItem::userData() const
    {57, 721, 126, 1, 0, 0, 9},	//293 QWebHistoryItem::setUserData(const QVariant&)
    {57, 410, 0, 0, Smoke::mf_const, 209, 10},	//294 QWebHistoryItem::isValid() const
    {57, 823, 0, 0, Smoke::mf_dtor, 0, 11 },	//295 QWebHistoryItem::~QWebHistoryItem()
    {58, 123, 0, 0, Smoke::mf_ctor, 97, 1},	//296 QWebHitTestResult::QWebHitTestResult()
    {58, 123, 128, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//297 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 507, 128, 1, 0, 96, 3},	//298 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 409, 0, 0, Smoke::mf_const, 209, 4},	//299 QWebHitTestResult::isNull() const
    {58, 534, 0, 0, Smoke::mf_const, 47, 5},	//300 QWebHitTestResult::pos() const
    {58, 240, 0, 0, Smoke::mf_const, 49, 6},	//301 QWebHitTestResult::boundingRect() const
    {58, 317, 0, 0, Smoke::mf_const, 75, 7},	//302 QWebHitTestResult::enclosingBlockElement() const
    {58, 761, 0, 0, Smoke::mf_const, 60, 8},	//303 QWebHitTestResult::title() const
    {58, 442, 0, 0, Smoke::mf_const, 60, 9},	//304 QWebHitTestResult::linkText() const
    {58, 444, 0, 0, Smoke::mf_const, 70, 10},	//305 QWebHitTestResult::linkUrl() const
    {58, 443, 0, 0, Smoke::mf_const, 70, 11},	//306 QWebHitTestResult::linkTitle() const
    {58, 441, 0, 0, Smoke::mf_const, 88, 12},	//307 QWebHitTestResult::linkTargetFrame() const
    {58, 438, 0, 0, Smoke::mf_const, 75, 13},	//308 QWebHitTestResult::linkElement() const
    {58, 215, 0, 0, Smoke::mf_const, 60, 14},	//309 QWebHitTestResult::alternateText() const
    {58, 400, 0, 0, Smoke::mf_const, 70, 15},	//310 QWebHitTestResult::imageUrl() const
    {58, 530, 0, 0, Smoke::mf_const, 46, 16},	//311 QWebHitTestResult::pixmap() const
    {58, 406, 0, 0, Smoke::mf_const, 209, 17},	//312 QWebHitTestResult::isContentEditable() const
    {58, 407, 0, 0, Smoke::mf_const, 209, 18},	//313 QWebHitTestResult::isContentSelected() const
    {58, 307, 0, 0, Smoke::mf_const, 75, 19},	//314 QWebHitTestResult::element() const
    {58, 365, 0, 0, Smoke::mf_const, 88, 20},	//315 QWebHitTestResult::frame() const
    {58, 824, 0, 0, Smoke::mf_dtor, 0, 21 },	//316 QWebHitTestResult::~QWebHitTestResult()
    {59, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 1},	//317 QWebInspector::metaObject() const
    {59, 551, 10, 1, Smoke::mf_virtual, 260, 2},	//318 QWebInspector::qt_metacast(const char*)
    {59, 774, 48, 2, Smoke::mf_static, 60, 3},	//319 QWebInspector::tr(const char*, const char*)
    {59, 778, 48, 2, Smoke::mf_static, 60, 4},	//320 QWebInspector::trUtf8(const char*, const char*)
    {59, 774, 51, 3, Smoke::mf_static, 60, 5},	//321 QWebInspector::tr(const char*, const char*, int)
    {59, 778, 51, 3, Smoke::mf_static, 60, 6},	//322 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 549, 55, 3, Smoke::mf_virtual, 253, 7},	//323 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 125, 130, 1, Smoke::mf_ctor, 98, 8},	//324 QWebInspector::QWebInspector(QWidget*)
    {59, 690, 132, 1, 0, 0, 9},	//325 QWebInspector::setPage(QWebPage*)
    {59, 519, 0, 0, Smoke::mf_const, 99, 10},	//326 QWebInspector::page() const
    {59, 739, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 11},	//327 QWebInspector::sizeHint() const
    {59, 325, 1, 1, Smoke::mf_virtual, 209, 12},	//328 QWebInspector::event(QEvent*)
    {59, 587, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//329 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 736, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//330 QWebInspector::showEvent(QShowEvent*)
    {59, 387, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//331 QWebInspector::hideEvent(QHideEvent*)
    {59, 255, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//332 QWebInspector::closeEvent(QCloseEvent*)
    {59, 774, 10, 1, Smoke::mf_static, 60, 17},	//333 QWebInspector::tr(const char*)
    {59, 778, 10, 1, Smoke::mf_static, 60, 18},	//334 QWebInspector::trUtf8(const char*)
    {59, 125, 0, 0, Smoke::mf_ctor, 98, 19},	//335 QWebInspector::QWebInspector()
    {59, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 20},	//336 QWebInspector::staticMetaObject() const
    {59, 825, 0, 0, Smoke::mf_dtor, 0, 21 },	//337 QWebInspector::~QWebInspector()
    {60, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 1},	//338 QWebPage::metaObject() const
    {60, 551, 10, 1, Smoke::mf_virtual, 260, 2},	//339 QWebPage::qt_metacast(const char*)
    {60, 774, 48, 2, Smoke::mf_static, 60, 3},	//340 QWebPage::tr(const char*, const char*)
    {60, 778, 48, 2, Smoke::mf_static, 60, 4},	//341 QWebPage::trUtf8(const char*, const char*)
    {60, 774, 51, 3, Smoke::mf_static, 60, 5},	//342 QWebPage::tr(const char*, const char*, int)
    {60, 778, 51, 3, Smoke::mf_static, 60, 6},	//343 QWebPage::trUtf8(const char*, const char*, int)
    {60, 549, 55, 3, Smoke::mf_virtual, 253, 7},	//344 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 127, 122, 1, Smoke::mf_ctor, 99, 8},	//345 QWebPage::QWebPage(QObject*)
    {60, 457, 0, 0, Smoke::mf_const, 88, 9},	//346 QWebPage::mainFrame() const
    {60, 279, 0, 0, Smoke::mf_const, 88, 10},	//347 QWebPage::currentFrame() const
    {60, 366, 90, 1, Smoke::mf_const, 88, 11},	//348 QWebPage::frameAt(const QPoint&) const
    {60, 389, 0, 0, Smoke::mf_const, 90, 12},	//349 QWebPage::history() const
    {60, 734, 0, 0, Smoke::mf_const, 123, 13},	//350 QWebPage::settings() const
    {60, 725, 130, 1, 0, 0, 14},	//351 QWebPage::setView(QWidget*)
    {60, 800, 0, 0, Smoke::mf_const, 131, 15},	//352 QWebPage::view() const
    {60, 408, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 16},	//353 QWebPage::isModified() const
    {60, 788, 0, 0, Smoke::mf_const, 69, 17},	//354 QWebPage::undoStack() const
    {60, 676, 142, 1, 0, 0, 18},	//355 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 479, 0, 0, Smoke::mf_const, 36, 19},	//356 QWebPage::networkAccessManager() const
    {60, 698, 144, 1, 0, 0, 20},	//357 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 531, 0, 0, Smoke::mf_const, 114, 21},	//358 QWebPage::pluginFactory() const
    {60, 773, 0, 0, Smoke::mf_const, 259, 22},	//359 QWebPage::totalBytes() const
    {60, 241, 0, 0, Smoke::mf_const, 259, 23},	//360 QWebPage::bytesReceived() const
    {60, 612, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 24},	//361 QWebPage::selectedText() const
    {60, 202, 146, 1, Smoke::mf_const, 1, 25},	//362 QWebPage::action(QWebPage::WebAction) const
    {60, 782, 148, 2, Smoke::mf_virtual, 0, 26},	//363 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 801, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 27},	//364 QWebPage::viewportSize() const
    {60, 727, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 28},	//365 QWebPage::setViewportSize(const QSize&) const
    {60, 535, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 29},	//366 QWebPage::preferredContentsSize() const
    {60, 700, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//367 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 325, 1, 1, Smoke::mf_virtual, 209, 31},	//368 QWebPage::event(QEvent*)
    {60, 351, 105, 1, 0, 209, 32},	//369 QWebPage::focusNextPrevChild(bool)
    {60, 404, 151, 1, Smoke::mf_const, 72, 33},	//370 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 344, 153, 2, 0, 209, 34},	//371 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 653, 105, 1, Smoke::mf_property, 0, 35},	//372 QWebPage::setForwardUnsupportedContent(bool)
    {60, 364, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 36},	//373 QWebPage::forwardUnsupportedContent() const
    {60, 664, 156, 1, Smoke::mf_property, 0, 37},	//374 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 437, 0, 0, Smoke::mf_const|Smoke::mf_property, 109, 38},	//375 QWebPage::linkDelegationPolicy() const
    {60, 692, 158, 1, Smoke::mf_property, 0, 39},	//376 QWebPage::setPalette(const QPalette&)
    {60, 526, 0, 0, Smoke::mf_const|Smoke::mf_property, 45, 40},	//377 QWebPage::palette() const
    {60, 624, 105, 1, Smoke::mf_property, 0, 41},	//378 QWebPage::setContentEditable(bool)
    {60, 406, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 42},	//379 QWebPage::isContentEditable() const
    {60, 752, 160, 1, 0, 209, 43},	//380 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 791, 90, 1, 0, 0, 44},	//381 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 276, 0, 0, 0, 31, 45},	//382 QWebPage::createStandardContextMenu()
    {60, 329, 162, 3, Smoke::mf_virtual, 209, 46},	//383 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 750, 166, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 47},	//384 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 377, 0, 0, Smoke::mf_const, 113, 48},	//385 QWebPage::handle() const
    {60, 735, 0, 0, Smoke::mf_slot, 209, 49},	//386 QWebPage::shouldInterruptJavaScript()
    {60, 453, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//387 QWebPage::loadStarted()
    {60, 451, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//388 QWebPage::loadProgress(int)
    {60, 449, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//389 QWebPage::loadFinished(bool)
    {60, 439, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//390 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 741, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//391 QWebPage::statusBarMessage(const QString&)
    {60, 613, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//392 QWebPage::selectionChanged()
    {60, 368, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//393 QWebPage::frameCreated(QWebFrame*)
    {60, 372, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//394 QWebPage::geometryChangeRequested(const QRect&)
    {60, 575, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//395 QWebPage::repaintRequested(const QRect&)
    {60, 607, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//396 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 808, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//397 QWebPage::windowCloseRequested()
    {60, 546, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//398 QWebPage::printRequested(QWebFrame*)
    {60, 435, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//399 QWebPage::linkClicked(const QUrl&)
    {60, 771, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//400 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 743, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//401 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 460, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//402 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 789, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//403 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 297, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//404 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 465, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//405 QWebPage::microFocusChanged()
    {60, 265, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//406 QWebPage::contentsChanged()
    {60, 284, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//407 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 591, 181, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//408 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 589, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//409 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 277, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 99, 73},	//410 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 274, 186, 4, Smoke::mf_protected|Smoke::mf_virtual, 39, 74},	//411 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 200, 191, 3, Smoke::mf_protected|Smoke::mf_virtual, 209, 75},	//412 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 248, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 60, 76},	//413 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 417, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//414 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 419, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 209, 78},	//415 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 423, 198, 4, Smoke::mf_protected|Smoke::mf_virtual, 209, 79},	//416 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 421, 203, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//417 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 796, 59, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 60, 81},	//418 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 774, 10, 1, Smoke::mf_static, 60, 82},	//419 QWebPage::tr(const char*)
    {60, 778, 10, 1, Smoke::mf_static, 60, 83},	//420 QWebPage::trUtf8(const char*)
    {60, 127, 0, 0, Smoke::mf_ctor, 99, 84},	//421 QWebPage::QWebPage()
    {60, 782, 146, 1, 0, 0, 85},	//422 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 344, 16, 1, 0, 209, 86},	//423 QWebPage::findText(const QString&)
    {60, 329, 166, 1, 0, 209, 87},	//424 QWebPage::extension(QWebPage::Extension)
    {60, 329, 207, 2, 0, 209, 88},	//425 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 89},	//426 QWebPage::staticMetaObject() const
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 90},	//427 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 91},	//428 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 92},	//429 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 93},	//430 QWebPage::NavigationTypeReload (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 94},	//431 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 95},	//432 QWebPage::NavigationTypeOther (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 96},	//433 QWebPage::NoWebAction (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 97},	//434 QWebPage::OpenLink (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 98},	//435 QWebPage::OpenLinkInNewWindow (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 99},	//436 QWebPage::OpenFrameInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 100},	//437 QWebPage::DownloadLinkToDisk (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 101},	//438 QWebPage::CopyLinkToClipboard (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 102},	//439 QWebPage::OpenImageInNewWindow (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 103},	//440 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 104},	//441 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 105},	//442 QWebPage::Back (enum)
    {60, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 106},	//443 QWebPage::Forward (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 107},	//444 QWebPage::Stop (enum)
    {60, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//445 QWebPage::Reload (enum)
    {60, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//446 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//447 QWebPage::Copy (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//448 QWebPage::Paste (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//449 QWebPage::Undo (enum)
    {60, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//450 QWebPage::Redo (enum)
    {60, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//451 QWebPage::MoveToNextChar (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//452 QWebPage::MoveToPreviousChar (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//453 QWebPage::MoveToNextWord (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//454 QWebPage::MoveToPreviousWord (enum)
    {60, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//455 QWebPage::MoveToNextLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//456 QWebPage::MoveToPreviousLine (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//457 QWebPage::MoveToStartOfLine (enum)
    {60, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//458 QWebPage::MoveToEndOfLine (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//459 QWebPage::MoveToStartOfBlock (enum)
    {60, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//460 QWebPage::MoveToEndOfBlock (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//461 QWebPage::MoveToStartOfDocument (enum)
    {60, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//462 QWebPage::MoveToEndOfDocument (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//463 QWebPage::SelectNextChar (enum)
    {60, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//464 QWebPage::SelectPreviousChar (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//465 QWebPage::SelectNextWord (enum)
    {60, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//466 QWebPage::SelectPreviousWord (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//467 QWebPage::SelectNextLine (enum)
    {60, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//468 QWebPage::SelectPreviousLine (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//469 QWebPage::SelectStartOfLine (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//470 QWebPage::SelectEndOfLine (enum)
    {60, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//471 QWebPage::SelectStartOfBlock (enum)
    {60, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//472 QWebPage::SelectEndOfBlock (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//473 QWebPage::SelectStartOfDocument (enum)
    {60, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//474 QWebPage::SelectEndOfDocument (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//475 QWebPage::DeleteStartOfWord (enum)
    {60, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//476 QWebPage::DeleteEndOfWord (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//477 QWebPage::SetTextDirectionDefault (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//478 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//479 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//480 QWebPage::ToggleBold (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//481 QWebPage::ToggleItalic (enum)
    {60, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//482 QWebPage::ToggleUnderline (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//483 QWebPage::InspectElement (enum)
    {60, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//484 QWebPage::InsertParagraphSeparator (enum)
    {60, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//485 QWebPage::InsertLineSeparator (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//486 QWebPage::SelectAll (enum)
    {60, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//487 QWebPage::ReloadAndBypassCache (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//488 QWebPage::PasteAndMatchStyle (enum)
    {60, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//489 QWebPage::RemoveFormat (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//490 QWebPage::ToggleStrikethrough (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//491 QWebPage::ToggleSubscript (enum)
    {60, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//492 QWebPage::ToggleSuperscript (enum)
    {60, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//493 QWebPage::InsertUnorderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//494 QWebPage::InsertOrderedList (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//495 QWebPage::Indent (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//496 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//497 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//498 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//499 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//500 QWebPage::AlignRight (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//501 QWebPage::StopScheduledPageRefresh (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//502 QWebPage::WebActionCount (enum)
    {60, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 166},	//503 QWebPage::FindBackward (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 167},	//504 QWebPage::FindCaseSensitively (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 168},	//505 QWebPage::FindWrapsAroundDocument (enum)
    {60, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 169},	//506 QWebPage::HighlightAllOccurrences (enum)
    {60, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 170},	//507 QWebPage::DontDelegateLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 171},	//508 QWebPage::DelegateExternalLinks (enum)
    {60, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 172},	//509 QWebPage::DelegateAllLinks (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 173},	//510 QWebPage::WebBrowserWindow (enum)
    {60, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 174},	//511 QWebPage::WebModalDialog (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 175},	//512 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 176},	//513 QWebPage::ErrorPageExtension (enum)
    {60, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 177},	//514 QWebPage::QtNetwork (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 178},	//515 QWebPage::Http (enum)
    {60, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 179},	//516 QWebPage::WebKit (enum)
    {60, 826, 0, 0, Smoke::mf_dtor, 0, 180 },	//517 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 100, 1},	//518 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 210, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//519 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 529, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 3},	//520 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 694, 168, 1, Smoke::mf_attribute, 0, 4},	//521 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 749, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 5},	//522 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 715, 212, 1, Smoke::mf_attribute, 0, 6},	//523 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 811, 0, 0, Smoke::mf_dtor, 0, 7 },	//524 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 101, 1},	//525 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//526 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 3},	//527 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 646, 212, 1, Smoke::mf_attribute, 0, 4},	//528 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 812, 0, 0, Smoke::mf_dtor, 0, 5 },	//529 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 38, 0, 0, Smoke::mf_ctor, 103, 1},	//530 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 38, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//531 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 793, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 3},	//532 QWebPage::ErrorPageExtensionOption::url() const
    {63, 719, 59, 1, Smoke::mf_attribute, 0, 4},	//533 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 365, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 5},	//534 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 655, 168, 1, Smoke::mf_attribute, 0, 6},	//535 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 296, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 102, 7},	//536 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 636, 218, 1, Smoke::mf_attribute, 0, 8},	//537 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 321, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 253, 9},	//538 QWebPage::ErrorPageExtensionOption::error() const
    {63, 640, 35, 1, Smoke::mf_attribute, 0, 10},	//539 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 322, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 11},	//540 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 642, 16, 1, Smoke::mf_attribute, 0, 12},	//541 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 813, 0, 0, Smoke::mf_dtor, 0, 13 },	//542 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 40, 0, 0, Smoke::mf_ctor, 104, 1},	//543 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 40, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//544 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 264, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//545 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 626, 16, 1, Smoke::mf_attribute, 0, 4},	//546 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 318, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//547 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 638, 16, 1, Smoke::mf_attribute, 0, 6},	//548 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 238, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 7},	//549 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 618, 59, 1, Smoke::mf_attribute, 0, 8},	//550 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 263, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//551 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 620, 112, 1, Smoke::mf_attribute, 0, 10},	//552 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 814, 0, 0, Smoke::mf_dtor, 0, 11 },	//553 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 42, 0, 0, Smoke::mf_ctor, 106, 1},	//554 QWebPage::ExtensionOption::ExtensionOption()
    {65, 42, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//555 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 815, 0, 0, Smoke::mf_dtor, 0, 3 },	//556 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 44, 0, 0, Smoke::mf_ctor, 107, 1},	//557 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 44, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//558 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 816, 0, 0, Smoke::mf_dtor, 0, 3 },	//559 QWebPage::ExtensionReturn::~ExtensionReturn()
    {68, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 1},	//560 QWebPluginFactory::metaObject() const
    {68, 551, 10, 1, Smoke::mf_virtual, 260, 2},	//561 QWebPluginFactory::qt_metacast(const char*)
    {68, 774, 48, 2, Smoke::mf_static, 60, 3},	//562 QWebPluginFactory::tr(const char*, const char*)
    {68, 778, 48, 2, Smoke::mf_static, 60, 4},	//563 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 774, 51, 3, Smoke::mf_static, 60, 5},	//564 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 778, 51, 3, Smoke::mf_static, 60, 6},	//565 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 549, 55, 3, Smoke::mf_virtual, 253, 7},	//566 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 129, 122, 1, Smoke::mf_ctor, 114, 8},	//567 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//568 QWebPluginFactory::plugins() const [pure virtual]
    {68, 553, 0, 0, Smoke::mf_virtual, 0, 10},	//569 QWebPluginFactory::refreshPlugins()
    {68, 272, 186, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 11},	//570 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 329, 226, 3, Smoke::mf_virtual, 209, 12},	//571 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 750, 230, 1, Smoke::mf_const|Smoke::mf_virtual, 209, 13},	//572 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 774, 10, 1, Smoke::mf_static, 60, 14},	//573 QWebPluginFactory::tr(const char*)
    {68, 778, 10, 1, Smoke::mf_static, 60, 15},	//574 QWebPluginFactory::trUtf8(const char*)
    {68, 129, 0, 0, Smoke::mf_ctor, 114, 16},	//575 QWebPluginFactory::QWebPluginFactory()
    {68, 329, 230, 1, 0, 209, 17},	//576 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 329, 232, 2, 0, 209, 18},	//577 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 19},	//578 QWebPluginFactory::staticMetaObject() const
    {68, 827, 0, 0, Smoke::mf_dtor, 0, 20 },	//579 QWebPluginFactory::~QWebPluginFactory()
    {69, 42, 0, 0, Smoke::mf_ctor, 116, 1},	//580 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 42, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//581 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 815, 0, 0, Smoke::mf_dtor, 0, 3 },	//582 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 44, 0, 0, Smoke::mf_ctor, 117, 1},	//583 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 44, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//584 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 816, 0, 0, Smoke::mf_dtor, 0, 3 },	//585 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 509, 239, 1, Smoke::mf_const, 209, 1},	//586 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 485, 239, 1, Smoke::mf_const, 209, 2},	//587 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 72, 0, 0, Smoke::mf_ctor, 118, 3},	//588 QWebPluginFactory::MimeType::MimeType()
    {71, 72, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 4},	//589 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 477, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//590 QWebPluginFactory::MimeType::name() const
    {71, 674, 16, 1, Smoke::mf_attribute, 0, 6},	//591 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 290, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 7},	//592 QWebPluginFactory::MimeType::description() const
    {71, 634, 16, 1, Smoke::mf_attribute, 0, 8},	//593 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 333, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 9},	//594 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 644, 212, 1, Smoke::mf_attribute, 0, 10},	//595 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 817, 0, 0, Smoke::mf_dtor, 0, 11 },	//596 QWebPluginFactory::MimeType::~MimeType()
    {72, 107, 0, 0, Smoke::mf_ctor, 119, 1},	//597 QWebPluginFactory::Plugin::Plugin()
    {72, 107, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//598 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 477, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//599 QWebPluginFactory::Plugin::name() const
    {72, 674, 16, 1, Smoke::mf_attribute, 0, 4},	//600 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 290, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//601 QWebPluginFactory::Plugin::description() const
    {72, 634, 16, 1, Smoke::mf_attribute, 0, 6},	//602 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 466, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//603 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 672, 243, 1, Smoke::mf_attribute, 0, 8},	//604 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 818, 0, 0, Smoke::mf_dtor, 0, 9 },	//605 QWebPluginFactory::Plugin::~Plugin()
    {73, 214, 0, 0, Smoke::mf_static, 30, 1},	//606 QWebSecurityOrigin::allOrigins()
    {73, 209, 16, 1, Smoke::mf_static, 0, 2},	//607 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 566, 16, 1, Smoke::mf_static, 0, 3},	//608 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 455, 0, 0, Smoke::mf_static, 63, 4},	//609 QWebSecurityOrigin::localSchemes()
    {73, 593, 0, 0, Smoke::mf_const, 60, 5},	//610 QWebSecurityOrigin::scheme() const
    {73, 394, 0, 0, Smoke::mf_const, 60, 6},	//611 QWebSecurityOrigin::host() const
    {73, 533, 0, 0, Smoke::mf_const, 253, 7},	//612 QWebSecurityOrigin::port() const
    {73, 286, 0, 0, Smoke::mf_const, 255, 8},	//613 QWebSecurityOrigin::databaseUsage() const
    {73, 283, 0, 0, Smoke::mf_const, 255, 9},	//614 QWebSecurityOrigin::databaseQuota() const
    {73, 628, 245, 1, 0, 0, 10},	//615 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 287, 0, 0, Smoke::mf_const, 24, 11},	//616 QWebSecurityOrigin::databases() const
    {73, 131, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 12},	//617 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 507, 247, 1, 0, 121, 13},	//618 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 828, 0, 0, Smoke::mf_dtor, 0, 14 },	//619 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 374, 0, 0, Smoke::mf_static, 123, 1},	//620 QWebSettings::globalSettings()
    {74, 649, 249, 2, 0, 0, 2},	//621 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 356, 252, 1, Smoke::mf_const, 60, 3},	//622 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 583, 252, 1, 0, 0, 4},	//623 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 651, 254, 2, 0, 0, 5},	//624 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 358, 257, 1, Smoke::mf_const, 253, 6},	//625 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 585, 257, 1, 0, 0, 7},	//626 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 614, 259, 2, 0, 0, 8},	//627 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 757, 262, 1, Smoke::mf_const, 209, 9},	//628 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 581, 262, 1, 0, 0, 10},	//629 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 723, 59, 1, 0, 0, 11},	//630 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 799, 0, 0, Smoke::mf_const, 70, 12},	//631 QWebSettings::userStyleSheetUrl() const
    {74, 632, 16, 1, 0, 0, 13},	//632 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 289, 0, 0, Smoke::mf_const, 60, 14},	//633 QWebSettings::defaultTextEncoding() const
    {74, 660, 16, 1, Smoke::mf_static, 0, 15},	//634 QWebSettings::setIconDatabasePath(const QString&)
    {74, 397, 0, 0, Smoke::mf_static, 60, 16},	//635 QWebSettings::iconDatabasePath()
    {74, 252, 0, 0, Smoke::mf_static, 0, 17},	//636 QWebSettings::clearIconDatabase()
    {74, 398, 59, 1, Smoke::mf_static, 20, 18},	//637 QWebSettings::iconForUrl(const QUrl&)
    {74, 730, 264, 2, Smoke::mf_static, 0, 19},	//638 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 803, 267, 1, Smoke::mf_static, 46, 20},	//639 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 670, 35, 1, Smoke::mf_static, 0, 21},	//640 QWebSettings::setMaximumPagesInCache(int)
    {74, 459, 0, 0, Smoke::mf_static, 253, 22},	//641 QWebSettings::maximumPagesInCache()
    {74, 678, 269, 3, Smoke::mf_static, 0, 23},	//642 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 682, 16, 1, Smoke::mf_static, 0, 24},	//643 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 482, 0, 0, Smoke::mf_static, 60, 25},	//644 QWebSettings::offlineStoragePath()
    {74, 680, 245, 1, Smoke::mf_static, 0, 26},	//645 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 481, 0, 0, Smoke::mf_static, 255, 27},	//646 QWebSettings::offlineStorageDefaultQuota()
    {74, 684, 16, 1, Smoke::mf_static, 0, 28},	//647 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 483, 0, 0, Smoke::mf_static, 60, 29},	//648 QWebSettings::offlineWebApplicationCachePath()
    {74, 686, 245, 1, Smoke::mf_static, 0, 30},	//649 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 484, 0, 0, Smoke::mf_static, 255, 31},	//650 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 666, 16, 1, 0, 0, 32},	//651 QWebSettings::setLocalStoragePath(const QString&)
    {74, 456, 0, 0, Smoke::mf_const, 60, 33},	//652 QWebSettings::localStoragePath() const
    {74, 253, 0, 0, Smoke::mf_static, 0, 34},	//653 QWebSettings::clearMemoryCaches()
    {74, 308, 16, 1, Smoke::mf_static, 0, 35},	//654 QWebSettings::enablePersistentStorage(const QString&)
    {74, 377, 0, 0, Smoke::mf_const, 128, 36},	//655 QWebSettings::handle() const
    {74, 308, 0, 0, Smoke::mf_static, 0, 37},	//656 QWebSettings::enablePersistentStorage()
    {74, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 38},	//657 QWebSettings::StandardFont (enum)
    {74, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 39},	//658 QWebSettings::FixedFont (enum)
    {74, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 40},	//659 QWebSettings::SerifFont (enum)
    {74, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 41},	//660 QWebSettings::SansSerifFont (enum)
    {74, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 42},	//661 QWebSettings::CursiveFont (enum)
    {74, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 43},	//662 QWebSettings::FantasyFont (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//663 QWebSettings::AutoLoadImages (enum)
    {74, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//664 QWebSettings::JavascriptEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 46},	//665 QWebSettings::JavaEnabled (enum)
    {74, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 47},	//666 QWebSettings::PluginsEnabled (enum)
    {74, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 48},	//667 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 49},	//668 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 50},	//669 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 51},	//670 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//671 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 53},	//672 QWebSettings::ZoomTextOnly (enum)
    {74, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 54},	//673 QWebSettings::PrintElementBackgrounds (enum)
    {74, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 55},	//674 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 56},	//675 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 57},	//676 QWebSettings::LocalStorageEnabled (enum)
    {74, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 58},	//677 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 59},	//678 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 60},	//679 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 61},	//680 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 62},	//681 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//682 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//683 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//684 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//685 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//686 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 68},	//687 QWebSettings::MissingImageGraphic (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 69},	//688 QWebSettings::MissingPluginGraphic (enum)
    {74, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 70},	//689 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//690 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 72},	//691 QWebSettings::DeleteButtonGraphic (enum)
    {74, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 73},	//692 QWebSettings::MinimumFontSize (enum)
    {74, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 74},	//693 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 75},	//694 QWebSettings::DefaultFontSize (enum)
    {74, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 76},	//695 QWebSettings::DefaultFixedFontSize (enum)
    {76, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 1},	//696 QWebView::metaObject() const
    {76, 551, 10, 1, Smoke::mf_virtual, 260, 2},	//697 QWebView::qt_metacast(const char*)
    {76, 774, 48, 2, Smoke::mf_static, 60, 3},	//698 QWebView::tr(const char*, const char*)
    {76, 778, 48, 2, Smoke::mf_static, 60, 4},	//699 QWebView::trUtf8(const char*, const char*)
    {76, 774, 51, 3, Smoke::mf_static, 60, 5},	//700 QWebView::tr(const char*, const char*, int)
    {76, 778, 51, 3, Smoke::mf_static, 60, 6},	//701 QWebView::trUtf8(const char*, const char*, int)
    {76, 549, 55, 3, Smoke::mf_virtual, 253, 7},	//702 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 133, 130, 1, Smoke::mf_ctor, 129, 8},	//703 QWebView::QWebView(QWidget*)
    {76, 519, 0, 0, Smoke::mf_const, 99, 9},	//704 QWebView::page() const
    {76, 690, 132, 1, 0, 0, 10},	//705 QWebView::setPage(QWebPage*)
    {76, 445, 59, 1, 0, 0, 11},	//706 QWebView::load(const QUrl&)
    {76, 445, 61, 3, 0, 0, 12},	//707 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 657, 65, 2, 0, 0, 13},	//708 QWebView::setHtml(const QString&, const QUrl&)
    {76, 620, 68, 3, 0, 0, 14},	//709 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 389, 0, 0, Smoke::mf_const, 90, 15},	//710 QWebView::history() const
    {76, 734, 0, 0, Smoke::mf_const, 123, 16},	//711 QWebView::settings() const
    {76, 761, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 17},	//712 QWebView::title() const
    {76, 719, 59, 1, Smoke::mf_property, 0, 18},	//713 QWebView::setUrl(const QUrl&)
    {76, 793, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 19},	//714 QWebView::url() const
    {76, 395, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//715 QWebView::icon() const
    {76, 612, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 21},	//716 QWebView::selectedText() const
    {76, 520, 146, 1, Smoke::mf_const, 1, 22},	//717 QWebView::pageAction(QWebPage::WebAction) const
    {76, 785, 148, 2, 0, 0, 23},	//718 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 408, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 24},	//719 QWebView::isModified() const
    {76, 404, 151, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 25},	//720 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 739, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 26},	//721 QWebView::sizeHint() const
    {76, 810, 0, 0, Smoke::mf_const, 252, 27},	//722 QWebView::zoomFactor() const
    {76, 732, 99, 1, 0, 0, 28},	//723 QWebView::setZoomFactor(double)
    {76, 717, 99, 1, 0, 0, 29},	//724 QWebView::setTextSizeMultiplier(double)
    {76, 759, 0, 0, Smoke::mf_const, 252, 30},	//725 QWebView::textSizeMultiplier() const
    {76, 573, 0, 0, Smoke::mf_const, 15, 31},	//726 QWebView::renderHints() const
    {76, 705, 273, 1, 0, 0, 32},	//727 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 702, 275, 2, 0, 0, 33},	//728 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 344, 153, 2, 0, 209, 34},	//729 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 325, 1, 1, Smoke::mf_virtual, 209, 35},	//730 QWebView::event(QEvent*)
    {76, 745, 0, 0, Smoke::mf_slot, 0, 36},	//731 QWebView::stop()
    {76, 234, 0, 0, Smoke::mf_slot, 0, 37},	//732 QWebView::back()
    {76, 360, 0, 0, Smoke::mf_slot, 0, 38},	//733 QWebView::forward()
    {76, 554, 0, 0, Smoke::mf_slot, 0, 39},	//734 QWebView::reload()
    {76, 544, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 40},	//735 QWebView::print(QPrinter*) const
    {76, 453, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//736 QWebView::loadStarted()
    {76, 451, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//737 QWebView::loadProgress(int)
    {76, 449, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//738 QWebView::loadFinished(bool)
    {76, 762, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//739 QWebView::titleChanged(const QString&)
    {76, 741, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//740 QWebView::statusBarMessage(const QString&)
    {76, 435, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//741 QWebView::linkClicked(const QUrl&)
    {76, 613, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//742 QWebView::selectionChanged()
    {76, 396, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//743 QWebView::iconChanged()
    {76, 794, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//744 QWebView::urlChanged(const QUrl&)
    {76, 587, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//745 QWebView::resizeEvent(QResizeEvent*)
    {76, 524, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//746 QWebView::paintEvent(QPaintEvent*)
    {76, 277, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 129, 52},	//747 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 244, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//748 QWebView::changeEvent(QEvent*)
    {76, 470, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//749 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 472, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//750 QWebView::mousePressEvent(QMouseEvent*)
    {76, 468, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//751 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 474, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//752 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 269, 160, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//753 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 805, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//754 QWebView::wheelEvent(QWheelEvent*)
    {76, 426, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//755 QWebView::keyPressEvent(QKeyEvent*)
    {76, 428, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//756 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 299, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//757 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 301, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//758 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 303, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//759 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 305, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//760 QWebView::dropEvent(QDropEvent*)
    {76, 349, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//761 QWebView::focusInEvent(QFocusEvent*)
    {76, 353, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//762 QWebView::focusOutEvent(QFocusEvent*)
    {76, 402, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//763 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 351, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 69},	//764 QWebView::focusNextPrevChild(bool)
    {76, 774, 10, 1, Smoke::mf_static, 60, 70},	//765 QWebView::tr(const char*)
    {76, 778, 10, 1, Smoke::mf_static, 60, 71},	//766 QWebView::trUtf8(const char*)
    {76, 133, 0, 0, Smoke::mf_ctor, 129, 72},	//767 QWebView::QWebView()
    {76, 445, 107, 1, 0, 0, 73},	//768 QWebView::load(const QNetworkRequest&)
    {76, 445, 109, 2, 0, 0, 74},	//769 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 657, 16, 1, 0, 0, 75},	//770 QWebView::setHtml(const QString&)
    {76, 620, 112, 1, 0, 0, 76},	//771 QWebView::setContent(const QByteArray&)
    {76, 620, 114, 2, 0, 0, 77},	//772 QWebView::setContent(const QByteArray&, const QString&)
    {76, 785, 146, 1, 0, 0, 78},	//773 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 702, 298, 1, 0, 0, 79},	//774 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 344, 16, 1, 0, 209, 80},	//775 QWebView::findText(const QString&)
    {76, 740, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 213, 81},	//776 QWebView::staticMetaObject() const
    {76, 829, 0, 0, Smoke::mf_dtor, 0, 82 },	//777 QWebView::~QWebView()
    {78, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//778 QWidget::devType() const
    {78, 729, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//779 QWidget::setVisible(bool)
    {78, 467, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 54, 0},	//780 QWidget::minimumSizeHint() const
    {78, 386, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//781 QWidget::heightForWidth(int) const
    {78, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//782 QWidget::paintEngine() const
    {78, 472, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//783 QWidget::mousePressEvent(QMouseEvent*)
    {78, 474, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//784 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 468, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//785 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 470, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//786 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 805, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//787 QWidget::wheelEvent(QWheelEvent*)
    {78, 426, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//788 QWidget::keyPressEvent(QKeyEvent*)
    {78, 428, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//789 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 349, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//790 QWidget::focusInEvent(QFocusEvent*)
    {78, 353, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//791 QWidget::focusOutEvent(QFocusEvent*)
    {78, 320, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//792 QWidget::enterEvent(QEvent*)
    {78, 434, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//793 QWidget::leaveEvent(QEvent*)
    {78, 524, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//794 QWidget::paintEvent(QPaintEvent*)
    {78, 476, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//795 QWidget::moveEvent(QMoveEvent*)
    {78, 255, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//796 QWidget::closeEvent(QCloseEvent*)
    {78, 269, 160, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//797 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 754, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QWidget::tabletEvent(QTabletEvent*)
    {78, 204, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QWidget::actionEvent(QActionEvent*)
    {78, 299, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 303, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 301, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//802 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 305, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QWidget::dropEvent(QDropEvent*)
    {78, 736, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QWidget::showEvent(QShowEvent*)
    {78, 387, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QWidget::hideEvent(QHideEvent*)
    {78, 809, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 0},	//806 QWidget::x11Event(_XEvent*)
    {78, 244, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QWidget::changeEvent(QEvent*)
    {78, 464, 308, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 253, 0},	//808 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 402, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 404, 151, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//810 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 351, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 209, 0},	//811 QWidget::focusNextPrevChild(bool)
    {78, 746, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QWidget::styleChange(QStyle&)
    {78, 310, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QWidget::enabledChange(bool)
    {78, 527, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QWidget::paletteChange(const QPalette&)
    {78, 355, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QWidget::fontChange(const QFont&)
    {78, 807, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QWidget::windowActivationChange(bool)
    {78, 430, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    178,  // QWebFrame::load(const QUrl&)
    240,  // QWebFrame::load(const QNetworkRequest&)
    0,
    706,  // QWebView::load(const QUrl&)
    768,  // QWebView::load(const QNetworkRequest&)
    0,
    125,  // QWebElementCollection::begin() const
    129,  // QWebElementCollection::begin()
    0,
    126,  // QWebElementCollection::end() const
    130,  // QWebElementCollection::end()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 135, 15},	// QGlobalSpace::QtCriticalMsg
    {16, 136, 13},	// QGlobalSpace::QtDebugMsg
    {16, 137, 16},	// QGlobalSpace::QtFatalMsg
    {16, 139, 17},	// QGlobalSpace::QtSystemMsg
    {16, 140, 14},	// QGlobalSpace::QtWarningMsg
    {16, 184, 12},	// QGlobalSpace::_ISalnum
    {16, 185, 3},	// QGlobalSpace::_ISalpha
    {16, 186, 9},	// QGlobalSpace::_ISblank
    {16, 187, 10},	// QGlobalSpace::_IScntrl
    {16, 188, 4},	// QGlobalSpace::_ISdigit
    {16, 189, 8},	// QGlobalSpace::_ISgraph
    {16, 190, 2},	// QGlobalSpace::_ISlower
    {16, 191, 7},	// QGlobalSpace::_ISprint
    {16, 192, 11},	// QGlobalSpace::_ISpunct
    {16, 193, 6},	// QGlobalSpace::_ISspace
    {16, 194, 1},	// QGlobalSpace::_ISupper
    {16, 195, 5},	// QGlobalSpace::_ISxdigit
    {16, 196, 20},	// QGlobalSpace::__codecvt_error
    {16, 197, 21},	// QGlobalSpace::__codecvt_noconv
    {16, 198, 18},	// QGlobalSpace::__codecvt_ok
    {16, 199, 19},	// QGlobalSpace::__codecvt_partial
    {49, 113, 29},	// QWebDatabase::QWebDatabase#
    {49, 293, 32},	// QWebDatabase::displayName
    {49, 328, 33},	// QWebDatabase::expectedSize
    {49, 334, 35},	// QWebDatabase::fileName
    {49, 477, 31},	// QWebDatabase::name
    {49, 508, 30},	// QWebDatabase::operator=#
    {49, 517, 36},	// QWebDatabase::origin
    {49, 556, 38},	// QWebDatabase::removeAllDatabases
    {49, 564, 37},	// QWebDatabase::removeDatabase#
    {49, 738, 34},	// QWebDatabase::size
    {49, 819, 39},	// QWebDatabase::~QWebDatabase
    {50, 9, 109},	// QWebElement::CascadedStyle
    {50, 15, 110},	// QWebElement::ComputedStyle
    {50, 57, 108},	// QWebElement::InlineStyle
    {50, 114, 40},	// QWebElement::QWebElement
    {50, 115, 41},	// QWebElement::QWebElement#
    {50, 206, 66},	// QWebElement::addClass$
    {50, 219, 84},	// QWebElement::appendInside#
    {50, 220, 83},	// QWebElement::appendInside$
    {50, 222, 88},	// QWebElement::appendOutside#
    {50, 223, 87},	// QWebElement::appendOutside$
    {50, 227, 105},	// QWebElement::attribute$
    {50, 228, 56},	// QWebElement::attribute$$
    {50, 230, 106},	// QWebElement::attributeNS$$
    {50, 231, 57},	// QWebElement::attributeNS$$$
    {50, 232, 107},	// QWebElement::attributeNames
    {50, 233, 63},	// QWebElement::attributeNames$
    {50, 250, 64},	// QWebElement::classes
    {50, 254, 97},	// QWebElement::clone
    {50, 294, 81},	// QWebElement::document
    {50, 312, 91},	// QWebElement::encloseContentsWith#
    {50, 313, 92},	// QWebElement::encloseContentsWith$
    {50, 315, 94},	// QWebElement::encloseWith#
    {50, 316, 93},	// QWebElement::encloseWith$
    {50, 324, 101},	// QWebElement::evaluateJavaScript$
    {50, 337, 46},	// QWebElement::findAll$
    {50, 341, 47},	// QWebElement::findFirst$
    {50, 348, 77},	// QWebElement::firstChild
    {50, 371, 71},	// QWebElement::geometry
    {50, 379, 58},	// QWebElement::hasAttribute$
    {50, 381, 59},	// QWebElement::hasAttributeNS$$
    {50, 382, 62},	// QWebElement::hasAttributes
    {50, 384, 65},	// QWebElement::hasClass$
    {50, 385, 69},	// QWebElement::hasFocus
    {50, 409, 45},	// QWebElement::isNull
    {50, 432, 78},	// QWebElement::lastChild
    {50, 454, 74},	// QWebElement::localName
    {50, 478, 75},	// QWebElement::namespaceUri
    {50, 480, 79},	// QWebElement::nextSibling
    {50, 486, 44},	// QWebElement::operator!=#
    {50, 508, 42},	// QWebElement::operator=#
    {50, 510, 43},	// QWebElement::operator==#
    {50, 528, 76},	// QWebElement::parent
    {50, 536, 73},	// QWebElement::prefix
    {50, 538, 86},	// QWebElement::prependInside#
    {50, 539, 85},	// QWebElement::prependInside$
    {50, 541, 90},	// QWebElement::prependOutside#
    {50, 542, 89},	// QWebElement::prependOutside$
    {50, 543, 80},	// QWebElement::previousSibling
    {50, 555, 100},	// QWebElement::removeAllChildren
    {50, 558, 60},	// QWebElement::removeAttribute$
    {50, 560, 61},	// QWebElement::removeAttributeNS$$
    {50, 562, 67},	// QWebElement::removeClass$
    {50, 565, 99},	// QWebElement::removeFromDocument
    {50, 569, 104},	// QWebElement::render#
    {50, 578, 96},	// QWebElement::replace#
    {50, 579, 95},	// QWebElement::replace$
    {50, 615, 54},	// QWebElement::setAttribute$$
    {50, 617, 55},	// QWebElement::setAttributeNS$$$
    {50, 648, 70},	// QWebElement::setFocus
    {50, 663, 52},	// QWebElement::setInnerXml$
    {50, 689, 50},	// QWebElement::setOuterXml$
    {50, 697, 48},	// QWebElement::setPlainText$
    {50, 714, 103},	// QWebElement::setStyleProperty$$
    {50, 748, 102},	// QWebElement::styleProperty$$
    {50, 755, 72},	// QWebElement::tagName
    {50, 756, 98},	// QWebElement::takeFromDocument
    {50, 765, 53},	// QWebElement::toInnerXml
    {50, 767, 51},	// QWebElement::toOuterXml
    {50, 768, 49},	// QWebElement::toPlainText
    {50, 770, 68},	// QWebElement::toggleClass$
    {50, 802, 82},	// QWebElement::webFrame
    {50, 820, 111},	// QWebElement::~QWebElement
    {51, 116, 112},	// QWebElementCollection::QWebElementCollection
    {51, 117, 114},	// QWebElementCollection::QWebElementCollection#
    {51, 118, 113},	// QWebElementCollection::QWebElementCollection#$
    {51, 217, 118},	// QWebElementCollection::append#
    {51, 225, 120},	// QWebElementCollection::at$
    {51, 239, -7},	// QWebElementCollection::begin
    {51, 258, 127},	// QWebElementCollection::constBegin
    {51, 259, 128},	// QWebElementCollection::constEnd
    {51, 271, 119},	// QWebElementCollection::count
    {51, 319, -10},	// QWebElementCollection::end
    {51, 347, 122},	// QWebElementCollection::first
    {51, 431, 123},	// QWebElementCollection::last
    {51, 489, 116},	// QWebElementCollection::operator+#
    {51, 494, 117},	// QWebElementCollection::operator+=#
    {51, 508, 115},	// QWebElementCollection::operator=#
    {51, 516, 121},	// QWebElementCollection::operator[]$
    {51, 766, 124},	// QWebElementCollection::toList
    {51, 821, 131},	// QWebElementCollection::~QWebElementCollection
    {52, 261, 133},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 262, 132},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 486, 136},	// QWebElementCollection::const_iterator::operator!=#
    {52, 487, 134},	// QWebElementCollection::const_iterator::operator*
    {52, 490, 147},	// QWebElementCollection::const_iterator::operator+$
    {52, 491, 141},	// QWebElementCollection::const_iterator::operator++
    {52, 492, 142},	// QWebElementCollection::const_iterator::operator++$
    {52, 495, 145},	// QWebElementCollection::const_iterator::operator+=$
    {52, 497, 149},	// QWebElementCollection::const_iterator::operator-#
    {52, 498, 148},	// QWebElementCollection::const_iterator::operator-$
    {52, 499, 143},	// QWebElementCollection::const_iterator::operator--
    {52, 500, 144},	// QWebElementCollection::const_iterator::operator--$
    {52, 502, 146},	// QWebElementCollection::const_iterator::operator-=$
    {52, 504, 137},	// QWebElementCollection::const_iterator::operator<#
    {52, 506, 138},	// QWebElementCollection::const_iterator::operator<=#
    {52, 510, 135},	// QWebElementCollection::const_iterator::operator==#
    {52, 512, 139},	// QWebElementCollection::const_iterator::operator>#
    {52, 514, 140},	// QWebElementCollection::const_iterator::operator>=#
    {52, 830, 150},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 415, 152},	// QWebElementCollection::iterator::iterator#
    {53, 416, 151},	// QWebElementCollection::iterator::iterator#$
    {53, 486, 155},	// QWebElementCollection::iterator::operator!=#
    {53, 487, 153},	// QWebElementCollection::iterator::operator*
    {53, 490, 166},	// QWebElementCollection::iterator::operator+$
    {53, 491, 160},	// QWebElementCollection::iterator::operator++
    {53, 492, 161},	// QWebElementCollection::iterator::operator++$
    {53, 495, 164},	// QWebElementCollection::iterator::operator+=$
    {53, 497, 168},	// QWebElementCollection::iterator::operator-#
    {53, 498, 167},	// QWebElementCollection::iterator::operator-$
    {53, 499, 162},	// QWebElementCollection::iterator::operator--
    {53, 500, 163},	// QWebElementCollection::iterator::operator--$
    {53, 502, 165},	// QWebElementCollection::iterator::operator-=$
    {53, 504, 156},	// QWebElementCollection::iterator::operator<#
    {53, 506, 157},	// QWebElementCollection::iterator::operator<=#
    {53, 510, 154},	// QWebElementCollection::iterator::operator==#
    {53, 512, 158},	// QWebElementCollection::iterator::operator>#
    {53, 514, 159},	// QWebElementCollection::iterator::operator>=#
    {53, 831, 169},	// QWebElementCollection::iterator::~iterator
    {54, 6, 250},	// QWebFrame::AllLayers
    {54, 16, 247},	// QWebFrame::ContentsLayer
    {54, 104, 249},	// QWebFrame::PanIconLayer
    {54, 146, 248},	// QWebFrame::ScrollBarLayer
    {54, 212, 182},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 213, 183},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 238, 191},	// QWebFrame::baseUrl
    {54, 247, 196},	// QWebFrame::childFrames
    {54, 266, 219},	// QWebFrame::contentsSize
    {54, 268, 234},	// QWebFrame::contentsSizeChanged#
    {54, 295, 220},	// QWebFrame::documentElement
    {54, 324, 226},	// QWebFrame::evaluateJavaScript$
    {54, 326, 224},	// QWebFrame::event#
    {54, 339, 221},	// QWebFrame::findAllElements$
    {54, 343, 222},	// QWebFrame::findFirstElement$
    {54, 370, 194},	// QWebFrame::frameName
    {54, 371, 218},	// QWebFrame::geometry
    {54, 385, 215},	// QWebFrame::hasFocus
    {54, 393, 223},	// QWebFrame::hitTestContent#
    {54, 395, 192},	// QWebFrame::icon
    {54, 396, 233},	// QWebFrame::iconChanged
    {54, 401, 232},	// QWebFrame::initialLayoutCompleted
    {54, 425, 228},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 446, -1},	// QWebFrame::load#
    {54, 447, 241},	// QWebFrame::load#$
    {54, 448, 179},	// QWebFrame::load#$#
    {54, 450, 236},	// QWebFrame::loadFinished$
    {54, 453, 235},	// QWebFrame::loadStarted
    {54, 462, 193},	// QWebFrame::metaData
    {54, 463, 170},	// QWebFrame::metaObject
    {54, 519, 177},	// QWebFrame::page
    {54, 522, 237},	// QWebFrame::pageChanged
    {54, 529, 195},	// QWebFrame::parentFrame
    {54, 534, 217},	// QWebFrame::pos
    {54, 545, 227},	// QWebFrame::print#
    {54, 548, 229},	// QWebFrame::provisionalLoad
    {54, 550, 176},	// QWebFrame::qt_metacall$$?
    {54, 552, 171},	// QWebFrame::qt_metacast$
    {54, 569, 208},	// QWebFrame::render#
    {54, 570, 209},	// QWebFrame::render##
    {54, 571, 245},	// QWebFrame::render#$
    {54, 572, 210},	// QWebFrame::render#$#
    {54, 574, 186},	// QWebFrame::renderTreeDump
    {54, 580, 190},	// QWebFrame::requestedUrl
    {54, 595, 204},	// QWebFrame::scroll$$
    {54, 597, 203},	// QWebFrame::scrollBarGeometry$
    {54, 599, 202},	// QWebFrame::scrollBarMaximum$
    {54, 601, 201},	// QWebFrame::scrollBarMinimum$
    {54, 603, 197},	// QWebFrame::scrollBarPolicy$
    {54, 605, 200},	// QWebFrame::scrollBarValue$
    {54, 606, 205},	// QWebFrame::scrollPosition
    {54, 610, 207},	// QWebFrame::scrollToAnchor$
    {54, 611, 225},	// QWebFrame::securityOrigin
    {54, 621, 243},	// QWebFrame::setContent#
    {54, 622, 244},	// QWebFrame::setContent#$
    {54, 623, 181},	// QWebFrame::setContent#$#
    {54, 648, 216},	// QWebFrame::setFocus
    {54, 658, 242},	// QWebFrame::setHtml$
    {54, 659, 180},	// QWebFrame::setHtml$#
    {54, 708, 198},	// QWebFrame::setScrollBarPolicy$$
    {54, 710, 199},	// QWebFrame::setScrollBarValue$$
    {54, 712, 206},	// QWebFrame::setScrollPosition#
    {54, 718, 211},	// QWebFrame::setTextSizeMultiplier$
    {54, 720, 188},	// QWebFrame::setUrl#
    {54, 733, 214},	// QWebFrame::setZoomFactor$
    {54, 740, 246},	// QWebFrame::staticMetaObject
    {54, 759, 212},	// QWebFrame::textSizeMultiplier
    {54, 761, 187},	// QWebFrame::title
    {54, 763, 230},	// QWebFrame::titleChanged$
    {54, 764, 184},	// QWebFrame::toHtml
    {54, 768, 185},	// QWebFrame::toPlainText
    {54, 775, 238},	// QWebFrame::tr$
    {54, 776, 172},	// QWebFrame::tr$$
    {54, 777, 174},	// QWebFrame::tr$$$
    {54, 779, 239},	// QWebFrame::trUtf8$
    {54, 780, 173},	// QWebFrame::trUtf8$$
    {54, 781, 175},	// QWebFrame::trUtf8$$$
    {54, 793, 189},	// QWebFrame::url
    {54, 795, 231},	// QWebFrame::urlChanged#
    {54, 810, 213},	// QWebFrame::zoomFactor
    {55, 234, 257},	// QWebHistory::back
    {55, 235, 260},	// QWebHistory::backItem
    {55, 237, 253},	// QWebHistory::backItems$
    {55, 242, 255},	// QWebHistory::canGoBack
    {55, 243, 256},	// QWebHistory::canGoForward
    {55, 251, 251},	// QWebHistory::clear
    {55, 271, 265},	// QWebHistory::count
    {55, 280, 261},	// QWebHistory::currentItem
    {55, 281, 264},	// QWebHistory::currentItemIndex
    {55, 360, 258},	// QWebHistory::forward
    {55, 361, 262},	// QWebHistory::forwardItem
    {55, 363, 254},	// QWebHistory::forwardItems$
    {55, 376, 259},	// QWebHistory::goToItem#
    {55, 412, 263},	// QWebHistory::itemAt$
    {55, 413, 252},	// QWebHistory::items
    {55, 458, 266},	// QWebHistory::maximumItemCount
    {55, 669, 267},	// QWebHistory::setMaximumItemCount$
    {56, 119, 282},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 120, 275},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 208, 279},	// QWebHistoryInterface::addHistoryEntry$
    {56, 288, 277},	// QWebHistoryInterface::defaultInterface
    {56, 391, 278},	// QWebHistoryInterface::historyContains$
    {56, 463, 268},	// QWebHistoryInterface::metaObject
    {56, 550, 274},	// QWebHistoryInterface::qt_metacall$$?
    {56, 552, 269},	// QWebHistoryInterface::qt_metacast$
    {56, 631, 276},	// QWebHistoryInterface::setDefaultInterface#
    {56, 740, 283},	// QWebHistoryInterface::staticMetaObject
    {56, 775, 280},	// QWebHistoryInterface::tr$
    {56, 776, 270},	// QWebHistoryInterface::tr$$
    {56, 777, 272},	// QWebHistoryInterface::tr$$$
    {56, 779, 281},	// QWebHistoryInterface::trUtf8$
    {56, 780, 271},	// QWebHistoryInterface::trUtf8$$
    {56, 781, 273},	// QWebHistoryInterface::trUtf8$$$
    {56, 822, 284},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 122, 285},	// QWebHistoryItem::QWebHistoryItem#
    {57, 395, 291},	// QWebHistoryItem::icon
    {57, 410, 294},	// QWebHistoryItem::isValid
    {57, 433, 290},	// QWebHistoryItem::lastVisited
    {57, 508, 286},	// QWebHistoryItem::operator=#
    {57, 518, 287},	// QWebHistoryItem::originalUrl
    {57, 722, 293},	// QWebHistoryItem::setUserData#
    {57, 761, 289},	// QWebHistoryItem::title
    {57, 793, 288},	// QWebHistoryItem::url
    {57, 798, 292},	// QWebHistoryItem::userData
    {57, 823, 295},	// QWebHistoryItem::~QWebHistoryItem
    {58, 123, 296},	// QWebHitTestResult::QWebHitTestResult
    {58, 124, 297},	// QWebHitTestResult::QWebHitTestResult#
    {58, 215, 309},	// QWebHitTestResult::alternateText
    {58, 240, 301},	// QWebHitTestResult::boundingRect
    {58, 307, 314},	// QWebHitTestResult::element
    {58, 317, 302},	// QWebHitTestResult::enclosingBlockElement
    {58, 365, 315},	// QWebHitTestResult::frame
    {58, 400, 310},	// QWebHitTestResult::imageUrl
    {58, 406, 312},	// QWebHitTestResult::isContentEditable
    {58, 407, 313},	// QWebHitTestResult::isContentSelected
    {58, 409, 299},	// QWebHitTestResult::isNull
    {58, 438, 308},	// QWebHitTestResult::linkElement
    {58, 441, 307},	// QWebHitTestResult::linkTargetFrame
    {58, 442, 304},	// QWebHitTestResult::linkText
    {58, 443, 306},	// QWebHitTestResult::linkTitle
    {58, 444, 305},	// QWebHitTestResult::linkUrl
    {58, 508, 298},	// QWebHitTestResult::operator=#
    {58, 530, 311},	// QWebHitTestResult::pixmap
    {58, 534, 300},	// QWebHitTestResult::pos
    {58, 761, 303},	// QWebHitTestResult::title
    {58, 824, 316},	// QWebHitTestResult::~QWebHitTestResult
    {59, 125, 335},	// QWebInspector::QWebInspector
    {59, 126, 324},	// QWebInspector::QWebInspector#
    {59, 256, 332},	// QWebInspector::closeEvent#
    {59, 326, 328},	// QWebInspector::event#
    {59, 388, 331},	// QWebInspector::hideEvent#
    {59, 463, 317},	// QWebInspector::metaObject
    {59, 519, 326},	// QWebInspector::page
    {59, 550, 323},	// QWebInspector::qt_metacall$$?
    {59, 552, 318},	// QWebInspector::qt_metacast$
    {59, 588, 329},	// QWebInspector::resizeEvent#
    {59, 691, 325},	// QWebInspector::setPage#
    {59, 737, 330},	// QWebInspector::showEvent#
    {59, 739, 327},	// QWebInspector::sizeHint
    {59, 740, 336},	// QWebInspector::staticMetaObject
    {59, 775, 333},	// QWebInspector::tr$
    {59, 776, 319},	// QWebInspector::tr$$
    {59, 777, 321},	// QWebInspector::tr$$$
    {59, 779, 334},	// QWebInspector::trUtf8$
    {59, 780, 320},	// QWebInspector::trUtf8$$
    {59, 781, 322},	// QWebInspector::trUtf8$$$
    {59, 825, 337},	// QWebInspector::~QWebInspector
    {60, 2, 497},	// QWebPage::AlignCenter
    {60, 3, 498},	// QWebPage::AlignJustified
    {60, 4, 499},	// QWebPage::AlignLeft
    {60, 5, 500},	// QWebPage::AlignRight
    {60, 8, 442},	// QWebPage::Back
    {60, 10, 512},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 447},	// QWebPage::Copy
    {60, 18, 441},	// QWebPage::CopyImageToClipboard
    {60, 19, 438},	// QWebPage::CopyLinkToClipboard
    {60, 21, 446},	// QWebPage::Cut
    {60, 25, 509},	// QWebPage::DelegateAllLinks
    {60, 26, 508},	// QWebPage::DelegateExternalLinks
    {60, 28, 476},	// QWebPage::DeleteEndOfWord
    {60, 29, 475},	// QWebPage::DeleteStartOfWord
    {60, 32, 507},	// QWebPage::DontDelegateLinks
    {60, 33, 440},	// QWebPage::DownloadImageToDisk
    {60, 34, 437},	// QWebPage::DownloadLinkToDisk
    {60, 37, 513},	// QWebPage::ErrorPageExtension
    {60, 47, 503},	// QWebPage::FindBackward
    {60, 48, 504},	// QWebPage::FindCaseSensitively
    {60, 49, 505},	// QWebPage::FindWrapsAroundDocument
    {60, 51, 443},	// QWebPage::Forward
    {60, 53, 506},	// QWebPage::HighlightAllOccurrences
    {60, 54, 515},	// QWebPage::Http
    {60, 56, 495},	// QWebPage::Indent
    {60, 58, 485},	// QWebPage::InsertLineSeparator
    {60, 59, 494},	// QWebPage::InsertOrderedList
    {60, 60, 484},	// QWebPage::InsertParagraphSeparator
    {60, 61, 493},	// QWebPage::InsertUnorderedList
    {60, 62, 483},	// QWebPage::InspectElement
    {60, 78, 460},	// QWebPage::MoveToEndOfBlock
    {60, 79, 462},	// QWebPage::MoveToEndOfDocument
    {60, 80, 458},	// QWebPage::MoveToEndOfLine
    {60, 81, 451},	// QWebPage::MoveToNextChar
    {60, 82, 455},	// QWebPage::MoveToNextLine
    {60, 83, 453},	// QWebPage::MoveToNextWord
    {60, 84, 452},	// QWebPage::MoveToPreviousChar
    {60, 85, 456},	// QWebPage::MoveToPreviousLine
    {60, 86, 454},	// QWebPage::MoveToPreviousWord
    {60, 87, 459},	// QWebPage::MoveToStartOfBlock
    {60, 88, 461},	// QWebPage::MoveToStartOfDocument
    {60, 89, 457},	// QWebPage::MoveToStartOfLine
    {60, 90, 429},	// QWebPage::NavigationTypeBackOrForward
    {60, 91, 431},	// QWebPage::NavigationTypeFormResubmitted
    {60, 92, 428},	// QWebPage::NavigationTypeFormSubmitted
    {60, 93, 427},	// QWebPage::NavigationTypeLinkClicked
    {60, 94, 432},	// QWebPage::NavigationTypeOther
    {60, 95, 430},	// QWebPage::NavigationTypeReload
    {60, 96, 433},	// QWebPage::NoWebAction
    {60, 99, 436},	// QWebPage::OpenFrameInNewWindow
    {60, 100, 439},	// QWebPage::OpenImageInNewWindow
    {60, 101, 434},	// QWebPage::OpenLink
    {60, 102, 435},	// QWebPage::OpenLinkInNewWindow
    {60, 103, 496},	// QWebPage::Outdent
    {60, 105, 448},	// QWebPage::Paste
    {60, 106, 488},	// QWebPage::PasteAndMatchStyle
    {60, 127, 421},	// QWebPage::QWebPage
    {60, 128, 345},	// QWebPage::QWebPage#
    {60, 138, 514},	// QWebPage::QtNetwork
    {60, 141, 450},	// QWebPage::Redo
    {60, 142, 445},	// QWebPage::Reload
    {60, 143, 487},	// QWebPage::ReloadAndBypassCache
    {60, 144, 489},	// QWebPage::RemoveFormat
    {60, 147, 486},	// QWebPage::SelectAll
    {60, 148, 472},	// QWebPage::SelectEndOfBlock
    {60, 149, 474},	// QWebPage::SelectEndOfDocument
    {60, 150, 470},	// QWebPage::SelectEndOfLine
    {60, 151, 463},	// QWebPage::SelectNextChar
    {60, 152, 467},	// QWebPage::SelectNextLine
    {60, 153, 465},	// QWebPage::SelectNextWord
    {60, 154, 464},	// QWebPage::SelectPreviousChar
    {60, 155, 468},	// QWebPage::SelectPreviousLine
    {60, 156, 466},	// QWebPage::SelectPreviousWord
    {60, 157, 471},	// QWebPage::SelectStartOfBlock
    {60, 158, 473},	// QWebPage::SelectStartOfDocument
    {60, 159, 469},	// QWebPage::SelectStartOfLine
    {60, 161, 477},	// QWebPage::SetTextDirectionDefault
    {60, 162, 478},	// QWebPage::SetTextDirectionLeftToRight
    {60, 163, 479},	// QWebPage::SetTextDirectionRightToLeft
    {60, 167, 444},	// QWebPage::Stop
    {60, 168, 501},	// QWebPage::StopScheduledPageRefresh
    {60, 171, 480},	// QWebPage::ToggleBold
    {60, 172, 481},	// QWebPage::ToggleItalic
    {60, 173, 490},	// QWebPage::ToggleStrikethrough
    {60, 174, 491},	// QWebPage::ToggleSubscript
    {60, 175, 492},	// QWebPage::ToggleSuperscript
    {60, 176, 482},	// QWebPage::ToggleUnderline
    {60, 177, 449},	// QWebPage::Undo
    {60, 178, 502},	// QWebPage::WebActionCount
    {60, 179, 510},	// QWebPage::WebBrowserWindow
    {60, 180, 516},	// QWebPage::WebKit
    {60, 181, 511},	// QWebPage::WebModalDialog
    {60, 201, 412},	// QWebPage::acceptNavigationRequest##$
    {60, 203, 362},	// QWebPage::action$
    {60, 241, 360},	// QWebPage::bytesReceived
    {60, 249, 413},	// QWebPage::chooseFile#$
    {60, 265, 406},	// QWebPage::contentsChanged
    {60, 275, 411},	// QWebPage::createPlugin$#??
    {60, 276, 382},	// QWebPage::createStandardContextMenu
    {60, 278, 410},	// QWebPage::createWindow$
    {60, 279, 347},	// QWebPage::currentFrame
    {60, 285, 407},	// QWebPage::databaseQuotaExceeded#$
    {60, 298, 404},	// QWebPage::downloadRequested#
    {60, 326, 368},	// QWebPage::event#
    {60, 330, 424},	// QWebPage::extension$
    {60, 331, 425},	// QWebPage::extension$#
    {60, 332, 383},	// QWebPage::extension$##
    {60, 345, 423},	// QWebPage::findText$
    {60, 346, 371},	// QWebPage::findText$$
    {60, 352, 369},	// QWebPage::focusNextPrevChild$
    {60, 364, 373},	// QWebPage::forwardUnsupportedContent
    {60, 367, 348},	// QWebPage::frameAt#
    {60, 369, 393},	// QWebPage::frameCreated#
    {60, 373, 394},	// QWebPage::geometryChangeRequested#
    {60, 377, 385},	// QWebPage::handle
    {60, 389, 349},	// QWebPage::history
    {60, 405, 370},	// QWebPage::inputMethodQuery$
    {60, 406, 379},	// QWebPage::isContentEditable
    {60, 408, 353},	// QWebPage::isModified
    {60, 418, 414},	// QWebPage::javaScriptAlert#$
    {60, 420, 415},	// QWebPage::javaScriptConfirm#$
    {60, 422, 417},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 424, 416},	// QWebPage::javaScriptPrompt#$$$
    {60, 436, 399},	// QWebPage::linkClicked#
    {60, 437, 375},	// QWebPage::linkDelegationPolicy
    {60, 440, 390},	// QWebPage::linkHovered$$$
    {60, 450, 389},	// QWebPage::loadFinished$
    {60, 452, 388},	// QWebPage::loadProgress$
    {60, 453, 387},	// QWebPage::loadStarted
    {60, 457, 346},	// QWebPage::mainFrame
    {60, 461, 402},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 463, 338},	// QWebPage::metaObject
    {60, 465, 405},	// QWebPage::microFocusChanged
    {60, 479, 356},	// QWebPage::networkAccessManager
    {60, 526, 377},	// QWebPage::palette
    {60, 531, 358},	// QWebPage::pluginFactory
    {60, 535, 366},	// QWebPage::preferredContentsSize
    {60, 547, 398},	// QWebPage::printRequested#
    {60, 550, 344},	// QWebPage::qt_metacall$$?
    {60, 552, 339},	// QWebPage::qt_metacast$
    {60, 576, 395},	// QWebPage::repaintRequested#
    {60, 590, 409},	// QWebPage::restoreFrameStateRequested#
    {60, 592, 408},	// QWebPage::saveFrameStateRequested##
    {60, 608, 396},	// QWebPage::scrollRequested$$#
    {60, 612, 361},	// QWebPage::selectedText
    {60, 613, 392},	// QWebPage::selectionChanged
    {60, 625, 378},	// QWebPage::setContentEditable$
    {60, 654, 372},	// QWebPage::setForwardUnsupportedContent$
    {60, 665, 374},	// QWebPage::setLinkDelegationPolicy$
    {60, 677, 355},	// QWebPage::setNetworkAccessManager#
    {60, 693, 376},	// QWebPage::setPalette#
    {60, 699, 357},	// QWebPage::setPluginFactory#
    {60, 701, 367},	// QWebPage::setPreferredContentsSize#
    {60, 726, 351},	// QWebPage::setView#
    {60, 728, 365},	// QWebPage::setViewportSize#
    {60, 734, 350},	// QWebPage::settings
    {60, 735, 386},	// QWebPage::shouldInterruptJavaScript
    {60, 740, 426},	// QWebPage::staticMetaObject
    {60, 742, 391},	// QWebPage::statusBarMessage$
    {60, 744, 401},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 751, 384},	// QWebPage::supportsExtension$
    {60, 753, 380},	// QWebPage::swallowContextMenuEvent#
    {60, 772, 400},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 773, 359},	// QWebPage::totalBytes
    {60, 775, 419},	// QWebPage::tr$
    {60, 776, 340},	// QWebPage::tr$$
    {60, 777, 342},	// QWebPage::tr$$$
    {60, 779, 420},	// QWebPage::trUtf8$
    {60, 780, 341},	// QWebPage::trUtf8$$
    {60, 781, 343},	// QWebPage::trUtf8$$$
    {60, 783, 422},	// QWebPage::triggerAction$
    {60, 784, 363},	// QWebPage::triggerAction$$
    {60, 788, 354},	// QWebPage::undoStack
    {60, 790, 403},	// QWebPage::unsupportedContent#
    {60, 792, 381},	// QWebPage::updatePositionDependentActions#
    {60, 797, 418},	// QWebPage::userAgentForUrl#
    {60, 800, 352},	// QWebPage::view
    {60, 801, 364},	// QWebPage::viewportSize
    {60, 808, 397},	// QWebPage::windowCloseRequested
    {60, 826, 517},	// QWebPage::~QWebPage
    {61, 11, 518},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 519},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 529, 520},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 695, 521},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 716, 523},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 749, 522},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 811, 524},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 525},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 526},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 335, 527},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 647, 528},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 812, 529},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 38, 530},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 39, 531},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 296, 536},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 321, 538},	// QWebPage::ErrorPageExtensionOption::error
    {63, 322, 540},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 365, 534},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 637, 537},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 641, 539},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 643, 541},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 656, 535},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 720, 533},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 793, 532},	// QWebPage::ErrorPageExtensionOption::url
    {63, 813, 542},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 40, 543},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 41, 544},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 238, 549},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 263, 551},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 264, 545},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 318, 547},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 619, 550},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 621, 552},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 627, 546},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 639, 548},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 814, 553},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 42, 554},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 43, 555},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 815, 556},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 44, 557},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 45, 558},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 816, 559},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {68, 129, 575},	// QWebPluginFactory::QWebPluginFactory
    {68, 130, 567},	// QWebPluginFactory::QWebPluginFactory#
    {68, 273, 570},	// QWebPluginFactory::create$#??
    {68, 330, 576},	// QWebPluginFactory::extension$
    {68, 331, 577},	// QWebPluginFactory::extension$#
    {68, 332, 571},	// QWebPluginFactory::extension$##
    {68, 463, 560},	// QWebPluginFactory::metaObject
    {68, 532, 568},	// QWebPluginFactory::plugins
    {68, 550, 566},	// QWebPluginFactory::qt_metacall$$?
    {68, 552, 561},	// QWebPluginFactory::qt_metacast$
    {68, 553, 569},	// QWebPluginFactory::refreshPlugins
    {68, 740, 578},	// QWebPluginFactory::staticMetaObject
    {68, 751, 572},	// QWebPluginFactory::supportsExtension$
    {68, 775, 573},	// QWebPluginFactory::tr$
    {68, 776, 562},	// QWebPluginFactory::tr$$
    {68, 777, 564},	// QWebPluginFactory::tr$$$
    {68, 779, 574},	// QWebPluginFactory::trUtf8$
    {68, 780, 563},	// QWebPluginFactory::trUtf8$$
    {68, 781, 565},	// QWebPluginFactory::trUtf8$$$
    {68, 827, 579},	// QWebPluginFactory::~QWebPluginFactory
    {69, 42, 580},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 43, 581},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 815, 582},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 44, 583},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 45, 584},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 816, 585},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 72, 588},	// QWebPluginFactory::MimeType::MimeType
    {71, 73, 589},	// QWebPluginFactory::MimeType::MimeType#
    {71, 290, 592},	// QWebPluginFactory::MimeType::description
    {71, 333, 594},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 477, 590},	// QWebPluginFactory::MimeType::name
    {71, 486, 587},	// QWebPluginFactory::MimeType::operator!=#
    {71, 510, 586},	// QWebPluginFactory::MimeType::operator==#
    {71, 635, 593},	// QWebPluginFactory::MimeType::setDescription$
    {71, 645, 595},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 675, 591},	// QWebPluginFactory::MimeType::setName$
    {71, 817, 596},	// QWebPluginFactory::MimeType::~MimeType
    {72, 107, 597},	// QWebPluginFactory::Plugin::Plugin
    {72, 108, 598},	// QWebPluginFactory::Plugin::Plugin#
    {72, 290, 601},	// QWebPluginFactory::Plugin::description
    {72, 466, 603},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 477, 599},	// QWebPluginFactory::Plugin::name
    {72, 635, 602},	// QWebPluginFactory::Plugin::setDescription$
    {72, 673, 604},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 675, 600},	// QWebPluginFactory::Plugin::setName$
    {72, 818, 605},	// QWebPluginFactory::Plugin::~Plugin
    {73, 132, 617},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 210, 607},	// QWebSecurityOrigin::addLocalScheme$
    {73, 214, 606},	// QWebSecurityOrigin::allOrigins
    {73, 283, 614},	// QWebSecurityOrigin::databaseQuota
    {73, 286, 613},	// QWebSecurityOrigin::databaseUsage
    {73, 287, 616},	// QWebSecurityOrigin::databases
    {73, 394, 611},	// QWebSecurityOrigin::host
    {73, 455, 609},	// QWebSecurityOrigin::localSchemes
    {73, 508, 618},	// QWebSecurityOrigin::operator=#
    {73, 533, 612},	// QWebSecurityOrigin::port
    {73, 567, 608},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 593, 610},	// QWebSecurityOrigin::scheme
    {73, 629, 615},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 828, 619},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 681},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 663},	// QWebSettings::AutoLoadImages
    {74, 20, 661},	// QWebSettings::CursiveFont
    {74, 22, 695},	// QWebSettings::DefaultFixedFontSize
    {74, 23, 694},	// QWebSettings::DefaultFontSize
    {74, 24, 689},	// QWebSettings::DefaultFrameIconGraphic
    {74, 27, 691},	// QWebSettings::DeleteButtonGraphic
    {74, 30, 670},	// QWebSettings::DeveloperExtrasEnabled
    {74, 31, 679},	// QWebSettings::DnsPrefetchEnabled
    {74, 46, 662},	// QWebSettings::FantasyFont
    {74, 50, 658},	// QWebSettings::FixedFont
    {74, 52, 685},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 665},	// QWebSettings::JavaEnabled
    {74, 64, 669},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 65, 668},	// QWebSettings::JavascriptCanOpenWindows
    {74, 66, 664},	// QWebSettings::JavascriptEnabled
    {74, 67, 671},	// QWebSettings::LinksIncludedInFocusChain
    {74, 68, 683},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 69, 678},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 70, 677},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 71, 676},	// QWebSettings::LocalStorageEnabled
    {74, 74, 692},	// QWebSettings::MinimumFontSize
    {74, 75, 693},	// QWebSettings::MinimumLogicalFontSize
    {74, 76, 687},	// QWebSettings::MissingImageGraphic
    {74, 77, 688},	// QWebSettings::MissingPluginGraphic
    {74, 97, 674},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 98, 675},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 109, 666},	// QWebSettings::PluginsEnabled
    {74, 110, 673},	// QWebSettings::PrintElementBackgrounds
    {74, 111, 667},	// QWebSettings::PrivateBrowsingEnabled
    {74, 145, 660},	// QWebSettings::SansSerifFont
    {74, 160, 659},	// QWebSettings::SerifFont
    {74, 164, 686},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 165, 682},	// QWebSettings::SpatialNavigationEnabled
    {74, 166, 657},	// QWebSettings::StandardFont
    {74, 169, 690},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 170, 684},	// QWebSettings::TiledBackingStoreEnabled
    {74, 182, 680},	// QWebSettings::XSSAuditingEnabled
    {74, 183, 672},	// QWebSettings::ZoomTextOnly
    {74, 252, 636},	// QWebSettings::clearIconDatabase
    {74, 253, 653},	// QWebSettings::clearMemoryCaches
    {74, 289, 633},	// QWebSettings::defaultTextEncoding
    {74, 308, 656},	// QWebSettings::enablePersistentStorage
    {74, 309, 654},	// QWebSettings::enablePersistentStorage$
    {74, 357, 622},	// QWebSettings::fontFamily$
    {74, 359, 625},	// QWebSettings::fontSize$
    {74, 374, 620},	// QWebSettings::globalSettings
    {74, 377, 655},	// QWebSettings::handle
    {74, 397, 635},	// QWebSettings::iconDatabasePath
    {74, 399, 637},	// QWebSettings::iconForUrl#
    {74, 456, 652},	// QWebSettings::localStoragePath
    {74, 459, 641},	// QWebSettings::maximumPagesInCache
    {74, 481, 646},	// QWebSettings::offlineStorageDefaultQuota
    {74, 482, 644},	// QWebSettings::offlineStoragePath
    {74, 483, 648},	// QWebSettings::offlineWebApplicationCachePath
    {74, 484, 650},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 582, 629},	// QWebSettings::resetAttribute$
    {74, 584, 623},	// QWebSettings::resetFontFamily$
    {74, 586, 626},	// QWebSettings::resetFontSize$
    {74, 615, 627},	// QWebSettings::setAttribute$$
    {74, 633, 632},	// QWebSettings::setDefaultTextEncoding$
    {74, 650, 621},	// QWebSettings::setFontFamily$$
    {74, 652, 624},	// QWebSettings::setFontSize$$
    {74, 661, 634},	// QWebSettings::setIconDatabasePath$
    {74, 667, 651},	// QWebSettings::setLocalStoragePath$
    {74, 671, 640},	// QWebSettings::setMaximumPagesInCache$
    {74, 679, 642},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 681, 645},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 683, 643},	// QWebSettings::setOfflineStoragePath$
    {74, 685, 647},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 687, 649},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 724, 630},	// QWebSettings::setUserStyleSheetUrl#
    {74, 731, 638},	// QWebSettings::setWebGraphic$#
    {74, 758, 628},	// QWebSettings::testAttribute$
    {74, 799, 631},	// QWebSettings::userStyleSheetUrl
    {74, 804, 639},	// QWebSettings::webGraphic$
    {76, 133, 767},	// QWebView::QWebView
    {76, 134, 703},	// QWebView::QWebView#
    {76, 234, 732},	// QWebView::back
    {76, 245, 748},	// QWebView::changeEvent#
    {76, 270, 753},	// QWebView::contextMenuEvent#
    {76, 278, 747},	// QWebView::createWindow$
    {76, 300, 757},	// QWebView::dragEnterEvent#
    {76, 302, 758},	// QWebView::dragLeaveEvent#
    {76, 304, 759},	// QWebView::dragMoveEvent#
    {76, 306, 760},	// QWebView::dropEvent#
    {76, 326, 730},	// QWebView::event#
    {76, 345, 775},	// QWebView::findText$
    {76, 346, 729},	// QWebView::findText$$
    {76, 350, 761},	// QWebView::focusInEvent#
    {76, 352, 764},	// QWebView::focusNextPrevChild$
    {76, 354, 762},	// QWebView::focusOutEvent#
    {76, 360, 733},	// QWebView::forward
    {76, 389, 710},	// QWebView::history
    {76, 395, 715},	// QWebView::icon
    {76, 396, 743},	// QWebView::iconChanged
    {76, 403, 763},	// QWebView::inputMethodEvent#
    {76, 405, 720},	// QWebView::inputMethodQuery$
    {76, 408, 719},	// QWebView::isModified
    {76, 427, 755},	// QWebView::keyPressEvent#
    {76, 429, 756},	// QWebView::keyReleaseEvent#
    {76, 436, 741},	// QWebView::linkClicked#
    {76, 446, -4},	// QWebView::load#
    {76, 447, 769},	// QWebView::load#$
    {76, 448, 707},	// QWebView::load#$#
    {76, 450, 738},	// QWebView::loadFinished$
    {76, 452, 737},	// QWebView::loadProgress$
    {76, 453, 736},	// QWebView::loadStarted
    {76, 463, 696},	// QWebView::metaObject
    {76, 469, 751},	// QWebView::mouseDoubleClickEvent#
    {76, 471, 749},	// QWebView::mouseMoveEvent#
    {76, 473, 750},	// QWebView::mousePressEvent#
    {76, 475, 752},	// QWebView::mouseReleaseEvent#
    {76, 519, 704},	// QWebView::page
    {76, 521, 717},	// QWebView::pageAction$
    {76, 525, 746},	// QWebView::paintEvent#
    {76, 545, 735},	// QWebView::print#
    {76, 550, 702},	// QWebView::qt_metacall$$?
    {76, 552, 697},	// QWebView::qt_metacast$
    {76, 554, 734},	// QWebView::reload
    {76, 573, 726},	// QWebView::renderHints
    {76, 588, 745},	// QWebView::resizeEvent#
    {76, 612, 716},	// QWebView::selectedText
    {76, 613, 742},	// QWebView::selectionChanged
    {76, 621, 771},	// QWebView::setContent#
    {76, 622, 772},	// QWebView::setContent#$
    {76, 623, 709},	// QWebView::setContent#$#
    {76, 658, 770},	// QWebView::setHtml$
    {76, 659, 708},	// QWebView::setHtml$#
    {76, 691, 705},	// QWebView::setPage#
    {76, 703, 774},	// QWebView::setRenderHint$
    {76, 704, 728},	// QWebView::setRenderHint$$
    {76, 706, 727},	// QWebView::setRenderHints$
    {76, 718, 724},	// QWebView::setTextSizeMultiplier$
    {76, 720, 713},	// QWebView::setUrl#
    {76, 733, 723},	// QWebView::setZoomFactor$
    {76, 734, 711},	// QWebView::settings
    {76, 739, 721},	// QWebView::sizeHint
    {76, 740, 776},	// QWebView::staticMetaObject
    {76, 742, 740},	// QWebView::statusBarMessage$
    {76, 745, 731},	// QWebView::stop
    {76, 759, 725},	// QWebView::textSizeMultiplier
    {76, 761, 712},	// QWebView::title
    {76, 763, 739},	// QWebView::titleChanged$
    {76, 775, 765},	// QWebView::tr$
    {76, 776, 698},	// QWebView::tr$$
    {76, 777, 700},	// QWebView::tr$$$
    {76, 779, 766},	// QWebView::trUtf8$
    {76, 780, 699},	// QWebView::trUtf8$$
    {76, 781, 701},	// QWebView::trUtf8$$$
    {76, 786, 773},	// QWebView::triggerPageAction$
    {76, 787, 718},	// QWebView::triggerPageAction$$
    {76, 793, 714},	// QWebView::url
    {76, 795, 744},	// QWebView::urlChanged#
    {76, 806, 754},	// QWebView::wheelEvent#
    {76, 810, 722},	// QWebView::zoomFactor
    {76, 829, 777},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 80,
        __smokeqtwebkit::methods, 818,
        __smokeqtwebkit::methodMaps, 767,
        __smokeqtwebkit::methodNames, 831,
        __smokeqtwebkit::types, 262,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
